/*******************************************************************************
* Copyright (C) 2013-2016, Cypress Semiconductor Corporation or a              *
* subsidiary of Cypress Semiconductor Corporation.  All rights reserved.       *
*                                                                              *
* This software, including source code, documentation and related              *
* materials ("Software"), is owned by Cypress Semiconductor Corporation or     *
* one of its subsidiaries ("Cypress") and is protected by and subject to       *
* worldwide patent protection (United States and foreign), United States       *
* copyright laws and international treaty provisions. Therefore, you may use   *
* this Software only as provided in the license agreement accompanying the     *
* software package from which you obtained this Software ("EULA").             *
*                                                                              *
* If no EULA applies, Cypress hereby grants you a personal, non-exclusive,     *
* non-transferable license to copy, modify, and compile the                    *
* Software source code solely for use in connection with Cypress's             *
* integrated circuit products.  Any reproduction, modification, translation,   *
* compilation, or representation of this Software except as specified          *
* above is prohibited without the express written permission of Cypress.       *
*                                                                              *
* Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO                         *
* WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING,                         *
* BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED                                 *
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                              *
* PARTICULAR PURPOSE. Cypress reserves the right to make                       *
* changes to the Software without notice. Cypress does not assume any          *
* liability arising out of the application or use of the Software or any       *
* product or circuit described in the Software. Cypress does not               *
* authorize its products for use in any products where a malfunction or        *
* failure of the Cypress product may reasonably be expected to result in       *
* significant property damage, injury or death ("High Risk Product"). By       *
* including Cypress's product in a High Risk Product, the manufacturer         *
* of such system or application assumes all risk of such use and in doing      *
* so agrees to indemnify Cypress against all liability.                        *
*******************************************************************************/
/**
 ******************************************************************************
 ** \file   mb9afb4xm.h
 **
 ** MCU Headerfile
 **
 ** History:
 
 **
 ******************************************************************************/

#ifndef _MB9AFB4XM_H_
#define _MB9AFB4XM_H_
#define __MB9AFB4XM_H__
#define __MB9AB40N_H__

#if defined __cplusplus
extern "C" {
#endif

#define FM_GENERAL_MCUHEADER_VERSION              0201


#ifndef FM_DEVICE_PACKAGE_MB_M
#define FM_DEVICE_PACKAGE_MB_M
#endif 

/******************************************************************************
 ** Configuration of the Cortex-M4 Processor and Core Peripherals
 ** 
 ******************************************************************************/
#define FM3_DEVICE_TYPE                           6
#define FM_DEVICE_TYPE                            3006u
#define FM_CORE_TYPE_FM3                          1
#define __CM3_REV                                 0x0201
#define __MPU_PRESENT                             1
#define __NVIC_PRIO_BITS                          4
#define __Vendor_SysTickConfig                    0
#define __FPU_PRESENT                             0
#define __FPU_DP                                  0
#define __ICACHE_PRESENT                          0
#define __DCACHE_PRESENT                          0
#define __DTCM_PRESENT                            0

/******************************************************************************
 ** Peripheral Types
 ** 
 ******************************************************************************/
#define FM3_ADC_TYPE_B                            1
#define FM3_BT_TYPE_A                             1
#define FM3_BTIOSEL03_TYPE_A                      1
#define FM3_BTIOSEL47_TYPE_A                      1
#define FM3_CRC_TYPE_A                            1
#define FM3_CRG_TYPE_A                            1
#define FM3_CRTRIM_TYPE_A                         1
#define FM3_DMAC_TYPE_A                           1
#define FM3_DS_TYPE_A                             1
#define FM3_DT_TYPE_A                             1
#define FM3_EXBUS_TYPE_A                          1
#define FM3_EXTI_TYPE_A                           1
#define FM3_FLASH_IF_TYPE_B                       1
#define FM3_GPIO_TYPE_A                           1
#define FM3_HDMICEC_TYPE_A                        1
#define FM3_HWWDT_TYPE_A                          1
#define FM3_INTREQ_TYPE_A                         1
#define FM3_LCDC_TYPE_A                           1
#define FM3_LVD_TYPE_C                            1
#define FM3_MFS_TYPE_A                            1
#define FM3_MFS_NFC_TYPE_A                        1
#define FM3_RTC_TYPE_B                            1
#define FM3_SBSSR_TYPE_A                          1
#define FM3_SWWDT_TYPE_A                          1
#define FM3_UNIQUE_ID_TYPE_A                      1
#define FM3_USB_TYPE_A                            1
#define FM3_USBCLK_TYPE_A                         1
#define FM3_WC_TYPE_A                             1

/******************************************************************************
 ** Available Peripherals
 ** 
 ******************************************************************************/
#define FM3_ADC_AVAILABLE                         1
#define FM_ADC_AVAILABLE                          1
#define FM3_BT_AVAILABLE                          1
#define FM_BT_AVAILABLE                           1
#define FM3_BT_PPG_AVAILABLE                      1
#define FM_BT_PPG_AVAILABLE                       1
#define FM3_BT_PWC_AVAILABLE                      1
#define FM_BT_PWC_AVAILABLE                       1
#define FM3_BT_PWM_AVAILABLE                      1
#define FM_BT_PWM_AVAILABLE                       1
#define FM3_BT_RT_AVAILABLE                       1
#define FM_BT_RT_AVAILABLE                        1
#define FM3_BTIOSEL03_AVAILABLE                   1
#define FM_BTIOSEL03_AVAILABLE                    1
#define FM3_BTIOSEL47_AVAILABLE                   1
#define FM_BTIOSEL47_AVAILABLE                    1
#define FM3_CRC_AVAILABLE                         1
#define FM_CRC_AVAILABLE                          1
#define FM3_CRG_AVAILABLE                         1
#define FM_CRG_AVAILABLE                          1
#define FM3_CRTRIM_AVAILABLE                      1
#define FM_CRTRIM_AVAILABLE                       1
#define FM3_DMAC_AVAILABLE                        1
#define FM_DMAC_AVAILABLE                         1
#define FM3_DS_AVAILABLE                          1
#define FM_DS_AVAILABLE                           1
#define FM3_DT_AVAILABLE                          1
#define FM_DT_AVAILABLE                           1
#define FM3_EXBUS_AVAILABLE                       1
#define FM_EXBUS_AVAILABLE                        1
#define FM3_EXTI_AVAILABLE                        1
#define FM_EXTI_AVAILABLE                         1
#define FM3_FLASH_IF_AVAILABLE                    1
#define FM_FLASH_IF_AVAILABLE                     1
#define FM3_GPIO_AVAILABLE                        1
#define FM_GPIO_AVAILABLE                         1
#define FM3_HDMICEC_AVAILABLE                     1
#define FM_HDMICEC_AVAILABLE                      1
#define FM3_HWWDT_AVAILABLE                       1
#define FM_HWWDT_AVAILABLE                        1
#define FM3_INTREQ_AVAILABLE                      1
#define FM_INTREQ_AVAILABLE                       1
#define FM3_LCDC_AVAILABLE                        1
#define FM_LCDC_AVAILABLE                         1
#define FM3_LVD_AVAILABLE                         1
#define FM_LVD_AVAILABLE                          1
#define FM3_MFS_AVAILABLE                         1
#define FM_MFS_AVAILABLE                          1
#define FM3_MFS_CSIO_AVAILABLE                    1
#define FM_MFS_CSIO_AVAILABLE                     1
#define FM3_MFS_I2C_AVAILABLE                     1
#define FM_MFS_I2C_AVAILABLE                      1
#define FM3_MFS_NFC_AVAILABLE                     1
#define FM_MFS_NFC_AVAILABLE                      1
#define FM3_MFS_UART_AVAILABLE                    1
#define FM_MFS_UART_AVAILABLE                     1
#define FM3_RTC_AVAILABLE                         1
#define FM_RTC_AVAILABLE                          1
#define FM3_SBSSR_AVAILABLE                       1
#define FM_SBSSR_AVAILABLE                        1
#define FM3_SWWDT_AVAILABLE                       1
#define FM_SWWDT_AVAILABLE                        1
#define FM3_UNIQUE_ID_AVAILABLE                   1
#define FM_UNIQUE_ID_AVAILABLE                    1
#define FM3_USB_AVAILABLE                         1
#define FM_USB_AVAILABLE                          1
#define FM3_USBCLK_AVAILABLE                      1
#define FM_USBCLK_AVAILABLE                       1
#define FM3_WC_AVAILABLE                          1
#define FM_WC_AVAILABLE                           1

/******************************************************************************
 ** \brief Interrupt number definition for all type MCUs
 ** 
 ******************************************************************************/
#define FM_INTERRUPT_TYPE                         0x300Au

#define IRQ_NMI_AVAILABLE                         1
#define IRQ_HARDFAULT_AVAILABLE                   1
#define IRQ_MEMMANAGE_AVAILABLE                   1
#define IRQ_BUSFAULT_AVAILABLE                    1
#define IRQ_USAGEFAULT_AVAILABLE                  1
#define IRQ_SVC_AVAILABLE                         1
#define IRQ_DEBUGMONITOR_AVAILABLE                1
#define IRQ_PENDSV_AVAILABLE                      1
#define IRQ_SYSTICK_AVAILABLE                     1

#define IRQ_CSV_AVAILABLE                         1
#define IRQ_SWDT_AVAILABLE                        1
#define IRQ_LVD_AVAILABLE                         1
#define IRQ_EXINT0_7_AVAILABLE                    1
#define IRQ_EXINT8_31_AVAILABLE                   1
#define IRQ_DT_QPRC0_2_AVAILABLE                  1
#define IRQ_MFS0_RX_AVAILABLE                     1
#define IRQ_MFS0_TX_AVAILABLE                     1
#define IRQ_MFS1_RX_AVAILABLE                     1
#define IRQ_MFS1_TX_AVAILABLE                     1
#define IRQ_MFS2_RX_AVAILABLE                     1
#define IRQ_MFS2_TX_AVAILABLE                     1
#define IRQ_MFS3_RX_AVAILABLE                     1
#define IRQ_MFS3_TX_AVAILABLE                     1
#define IRQ_MFS4_RX_AVAILABLE                     1
#define IRQ_MFS4_TX_AVAILABLE                     1
#define IRQ_MFS5_RX_AVAILABLE                     1
#define IRQ_MFS5_TX_AVAILABLE                     1
#define IRQ_MFS6_RX_AVAILABLE                     1
#define IRQ_MFS6_TX_AVAILABLE                     1
#define IRQ_MFS7_RX_AVAILABLE                     1
#define IRQ_MFS7_TX_AVAILABLE                     1
#define IRQ_TIM_WC_RTC_AVAILABLE                  1
#define IRQ_ADC0_AVAILABLE                        1
#define IRQ_ADC1_AVAILABLE                        1
#define IRQ_LCDC_AVAILABLE                        1
#define IRQ_BT0_7_AVAILABLE                       1
#define IRQ_USB0_F_AVAILABLE                      1
#define IRQ_USB0_H_F_AVAILABLE                    1
#define IRQ_HDMICEC0_AVAILABLE                    1
#define IRQ_HDMICEC1_AVAILABLE                    1
#define IRQ_DMAC0_AVAILABLE                       1
#define IRQ_DMAC1_AVAILABLE                       1
#define IRQ_DMAC2_AVAILABLE                       1
#define IRQ_DMAC3_AVAILABLE                       1
#define IRQ_DMAC4_AVAILABLE                       1
#define IRQ_DMAC5_AVAILABLE                       1
#define IRQ_DMAC6_AVAILABLE                       1
#define IRQ_DMAC7_AVAILABLE                       1
#define IRQ_FLASHIF_AVAILABLE                     1


typedef enum IRQn
{
    NMI_IRQn                                      =  -14, /* Non Maskable Interrupt NMI */
    HardFault_IRQn                                =  -13, /* HardFault HardFault */
    MemManage_IRQn                                =  -12, /* Memory Management MemManage */
    BusFault_IRQn                                 =  -11, /* Bus Fault BusFault */
    UsageFault_IRQn                               =  -10, /* Usage Fault UsageFault */
    SVC_IRQn                                      =   -5, /* SV Call SVC */
    DebugMonitor_IRQn                             =   -4, /* Debug Monitor DebugMonitor */
    PendSV_IRQn                                   =   -2, /* Pend SV PendSV */
    SysTick_IRQn                                  =   -1, /* System Tick SysTick */

    CSV_IRQn                                      =    0, /* CSV_IRQ */
    SWDT_IRQn                                     =    1, /* SWDT_IRQ */
    LVD_IRQn                                      =    2, /* LVD_IRQ */
    EXINT0_7_IRQn                                 =    4, /* EXINT0_7_IRQ */
    EXINT8_31_IRQn                                =    5, /* EXINT8_31_IRQ */
    DT_QPRC0_2_IRQn                               =    6, /* DT_QPRC0_2_IRQ */
    MFS0_RX_IRQn                                  =    7, /* MFS0_RX_IRQ */
    MFS0_TX_IRQn                                  =    8, /* MFS0_TX_IRQ */
    MFS1_RX_IRQn                                  =    9, /* MFS1_RX_IRQ */
    MFS1_TX_IRQn                                  =   10, /* MFS1_TX_IRQ */
    MFS2_RX_IRQn                                  =   11, /* MFS2_RX_IRQ */
    MFS2_TX_IRQn                                  =   12, /* MFS2_TX_IRQ */
    MFS3_RX_IRQn                                  =   13, /* MFS3_RX_IRQ */
    MFS3_TX_IRQn                                  =   14, /* MFS3_TX_IRQ */
    MFS4_RX_IRQn                                  =   15, /* MFS4_RX_IRQ */
    MFS4_TX_IRQn                                  =   16, /* MFS4_TX_IRQ */
    MFS5_RX_IRQn                                  =   17, /* MFS5_RX_IRQ */
    MFS5_TX_IRQn                                  =   18, /* MFS5_TX_IRQ */
    MFS6_RX_IRQn                                  =   19, /* MFS6_RX_IRQ */
    MFS6_TX_IRQn                                  =   20, /* MFS6_TX_IRQ */
    MFS7_RX_IRQn                                  =   21, /* MFS7_RX_IRQ */
    MFS7_TX_IRQn                                  =   22, /* MFS7_TX_IRQ */
    TIM_WC_RTC_IRQn                               =   24, /* TIM_WC_RTC_IRQ */
    ADC0_IRQn                                     =   25, /* ADC0_IRQ */
    ADC1_IRQn                                     =   26, /* ADC1_IRQ */
    LCDC_IRQn                                     =   27, /* LCDC_IRQ */
    BT0_7_IRQn                                    =   31, /* BT0_7_IRQ */
    USB0_F_IRQn                                   =   34, /* USB0_F_IRQ */
    USB0_H_F_IRQn                                 =   35, /* USB0_H_F_IRQ */
    HDMICEC0_IRQn                                 =   36, /* HDMICEC0_IRQ */
    HDMICEC1_IRQn                                 =   37, /* HDMICEC1_IRQ */
    DMAC0_IRQn                                    =   38, /* DMAC0_IRQ */
    DMAC1_IRQn                                    =   39, /* DMAC1_IRQ */
    DMAC2_IRQn                                    =   40, /* DMAC2_IRQ */
    DMAC3_IRQn                                    =   41, /* DMAC3_IRQ */
    DMAC4_IRQn                                    =   42, /* DMAC4_IRQ */
    DMAC5_IRQn                                    =   43, /* DMAC5_IRQ */
    DMAC6_IRQn                                    =   44, /* DMAC6_IRQ */
    DMAC7_IRQn                                    =   45, /* DMAC7_IRQ */
    FLASHIF_IRQn                                  =   47, /* FLASHIF_IRQ */
} IRQn_Type;

#include "core_cm3.h"
#include "system_mb9ab40n.h"
#include <stdint.h>

/******************************************************************************
 ** Device Specific Peripheral Registers structures
 ** 
 ******************************************************************************/
#if defined ( __CC_ARM   )
#pragma anon_unions
#endif

/******************************************************************************
 ** ADC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_adc_adsr_field
{
        __IO   uint8_t  SCS                      :1;
        __IO   uint8_t  PCS                      :1;
        __IO   uint8_t  PCNS                     :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  FDAS                     :1;
        __IO   uint8_t  ADSTP                    :1;
} stc_adc_adsr_field_t;

typedef struct stc_adc_adcr_field
{
        __IO   uint8_t  OVRIE                    :1;
        __IO   uint8_t  CMPIE                    :1;
        __IO   uint8_t  PCIE                     :1;
        __IO   uint8_t  SCIE                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  CMPIF                    :1;
        __IO   uint8_t  PCIF                     :1;
        __IO   uint8_t  SCIF                     :1;
} stc_adc_adcr_field_t;

typedef struct stc_adc_sfns_field
{
    union {
        struct {
            __IO   uint8_t  SFS                  :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SFS0                 :1;
            __IO   uint8_t  SFS1                 :1;
            __IO   uint8_t  SFS2                 :1;
            __IO   uint8_t  SFS3                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_adc_sfns_field_t;

typedef struct stc_adc_sccr_field
{
        __IO   uint8_t  SSTR                     :1;
        __IO   uint8_t  SHEN                     :1;
        __IO   uint8_t  RPT                      :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  SFCLR                    :1;
        __IO   uint8_t  SOVR                     :1;
        __IO   uint8_t  SFUL                     :1;
        __IO   uint8_t  SEMP                     :1;
} stc_adc_sccr_field_t;

typedef struct stc_adc_scfd_fdas1_field
{
    union {
        struct {
            __IO  uint32_t  CS                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :3;
            __IO  uint32_t  SD                   :12;
            __IO  uint32_t  RESERVED5            :4;
        };
        struct {
            __IO  uint32_t  CS0                  :1;
            __IO  uint32_t  CS1                  :1;
            __IO  uint32_t  CS2                  :1;
            __IO  uint32_t  CS3                  :1;
            __IO  uint32_t  CS4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RESERVED4            :6;
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  SD4                  :1;
            __IO  uint32_t  SD5                  :1;
            __IO  uint32_t  SD6                  :1;
            __IO  uint32_t  SD7                  :1;
            __IO  uint32_t  SD8                  :1;
            __IO  uint32_t  SD9                  :1;
            __IO  uint32_t  SD10                 :1;
            __IO  uint32_t  SD11                 :1;
            __IO  uint32_t  RESERVED6            :4;
        };
    };
} stc_adc_scfd_fdas1_field_t;

typedef struct stc_adc_scfd_field
{
    union {
        struct {
            __IO  uint32_t  CS                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :7;
            __IO  uint32_t  SD                   :12;
        };
        struct {
            __IO  uint32_t  CS0                  :1;
            __IO  uint32_t  CS1                  :1;
            __IO  uint32_t  CS2                  :1;
            __IO  uint32_t  CS3                  :1;
            __IO  uint32_t  CS4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RESERVED4            :10;
            __IO  uint32_t  SD0                  :1;
            __IO  uint32_t  SD1                  :1;
            __IO  uint32_t  SD2                  :1;
            __IO  uint32_t  SD3                  :1;
            __IO  uint32_t  SD4                  :1;
            __IO  uint32_t  SD5                  :1;
            __IO  uint32_t  SD6                  :1;
            __IO  uint32_t  SD7                  :1;
            __IO  uint32_t  SD8                  :1;
            __IO  uint32_t  SD9                  :1;
            __IO  uint32_t  SD10                 :1;
            __IO  uint32_t  SD11                 :1;
        };
    };
} stc_adc_scfd_field_t;

typedef struct stc_adc_scis23_field
{
        __IO  uint16_t  AN16                     :1;
        __IO  uint16_t  AN17                     :1;
        __IO  uint16_t  AN18                     :1;
        __IO  uint16_t  AN19                     :1;
        __IO  uint16_t  AN20                     :1;
        __IO  uint16_t  AN21                     :1;
        __IO  uint16_t  AN22                     :1;
        __IO  uint16_t  AN23                     :1;
        __IO  uint16_t  AN24                     :1;
        __IO  uint16_t  AN25                     :1;
        __IO  uint16_t  AN26                     :1;
        __IO  uint16_t  AN27                     :1;
        __IO  uint16_t  AN28                     :1;
        __IO  uint16_t  AN29                     :1;
        __IO  uint16_t  AN30                     :1;
        __IO  uint16_t  AN31                     :1;
} stc_adc_scis23_field_t;

typedef struct stc_adc_scis01_field
{
        __IO  uint16_t  AN0                      :1;
        __IO  uint16_t  AN1                      :1;
        __IO  uint16_t  AN2                      :1;
        __IO  uint16_t  AN3                      :1;
        __IO  uint16_t  AN4                      :1;
        __IO  uint16_t  AN5                      :1;
        __IO  uint16_t  AN6                      :1;
        __IO  uint16_t  AN7                      :1;
        __IO  uint16_t  AN8                      :1;
        __IO  uint16_t  AN9                      :1;
        __IO  uint16_t  AN10                     :1;
        __IO  uint16_t  AN11                     :1;
        __IO  uint16_t  AN12                     :1;
        __IO  uint16_t  AN13                     :1;
        __IO  uint16_t  AN14                     :1;
        __IO  uint16_t  AN15                     :1;
} stc_adc_scis01_field_t;

typedef struct stc_adc_pfns_field
{
    union {
        struct {
            __IO   uint8_t  PFS                  :2;
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  TEST                 :2;
            __IO   uint8_t  RESERVED2            :2;
        };
        struct {
            __IO   uint8_t  PFS0                 :1;
            __IO   uint8_t  PFS1                 :1;
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  TEST0                :1;
            __IO   uint8_t  TEST1                :1;
            __IO   uint8_t  RESERVED3            :2;
        };
    };
} stc_adc_pfns_field_t;

typedef struct stc_adc_pccr_field
{
        __IO   uint8_t  PSTR                     :1;
        __IO   uint8_t  PHEN                     :1;
        __IO   uint8_t  PEEN                     :1;
        __IO   uint8_t  ESCE                     :1;
        __IO   uint8_t  PFCLR                    :1;
        __IO   uint8_t  POVR                     :1;
        __IO   uint8_t  PFUL                     :1;
        __IO   uint8_t  PEMP                     :1;
} stc_adc_pccr_field_t;

typedef struct stc_adc_pcfd_fdas1_field
{
    union {
        struct {
            __IO  uint32_t  PC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :3;
            __IO  uint32_t  PD                   :12;
            __IO  uint32_t  RESERVED5            :4;
        };
        struct {
            __IO  uint32_t  PC0                  :1;
            __IO  uint32_t  PC1                  :1;
            __IO  uint32_t  PC2                  :1;
            __IO  uint32_t  PC3                  :1;
            __IO  uint32_t  PC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RS2                  :1;
            __IO  uint32_t  RESERVED4            :5;
            __IO  uint32_t  PD0                  :1;
            __IO  uint32_t  PD1                  :1;
            __IO  uint32_t  PD2                  :1;
            __IO  uint32_t  PD3                  :1;
            __IO  uint32_t  PD4                  :1;
            __IO  uint32_t  PD5                  :1;
            __IO  uint32_t  PD6                  :1;
            __IO  uint32_t  PD7                  :1;
            __IO  uint32_t  PD8                  :1;
            __IO  uint32_t  PD9                  :1;
            __IO  uint32_t  PD10                 :1;
            __IO  uint32_t  PD11                 :1;
            __IO  uint32_t  RESERVED6            :4;
        };
    };
} stc_adc_pcfd_fdas1_field_t;

typedef struct stc_adc_pcfd_field
{
    union {
        struct {
            __IO  uint32_t  PC                   :5;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  RS                   :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  INVL                 :1;
            __IO  uint32_t  RESERVED3            :7;
            __IO  uint32_t  PD                   :12;
        };
        struct {
            __IO  uint32_t  PC0                  :1;
            __IO  uint32_t  PC1                  :1;
            __IO  uint32_t  PC2                  :1;
            __IO  uint32_t  PC3                  :1;
            __IO  uint32_t  PC4                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  RS0                  :1;
            __IO  uint32_t  RS1                  :1;
            __IO  uint32_t  RS2                  :1;
            __IO  uint32_t  RESERVED4            :9;
            __IO  uint32_t  PD0                  :1;
            __IO  uint32_t  PD1                  :1;
            __IO  uint32_t  PD2                  :1;
            __IO  uint32_t  PD3                  :1;
            __IO  uint32_t  PD4                  :1;
            __IO  uint32_t  PD5                  :1;
            __IO  uint32_t  PD6                  :1;
            __IO  uint32_t  PD7                  :1;
            __IO  uint32_t  PD8                  :1;
            __IO  uint32_t  PD9                  :1;
            __IO  uint32_t  PD10                 :1;
            __IO  uint32_t  PD11                 :1;
        };
    };
} stc_adc_pcfd_field_t;

typedef struct stc_adc_pcis_field
{
    union {
        struct {
            __IO   uint8_t  P1A                  :3;
            __IO   uint8_t  P2A                  :5;
        };
        struct {
            __IO   uint8_t  P1A0                 :1;
            __IO   uint8_t  P1A1                 :1;
            __IO   uint8_t  P1A2                 :1;
            __IO   uint8_t  P2A0                 :1;
            __IO   uint8_t  P2A1                 :1;
            __IO   uint8_t  P2A2                 :1;
            __IO   uint8_t  P2A3                 :1;
            __IO   uint8_t  P2A4                 :1;
        };
    };
} stc_adc_pcis_field_t;

typedef struct stc_adc_cmpcr_field
{
    union {
        struct {
            __IO   uint8_t  CCH                  :5;
            __IO   uint8_t  CMD0                 :1;
            __IO   uint8_t  CMD1                 :1;
            __IO   uint8_t  CMPEN                :1;
        };
        struct {
            __IO   uint8_t  CCH0                 :1;
            __IO   uint8_t  CCH1                 :1;
            __IO   uint8_t  CCH2                 :1;
            __IO   uint8_t  CCH3                 :1;
            __IO   uint8_t  CCH4                 :1;
            __IO   uint8_t  RESERVED0            :3;
        };
    };
} stc_adc_cmpcr_field_t;

typedef struct stc_adc_cmpd_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  CMAD                 :10;
        };
        struct {
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  CMAD0                :1;
            __IO  uint16_t  CMAD1                :1;
            __IO  uint16_t  CMAD2                :1;
            __IO  uint16_t  CMAD3                :1;
            __IO  uint16_t  CMAD4                :1;
            __IO  uint16_t  CMAD5                :1;
            __IO  uint16_t  CMAD6                :1;
            __IO  uint16_t  CMAD7                :1;
            __IO  uint16_t  CMAD8                :1;
            __IO  uint16_t  CMAD9                :1;
        };
    };
} stc_adc_cmpd_field_t;

typedef struct stc_adc_adss23_field
{
        __IO  uint16_t  TS16                     :1;
        __IO  uint16_t  TS17                     :1;
        __IO  uint16_t  TS18                     :1;
        __IO  uint16_t  TS19                     :1;
        __IO  uint16_t  TS20                     :1;
        __IO  uint16_t  TS21                     :1;
        __IO  uint16_t  TS22                     :1;
        __IO  uint16_t  TS23                     :1;
        __IO  uint16_t  TS24                     :1;
        __IO  uint16_t  TS25                     :1;
        __IO  uint16_t  TS26                     :1;
        __IO  uint16_t  TS27                     :1;
        __IO  uint16_t  TS28                     :1;
        __IO  uint16_t  TS29                     :1;
        __IO  uint16_t  TS30                     :1;
        __IO  uint16_t  TS31                     :1;
} stc_adc_adss23_field_t;

typedef struct stc_adc_adss01_field
{
        __IO  uint16_t  TS0                      :1;
        __IO  uint16_t  TS1                      :1;
        __IO  uint16_t  TS2                      :1;
        __IO  uint16_t  TS3                      :1;
        __IO  uint16_t  TS4                      :1;
        __IO  uint16_t  TS5                      :1;
        __IO  uint16_t  TS6                      :1;
        __IO  uint16_t  TS7                      :1;
        __IO  uint16_t  TS8                      :1;
        __IO  uint16_t  TS9                      :1;
        __IO  uint16_t  TS10                     :1;
        __IO  uint16_t  TS11                     :1;
        __IO  uint16_t  TS12                     :1;
        __IO  uint16_t  TS13                     :1;
        __IO  uint16_t  TS14                     :1;
        __IO  uint16_t  TS15                     :1;
} stc_adc_adss01_field_t;

typedef struct stc_adc_adst01_field
{
    union {
        struct {
            __IO  uint16_t  ST1                  :5;
            __IO  uint16_t  STX1                 :3;
            __IO  uint16_t  ST0                  :5;
            __IO  uint16_t  STX0                 :3;
        };
        struct {
            __IO  uint16_t  ST10                 :1;
            __IO  uint16_t  ST11                 :1;
            __IO  uint16_t  ST12                 :1;
            __IO  uint16_t  ST13                 :1;
            __IO  uint16_t  ST14                 :1;
            __IO  uint16_t  STX10                :1;
            __IO  uint16_t  STX11                :1;
            __IO  uint16_t  STX12                :1;
            __IO  uint16_t  ST00                 :1;
            __IO  uint16_t  ST01                 :1;
            __IO  uint16_t  ST02                 :1;
            __IO  uint16_t  ST03                 :1;
            __IO  uint16_t  ST04                 :1;
            __IO  uint16_t  STX00                :1;
            __IO  uint16_t  STX01                :1;
            __IO  uint16_t  STX02                :1;
        };
    };
} stc_adc_adst01_field_t;

typedef struct stc_adc_adct_field
{
    union {
        struct {
            __IO   uint8_t  CT                   :8;
        };
        struct {
            __IO   uint8_t  CT0                  :1;
            __IO   uint8_t  CT1                  :1;
            __IO   uint8_t  CT2                  :1;
            __IO   uint8_t  CT3                  :1;
            __IO   uint8_t  CT4                  :1;
            __IO   uint8_t  CT5                  :1;
            __IO   uint8_t  CT6                  :1;
            __IO   uint8_t  CT7                  :1;
        };
    };
} stc_adc_adct_field_t;

typedef struct stc_adc_adcen_field
{
    union {
        struct {
            __IO  uint16_t  ENBL                 :1;
            __IO  uint16_t  READY                :1;
            __IO  uint16_t  RESERVED0            :6;
            __IO  uint16_t  ENBLTIME             :8;
        };
        struct {
            __IO  uint16_t  RESERVED1            :8;
            __IO  uint16_t  ENBLTIME0            :1;
            __IO  uint16_t  ENBLTIME1            :1;
            __IO  uint16_t  ENBLTIME2            :1;
            __IO  uint16_t  ENBLTIME3            :1;
            __IO  uint16_t  ENBLTIME4            :1;
            __IO  uint16_t  ENBLTIME5            :1;
            __IO  uint16_t  ENBLTIME6            :1;
            __IO  uint16_t  ENBLTIME7            :1;
        };
    };
} stc_adc_adcen_field_t;

/******************************************************************************
 ** BT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_bt_tmcr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  STRG             :1;
                __IO  uint16_t  CTEN             :1;
                __IO  uint16_t  MDSE             :1;
                __IO  uint16_t  OSEL             :1;
                __IO  uint16_t  FMD              :3;
                __IO  uint16_t  RESERVED1        :1;
                __IO  uint16_t  EGS              :2;
                __IO  uint16_t  PMSK             :1;
                __IO  uint16_t  RTGEN            :1;
                __IO  uint16_t  CKS              :3;
                __IO  uint16_t  RESERVED4        :1;
            };
            struct {
                __IO  uint16_t  RESERVED0        :4;
                __IO  uint16_t  FMD0             :1;
                __IO  uint16_t  FMD1             :1;
                __IO  uint16_t  FMD2             :1;
                __IO  uint16_t  RESERVED2        :1;
                __IO  uint16_t  EGS0             :1;
                __IO  uint16_t  EGS1             :1;
                __IO  uint16_t  RESERVED3        :2;
                __IO  uint16_t  CKS0             :1;
                __IO  uint16_t  CKS1             :1;
                __IO  uint16_t  CKS2             :1;
                __IO  uint16_t  RESERVED5        :1;
            };
        };
        union {
            struct {
                __IO  uint16_t  RESERVED6        :7;
                __IO  uint16_t  T32              :1;
                __IO  uint16_t  RESERVED7        :8;
            };
            struct {
                __IO  uint16_t  RESERVED8        :16;
            };
        };
    };
} stc_bt_tmcr_field_t;

typedef struct stc_bt_stc_field
{
    union {
        struct {
            __IO   uint8_t  UDIR                 :1;
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  TGIR                 :1;
            __IO   uint8_t  RESERVED1            :1;
            __IO   uint8_t  UDIE                 :1;
            __IO   uint8_t  RESERVED2            :1;
            __IO   uint8_t  TGIE                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  OVIR                 :1;
            __IO   uint8_t  RESERVED5            :1;
            __IO   uint8_t  EDIR                 :1;
            __IO   uint8_t  RESERVED6            :1;
            __IO   uint8_t  OVIE                 :1;
            __IO   uint8_t  RESERVED7            :1;
            __IO   uint8_t  EDIE                 :1;
            __IO   uint8_t  ERR                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED9            :1;
            __IO   uint8_t  DTIR                 :1;
            __IO   uint8_t  RESERVED10           :3;
            __IO   uint8_t  DTIE                 :1;
            __IO   uint8_t  RESERVED11           :2;
        };
    };
} stc_bt_stc_field_t;

typedef struct stc_bt_tmcr2_field
{
    union {
        struct {
            __IO   uint8_t  CKS3                 :1;
            __IO   uint8_t  RESERVED0            :7;
        };
    };
} stc_bt_tmcr2_field_t;

typedef struct stc_bt_ppg_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  PMSK                 :1;
            __IO  uint16_t  RTGEN                :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED4            :1;
        };
        struct {
            __IO  uint16_t  RESERVED0            :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED2            :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED3            :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED5            :1;
        };
    };
} stc_bt_ppg_tmcr_field_t;

typedef struct stc_bt_pwc_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED6            :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  RESERVED7            :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  T32                  :1;
            __IO  uint16_t  EGS                  :3;
            __IO  uint16_t  RESERVED10           :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED12           :1;
        };
        struct {
            __IO  uint16_t  RESERVED8            :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED9            :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  EGS2                 :1;
            __IO  uint16_t  RESERVED11           :1;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED13           :1;
        };
    };
} stc_bt_pwc_tmcr_field_t;

typedef struct stc_bt_pwm_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  RESERVED15           :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  PMSK                 :1;
            __IO  uint16_t  RTGEN                :1;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED18           :1;
        };
        struct {
            __IO  uint16_t  RESERVED14           :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED16           :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED17           :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED19           :1;
        };
    };
} stc_bt_pwm_tmcr_field_t;

typedef struct stc_bt_rt_tmcr_field
{
    union {
        struct {
            __IO  uint16_t  STRG                 :1;
            __IO  uint16_t  CTEN                 :1;
            __IO  uint16_t  MDSE                 :1;
            __IO  uint16_t  OSEL                 :1;
            __IO  uint16_t  FMD                  :3;
            __IO  uint16_t  T32                  :1;
            __IO  uint16_t  EGS                  :2;
            __IO  uint16_t  RESERVED22           :2;
            __IO  uint16_t  CKS                  :3;
            __IO  uint16_t  RESERVED24           :1;
        };
        struct {
            __IO  uint16_t  RESERVED20           :4;
            __IO  uint16_t  FMD0                 :1;
            __IO  uint16_t  FMD1                 :1;
            __IO  uint16_t  FMD2                 :1;
            __IO  uint16_t  RESERVED21           :1;
            __IO  uint16_t  EGS0                 :1;
            __IO  uint16_t  EGS1                 :1;
            __IO  uint16_t  RESERVED23           :2;
            __IO  uint16_t  CKS0                 :1;
            __IO  uint16_t  CKS1                 :1;
            __IO  uint16_t  CKS2                 :1;
            __IO  uint16_t  RESERVED25           :1;
        };
    };
} stc_bt_rt_tmcr_field_t;

typedef struct stc_bt_ppg_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED1                :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  RESERVED2                :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED3                :1;
} stc_bt_ppg_stc_field_t;

typedef struct stc_bt_pwc_stc_field
{
        __IO   uint8_t  OVIR                     :1;
        __IO   uint8_t  RESERVED5                :1;
        __IO   uint8_t  EDIR                     :1;
        __IO   uint8_t  RESERVED6                :1;
        __IO   uint8_t  OVIE                     :1;
        __IO   uint8_t  RESERVED7                :1;
        __IO   uint8_t  EDIE                     :1;
        __IO   uint8_t  ERR                      :1;
} stc_bt_pwc_stc_field_t;

typedef struct stc_bt_pwm_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  DTIR                     :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED9                :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  DTIE                     :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED10               :1;
} stc_bt_pwm_stc_field_t;

typedef struct stc_bt_rt_stc_field
{
        __IO   uint8_t  UDIR                     :1;
        __IO   uint8_t  RESERVED12               :1;
        __IO   uint8_t  TGIR                     :1;
        __IO   uint8_t  RESERVED13               :1;
        __IO   uint8_t  UDIE                     :1;
        __IO   uint8_t  RESERVED14               :1;
        __IO   uint8_t  TGIE                     :1;
        __IO   uint8_t  RESERVED15               :1;
} stc_bt_rt_stc_field_t;

typedef struct stc_bt_ppg_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_bt_ppg_tmcr2_field_t;

typedef struct stc_bt_pwc_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED2                :7;
} stc_bt_pwc_tmcr2_field_t;

typedef struct stc_bt_pwm_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED4                :7;
} stc_bt_pwm_tmcr2_field_t;

typedef struct stc_bt_rt_tmcr2_field
{
        __IO   uint8_t  CKS3                     :1;
        __IO   uint8_t  RESERVED6                :7;
} stc_bt_rt_tmcr2_field_t;

/******************************************************************************
 ** BTIOSEL03_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_btiosel03_btsel0123_field
{
    union {
        struct {
            __IO   uint8_t  SEL01                :4;
            __IO   uint8_t  SEL23                :4;
        };
        struct {
            __IO   uint8_t  SEL010               :1;
            __IO   uint8_t  SEL011               :1;
            __IO   uint8_t  SEL012               :1;
            __IO   uint8_t  SEL013               :1;
            __IO   uint8_t  SEL230               :1;
            __IO   uint8_t  SEL231               :1;
            __IO   uint8_t  SEL232               :1;
            __IO   uint8_t  SEL233               :1;
        };
    };
} stc_btiosel03_btsel0123_field_t;

/******************************************************************************
 ** BTIOSEL47_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_btiosel47_btsel4567_field
{
    union {
        struct {
            __IO   uint8_t  SEL45                :4;
            __IO   uint8_t  SEL67                :4;
        };
        struct {
            __IO   uint8_t  SEL450               :1;
            __IO   uint8_t  SEL451               :1;
            __IO   uint8_t  SEL452               :1;
            __IO   uint8_t  SEL453               :1;
            __IO   uint8_t  SEL670               :1;
            __IO   uint8_t  SEL671               :1;
            __IO   uint8_t  SEL672               :1;
            __IO   uint8_t  SEL673               :1;
        };
    };
} stc_btiosel47_btsel4567_field_t;

/******************************************************************************
 ** CRC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crc_crccr_field
{
        __IO   uint8_t  INIT                     :1;
        __IO   uint8_t  CRC32                    :1;
        __IO   uint8_t  LTLEND                   :1;
        __IO   uint8_t  LSBFST                   :1;
        __IO   uint8_t  CRCLTE                   :1;
        __IO   uint8_t  CRCLSF                   :1;
        __IO   uint8_t  FXOR                     :1;
        __IO   uint8_t  RESERVED0                :1;
} stc_crc_crccr_field_t;

typedef struct stc_crc_crcinit_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcinit_field_t;

typedef struct stc_crc_crcin_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcin_field_t;

typedef struct stc_crc_crcr_field
{
    union {
        struct {
            __IO  uint32_t  D                    :32;
        };
        struct {
            __IO  uint32_t  D0                   :1;
            __IO  uint32_t  D1                   :1;
            __IO  uint32_t  D2                   :1;
            __IO  uint32_t  D3                   :1;
            __IO  uint32_t  D4                   :1;
            __IO  uint32_t  D5                   :1;
            __IO  uint32_t  D6                   :1;
            __IO  uint32_t  D7                   :1;
            __IO  uint32_t  D8                   :1;
            __IO  uint32_t  D9                   :1;
            __IO  uint32_t  D10                  :1;
            __IO  uint32_t  D11                  :1;
            __IO  uint32_t  D12                  :1;
            __IO  uint32_t  D13                  :1;
            __IO  uint32_t  D14                  :1;
            __IO  uint32_t  D15                  :1;
            __IO  uint32_t  D16                  :1;
            __IO  uint32_t  D17                  :1;
            __IO  uint32_t  D18                  :1;
            __IO  uint32_t  D19                  :1;
            __IO  uint32_t  D20                  :1;
            __IO  uint32_t  D21                  :1;
            __IO  uint32_t  D22                  :1;
            __IO  uint32_t  D23                  :1;
            __IO  uint32_t  D24                  :1;
            __IO  uint32_t  D25                  :1;
            __IO  uint32_t  D26                  :1;
            __IO  uint32_t  D27                  :1;
            __IO  uint32_t  D28                  :1;
            __IO  uint32_t  D29                  :1;
            __IO  uint32_t  D30                  :1;
            __IO  uint32_t  D31                  :1;
        };
    };
} stc_crc_crcr_field_t;

/******************************************************************************
 ** CRG_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crg_scm_ctl_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MOSCE                :1;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  SOSCE                :1;
            __IO  uint32_t  PLLE                 :1;
            __IO  uint32_t  RCS                  :3;
            __IO  uint32_t  RESERVED3            :24;
        };
        struct {
            __IO  uint32_t  RESERVED2            :5;
            __IO  uint32_t  RCS0                 :1;
            __IO  uint32_t  RCS1                 :1;
            __IO  uint32_t  RCS2                 :1;
            __IO  uint32_t  RESERVED4            :24;
        };
    };
} stc_crg_scm_ctl_field_t;

typedef struct stc_crg_scm_str_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MORDY                :1;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  SORDY                :1;
            __IO  uint32_t  PLRDY                :1;
            __IO  uint32_t  RCM                  :3;
            __IO  uint32_t  RESERVED3            :24;
        };
        struct {
            __IO  uint32_t  RESERVED2            :5;
            __IO  uint32_t  RCM0                 :1;
            __IO  uint32_t  RCM1                 :1;
            __IO  uint32_t  RCM2                 :1;
            __IO  uint32_t  RESERVED4            :24;
        };
    };
} stc_crg_scm_str_field_t;

typedef struct stc_crg_stb_ctl_field
{
    union {
        struct {
            __IO  uint32_t  STM                  :2;
            __IO  uint32_t  DSTM                 :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  SPL                  :1;
            __IO  uint32_t  RESERVED1            :11;
            __IO  uint32_t  KEY                  :16;
        };
        struct {
            __IO  uint32_t  STM0                 :1;
            __IO  uint32_t  STM1                 :1;
            __IO  uint32_t  RESERVED2            :14;
            __IO  uint32_t  KEY0                 :1;
            __IO  uint32_t  KEY1                 :1;
            __IO  uint32_t  KEY2                 :1;
            __IO  uint32_t  KEY3                 :1;
            __IO  uint32_t  KEY4                 :1;
            __IO  uint32_t  KEY5                 :1;
            __IO  uint32_t  KEY6                 :1;
            __IO  uint32_t  KEY7                 :1;
            __IO  uint32_t  KEY8                 :1;
            __IO  uint32_t  KEY9                 :1;
            __IO  uint32_t  KEY10                :1;
            __IO  uint32_t  KEY11                :1;
            __IO  uint32_t  KEY12                :1;
            __IO  uint32_t  KEY13                :1;
            __IO  uint32_t  KEY14                :1;
            __IO  uint32_t  KEY15                :1;
        };
    };
} stc_crg_stb_ctl_field_t;

typedef struct stc_crg_rst_str_field
{
        __IO  uint32_t  PONR                     :1;
        __IO  uint32_t  INITX                    :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  SWDT                     :1;
        __IO  uint32_t  HWDT                     :1;
        __IO  uint32_t  CSVR                     :1;
        __IO  uint32_t  FCSR                     :1;
        __IO  uint32_t  SRST                     :1;
        __IO  uint32_t  RESERVED1                :23;
} stc_crg_rst_str_field_t;

typedef struct stc_crg_bsc_psr_field
{
    union {
        struct {
            __IO  uint32_t  BSR                  :3;
            __IO  uint32_t  RESERVED0            :29;
        };
        struct {
            __IO  uint32_t  BSR0                 :1;
            __IO  uint32_t  BSR1                 :1;
            __IO  uint32_t  BSR2                 :1;
            __IO  uint32_t  RESERVED1            :29;
        };
    };
} stc_crg_bsc_psr_field_t;

typedef struct stc_crg_apbc0_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC0                :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  APBC00               :1;
            __IO  uint32_t  APBC01               :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_crg_apbc0_psr_field_t;

typedef struct stc_crg_apbc1_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC1                :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  APBC1RST             :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  APBC1EN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  APBC10               :1;
            __IO  uint32_t  APBC11               :1;
            __IO  uint32_t  RESERVED3            :30;
        };
    };
} stc_crg_apbc1_psr_field_t;

typedef struct stc_crg_apbc2_psr_field
{
    union {
        struct {
            __IO  uint32_t  APBC2                :2;
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  APBC2RST             :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  APBC2EN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  APBC20               :1;
            __IO  uint32_t  APBC21               :1;
            __IO  uint32_t  RESERVED3            :30;
        };
    };
} stc_crg_apbc2_psr_field_t;

typedef struct stc_crg_swc_psr_field
{
    union {
        struct {
            __IO  uint32_t  SWDS                 :2;
            __IO  uint32_t  RESERVED0            :5;
            __IO  uint32_t  TESTB                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
        struct {
            __IO  uint32_t  SWDS0                :1;
            __IO  uint32_t  SWDS1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_crg_swc_psr_field_t;

typedef struct stc_crg_ttc_psr_field
{
    union {
        struct {
            __IO  uint32_t  TTC                  :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  TTC0                 :1;
            __IO  uint32_t  TTC1                 :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_crg_ttc_psr_field_t;

typedef struct stc_crg_csw_tmr_field
{
    union {
        struct {
            __IO  uint32_t  MOWT                 :4;
            __IO  uint32_t  SOWT                 :3;
            __IO  uint32_t  RESERVED0            :25;
        };
        struct {
            __IO  uint32_t  MOWT0                :1;
            __IO  uint32_t  MOWT1                :1;
            __IO  uint32_t  MOWT2                :1;
            __IO  uint32_t  MOWT3                :1;
            __IO  uint32_t  SOWT0                :1;
            __IO  uint32_t  SOWT1                :1;
            __IO  uint32_t  SOWT2                :1;
            __IO  uint32_t  RESERVED1            :25;
        };
    };
} stc_crg_csw_tmr_field_t;

typedef struct stc_crg_psw_tmr_field
{
    union {
        struct {
            __IO  uint32_t  POWT                 :3;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  PINC                 :1;
            __IO  uint32_t  RESERVED1            :27;
        };
        struct {
            __IO  uint32_t  POWT0                :1;
            __IO  uint32_t  POWT1                :1;
            __IO  uint32_t  POWT2                :1;
            __IO  uint32_t  RESERVED2            :29;
        };
    };
} stc_crg_psw_tmr_field_t;

typedef struct stc_crg_pll_ctl1_field
{
    union {
        struct {
            __IO  uint32_t  PLLM                 :4;
            __IO  uint32_t  PLLK                 :4;
            __IO  uint32_t  RESERVED0            :24;
        };
        struct {
            __IO  uint32_t  PLLM0                :1;
            __IO  uint32_t  PLLM1                :1;
            __IO  uint32_t  PLLM2                :1;
            __IO  uint32_t  PLLM3                :1;
            __IO  uint32_t  PLLK0                :1;
            __IO  uint32_t  PLLK1                :1;
            __IO  uint32_t  PLLK2                :1;
            __IO  uint32_t  PLLK3                :1;
            __IO  uint32_t  RESERVED1            :24;
        };
    };
} stc_crg_pll_ctl1_field_t;

typedef struct stc_crg_pll_ctl2_field
{
    union {
        struct {
            __IO  uint32_t  PLLN                 :6;
            __IO  uint32_t  RESERVED0            :26;
        };
        struct {
            __IO  uint32_t  PLLN0                :1;
            __IO  uint32_t  PLLN1                :1;
            __IO  uint32_t  PLLN2                :1;
            __IO  uint32_t  PLLN3                :1;
            __IO  uint32_t  PLLN4                :1;
            __IO  uint32_t  PLLN5                :1;
            __IO  uint32_t  RESERVED1            :26;
        };
    };
} stc_crg_pll_ctl2_field_t;

typedef struct stc_crg_csv_ctl_field
{
    union {
        struct {
            __IO  uint32_t  MCSVE                :1;
            __IO  uint32_t  SCSVE                :1;
            __IO  uint32_t  RESERVED0            :6;
            __IO  uint32_t  FCSDE                :1;
            __IO  uint32_t  FCSRE                :1;
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  FCD                  :3;
            __IO  uint32_t  RESERVED3            :17;
        };
        struct {
            __IO  uint32_t  RESERVED2            :12;
            __IO  uint32_t  FCD0                 :1;
            __IO  uint32_t  FCD1                 :1;
            __IO  uint32_t  FCD2                 :1;
            __IO  uint32_t  RESERVED4            :17;
        };
    };
} stc_crg_csv_ctl_field_t;

typedef struct stc_crg_csv_str_field
{
        __IO  uint32_t  MCMF                     :1;
        __IO  uint32_t  SCMF                     :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_crg_csv_str_field_t;

typedef struct stc_crg_fcswh_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWH                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWH0                 :1;
            __IO  uint32_t  FWH1                 :1;
            __IO  uint32_t  FWH2                 :1;
            __IO  uint32_t  FWH3                 :1;
            __IO  uint32_t  FWH4                 :1;
            __IO  uint32_t  FWH5                 :1;
            __IO  uint32_t  FWH6                 :1;
            __IO  uint32_t  FWH7                 :1;
            __IO  uint32_t  FWH8                 :1;
            __IO  uint32_t  FWH9                 :1;
            __IO  uint32_t  FWH10                :1;
            __IO  uint32_t  FWH11                :1;
            __IO  uint32_t  FWH12                :1;
            __IO  uint32_t  FWH13                :1;
            __IO  uint32_t  FWH14                :1;
            __IO  uint32_t  FWH15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswh_ctl_field_t;

typedef struct stc_crg_fcswl_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWL                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWL0                 :1;
            __IO  uint32_t  FWL1                 :1;
            __IO  uint32_t  FWL2                 :1;
            __IO  uint32_t  FWL3                 :1;
            __IO  uint32_t  FWL4                 :1;
            __IO  uint32_t  FWL5                 :1;
            __IO  uint32_t  FWL6                 :1;
            __IO  uint32_t  FWL7                 :1;
            __IO  uint32_t  FWL8                 :1;
            __IO  uint32_t  FWL9                 :1;
            __IO  uint32_t  FWL10                :1;
            __IO  uint32_t  FWL11                :1;
            __IO  uint32_t  FWL12                :1;
            __IO  uint32_t  FWL13                :1;
            __IO  uint32_t  FWL14                :1;
            __IO  uint32_t  FWL15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswl_ctl_field_t;

typedef struct stc_crg_fcswd_ctl_field
{
    union {
        struct {
            __IO  uint32_t  FWD                  :16;
            __IO  uint32_t  RESERVED0            :16;
        };
        struct {
            __IO  uint32_t  FWD0                 :1;
            __IO  uint32_t  FWD1                 :1;
            __IO  uint32_t  FWD2                 :1;
            __IO  uint32_t  FWD3                 :1;
            __IO  uint32_t  FWD4                 :1;
            __IO  uint32_t  FWD5                 :1;
            __IO  uint32_t  FWD6                 :1;
            __IO  uint32_t  FWD7                 :1;
            __IO  uint32_t  FWD8                 :1;
            __IO  uint32_t  FWD9                 :1;
            __IO  uint32_t  FWD10                :1;
            __IO  uint32_t  FWD11                :1;
            __IO  uint32_t  FWD12                :1;
            __IO  uint32_t  FWD13                :1;
            __IO  uint32_t  FWD14                :1;
            __IO  uint32_t  FWD15                :1;
            __IO  uint32_t  RESERVED1            :16;
        };
    };
} stc_crg_fcswd_ctl_field_t;

typedef struct stc_crg_dbwdt_ctl_field
{
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  DPSWBE                   :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  DPHWBE                   :1;
        __IO  uint32_t  RESERVED2                :24;
} stc_crg_dbwdt_ctl_field_t;

typedef struct stc_crg_int_enr_field
{
        __IO  uint32_t  MCSE                     :1;
        __IO  uint32_t  SCSE                     :1;
        __IO  uint32_t  PCSE                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSE                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_enr_field_t;

typedef struct stc_crg_int_str_field
{
        __IO  uint32_t  MCSI                     :1;
        __IO  uint32_t  SCSI                     :1;
        __IO  uint32_t  PCSI                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSI                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_str_field_t;

typedef struct stc_crg_int_clr_field
{
        __IO  uint32_t  MCSC                     :1;
        __IO  uint32_t  SCSC                     :1;
        __IO  uint32_t  PCSC                     :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  FCSC                     :1;
        __IO  uint32_t  RESERVED1                :26;
} stc_crg_int_clr_field_t;

/******************************************************************************
 ** CRTRIM_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_crtrim_mcr_psr_field
{
    union {
        struct {
            __IO   uint8_t  CSR                  :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  CSR0                 :1;
            __IO   uint8_t  CSR1                 :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_crtrim_mcr_psr_field_t;

typedef struct stc_crtrim_mcr_ftrm_field
{
    union {
        struct {
            __IO  uint16_t  TRD                  :10;
            __IO  uint16_t  RESERVED0            :6;
        };
        struct {
            __IO  uint16_t  TRD0                 :1;
            __IO  uint16_t  TRD1                 :1;
            __IO  uint16_t  TRD2                 :1;
            __IO  uint16_t  TRD3                 :1;
            __IO  uint16_t  TRD4                 :1;
            __IO  uint16_t  TRD5                 :1;
            __IO  uint16_t  TRD6                 :1;
            __IO  uint16_t  TRD7                 :1;
            __IO  uint16_t  TRD8                 :1;
            __IO  uint16_t  TRD9                 :1;
            __IO  uint16_t  RESERVED1            :6;
        };
    };
} stc_crtrim_mcr_ftrm_field_t;

typedef struct stc_crtrim_mcr_rlr_field
{
    union {
        struct {
            __IO  uint32_t  TRMLCK               :32;
        };
        struct {
            __IO  uint32_t  TRMLCK0              :1;
            __IO  uint32_t  TRMLCK1              :1;
            __IO  uint32_t  TRMLCK2              :1;
            __IO  uint32_t  TRMLCK3              :1;
            __IO  uint32_t  TRMLCK4              :1;
            __IO  uint32_t  TRMLCK5              :1;
            __IO  uint32_t  TRMLCK6              :1;
            __IO  uint32_t  TRMLCK7              :1;
            __IO  uint32_t  TRMLCK8              :1;
            __IO  uint32_t  TRMLCK9              :1;
            __IO  uint32_t  TRMLCK10             :1;
            __IO  uint32_t  TRMLCK11             :1;
            __IO  uint32_t  TRMLCK12             :1;
            __IO  uint32_t  TRMLCK13             :1;
            __IO  uint32_t  TRMLCK14             :1;
            __IO  uint32_t  TRMLCK15             :1;
            __IO  uint32_t  TRMLCK16             :1;
            __IO  uint32_t  TRMLCK17             :1;
            __IO  uint32_t  TRMLCK18             :1;
            __IO  uint32_t  TRMLCK19             :1;
            __IO  uint32_t  TRMLCK20             :1;
            __IO  uint32_t  TRMLCK21             :1;
            __IO  uint32_t  TRMLCK22             :1;
            __IO  uint32_t  TRMLCK23             :1;
            __IO  uint32_t  TRMLCK24             :1;
            __IO  uint32_t  TRMLCK25             :1;
            __IO  uint32_t  TRMLCK26             :1;
            __IO  uint32_t  TRMLCK27             :1;
            __IO  uint32_t  TRMLCK28             :1;
            __IO  uint32_t  TRMLCK29             :1;
            __IO  uint32_t  TRMLCK30             :1;
            __IO  uint32_t  TRMLCK31             :1;
        };
    };
} stc_crtrim_mcr_rlr_field_t;

/******************************************************************************
 ** DMAC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_dmac_dmacr_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :24;
            __IO  uint32_t  DH                   :4;
            __IO  uint32_t  PR                   :1;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  DS                   :1;
            __IO  uint32_t  DE                   :1;
        };
        struct {
            __IO  uint32_t  RESERVED1            :24;
            __IO  uint32_t  DH0                  :1;
            __IO  uint32_t  DH1                  :1;
            __IO  uint32_t  DH2                  :1;
            __IO  uint32_t  DH3                  :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_dmac_dmacr_field_t;

typedef struct stc_dmac_dmaca0_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca0_field_t;

typedef struct stc_dmac_dmacb0_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb0_field_t;

typedef struct stc_dmac_dmaca1_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca1_field_t;

typedef struct stc_dmac_dmacb1_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb1_field_t;

typedef struct stc_dmac_dmaca2_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca2_field_t;

typedef struct stc_dmac_dmacb2_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb2_field_t;

typedef struct stc_dmac_dmaca3_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca3_field_t;

typedef struct stc_dmac_dmacb3_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb3_field_t;

typedef struct stc_dmac_dmaca4_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca4_field_t;

typedef struct stc_dmac_dmacb4_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb4_field_t;

typedef struct stc_dmac_dmaca5_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca5_field_t;

typedef struct stc_dmac_dmacb5_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb5_field_t;

typedef struct stc_dmac_dmaca6_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca6_field_t;

typedef struct stc_dmac_dmacb6_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb6_field_t;

typedef struct stc_dmac_dmaca7_field
{
    union {
        struct {
            __IO  uint32_t  TC                   :16;
            __IO  uint32_t  BC                   :4;
            __IO  uint32_t  RESERVED0            :3;
            __IO  uint32_t  IS                   :6;
            __IO  uint32_t  ST                   :1;
            __IO  uint32_t  PB                   :1;
            __IO  uint32_t  EB                   :1;
        };
        struct {
            __IO  uint32_t  TC0                  :1;
            __IO  uint32_t  TC1                  :1;
            __IO  uint32_t  TC2                  :1;
            __IO  uint32_t  TC3                  :1;
            __IO  uint32_t  TC4                  :1;
            __IO  uint32_t  TC5                  :1;
            __IO  uint32_t  TC6                  :1;
            __IO  uint32_t  TC7                  :1;
            __IO  uint32_t  TC8                  :1;
            __IO  uint32_t  TC9                  :1;
            __IO  uint32_t  TC10                 :1;
            __IO  uint32_t  TC11                 :1;
            __IO  uint32_t  TC12                 :1;
            __IO  uint32_t  TC13                 :1;
            __IO  uint32_t  TC14                 :1;
            __IO  uint32_t  TC15                 :1;
            __IO  uint32_t  BC0                  :1;
            __IO  uint32_t  BC1                  :1;
            __IO  uint32_t  BC2                  :1;
            __IO  uint32_t  BC3                  :1;
            __IO  uint32_t  RESERVED1            :3;
            __IO  uint32_t  IS0                  :1;
            __IO  uint32_t  IS1                  :1;
            __IO  uint32_t  IS2                  :1;
            __IO  uint32_t  IS3                  :1;
            __IO  uint32_t  IS4                  :1;
            __IO  uint32_t  IS5                  :1;
            __IO  uint32_t  RESERVED2            :3;
        };
    };
} stc_dmac_dmaca7_field_t;

typedef struct stc_dmac_dmacb7_field
{
    union {
        struct {
            __IO  uint32_t  EM                   :1;
            __IO  uint32_t  RESERVED0            :15;
            __IO  uint32_t  SS                   :3;
            __IO  uint32_t  CI                   :1;
            __IO  uint32_t  EI                   :1;
            __IO  uint32_t  RD                   :1;
            __IO  uint32_t  RS                   :1;
            __IO  uint32_t  RC                   :1;
            __IO  uint32_t  FD                   :1;
            __IO  uint32_t  FS                   :1;
            __IO  uint32_t  TW                   :2;
            __IO  uint32_t  MS                   :2;
            __IO  uint32_t  RESERVED3            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :16;
            __IO  uint32_t  SS0                  :1;
            __IO  uint32_t  SS1                  :1;
            __IO  uint32_t  SS2                  :1;
            __IO  uint32_t  RESERVED2            :7;
            __IO  uint32_t  TW0                  :1;
            __IO  uint32_t  TW1                  :1;
            __IO  uint32_t  MS0                  :1;
            __IO  uint32_t  MS1                  :1;
            __IO  uint32_t  RESERVED4            :2;
        };
    };
} stc_dmac_dmacb7_field_t;

/******************************************************************************
 ** DS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_ds_reg_ctl_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  ISUBSEL              :2;
            __IO   uint8_t  RESERVED2            :5;
        };
        struct {
            __IO   uint8_t  RESERVED1            :1;
            __IO   uint8_t  ISUBSEL0             :1;
            __IO   uint8_t  ISUBSEL1             :1;
            __IO   uint8_t  RESERVED3            :5;
        };
    };
} stc_ds_reg_ctl_field_t;

typedef struct stc_ds_rck_ctl_field
{
        __IO   uint8_t  RTCCKE                   :1;
        __IO   uint8_t  CECCKE                   :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_ds_rck_ctl_field_t;

typedef struct stc_ds_pmd_ctl_field
{
        __IO   uint8_t  RTCE                     :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_ds_pmd_ctl_field_t;

typedef struct stc_ds_wrfsr_field
{
        __IO   uint8_t  WINITX                   :1;
        __IO   uint8_t  WLVDH                    :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_ds_wrfsr_field_t;

typedef struct stc_ds_wifsr_field
{
        __IO  uint16_t  WRTCI                    :1;
        __IO  uint16_t  WLVDI                    :1;
        __IO  uint16_t  WUI0                     :1;
        __IO  uint16_t  WUI1                     :1;
        __IO  uint16_t  WUI2                     :1;
        __IO  uint16_t  WUI3                     :1;
        __IO  uint16_t  WUI4                     :1;
        __IO  uint16_t  WUI5                     :1;
        __IO  uint16_t  WCEC0I                   :1;
        __IO  uint16_t  WCEC1I                   :1;
        __IO  uint16_t  RESERVED0                :6;
} stc_ds_wifsr_field_t;

typedef struct stc_ds_wier_field
{
        __IO  uint16_t  WRTCE                    :1;
        __IO  uint16_t  WLVDE                    :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  WUI1E                    :1;
        __IO  uint16_t  WUI2E                    :1;
        __IO  uint16_t  WUI3E                    :1;
        __IO  uint16_t  WUI4E                    :1;
        __IO  uint16_t  WUI5E                    :1;
        __IO  uint16_t  WCEC0E                   :1;
        __IO  uint16_t  WCEC1E                   :1;
        __IO  uint16_t  RESERVED1                :6;
} stc_ds_wier_field_t;

typedef struct stc_ds_wilvr_field
{
        __IO   uint8_t  WUI1LV                   :1;
        __IO   uint8_t  WUI2LV                   :1;
        __IO   uint8_t  WUI3LV                   :1;
        __IO   uint8_t  WUI4LV                   :1;
        __IO   uint8_t  WUI5LV                   :1;
        __IO   uint8_t  RESERVED0                :3;
} stc_ds_wilvr_field_t;

typedef struct stc_ds_dsramr_field
{
    union {
        struct {
            __IO   uint8_t  SRAMR                :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  SRAMR0               :1;
            __IO   uint8_t  SRAMR1               :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_ds_dsramr_field_t;

/******************************************************************************
 ** DT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_dt_timer1control_field
{
    union {
        struct {
            __IO  uint32_t  ONESHOT              :1;
            __IO  uint32_t  TIMERSIZE            :1;
            __IO  uint32_t  TIMERPRE             :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  INTENABLE            :1;
            __IO  uint32_t  TIMERMODE            :1;
            __IO  uint32_t  TIMEREN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIMERPRE0            :1;
            __IO  uint32_t  TIMERPRE1            :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_dt_timer1control_field_t;

typedef struct stc_dt_timer1ris_field
{
        __IO  uint32_t  TIMER1RIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer1ris_field_t;

typedef struct stc_dt_timer1mis_field
{
        __IO  uint32_t  TIMER1MIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer1mis_field_t;

typedef struct stc_dt_timer2control_field
{
    union {
        struct {
            __IO  uint32_t  ONESHOT              :1;
            __IO  uint32_t  TIMERSIZE            :1;
            __IO  uint32_t  TIMERPRE             :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  INTENABLE            :1;
            __IO  uint32_t  TIMERMODE            :1;
            __IO  uint32_t  TIMEREN              :1;
            __IO  uint32_t  RESERVED2            :24;
        };
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIMERPRE0            :1;
            __IO  uint32_t  TIMERPRE1            :1;
            __IO  uint32_t  RESERVED3            :28;
        };
    };
} stc_dt_timer2control_field_t;

typedef struct stc_dt_timer2ris_field
{
        __IO  uint32_t  TIMER2RIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer2ris_field_t;

typedef struct stc_dt_timer2mis_field
{
        __IO  uint32_t  TIMER2MIS                :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_dt_timer2mis_field_t;

/******************************************************************************
 ** EXBUS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_exbus_mode0_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode0_field_t;

typedef struct stc_exbus_mode1_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode1_field_t;

typedef struct stc_exbus_mode2_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode2_field_t;

typedef struct stc_exbus_mode3_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode3_field_t;

typedef struct stc_exbus_mode4_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode4_field_t;

typedef struct stc_exbus_mode5_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode5_field_t;

typedef struct stc_exbus_mode6_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode6_field_t;

typedef struct stc_exbus_mode7_field
{
    union {
        struct {
            __IO  uint32_t  WDTH                 :2;
            __IO  uint32_t  RBMON                :1;
            __IO  uint32_t  WEOFF                :1;
            __IO  uint32_t  NAND                 :1;
            __IO  uint32_t  PAGE                 :1;
            __IO  uint32_t  RDY                  :1;
            __IO  uint32_t  SHRTDOUT             :1;
            __IO  uint32_t  MPXMODE              :1;
            __IO  uint32_t  ALEINV               :1;
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  MPXDOFF              :1;
            __IO  uint32_t  MPXCSOF              :1;
            __IO  uint32_t  MOEXEUP              :1;
            __IO  uint32_t  RESERVED1            :18;
        };
        struct {
            __IO  uint32_t  WDTH0                :1;
            __IO  uint32_t  WDTH1                :1;
            __IO  uint32_t  RESERVED2            :30;
        };
    };
} stc_exbus_mode7_field_t;

typedef struct stc_exbus_tim0_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim0_field_t;

typedef struct stc_exbus_tim1_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim1_field_t;

typedef struct stc_exbus_tim2_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim2_field_t;

typedef struct stc_exbus_tim3_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim3_field_t;

typedef struct stc_exbus_tim4_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim4_field_t;

typedef struct stc_exbus_tim5_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim5_field_t;

typedef struct stc_exbus_tim6_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim6_field_t;

typedef struct stc_exbus_tim7_field
{
    union {
        struct {
            __IO  uint32_t  RACC                 :4;
            __IO  uint32_t  RADC                 :4;
            __IO  uint32_t  FRADC                :4;
            __IO  uint32_t  RIDLC                :4;
            __IO  uint32_t  WACC                 :4;
            __IO  uint32_t  WADC                 :4;
            __IO  uint32_t  WWEC                 :4;
            __IO  uint32_t  WIDLC                :4;
        };
        struct {
            __IO  uint32_t  RACC0                :1;
            __IO  uint32_t  RACC1                :1;
            __IO  uint32_t  RACC2                :1;
            __IO  uint32_t  RACC3                :1;
            __IO  uint32_t  RADC0                :1;
            __IO  uint32_t  RADC1                :1;
            __IO  uint32_t  RADC2                :1;
            __IO  uint32_t  RADC3                :1;
            __IO  uint32_t  FRADC0               :1;
            __IO  uint32_t  FRADC1               :1;
            __IO  uint32_t  FRADC2               :1;
            __IO  uint32_t  FRADC3               :1;
            __IO  uint32_t  RIDLC0               :1;
            __IO  uint32_t  RIDLC1               :1;
            __IO  uint32_t  RIDLC2               :1;
            __IO  uint32_t  RIDLC3               :1;
            __IO  uint32_t  WACC0                :1;
            __IO  uint32_t  WACC1                :1;
            __IO  uint32_t  WACC2                :1;
            __IO  uint32_t  WACC3                :1;
            __IO  uint32_t  WADC0                :1;
            __IO  uint32_t  WADC1                :1;
            __IO  uint32_t  WADC2                :1;
            __IO  uint32_t  WADC3                :1;
            __IO  uint32_t  WWEC0                :1;
            __IO  uint32_t  WWEC1                :1;
            __IO  uint32_t  WWEC2                :1;
            __IO  uint32_t  WWEC3                :1;
            __IO  uint32_t  WIDLC0               :1;
            __IO  uint32_t  WIDLC1               :1;
            __IO  uint32_t  WIDLC2               :1;
            __IO  uint32_t  WIDLC3               :1;
        };
    };
} stc_exbus_tim7_field_t;

typedef struct stc_exbus_area0_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area0_field_t;

typedef struct stc_exbus_area1_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area1_field_t;

typedef struct stc_exbus_area2_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area2_field_t;

typedef struct stc_exbus_area3_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area3_field_t;

typedef struct stc_exbus_area4_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area4_field_t;

typedef struct stc_exbus_area5_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area5_field_t;

typedef struct stc_exbus_area6_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area6_field_t;

typedef struct stc_exbus_area7_field
{
    union {
        struct {
            __IO  uint32_t  ADDR                 :8;
            __IO  uint32_t  RESERVED0            :8;
            __IO  uint32_t  MASK                 :7;
            __IO  uint32_t  RESERVED2            :9;
        };
        struct {
            __IO  uint32_t  ADDR0                :1;
            __IO  uint32_t  ADDR1                :1;
            __IO  uint32_t  ADDR2                :1;
            __IO  uint32_t  ADDR3                :1;
            __IO  uint32_t  ADDR4                :1;
            __IO  uint32_t  ADDR5                :1;
            __IO  uint32_t  ADDR6                :1;
            __IO  uint32_t  ADDR7                :1;
            __IO  uint32_t  RESERVED1            :8;
            __IO  uint32_t  MASK0                :1;
            __IO  uint32_t  MASK1                :1;
            __IO  uint32_t  MASK2                :1;
            __IO  uint32_t  MASK3                :1;
            __IO  uint32_t  MASK4                :1;
            __IO  uint32_t  MASK5                :1;
            __IO  uint32_t  MASK6                :1;
            __IO  uint32_t  RESERVED3            :9;
        };
    };
} stc_exbus_area7_field_t;

typedef struct stc_exbus_atim0_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim0_field_t;

typedef struct stc_exbus_atim1_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim1_field_t;

typedef struct stc_exbus_atim2_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim2_field_t;

typedef struct stc_exbus_atim3_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim3_field_t;

typedef struct stc_exbus_atim4_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim4_field_t;

typedef struct stc_exbus_atim5_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim5_field_t;

typedef struct stc_exbus_atim6_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim6_field_t;

typedef struct stc_exbus_atim7_field
{
    union {
        struct {
            __IO  uint32_t  ALC                  :4;
            __IO  uint32_t  ALES                 :4;
            __IO  uint32_t  ALEW                 :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ALC0                 :1;
            __IO  uint32_t  ALC1                 :1;
            __IO  uint32_t  ALC2                 :1;
            __IO  uint32_t  ALC3                 :1;
            __IO  uint32_t  ALES0                :1;
            __IO  uint32_t  ALES1                :1;
            __IO  uint32_t  ALES2                :1;
            __IO  uint32_t  ALES3                :1;
            __IO  uint32_t  ALEW0                :1;
            __IO  uint32_t  ALEW1                :1;
            __IO  uint32_t  ALEW2                :1;
            __IO  uint32_t  ALEW3                :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_exbus_atim7_field_t;

typedef struct stc_exbus_dclkr_field
{
    union {
        struct {
            __IO  uint32_t  MDIV                 :4;
            __IO  uint32_t  MCLKON               :1;
            __IO  uint32_t  RESERVED0            :27;
        };
        struct {
            __IO  uint32_t  MDIV0                :1;
            __IO  uint32_t  MDIV1                :1;
            __IO  uint32_t  MDIV2                :1;
            __IO  uint32_t  MDIV3                :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_exbus_dclkr_field_t;

/******************************************************************************
 ** EXTI_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_exti_enir_field
{
        __IO  uint32_t  EN0                      :1;
        __IO  uint32_t  EN1                      :1;
        __IO  uint32_t  EN2                      :1;
        __IO  uint32_t  EN3                      :1;
        __IO  uint32_t  EN4                      :1;
        __IO  uint32_t  EN5                      :1;
        __IO  uint32_t  EN6                      :1;
        __IO  uint32_t  EN7                      :1;
        __IO  uint32_t  EN8                      :1;
        __IO  uint32_t  EN9                      :1;
        __IO  uint32_t  EN10                     :1;
        __IO  uint32_t  EN11                     :1;
        __IO  uint32_t  EN12                     :1;
        __IO  uint32_t  EN13                     :1;
        __IO  uint32_t  EN14                     :1;
        __IO  uint32_t  EN15                     :1;
        __IO  uint32_t  EN16                     :1;
        __IO  uint32_t  EN17                     :1;
        __IO  uint32_t  EN18                     :1;
        __IO  uint32_t  EN19                     :1;
        __IO  uint32_t  EN20                     :1;
        __IO  uint32_t  EN21                     :1;
        __IO  uint32_t  EN22                     :1;
        __IO  uint32_t  EN23                     :1;
        __IO  uint32_t  EN24                     :1;
        __IO  uint32_t  EN25                     :1;
        __IO  uint32_t  EN26                     :1;
        __IO  uint32_t  EN27                     :1;
        __IO  uint32_t  EN28                     :1;
        __IO  uint32_t  EN29                     :1;
        __IO  uint32_t  EN30                     :1;
        __IO  uint32_t  EN31                     :1;
} stc_exti_enir_field_t;

typedef struct stc_exti_eirr_field
{
        __IO  uint32_t  ER0                      :1;
        __IO  uint32_t  ER1                      :1;
        __IO  uint32_t  ER2                      :1;
        __IO  uint32_t  ER3                      :1;
        __IO  uint32_t  ER4                      :1;
        __IO  uint32_t  ER5                      :1;
        __IO  uint32_t  ER6                      :1;
        __IO  uint32_t  ER7                      :1;
        __IO  uint32_t  ER8                      :1;
        __IO  uint32_t  ER9                      :1;
        __IO  uint32_t  ER10                     :1;
        __IO  uint32_t  ER11                     :1;
        __IO  uint32_t  ER12                     :1;
        __IO  uint32_t  ER13                     :1;
        __IO  uint32_t  ER14                     :1;
        __IO  uint32_t  ER15                     :1;
        __IO  uint32_t  ER16                     :1;
        __IO  uint32_t  ER17                     :1;
        __IO  uint32_t  ER18                     :1;
        __IO  uint32_t  ER19                     :1;
        __IO  uint32_t  ER20                     :1;
        __IO  uint32_t  ER21                     :1;
        __IO  uint32_t  ER22                     :1;
        __IO  uint32_t  ER23                     :1;
        __IO  uint32_t  ER24                     :1;
        __IO  uint32_t  ER25                     :1;
        __IO  uint32_t  ER26                     :1;
        __IO  uint32_t  ER27                     :1;
        __IO  uint32_t  ER28                     :1;
        __IO  uint32_t  ER29                     :1;
        __IO  uint32_t  ER30                     :1;
        __IO  uint32_t  ER31                     :1;
} stc_exti_eirr_field_t;

typedef struct stc_exti_eicl_field
{
        __IO  uint32_t  ECL0                     :1;
        __IO  uint32_t  ECL1                     :1;
        __IO  uint32_t  ECL2                     :1;
        __IO  uint32_t  ECL3                     :1;
        __IO  uint32_t  ECL4                     :1;
        __IO  uint32_t  ECL5                     :1;
        __IO  uint32_t  ECL6                     :1;
        __IO  uint32_t  ECL7                     :1;
        __IO  uint32_t  ECL8                     :1;
        __IO  uint32_t  ECL9                     :1;
        __IO  uint32_t  ECL10                    :1;
        __IO  uint32_t  ECL11                    :1;
        __IO  uint32_t  ECL12                    :1;
        __IO  uint32_t  ECL13                    :1;
        __IO  uint32_t  ECL14                    :1;
        __IO  uint32_t  ECL15                    :1;
        __IO  uint32_t  ECL16                    :1;
        __IO  uint32_t  ECL17                    :1;
        __IO  uint32_t  ECL18                    :1;
        __IO  uint32_t  ECL19                    :1;
        __IO  uint32_t  ECL20                    :1;
        __IO  uint32_t  ECL21                    :1;
        __IO  uint32_t  ECL22                    :1;
        __IO  uint32_t  ECL23                    :1;
        __IO  uint32_t  ECL24                    :1;
        __IO  uint32_t  ECL25                    :1;
        __IO  uint32_t  ECL26                    :1;
        __IO  uint32_t  ECL27                    :1;
        __IO  uint32_t  ECL28                    :1;
        __IO  uint32_t  ECL29                    :1;
        __IO  uint32_t  ECL30                    :1;
        __IO  uint32_t  ECL31                    :1;
} stc_exti_eicl_field_t;

typedef struct stc_exti_elvr_field
{
        __IO  uint32_t  LA0                      :1;
        __IO  uint32_t  LB0                      :1;
        __IO  uint32_t  LA1                      :1;
        __IO  uint32_t  LB1                      :1;
        __IO  uint32_t  LA2                      :1;
        __IO  uint32_t  LB2                      :1;
        __IO  uint32_t  LA3                      :1;
        __IO  uint32_t  LB3                      :1;
        __IO  uint32_t  LA4                      :1;
        __IO  uint32_t  LB4                      :1;
        __IO  uint32_t  LA5                      :1;
        __IO  uint32_t  LB5                      :1;
        __IO  uint32_t  LA6                      :1;
        __IO  uint32_t  LB6                      :1;
        __IO  uint32_t  LA7                      :1;
        __IO  uint32_t  LB7                      :1;
        __IO  uint32_t  LA8                      :1;
        __IO  uint32_t  LB8                      :1;
        __IO  uint32_t  LA9                      :1;
        __IO  uint32_t  LB9                      :1;
        __IO  uint32_t  LA10                     :1;
        __IO  uint32_t  LB10                     :1;
        __IO  uint32_t  LA11                     :1;
        __IO  uint32_t  LB11                     :1;
        __IO  uint32_t  LA12                     :1;
        __IO  uint32_t  LB12                     :1;
        __IO  uint32_t  LA13                     :1;
        __IO  uint32_t  LB13                     :1;
        __IO  uint32_t  LA14                     :1;
        __IO  uint32_t  LB14                     :1;
        __IO  uint32_t  LA15                     :1;
        __IO  uint32_t  LB15                     :1;
} stc_exti_elvr_field_t;

typedef struct stc_exti_elvr1_field
{
        __IO  uint32_t  LA16                     :1;
        __IO  uint32_t  LB16                     :1;
        __IO  uint32_t  LA17                     :1;
        __IO  uint32_t  LB17                     :1;
        __IO  uint32_t  LA18                     :1;
        __IO  uint32_t  LB18                     :1;
        __IO  uint32_t  LA19                     :1;
        __IO  uint32_t  LB19                     :1;
        __IO  uint32_t  LA20                     :1;
        __IO  uint32_t  LB20                     :1;
        __IO  uint32_t  LA21                     :1;
        __IO  uint32_t  LB21                     :1;
        __IO  uint32_t  LA22                     :1;
        __IO  uint32_t  LB22                     :1;
        __IO  uint32_t  LA23                     :1;
        __IO  uint32_t  LB23                     :1;
        __IO  uint32_t  LA24                     :1;
        __IO  uint32_t  LB24                     :1;
        __IO  uint32_t  LA25                     :1;
        __IO  uint32_t  LB25                     :1;
        __IO  uint32_t  LA26                     :1;
        __IO  uint32_t  LB26                     :1;
        __IO  uint32_t  LA27                     :1;
        __IO  uint32_t  LB27                     :1;
        __IO  uint32_t  LA28                     :1;
        __IO  uint32_t  LB28                     :1;
        __IO  uint32_t  LA29                     :1;
        __IO  uint32_t  LB29                     :1;
        __IO  uint32_t  LA30                     :1;
        __IO  uint32_t  LB30                     :1;
        __IO  uint32_t  LA31                     :1;
        __IO  uint32_t  LB31                     :1;
} stc_exti_elvr1_field_t;

typedef struct stc_exti_nmirr_field
{
        __IO  uint16_t  NR                       :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_exti_nmirr_field_t;

typedef struct stc_exti_nmicl_field
{
        __IO  uint16_t  NCL                      :1;
        __IO  uint16_t  RESERVED0                :15;
} stc_exti_nmicl_field_t;

/******************************************************************************
 ** FLASH_IF_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_flash_if_frwtr_field
{
    union {
        struct {
            __IO  uint32_t  RWT                  :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  RWT0                 :1;
            __IO  uint32_t  RWT1                 :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_flash_if_frwtr_field_t;

typedef struct stc_flash_if_fstr_field
{
        __IO  uint32_t  RDY                      :1;
        __IO  uint32_t  HNG                      :1;
        __IO  uint32_t  CERS                     :1;
        __IO  uint32_t  ESPS                     :1;
        __IO  uint32_t  SERS                     :1;
        __IO  uint32_t  PGMS                     :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_flash_if_fstr_field_t;

typedef struct stc_flash_if_ficr_field
{
        __IO  uint32_t  RDYIE                    :1;
        __IO  uint32_t  HANGIE                   :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_ficr_field_t;

typedef struct stc_flash_if_fisr_field
{
        __IO  uint32_t  RDYIF                    :1;
        __IO  uint32_t  HANGIF                   :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_fisr_field_t;

typedef struct stc_flash_if_ficlr_field
{
        __IO  uint32_t  RDYC                     :1;
        __IO  uint32_t  HANGC                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_flash_if_ficlr_field_t;

typedef struct stc_flash_if_crtrmm_field
{
    union {
        struct {
            __IO  uint32_t  TRMM                 :10;
            __IO  uint32_t  RESERVED0            :22;
        };
        struct {
            __IO  uint32_t  TRMM0                :1;
            __IO  uint32_t  TRMM1                :1;
            __IO  uint32_t  TRMM2                :1;
            __IO  uint32_t  TRMM3                :1;
            __IO  uint32_t  TRMM4                :1;
            __IO  uint32_t  TRMM5                :1;
            __IO  uint32_t  TRMM6                :1;
            __IO  uint32_t  TRMM7                :1;
            __IO  uint32_t  TRMM8                :1;
            __IO  uint32_t  TRMM9                :1;
            __IO  uint32_t  RESERVED1            :22;
        };
    };
} stc_flash_if_crtrmm_field_t;

/******************************************************************************
 ** GPIO_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_gpio_pfr0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED2                :16;
} stc_gpio_pfr0_field_t;

typedef struct stc_gpio_pfr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED0                :20;
} stc_gpio_pfr1_field_t;

typedef struct stc_gpio_pfr2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pfr2_field_t;

typedef struct stc_gpio_pfr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pfr3_field_t;

typedef struct stc_gpio_pfr4_field
{
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED1                :17;
} stc_gpio_pfr4_field_t;

typedef struct stc_gpio_pfr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  RESERVED0                :25;
} stc_gpio_pfr5_field_t;

typedef struct stc_gpio_pfr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pfr6_field_t;

typedef struct stc_gpio_pfr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pfr8_field_t;

typedef struct stc_gpio_pfre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pfre_field_t;

typedef struct stc_gpio_pcr0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED2                :16;
} stc_gpio_pcr0_field_t;

typedef struct stc_gpio_pcr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED0                :20;
} stc_gpio_pcr1_field_t;

typedef struct stc_gpio_pcr2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pcr2_field_t;

typedef struct stc_gpio_pcr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pcr3_field_t;

typedef struct stc_gpio_pcr4_field
{
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED1                :17;
} stc_gpio_pcr4_field_t;

typedef struct stc_gpio_pcr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  RESERVED0                :25;
} stc_gpio_pcr5_field_t;

typedef struct stc_gpio_pcr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pcr6_field_t;

typedef struct stc_gpio_pcre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pcre_field_t;

typedef struct stc_gpio_ddr0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED2                :16;
} stc_gpio_ddr0_field_t;

typedef struct stc_gpio_ddr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED0                :20;
} stc_gpio_ddr1_field_t;

typedef struct stc_gpio_ddr2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_ddr2_field_t;

typedef struct stc_gpio_ddr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_ddr3_field_t;

typedef struct stc_gpio_ddr4_field
{
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED1                :17;
} stc_gpio_ddr4_field_t;

typedef struct stc_gpio_ddr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  RESERVED0                :25;
} stc_gpio_ddr5_field_t;

typedef struct stc_gpio_ddr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_ddr6_field_t;

typedef struct stc_gpio_ddr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_ddr8_field_t;

typedef struct stc_gpio_ddre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_ddre_field_t;

typedef struct stc_gpio_pdir0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED2                :16;
} stc_gpio_pdir0_field_t;

typedef struct stc_gpio_pdir1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED0                :20;
} stc_gpio_pdir1_field_t;

typedef struct stc_gpio_pdir2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pdir2_field_t;

typedef struct stc_gpio_pdir3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pdir3_field_t;

typedef struct stc_gpio_pdir4_field
{
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED1                :17;
} stc_gpio_pdir4_field_t;

typedef struct stc_gpio_pdir5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  RESERVED0                :25;
} stc_gpio_pdir5_field_t;

typedef struct stc_gpio_pdir6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pdir6_field_t;

typedef struct stc_gpio_pdir8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pdir8_field_t;

typedef struct stc_gpio_pdire_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdire_field_t;

typedef struct stc_gpio_pdor0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED2                :16;
} stc_gpio_pdor0_field_t;

typedef struct stc_gpio_pdor1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED0                :20;
} stc_gpio_pdor1_field_t;

typedef struct stc_gpio_pdor2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pdor2_field_t;

typedef struct stc_gpio_pdor3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pdor3_field_t;

typedef struct stc_gpio_pdor4_field
{
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED1                :17;
} stc_gpio_pdor4_field_t;

typedef struct stc_gpio_pdor5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  RESERVED0                :25;
} stc_gpio_pdor5_field_t;

typedef struct stc_gpio_pdor6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pdor6_field_t;

typedef struct stc_gpio_pdor8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pdor8_field_t;

typedef struct stc_gpio_pdore_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pdore_field_t;

typedef struct stc_gpio_ade_field
{
        __IO  uint32_t  AN00                     :1;
        __IO  uint32_t  AN01                     :1;
        __IO  uint32_t  AN02                     :1;
        __IO  uint32_t  AN03                     :1;
        __IO  uint32_t  AN04                     :1;
        __IO  uint32_t  AN05                     :1;
        __IO  uint32_t  AN06                     :1;
        __IO  uint32_t  AN07                     :1;
        __IO  uint32_t  AN08                     :1;
        __IO  uint32_t  AN09                     :1;
        __IO  uint32_t  AN10                     :1;
        __IO  uint32_t  AN11                     :1;
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  AN16                     :1;
        __IO  uint32_t  AN17                     :1;
        __IO  uint32_t  AN18                     :1;
        __IO  uint32_t  AN19                     :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  AN22                     :1;
        __IO  uint32_t  RESERVED2                :9;
} stc_gpio_ade_field_t;

typedef struct stc_gpio_spsr_field
{
    union {
        struct {
            __IO  uint32_t  SUBXC                :2;
            __IO  uint32_t  MAINXC               :2;
            __IO  uint32_t  USB0C                :1;
            __IO  uint32_t  USB1C                :1;
            __IO  uint32_t  RESERVED0            :26;
        };
        struct {
            __IO  uint32_t  SUBXC0               :1;
            __IO  uint32_t  SUBXC1               :1;
            __IO  uint32_t  MAINXC0              :1;
            __IO  uint32_t  MAINXC1              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_gpio_spsr_field_t;

typedef struct stc_gpio_epfr00_field
{
    union {
        struct {
            __IO  uint32_t  NMIS                 :1;
            __IO  uint32_t  CROUTE               :2;
            __IO  uint32_t  RESERVED1            :1;
            __IO  uint32_t  RTCCOE               :2;
            __IO  uint32_t  SUBOUTE              :2;
            __IO  uint32_t  RESERVED3            :1;
            __IO  uint32_t  USBP0E               :1;
            __IO  uint32_t  RESERVED4            :3;
            __IO  uint32_t  USBP1E               :1;
            __IO  uint32_t  RESERVED5            :2;
            __IO  uint32_t  JTAGEN0B             :1;
            __IO  uint32_t  JTAGEN1S             :1;
            __IO  uint32_t  RESERVED6            :6;
            __IO  uint32_t  TRC0E                :1;
            __IO  uint32_t  TRC1E                :1;
            __IO  uint32_t  RESERVED7            :6;
        };
        struct {
            __IO  uint32_t  RESERVED0            :1;
            __IO  uint32_t  CROUTE0              :1;
            __IO  uint32_t  CROUTE1              :1;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  RTCCOE0              :1;
            __IO  uint32_t  RTCCOE1              :1;
            __IO  uint32_t  SUBOUTE0             :1;
            __IO  uint32_t  SUBOUTE1             :1;
            __IO  uint32_t  RESERVED8            :24;
        };
    };
} stc_gpio_epfr00_field_t;

typedef struct stc_gpio_epfr04_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA0E               :2;
            __IO  uint32_t  TIOB0S               :3;
            __IO  uint32_t  RESERVED2            :1;
            __IO  uint32_t  TIOA1S               :2;
            __IO  uint32_t  TIOA1E               :2;
            __IO  uint32_t  TIOB1S               :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA2E               :2;
            __IO  uint32_t  TIOB2S               :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA3S               :2;
            __IO  uint32_t  TIOA3E               :2;
            __IO  uint32_t  TIOB3S               :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA0E0              :1;
            __IO  uint32_t  TIOA0E1              :1;
            __IO  uint32_t  TIOB0S0              :1;
            __IO  uint32_t  TIOB0S1              :1;
            __IO  uint32_t  TIOB0S2              :1;
            __IO  uint32_t  RESERVED3            :1;
            __IO  uint32_t  TIOA1S0              :1;
            __IO  uint32_t  TIOA1S1              :1;
            __IO  uint32_t  TIOA1E0              :1;
            __IO  uint32_t  TIOA1E1              :1;
            __IO  uint32_t  TIOB1S0              :1;
            __IO  uint32_t  TIOB1S1              :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA2E0              :1;
            __IO  uint32_t  TIOA2E1              :1;
            __IO  uint32_t  TIOB2S0              :1;
            __IO  uint32_t  TIOB2S1              :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA3S0              :1;
            __IO  uint32_t  TIOA3S1              :1;
            __IO  uint32_t  TIOA3E0              :1;
            __IO  uint32_t  TIOA3E1              :1;
            __IO  uint32_t  TIOB3S0              :1;
            __IO  uint32_t  TIOB3S1              :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr04_field_t;

typedef struct stc_gpio_epfr05_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :2;
            __IO  uint32_t  TIOA4E               :2;
            __IO  uint32_t  TIOB4S               :2;
            __IO  uint32_t  RESERVED2            :2;
            __IO  uint32_t  TIOA5S               :2;
            __IO  uint32_t  TIOA5E               :2;
            __IO  uint32_t  TIOB5S               :2;
            __IO  uint32_t  RESERVED4            :4;
            __IO  uint32_t  TIOA6E               :2;
            __IO  uint32_t  TIOB6S               :2;
            __IO  uint32_t  RESERVED6            :2;
            __IO  uint32_t  TIOA7S               :2;
            __IO  uint32_t  TIOA7E               :2;
            __IO  uint32_t  TIOB7S               :2;
            __IO  uint32_t  RESERVED8            :2;
        };
        struct {
            __IO  uint32_t  RESERVED1            :2;
            __IO  uint32_t  TIOA4E0              :1;
            __IO  uint32_t  TIOA4E1              :1;
            __IO  uint32_t  TIOB4S0              :1;
            __IO  uint32_t  TIOB4S1              :1;
            __IO  uint32_t  RESERVED3            :2;
            __IO  uint32_t  TIOA5S0              :1;
            __IO  uint32_t  TIOA5S1              :1;
            __IO  uint32_t  TIOA5E0              :1;
            __IO  uint32_t  TIOA5E1              :1;
            __IO  uint32_t  TIOB5S0              :1;
            __IO  uint32_t  TIOB5S1              :1;
            __IO  uint32_t  RESERVED5            :4;
            __IO  uint32_t  TIOA6E0              :1;
            __IO  uint32_t  TIOA6E1              :1;
            __IO  uint32_t  TIOB6S0              :1;
            __IO  uint32_t  TIOB6S1              :1;
            __IO  uint32_t  RESERVED7            :2;
            __IO  uint32_t  TIOA7S0              :1;
            __IO  uint32_t  TIOA7S1              :1;
            __IO  uint32_t  TIOA7E0              :1;
            __IO  uint32_t  TIOA7E1              :1;
            __IO  uint32_t  TIOB7S0              :1;
            __IO  uint32_t  TIOB7S1              :1;
            __IO  uint32_t  RESERVED9            :2;
        };
    };
} stc_gpio_epfr05_field_t;

typedef struct stc_gpio_epfr06_field
{
    union {
        struct {
            __IO  uint32_t  EINT00S              :2;
            __IO  uint32_t  EINT01S              :2;
            __IO  uint32_t  EINT02S              :2;
            __IO  uint32_t  EINT03S              :2;
            __IO  uint32_t  EINT04S              :2;
            __IO  uint32_t  EINT05S              :2;
            __IO  uint32_t  EINT06S              :2;
            __IO  uint32_t  EINT07S              :2;
            __IO  uint32_t  EINT08S              :2;
            __IO  uint32_t  EINT09S              :2;
            __IO  uint32_t  EINT10S              :2;
            __IO  uint32_t  EINT11S              :2;
            __IO  uint32_t  EINT12S              :2;
            __IO  uint32_t  EINT13S              :2;
            __IO  uint32_t  EINT14S              :2;
            __IO  uint32_t  EINT15S              :2;
        };
        struct {
            __IO  uint32_t  EINT00S0             :1;
            __IO  uint32_t  EINT00S1             :1;
            __IO  uint32_t  EINT01S0             :1;
            __IO  uint32_t  EINT01S1             :1;
            __IO  uint32_t  EINT02S0             :1;
            __IO  uint32_t  EINT02S1             :1;
            __IO  uint32_t  EINT03S0             :1;
            __IO  uint32_t  EINT03S1             :1;
            __IO  uint32_t  EINT04S0             :1;
            __IO  uint32_t  EINT04S1             :1;
            __IO  uint32_t  EINT05S0             :1;
            __IO  uint32_t  EINT05S1             :1;
            __IO  uint32_t  EINT06S0             :1;
            __IO  uint32_t  EINT06S1             :1;
            __IO  uint32_t  EINT07S0             :1;
            __IO  uint32_t  EINT07S1             :1;
            __IO  uint32_t  EINT08S0             :1;
            __IO  uint32_t  EINT08S1             :1;
            __IO  uint32_t  EINT09S0             :1;
            __IO  uint32_t  EINT09S1             :1;
            __IO  uint32_t  EINT10S0             :1;
            __IO  uint32_t  EINT10S1             :1;
            __IO  uint32_t  EINT11S0             :1;
            __IO  uint32_t  EINT11S1             :1;
            __IO  uint32_t  EINT12S0             :1;
            __IO  uint32_t  EINT12S1             :1;
            __IO  uint32_t  EINT13S0             :1;
            __IO  uint32_t  EINT13S1             :1;
            __IO  uint32_t  EINT14S0             :1;
            __IO  uint32_t  EINT14S1             :1;
            __IO  uint32_t  EINT15S0             :1;
            __IO  uint32_t  EINT15S1             :1;
        };
    };
} stc_gpio_epfr06_field_t;

typedef struct stc_gpio_epfr07_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  SIN0S                :2;
            __IO  uint32_t  SOT0B                :2;
            __IO  uint32_t  SCK0B                :2;
            __IO  uint32_t  SIN1S                :2;
            __IO  uint32_t  SOT1B                :2;
            __IO  uint32_t  SCK1B                :2;
            __IO  uint32_t  SIN2S                :2;
            __IO  uint32_t  SOT2B                :2;
            __IO  uint32_t  SCK2B                :2;
            __IO  uint32_t  SIN3S                :2;
            __IO  uint32_t  SOT3B                :2;
            __IO  uint32_t  SCK3B                :2;
            __IO  uint32_t  RESERVED2            :4;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  SIN0S0               :1;
            __IO  uint32_t  SIN0S1               :1;
            __IO  uint32_t  SOT0B0               :1;
            __IO  uint32_t  SOT0B1               :1;
            __IO  uint32_t  SCK0B0               :1;
            __IO  uint32_t  SCK0B1               :1;
            __IO  uint32_t  SIN1S0               :1;
            __IO  uint32_t  SIN1S1               :1;
            __IO  uint32_t  SOT1B0               :1;
            __IO  uint32_t  SOT1B1               :1;
            __IO  uint32_t  SCK1B0               :1;
            __IO  uint32_t  SCK1B1               :1;
            __IO  uint32_t  SIN2S0               :1;
            __IO  uint32_t  SIN2S1               :1;
            __IO  uint32_t  SOT2B0               :1;
            __IO  uint32_t  SOT2B1               :1;
            __IO  uint32_t  SCK2B0               :1;
            __IO  uint32_t  SCK2B1               :1;
            __IO  uint32_t  SIN3S0               :1;
            __IO  uint32_t  SIN3S1               :1;
            __IO  uint32_t  SOT3B0               :1;
            __IO  uint32_t  SOT3B1               :1;
            __IO  uint32_t  SCK3B0               :1;
            __IO  uint32_t  SCK3B1               :1;
            __IO  uint32_t  RESERVED3            :4;
        };
    };
} stc_gpio_epfr07_field_t;

typedef struct stc_gpio_epfr08_field
{
    union {
        struct {
            __IO  uint32_t  RTS4E                :2;
            __IO  uint32_t  CTS4S                :2;
            __IO  uint32_t  SIN4S                :2;
            __IO  uint32_t  SOT4B                :2;
            __IO  uint32_t  SCK4B                :2;
            __IO  uint32_t  SIN5S                :2;
            __IO  uint32_t  SOT5B                :2;
            __IO  uint32_t  SCK5B                :2;
            __IO  uint32_t  SIN6S                :2;
            __IO  uint32_t  SOT6B                :2;
            __IO  uint32_t  SCK6B                :2;
            __IO  uint32_t  SIN7S                :2;
            __IO  uint32_t  SOT7B                :2;
            __IO  uint32_t  SCK7B                :2;
            __IO  uint32_t  RESERVED0            :4;
        };
        struct {
            __IO  uint32_t  RTS4E0               :1;
            __IO  uint32_t  RTS4E1               :1;
            __IO  uint32_t  CTS4S0               :1;
            __IO  uint32_t  CTS4S1               :1;
            __IO  uint32_t  SIN4S0               :1;
            __IO  uint32_t  SIN4S1               :1;
            __IO  uint32_t  SOT4B0               :1;
            __IO  uint32_t  SOT4B1               :1;
            __IO  uint32_t  SCK4B0               :1;
            __IO  uint32_t  SCK4B1               :1;
            __IO  uint32_t  SIN5S0               :1;
            __IO  uint32_t  SIN5S1               :1;
            __IO  uint32_t  SOT5B0               :1;
            __IO  uint32_t  SOT5B1               :1;
            __IO  uint32_t  SCK5B0               :1;
            __IO  uint32_t  SCK5B1               :1;
            __IO  uint32_t  SIN6S0               :1;
            __IO  uint32_t  SIN6S1               :1;
            __IO  uint32_t  SOT6B0               :1;
            __IO  uint32_t  SOT6B1               :1;
            __IO  uint32_t  SCK6B0               :1;
            __IO  uint32_t  SCK6B1               :1;
            __IO  uint32_t  SIN7S0               :1;
            __IO  uint32_t  SIN7S1               :1;
            __IO  uint32_t  SOT7B0               :1;
            __IO  uint32_t  SOT7B1               :1;
            __IO  uint32_t  SCK7B0               :1;
            __IO  uint32_t  SCK7B1               :1;
            __IO  uint32_t  RESERVED1            :4;
        };
    };
} stc_gpio_epfr08_field_t;

typedef struct stc_gpio_epfr09_field
{
    union {
        struct {
            __IO  uint32_t  QAIN0S               :2;
            __IO  uint32_t  QBIN0S               :2;
            __IO  uint32_t  QZIN0S               :2;
            __IO  uint32_t  QAIN1S               :2;
            __IO  uint32_t  QBIN1S               :2;
            __IO  uint32_t  QZIN1S               :2;
            __IO  uint32_t  ADTRG0S              :4;
            __IO  uint32_t  ADTRG1S              :4;
            __IO  uint32_t  ADTRG2S              :4;
            __IO  uint32_t  CRX0S                :2;
            __IO  uint32_t  CTX0E                :2;
            __IO  uint32_t  CRX1S                :2;
            __IO  uint32_t  CTX1E                :2;
        };
        struct {
            __IO  uint32_t  QAIN0S0              :1;
            __IO  uint32_t  QAIN0S1              :1;
            __IO  uint32_t  QBIN0S0              :1;
            __IO  uint32_t  QBIN0S1              :1;
            __IO  uint32_t  QZIN0S0              :1;
            __IO  uint32_t  QZIN0S1              :1;
            __IO  uint32_t  QAIN1S0              :1;
            __IO  uint32_t  QAIN1S1              :1;
            __IO  uint32_t  QBIN1S0              :1;
            __IO  uint32_t  QBIN1S1              :1;
            __IO  uint32_t  QZIN1S0              :1;
            __IO  uint32_t  QZIN1S1              :1;
            __IO  uint32_t  ADTRG0S0             :1;
            __IO  uint32_t  ADTRG0S1             :1;
            __IO  uint32_t  ADTRG0S2             :1;
            __IO  uint32_t  ADTRG0S3             :1;
            __IO  uint32_t  ADTRG1S0             :1;
            __IO  uint32_t  ADTRG1S1             :1;
            __IO  uint32_t  ADTRG1S2             :1;
            __IO  uint32_t  ADTRG1S3             :1;
            __IO  uint32_t  ADTRG2S0             :1;
            __IO  uint32_t  ADTRG2S1             :1;
            __IO  uint32_t  ADTRG2S2             :1;
            __IO  uint32_t  ADTRG2S3             :1;
            __IO  uint32_t  CRX0S0               :1;
            __IO  uint32_t  CRX0S1               :1;
            __IO  uint32_t  CTX0E0               :1;
            __IO  uint32_t  CTX0E1               :1;
            __IO  uint32_t  CRX1S0               :1;
            __IO  uint32_t  CRX1S1               :1;
            __IO  uint32_t  CTX1E0               :1;
            __IO  uint32_t  CTX1E1               :1;
        };
    };
} stc_gpio_epfr09_field_t;

typedef struct stc_gpio_epfr10_field
{
        __IO  uint32_t  UEDEFB                   :1;
        __IO  uint32_t  UEDTHB                   :1;
        __IO  uint32_t  UECLKE                   :1;
        __IO  uint32_t  UEWEXE                   :1;
        __IO  uint32_t  UEDQME                   :1;
        __IO  uint32_t  UEOEXE                   :1;
        __IO  uint32_t  UEFLSE                   :1;
        __IO  uint32_t  UECS1E                   :1;
        __IO  uint32_t  UECS2E                   :1;
        __IO  uint32_t  UECS3E                   :1;
        __IO  uint32_t  UECS4E                   :1;
        __IO  uint32_t  UECS5E                   :1;
        __IO  uint32_t  UECS6E                   :1;
        __IO  uint32_t  UECS7E                   :1;
        __IO  uint32_t  UEAOOE                   :1;
        __IO  uint32_t  UEA08E                   :1;
        __IO  uint32_t  UEA09E                   :1;
        __IO  uint32_t  UEA10E                   :1;
        __IO  uint32_t  UEA11E                   :1;
        __IO  uint32_t  UEA12E                   :1;
        __IO  uint32_t  UEA13E                   :1;
        __IO  uint32_t  UEA14E                   :1;
        __IO  uint32_t  UEA15E                   :1;
        __IO  uint32_t  UEA16E                   :1;
        __IO  uint32_t  UEA17E                   :1;
        __IO  uint32_t  UEA18E                   :1;
        __IO  uint32_t  UEA19E                   :1;
        __IO  uint32_t  UEA20E                   :1;
        __IO  uint32_t  UEA21E                   :1;
        __IO  uint32_t  UEA22E                   :1;
        __IO  uint32_t  UEA23E                   :1;
        __IO  uint32_t  UEA24E                   :1;
} stc_gpio_epfr10_field_t;

typedef struct stc_gpio_epfr11_field
{
        __IO  uint32_t  UEALEE                   :1;
        __IO  uint32_t  UECS0E                   :1;
        __IO  uint32_t  UEA01E                   :1;
        __IO  uint32_t  UEA02E                   :1;
        __IO  uint32_t  UEA03E                   :1;
        __IO  uint32_t  UEA04E                   :1;
        __IO  uint32_t  UEA05E                   :1;
        __IO  uint32_t  UEA06E                   :1;
        __IO  uint32_t  UEA07E                   :1;
        __IO  uint32_t  UED00B                   :1;
        __IO  uint32_t  UED01B                   :1;
        __IO  uint32_t  UED02B                   :1;
        __IO  uint32_t  UED03B                   :1;
        __IO  uint32_t  UED04B                   :1;
        __IO  uint32_t  UED05B                   :1;
        __IO  uint32_t  UED06B                   :1;
        __IO  uint32_t  UED07B                   :1;
        __IO  uint32_t  UED08B                   :1;
        __IO  uint32_t  UED09B                   :1;
        __IO  uint32_t  UED10B                   :1;
        __IO  uint32_t  UED11B                   :1;
        __IO  uint32_t  UED12B                   :1;
        __IO  uint32_t  UED13B                   :1;
        __IO  uint32_t  UED14B                   :1;
        __IO  uint32_t  UED15B                   :1;
        __IO  uint32_t  UERLC                    :1;
        __IO  uint32_t  RESERVED0                :6;
} stc_gpio_epfr11_field_t;

typedef struct stc_gpio_epfr14_field
{
    union {
        struct {
            __IO  uint32_t  QAIN2S               :2;
            __IO  uint32_t  QBIN2S               :2;
            __IO  uint32_t  QZIN2S               :2;
            __IO  uint32_t  RESERVED0            :12;
            __IO  uint32_t  E_TD0E               :1;
            __IO  uint32_t  E_TD1E               :1;
            __IO  uint32_t  E_TE0E               :1;
            __IO  uint32_t  E_TE1E               :1;
            __IO  uint32_t  E_MC0E               :1;
            __IO  uint32_t  E_MC1B               :1;
            __IO  uint32_t  E_MD0B               :1;
            __IO  uint32_t  E_MD1B               :1;
            __IO  uint32_t  E_CKE                :1;
            __IO  uint32_t  E_PSE                :1;
            __IO  uint32_t  E_SPLC               :2;
            __IO  uint32_t  CEC0B                :1;
            __IO  uint32_t  CEC1B                :1;
        };
        struct {
            __IO  uint32_t  QAIN2S0              :1;
            __IO  uint32_t  QAIN2S1              :1;
            __IO  uint32_t  QBIN2S0              :1;
            __IO  uint32_t  QBIN2S1              :1;
            __IO  uint32_t  QZIN2S0              :1;
            __IO  uint32_t  QZIN2S1              :1;
            __IO  uint32_t  RESERVED1            :22;
            __IO  uint32_t  E_SPLC0              :1;
            __IO  uint32_t  E_SPLC1              :1;
            __IO  uint32_t  RESERVED2            :2;
        };
    };
} stc_gpio_epfr14_field_t;

typedef struct stc_gpio_pzr0_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  RESERVED0                :2;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  RESERVED1                :2;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED2                :16;
} stc_gpio_pzr0_field_t;

typedef struct stc_gpio_pzr1_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  RESERVED0                :20;
} stc_gpio_pzr1_field_t;

typedef struct stc_gpio_pzr2_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pzr2_field_t;

typedef struct stc_gpio_pzr3_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :5;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  PF                       :1;
        __IO  uint32_t  RESERVED1                :16;
} stc_gpio_pzr3_field_t;

typedef struct stc_gpio_pzr4_field
{
        __IO  uint32_t  RESERVED0                :4;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  P7                       :1;
        __IO  uint32_t  P8                       :1;
        __IO  uint32_t  P9                       :1;
        __IO  uint32_t  PA                       :1;
        __IO  uint32_t  PB                       :1;
        __IO  uint32_t  PC                       :1;
        __IO  uint32_t  PD                       :1;
        __IO  uint32_t  PE                       :1;
        __IO  uint32_t  RESERVED1                :17;
} stc_gpio_pzr4_field_t;

typedef struct stc_gpio_pzr5_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  P4                       :1;
        __IO  uint32_t  P5                       :1;
        __IO  uint32_t  P6                       :1;
        __IO  uint32_t  RESERVED0                :25;
} stc_gpio_pzr5_field_t;

typedef struct stc_gpio_pzr6_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_gpio_pzr6_field_t;

typedef struct stc_gpio_pzr8_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  P1                       :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_gpio_pzr8_field_t;

typedef struct stc_gpio_pzre_field
{
        __IO  uint32_t  P0                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  P2                       :1;
        __IO  uint32_t  P3                       :1;
        __IO  uint32_t  RESERVED1                :28;
} stc_gpio_pzre_field_t;

/******************************************************************************
 ** HDMICEC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_hdmicec_txctrl_field
{
        __IO   uint8_t  TXEN                     :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  START                    :1;
        __IO   uint8_t  EOM                      :1;
        __IO   uint8_t  ITSTEN                   :1;
        __IO   uint8_t  IBREN                    :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_hdmicec_txctrl_field_t;

typedef struct stc_hdmicec_txdata_field
{
    union {
        struct {
            __IO   uint8_t  TXDATA               :8;
        };
        struct {
            __IO   uint8_t  TXDATA0              :1;
            __IO   uint8_t  TXDATA1              :1;
            __IO   uint8_t  TXDATA2              :1;
            __IO   uint8_t  TXDATA3              :1;
            __IO   uint8_t  TXDATA4              :1;
            __IO   uint8_t  TXDATA5              :1;
            __IO   uint8_t  TXDATA6              :1;
            __IO   uint8_t  TXDATA7              :1;
        };
    };
} stc_hdmicec_txdata_field_t;

typedef struct stc_hdmicec_txsts_field
{
        __IO   uint8_t  ACKSV                    :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  ITST                     :1;
        __IO   uint8_t  IBR                      :1;
        __IO   uint8_t  RESERVED1                :2;
} stc_hdmicec_txsts_field_t;

typedef struct stc_hdmicec_sfree_field
{
    union {
        struct {
            __IO   uint8_t  SFREE                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  SFREE0               :1;
            __IO   uint8_t  SFREE1               :1;
            __IO   uint8_t  SFREE2               :1;
            __IO   uint8_t  SFREE3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_hdmicec_sfree_field_t;

typedef struct stc_hdmicec_rcst_field
{
        __IO   uint8_t  OVF                      :1;
        __IO   uint8_t  EOM                      :1;
        __IO   uint8_t  ACK                      :1;
        __IO   uint8_t  ST                       :1;
        __IO   uint8_t  OVFSEL                   :1;
        __IO   uint8_t  OVFIE                    :1;
        __IO   uint8_t  ACKIE                    :1;
        __IO   uint8_t  STIE                     :1;
} stc_hdmicec_rcst_field_t;

typedef struct stc_hdmicec_rccr_field
{
    union {
        struct {
            __IO   uint8_t  EN                   :1;
            __IO   uint8_t  MOD                  :2;
            __IO   uint8_t  ADRCE                :1;
            __IO   uint8_t  RESERVED1            :3;
            __IO   uint8_t  THSEL                :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MOD0                 :1;
            __IO   uint8_t  MOD1                 :1;
            __IO   uint8_t  RESERVED2            :5;
        };
    };
} stc_hdmicec_rccr_field_t;

typedef struct stc_hdmicec_rcdahw_field
{
    union {
        struct {
            __IO   uint8_t  RCDAHW               :8;
        };
        struct {
            __IO   uint8_t  RCDAHW0              :1;
            __IO   uint8_t  RCDAHW1              :1;
            __IO   uint8_t  RCDAHW2              :1;
            __IO   uint8_t  RCDAHW3              :1;
            __IO   uint8_t  RCDAHW4              :1;
            __IO   uint8_t  RCDAHW5              :1;
            __IO   uint8_t  RCDAHW6              :1;
            __IO   uint8_t  RCDAHW7              :1;
        };
    };
} stc_hdmicec_rcdahw_field_t;

typedef struct stc_hdmicec_rcshw_field
{
    union {
        struct {
            __IO   uint8_t  RCSHW                :8;
        };
        struct {
            __IO   uint8_t  RCSHW0               :1;
            __IO   uint8_t  RCSHW1               :1;
            __IO   uint8_t  RCSHW2               :1;
            __IO   uint8_t  RCSHW3               :1;
            __IO   uint8_t  RCSHW4               :1;
            __IO   uint8_t  RCSHW5               :1;
            __IO   uint8_t  RCSHW6               :1;
            __IO   uint8_t  RCSHW7               :1;
        };
    };
} stc_hdmicec_rcshw_field_t;

typedef struct stc_hdmicec_rcdbhw_field
{
    union {
        struct {
            __IO   uint8_t  RCDBHW               :8;
        };
        struct {
            __IO   uint8_t  RCDBHW0              :1;
            __IO   uint8_t  RCDBHW1              :1;
            __IO   uint8_t  RCDBHW2              :1;
            __IO   uint8_t  RCDBHW3              :1;
            __IO   uint8_t  RCDBHW4              :1;
            __IO   uint8_t  RCDBHW5              :1;
            __IO   uint8_t  RCDBHW6              :1;
            __IO   uint8_t  RCDBHW7              :1;
        };
    };
} stc_hdmicec_rcdbhw_field_t;

typedef struct stc_hdmicec_rcadr2_field
{
    union {
        struct {
            __IO   uint8_t  RCADR2               :5;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  RCADR20              :1;
            __IO   uint8_t  RCADR21              :1;
            __IO   uint8_t  RCADR22              :1;
            __IO   uint8_t  RCADR23              :1;
            __IO   uint8_t  RCADR24              :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_hdmicec_rcadr2_field_t;

typedef struct stc_hdmicec_rcadr1_field
{
    union {
        struct {
            __IO   uint8_t  RCADR1               :5;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  RCADR10              :1;
            __IO   uint8_t  RCADR11              :1;
            __IO   uint8_t  RCADR12              :1;
            __IO   uint8_t  RCADR13              :1;
            __IO   uint8_t  RCADR14              :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_hdmicec_rcadr1_field_t;

typedef struct stc_hdmicec_rcdthl_field
{
    union {
        struct {
            __IO   uint8_t  RCDTHL               :8;
        };
        struct {
            __IO   uint8_t  RCDTHL0              :1;
            __IO   uint8_t  RCDTHL1              :1;
            __IO   uint8_t  RCDTHL2              :1;
            __IO   uint8_t  RCDTHL3              :1;
            __IO   uint8_t  RCDTHL4              :1;
            __IO   uint8_t  RCDTHL5              :1;
            __IO   uint8_t  RCDTHL6              :1;
            __IO   uint8_t  RCDTHL7              :1;
        };
    };
} stc_hdmicec_rcdthl_field_t;

typedef struct stc_hdmicec_rcdthh_field
{
    union {
        struct {
            __IO   uint8_t  RCDTHH               :8;
        };
        struct {
            __IO   uint8_t  RCDTHH0              :1;
            __IO   uint8_t  RCDTHH1              :1;
            __IO   uint8_t  RCDTHH2              :1;
            __IO   uint8_t  RCDTHH3              :1;
            __IO   uint8_t  RCDTHH4              :1;
            __IO   uint8_t  RCDTHH5              :1;
            __IO   uint8_t  RCDTHH6              :1;
            __IO   uint8_t  RCDTHH7              :1;
        };
    };
} stc_hdmicec_rcdthh_field_t;

typedef struct stc_hdmicec_rcdtll_field
{
    union {
        struct {
            __IO   uint8_t  RCDTLL               :8;
        };
        struct {
            __IO   uint8_t  RCDTLL0              :1;
            __IO   uint8_t  RCDTLL1              :1;
            __IO   uint8_t  RCDTLL2              :1;
            __IO   uint8_t  RCDTLL3              :1;
            __IO   uint8_t  RCDTLL4              :1;
            __IO   uint8_t  RCDTLL5              :1;
            __IO   uint8_t  RCDTLL6              :1;
            __IO   uint8_t  RCDTLL7              :1;
        };
    };
} stc_hdmicec_rcdtll_field_t;

typedef struct stc_hdmicec_rcdtlh_field
{
    union {
        struct {
            __IO   uint8_t  RCDTLH               :8;
        };
        struct {
            __IO   uint8_t  RCDTLH0              :1;
            __IO   uint8_t  RCDTLH1              :1;
            __IO   uint8_t  RCDTLH2              :1;
            __IO   uint8_t  RCDTLH3              :1;
            __IO   uint8_t  RCDTLH4              :1;
            __IO   uint8_t  RCDTLH5              :1;
            __IO   uint8_t  RCDTLH6              :1;
            __IO   uint8_t  RCDTLH7              :1;
        };
    };
} stc_hdmicec_rcdtlh_field_t;

typedef struct stc_hdmicec_rcckd_field
{
    union {
        struct {
            __IO  uint16_t  CKDIV                :12;
            __IO  uint16_t  CKSEL                :1;
            __IO  uint16_t  RESERVED0            :3;
        };
        struct {
            __IO  uint16_t  CKDIV0               :1;
            __IO  uint16_t  CKDIV1               :1;
            __IO  uint16_t  CKDIV2               :1;
            __IO  uint16_t  CKDIV3               :1;
            __IO  uint16_t  CKDIV4               :1;
            __IO  uint16_t  CKDIV5               :1;
            __IO  uint16_t  CKDIV6               :1;
            __IO  uint16_t  CKDIV7               :1;
            __IO  uint16_t  CKDIV8               :1;
            __IO  uint16_t  CKDIV9               :1;
            __IO  uint16_t  CKDIV10              :1;
            __IO  uint16_t  CKDIV11              :1;
            __IO  uint16_t  RESERVED1            :4;
        };
    };
} stc_hdmicec_rcckd_field_t;

typedef struct stc_hdmicec_rcrhw_field
{
    union {
        struct {
            __IO   uint8_t  RCRHW                :8;
        };
        struct {
            __IO   uint8_t  RCRHW0               :1;
            __IO   uint8_t  RCRHW1               :1;
            __IO   uint8_t  RCRHW2               :1;
            __IO   uint8_t  RCRHW3               :1;
            __IO   uint8_t  RCRHW4               :1;
            __IO   uint8_t  RCRHW5               :1;
            __IO   uint8_t  RCRHW6               :1;
            __IO   uint8_t  RCRHW7               :1;
        };
    };
} stc_hdmicec_rcrhw_field_t;

typedef struct stc_hdmicec_rcrc_field
{
        __IO   uint8_t  RC                       :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  RCIE                     :1;
        __IO   uint8_t  RESERVED1                :3;
} stc_hdmicec_rcrc_field_t;

typedef struct stc_hdmicec_rcle_field
{
        __IO   uint8_t  LES                      :1;
        __IO   uint8_t  LEL                      :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  EPE                      :1;
        __IO   uint8_t  LESE                     :1;
        __IO   uint8_t  LELE                     :1;
        __IO   uint8_t  LESIE                    :1;
        __IO   uint8_t  LELIE                    :1;
} stc_hdmicec_rcle_field_t;

typedef struct stc_hdmicec_rclesw_field
{
    union {
        struct {
            __IO   uint8_t  RCLESW               :8;
        };
        struct {
            __IO   uint8_t  RCLESW0              :1;
            __IO   uint8_t  RCLESW1              :1;
            __IO   uint8_t  RCLESW2              :1;
            __IO   uint8_t  RCLESW3              :1;
            __IO   uint8_t  RCLESW4              :1;
            __IO   uint8_t  RCLESW5              :1;
            __IO   uint8_t  RCLESW6              :1;
            __IO   uint8_t  RCLESW7              :1;
        };
    };
} stc_hdmicec_rclesw_field_t;

typedef struct stc_hdmicec_rclelw_field
{
    union {
        struct {
            __IO   uint8_t  RCLELW               :8;
        };
        struct {
            __IO   uint8_t  RCLELW0              :1;
            __IO   uint8_t  RCLELW1              :1;
            __IO   uint8_t  RCLELW2              :1;
            __IO   uint8_t  RCLELW3              :1;
            __IO   uint8_t  RCLELW4              :1;
            __IO   uint8_t  RCLELW5              :1;
            __IO   uint8_t  RCLELW6              :1;
            __IO   uint8_t  RCLELW7              :1;
        };
    };
} stc_hdmicec_rclelw_field_t;

/******************************************************************************
 ** HWWDT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_hwwdt_wdg_ctl_field
{
        __IO  uint32_t  INTEN                    :1;
        __IO  uint32_t  RESEN                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_hwwdt_wdg_ctl_field_t;

typedef struct stc_hwwdt_wdg_ris_field
{
        __IO  uint32_t  RIS                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_hwwdt_wdg_ris_field_t;

/******************************************************************************
 ** INTREQ_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_intreq_drqsel_field
{
        __IO  uint32_t  USBEP1                   :1;
        __IO  uint32_t  USBEP2                   :1;
        __IO  uint32_t  USBEP3                   :1;
        __IO  uint32_t  USBEP4                   :1;
        __IO  uint32_t  USBEP5                   :1;
        __IO  uint32_t  ADCSCAN0                 :1;
        __IO  uint32_t  ADCSCAN1                 :1;
        __IO  uint32_t  ADCSCAN2                 :1;
        __IO  uint32_t  IRQ0BT0                  :1;
        __IO  uint32_t  IRQ0BT2                  :1;
        __IO  uint32_t  IRQ0BT4                  :1;
        __IO  uint32_t  IRQ0BT6                  :1;
        __IO  uint32_t  MFS0RX                   :1;
        __IO  uint32_t  MFS0TX                   :1;
        __IO  uint32_t  MFS1RX                   :1;
        __IO  uint32_t  MFS1TX                   :1;
        __IO  uint32_t  MFS2RX                   :1;
        __IO  uint32_t  MFS2TX                   :1;
        __IO  uint32_t  MFS3RX                   :1;
        __IO  uint32_t  MFS3TX                   :1;
        __IO  uint32_t  MFS4RX                   :1;
        __IO  uint32_t  MFS4TX                   :1;
        __IO  uint32_t  MFS5RX                   :1;
        __IO  uint32_t  MFS5TX                   :1;
        __IO  uint32_t  MFS6RX                   :1;
        __IO  uint32_t  MFS6TX                   :1;
        __IO  uint32_t  MFS7RX                   :1;
        __IO  uint32_t  MFS7TX                   :1;
        __IO  uint32_t  EXINT0                   :1;
        __IO  uint32_t  EXINT1                   :1;
        __IO  uint32_t  EXINT2                   :1;
        __IO  uint32_t  EXINT3                   :1;
} stc_intreq_drqsel_field_t;

typedef struct stc_intreq_oddpks_field
{
        __IO   uint8_t  ODDPKS0                  :1;
        __IO   uint8_t  ODDPKS1                  :1;
        __IO   uint8_t  ODDPKS2                  :1;
        __IO   uint8_t  ODDPKS3                  :1;
        __IO   uint8_t  ODDPKS4                  :1;
        __IO   uint8_t  RESERVED0                :3;
} stc_intreq_oddpks_field_t;

typedef struct stc_intreq_irqcmode_field
{
        __IO  uint32_t  IRQCMODE                 :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irqcmode_field_t;

typedef struct stc_intreq_exc02mon_field
{
        __IO  uint32_t  NMI                      :1;
        __IO  uint32_t  HWINT                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_intreq_exc02mon_field_t;

typedef struct stc_intreq_irq00mon_field
{
        __IO  uint32_t  FCSINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq00mon_field_t;

typedef struct stc_intreq_irq01mon_field
{
        __IO  uint32_t  SWWDTINT                 :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq01mon_field_t;

typedef struct stc_intreq_irq02mon_field
{
        __IO  uint32_t  LVDINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq02mon_field_t;

typedef struct stc_intreq_irq03mon_field
{
    union {
        struct {
            __IO  uint32_t  WAVE0INT             :4;
            __IO  uint32_t  WAVE1INT             :4;
            __IO  uint32_t  WAVE2INT             :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  WAVE0INT0            :1;
            __IO  uint32_t  WAVE0INT1            :1;
            __IO  uint32_t  WAVE0INT2            :1;
            __IO  uint32_t  WAVE0INT3            :1;
            __IO  uint32_t  WAVE1INT0            :1;
            __IO  uint32_t  WAVE1INT1            :1;
            __IO  uint32_t  WAVE1INT2            :1;
            __IO  uint32_t  WAVE1INT3            :1;
            __IO  uint32_t  WAVE2INT0            :1;
            __IO  uint32_t  WAVE2INT1            :1;
            __IO  uint32_t  WAVE2INT2            :1;
            __IO  uint32_t  WAVE2INT3            :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_intreq_irq03mon_field_t;

typedef struct stc_intreq_irq04mon_field
{
        __IO  uint32_t  EXTINT0                  :1;
        __IO  uint32_t  EXTINT1                  :1;
        __IO  uint32_t  EXTINT2                  :1;
        __IO  uint32_t  EXTINT3                  :1;
        __IO  uint32_t  EXTINT4                  :1;
        __IO  uint32_t  EXTINT5                  :1;
        __IO  uint32_t  EXTINT6                  :1;
        __IO  uint32_t  EXTINT7                  :1;
        __IO  uint32_t  RESERVED0                :24;
} stc_intreq_irq04mon_field_t;

typedef struct stc_intreq_irq05mon_field
{
        __IO  uint32_t  EXTINT8                  :1;
        __IO  uint32_t  EXTINT9                  :1;
        __IO  uint32_t  EXTINT10                 :1;
        __IO  uint32_t  EXTINT11                 :1;
        __IO  uint32_t  EXTINT12                 :1;
        __IO  uint32_t  EXTINT13                 :1;
        __IO  uint32_t  EXTINT14                 :1;
        __IO  uint32_t  EXTINT15                 :1;
        __IO  uint32_t  EXTINT16                 :1;
        __IO  uint32_t  EXTINT17                 :1;
        __IO  uint32_t  EXTINT18                 :1;
        __IO  uint32_t  EXTINT19                 :1;
        __IO  uint32_t  EXTINT20                 :1;
        __IO  uint32_t  EXTINT21                 :1;
        __IO  uint32_t  EXTINT22                 :1;
        __IO  uint32_t  EXTINT23                 :1;
        __IO  uint32_t  EXTINT24                 :1;
        __IO  uint32_t  EXTINT25                 :1;
        __IO  uint32_t  EXTINT26                 :1;
        __IO  uint32_t  EXTINT27                 :1;
        __IO  uint32_t  EXTINT28                 :1;
        __IO  uint32_t  EXTINT29                 :1;
        __IO  uint32_t  EXTINT30                 :1;
        __IO  uint32_t  EXTINT31                 :1;
        __IO  uint32_t  RESERVED0                :8;
} stc_intreq_irq05mon_field_t;

typedef struct stc_intreq_irq06mon_field
{
    union {
        struct {
            __IO  uint32_t  TIMINT               :2;
            __IO  uint32_t  QUD0INT              :6;
            __IO  uint32_t  QUD1INT              :6;
            __IO  uint32_t  QUD2INT              :6;
            __IO  uint32_t  RESERVED0            :12;
        };
        struct {
            __IO  uint32_t  TIMINT0              :1;
            __IO  uint32_t  TIMINT1              :1;
            __IO  uint32_t  QUD0INT0             :1;
            __IO  uint32_t  QUD0INT1             :1;
            __IO  uint32_t  QUD0INT2             :1;
            __IO  uint32_t  QUD0INT3             :1;
            __IO  uint32_t  QUD0INT4             :1;
            __IO  uint32_t  QUD0INT5             :1;
            __IO  uint32_t  QUD1INT0             :1;
            __IO  uint32_t  QUD1INT1             :1;
            __IO  uint32_t  QUD1INT2             :1;
            __IO  uint32_t  QUD1INT3             :1;
            __IO  uint32_t  QUD1INT4             :1;
            __IO  uint32_t  QUD1INT5             :1;
            __IO  uint32_t  QUD2INT0             :1;
            __IO  uint32_t  QUD2INT1             :1;
            __IO  uint32_t  QUD2INT2             :1;
            __IO  uint32_t  QUD2INT3             :1;
            __IO  uint32_t  QUD2INT4             :1;
            __IO  uint32_t  QUD2INT5             :1;
            __IO  uint32_t  RESERVED1            :12;
        };
    };
} stc_intreq_irq06mon_field_t;

typedef struct stc_intreq_irq07mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq07mon_field_t;

typedef struct stc_intreq_irq08mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq08mon_field_t;

typedef struct stc_intreq_irq09mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq09mon_field_t;

typedef struct stc_intreq_irq10mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq10mon_field_t;

typedef struct stc_intreq_irq11mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq11mon_field_t;

typedef struct stc_intreq_irq12mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq12mon_field_t;

typedef struct stc_intreq_irq13mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq13mon_field_t;

typedef struct stc_intreq_irq14mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq14mon_field_t;

typedef struct stc_intreq_irq15mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq15mon_field_t;

typedef struct stc_intreq_irq16mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq16mon_field_t;

typedef struct stc_intreq_irq17mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq17mon_field_t;

typedef struct stc_intreq_irq18mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq18mon_field_t;

typedef struct stc_intreq_irq19mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq19mon_field_t;

typedef struct stc_intreq_irq20mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq20mon_field_t;

typedef struct stc_intreq_irq21mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :2;
            __IO  uint32_t  RESERVED0            :30;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  RESERVED1            :30;
        };
    };
} stc_intreq_irq21mon_field_t;

typedef struct stc_intreq_irq22mon_field
{
    union {
        struct {
            __IO  uint32_t  MFSINT               :4;
            __IO  uint32_t  RESERVED0            :28;
        };
        struct {
            __IO  uint32_t  MFSINT0              :1;
            __IO  uint32_t  MFSINT1              :1;
            __IO  uint32_t  MFSINT2              :1;
            __IO  uint32_t  MFSINT3              :1;
            __IO  uint32_t  RESERVED1            :28;
        };
    };
} stc_intreq_irq22mon_field_t;

typedef struct stc_intreq_irq23mon_field
{
        __IO  uint32_t  PPGINT00                 :1;
        __IO  uint32_t  PPGINT02                 :1;
        __IO  uint32_t  PPGINT04                 :1;
        __IO  uint32_t  PPGINT08                 :1;
        __IO  uint32_t  PPGINT10                 :1;
        __IO  uint32_t  PPGINT12                 :1;
        __IO  uint32_t  PPGINT16                 :1;
        __IO  uint32_t  PPGINT18                 :1;
        __IO  uint32_t  PPGINT20                 :1;
        __IO  uint32_t  RESERVED0                :23;
} stc_intreq_irq23mon_field_t;

typedef struct stc_intreq_irq24mon_field
{
        __IO  uint32_t  MOSCINT                  :1;
        __IO  uint32_t  SOSCINT                  :1;
        __IO  uint32_t  MPLLINT                  :1;
        __IO  uint32_t  UPLLINT                  :1;
        __IO  uint32_t  WCINT                    :1;
        __IO  uint32_t  RTCINT                   :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_intreq_irq24mon_field_t;

typedef struct stc_intreq_irq25mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_intreq_irq25mon_field_t;

typedef struct stc_intreq_irq26mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_intreq_irq26mon_field_t;

typedef struct stc_intreq_irq27mon_field
{
        __IO  uint32_t  ADCINT0                  :1;
        __IO  uint32_t  ADCINT1                  :1;
        __IO  uint32_t  ADCINT2                  :1;
        __IO  uint32_t  ADCINT3                  :1;
        __IO  uint32_t  LCDCINT                  :1;
        __IO  uint32_t  RESERVED0                :27;
} stc_intreq_irq27mon_field_t;

typedef struct stc_intreq_irq28mon_field
{
    union {
        struct {
            __IO  uint32_t  FRT0INT              :6;
            __IO  uint32_t  FRT1INT              :6;
            __IO  uint32_t  FRT2INT              :6;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  FRT0INT0             :1;
            __IO  uint32_t  FRT0INT1             :1;
            __IO  uint32_t  FRT0INT2             :1;
            __IO  uint32_t  FRT0INT3             :1;
            __IO  uint32_t  FRT0INT4             :1;
            __IO  uint32_t  FRT0INT5             :1;
            __IO  uint32_t  FRT1INT0             :1;
            __IO  uint32_t  FRT1INT1             :1;
            __IO  uint32_t  FRT1INT2             :1;
            __IO  uint32_t  FRT1INT3             :1;
            __IO  uint32_t  FRT1INT4             :1;
            __IO  uint32_t  FRT1INT5             :1;
            __IO  uint32_t  FRT2INT0             :1;
            __IO  uint32_t  FRT2INT1             :1;
            __IO  uint32_t  FRT2INT2             :1;
            __IO  uint32_t  FRT2INT3             :1;
            __IO  uint32_t  FRT2INT4             :1;
            __IO  uint32_t  FRT2INT5             :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_intreq_irq28mon_field_t;

typedef struct stc_intreq_irq29mon_field
{
    union {
        struct {
            __IO  uint32_t  ICU0INT              :4;
            __IO  uint32_t  ICU1INT              :4;
            __IO  uint32_t  ICU2INT              :4;
            __IO  uint32_t  RESERVED0            :20;
        };
        struct {
            __IO  uint32_t  ICU0INT0             :1;
            __IO  uint32_t  ICU0INT1             :1;
            __IO  uint32_t  ICU0INT2             :1;
            __IO  uint32_t  ICU0INT3             :1;
            __IO  uint32_t  ICU1INT0             :1;
            __IO  uint32_t  ICU1INT1             :1;
            __IO  uint32_t  ICU1INT2             :1;
            __IO  uint32_t  ICU1INT3             :1;
            __IO  uint32_t  ICU2INT0             :1;
            __IO  uint32_t  ICU2INT1             :1;
            __IO  uint32_t  ICU2INT2             :1;
            __IO  uint32_t  ICU2INT3             :1;
            __IO  uint32_t  RESERVED1            :20;
        };
    };
} stc_intreq_irq29mon_field_t;

typedef struct stc_intreq_irq30mon_field
{
    union {
        struct {
            __IO  uint32_t  OCU0INT              :6;
            __IO  uint32_t  OCU1INT              :6;
            __IO  uint32_t  OCU2INT              :6;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  OCU0INT0             :1;
            __IO  uint32_t  OCU0INT1             :1;
            __IO  uint32_t  OCU0INT2             :1;
            __IO  uint32_t  OCU0INT3             :1;
            __IO  uint32_t  OCU0INT4             :1;
            __IO  uint32_t  OCU0INT5             :1;
            __IO  uint32_t  OCU1INT0             :1;
            __IO  uint32_t  OCU1INT1             :1;
            __IO  uint32_t  OCU1INT2             :1;
            __IO  uint32_t  OCU1INT3             :1;
            __IO  uint32_t  OCU1INT4             :1;
            __IO  uint32_t  OCU1INT5             :1;
            __IO  uint32_t  OCU2INT0             :1;
            __IO  uint32_t  OCU2INT1             :1;
            __IO  uint32_t  OCU2INT2             :1;
            __IO  uint32_t  OCU2INT3             :1;
            __IO  uint32_t  OCU2INT4             :1;
            __IO  uint32_t  OCU2INT5             :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_intreq_irq30mon_field_t;

typedef struct stc_intreq_irq31mon_field
{
        __IO  uint32_t  BTINT0                   :1;
        __IO  uint32_t  BTINT1                   :1;
        __IO  uint32_t  BTINT2                   :1;
        __IO  uint32_t  BTINT3                   :1;
        __IO  uint32_t  BTINT4                   :1;
        __IO  uint32_t  BTINT5                   :1;
        __IO  uint32_t  BTINT6                   :1;
        __IO  uint32_t  BTINT7                   :1;
        __IO  uint32_t  BTINT8                   :1;
        __IO  uint32_t  BTINT9                   :1;
        __IO  uint32_t  BTINT10                  :1;
        __IO  uint32_t  BTINT11                  :1;
        __IO  uint32_t  BTINT12                  :1;
        __IO  uint32_t  BTINT13                  :1;
        __IO  uint32_t  BTINT14                  :1;
        __IO  uint32_t  BTINT15                  :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_intreq_irq31mon_field_t;

typedef struct stc_intreq_irq32mon_field
{
        __IO  uint32_t  CAN0INT                  :1;
        __IO  uint32_t  MAC0SBD                  :1;
        __IO  uint32_t  MAC0PMI                  :1;
        __IO  uint32_t  MAC0LPI                  :1;
        __IO  uint32_t  RESERVED0                :28;
} stc_intreq_irq32mon_field_t;

typedef struct stc_intreq_irq33mon_field
{
        __IO  uint32_t  CAN1INT                  :1;
        __IO  uint32_t  MAC1SBD                  :1;
        __IO  uint32_t  MAC1PMI                  :1;
        __IO  uint32_t  RESERVED0                :29;
} stc_intreq_irq33mon_field_t;

typedef struct stc_intreq_irq34mon_field
{
        __IO  uint32_t  USB0INT0                 :1;
        __IO  uint32_t  USB0INT1                 :1;
        __IO  uint32_t  USB0INT2                 :1;
        __IO  uint32_t  USB0INT3                 :1;
        __IO  uint32_t  USB0INT4                 :1;
        __IO  uint32_t  RESERVED0                :27;
} stc_intreq_irq34mon_field_t;

typedef struct stc_intreq_irq35mon_field
{
        __IO  uint32_t  USB0INT0                 :1;
        __IO  uint32_t  USB0INT1                 :1;
        __IO  uint32_t  USB0INT2                 :1;
        __IO  uint32_t  USB0INT3                 :1;
        __IO  uint32_t  USB0INT4                 :1;
        __IO  uint32_t  USB0INT5                 :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_intreq_irq35mon_field_t;

typedef struct stc_intreq_irq36mon_field
{
        __IO  uint32_t  USB1INT0                 :1;
        __IO  uint32_t  USB1INT1                 :1;
        __IO  uint32_t  USB1INT2                 :1;
        __IO  uint32_t  USB1INT3                 :1;
        __IO  uint32_t  USB1INT4                 :1;
        __IO  uint32_t  RCEC0INT                 :1;
        __IO  uint32_t  RESERVED0                :26;
} stc_intreq_irq36mon_field_t;

typedef struct stc_intreq_irq37mon_field
{
        __IO  uint32_t  USB1INT0                 :1;
        __IO  uint32_t  USB1INT1                 :1;
        __IO  uint32_t  USB1INT2                 :1;
        __IO  uint32_t  USB1INT3                 :1;
        __IO  uint32_t  USB1INT4                 :1;
        __IO  uint32_t  USB1INT5                 :1;
        __IO  uint32_t  RCEC1INT                 :1;
        __IO  uint32_t  RESERVED0                :25;
} stc_intreq_irq37mon_field_t;

typedef struct stc_intreq_irq38mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq38mon_field_t;

typedef struct stc_intreq_irq39mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq39mon_field_t;

typedef struct stc_intreq_irq40mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq40mon_field_t;

typedef struct stc_intreq_irq41mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq41mon_field_t;

typedef struct stc_intreq_irq42mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq42mon_field_t;

typedef struct stc_intreq_irq43mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq43mon_field_t;

typedef struct stc_intreq_irq44mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq44mon_field_t;

typedef struct stc_intreq_irq45mon_field
{
        __IO  uint32_t  DMAINT                   :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_intreq_irq45mon_field_t;

typedef struct stc_intreq_irq46mon_field
{
        __IO  uint32_t  BTINT0                   :1;
        __IO  uint32_t  BTINT1                   :1;
        __IO  uint32_t  BTINT2                   :1;
        __IO  uint32_t  BTINT3                   :1;
        __IO  uint32_t  BTINT4                   :1;
        __IO  uint32_t  BTINT5                   :1;
        __IO  uint32_t  BTINT6                   :1;
        __IO  uint32_t  BTINT7                   :1;
        __IO  uint32_t  BTINT8                   :1;
        __IO  uint32_t  BTINT9                   :1;
        __IO  uint32_t  BTINT10                  :1;
        __IO  uint32_t  BTINT11                  :1;
        __IO  uint32_t  BTINT12                  :1;
        __IO  uint32_t  BTINT13                  :1;
        __IO  uint32_t  BTINT14                  :1;
        __IO  uint32_t  BTINT15                  :1;
        __IO  uint32_t  RESERVED0                :16;
} stc_intreq_irq46mon_field_t;

typedef struct stc_intreq_irq47mon_field
{
        __IO  uint32_t  RESERVED0                :11;
        __IO  uint32_t  FLASHINT                 :1;
        __IO  uint32_t  RESERVED1                :20;
} stc_intreq_irq47mon_field_t;

typedef struct stc_intreq_drqsel1_field
{
        __IO  uint32_t  USB1EP1                  :1;
        __IO  uint32_t  USB1EP2                  :1;
        __IO  uint32_t  USB1EP3                  :1;
        __IO  uint32_t  USB1EP4                  :1;
        __IO  uint32_t  USB1EP5                  :1;
        __IO  uint32_t  RESERVED0                :27;
} stc_intreq_drqsel1_field_t;

typedef struct stc_intreq_dqesel_field
{
    union {
        struct {
            __IO  uint32_t  ESEL10               :4;
            __IO  uint32_t  ESEL11               :4;
            __IO  uint32_t  ESEL24               :4;
            __IO  uint32_t  ESEL25               :4;
            __IO  uint32_t  ESEL26               :4;
            __IO  uint32_t  ESEL27               :4;
            __IO  uint32_t  ESEL30               :4;
            __IO  uint32_t  ESEL31               :4;
        };
        struct {
            __IO  uint32_t  ESEL100              :1;
            __IO  uint32_t  ESEL101              :1;
            __IO  uint32_t  ESEL102              :1;
            __IO  uint32_t  ESEL103              :1;
            __IO  uint32_t  ESEL110              :1;
            __IO  uint32_t  ESEL111              :1;
            __IO  uint32_t  ESEL112              :1;
            __IO  uint32_t  ESEL113              :1;
            __IO  uint32_t  ESEL240              :1;
            __IO  uint32_t  ESEL241              :1;
            __IO  uint32_t  ESEL242              :1;
            __IO  uint32_t  ESEL243              :1;
            __IO  uint32_t  ESEL250              :1;
            __IO  uint32_t  ESEL251              :1;
            __IO  uint32_t  ESEL252              :1;
            __IO  uint32_t  ESEL253              :1;
            __IO  uint32_t  ESEL260              :1;
            __IO  uint32_t  ESEL261              :1;
            __IO  uint32_t  ESEL262              :1;
            __IO  uint32_t  ESEL263              :1;
            __IO  uint32_t  ESEL270              :1;
            __IO  uint32_t  ESEL271              :1;
            __IO  uint32_t  ESEL272              :1;
            __IO  uint32_t  ESEL273              :1;
            __IO  uint32_t  ESEL300              :1;
            __IO  uint32_t  ESEL301              :1;
            __IO  uint32_t  ESEL302              :1;
            __IO  uint32_t  ESEL303              :1;
            __IO  uint32_t  ESEL310              :1;
            __IO  uint32_t  ESEL311              :1;
            __IO  uint32_t  ESEL312              :1;
            __IO  uint32_t  ESEL313              :1;
        };
    };
} stc_intreq_dqesel_field_t;

typedef struct stc_intreq_oddpks1_field
{
        __IO   uint8_t  ODDPKS10                 :1;
        __IO   uint8_t  ODDPKS11                 :1;
        __IO   uint8_t  ODDPKS12                 :1;
        __IO   uint8_t  ODDPKS13                 :1;
        __IO   uint8_t  ODDPKS14                 :1;
        __IO   uint8_t  RESERVED0                :3;
} stc_intreq_oddpks1_field_t;

typedef struct stc_intreq_rcintsel0_field
{
    union {
        struct {
            __IO  uint32_t  INTSEL0              :8;
            __IO  uint32_t  INTSEL1              :8;
            __IO  uint32_t  INTSEL2              :8;
            __IO  uint32_t  INTSEL3              :8;
        };
        struct {
            __IO  uint32_t  INTSEL00             :1;
            __IO  uint32_t  INTSEL01             :1;
            __IO  uint32_t  INTSEL02             :1;
            __IO  uint32_t  INTSEL03             :1;
            __IO  uint32_t  INTSEL04             :1;
            __IO  uint32_t  INTSEL05             :1;
            __IO  uint32_t  INTSEL06             :1;
            __IO  uint32_t  INTSEL07             :1;
            __IO  uint32_t  INTSEL10             :1;
            __IO  uint32_t  INTSEL11             :1;
            __IO  uint32_t  INTSEL12             :1;
            __IO  uint32_t  INTSEL13             :1;
            __IO  uint32_t  INTSEL14             :1;
            __IO  uint32_t  INTSEL15             :1;
            __IO  uint32_t  INTSEL16             :1;
            __IO  uint32_t  INTSEL17             :1;
            __IO  uint32_t  INTSEL20             :1;
            __IO  uint32_t  INTSEL21             :1;
            __IO  uint32_t  INTSEL22             :1;
            __IO  uint32_t  INTSEL23             :1;
            __IO  uint32_t  INTSEL24             :1;
            __IO  uint32_t  INTSEL25             :1;
            __IO  uint32_t  INTSEL26             :1;
            __IO  uint32_t  INTSEL27             :1;
            __IO  uint32_t  INTSEL30             :1;
            __IO  uint32_t  INTSEL31             :1;
            __IO  uint32_t  INTSEL32             :1;
            __IO  uint32_t  INTSEL33             :1;
            __IO  uint32_t  INTSEL34             :1;
            __IO  uint32_t  INTSEL35             :1;
            __IO  uint32_t  INTSEL36             :1;
            __IO  uint32_t  INTSEL37             :1;
        };
    };
} stc_intreq_rcintsel0_field_t;

typedef struct stc_intreq_rcintsel1_field
{
    union {
        struct {
            __IO  uint32_t  INTSEL4              :8;
            __IO  uint32_t  INTSEL5              :8;
            __IO  uint32_t  INTSEL6              :8;
            __IO  uint32_t  INTSEL7              :8;
        };
        struct {
            __IO  uint32_t  INTSEL40             :1;
            __IO  uint32_t  INTSEL41             :1;
            __IO  uint32_t  INTSEL42             :1;
            __IO  uint32_t  INTSEL43             :1;
            __IO  uint32_t  INTSEL44             :1;
            __IO  uint32_t  INTSEL45             :1;
            __IO  uint32_t  INTSEL46             :1;
            __IO  uint32_t  INTSEL47             :1;
            __IO  uint32_t  INTSEL50             :1;
            __IO  uint32_t  INTSEL51             :1;
            __IO  uint32_t  INTSEL52             :1;
            __IO  uint32_t  INTSEL53             :1;
            __IO  uint32_t  INTSEL54             :1;
            __IO  uint32_t  INTSEL55             :1;
            __IO  uint32_t  INTSEL56             :1;
            __IO  uint32_t  INTSEL57             :1;
            __IO  uint32_t  INTSEL60             :1;
            __IO  uint32_t  INTSEL61             :1;
            __IO  uint32_t  INTSEL62             :1;
            __IO  uint32_t  INTSEL63             :1;
            __IO  uint32_t  INTSEL64             :1;
            __IO  uint32_t  INTSEL65             :1;
            __IO  uint32_t  INTSEL66             :1;
            __IO  uint32_t  INTSEL67             :1;
            __IO  uint32_t  INTSEL70             :1;
            __IO  uint32_t  INTSEL71             :1;
            __IO  uint32_t  INTSEL72             :1;
            __IO  uint32_t  INTSEL73             :1;
            __IO  uint32_t  INTSEL74             :1;
            __IO  uint32_t  INTSEL75             :1;
            __IO  uint32_t  INTSEL76             :1;
            __IO  uint32_t  INTSEL77             :1;
        };
    };
} stc_intreq_rcintsel1_field_t;

/******************************************************************************
 ** LCDC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_lcdc_lcdcc1_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  MS                   :3;
            __IO   uint8_t  VSEL                 :1;
            __IO   uint8_t  LCDEN                :1;
            __IO   uint8_t  RESERVED2            :1;
        };
        struct {
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  MS0                  :1;
            __IO   uint8_t  MS1                  :1;
            __IO   uint8_t  MS2                  :1;
            __IO   uint8_t  RESERVED3            :3;
        };
    };
} stc_lcdc_lcdcc1_field_t;

typedef struct stc_lcdc_lcdcc2_field
{
        __IO   uint8_t  LCDIF                    :1;
        __IO   uint8_t  LCDIEN                   :1;
        __IO   uint8_t  BK                       :1;
        __IO   uint8_t  INV                      :1;
        __IO   uint8_t  BLS8                     :1;
        __IO   uint8_t  RSEL                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_lcdc_lcdcc2_field_t;

typedef struct stc_lcdc_lcdcc3_field
{
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  VE0                      :1;
        __IO   uint8_t  VE1                      :1;
        __IO   uint8_t  VE2                      :1;
        __IO   uint8_t  VE3                      :1;
        __IO   uint8_t  VE4                      :1;
        __IO   uint8_t  BLSEL                    :1;
        __IO   uint8_t  PICTL                    :1;
} stc_lcdc_lcdcc3_field_t;

typedef struct stc_lcdc_lcdc_psr_field
{
    union {
        struct {
            __IO  uint32_t  CLKDIV               :22;
            __IO  uint32_t  CLKSEL               :1;
            __IO  uint32_t  RESERVED0            :9;
        };
        struct {
            __IO  uint32_t  CLKDIV0              :1;
            __IO  uint32_t  CLKDIV1              :1;
            __IO  uint32_t  CLKDIV2              :1;
            __IO  uint32_t  CLKDIV3              :1;
            __IO  uint32_t  CLKDIV4              :1;
            __IO  uint32_t  CLKDIV5              :1;
            __IO  uint32_t  CLKDIV6              :1;
            __IO  uint32_t  CLKDIV7              :1;
            __IO  uint32_t  CLKDIV8              :1;
            __IO  uint32_t  CLKDIV9              :1;
            __IO  uint32_t  CLKDIV10             :1;
            __IO  uint32_t  CLKDIV11             :1;
            __IO  uint32_t  CLKDIV12             :1;
            __IO  uint32_t  CLKDIV13             :1;
            __IO  uint32_t  CLKDIV14             :1;
            __IO  uint32_t  CLKDIV15             :1;
            __IO  uint32_t  CLKDIV16             :1;
            __IO  uint32_t  CLKDIV17             :1;
            __IO  uint32_t  CLKDIV18             :1;
            __IO  uint32_t  CLKDIV19             :1;
            __IO  uint32_t  CLKDIV20             :1;
            __IO  uint32_t  CLKDIV21             :1;
            __IO  uint32_t  RESERVED1            :10;
        };
    };
} stc_lcdc_lcdc_psr_field_t;

typedef struct stc_lcdc_lcdc_comen_field
{
        __IO   uint8_t  COM0                     :1;
        __IO   uint8_t  COM1                     :1;
        __IO   uint8_t  COM2                     :1;
        __IO   uint8_t  COM3                     :1;
        __IO   uint8_t  COM4                     :1;
        __IO   uint8_t  COM5                     :1;
        __IO   uint8_t  COM6                     :1;
        __IO   uint8_t  COM7                     :1;
} stc_lcdc_lcdc_comen_field_t;

typedef struct stc_lcdc_lcdc_segen1_field
{
        __IO  uint32_t  SEG00                    :1;
        __IO  uint32_t  SEG01                    :1;
        __IO  uint32_t  SEG02                    :1;
        __IO  uint32_t  SEG03                    :1;
        __IO  uint32_t  SEG04                    :1;
        __IO  uint32_t  SEG05                    :1;
        __IO  uint32_t  SEG06                    :1;
        __IO  uint32_t  SEG07                    :1;
        __IO  uint32_t  SEG08                    :1;
        __IO  uint32_t  SEG09                    :1;
        __IO  uint32_t  SEG10                    :1;
        __IO  uint32_t  SEG11                    :1;
        __IO  uint32_t  SEG12                    :1;
        __IO  uint32_t  SEG13                    :1;
        __IO  uint32_t  SEG14                    :1;
        __IO  uint32_t  SEG15                    :1;
        __IO  uint32_t  SEG16                    :1;
        __IO  uint32_t  SEG17                    :1;
        __IO  uint32_t  SEG18                    :1;
        __IO  uint32_t  SEG19                    :1;
        __IO  uint32_t  SEG20                    :1;
        __IO  uint32_t  SEG21                    :1;
        __IO  uint32_t  SEG22                    :1;
        __IO  uint32_t  SEG23                    :1;
        __IO  uint32_t  SEG24                    :1;
        __IO  uint32_t  SEG25                    :1;
        __IO  uint32_t  SEG26                    :1;
        __IO  uint32_t  SEG27                    :1;
        __IO  uint32_t  SEG28                    :1;
        __IO  uint32_t  SEG29                    :1;
        __IO  uint32_t  SEG30                    :1;
        __IO  uint32_t  SEG31                    :1;
} stc_lcdc_lcdc_segen1_field_t;

typedef struct stc_lcdc_lcdc_segen2_field
{
        __IO   uint8_t  SEG32                    :1;
        __IO   uint8_t  SEG33                    :1;
        __IO   uint8_t  SEG34                    :1;
        __IO   uint8_t  SEG35                    :1;
        __IO   uint8_t  SEG36                    :1;
        __IO   uint8_t  SEG37                    :1;
        __IO   uint8_t  SEG38                    :1;
        __IO   uint8_t  SEG39                    :1;
} stc_lcdc_lcdc_segen2_field_t;

typedef struct stc_lcdc_lcdc_blink_field
{
        __IO  uint16_t  BLD00                    :1;
        __IO  uint16_t  BLD01                    :1;
        __IO  uint16_t  BLD02                    :1;
        __IO  uint16_t  BLD03                    :1;
        __IO  uint16_t  BLD04                    :1;
        __IO  uint16_t  BLD05                    :1;
        __IO  uint16_t  BLD06                    :1;
        __IO  uint16_t  BLD07                    :1;
        __IO  uint16_t  BLD08                    :1;
        __IO  uint16_t  BLD09                    :1;
        __IO  uint16_t  BLD10                    :1;
        __IO  uint16_t  BLD11                    :1;
        __IO  uint16_t  BLD12                    :1;
        __IO  uint16_t  BLD13                    :1;
        __IO  uint16_t  BLD14                    :1;
        __IO  uint16_t  BLD15                    :1;
} stc_lcdc_lcdc_blink_field_t;

typedef struct stc_lcdc_lcdram00_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram00_field_t;

typedef struct stc_lcdc_lcdram01_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram01_field_t;

typedef struct stc_lcdc_lcdram02_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram02_field_t;

typedef struct stc_lcdc_lcdram03_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram03_field_t;

typedef struct stc_lcdc_lcdram04_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram04_field_t;

typedef struct stc_lcdc_lcdram05_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram05_field_t;

typedef struct stc_lcdc_lcdram06_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram06_field_t;

typedef struct stc_lcdc_lcdram07_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram07_field_t;

typedef struct stc_lcdc_lcdram08_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram08_field_t;

typedef struct stc_lcdc_lcdram09_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram09_field_t;

typedef struct stc_lcdc_lcdram10_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram10_field_t;

typedef struct stc_lcdc_lcdram11_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram11_field_t;

typedef struct stc_lcdc_lcdram12_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram12_field_t;

typedef struct stc_lcdc_lcdram13_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram13_field_t;

typedef struct stc_lcdc_lcdram14_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram14_field_t;

typedef struct stc_lcdc_lcdram15_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram15_field_t;

typedef struct stc_lcdc_lcdram16_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram16_field_t;

typedef struct stc_lcdc_lcdram17_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram17_field_t;

typedef struct stc_lcdc_lcdram18_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram18_field_t;

typedef struct stc_lcdc_lcdram19_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram19_field_t;

typedef struct stc_lcdc_lcdram20_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram20_field_t;

typedef struct stc_lcdc_lcdram21_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram21_field_t;

typedef struct stc_lcdc_lcdram22_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram22_field_t;

typedef struct stc_lcdc_lcdram23_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram23_field_t;

typedef struct stc_lcdc_lcdram24_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram24_field_t;

typedef struct stc_lcdc_lcdram25_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram25_field_t;

typedef struct stc_lcdc_lcdram26_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram26_field_t;

typedef struct stc_lcdc_lcdram27_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram27_field_t;

typedef struct stc_lcdc_lcdram28_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram28_field_t;

typedef struct stc_lcdc_lcdram29_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram29_field_t;

typedef struct stc_lcdc_lcdram30_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram30_field_t;

typedef struct stc_lcdc_lcdram31_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram31_field_t;

typedef struct stc_lcdc_lcdram32_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram32_field_t;

typedef struct stc_lcdc_lcdram33_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram33_field_t;

typedef struct stc_lcdc_lcdram34_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram34_field_t;

typedef struct stc_lcdc_lcdram35_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram35_field_t;

typedef struct stc_lcdc_lcdram36_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram36_field_t;

typedef struct stc_lcdc_lcdram37_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram37_field_t;

typedef struct stc_lcdc_lcdram38_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram38_field_t;

typedef struct stc_lcdc_lcdram39_field
{
    union {
        struct {
            __IO   uint8_t  LCDRAM               :8;
        };
        struct {
            __IO   uint8_t  LCDRAM0              :1;
            __IO   uint8_t  LCDRAM1              :1;
            __IO   uint8_t  LCDRAM2              :1;
            __IO   uint8_t  LCDRAM3              :1;
            __IO   uint8_t  LCDRAM4              :1;
            __IO   uint8_t  LCDRAM5              :1;
            __IO   uint8_t  LCDRAM6              :1;
            __IO   uint8_t  LCDRAM7              :1;
        };
    };
} stc_lcdc_lcdram39_field_t;

/******************************************************************************
 ** LVD_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_lvd_lvd_ctl_field
{
    union {
        struct {
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SVHI                 :5;
            __IO  uint16_t  LVDIE                :1;
            __IO  uint16_t  RESERVED2            :2;
            __IO  uint16_t  SVHR                 :5;
            __IO  uint16_t  LVDRE                :1;
        };
        struct {
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  SVHI0                :1;
            __IO  uint16_t  SVHI1                :1;
            __IO  uint16_t  SVHI2                :1;
            __IO  uint16_t  SVHI3                :1;
            __IO  uint16_t  SVHI4                :1;
            __IO  uint16_t  RESERVED3            :3;
            __IO  uint16_t  SVHR0                :1;
            __IO  uint16_t  SVHR1                :1;
            __IO  uint16_t  SVHR2                :1;
            __IO  uint16_t  SVHR3                :1;
            __IO  uint16_t  SVHR4                :1;
            __IO  uint16_t  RESERVED4            :1;
        };
    };
} stc_lvd_lvd_ctl_field_t;

typedef struct stc_lvd_lvd_str_field
{
        __IO   uint8_t  RESERVED0                :7;
        __IO   uint8_t  LVDIR                    :1;
} stc_lvd_lvd_str_field_t;

typedef struct stc_lvd_lvd_clr_field
{
        __IO   uint8_t  RESERVED0                :7;
        __IO   uint8_t  LVDCL                    :1;
} stc_lvd_lvd_clr_field_t;

typedef struct stc_lvd_lvd_rlr_field
{
    union {
        struct {
            __IO  uint32_t  LVDLCK               :32;
        };
        struct {
            __IO  uint32_t  LVDLCK0              :1;
            __IO  uint32_t  LVDLCK1              :1;
            __IO  uint32_t  LVDLCK2              :1;
            __IO  uint32_t  LVDLCK3              :1;
            __IO  uint32_t  LVDLCK4              :1;
            __IO  uint32_t  LVDLCK5              :1;
            __IO  uint32_t  LVDLCK6              :1;
            __IO  uint32_t  LVDLCK7              :1;
            __IO  uint32_t  LVDLCK8              :1;
            __IO  uint32_t  LVDLCK9              :1;
            __IO  uint32_t  LVDLCK10             :1;
            __IO  uint32_t  LVDLCK11             :1;
            __IO  uint32_t  LVDLCK12             :1;
            __IO  uint32_t  LVDLCK13             :1;
            __IO  uint32_t  LVDLCK14             :1;
            __IO  uint32_t  LVDLCK15             :1;
            __IO  uint32_t  LVDLCK16             :1;
            __IO  uint32_t  LVDLCK17             :1;
            __IO  uint32_t  LVDLCK18             :1;
            __IO  uint32_t  LVDLCK19             :1;
            __IO  uint32_t  LVDLCK20             :1;
            __IO  uint32_t  LVDLCK21             :1;
            __IO  uint32_t  LVDLCK22             :1;
            __IO  uint32_t  LVDLCK23             :1;
            __IO  uint32_t  LVDLCK24             :1;
            __IO  uint32_t  LVDLCK25             :1;
            __IO  uint32_t  LVDLCK26             :1;
            __IO  uint32_t  LVDLCK27             :1;
            __IO  uint32_t  LVDLCK28             :1;
            __IO  uint32_t  LVDLCK29             :1;
            __IO  uint32_t  LVDLCK30             :1;
            __IO  uint32_t  LVDLCK31             :1;
        };
    };
} stc_lvd_lvd_rlr_field_t;

typedef struct stc_lvd_lvd_str2_field
{
        __IO   uint8_t  RESERVED0                :6;
        __IO   uint8_t  LVDRRDY                  :1;
        __IO   uint8_t  LVDIRDY                  :1;
} stc_lvd_lvd_str2_field_t;

/******************************************************************************
 ** MFS_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mfs_smr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  SOE              :1;
                __IO   uint8_t  SCKE             :1;
                __IO   uint8_t  BDS              :1;
                __IO   uint8_t  SCINV            :1;
                __IO   uint8_t  RESERVED0        :1;
                __IO   uint8_t  MD               :3;
            };
            struct {
                __IO   uint8_t  RESERVED1        :5;
                __IO   uint8_t  MD0              :1;
                __IO   uint8_t  MD1              :1;
                __IO   uint8_t  MD2              :1;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED2        :2;
                __IO   uint8_t  TIE              :1;
                __IO   uint8_t  RIE              :1;
                __IO   uint8_t  RESERVED3        :4;
            };
            struct {
                __IO   uint8_t  RESERVED4        :8;
            };
        };
        union {
            struct {
                __IO   uint8_t  RESERVED5        :3;
                __IO   uint8_t  SBL              :1;
                __IO   uint8_t  RESERVED6        :4;
            };
            struct {
                __IO   uint8_t  RESERVED7        :8;
            };
        };
    };
} stc_mfs_smr_field_t;

typedef struct stc_mfs_ibcr_field
{
    union {
        struct {
            __IO   uint8_t  TXE                  :1;
            __IO   uint8_t  RXE                  :1;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  SPI                  :1;
            __IO   uint8_t  MS                   :1;
            __IO   uint8_t  UPCL                 :1;
        };
        struct {
            __IO   uint8_t  INT                  :1;
            __IO   uint8_t  BER                  :1;
            __IO   uint8_t  INTE                 :1;
            __IO   uint8_t  CNDE                 :1;
            __IO   uint8_t  WSEL                 :1;
            __IO   uint8_t  ACKE                 :1;
            __IO   uint8_t  ACT_SCC              :1;
            __IO   uint8_t  MSS                  :1;
        };
    };
} stc_mfs_ibcr_field_t;

typedef struct stc_mfs_scr_field
{
    union {
        struct {
            __IO   uint8_t  TXE                  :1;
            __IO   uint8_t  RXE                  :1;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  SPI                  :1;
            __IO   uint8_t  MS                   :1;
            __IO   uint8_t  UPCL                 :1;
        };
        struct {
            __IO   uint8_t  INT                  :1;
            __IO   uint8_t  BER                  :1;
            __IO   uint8_t  INTE                 :1;
            __IO   uint8_t  CNDE                 :1;
            __IO   uint8_t  WSEL                 :1;
            __IO   uint8_t  ACKE                 :1;
            __IO   uint8_t  ACT_SCC              :1;
            __IO   uint8_t  MSS                  :1;
        };
    };
} stc_mfs_scr_field_t;

typedef struct stc_mfs_escr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  L                :3;
                __IO   uint8_t  WT               :2;
                __IO   uint8_t  RESERVED0        :2;
                __IO   uint8_t  SOP              :1;
            };
            struct {
                __IO   uint8_t  L0               :1;
                __IO   uint8_t  L1               :1;
                __IO   uint8_t  L2               :1;
                __IO   uint8_t  WT0              :1;
                __IO   uint8_t  WT1              :1;
                __IO   uint8_t  RESERVED1        :3;
            };
        };
        struct {
            __IO   uint8_t  BB                   :1;
            __IO   uint8_t  SPC                  :1;
            __IO   uint8_t  RSC                  :1;
            __IO   uint8_t  AL                   :1;
            __IO   uint8_t  TRX                  :1;
            __IO   uint8_t  RSA                  :1;
            __IO   uint8_t  RACK                 :1;
            __IO   uint8_t  FBT                  :1;
        };
        union {
            struct {
                __IO   uint8_t  RESERVED3        :3;
                __IO   uint8_t  P                :1;
                __IO   uint8_t  PEN              :1;
                __IO   uint8_t  INV              :1;
                __IO   uint8_t  ESBL             :1;
                __IO   uint8_t  FLWEN            :1;
            };
            struct {
                __IO   uint8_t  RESERVED4        :8;
            };
        };
    };
} stc_mfs_escr_field_t;

typedef struct stc_mfs_ibsr_field
{
    union {
        union {
            struct {
                __IO   uint8_t  L                :3;
                __IO   uint8_t  WT               :2;
                __IO   uint8_t  RESERVED0        :2;
                __IO   uint8_t  SOP              :1;
            };
            struct {
                __IO   uint8_t  L0               :1;
                __IO   uint8_t  L1               :1;
                __IO   uint8_t  L2               :1;
                __IO   uint8_t  WT0              :1;
                __IO   uint8_t  WT1              :1;
                __IO   uint8_t  RESERVED1        :3;
            };
        };
        struct {
            __IO   uint8_t  BB                   :1;
            __IO   uint8_t  SPC                  :1;
            __IO   uint8_t  RSC                  :1;
            __IO   uint8_t  AL                   :1;
            __IO   uint8_t  TRX                  :1;
            __IO   uint8_t  RSA                  :1;
            __IO   uint8_t  RACK                 :1;
            __IO   uint8_t  FBT                  :1;
        };
        union {
            struct {
                __IO   uint8_t  RESERVED3        :3;
                __IO   uint8_t  P                :1;
                __IO   uint8_t  PEN              :1;
                __IO   uint8_t  INV              :1;
                __IO   uint8_t  ESBL             :1;
                __IO   uint8_t  FLWEN            :1;
            };
            struct {
                __IO   uint8_t  RESERVED4        :8;
            };
        };
    };
} stc_mfs_ibsr_field_t;

typedef struct stc_mfs_ssr_field
{
    union {
        struct {
            __IO   uint8_t  TBI                  :1;
            __IO   uint8_t  TDRE                 :1;
            __IO   uint8_t  RDRF                 :1;
            __IO   uint8_t  ORE                  :1;
            __IO   uint8_t  RESERVED0            :3;
            __IO   uint8_t  REC                  :1;
        };
        struct {
            __IO   uint8_t  RESERVED2            :4;
            __IO   uint8_t  TBIE                 :1;
            __IO   uint8_t  DMA                  :1;
            __IO   uint8_t  TSET                 :1;
            __IO   uint8_t  RESERVED3            :1;
        };
        struct {
            __IO   uint8_t  RESERVED5            :4;
            __IO   uint8_t  FRE                  :1;
            __IO   uint8_t  PE                   :1;
            __IO   uint8_t  RESERVED6            :2;
        };
    };
} stc_mfs_ssr_field_t;

typedef struct stc_mfs_rdr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  D                :9;
                __IO  uint16_t  RESERVED0        :7;
            };
            struct {
                __IO  uint16_t  D0               :1;
                __IO  uint16_t  D1               :1;
                __IO  uint16_t  D2               :1;
                __IO  uint16_t  D3               :1;
                __IO  uint16_t  D4               :1;
                __IO  uint16_t  D5               :1;
                __IO  uint16_t  D6               :1;
                __IO  uint16_t  D7               :1;
                __IO  uint16_t  D8               :1;
                __IO  uint16_t  RESERVED1        :7;
            };
        };
    };
} stc_mfs_rdr_field_t;

typedef struct stc_mfs_tdr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  D                :9;
                __IO  uint16_t  RESERVED0        :7;
            };
            struct {
                __IO  uint16_t  D0               :1;
                __IO  uint16_t  D1               :1;
                __IO  uint16_t  D2               :1;
                __IO  uint16_t  D3               :1;
                __IO  uint16_t  D4               :1;
                __IO  uint16_t  D5               :1;
                __IO  uint16_t  D6               :1;
                __IO  uint16_t  D7               :1;
                __IO  uint16_t  D8               :1;
                __IO  uint16_t  RESERVED1        :7;
            };
        };
    };
} stc_mfs_tdr_field_t;

typedef struct stc_mfs_bgr_field
{
    union {
        union {
            struct {
                __IO  uint16_t  BGR              :15;
                __IO  uint16_t  RESERVED0        :1;
            };
            struct {
                __IO  uint16_t  BGR0             :1;
                __IO  uint16_t  BGR1             :1;
                __IO  uint16_t  BGR2             :1;
                __IO  uint16_t  BGR3             :1;
                __IO  uint16_t  BGR4             :1;
                __IO  uint16_t  BGR5             :1;
                __IO  uint16_t  BGR6             :1;
                __IO  uint16_t  BGR7             :1;
                __IO  uint16_t  BGR8             :1;
                __IO  uint16_t  BGR9             :1;
                __IO  uint16_t  BGR10            :1;
                __IO  uint16_t  BGR11            :1;
                __IO  uint16_t  BGR12            :1;
                __IO  uint16_t  BGR13            :1;
                __IO  uint16_t  BGR14            :1;
                __IO  uint16_t  RESERVED1        :1;
            };
        };
        union {
            struct {
                __IO  uint16_t  RESERVED4        :15;
                __IO  uint16_t  EXT              :1;
            };
            struct {
                __IO  uint16_t  RESERVED5        :16;
            };
        };
    };
} stc_mfs_bgr_field_t;

typedef struct stc_mfs_isba_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_isba_field_t;

typedef struct stc_mfs_ismk_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_ismk_field_t;

typedef struct stc_mfs_fcr_field
{
    union {
        struct {
            __IO  uint16_t  FE1                  :1;
            __IO  uint16_t  FE2                  :1;
            __IO  uint16_t  FCL1                 :1;
            __IO  uint16_t  FCL2                 :1;
            __IO  uint16_t  FSET                 :1;
            __IO  uint16_t  FLD                  :1;
            __IO  uint16_t  FLST                 :1;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  FSEL                 :1;
            __IO  uint16_t  FTIE                 :1;
            __IO  uint16_t  FDRQ                 :1;
            __IO  uint16_t  FRIIE                :1;
            __IO  uint16_t  FLSTE                :1;
            __IO  uint16_t  RESERVED1            :3;
        };
    };
} stc_mfs_fcr_field_t;

typedef struct stc_mfs_eibcr_field
{
        __IO   uint8_t  BEC                      :1;
        __IO   uint8_t  SOCE                     :1;
        __IO   uint8_t  SCLC                     :1;
        __IO   uint8_t  SDAC                     :1;
        __IO   uint8_t  SCLS                     :1;
        __IO   uint8_t  SDAS                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_mfs_eibcr_field_t;

typedef struct stc_mfs_csio_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  SCKE                 :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  SCINV                :1;
            __IO   uint8_t  RESERVED0            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED1            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_csio_smr_field_t;

typedef struct stc_mfs_i2c_smr_field
{
    union {
        struct {
            __IO   uint8_t  RESERVED2            :2;
            __IO   uint8_t  TIE                  :1;
            __IO   uint8_t  RIE                  :1;
            __IO   uint8_t  RESERVED3            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED4            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_i2c_smr_field_t;

typedef struct stc_mfs_uart_smr_field
{
    union {
        struct {
            __IO   uint8_t  SOE                  :1;
            __IO   uint8_t  RESERVED5            :1;
            __IO   uint8_t  BDS                  :1;
            __IO   uint8_t  SBL                  :1;
            __IO   uint8_t  RESERVED6            :1;
            __IO   uint8_t  MD                   :3;
        };
        struct {
            __IO   uint8_t  RESERVED7            :5;
            __IO   uint8_t  MD0                  :1;
            __IO   uint8_t  MD1                  :1;
            __IO   uint8_t  MD2                  :1;
        };
    };
} stc_mfs_uart_smr_field_t;

typedef struct stc_mfs_csio_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  SPI                      :1;
        __IO   uint8_t  MS                       :1;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_csio_scr_field_t;

typedef struct stc_mfs_i2c_ibcr_field
{
        __IO   uint8_t  INT                      :1;
        __IO   uint8_t  BER                      :1;
        __IO   uint8_t  INTE                     :1;
        __IO   uint8_t  CNDE                     :1;
        __IO   uint8_t  WSEL                     :1;
        __IO   uint8_t  ACKE                     :1;
        __IO   uint8_t  ACT_SCC                  :1;
        __IO   uint8_t  MSS                      :1;
} stc_mfs_i2c_ibcr_field_t;

typedef struct stc_mfs_uart_scr_field
{
        __IO   uint8_t  TXE                      :1;
        __IO   uint8_t  RXE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  TIE                      :1;
        __IO   uint8_t  RIE                      :1;
        __IO   uint8_t  RESERVED2                :2;
        __IO   uint8_t  UPCL                     :1;
} stc_mfs_uart_scr_field_t;

typedef struct stc_mfs_csio_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  WT                   :2;
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  SOP                  :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  WT0                  :1;
            __IO   uint8_t  WT1                  :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_mfs_csio_escr_field_t;

typedef struct stc_mfs_i2c_ibsr_field
{
        __IO   uint8_t  BB                       :1;
        __IO   uint8_t  SPC                      :1;
        __IO   uint8_t  RSC                      :1;
        __IO   uint8_t  AL                       :1;
        __IO   uint8_t  TRX                      :1;
        __IO   uint8_t  RSA                      :1;
        __IO   uint8_t  RACK                     :1;
        __IO   uint8_t  FBT                      :1;
} stc_mfs_i2c_ibsr_field_t;

typedef struct stc_mfs_uart_escr_field
{
    union {
        struct {
            __IO   uint8_t  L                    :3;
            __IO   uint8_t  P                    :1;
            __IO   uint8_t  PEN                  :1;
            __IO   uint8_t  INV                  :1;
            __IO   uint8_t  ESBL                 :1;
            __IO   uint8_t  FLWEN                :1;
        };
        struct {
            __IO   uint8_t  L0                   :1;
            __IO   uint8_t  L1                   :1;
            __IO   uint8_t  L2                   :1;
            __IO   uint8_t  RESERVED3            :5;
        };
    };
} stc_mfs_uart_escr_field_t;

typedef struct stc_mfs_csio_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  RESERVED0                :3;
        __IO   uint8_t  REC                      :1;
} stc_mfs_csio_ssr_field_t;

typedef struct stc_mfs_i2c_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  TBIE                     :1;
        __IO   uint8_t  DMA                      :1;
        __IO   uint8_t  TSET                     :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_i2c_ssr_field_t;

typedef struct stc_mfs_uart_ssr_field
{
        __IO   uint8_t  TBI                      :1;
        __IO   uint8_t  TDRE                     :1;
        __IO   uint8_t  RDRF                     :1;
        __IO   uint8_t  ORE                      :1;
        __IO   uint8_t  FRE                      :1;
        __IO   uint8_t  PE                       :1;
        __IO   uint8_t  RESERVED3                :1;
        __IO   uint8_t  REC                      :1;
} stc_mfs_uart_ssr_field_t;

typedef struct stc_mfs_csio_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED0            :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED1            :7;
        };
    };
} stc_mfs_csio_rdr_field_t;

typedef struct stc_mfs_csio_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED2            :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED3            :7;
        };
    };
} stc_mfs_csio_tdr_field_t;

typedef struct stc_mfs_i2c_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED4            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED5            :8;
        };
    };
} stc_mfs_i2c_rdr_field_t;

typedef struct stc_mfs_i2c_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :8;
            __IO  uint16_t  RESERVED6            :8;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  RESERVED7            :8;
        };
    };
} stc_mfs_i2c_tdr_field_t;

typedef struct stc_mfs_uart_rdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED8            :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED9            :7;
        };
    };
} stc_mfs_uart_rdr_field_t;

typedef struct stc_mfs_uart_tdr_field
{
    union {
        struct {
            __IO  uint16_t  D                    :9;
            __IO  uint16_t  RESERVED10           :7;
        };
        struct {
            __IO  uint16_t  D0                   :1;
            __IO  uint16_t  D1                   :1;
            __IO  uint16_t  D2                   :1;
            __IO  uint16_t  D3                   :1;
            __IO  uint16_t  D4                   :1;
            __IO  uint16_t  D5                   :1;
            __IO  uint16_t  D6                   :1;
            __IO  uint16_t  D7                   :1;
            __IO  uint16_t  D8                   :1;
            __IO  uint16_t  RESERVED11           :7;
        };
    };
} stc_mfs_uart_tdr_field_t;

typedef struct stc_mfs_csio_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  RESERVED0            :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED1            :1;
        };
    };
} stc_mfs_csio_bgr_field_t;

typedef struct stc_mfs_i2c_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  RESERVED2            :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED3            :1;
        };
    };
} stc_mfs_i2c_bgr_field_t;

typedef struct stc_mfs_uart_bgr_field
{
    union {
        struct {
            __IO  uint16_t  BGR                  :15;
            __IO  uint16_t  EXT                  :1;
        };
        struct {
            __IO  uint16_t  BGR0                 :1;
            __IO  uint16_t  BGR1                 :1;
            __IO  uint16_t  BGR2                 :1;
            __IO  uint16_t  BGR3                 :1;
            __IO  uint16_t  BGR4                 :1;
            __IO  uint16_t  BGR5                 :1;
            __IO  uint16_t  BGR6                 :1;
            __IO  uint16_t  BGR7                 :1;
            __IO  uint16_t  BGR8                 :1;
            __IO  uint16_t  BGR9                 :1;
            __IO  uint16_t  BGR10                :1;
            __IO  uint16_t  BGR11                :1;
            __IO  uint16_t  BGR12                :1;
            __IO  uint16_t  BGR13                :1;
            __IO  uint16_t  BGR14                :1;
            __IO  uint16_t  RESERVED4            :1;
        };
    };
} stc_mfs_uart_bgr_field_t;

typedef struct stc_mfs_i2c_isba_field
{
    union {
        struct {
            __IO   uint8_t  SA                   :7;
            __IO   uint8_t  SAEN                 :1;
        };
        struct {
            __IO   uint8_t  SA0                  :1;
            __IO   uint8_t  SA1                  :1;
            __IO   uint8_t  SA2                  :1;
            __IO   uint8_t  SA3                  :1;
            __IO   uint8_t  SA4                  :1;
            __IO   uint8_t  SA5                  :1;
            __IO   uint8_t  SA6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_i2c_isba_field_t;

typedef struct stc_mfs_i2c_ismk_field
{
    union {
        struct {
            __IO   uint8_t  SM                   :7;
            __IO   uint8_t  EN                   :1;
        };
        struct {
            __IO   uint8_t  SM0                  :1;
            __IO   uint8_t  SM1                  :1;
            __IO   uint8_t  SM2                  :1;
            __IO   uint8_t  SM3                  :1;
            __IO   uint8_t  SM4                  :1;
            __IO   uint8_t  SM5                  :1;
            __IO   uint8_t  SM6                  :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_mfs_i2c_ismk_field_t;

typedef struct stc_mfs_csio_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED1                :3;
} stc_mfs_csio_fcr_field_t;

typedef struct stc_mfs_i2c_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED3                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED4                :3;
} stc_mfs_i2c_fcr_field_t;

typedef struct stc_mfs_uart_fcr_field
{
        __IO  uint16_t  FE1                      :1;
        __IO  uint16_t  FE2                      :1;
        __IO  uint16_t  FCL1                     :1;
        __IO  uint16_t  FCL2                     :1;
        __IO  uint16_t  FSET                     :1;
        __IO  uint16_t  FLD                      :1;
        __IO  uint16_t  FLST                     :1;
        __IO  uint16_t  RESERVED6                :1;
        __IO  uint16_t  FSEL                     :1;
        __IO  uint16_t  FTIE                     :1;
        __IO  uint16_t  FDRQ                     :1;
        __IO  uint16_t  FRIIE                    :1;
        __IO  uint16_t  FLSTE                    :1;
        __IO  uint16_t  RESERVED7                :3;
} stc_mfs_uart_fcr_field_t;

typedef struct stc_mfs_i2c_eibcr_field
{
        __IO   uint8_t  BEC                      :1;
        __IO   uint8_t  SOCE                     :1;
        __IO   uint8_t  SCLC                     :1;
        __IO   uint8_t  SDAC                     :1;
        __IO   uint8_t  SCLS                     :1;
        __IO   uint8_t  SDAS                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_mfs_i2c_eibcr_field_t;

/******************************************************************************
 ** MFS_NFC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_mfs_nfc_i2cdnf_field
{
    union {
        struct {
            __IO  uint16_t  I2CDNF0              :2;
            __IO  uint16_t  I2CDNF1              :2;
            __IO  uint16_t  I2CDNF2              :2;
            __IO  uint16_t  I2CDNF3              :2;
            __IO  uint16_t  I2CDNF4              :2;
            __IO  uint16_t  I2CDNF5              :2;
            __IO  uint16_t  I2CDNF6              :2;
            __IO  uint16_t  I2CDNF7              :2;
        };
        struct {
            __IO  uint16_t  I2CDNF00             :1;
            __IO  uint16_t  I2CDNF01             :1;
            __IO  uint16_t  I2CDNF10             :1;
            __IO  uint16_t  I2CDNF11             :1;
            __IO  uint16_t  I2CDNF20             :1;
            __IO  uint16_t  I2CDNF21             :1;
            __IO  uint16_t  I2CDNF30             :1;
            __IO  uint16_t  I2CDNF31             :1;
            __IO  uint16_t  I2CDNF40             :1;
            __IO  uint16_t  I2CDNF41             :1;
            __IO  uint16_t  I2CDNF50             :1;
            __IO  uint16_t  I2CDNF51             :1;
            __IO  uint16_t  I2CDNF60             :1;
            __IO  uint16_t  I2CDNF61             :1;
            __IO  uint16_t  I2CDNF70             :1;
            __IO  uint16_t  I2CDNF71             :1;
        };
    };
} stc_mfs_nfc_i2cdnf_field_t;

/******************************************************************************
 ** RTC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_rtc_wtcr1_field
{
        __IO  uint32_t  ST                       :1;
        __IO  uint32_t  RESERVED0                :1;
        __IO  uint32_t  RUN                      :1;
        __IO  uint32_t  SRST                     :1;
        __IO  uint32_t  SCST                     :1;
        __IO  uint32_t  SCRST                    :1;
        __IO  uint32_t  BUSY                     :1;
        __IO  uint32_t  RESERVED1                :1;
        __IO  uint32_t  MIEN                     :1;
        __IO  uint32_t  HEN                      :1;
        __IO  uint32_t  DEN                      :1;
        __IO  uint32_t  MOEN                     :1;
        __IO  uint32_t  YEN                      :1;
        __IO  uint32_t  RESERVED2                :3;
        __IO  uint32_t  INTSSI                   :1;
        __IO  uint32_t  INTSI                    :1;
        __IO  uint32_t  INTMI                    :1;
        __IO  uint32_t  INTHI                    :1;
        __IO  uint32_t  INTTMI                   :1;
        __IO  uint32_t  INTALI                   :1;
        __IO  uint32_t  INTERI                   :1;
        __IO  uint32_t  INTCRI                   :1;
        __IO  uint32_t  INTSSIE                  :1;
        __IO  uint32_t  INTSIE                   :1;
        __IO  uint32_t  INTMIE                   :1;
        __IO  uint32_t  INTHIE                   :1;
        __IO  uint32_t  INTTMIE                  :1;
        __IO  uint32_t  INTALIE                  :1;
        __IO  uint32_t  INTERIE                  :1;
        __IO  uint32_t  INTCRIE                  :1;
} stc_rtc_wtcr1_field_t;

typedef struct stc_rtc_wtcr2_field
{
        __IO  uint32_t  CREAD                    :1;
        __IO  uint32_t  RESERVED0                :7;
        __IO  uint32_t  TMST                     :1;
        __IO  uint32_t  TMEN                     :1;
        __IO  uint32_t  TMRUN                    :1;
        __IO  uint32_t  RESERVED1                :21;
} stc_rtc_wtcr2_field_t;

typedef struct stc_rtc_wtbr_field
{
        __IO  uint32_t  BR0                      :1;
        __IO  uint32_t  BR1                      :1;
        __IO  uint32_t  BR2                      :1;
        __IO  uint32_t  BR3                      :1;
        __IO  uint32_t  BR4                      :1;
        __IO  uint32_t  BR5                      :1;
        __IO  uint32_t  BR6                      :1;
        __IO  uint32_t  BR7                      :1;
        __IO  uint32_t  BR8                      :1;
        __IO  uint32_t  BR9                      :1;
        __IO  uint32_t  BR10                     :1;
        __IO  uint32_t  BR11                     :1;
        __IO  uint32_t  BR12                     :1;
        __IO  uint32_t  BR13                     :1;
        __IO  uint32_t  BR14                     :1;
        __IO  uint32_t  BR15                     :1;
        __IO  uint32_t  BR16                     :1;
        __IO  uint32_t  BR17                     :1;
        __IO  uint32_t  BR18                     :1;
        __IO  uint32_t  BR19                     :1;
        __IO  uint32_t  BR20                     :1;
        __IO  uint32_t  BR21                     :1;
        __IO  uint32_t  BR22                     :1;
        __IO  uint32_t  BR23                     :1;
        __IO  uint32_t  RESERVED0                :8;
} stc_rtc_wtbr_field_t;

typedef struct stc_rtc_wtsr_field
{
    union {
        struct {
            __IO   uint8_t  S                    :4;
            __IO   uint8_t  TS                   :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  S0                   :1;
            __IO   uint8_t  S1                   :1;
            __IO   uint8_t  S2                   :1;
            __IO   uint8_t  S3                   :1;
            __IO   uint8_t  TS0                  :1;
            __IO   uint8_t  TS1                  :1;
            __IO   uint8_t  TS2                  :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_wtsr_field_t;

typedef struct stc_rtc_wtmir_field
{
    union {
        struct {
            __IO   uint8_t  MI                   :4;
            __IO   uint8_t  TMI                  :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  MI0                  :1;
            __IO   uint8_t  MI1                  :1;
            __IO   uint8_t  MI2                  :1;
            __IO   uint8_t  MI3                  :1;
            __IO   uint8_t  TMI0                 :1;
            __IO   uint8_t  TMI1                 :1;
            __IO   uint8_t  TMI2                 :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_wtmir_field_t;

typedef struct stc_rtc_wthr_field
{
    union {
        struct {
            __IO   uint8_t  H                    :4;
            __IO   uint8_t  TH                   :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  H0                   :1;
            __IO   uint8_t  H1                   :1;
            __IO   uint8_t  H2                   :1;
            __IO   uint8_t  H3                   :1;
            __IO   uint8_t  TH0                  :1;
            __IO   uint8_t  TH1                  :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wthr_field_t;

typedef struct stc_rtc_wtdr_field
{
    union {
        struct {
            __IO   uint8_t  D                    :4;
            __IO   uint8_t  TD                   :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  D0                   :1;
            __IO   uint8_t  D1                   :1;
            __IO   uint8_t  D2                   :1;
            __IO   uint8_t  D3                   :1;
            __IO   uint8_t  TD0                  :1;
            __IO   uint8_t  TD1                  :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wtdr_field_t;

typedef struct stc_rtc_wtdw_field
{
    union {
        struct {
            __IO   uint8_t  DW                   :3;
            __IO   uint8_t  RESERVED0            :5;
        };
        struct {
            __IO   uint8_t  DW0                  :1;
            __IO   uint8_t  DW1                  :1;
            __IO   uint8_t  DW2                  :1;
            __IO   uint8_t  RESERVED1            :5;
        };
    };
} stc_rtc_wtdw_field_t;

typedef struct stc_rtc_wtmor_field
{
    union {
        struct {
            __IO   uint8_t  MO                   :4;
            __IO   uint8_t  TMO0                 :1;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  MO0                  :1;
            __IO   uint8_t  MO1                  :1;
            __IO   uint8_t  MO2                  :1;
            __IO   uint8_t  MO3                  :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_wtmor_field_t;

typedef struct stc_rtc_wtyr_field
{
    union {
        struct {
            __IO   uint8_t  Y                    :4;
            __IO   uint8_t  TY                   :4;
        };
        struct {
            __IO   uint8_t  Y0                   :1;
            __IO   uint8_t  Y1                   :1;
            __IO   uint8_t  Y2                   :1;
            __IO   uint8_t  Y3                   :1;
            __IO   uint8_t  TY0                  :1;
            __IO   uint8_t  TY1                  :1;
            __IO   uint8_t  TY2                  :1;
            __IO   uint8_t  TY3                  :1;
        };
    };
} stc_rtc_wtyr_field_t;

typedef struct stc_rtc_almir_field
{
    union {
        struct {
            __IO   uint8_t  AMI                  :4;
            __IO   uint8_t  TAMI                 :3;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  AMI0                 :1;
            __IO   uint8_t  AMI1                 :1;
            __IO   uint8_t  AMI2                 :1;
            __IO   uint8_t  AMI3                 :1;
            __IO   uint8_t  TAMI0                :1;
            __IO   uint8_t  TAMI1                :1;
            __IO   uint8_t  TAMI2                :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_rtc_almir_field_t;

typedef struct stc_rtc_alhr_field
{
    union {
        struct {
            __IO   uint8_t  AH                   :4;
            __IO   uint8_t  TAH                  :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  AH0                  :1;
            __IO   uint8_t  AH1                  :1;
            __IO   uint8_t  AH2                  :1;
            __IO   uint8_t  AH3                  :1;
            __IO   uint8_t  TAH0                 :1;
            __IO   uint8_t  TAH1                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_alhr_field_t;

typedef struct stc_rtc_aldr_field
{
    union {
        struct {
            __IO   uint8_t  AD                   :4;
            __IO   uint8_t  TAD                  :2;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  AD0                  :1;
            __IO   uint8_t  AD1                  :1;
            __IO   uint8_t  AD2                  :1;
            __IO   uint8_t  AD3                  :1;
            __IO   uint8_t  TAD0                 :1;
            __IO   uint8_t  TAD1                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_aldr_field_t;

typedef struct stc_rtc_almor_field
{
    union {
        struct {
            __IO   uint8_t  AMO                  :4;
            __IO   uint8_t  TAMO0                :1;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  AMO0                 :1;
            __IO   uint8_t  AMO1                 :1;
            __IO   uint8_t  AMO2                 :1;
            __IO   uint8_t  AMO3                 :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_almor_field_t;

typedef struct stc_rtc_alyr_field
{
    union {
        struct {
            __IO   uint8_t  AY                   :4;
            __IO   uint8_t  TAY                  :4;
        };
        struct {
            __IO   uint8_t  AY0                  :1;
            __IO   uint8_t  AY1                  :1;
            __IO   uint8_t  AY2                  :1;
            __IO   uint8_t  AY3                  :1;
            __IO   uint8_t  TAY0                 :1;
            __IO   uint8_t  TAY1                 :1;
            __IO   uint8_t  TAY2                 :1;
            __IO   uint8_t  TAY3                 :1;
        };
    };
} stc_rtc_alyr_field_t;

typedef struct stc_rtc_wttr_field
{
    union {
        struct {
            __IO  uint32_t  TM                   :18;
            __IO  uint32_t  RESERVED0            :14;
        };
        struct {
            __IO  uint32_t  TM0                  :1;
            __IO  uint32_t  TM1                  :1;
            __IO  uint32_t  TM2                  :1;
            __IO  uint32_t  TM3                  :1;
            __IO  uint32_t  TM4                  :1;
            __IO  uint32_t  TM5                  :1;
            __IO  uint32_t  TM6                  :1;
            __IO  uint32_t  TM7                  :1;
            __IO  uint32_t  TM8                  :1;
            __IO  uint32_t  TM9                  :1;
            __IO  uint32_t  TM10                 :1;
            __IO  uint32_t  TM11                 :1;
            __IO  uint32_t  TM12                 :1;
            __IO  uint32_t  TM13                 :1;
            __IO  uint32_t  TM14                 :1;
            __IO  uint32_t  TM15                 :1;
            __IO  uint32_t  TM16                 :1;
            __IO  uint32_t  TM17                 :1;
            __IO  uint32_t  RESERVED1            :14;
        };
    };
} stc_rtc_wttr_field_t;

typedef struct stc_rtc_wtclks_field
{
        __IO   uint8_t  WTCLKS                   :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtclks_field_t;

typedef struct stc_rtc_wtclkm_field
{
    union {
        struct {
            __IO   uint8_t  WTCLKM               :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  WTCLKM0              :1;
            __IO   uint8_t  WTCLKM1              :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_rtc_wtclkm_field_t;

typedef struct stc_rtc_wtcal_field
{
    union {
        struct {
            __IO  uint16_t  WTCAL                :10;
            __IO  uint16_t  RESERVED0            :6;
        };
        struct {
            __IO  uint16_t  WTCAL0               :1;
            __IO  uint16_t  WTCAL1               :1;
            __IO  uint16_t  WTCAL2               :1;
            __IO  uint16_t  WTCAL3               :1;
            __IO  uint16_t  WTCAL4               :1;
            __IO  uint16_t  WTCAL5               :1;
            __IO  uint16_t  WTCAL6               :1;
            __IO  uint16_t  WTCAL7               :1;
            __IO  uint16_t  WTCAL8               :1;
            __IO  uint16_t  WTCAL9               :1;
            __IO  uint16_t  RESERVED1            :6;
        };
    };
} stc_rtc_wtcal_field_t;

typedef struct stc_rtc_wtcalen_field
{
        __IO   uint8_t  WTCALEN                  :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtcalen_field_t;

typedef struct stc_rtc_wtdiv_field
{
    union {
        struct {
            __IO   uint8_t  WTDIV                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  WTDIV0               :1;
            __IO   uint8_t  WTDIV1               :1;
            __IO   uint8_t  WTDIV2               :1;
            __IO   uint8_t  WTDIV3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_rtc_wtdiv_field_t;

typedef struct stc_rtc_wtdiven_field
{
        __IO   uint8_t  WTDIVEN                  :1;
        __IO   uint8_t  WTDIVRDY                 :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_rtc_wtdiven_field_t;

typedef struct stc_rtc_wtcalprd_field
{
    union {
        struct {
            __IO   uint8_t  WTCALPRD             :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  WTCALPRD0            :1;
            __IO   uint8_t  WTCALPRD1            :1;
            __IO   uint8_t  WTCALPRD2            :1;
            __IO   uint8_t  WTCALPRD3            :1;
            __IO   uint8_t  WTCALPRD4            :1;
            __IO   uint8_t  WTCALPRD5            :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_rtc_wtcalprd_field_t;

typedef struct stc_rtc_wtcosel_field
{
        __IO   uint8_t  WTCOSEL                  :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_rtc_wtcosel_field_t;

/******************************************************************************
 ** SBSSR_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_sbssr_btsssr_field
{
        __IO  uint16_t  SSSR0                    :1;
        __IO  uint16_t  SSSR1                    :1;
        __IO  uint16_t  SSSR2                    :1;
        __IO  uint16_t  SSSR3                    :1;
        __IO  uint16_t  SSSR4                    :1;
        __IO  uint16_t  SSSR5                    :1;
        __IO  uint16_t  SSSR6                    :1;
        __IO  uint16_t  SSSR7                    :1;
        __IO  uint16_t  SSSR8                    :1;
        __IO  uint16_t  SSSR9                    :1;
        __IO  uint16_t  SSSR10                   :1;
        __IO  uint16_t  SSSR11                   :1;
        __IO  uint16_t  SSSR12                   :1;
        __IO  uint16_t  SSSR13                   :1;
        __IO  uint16_t  SSSR14                   :1;
        __IO  uint16_t  SSSR15                   :1;
} stc_sbssr_btsssr_field_t;

/******************************************************************************
 ** SWWDT_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_swwdt_wdogcontrol_field
{
        __IO  uint32_t  INTEN                    :1;
        __IO  uint32_t  RESEN                    :1;
        __IO  uint32_t  RESERVED0                :30;
} stc_swwdt_wdogcontrol_field_t;

typedef struct stc_swwdt_wdogris_field
{
        __IO  uint32_t  RIS                      :1;
        __IO  uint32_t  RESERVED0                :31;
} stc_swwdt_wdogris_field_t;

/******************************************************************************
 ** UNIQUE_ID_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_unique_id_uidr0_field
{
    union {
        struct {
            __IO  uint32_t  RESERVED0            :4;
            __IO  uint32_t  UID                  :28;
        };
        struct {
            __IO  uint32_t  RESERVED1            :4;
            __IO  uint32_t  UID0                 :1;
            __IO  uint32_t  UID1                 :1;
            __IO  uint32_t  UID2                 :1;
            __IO  uint32_t  UID3                 :1;
            __IO  uint32_t  UID4                 :1;
            __IO  uint32_t  UID5                 :1;
            __IO  uint32_t  UID6                 :1;
            __IO  uint32_t  UID7                 :1;
            __IO  uint32_t  UID8                 :1;
            __IO  uint32_t  UID9                 :1;
            __IO  uint32_t  UID10                :1;
            __IO  uint32_t  UID11                :1;
            __IO  uint32_t  UID12                :1;
            __IO  uint32_t  UID13                :1;
            __IO  uint32_t  UID14                :1;
            __IO  uint32_t  UID15                :1;
            __IO  uint32_t  UID16                :1;
            __IO  uint32_t  UID17                :1;
            __IO  uint32_t  UID18                :1;
            __IO  uint32_t  UID19                :1;
            __IO  uint32_t  UID20                :1;
            __IO  uint32_t  UID21                :1;
            __IO  uint32_t  UID22                :1;
            __IO  uint32_t  UID23                :1;
            __IO  uint32_t  UID24                :1;
            __IO  uint32_t  UID25                :1;
            __IO  uint32_t  UID26                :1;
            __IO  uint32_t  UID27                :1;
        };
    };
} stc_unique_id_uidr0_field_t;

typedef struct stc_unique_id_uidr1_field
{
    union {
        struct {
            __IO  uint32_t  UID                  :13;
            __IO  uint32_t  RESERVED0            :19;
        };
        struct {
            __IO  uint32_t  UID0                 :1;
            __IO  uint32_t  UID1                 :1;
            __IO  uint32_t  UID2                 :1;
            __IO  uint32_t  UID3                 :1;
            __IO  uint32_t  UID4                 :1;
            __IO  uint32_t  UID5                 :1;
            __IO  uint32_t  UID6                 :1;
            __IO  uint32_t  UID7                 :1;
            __IO  uint32_t  UID8                 :1;
            __IO  uint32_t  UID9                 :1;
            __IO  uint32_t  UID10                :1;
            __IO  uint32_t  UID11                :1;
            __IO  uint32_t  UID12                :1;
            __IO  uint32_t  RESERVED1            :19;
        };
    };
} stc_unique_id_uidr1_field_t;

/******************************************************************************
 ** USB_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_usb_hcnt_field
{
        __IO  uint16_t  HOST                     :1;
        __IO  uint16_t  URST                     :1;
        __IO  uint16_t  SOFIRE                   :1;
        __IO  uint16_t  DIRE                     :1;
        __IO  uint16_t  CNNIRE                   :1;
        __IO  uint16_t  CMPIRE                   :1;
        __IO  uint16_t  URIRE                    :1;
        __IO  uint16_t  RWKIRE                   :1;
        __IO  uint16_t  RETRY                    :1;
        __IO  uint16_t  CANCEL                   :1;
        __IO  uint16_t  SOFSTEP                  :1;
        __IO  uint16_t  RESERVED0                :5;
} stc_usb_hcnt_field_t;

typedef struct stc_usb_hirq_field
{
        __IO   uint8_t  SOFIRQ                   :1;
        __IO   uint8_t  DIRQ                     :1;
        __IO   uint8_t  CNNIRQ                   :1;
        __IO   uint8_t  CMPIRQ                   :1;
        __IO   uint8_t  URIRQ                    :1;
        __IO   uint8_t  RWKIRQ                   :1;
        __IO   uint8_t  RESERVED0                :1;
        __IO   uint8_t  TCAN                     :1;
} stc_usb_hirq_field_t;

typedef struct stc_usb_herr_field
{
    union {
        struct {
            __IO   uint8_t  HS                   :2;
            __IO   uint8_t  STUFF                :1;
            __IO   uint8_t  TGERR                :1;
            __IO   uint8_t  CRC                  :1;
            __IO   uint8_t  TOUT                 :1;
            __IO   uint8_t  RERR                 :1;
            __IO   uint8_t  LSTSOF               :1;
        };
        struct {
            __IO   uint8_t  HS0                  :1;
            __IO   uint8_t  HS1                  :1;
            __IO   uint8_t  RESERVED0            :6;
        };
    };
} stc_usb_herr_field_t;

typedef struct stc_usb_hstate_field
{
        __IO   uint8_t  CSTAT                    :1;
        __IO   uint8_t  TMODE                    :1;
        __IO   uint8_t  SUSP                     :1;
        __IO   uint8_t  SOFBUSY                  :1;
        __IO   uint8_t  CLKSEL                   :1;
        __IO   uint8_t  ALIVE                    :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_usb_hstate_field_t;

typedef struct stc_usb_hfcomp_field
{
    union {
        struct {
            __IO   uint8_t  FRAMECOMP            :8;
        };
        struct {
            __IO   uint8_t  FRAMECOMP0           :1;
            __IO   uint8_t  FRAMECOMP1           :1;
            __IO   uint8_t  FRAMECOMP2           :1;
            __IO   uint8_t  FRAMECOMP3           :1;
            __IO   uint8_t  FRAMECOMP4           :1;
            __IO   uint8_t  FRAMECOMP5           :1;
            __IO   uint8_t  FRAMECOMP6           :1;
            __IO   uint8_t  FRAMECOMP7           :1;
        };
    };
} stc_usb_hfcomp_field_t;

typedef struct stc_usb_hrtimer_field
{
    union {
        struct {
            __IO  uint16_t  RTIMER               :16;
        };
        struct {
            __IO  uint16_t  RTIMER0              :1;
            __IO  uint16_t  RTIMER1              :1;
            __IO  uint16_t  RTIMER2              :1;
            __IO  uint16_t  RTIMER3              :1;
            __IO  uint16_t  RTIMER4              :1;
            __IO  uint16_t  RTIMER5              :1;
            __IO  uint16_t  RTIMER6              :1;
            __IO  uint16_t  RTIMER7              :1;
            __IO  uint16_t  RTIMER8              :1;
            __IO  uint16_t  RTIMER9              :1;
            __IO  uint16_t  RTIMER10             :1;
            __IO  uint16_t  RTIMER11             :1;
            __IO  uint16_t  RTIMER12             :1;
            __IO  uint16_t  RTIMER13             :1;
            __IO  uint16_t  RTIMER14             :1;
            __IO  uint16_t  RTIMER15             :1;
        };
    };
} stc_usb_hrtimer_field_t;

typedef struct stc_usb_hrtimer2_field
{
    union {
        struct {
            __IO   uint8_t  RTIMER2              :2;
            __IO   uint8_t  RESERVED0            :6;
        };
        struct {
            __IO   uint8_t  RTIMER20             :1;
            __IO   uint8_t  RTIMER21             :1;
            __IO   uint8_t  RESERVED1            :6;
        };
    };
} stc_usb_hrtimer2_field_t;

typedef struct stc_usb_hadr_field
{
    union {
        struct {
            __IO   uint8_t  ADDRESS              :7;
            __IO   uint8_t  RESERVED0            :1;
        };
        struct {
            __IO   uint8_t  ADDRESS0             :1;
            __IO   uint8_t  ADDRESS1             :1;
            __IO   uint8_t  ADDRESS2             :1;
            __IO   uint8_t  ADDRESS3             :1;
            __IO   uint8_t  ADDRESS4             :1;
            __IO   uint8_t  ADDRESS5             :1;
            __IO   uint8_t  ADDRESS6             :1;
            __IO   uint8_t  RESERVED1            :1;
        };
    };
} stc_usb_hadr_field_t;

typedef struct stc_usb_heof_field
{
    union {
        struct {
            __IO  uint16_t  HEOF                 :14;
            __IO  uint16_t  RESERVED0            :2;
        };
        struct {
            __IO  uint16_t  HEOF0                :1;
            __IO  uint16_t  HEOF1                :1;
            __IO  uint16_t  HEOF2                :1;
            __IO  uint16_t  HEOF3                :1;
            __IO  uint16_t  HEOF4                :1;
            __IO  uint16_t  HEOF5                :1;
            __IO  uint16_t  HEOF6                :1;
            __IO  uint16_t  HEOF7                :1;
            __IO  uint16_t  HEOF8                :1;
            __IO  uint16_t  HEOF9                :1;
            __IO  uint16_t  HEOF10               :1;
            __IO  uint16_t  HEOF11               :1;
            __IO  uint16_t  HEOF12               :1;
            __IO  uint16_t  HEOF13               :1;
            __IO  uint16_t  RESERVED1            :2;
        };
    };
} stc_usb_heof_field_t;

typedef struct stc_usb_hframe_field
{
    union {
        struct {
            __IO  uint16_t  FRAME                :11;
            __IO  uint16_t  RESERVED0            :5;
        };
        struct {
            __IO  uint16_t  FRAME0               :1;
            __IO  uint16_t  FRAME1               :1;
            __IO  uint16_t  FRAME2               :1;
            __IO  uint16_t  FRAME3               :1;
            __IO  uint16_t  FRAME4               :1;
            __IO  uint16_t  FRAME5               :1;
            __IO  uint16_t  FRAME6               :1;
            __IO  uint16_t  FRAME7               :1;
            __IO  uint16_t  FRAME8               :1;
            __IO  uint16_t  FRAME9               :1;
            __IO  uint16_t  FRAME10              :1;
            __IO  uint16_t  RESERVED1            :5;
        };
    };
} stc_usb_hframe_field_t;

typedef struct stc_usb_htoken_field
{
    union {
        struct {
            __IO   uint8_t  ENDPT                :4;
            __IO   uint8_t  TKNEN                :3;
            __IO   uint8_t  TGGL                 :1;
        };
        struct {
            __IO   uint8_t  ENDPT0               :1;
            __IO   uint8_t  ENDPT1               :1;
            __IO   uint8_t  ENDPT2               :1;
            __IO   uint8_t  ENDPT3               :1;
            __IO   uint8_t  TKNEN0               :1;
            __IO   uint8_t  TKNEN1               :1;
            __IO   uint8_t  TKNEN2               :1;
            __IO   uint8_t  RESERVED0            :1;
        };
    };
} stc_usb_htoken_field_t;

typedef struct stc_usb_udcc_field
{
        __IO  uint16_t  PWC                      :1;
        __IO  uint16_t  RFBK                     :1;
        __IO  uint16_t  RESERVED0                :1;
        __IO  uint16_t  STALCLREN                :1;
        __IO  uint16_t  USTP                     :1;
        __IO  uint16_t  HCONX                    :1;
        __IO  uint16_t  RESUM                    :1;
        __IO  uint16_t  RST                      :1;
        __IO  uint16_t  RESERVED1                :8;
} stc_usb_udcc_field_t;

typedef struct stc_usb_ep0c_field
{
    union {
        struct {
            __IO  uint16_t  PKS                  :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  STAL                 :1;
            __IO  uint16_t  RESERVED1            :6;
        };
        struct {
            __IO  uint16_t  PKS0                 :1;
            __IO  uint16_t  PKS1                 :1;
            __IO  uint16_t  PKS2                 :1;
            __IO  uint16_t  PKS3                 :1;
            __IO  uint16_t  PKS4                 :1;
            __IO  uint16_t  PKS5                 :1;
            __IO  uint16_t  PKS6                 :1;
            __IO  uint16_t  RESERVED2            :9;
        };
    };
} stc_usb_ep0c_field_t;

typedef struct stc_usb_ep1c_field
{
    union {
        struct {
            __IO  uint16_t  PKS                  :9;
            __IO  uint16_t  STAL                 :1;
            __IO  uint16_t  NULE                 :1;
            __IO  uint16_t  DMAE                 :1;
            __IO  uint16_t  DIR                  :1;
            __IO  uint16_t  TYPE                 :2;
            __IO  uint16_t  EPEN                 :1;
        };
        struct {
            __IO  uint16_t  PKS0                 :1;
            __IO  uint16_t  PKS1                 :1;
            __IO  uint16_t  PKS2                 :1;
            __IO  uint16_t  PKS3                 :1;
            __IO  uint16_t  PKS4                 :1;
            __IO  uint16_t  PKS5                 :1;
            __IO  uint16_t  PKS6                 :1;
            __IO  uint16_t  PKS7                 :1;
            __IO  uint16_t  PKS8                 :1;
            __IO  uint16_t  RESERVED0            :4;
            __IO  uint16_t  TYPE0                :1;
            __IO  uint16_t  TYPE1                :1;
            __IO  uint16_t  RESERVED1            :1;
        };
    };
} stc_usb_ep1c_field_t;

typedef struct stc_usb_ep2c_field
{
    union {
        struct {
            __IO  uint16_t  PKS                  :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  STAL                 :1;
            __IO  uint16_t  NULE                 :1;
            __IO  uint16_t  DMAE                 :1;
            __IO  uint16_t  DIR                  :1;
            __IO  uint16_t  TYPE                 :2;
            __IO  uint16_t  EPEN                 :1;
        };
        struct {
            __IO  uint16_t  PKS0                 :1;
            __IO  uint16_t  PKS1                 :1;
            __IO  uint16_t  PKS2                 :1;
            __IO  uint16_t  PKS3                 :1;
            __IO  uint16_t  PKS4                 :1;
            __IO  uint16_t  PKS5                 :1;
            __IO  uint16_t  PKS6                 :1;
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  TYPE0                :1;
            __IO  uint16_t  TYPE1                :1;
            __IO  uint16_t  RESERVED2            :1;
        };
    };
} stc_usb_ep2c_field_t;

typedef struct stc_usb_ep3c_field
{
    union {
        struct {
            __IO  uint16_t  PKS                  :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  STAL                 :1;
            __IO  uint16_t  NULE                 :1;
            __IO  uint16_t  DMAE                 :1;
            __IO  uint16_t  DIR                  :1;
            __IO  uint16_t  TYPE                 :2;
            __IO  uint16_t  EPEN                 :1;
        };
        struct {
            __IO  uint16_t  PKS0                 :1;
            __IO  uint16_t  PKS1                 :1;
            __IO  uint16_t  PKS2                 :1;
            __IO  uint16_t  PKS3                 :1;
            __IO  uint16_t  PKS4                 :1;
            __IO  uint16_t  PKS5                 :1;
            __IO  uint16_t  PKS6                 :1;
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  TYPE0                :1;
            __IO  uint16_t  TYPE1                :1;
            __IO  uint16_t  RESERVED2            :1;
        };
    };
} stc_usb_ep3c_field_t;

typedef struct stc_usb_ep4c_field
{
    union {
        struct {
            __IO  uint16_t  PKS                  :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  STAL                 :1;
            __IO  uint16_t  NULE                 :1;
            __IO  uint16_t  DMAE                 :1;
            __IO  uint16_t  DIR                  :1;
            __IO  uint16_t  TYPE                 :2;
            __IO  uint16_t  EPEN                 :1;
        };
        struct {
            __IO  uint16_t  PKS0                 :1;
            __IO  uint16_t  PKS1                 :1;
            __IO  uint16_t  PKS2                 :1;
            __IO  uint16_t  PKS3                 :1;
            __IO  uint16_t  PKS4                 :1;
            __IO  uint16_t  PKS5                 :1;
            __IO  uint16_t  PKS6                 :1;
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  TYPE0                :1;
            __IO  uint16_t  TYPE1                :1;
            __IO  uint16_t  RESERVED2            :1;
        };
    };
} stc_usb_ep4c_field_t;

typedef struct stc_usb_ep5c_field
{
    union {
        struct {
            __IO  uint16_t  PKS                  :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  STAL                 :1;
            __IO  uint16_t  NULE                 :1;
            __IO  uint16_t  DMAE                 :1;
            __IO  uint16_t  DIR                  :1;
            __IO  uint16_t  TYPE                 :2;
            __IO  uint16_t  EPEN                 :1;
        };
        struct {
            __IO  uint16_t  PKS0                 :1;
            __IO  uint16_t  PKS1                 :1;
            __IO  uint16_t  PKS2                 :1;
            __IO  uint16_t  PKS3                 :1;
            __IO  uint16_t  PKS4                 :1;
            __IO  uint16_t  PKS5                 :1;
            __IO  uint16_t  PKS6                 :1;
            __IO  uint16_t  RESERVED1            :6;
            __IO  uint16_t  TYPE0                :1;
            __IO  uint16_t  TYPE1                :1;
            __IO  uint16_t  RESERVED2            :1;
        };
    };
} stc_usb_ep5c_field_t;

typedef struct stc_usb_tmsp_field
{
    union {
        struct {
            __IO  uint16_t  TMSP                 :11;
            __IO  uint16_t  RESERVED0            :5;
        };
        struct {
            __IO  uint16_t  TMSP0                :1;
            __IO  uint16_t  TMSP1                :1;
            __IO  uint16_t  TMSP2                :1;
            __IO  uint16_t  TMSP3                :1;
            __IO  uint16_t  TMSP4                :1;
            __IO  uint16_t  TMSP5                :1;
            __IO  uint16_t  TMSP6                :1;
            __IO  uint16_t  TMSP7                :1;
            __IO  uint16_t  TMSP8                :1;
            __IO  uint16_t  TMSP9                :1;
            __IO  uint16_t  TMSP10               :1;
            __IO  uint16_t  RESERVED1            :5;
        };
    };
} stc_usb_tmsp_field_t;

typedef struct stc_usb_udcs_field
{
        __IO   uint8_t  CONF                     :1;
        __IO   uint8_t  SETP                     :1;
        __IO   uint8_t  WKUP                     :1;
        __IO   uint8_t  BRST                     :1;
        __IO   uint8_t  SOF                      :1;
        __IO   uint8_t  SUSP                     :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_usb_udcs_field_t;

typedef struct stc_usb_udcie_field
{
        __IO   uint8_t  CONFIE                   :1;
        __IO   uint8_t  CONFN                    :1;
        __IO   uint8_t  WKUPIE                   :1;
        __IO   uint8_t  BRSTIE                   :1;
        __IO   uint8_t  SOFIE                    :1;
        __IO   uint8_t  SUSPIE                   :1;
        __IO   uint8_t  RESERVED0                :2;
} stc_usb_udcie_field_t;

typedef struct stc_usb_ep0is_field
{
        __IO  uint16_t  RESERVED0                :10;
        __IO  uint16_t  DRQI                     :1;
        __IO  uint16_t  RESERVED1                :3;
        __IO  uint16_t  DRQIIE                   :1;
        __IO  uint16_t  BFINI                    :1;
} stc_usb_ep0is_field_t;

typedef struct stc_usb_ep0os_field
{
    union {
        struct {
            __IO  uint16_t  SIZE                 :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SPK                  :1;
            __IO  uint16_t  DRQO                 :1;
            __IO  uint16_t  RESERVED1            :2;
            __IO  uint16_t  SPKIE                :1;
            __IO  uint16_t  DRQOIE               :1;
            __IO  uint16_t  BFINI                :1;
        };
        struct {
            __IO  uint16_t  SIZE0                :1;
            __IO  uint16_t  SIZE1                :1;
            __IO  uint16_t  SIZE2                :1;
            __IO  uint16_t  SIZE3                :1;
            __IO  uint16_t  SIZE4                :1;
            __IO  uint16_t  SIZE5                :1;
            __IO  uint16_t  SIZE6                :1;
            __IO  uint16_t  RESERVED2            :9;
        };
    };
} stc_usb_ep0os_field_t;

typedef struct stc_usb_ep1s_field
{
    union {
        struct {
            __IO  uint16_t  SIZE                 :9;
            __IO  uint16_t  SPK                  :1;
            __IO  uint16_t  DRQ                  :1;
            __IO  uint16_t  BUSY                 :1;
            __IO  uint16_t  RESERVED0            :1;
            __IO  uint16_t  SPKIE                :1;
            __IO  uint16_t  DRQIE                :1;
            __IO  uint16_t  BFINI                :1;
        };
        struct {
            __IO  uint16_t  SIZE0                :1;
            __IO  uint16_t  SIZE1                :1;
            __IO  uint16_t  SIZE2                :1;
            __IO  uint16_t  SIZE3                :1;
            __IO  uint16_t  SIZE4                :1;
            __IO  uint16_t  SIZE5                :1;
            __IO  uint16_t  SIZE6                :1;
            __IO  uint16_t  SIZE7                :1;
            __IO  uint16_t  SIZE8                :1;
            __IO  uint16_t  RESERVED1            :7;
        };
    };
} stc_usb_ep1s_field_t;

typedef struct stc_usb_ep2s_field
{
    union {
        struct {
            __IO  uint16_t  SIZE                 :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SPK                  :1;
            __IO  uint16_t  DRQ                  :1;
            __IO  uint16_t  BUSY                 :1;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  SPKIE                :1;
            __IO  uint16_t  DRQIE                :1;
            __IO  uint16_t  BFINI                :1;
        };
        struct {
            __IO  uint16_t  SIZE0                :1;
            __IO  uint16_t  SIZE1                :1;
            __IO  uint16_t  SIZE2                :1;
            __IO  uint16_t  SIZE3                :1;
            __IO  uint16_t  SIZE4                :1;
            __IO  uint16_t  SIZE5                :1;
            __IO  uint16_t  SIZE6                :1;
            __IO  uint16_t  RESERVED2            :9;
        };
    };
} stc_usb_ep2s_field_t;

typedef struct stc_usb_ep3s_field
{
    union {
        struct {
            __IO  uint16_t  SIZE                 :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SPK                  :1;
            __IO  uint16_t  DRQ                  :1;
            __IO  uint16_t  BUSY                 :1;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  SPKIE                :1;
            __IO  uint16_t  DRQIE                :1;
            __IO  uint16_t  BFINI                :1;
        };
        struct {
            __IO  uint16_t  SIZE0                :1;
            __IO  uint16_t  SIZE1                :1;
            __IO  uint16_t  SIZE2                :1;
            __IO  uint16_t  SIZE3                :1;
            __IO  uint16_t  SIZE4                :1;
            __IO  uint16_t  SIZE5                :1;
            __IO  uint16_t  SIZE6                :1;
            __IO  uint16_t  RESERVED2            :9;
        };
    };
} stc_usb_ep3s_field_t;

typedef struct stc_usb_ep4s_field
{
    union {
        struct {
            __IO  uint16_t  SIZE                 :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SPK                  :1;
            __IO  uint16_t  DRQ                  :1;
            __IO  uint16_t  BUSY                 :1;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  SPKIE                :1;
            __IO  uint16_t  DRQIE                :1;
            __IO  uint16_t  BFINI                :1;
        };
        struct {
            __IO  uint16_t  SIZE0                :1;
            __IO  uint16_t  SIZE1                :1;
            __IO  uint16_t  SIZE2                :1;
            __IO  uint16_t  SIZE3                :1;
            __IO  uint16_t  SIZE4                :1;
            __IO  uint16_t  SIZE5                :1;
            __IO  uint16_t  SIZE6                :1;
            __IO  uint16_t  RESERVED2            :9;
        };
    };
} stc_usb_ep4s_field_t;

typedef struct stc_usb_ep5s_field
{
    union {
        struct {
            __IO  uint16_t  SIZE                 :7;
            __IO  uint16_t  RESERVED0            :2;
            __IO  uint16_t  SPK                  :1;
            __IO  uint16_t  DRQ                  :1;
            __IO  uint16_t  BUSY                 :1;
            __IO  uint16_t  RESERVED1            :1;
            __IO  uint16_t  SPKIE                :1;
            __IO  uint16_t  DRQIE                :1;
            __IO  uint16_t  BFINI                :1;
        };
        struct {
            __IO  uint16_t  SIZE0                :1;
            __IO  uint16_t  SIZE1                :1;
            __IO  uint16_t  SIZE2                :1;
            __IO  uint16_t  SIZE3                :1;
            __IO  uint16_t  SIZE4                :1;
            __IO  uint16_t  SIZE5                :1;
            __IO  uint16_t  SIZE6                :1;
            __IO  uint16_t  RESERVED2            :9;
        };
    };
} stc_usb_ep5s_field_t;

typedef struct stc_usb_ep0dt_field
{
    union {
        struct {
            __IO  uint16_t  BFDT                 :16;
        };
        struct {
            __IO  uint16_t  BFDT0                :1;
            __IO  uint16_t  BFDT1                :1;
            __IO  uint16_t  BFDT2                :1;
            __IO  uint16_t  BFDT3                :1;
            __IO  uint16_t  BFDT4                :1;
            __IO  uint16_t  BFDT5                :1;
            __IO  uint16_t  BFDT6                :1;
            __IO  uint16_t  BFDT7                :1;
            __IO  uint16_t  BFDT8                :1;
            __IO  uint16_t  BFDT9                :1;
            __IO  uint16_t  BFDT10               :1;
            __IO  uint16_t  BFDT11               :1;
            __IO  uint16_t  BFDT12               :1;
            __IO  uint16_t  BFDT13               :1;
            __IO  uint16_t  BFDT14               :1;
            __IO  uint16_t  BFDT15               :1;
        };
    };
} stc_usb_ep0dt_field_t;

typedef struct stc_usb_ep1dt_field
{
    union {
        struct {
            __IO  uint16_t  BFDT                 :16;
        };
        struct {
            __IO  uint16_t  BFDT0                :1;
            __IO  uint16_t  BFDT1                :1;
            __IO  uint16_t  BFDT2                :1;
            __IO  uint16_t  BFDT3                :1;
            __IO  uint16_t  BFDT4                :1;
            __IO  uint16_t  BFDT5                :1;
            __IO  uint16_t  BFDT6                :1;
            __IO  uint16_t  BFDT7                :1;
            __IO  uint16_t  BFDT8                :1;
            __IO  uint16_t  BFDT9                :1;
            __IO  uint16_t  BFDT10               :1;
            __IO  uint16_t  BFDT11               :1;
            __IO  uint16_t  BFDT12               :1;
            __IO  uint16_t  BFDT13               :1;
            __IO  uint16_t  BFDT14               :1;
            __IO  uint16_t  BFDT15               :1;
        };
    };
} stc_usb_ep1dt_field_t;

typedef struct stc_usb_ep2dt_field
{
    union {
        struct {
            __IO  uint16_t  BFDT                 :16;
        };
        struct {
            __IO  uint16_t  BFDT0                :1;
            __IO  uint16_t  BFDT1                :1;
            __IO  uint16_t  BFDT2                :1;
            __IO  uint16_t  BFDT3                :1;
            __IO  uint16_t  BFDT4                :1;
            __IO  uint16_t  BFDT5                :1;
            __IO  uint16_t  BFDT6                :1;
            __IO  uint16_t  BFDT7                :1;
            __IO  uint16_t  BFDT8                :1;
            __IO  uint16_t  BFDT9                :1;
            __IO  uint16_t  BFDT10               :1;
            __IO  uint16_t  BFDT11               :1;
            __IO  uint16_t  BFDT12               :1;
            __IO  uint16_t  BFDT13               :1;
            __IO  uint16_t  BFDT14               :1;
            __IO  uint16_t  BFDT15               :1;
        };
    };
} stc_usb_ep2dt_field_t;

typedef struct stc_usb_ep3dt_field
{
    union {
        struct {
            __IO  uint16_t  BFDT                 :16;
        };
        struct {
            __IO  uint16_t  BFDT0                :1;
            __IO  uint16_t  BFDT1                :1;
            __IO  uint16_t  BFDT2                :1;
            __IO  uint16_t  BFDT3                :1;
            __IO  uint16_t  BFDT4                :1;
            __IO  uint16_t  BFDT5                :1;
            __IO  uint16_t  BFDT6                :1;
            __IO  uint16_t  BFDT7                :1;
            __IO  uint16_t  BFDT8                :1;
            __IO  uint16_t  BFDT9                :1;
            __IO  uint16_t  BFDT10               :1;
            __IO  uint16_t  BFDT11               :1;
            __IO  uint16_t  BFDT12               :1;
            __IO  uint16_t  BFDT13               :1;
            __IO  uint16_t  BFDT14               :1;
            __IO  uint16_t  BFDT15               :1;
        };
    };
} stc_usb_ep3dt_field_t;

typedef struct stc_usb_ep4dt_field
{
    union {
        struct {
            __IO  uint16_t  BFDT                 :16;
        };
        struct {
            __IO  uint16_t  BFDT0                :1;
            __IO  uint16_t  BFDT1                :1;
            __IO  uint16_t  BFDT2                :1;
            __IO  uint16_t  BFDT3                :1;
            __IO  uint16_t  BFDT4                :1;
            __IO  uint16_t  BFDT5                :1;
            __IO  uint16_t  BFDT6                :1;
            __IO  uint16_t  BFDT7                :1;
            __IO  uint16_t  BFDT8                :1;
            __IO  uint16_t  BFDT9                :1;
            __IO  uint16_t  BFDT10               :1;
            __IO  uint16_t  BFDT11               :1;
            __IO  uint16_t  BFDT12               :1;
            __IO  uint16_t  BFDT13               :1;
            __IO  uint16_t  BFDT14               :1;
            __IO  uint16_t  BFDT15               :1;
        };
    };
} stc_usb_ep4dt_field_t;

typedef struct stc_usb_ep5dt_field
{
    union {
        struct {
            __IO  uint16_t  BFDT                 :16;
        };
        struct {
            __IO  uint16_t  BFDT0                :1;
            __IO  uint16_t  BFDT1                :1;
            __IO  uint16_t  BFDT2                :1;
            __IO  uint16_t  BFDT3                :1;
            __IO  uint16_t  BFDT4                :1;
            __IO  uint16_t  BFDT5                :1;
            __IO  uint16_t  BFDT6                :1;
            __IO  uint16_t  BFDT7                :1;
            __IO  uint16_t  BFDT8                :1;
            __IO  uint16_t  BFDT9                :1;
            __IO  uint16_t  BFDT10               :1;
            __IO  uint16_t  BFDT11               :1;
            __IO  uint16_t  BFDT12               :1;
            __IO  uint16_t  BFDT13               :1;
            __IO  uint16_t  BFDT14               :1;
            __IO  uint16_t  BFDT15               :1;
        };
    };
} stc_usb_ep5dt_field_t;

/******************************************************************************
 ** USBCLK_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_usbclk_uccr_field
{
        __IO   uint8_t  UCEN                     :1;
        __IO   uint8_t  UCSEL                    :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_usbclk_uccr_field_t;

typedef struct stc_usbclk_upcr1_field
{
        __IO   uint8_t  UPLLEN                   :1;
        __IO   uint8_t  UPINC                    :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_usbclk_upcr1_field_t;

typedef struct stc_usbclk_upcr2_field
{
    union {
        struct {
            __IO   uint8_t  UPOWT                :3;
            __IO   uint8_t  RESERVED0            :5;
        };
        struct {
            __IO   uint8_t  UPOWT0               :1;
            __IO   uint8_t  UPOWT1               :1;
            __IO   uint8_t  UPOWT2               :1;
            __IO   uint8_t  RESERVED1            :5;
        };
    };
} stc_usbclk_upcr2_field_t;

typedef struct stc_usbclk_upcr3_field
{
    union {
        struct {
            __IO   uint8_t  UPLLK                :5;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  UPLLK0               :1;
            __IO   uint8_t  UPLLK1               :1;
            __IO   uint8_t  UPLLK2               :1;
            __IO   uint8_t  UPLLK3               :1;
            __IO   uint8_t  UPLLK4               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_usbclk_upcr3_field_t;

typedef struct stc_usbclk_upcr4_field
{
    union {
        struct {
            __IO   uint8_t  UPLLN                :5;
            __IO   uint8_t  RESERVED0            :3;
        };
        struct {
            __IO   uint8_t  UPLLN0               :1;
            __IO   uint8_t  UPLLN1               :1;
            __IO   uint8_t  UPLLN2               :1;
            __IO   uint8_t  UPLLN3               :1;
            __IO   uint8_t  UPLLN4               :1;
            __IO   uint8_t  RESERVED1            :3;
        };
    };
} stc_usbclk_upcr4_field_t;

typedef struct stc_usbclk_up_str_field
{
        __IO   uint8_t  UPRDY                    :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_usbclk_up_str_field_t;

typedef struct stc_usbclk_upint_enr_field
{
        __IO   uint8_t  UPCSE                    :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_usbclk_upint_enr_field_t;

typedef struct stc_usbclk_upint_clr_field
{
        __IO   uint8_t  UPCSC                    :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_usbclk_upint_clr_field_t;

typedef struct stc_usbclk_upint_str_field
{
        __IO   uint8_t  UPCSI                    :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_usbclk_upint_str_field_t;

typedef struct stc_usbclk_upcr5_field
{
    union {
        struct {
            __IO   uint8_t  UPLLM                :4;
            __IO   uint8_t  RESERVED0            :4;
        };
        struct {
            __IO   uint8_t  UPLLM0               :1;
            __IO   uint8_t  UPLLM1               :1;
            __IO   uint8_t  UPLLM2               :1;
            __IO   uint8_t  UPLLM3               :1;
            __IO   uint8_t  RESERVED1            :4;
        };
    };
} stc_usbclk_upcr5_field_t;

typedef struct stc_usbclk_usben0_field
{
        __IO   uint8_t  USBEN0                   :1;
        __IO   uint8_t  RESERVED0                :7;
} stc_usbclk_usben0_field_t;

/******************************************************************************
 ** WC_MODULE
 ** 
 ******************************************************************************/
typedef struct stc_wc_wcrd_field
{
    union {
        struct {
            __IO   uint8_t  CTR                  :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  CTR0                 :1;
            __IO   uint8_t  CTR1                 :1;
            __IO   uint8_t  CTR2                 :1;
            __IO   uint8_t  CTR3                 :1;
            __IO   uint8_t  CTR4                 :1;
            __IO   uint8_t  CTR5                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_wc_wcrd_field_t;

typedef struct stc_wc_wcrl_field
{
    union {
        struct {
            __IO   uint8_t  RLC                  :6;
            __IO   uint8_t  RESERVED0            :2;
        };
        struct {
            __IO   uint8_t  RLC0                 :1;
            __IO   uint8_t  RLC1                 :1;
            __IO   uint8_t  RLC2                 :1;
            __IO   uint8_t  RLC3                 :1;
            __IO   uint8_t  RLC4                 :1;
            __IO   uint8_t  RLC5                 :1;
            __IO   uint8_t  RESERVED1            :2;
        };
    };
} stc_wc_wcrl_field_t;

typedef struct stc_wc_wccr_field
{
    union {
        struct {
            __IO   uint8_t  WCIF                 :1;
            __IO   uint8_t  WCIE                 :1;
            __IO   uint8_t  CS                   :2;
            __IO   uint8_t  RESERVED1            :2;
            __IO   uint8_t  WCOP                 :1;
            __IO   uint8_t  WCEN                 :1;
        };
        struct {
            __IO   uint8_t  RESERVED0            :2;
            __IO   uint8_t  CS0                  :1;
            __IO   uint8_t  CS1                  :1;
            __IO   uint8_t  RESERVED2            :4;
        };
    };
} stc_wc_wccr_field_t;

typedef struct stc_wc_clk_sel_field
{
        __IO  uint16_t  SEL_IN                   :1;
        __IO  uint16_t  RESERVED0                :7;
        __IO  uint16_t  SEL_OUT                  :1;
        __IO  uint16_t  RESERVED1                :7;
} stc_wc_clk_sel_field_t;

typedef struct stc_wc_clk_en_field
{
        __IO   uint8_t  CLK_EN                   :1;
        __IO   uint8_t  CLK_EN_R                 :1;
        __IO   uint8_t  RESERVED0                :6;
} stc_wc_clk_en_field_t;

/******************************************************************************
 ** Peripheral register structures
 ** 
 ******************************************************************************/

/******************************************************************************
 ** ADC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t ADSR;
        stc_adc_adsr_field_t ADSR_f;
    };
    union {
        __IO  uint8_t ADCR;
        stc_adc_adcr_field_t ADCR_f;
    };
        __IO  uint8_t RESERVED0[6];
    union {
        __IO  uint8_t SFNS;
        stc_adc_sfns_field_t SFNS_f;
    };
    union {
        __IO  uint8_t SCCR;
        stc_adc_sccr_field_t SCCR_f;
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint32_t SCFD;
        stc_adc_scfd_field_t SCFD_f;
        struct {
          union {
            __IO uint16_t SCFDL;
            struct {
              __IO uint8_t SCFDLL;
              __IO uint8_t SCFDLH;
            };
          };
          union {
            __IO uint16_t SCFDH;
            struct {
              __IO uint8_t SCFDHL;
              __IO uint8_t SCFDHH;
            };
          };
        };
        __IO uint32_t SCFD_FDAS1;
        stc_adc_scfd_fdas1_field_t SCFD_FDAS1_f;
        struct {
          union {
            __IO uint16_t SCFD_FDAS1L;
            struct {
              __IO uint8_t SCFD_FDAS1LL;
              __IO uint8_t SCFD_FDAS1LH;
            };
          };
          union {
            __IO uint16_t SCFD_FDAS1H;
            struct {
              __IO uint8_t SCFD_FDAS1HL;
              __IO uint8_t SCFD_FDAS1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t SCIS23;
        stc_adc_scis23_field_t SCIS23_f;
        struct {
            __IO  uint8_t SCIS23L;
            __IO  uint8_t SCIS23H;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t SCIS01;
        stc_adc_scis01_field_t SCIS01_f;
        struct {
            __IO  uint8_t SCIS01L;
            __IO  uint8_t SCIS01H;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t PFNS;
        stc_adc_pfns_field_t PFNS_f;
    };
    union {
        __IO  uint8_t PCCR;
        stc_adc_pccr_field_t PCCR_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint32_t PCFD;
        stc_adc_pcfd_field_t PCFD_f;
        struct {
          union {
            __IO uint16_t PCFDL;
            struct {
              __IO uint8_t PCFDLL;
              __IO uint8_t PCFDLH;
            };
          };
          union {
            __IO uint16_t PCFDH;
            struct {
              __IO uint8_t PCFDHL;
              __IO uint8_t PCFDHH;
            };
          };
        };
        __IO uint32_t PCFD_FDAS1;
        stc_adc_pcfd_fdas1_field_t PCFD_FDAS1_f;
        struct {
          union {
            __IO uint16_t PCFD_FDAS1L;
            struct {
              __IO uint8_t PCFD_FDAS1LL;
              __IO uint8_t PCFD_FDAS1LH;
            };
          };
          union {
            __IO uint16_t PCFD_FDAS1H;
            struct {
              __IO uint8_t PCFD_FDAS1HL;
              __IO uint8_t PCFD_FDAS1HH;
            };
          };
        };
    };
    union {
        __IO  uint8_t PCIS;
        stc_adc_pcis_field_t PCIS_f;
    };
        __IO  uint8_t RESERVED5[3];
    union {
        __IO  uint8_t CMPCR;
        stc_adc_cmpcr_field_t CMPCR_f;
    };
        __IO  uint8_t RESERVED6[1];
    union {
        __IO uint16_t CMPD;
        stc_adc_cmpd_field_t CMPD_f;
        struct {
            __IO  uint8_t CMPDL;
            __IO  uint8_t CMPDH;
        };
    };
    union {
        __IO uint16_t ADSS23;
        stc_adc_adss23_field_t ADSS23_f;
        struct {
            __IO  uint8_t ADSS23L;
            __IO  uint8_t ADSS23H;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO uint16_t ADSS01;
        stc_adc_adss01_field_t ADSS01_f;
        struct {
            __IO  uint8_t ADSS01L;
            __IO  uint8_t ADSS01H;
        };
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t ADST01;
        stc_adc_adst01_field_t ADST01_f;
        struct {
            __IO  uint8_t ADST01L;
            __IO  uint8_t ADST01H;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO  uint8_t ADCT;
        stc_adc_adct_field_t ADCT_f;
    };
        __IO  uint8_t RESERVED10[7];
    union {
        __IO uint16_t ADCEN;
        stc_adc_adcen_field_t ADCEN_f;
        struct {
            __IO  uint8_t ADCENL;
            __IO  uint8_t ADCENH;
        };
    };
} FM_ADC_TypeDef, FM3_ADC_TypeDef;

/******************************************************************************
 ** BT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PRLL;
        struct {
            __IO  uint8_t PRLLL;
            __IO  uint8_t PRLLH;
        };
        __IO uint16_t PPG_PRLL;
        struct {
            __IO  uint8_t PPG_PRLLL;
            __IO  uint8_t PPG_PRLLH;
        };
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
        __IO uint16_t PWM_PCSR;
        struct {
            __IO  uint8_t PWM_PCSRL;
            __IO  uint8_t PWM_PCSRH;
        };
        __IO uint16_t RT_PCSR;
        struct {
            __IO  uint8_t RT_PCSRL;
            __IO  uint8_t RT_PCSRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t PRLH;
        struct {
            __IO  uint8_t PRLHL;
            __IO  uint8_t PRLHH;
        };
        __IO uint16_t PPG_PRLH;
        struct {
            __IO  uint8_t PPG_PRLHL;
            __IO  uint8_t PPG_PRLHH;
        };
        __IO uint16_t DTBF;
        struct {
            __IO  uint8_t DTBFL;
            __IO  uint8_t DTBFH;
        };
        __IO uint16_t PWC_DTBF;
        struct {
            __IO  uint8_t PWC_DTBFL;
            __IO  uint8_t PWC_DTBFH;
        };
        __IO uint16_t PDUT;
        struct {
            __IO  uint8_t PDUTL;
            __IO  uint8_t PDUTH;
        };
        __IO uint16_t PWM_PDUT;
        struct {
            __IO  uint8_t PWM_PDUTL;
            __IO  uint8_t PWM_PDUTH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
        __IO uint16_t PPG_TMR;
        struct {
            __IO  uint8_t PPG_TMRL;
            __IO  uint8_t PPG_TMRH;
        };
        __IO uint16_t PWM_TMR;
        struct {
            __IO  uint8_t PWM_TMRL;
            __IO  uint8_t PWM_TMRH;
        };
        __IO uint16_t RT_TMR;
        struct {
            __IO  uint8_t RT_TMRL;
            __IO  uint8_t RT_TMRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
        __IO uint16_t PPG_TMCR;
        stc_bt_ppg_tmcr_field_t PPG_TMCR_f;
        struct {
            __IO  uint8_t PPG_TMCRL;
            __IO  uint8_t PPG_TMCRH;
        };
        __IO uint16_t PWC_TMCR;
        stc_bt_pwc_tmcr_field_t PWC_TMCR_f;
        struct {
            __IO  uint8_t PWC_TMCRL;
            __IO  uint8_t PWC_TMCRH;
        };
        __IO uint16_t PWM_TMCR;
        stc_bt_pwm_tmcr_field_t PWM_TMCR_f;
        struct {
            __IO  uint8_t PWM_TMCRL;
            __IO  uint8_t PWM_TMCRH;
        };
        __IO uint16_t RT_TMCR;
        stc_bt_rt_tmcr_field_t RT_TMCR_f;
        struct {
            __IO  uint8_t RT_TMCRL;
            __IO  uint8_t RT_TMCRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t STC;
        stc_bt_stc_field_t STC_f;
        __IO  uint8_t PPG_STC;
        stc_bt_ppg_stc_field_t PPG_STC_f;
        __IO  uint8_t PWC_STC;
        stc_bt_pwc_stc_field_t PWC_STC_f;
        __IO  uint8_t PWM_STC;
        stc_bt_pwm_stc_field_t PWM_STC_f;
        __IO  uint8_t RT_STC;
        stc_bt_rt_stc_field_t RT_STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_tmcr2_field_t TMCR2_f;
        __IO  uint8_t PPG_TMCR2;
        stc_bt_ppg_tmcr2_field_t PPG_TMCR2_f;
        __IO  uint8_t PWC_TMCR2;
        stc_bt_pwc_tmcr2_field_t PWC_TMCR2_f;
        __IO  uint8_t PWM_TMCR2;
        stc_bt_pwm_tmcr2_field_t PWM_TMCR2_f;
        __IO  uint8_t RT_TMCR2;
        stc_bt_rt_tmcr2_field_t RT_TMCR2_f;
    };
} FM_BT_TypeDef, FM3_BT_TypeDef;

/******************************************************************************
 ** BT_PPG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PRLL;
        struct {
            __IO  uint8_t PRLLL;
            __IO  uint8_t PRLLH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t PRLH;
        struct {
            __IO  uint8_t PRLHL;
            __IO  uint8_t PRLHH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_ppg_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t STC;
        stc_bt_ppg_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_ppg_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PPG_TypeDef, FM3_BT_PPG_TypeDef;

/******************************************************************************
 ** BT_PWC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED8[4];
    union {
        __IO uint16_t DTBF;
        struct {
            __IO  uint8_t DTBFL;
            __IO  uint8_t DTBFH;
        };
    };
        __IO  uint8_t RESERVED9[6];
    union {
        __IO uint16_t TMCR;
        stc_bt_pwc_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO  uint8_t STC;
        stc_bt_pwc_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_pwc_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PWC_TypeDef, FM3_BT_PWC_TypeDef;

/******************************************************************************
 ** BT_PWM_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t PDUT;
        struct {
            __IO  uint8_t PDUTL;
            __IO  uint8_t PDUTH;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_pwm_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO  uint8_t STC;
        stc_bt_pwm_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_pwm_tmcr2_field_t TMCR2_f;
    };
} FM_BT_PWM_TypeDef, FM3_BT_PWM_TypeDef;

/******************************************************************************
 ** BT_RT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t PCSR;
        struct {
            __IO  uint8_t PCSRL;
            __IO  uint8_t PCSRH;
        };
    };
        __IO  uint8_t RESERVED15[6];
    union {
        __IO uint16_t TMR;
        struct {
            __IO  uint8_t TMRL;
            __IO  uint8_t TMRH;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t TMCR;
        stc_bt_rt_tmcr_field_t TMCR_f;
        struct {
            __IO  uint8_t TMCRL;
            __IO  uint8_t TMCRH;
        };
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO  uint8_t STC;
        stc_bt_rt_stc_field_t STC_f;
    };
    union {
        __IO  uint8_t TMCR2;
        stc_bt_rt_tmcr2_field_t TMCR2_f;
    };
} FM_BT_RT_TypeDef, FM3_BT_RT_TypeDef;

/******************************************************************************
 ** BTIOSEL03_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t BTSEL0123;
        stc_btiosel03_btsel0123_field_t BTSEL0123_f;
    };
} FM_BTIOSEL03_TypeDef, FM3_BTIOSEL03_TypeDef;

/******************************************************************************
 ** BTIOSEL47_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[1];
    union {
        __IO  uint8_t BTSEL4567;
        stc_btiosel47_btsel4567_field_t BTSEL4567_f;
    };
} FM_BTIOSEL47_TypeDef, FM3_BTIOSEL47_TypeDef;

/******************************************************************************
 ** CRC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t CRCCR;
        stc_crc_crccr_field_t CRCCR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO uint32_t CRCINIT;
        stc_crc_crcinit_field_t CRCINIT_f;
        struct {
          union {
            __IO uint16_t CRCINITL;
            struct {
              __IO uint8_t CRCINITLL;
              __IO uint8_t CRCINITLH;
            };
          };
          union {
            __IO uint16_t CRCINITH;
            struct {
              __IO uint8_t CRCINITHL;
              __IO uint8_t CRCINITHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CRCIN;
        stc_crc_crcin_field_t CRCIN_f;
        struct {
          union {
            __IO uint16_t CRCINL;
            struct {
              __IO uint8_t CRCINLL;
              __IO uint8_t CRCINLH;
            };
          };
          union {
            __IO uint16_t CRCINH;
            struct {
              __IO uint8_t CRCINHL;
              __IO uint8_t CRCINHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CRCR;
        stc_crc_crcr_field_t CRCR_f;
        struct {
          union {
            __IO uint16_t CRCRL;
            struct {
              __IO uint8_t CRCRLL;
              __IO uint8_t CRCRLH;
            };
          };
          union {
            __IO uint16_t CRCRH;
            struct {
              __IO uint8_t CRCRHL;
              __IO uint8_t CRCRHH;
            };
          };
        };
    };
} FM_CRC_TypeDef, FM3_CRC_TypeDef;

/******************************************************************************
 ** CRG_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t SCM_CTL;
        stc_crg_scm_ctl_field_t SCM_CTL_f;
        struct {
          union {
            __IO uint16_t SCM_CTLL;
            struct {
              __IO uint8_t SCM_CTLLL;
              __IO uint8_t SCM_CTLLH;
            };
          };
          union {
            __IO uint16_t SCM_CTLH;
            struct {
              __IO uint8_t SCM_CTLHL;
              __IO uint8_t SCM_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t SCM_STR;
        stc_crg_scm_str_field_t SCM_STR_f;
        struct {
          union {
            __IO uint16_t SCM_STRL;
            struct {
              __IO uint8_t SCM_STRLL;
              __IO uint8_t SCM_STRLH;
            };
          };
          union {
            __IO uint16_t SCM_STRH;
            struct {
              __IO uint8_t SCM_STRHL;
              __IO uint8_t SCM_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t STB_CTL;
        stc_crg_stb_ctl_field_t STB_CTL_f;
        struct {
          union {
            __IO uint16_t STB_CTLL;
            struct {
              __IO uint8_t STB_CTLLL;
              __IO uint8_t STB_CTLLH;
            };
          };
          union {
            __IO uint16_t STB_CTLH;
            struct {
              __IO uint8_t STB_CTLHL;
              __IO uint8_t STB_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t RST_STR;
        stc_crg_rst_str_field_t RST_STR_f;
        struct {
          union {
            __IO uint16_t RST_STRL;
            struct {
              __IO uint8_t RST_STRLL;
              __IO uint8_t RST_STRLH;
            };
          };
          union {
            __IO uint16_t RST_STRH;
            struct {
              __IO uint8_t RST_STRHL;
              __IO uint8_t RST_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t BSC_PSR;
        stc_crg_bsc_psr_field_t BSC_PSR_f;
        struct {
          union {
            __IO uint16_t BSC_PSRL;
            struct {
              __IO uint8_t BSC_PSRLL;
              __IO uint8_t BSC_PSRLH;
            };
          };
          union {
            __IO uint16_t BSC_PSRH;
            struct {
              __IO uint8_t BSC_PSRHL;
              __IO uint8_t BSC_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC0_PSR;
        stc_crg_apbc0_psr_field_t APBC0_PSR_f;
        struct {
          union {
            __IO uint16_t APBC0_PSRL;
            struct {
              __IO uint8_t APBC0_PSRLL;
              __IO uint8_t APBC0_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC0_PSRH;
            struct {
              __IO uint8_t APBC0_PSRHL;
              __IO uint8_t APBC0_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC1_PSR;
        stc_crg_apbc1_psr_field_t APBC1_PSR_f;
        struct {
          union {
            __IO uint16_t APBC1_PSRL;
            struct {
              __IO uint8_t APBC1_PSRLL;
              __IO uint8_t APBC1_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC1_PSRH;
            struct {
              __IO uint8_t APBC1_PSRHL;
              __IO uint8_t APBC1_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t APBC2_PSR;
        stc_crg_apbc2_psr_field_t APBC2_PSR_f;
        struct {
          union {
            __IO uint16_t APBC2_PSRL;
            struct {
              __IO uint8_t APBC2_PSRLL;
              __IO uint8_t APBC2_PSRLH;
            };
          };
          union {
            __IO uint16_t APBC2_PSRH;
            struct {
              __IO uint8_t APBC2_PSRHL;
              __IO uint8_t APBC2_PSRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t SWC_PSR;
        stc_crg_swc_psr_field_t SWC_PSR_f;
        struct {
          union {
            __IO uint16_t SWC_PSRL;
            struct {
              __IO uint8_t SWC_PSRLL;
              __IO uint8_t SWC_PSRLH;
            };
          };
          union {
            __IO uint16_t SWC_PSRH;
            struct {
              __IO uint8_t SWC_PSRHL;
              __IO uint8_t SWC_PSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t TTC_PSR;
        stc_crg_ttc_psr_field_t TTC_PSR_f;
        struct {
          union {
            __IO uint16_t TTC_PSRL;
            struct {
              __IO uint8_t TTC_PSRLL;
              __IO uint8_t TTC_PSRLH;
            };
          };
          union {
            __IO uint16_t TTC_PSRH;
            struct {
              __IO uint8_t TTC_PSRHL;
              __IO uint8_t TTC_PSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t CSW_TMR;
        stc_crg_csw_tmr_field_t CSW_TMR_f;
        struct {
          union {
            __IO uint16_t CSW_TMRL;
            struct {
              __IO uint8_t CSW_TMRLL;
              __IO uint8_t CSW_TMRLH;
            };
          };
          union {
            __IO uint16_t CSW_TMRH;
            struct {
              __IO uint8_t CSW_TMRHL;
              __IO uint8_t CSW_TMRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PSW_TMR;
        stc_crg_psw_tmr_field_t PSW_TMR_f;
        struct {
          union {
            __IO uint16_t PSW_TMRL;
            struct {
              __IO uint8_t PSW_TMRLL;
              __IO uint8_t PSW_TMRLH;
            };
          };
          union {
            __IO uint16_t PSW_TMRH;
            struct {
              __IO uint8_t PSW_TMRHL;
              __IO uint8_t PSW_TMRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PLL_CTL1;
        stc_crg_pll_ctl1_field_t PLL_CTL1_f;
        struct {
          union {
            __IO uint16_t PLL_CTL1L;
            struct {
              __IO uint8_t PLL_CTL1LL;
              __IO uint8_t PLL_CTL1LH;
            };
          };
          union {
            __IO uint16_t PLL_CTL1H;
            struct {
              __IO uint8_t PLL_CTL1HL;
              __IO uint8_t PLL_CTL1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PLL_CTL2;
        stc_crg_pll_ctl2_field_t PLL_CTL2_f;
        struct {
          union {
            __IO uint16_t PLL_CTL2L;
            struct {
              __IO uint8_t PLL_CTL2LL;
              __IO uint8_t PLL_CTL2LH;
            };
          };
          union {
            __IO uint16_t PLL_CTL2H;
            struct {
              __IO uint8_t PLL_CTL2HL;
              __IO uint8_t PLL_CTL2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t CSV_CTL;
        stc_crg_csv_ctl_field_t CSV_CTL_f;
        struct {
          union {
            __IO uint16_t CSV_CTLL;
            struct {
              __IO uint8_t CSV_CTLLL;
              __IO uint8_t CSV_CTLLH;
            };
          };
          union {
            __IO uint16_t CSV_CTLH;
            struct {
              __IO uint8_t CSV_CTLHL;
              __IO uint8_t CSV_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t CSV_STR;
        stc_crg_csv_str_field_t CSV_STR_f;
        struct {
          union {
            __IO uint16_t CSV_STRL;
            struct {
              __IO uint8_t CSV_STRLL;
              __IO uint8_t CSV_STRLH;
            };
          };
          union {
            __IO uint16_t CSV_STRH;
            struct {
              __IO uint8_t CSV_STRHL;
              __IO uint8_t CSV_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWH_CTL;
        stc_crg_fcswh_ctl_field_t FCSWH_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWH_CTLL;
            struct {
              __IO uint8_t FCSWH_CTLLL;
              __IO uint8_t FCSWH_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWH_CTLH;
            struct {
              __IO uint8_t FCSWH_CTLHL;
              __IO uint8_t FCSWH_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWL_CTL;
        stc_crg_fcswl_ctl_field_t FCSWL_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWL_CTLL;
            struct {
              __IO uint8_t FCSWL_CTLLL;
              __IO uint8_t FCSWL_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWL_CTLH;
            struct {
              __IO uint8_t FCSWL_CTLHL;
              __IO uint8_t FCSWL_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FCSWD_CTL;
        stc_crg_fcswd_ctl_field_t FCSWD_CTL_f;
        struct {
          union {
            __IO uint16_t FCSWD_CTLL;
            struct {
              __IO uint8_t FCSWD_CTLLL;
              __IO uint8_t FCSWD_CTLLH;
            };
          };
          union {
            __IO uint16_t FCSWD_CTLH;
            struct {
              __IO uint8_t FCSWD_CTLHL;
              __IO uint8_t FCSWD_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DBWDT_CTL;
        stc_crg_dbwdt_ctl_field_t DBWDT_CTL_f;
        struct {
          union {
            __IO uint16_t DBWDT_CTLL;
            struct {
              __IO uint8_t DBWDT_CTLLL;
              __IO uint8_t DBWDT_CTLLH;
            };
          };
          union {
            __IO uint16_t DBWDT_CTLH;
            struct {
              __IO uint8_t DBWDT_CTLHL;
              __IO uint8_t DBWDT_CTLHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[8];
    union {
        __IO uint32_t INT_ENR;
        stc_crg_int_enr_field_t INT_ENR_f;
        struct {
          union {
            __IO uint16_t INT_ENRL;
            struct {
              __IO uint8_t INT_ENRLL;
              __IO uint8_t INT_ENRLH;
            };
          };
          union {
            __IO uint16_t INT_ENRH;
            struct {
              __IO uint8_t INT_ENRHL;
              __IO uint8_t INT_ENRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t INT_STR;
        stc_crg_int_str_field_t INT_STR_f;
        struct {
          union {
            __IO uint16_t INT_STRL;
            struct {
              __IO uint8_t INT_STRLL;
              __IO uint8_t INT_STRLH;
            };
          };
          union {
            __IO uint16_t INT_STRH;
            struct {
              __IO uint8_t INT_STRHL;
              __IO uint8_t INT_STRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t INT_CLR;
        stc_crg_int_clr_field_t INT_CLR_f;
        struct {
          union {
            __IO uint16_t INT_CLRL;
            struct {
              __IO uint8_t INT_CLRLL;
              __IO uint8_t INT_CLRLH;
            };
          };
          union {
            __IO uint16_t INT_CLRH;
            struct {
              __IO uint8_t INT_CLRHL;
              __IO uint8_t INT_CLRHH;
            };
          };
        };
    };
} FM_CRG_TypeDef, FM3_CRG_TypeDef;

/******************************************************************************
 ** CRTRIM_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t MCR_PSR;
        stc_crtrim_mcr_psr_field_t MCR_PSR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO uint16_t MCR_FTRM;
        stc_crtrim_mcr_ftrm_field_t MCR_FTRM_f;
        struct {
            __IO  uint8_t MCR_FTRML;
            __IO  uint8_t MCR_FTRMH;
        };
    };
        __IO  uint8_t RESERVED1[6];
    union {
        __IO uint32_t MCR_RLR;
        stc_crtrim_mcr_rlr_field_t MCR_RLR_f;
        struct {
          union {
            __IO uint16_t MCR_RLRL;
            struct {
              __IO uint8_t MCR_RLRLL;
              __IO uint8_t MCR_RLRLH;
            };
          };
          union {
            __IO uint16_t MCR_RLRH;
            struct {
              __IO uint8_t MCR_RLRHL;
              __IO uint8_t MCR_RLRHH;
            };
          };
        };
    };
} FM_CRTRIM_TypeDef, FM3_CRTRIM_TypeDef;

/******************************************************************************
 ** DMAC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t DMACR;
        stc_dmac_dmacr_field_t DMACR_f;
        struct {
          union {
            __IO uint16_t DMACRL;
            struct {
              __IO uint8_t DMACRLL;
              __IO uint8_t DMACRLH;
            };
          };
          union {
            __IO uint16_t DMACRH;
            struct {
              __IO uint8_t DMACRHL;
              __IO uint8_t DMACRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[12];
    union {
        __IO uint32_t DMACA0;
        stc_dmac_dmaca0_field_t DMACA0_f;
        struct {
          union {
            __IO uint16_t DMACA0L;
            struct {
              __IO uint8_t DMACA0LL;
              __IO uint8_t DMACA0LH;
            };
          };
          union {
            __IO uint16_t DMACA0H;
            struct {
              __IO uint8_t DMACA0HL;
              __IO uint8_t DMACA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB0;
        stc_dmac_dmacb0_field_t DMACB0_f;
        struct {
          union {
            __IO uint16_t DMACB0L;
            struct {
              __IO uint8_t DMACB0LL;
              __IO uint8_t DMACB0LH;
            };
          };
          union {
            __IO uint16_t DMACB0H;
            struct {
              __IO uint8_t DMACB0HL;
              __IO uint8_t DMACB0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA0;
        struct {
          union {
            __IO uint16_t DMACSA0L;
            struct {
              __IO uint8_t DMACSA0LL;
              __IO uint8_t DMACSA0LH;
            };
          };
          union {
            __IO uint16_t DMACSA0H;
            struct {
              __IO uint8_t DMACSA0HL;
              __IO uint8_t DMACSA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA0;
        struct {
          union {
            __IO uint16_t DMACDA0L;
            struct {
              __IO uint8_t DMACDA0LL;
              __IO uint8_t DMACDA0LH;
            };
          };
          union {
            __IO uint16_t DMACDA0H;
            struct {
              __IO uint8_t DMACDA0HL;
              __IO uint8_t DMACDA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA1;
        stc_dmac_dmaca1_field_t DMACA1_f;
        struct {
          union {
            __IO uint16_t DMACA1L;
            struct {
              __IO uint8_t DMACA1LL;
              __IO uint8_t DMACA1LH;
            };
          };
          union {
            __IO uint16_t DMACA1H;
            struct {
              __IO uint8_t DMACA1HL;
              __IO uint8_t DMACA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB1;
        stc_dmac_dmacb1_field_t DMACB1_f;
        struct {
          union {
            __IO uint16_t DMACB1L;
            struct {
              __IO uint8_t DMACB1LL;
              __IO uint8_t DMACB1LH;
            };
          };
          union {
            __IO uint16_t DMACB1H;
            struct {
              __IO uint8_t DMACB1HL;
              __IO uint8_t DMACB1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA1;
        struct {
          union {
            __IO uint16_t DMACSA1L;
            struct {
              __IO uint8_t DMACSA1LL;
              __IO uint8_t DMACSA1LH;
            };
          };
          union {
            __IO uint16_t DMACSA1H;
            struct {
              __IO uint8_t DMACSA1HL;
              __IO uint8_t DMACSA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA1;
        struct {
          union {
            __IO uint16_t DMACDA1L;
            struct {
              __IO uint8_t DMACDA1LL;
              __IO uint8_t DMACDA1LH;
            };
          };
          union {
            __IO uint16_t DMACDA1H;
            struct {
              __IO uint8_t DMACDA1HL;
              __IO uint8_t DMACDA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA2;
        stc_dmac_dmaca2_field_t DMACA2_f;
        struct {
          union {
            __IO uint16_t DMACA2L;
            struct {
              __IO uint8_t DMACA2LL;
              __IO uint8_t DMACA2LH;
            };
          };
          union {
            __IO uint16_t DMACA2H;
            struct {
              __IO uint8_t DMACA2HL;
              __IO uint8_t DMACA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB2;
        stc_dmac_dmacb2_field_t DMACB2_f;
        struct {
          union {
            __IO uint16_t DMACB2L;
            struct {
              __IO uint8_t DMACB2LL;
              __IO uint8_t DMACB2LH;
            };
          };
          union {
            __IO uint16_t DMACB2H;
            struct {
              __IO uint8_t DMACB2HL;
              __IO uint8_t DMACB2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA2;
        struct {
          union {
            __IO uint16_t DMACSA2L;
            struct {
              __IO uint8_t DMACSA2LL;
              __IO uint8_t DMACSA2LH;
            };
          };
          union {
            __IO uint16_t DMACSA2H;
            struct {
              __IO uint8_t DMACSA2HL;
              __IO uint8_t DMACSA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA2;
        struct {
          union {
            __IO uint16_t DMACDA2L;
            struct {
              __IO uint8_t DMACDA2LL;
              __IO uint8_t DMACDA2LH;
            };
          };
          union {
            __IO uint16_t DMACDA2H;
            struct {
              __IO uint8_t DMACDA2HL;
              __IO uint8_t DMACDA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA3;
        stc_dmac_dmaca3_field_t DMACA3_f;
        struct {
          union {
            __IO uint16_t DMACA3L;
            struct {
              __IO uint8_t DMACA3LL;
              __IO uint8_t DMACA3LH;
            };
          };
          union {
            __IO uint16_t DMACA3H;
            struct {
              __IO uint8_t DMACA3HL;
              __IO uint8_t DMACA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB3;
        stc_dmac_dmacb3_field_t DMACB3_f;
        struct {
          union {
            __IO uint16_t DMACB3L;
            struct {
              __IO uint8_t DMACB3LL;
              __IO uint8_t DMACB3LH;
            };
          };
          union {
            __IO uint16_t DMACB3H;
            struct {
              __IO uint8_t DMACB3HL;
              __IO uint8_t DMACB3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA3;
        struct {
          union {
            __IO uint16_t DMACSA3L;
            struct {
              __IO uint8_t DMACSA3LL;
              __IO uint8_t DMACSA3LH;
            };
          };
          union {
            __IO uint16_t DMACSA3H;
            struct {
              __IO uint8_t DMACSA3HL;
              __IO uint8_t DMACSA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA3;
        struct {
          union {
            __IO uint16_t DMACDA3L;
            struct {
              __IO uint8_t DMACDA3LL;
              __IO uint8_t DMACDA3LH;
            };
          };
          union {
            __IO uint16_t DMACDA3H;
            struct {
              __IO uint8_t DMACDA3HL;
              __IO uint8_t DMACDA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA4;
        stc_dmac_dmaca4_field_t DMACA4_f;
        struct {
          union {
            __IO uint16_t DMACA4L;
            struct {
              __IO uint8_t DMACA4LL;
              __IO uint8_t DMACA4LH;
            };
          };
          union {
            __IO uint16_t DMACA4H;
            struct {
              __IO uint8_t DMACA4HL;
              __IO uint8_t DMACA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB4;
        stc_dmac_dmacb4_field_t DMACB4_f;
        struct {
          union {
            __IO uint16_t DMACB4L;
            struct {
              __IO uint8_t DMACB4LL;
              __IO uint8_t DMACB4LH;
            };
          };
          union {
            __IO uint16_t DMACB4H;
            struct {
              __IO uint8_t DMACB4HL;
              __IO uint8_t DMACB4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA4;
        struct {
          union {
            __IO uint16_t DMACSA4L;
            struct {
              __IO uint8_t DMACSA4LL;
              __IO uint8_t DMACSA4LH;
            };
          };
          union {
            __IO uint16_t DMACSA4H;
            struct {
              __IO uint8_t DMACSA4HL;
              __IO uint8_t DMACSA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA4;
        struct {
          union {
            __IO uint16_t DMACDA4L;
            struct {
              __IO uint8_t DMACDA4LL;
              __IO uint8_t DMACDA4LH;
            };
          };
          union {
            __IO uint16_t DMACDA4H;
            struct {
              __IO uint8_t DMACDA4HL;
              __IO uint8_t DMACDA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA5;
        stc_dmac_dmaca5_field_t DMACA5_f;
        struct {
          union {
            __IO uint16_t DMACA5L;
            struct {
              __IO uint8_t DMACA5LL;
              __IO uint8_t DMACA5LH;
            };
          };
          union {
            __IO uint16_t DMACA5H;
            struct {
              __IO uint8_t DMACA5HL;
              __IO uint8_t DMACA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB5;
        stc_dmac_dmacb5_field_t DMACB5_f;
        struct {
          union {
            __IO uint16_t DMACB5L;
            struct {
              __IO uint8_t DMACB5LL;
              __IO uint8_t DMACB5LH;
            };
          };
          union {
            __IO uint16_t DMACB5H;
            struct {
              __IO uint8_t DMACB5HL;
              __IO uint8_t DMACB5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA5;
        struct {
          union {
            __IO uint16_t DMACSA5L;
            struct {
              __IO uint8_t DMACSA5LL;
              __IO uint8_t DMACSA5LH;
            };
          };
          union {
            __IO uint16_t DMACSA5H;
            struct {
              __IO uint8_t DMACSA5HL;
              __IO uint8_t DMACSA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA5;
        struct {
          union {
            __IO uint16_t DMACDA5L;
            struct {
              __IO uint8_t DMACDA5LL;
              __IO uint8_t DMACDA5LH;
            };
          };
          union {
            __IO uint16_t DMACDA5H;
            struct {
              __IO uint8_t DMACDA5HL;
              __IO uint8_t DMACDA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA6;
        stc_dmac_dmaca6_field_t DMACA6_f;
        struct {
          union {
            __IO uint16_t DMACA6L;
            struct {
              __IO uint8_t DMACA6LL;
              __IO uint8_t DMACA6LH;
            };
          };
          union {
            __IO uint16_t DMACA6H;
            struct {
              __IO uint8_t DMACA6HL;
              __IO uint8_t DMACA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB6;
        stc_dmac_dmacb6_field_t DMACB6_f;
        struct {
          union {
            __IO uint16_t DMACB6L;
            struct {
              __IO uint8_t DMACB6LL;
              __IO uint8_t DMACB6LH;
            };
          };
          union {
            __IO uint16_t DMACB6H;
            struct {
              __IO uint8_t DMACB6HL;
              __IO uint8_t DMACB6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA6;
        struct {
          union {
            __IO uint16_t DMACSA6L;
            struct {
              __IO uint8_t DMACSA6LL;
              __IO uint8_t DMACSA6LH;
            };
          };
          union {
            __IO uint16_t DMACSA6H;
            struct {
              __IO uint8_t DMACSA6HL;
              __IO uint8_t DMACSA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA6;
        struct {
          union {
            __IO uint16_t DMACDA6L;
            struct {
              __IO uint8_t DMACDA6LL;
              __IO uint8_t DMACDA6LH;
            };
          };
          union {
            __IO uint16_t DMACDA6H;
            struct {
              __IO uint8_t DMACDA6HL;
              __IO uint8_t DMACDA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACA7;
        stc_dmac_dmaca7_field_t DMACA7_f;
        struct {
          union {
            __IO uint16_t DMACA7L;
            struct {
              __IO uint8_t DMACA7LL;
              __IO uint8_t DMACA7LH;
            };
          };
          union {
            __IO uint16_t DMACA7H;
            struct {
              __IO uint8_t DMACA7HL;
              __IO uint8_t DMACA7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACB7;
        stc_dmac_dmacb7_field_t DMACB7_f;
        struct {
          union {
            __IO uint16_t DMACB7L;
            struct {
              __IO uint8_t DMACB7LL;
              __IO uint8_t DMACB7LH;
            };
          };
          union {
            __IO uint16_t DMACB7H;
            struct {
              __IO uint8_t DMACB7HL;
              __IO uint8_t DMACB7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACSA7;
        struct {
          union {
            __IO uint16_t DMACSA7L;
            struct {
              __IO uint8_t DMACSA7LL;
              __IO uint8_t DMACSA7LH;
            };
          };
          union {
            __IO uint16_t DMACSA7H;
            struct {
              __IO uint8_t DMACSA7HL;
              __IO uint8_t DMACSA7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DMACDA7;
        struct {
          union {
            __IO uint16_t DMACDA7L;
            struct {
              __IO uint8_t DMACDA7LL;
              __IO uint8_t DMACDA7LH;
            };
          };
          union {
            __IO uint16_t DMACDA7H;
            struct {
              __IO uint8_t DMACDA7HL;
              __IO uint8_t DMACDA7HH;
            };
          };
        };
    };
} FM_DMAC_TypeDef, FM3_DMAC_TypeDef;

/******************************************************************************
 ** DS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t REG_CTL;
        stc_ds_reg_ctl_field_t REG_CTL_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO  uint8_t RCK_CTL;
        stc_ds_rck_ctl_field_t RCK_CTL_f;
    };
        __IO  uint8_t RESERVED1[1787];
    union {
        __IO  uint8_t PMD_CTL;
        stc_ds_pmd_ctl_field_t PMD_CTL_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO  uint8_t WRFSR;
        stc_ds_wrfsr_field_t WRFSR_f;
    };
        __IO  uint8_t RESERVED3[3];
    union {
        __IO uint16_t WIFSR;
        stc_ds_wifsr_field_t WIFSR_f;
        struct {
            __IO  uint8_t WIFSRL;
            __IO  uint8_t WIFSRH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t WIER;
        stc_ds_wier_field_t WIER_f;
        struct {
            __IO  uint8_t WIERL;
            __IO  uint8_t WIERH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t WILVR;
        stc_ds_wilvr_field_t WILVR_f;
    };
        __IO  uint8_t RESERVED6[3];
    union {
        __IO  uint8_t DSRAMR;
        stc_ds_dsramr_field_t DSRAMR_f;
    };
        __IO  uint8_t RESERVED7[235];
        __IO  uint8_t BUR01;
        __IO  uint8_t BUR02;
        __IO  uint8_t BUR03;
        __IO  uint8_t BUR04;
        __IO  uint8_t BUR05;
        __IO  uint8_t BUR06;
        __IO  uint8_t BUR07;
        __IO  uint8_t BUR08;
        __IO  uint8_t BUR09;
        __IO  uint8_t BUR10;
        __IO  uint8_t BUR11;
        __IO  uint8_t BUR12;
        __IO  uint8_t BUR13;
        __IO  uint8_t BUR14;
        __IO  uint8_t BUR15;
        __IO  uint8_t BUR16;
} FM_DS_TypeDef, FM3_DS_TypeDef;

/******************************************************************************
 ** DT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t TIMER1LOAD;
        struct {
          union {
            __IO uint16_t TIMER1LOADL;
            struct {
              __IO uint8_t TIMER1LOADLL;
              __IO uint8_t TIMER1LOADLH;
            };
          };
          union {
            __IO uint16_t TIMER1LOADH;
            struct {
              __IO uint8_t TIMER1LOADHL;
              __IO uint8_t TIMER1LOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1VALUE;
        struct {
          union {
            __IO uint16_t TIMER1VALUEL;
            struct {
              __IO uint8_t TIMER1VALUELL;
              __IO uint8_t TIMER1VALUELH;
            };
          };
          union {
            __IO uint16_t TIMER1VALUEH;
            struct {
              __IO uint8_t TIMER1VALUEHL;
              __IO uint8_t TIMER1VALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1CONTROL;
        stc_dt_timer1control_field_t TIMER1CONTROL_f;
        struct {
          union {
            __IO uint16_t TIMER1CONTROLL;
            struct {
              __IO uint8_t TIMER1CONTROLLL;
              __IO uint8_t TIMER1CONTROLLH;
            };
          };
          union {
            __IO uint16_t TIMER1CONTROLH;
            struct {
              __IO uint8_t TIMER1CONTROLHL;
              __IO uint8_t TIMER1CONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1INTCLR;
        struct {
          union {
            __IO uint16_t TIMER1INTCLRL;
            struct {
              __IO uint8_t TIMER1INTCLRLL;
              __IO uint8_t TIMER1INTCLRLH;
            };
          };
          union {
            __IO uint16_t TIMER1INTCLRH;
            struct {
              __IO uint8_t TIMER1INTCLRHL;
              __IO uint8_t TIMER1INTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1RIS;
        stc_dt_timer1ris_field_t TIMER1RIS_f;
        struct {
          union {
            __IO uint16_t TIMER1RISL;
            struct {
              __IO uint8_t TIMER1RISLL;
              __IO uint8_t TIMER1RISLH;
            };
          };
          union {
            __IO uint16_t TIMER1RISH;
            struct {
              __IO uint8_t TIMER1RISHL;
              __IO uint8_t TIMER1RISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1MIS;
        stc_dt_timer1mis_field_t TIMER1MIS_f;
        struct {
          union {
            __IO uint16_t TIMER1MISL;
            struct {
              __IO uint8_t TIMER1MISLL;
              __IO uint8_t TIMER1MISLH;
            };
          };
          union {
            __IO uint16_t TIMER1MISH;
            struct {
              __IO uint8_t TIMER1MISHL;
              __IO uint8_t TIMER1MISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER1BGLOAD;
        struct {
          union {
            __IO uint16_t TIMER1BGLOADL;
            struct {
              __IO uint8_t TIMER1BGLOADLL;
              __IO uint8_t TIMER1BGLOADLH;
            };
          };
          union {
            __IO uint16_t TIMER1BGLOADH;
            struct {
              __IO uint8_t TIMER1BGLOADHL;
              __IO uint8_t TIMER1BGLOADHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t TIMER2LOAD;
        struct {
          union {
            __IO uint16_t TIMER2LOADL;
            struct {
              __IO uint8_t TIMER2LOADLL;
              __IO uint8_t TIMER2LOADLH;
            };
          };
          union {
            __IO uint16_t TIMER2LOADH;
            struct {
              __IO uint8_t TIMER2LOADHL;
              __IO uint8_t TIMER2LOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2VALUE;
        struct {
          union {
            __IO uint16_t TIMER2VALUEL;
            struct {
              __IO uint8_t TIMER2VALUELL;
              __IO uint8_t TIMER2VALUELH;
            };
          };
          union {
            __IO uint16_t TIMER2VALUEH;
            struct {
              __IO uint8_t TIMER2VALUEHL;
              __IO uint8_t TIMER2VALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2CONTROL;
        stc_dt_timer2control_field_t TIMER2CONTROL_f;
        struct {
          union {
            __IO uint16_t TIMER2CONTROLL;
            struct {
              __IO uint8_t TIMER2CONTROLLL;
              __IO uint8_t TIMER2CONTROLLH;
            };
          };
          union {
            __IO uint16_t TIMER2CONTROLH;
            struct {
              __IO uint8_t TIMER2CONTROLHL;
              __IO uint8_t TIMER2CONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2INTCLR;
        struct {
          union {
            __IO uint16_t TIMER2INTCLRL;
            struct {
              __IO uint8_t TIMER2INTCLRLL;
              __IO uint8_t TIMER2INTCLRLH;
            };
          };
          union {
            __IO uint16_t TIMER2INTCLRH;
            struct {
              __IO uint8_t TIMER2INTCLRHL;
              __IO uint8_t TIMER2INTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2RIS;
        stc_dt_timer2ris_field_t TIMER2RIS_f;
        struct {
          union {
            __IO uint16_t TIMER2RISL;
            struct {
              __IO uint8_t TIMER2RISLL;
              __IO uint8_t TIMER2RISLH;
            };
          };
          union {
            __IO uint16_t TIMER2RISH;
            struct {
              __IO uint8_t TIMER2RISHL;
              __IO uint8_t TIMER2RISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2MIS;
        stc_dt_timer2mis_field_t TIMER2MIS_f;
        struct {
          union {
            __IO uint16_t TIMER2MISL;
            struct {
              __IO uint8_t TIMER2MISLL;
              __IO uint8_t TIMER2MISLH;
            };
          };
          union {
            __IO uint16_t TIMER2MISH;
            struct {
              __IO uint8_t TIMER2MISHL;
              __IO uint8_t TIMER2MISHH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIMER2BGLOAD;
        struct {
          union {
            __IO uint16_t TIMER2BGLOADL;
            struct {
              __IO uint8_t TIMER2BGLOADLL;
              __IO uint8_t TIMER2BGLOADLH;
            };
          };
          union {
            __IO uint16_t TIMER2BGLOADH;
            struct {
              __IO uint8_t TIMER2BGLOADHL;
              __IO uint8_t TIMER2BGLOADHH;
            };
          };
        };
    };
} FM_DT_TypeDef, FM3_DT_TypeDef;

/******************************************************************************
 ** EXBUS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t MODE0;
        stc_exbus_mode0_field_t MODE0_f;
        struct {
          union {
            __IO uint16_t MODE0L;
            struct {
              __IO uint8_t MODE0LL;
              __IO uint8_t MODE0LH;
            };
          };
          union {
            __IO uint16_t MODE0H;
            struct {
              __IO uint8_t MODE0HL;
              __IO uint8_t MODE0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE1;
        stc_exbus_mode1_field_t MODE1_f;
        struct {
          union {
            __IO uint16_t MODE1L;
            struct {
              __IO uint8_t MODE1LL;
              __IO uint8_t MODE1LH;
            };
          };
          union {
            __IO uint16_t MODE1H;
            struct {
              __IO uint8_t MODE1HL;
              __IO uint8_t MODE1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE2;
        stc_exbus_mode2_field_t MODE2_f;
        struct {
          union {
            __IO uint16_t MODE2L;
            struct {
              __IO uint8_t MODE2LL;
              __IO uint8_t MODE2LH;
            };
          };
          union {
            __IO uint16_t MODE2H;
            struct {
              __IO uint8_t MODE2HL;
              __IO uint8_t MODE2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE3;
        stc_exbus_mode3_field_t MODE3_f;
        struct {
          union {
            __IO uint16_t MODE3L;
            struct {
              __IO uint8_t MODE3LL;
              __IO uint8_t MODE3LH;
            };
          };
          union {
            __IO uint16_t MODE3H;
            struct {
              __IO uint8_t MODE3HL;
              __IO uint8_t MODE3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE4;
        stc_exbus_mode4_field_t MODE4_f;
        struct {
          union {
            __IO uint16_t MODE4L;
            struct {
              __IO uint8_t MODE4LL;
              __IO uint8_t MODE4LH;
            };
          };
          union {
            __IO uint16_t MODE4H;
            struct {
              __IO uint8_t MODE4HL;
              __IO uint8_t MODE4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE5;
        stc_exbus_mode5_field_t MODE5_f;
        struct {
          union {
            __IO uint16_t MODE5L;
            struct {
              __IO uint8_t MODE5LL;
              __IO uint8_t MODE5LH;
            };
          };
          union {
            __IO uint16_t MODE5H;
            struct {
              __IO uint8_t MODE5HL;
              __IO uint8_t MODE5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE6;
        stc_exbus_mode6_field_t MODE6_f;
        struct {
          union {
            __IO uint16_t MODE6L;
            struct {
              __IO uint8_t MODE6LL;
              __IO uint8_t MODE6LH;
            };
          };
          union {
            __IO uint16_t MODE6H;
            struct {
              __IO uint8_t MODE6HL;
              __IO uint8_t MODE6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t MODE7;
        stc_exbus_mode7_field_t MODE7_f;
        struct {
          union {
            __IO uint16_t MODE7L;
            struct {
              __IO uint8_t MODE7LL;
              __IO uint8_t MODE7LH;
            };
          };
          union {
            __IO uint16_t MODE7H;
            struct {
              __IO uint8_t MODE7HL;
              __IO uint8_t MODE7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM0;
        stc_exbus_tim0_field_t TIM0_f;
        struct {
          union {
            __IO uint16_t TIM0L;
            struct {
              __IO uint8_t TIM0LL;
              __IO uint8_t TIM0LH;
            };
          };
          union {
            __IO uint16_t TIM0H;
            struct {
              __IO uint8_t TIM0HL;
              __IO uint8_t TIM0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM1;
        stc_exbus_tim1_field_t TIM1_f;
        struct {
          union {
            __IO uint16_t TIM1L;
            struct {
              __IO uint8_t TIM1LL;
              __IO uint8_t TIM1LH;
            };
          };
          union {
            __IO uint16_t TIM1H;
            struct {
              __IO uint8_t TIM1HL;
              __IO uint8_t TIM1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM2;
        stc_exbus_tim2_field_t TIM2_f;
        struct {
          union {
            __IO uint16_t TIM2L;
            struct {
              __IO uint8_t TIM2LL;
              __IO uint8_t TIM2LH;
            };
          };
          union {
            __IO uint16_t TIM2H;
            struct {
              __IO uint8_t TIM2HL;
              __IO uint8_t TIM2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM3;
        stc_exbus_tim3_field_t TIM3_f;
        struct {
          union {
            __IO uint16_t TIM3L;
            struct {
              __IO uint8_t TIM3LL;
              __IO uint8_t TIM3LH;
            };
          };
          union {
            __IO uint16_t TIM3H;
            struct {
              __IO uint8_t TIM3HL;
              __IO uint8_t TIM3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM4;
        stc_exbus_tim4_field_t TIM4_f;
        struct {
          union {
            __IO uint16_t TIM4L;
            struct {
              __IO uint8_t TIM4LL;
              __IO uint8_t TIM4LH;
            };
          };
          union {
            __IO uint16_t TIM4H;
            struct {
              __IO uint8_t TIM4HL;
              __IO uint8_t TIM4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM5;
        stc_exbus_tim5_field_t TIM5_f;
        struct {
          union {
            __IO uint16_t TIM5L;
            struct {
              __IO uint8_t TIM5LL;
              __IO uint8_t TIM5LH;
            };
          };
          union {
            __IO uint16_t TIM5H;
            struct {
              __IO uint8_t TIM5HL;
              __IO uint8_t TIM5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM6;
        stc_exbus_tim6_field_t TIM6_f;
        struct {
          union {
            __IO uint16_t TIM6L;
            struct {
              __IO uint8_t TIM6LL;
              __IO uint8_t TIM6LH;
            };
          };
          union {
            __IO uint16_t TIM6H;
            struct {
              __IO uint8_t TIM6HL;
              __IO uint8_t TIM6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t TIM7;
        stc_exbus_tim7_field_t TIM7_f;
        struct {
          union {
            __IO uint16_t TIM7L;
            struct {
              __IO uint8_t TIM7LL;
              __IO uint8_t TIM7LH;
            };
          };
          union {
            __IO uint16_t TIM7H;
            struct {
              __IO uint8_t TIM7HL;
              __IO uint8_t TIM7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA0;
        stc_exbus_area0_field_t AREA0_f;
        struct {
          union {
            __IO uint16_t AREA0L;
            struct {
              __IO uint8_t AREA0LL;
              __IO uint8_t AREA0LH;
            };
          };
          union {
            __IO uint16_t AREA0H;
            struct {
              __IO uint8_t AREA0HL;
              __IO uint8_t AREA0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA1;
        stc_exbus_area1_field_t AREA1_f;
        struct {
          union {
            __IO uint16_t AREA1L;
            struct {
              __IO uint8_t AREA1LL;
              __IO uint8_t AREA1LH;
            };
          };
          union {
            __IO uint16_t AREA1H;
            struct {
              __IO uint8_t AREA1HL;
              __IO uint8_t AREA1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA2;
        stc_exbus_area2_field_t AREA2_f;
        struct {
          union {
            __IO uint16_t AREA2L;
            struct {
              __IO uint8_t AREA2LL;
              __IO uint8_t AREA2LH;
            };
          };
          union {
            __IO uint16_t AREA2H;
            struct {
              __IO uint8_t AREA2HL;
              __IO uint8_t AREA2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA3;
        stc_exbus_area3_field_t AREA3_f;
        struct {
          union {
            __IO uint16_t AREA3L;
            struct {
              __IO uint8_t AREA3LL;
              __IO uint8_t AREA3LH;
            };
          };
          union {
            __IO uint16_t AREA3H;
            struct {
              __IO uint8_t AREA3HL;
              __IO uint8_t AREA3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA4;
        stc_exbus_area4_field_t AREA4_f;
        struct {
          union {
            __IO uint16_t AREA4L;
            struct {
              __IO uint8_t AREA4LL;
              __IO uint8_t AREA4LH;
            };
          };
          union {
            __IO uint16_t AREA4H;
            struct {
              __IO uint8_t AREA4HL;
              __IO uint8_t AREA4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA5;
        stc_exbus_area5_field_t AREA5_f;
        struct {
          union {
            __IO uint16_t AREA5L;
            struct {
              __IO uint8_t AREA5LL;
              __IO uint8_t AREA5LH;
            };
          };
          union {
            __IO uint16_t AREA5H;
            struct {
              __IO uint8_t AREA5HL;
              __IO uint8_t AREA5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA6;
        stc_exbus_area6_field_t AREA6_f;
        struct {
          union {
            __IO uint16_t AREA6L;
            struct {
              __IO uint8_t AREA6LL;
              __IO uint8_t AREA6LH;
            };
          };
          union {
            __IO uint16_t AREA6H;
            struct {
              __IO uint8_t AREA6HL;
              __IO uint8_t AREA6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t AREA7;
        stc_exbus_area7_field_t AREA7_f;
        struct {
          union {
            __IO uint16_t AREA7L;
            struct {
              __IO uint8_t AREA7LL;
              __IO uint8_t AREA7LH;
            };
          };
          union {
            __IO uint16_t AREA7H;
            struct {
              __IO uint8_t AREA7HL;
              __IO uint8_t AREA7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM0;
        stc_exbus_atim0_field_t ATIM0_f;
        struct {
          union {
            __IO uint16_t ATIM0L;
            struct {
              __IO uint8_t ATIM0LL;
              __IO uint8_t ATIM0LH;
            };
          };
          union {
            __IO uint16_t ATIM0H;
            struct {
              __IO uint8_t ATIM0HL;
              __IO uint8_t ATIM0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM1;
        stc_exbus_atim1_field_t ATIM1_f;
        struct {
          union {
            __IO uint16_t ATIM1L;
            struct {
              __IO uint8_t ATIM1LL;
              __IO uint8_t ATIM1LH;
            };
          };
          union {
            __IO uint16_t ATIM1H;
            struct {
              __IO uint8_t ATIM1HL;
              __IO uint8_t ATIM1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM2;
        stc_exbus_atim2_field_t ATIM2_f;
        struct {
          union {
            __IO uint16_t ATIM2L;
            struct {
              __IO uint8_t ATIM2LL;
              __IO uint8_t ATIM2LH;
            };
          };
          union {
            __IO uint16_t ATIM2H;
            struct {
              __IO uint8_t ATIM2HL;
              __IO uint8_t ATIM2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM3;
        stc_exbus_atim3_field_t ATIM3_f;
        struct {
          union {
            __IO uint16_t ATIM3L;
            struct {
              __IO uint8_t ATIM3LL;
              __IO uint8_t ATIM3LH;
            };
          };
          union {
            __IO uint16_t ATIM3H;
            struct {
              __IO uint8_t ATIM3HL;
              __IO uint8_t ATIM3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM4;
        stc_exbus_atim4_field_t ATIM4_f;
        struct {
          union {
            __IO uint16_t ATIM4L;
            struct {
              __IO uint8_t ATIM4LL;
              __IO uint8_t ATIM4LH;
            };
          };
          union {
            __IO uint16_t ATIM4H;
            struct {
              __IO uint8_t ATIM4HL;
              __IO uint8_t ATIM4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM5;
        stc_exbus_atim5_field_t ATIM5_f;
        struct {
          union {
            __IO uint16_t ATIM5L;
            struct {
              __IO uint8_t ATIM5LL;
              __IO uint8_t ATIM5LH;
            };
          };
          union {
            __IO uint16_t ATIM5H;
            struct {
              __IO uint8_t ATIM5HL;
              __IO uint8_t ATIM5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM6;
        stc_exbus_atim6_field_t ATIM6_f;
        struct {
          union {
            __IO uint16_t ATIM6L;
            struct {
              __IO uint8_t ATIM6LL;
              __IO uint8_t ATIM6LH;
            };
          };
          union {
            __IO uint16_t ATIM6H;
            struct {
              __IO uint8_t ATIM6HL;
              __IO uint8_t ATIM6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t ATIM7;
        stc_exbus_atim7_field_t ATIM7_f;
        struct {
          union {
            __IO uint16_t ATIM7L;
            struct {
              __IO uint8_t ATIM7LL;
              __IO uint8_t ATIM7LH;
            };
          };
          union {
            __IO uint16_t ATIM7H;
            struct {
              __IO uint8_t ATIM7HL;
              __IO uint8_t ATIM7HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[640];
    union {
        __IO uint32_t DCLKR;
        stc_exbus_dclkr_field_t DCLKR_f;
        struct {
          union {
            __IO uint16_t DCLKRL;
            struct {
              __IO uint8_t DCLKRLL;
              __IO uint8_t DCLKRLH;
            };
          };
          union {
            __IO uint16_t DCLKRH;
            struct {
              __IO uint8_t DCLKRHL;
              __IO uint8_t DCLKRHH;
            };
          };
        };
    };
} FM_EXBUS_TypeDef, FM3_EXBUS_TypeDef;

/******************************************************************************
 ** EXTI_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t ENIR;
        stc_exti_enir_field_t ENIR_f;
        struct {
          union {
            __IO uint16_t ENIRL;
            struct {
              __IO uint8_t ENIRLL;
              __IO uint8_t ENIRLH;
            };
          };
          union {
            __IO uint16_t ENIRH;
            struct {
              __IO uint8_t ENIRHL;
              __IO uint8_t ENIRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EIRR;
        stc_exti_eirr_field_t EIRR_f;
        struct {
          union {
            __IO uint16_t EIRRL;
            struct {
              __IO uint8_t EIRRLL;
              __IO uint8_t EIRRLH;
            };
          };
          union {
            __IO uint16_t EIRRH;
            struct {
              __IO uint8_t EIRRHL;
              __IO uint8_t EIRRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EICL;
        stc_exti_eicl_field_t EICL_f;
        struct {
          union {
            __IO uint16_t EICLL;
            struct {
              __IO uint8_t EICLLL;
              __IO uint8_t EICLLH;
            };
          };
          union {
            __IO uint16_t EICLH;
            struct {
              __IO uint8_t EICLHL;
              __IO uint8_t EICLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t ELVR;
        stc_exti_elvr_field_t ELVR_f;
        struct {
          union {
            __IO uint16_t ELVRL;
            struct {
              __IO uint8_t ELVRLL;
              __IO uint8_t ELVRLH;
            };
          };
          union {
            __IO uint16_t ELVRH;
            struct {
              __IO uint8_t ELVRHL;
              __IO uint8_t ELVRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t ELVR1;
        stc_exti_elvr1_field_t ELVR1_f;
        struct {
          union {
            __IO uint16_t ELVR1L;
            struct {
              __IO uint8_t ELVR1LL;
              __IO uint8_t ELVR1LH;
            };
          };
          union {
            __IO uint16_t ELVR1H;
            struct {
              __IO uint8_t ELVR1HL;
              __IO uint8_t ELVR1HH;
            };
          };
        };
    };
    union {
        __IO uint16_t NMIRR;
        stc_exti_nmirr_field_t NMIRR_f;
        struct {
            __IO  uint8_t NMIRRL;
            __IO  uint8_t NMIRRH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO uint16_t NMICL;
        stc_exti_nmicl_field_t NMICL_f;
        struct {
            __IO  uint8_t NMICLL;
            __IO  uint8_t NMICLH;
        };
    };
} FM_EXTI_TypeDef, FM3_EXTI_TypeDef;

/******************************************************************************
 ** FLASH_IF_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[4];
    union {
        __IO uint32_t FRWTR;
        stc_flash_if_frwtr_field_t FRWTR_f;
        struct {
          union {
            __IO uint16_t FRWTRL;
            struct {
              __IO uint8_t FRWTRLL;
              __IO uint8_t FRWTRLH;
            };
          };
          union {
            __IO uint16_t FRWTRH;
            struct {
              __IO uint8_t FRWTRHL;
              __IO uint8_t FRWTRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FSTR;
        stc_flash_if_fstr_field_t FSTR_f;
        struct {
          union {
            __IO uint16_t FSTRL;
            struct {
              __IO uint8_t FSTRLL;
              __IO uint8_t FSTRLH;
            };
          };
          union {
            __IO uint16_t FSTRH;
            struct {
              __IO uint8_t FSTRHL;
              __IO uint8_t FSTRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[20];
    union {
        __IO uint32_t FICR;
        stc_flash_if_ficr_field_t FICR_f;
        struct {
          union {
            __IO uint16_t FICRL;
            struct {
              __IO uint8_t FICRLL;
              __IO uint8_t FICRLH;
            };
          };
          union {
            __IO uint16_t FICRH;
            struct {
              __IO uint8_t FICRHL;
              __IO uint8_t FICRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FISR;
        stc_flash_if_fisr_field_t FISR_f;
        struct {
          union {
            __IO uint16_t FISRL;
            struct {
              __IO uint8_t FISRLL;
              __IO uint8_t FISRLH;
            };
          };
          union {
            __IO uint16_t FISRH;
            struct {
              __IO uint8_t FISRHL;
              __IO uint8_t FISRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t FICLR;
        stc_flash_if_ficlr_field_t FICLR_f;
        struct {
          union {
            __IO uint16_t FICLRL;
            struct {
              __IO uint8_t FICLRLL;
              __IO uint8_t FICLRLH;
            };
          };
          union {
            __IO uint16_t FICLRH;
            struct {
              __IO uint8_t FICLRHL;
              __IO uint8_t FICLRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[212];
    union {
        __IO uint32_t CRTRMM;
        stc_flash_if_crtrmm_field_t CRTRMM_f;
        struct {
          union {
            __IO uint16_t CRTRMML;
            struct {
              __IO uint8_t CRTRMMLL;
              __IO uint8_t CRTRMMLH;
            };
          };
          union {
            __IO uint16_t CRTRMMH;
            struct {
              __IO uint8_t CRTRMMHL;
              __IO uint8_t CRTRMMHH;
            };
          };
        };
    };
} FM_FLASH_IF_TypeDef, FM3_FLASH_IF_TypeDef;

/******************************************************************************
 ** GPIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t PFR0;
        stc_gpio_pfr0_field_t PFR0_f;
        struct {
          union {
            __IO uint16_t PFR0L;
            struct {
              __IO uint8_t PFR0LL;
              __IO uint8_t PFR0LH;
            };
          };
          union {
            __IO uint16_t PFR0H;
            struct {
              __IO uint8_t PFR0HL;
              __IO uint8_t PFR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR1;
        stc_gpio_pfr1_field_t PFR1_f;
        struct {
          union {
            __IO uint16_t PFR1L;
            struct {
              __IO uint8_t PFR1LL;
              __IO uint8_t PFR1LH;
            };
          };
          union {
            __IO uint16_t PFR1H;
            struct {
              __IO uint8_t PFR1HL;
              __IO uint8_t PFR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR2;
        stc_gpio_pfr2_field_t PFR2_f;
        struct {
          union {
            __IO uint16_t PFR2L;
            struct {
              __IO uint8_t PFR2LL;
              __IO uint8_t PFR2LH;
            };
          };
          union {
            __IO uint16_t PFR2H;
            struct {
              __IO uint8_t PFR2HL;
              __IO uint8_t PFR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR3;
        stc_gpio_pfr3_field_t PFR3_f;
        struct {
          union {
            __IO uint16_t PFR3L;
            struct {
              __IO uint8_t PFR3LL;
              __IO uint8_t PFR3LH;
            };
          };
          union {
            __IO uint16_t PFR3H;
            struct {
              __IO uint8_t PFR3HL;
              __IO uint8_t PFR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR4;
        stc_gpio_pfr4_field_t PFR4_f;
        struct {
          union {
            __IO uint16_t PFR4L;
            struct {
              __IO uint8_t PFR4LL;
              __IO uint8_t PFR4LH;
            };
          };
          union {
            __IO uint16_t PFR4H;
            struct {
              __IO uint8_t PFR4HL;
              __IO uint8_t PFR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR5;
        stc_gpio_pfr5_field_t PFR5_f;
        struct {
          union {
            __IO uint16_t PFR5L;
            struct {
              __IO uint8_t PFR5LL;
              __IO uint8_t PFR5LH;
            };
          };
          union {
            __IO uint16_t PFR5H;
            struct {
              __IO uint8_t PFR5HL;
              __IO uint8_t PFR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR6;
        stc_gpio_pfr6_field_t PFR6_f;
        struct {
          union {
            __IO uint16_t PFR6L;
            struct {
              __IO uint8_t PFR6LL;
              __IO uint8_t PFR6LH;
            };
          };
          union {
            __IO uint16_t PFR6H;
            struct {
              __IO uint8_t PFR6HL;
              __IO uint8_t PFR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR7;
        struct {
          union {
            __IO uint16_t PFR7L;
            struct {
              __IO uint8_t PFR7LL;
              __IO uint8_t PFR7LH;
            };
          };
          union {
            __IO uint16_t PFR7H;
            struct {
              __IO uint8_t PFR7HL;
              __IO uint8_t PFR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR8;
        stc_gpio_pfr8_field_t PFR8_f;
        struct {
          union {
            __IO uint16_t PFR8L;
            struct {
              __IO uint8_t PFR8LL;
              __IO uint8_t PFR8LH;
            };
          };
          union {
            __IO uint16_t PFR8H;
            struct {
              __IO uint8_t PFR8HL;
              __IO uint8_t PFR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFR9;
        struct {
          union {
            __IO uint16_t PFR9L;
            struct {
              __IO uint8_t PFR9LL;
              __IO uint8_t PFR9LH;
            };
          };
          union {
            __IO uint16_t PFR9H;
            struct {
              __IO uint8_t PFR9HL;
              __IO uint8_t PFR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRA;
        struct {
          union {
            __IO uint16_t PFRAL;
            struct {
              __IO uint8_t PFRALL;
              __IO uint8_t PFRALH;
            };
          };
          union {
            __IO uint16_t PFRAH;
            struct {
              __IO uint8_t PFRAHL;
              __IO uint8_t PFRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRB;
        struct {
          union {
            __IO uint16_t PFRBL;
            struct {
              __IO uint8_t PFRBLL;
              __IO uint8_t PFRBLH;
            };
          };
          union {
            __IO uint16_t PFRBH;
            struct {
              __IO uint8_t PFRBHL;
              __IO uint8_t PFRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRC;
        struct {
          union {
            __IO uint16_t PFRCL;
            struct {
              __IO uint8_t PFRCLL;
              __IO uint8_t PFRCLH;
            };
          };
          union {
            __IO uint16_t PFRCH;
            struct {
              __IO uint8_t PFRCHL;
              __IO uint8_t PFRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRD;
        struct {
          union {
            __IO uint16_t PFRDL;
            struct {
              __IO uint8_t PFRDLL;
              __IO uint8_t PFRDLH;
            };
          };
          union {
            __IO uint16_t PFRDH;
            struct {
              __IO uint8_t PFRDHL;
              __IO uint8_t PFRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRE;
        stc_gpio_pfre_field_t PFRE_f;
        struct {
          union {
            __IO uint16_t PFREL;
            struct {
              __IO uint8_t PFRELL;
              __IO uint8_t PFRELH;
            };
          };
          union {
            __IO uint16_t PFREH;
            struct {
              __IO uint8_t PFREHL;
              __IO uint8_t PFREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PFRF;
        struct {
          union {
            __IO uint16_t PFRFL;
            struct {
              __IO uint8_t PFRFLL;
              __IO uint8_t PFRFLH;
            };
          };
          union {
            __IO uint16_t PFRFH;
            struct {
              __IO uint8_t PFRFHL;
              __IO uint8_t PFRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[192];
    union {
        __IO uint32_t PCR0;
        stc_gpio_pcr0_field_t PCR0_f;
        struct {
          union {
            __IO uint16_t PCR0L;
            struct {
              __IO uint8_t PCR0LL;
              __IO uint8_t PCR0LH;
            };
          };
          union {
            __IO uint16_t PCR0H;
            struct {
              __IO uint8_t PCR0HL;
              __IO uint8_t PCR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR1;
        stc_gpio_pcr1_field_t PCR1_f;
        struct {
          union {
            __IO uint16_t PCR1L;
            struct {
              __IO uint8_t PCR1LL;
              __IO uint8_t PCR1LH;
            };
          };
          union {
            __IO uint16_t PCR1H;
            struct {
              __IO uint8_t PCR1HL;
              __IO uint8_t PCR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR2;
        stc_gpio_pcr2_field_t PCR2_f;
        struct {
          union {
            __IO uint16_t PCR2L;
            struct {
              __IO uint8_t PCR2LL;
              __IO uint8_t PCR2LH;
            };
          };
          union {
            __IO uint16_t PCR2H;
            struct {
              __IO uint8_t PCR2HL;
              __IO uint8_t PCR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR3;
        stc_gpio_pcr3_field_t PCR3_f;
        struct {
          union {
            __IO uint16_t PCR3L;
            struct {
              __IO uint8_t PCR3LL;
              __IO uint8_t PCR3LH;
            };
          };
          union {
            __IO uint16_t PCR3H;
            struct {
              __IO uint8_t PCR3HL;
              __IO uint8_t PCR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR4;
        stc_gpio_pcr4_field_t PCR4_f;
        struct {
          union {
            __IO uint16_t PCR4L;
            struct {
              __IO uint8_t PCR4LL;
              __IO uint8_t PCR4LH;
            };
          };
          union {
            __IO uint16_t PCR4H;
            struct {
              __IO uint8_t PCR4HL;
              __IO uint8_t PCR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR5;
        stc_gpio_pcr5_field_t PCR5_f;
        struct {
          union {
            __IO uint16_t PCR5L;
            struct {
              __IO uint8_t PCR5LL;
              __IO uint8_t PCR5LH;
            };
          };
          union {
            __IO uint16_t PCR5H;
            struct {
              __IO uint8_t PCR5HL;
              __IO uint8_t PCR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR6;
        stc_gpio_pcr6_field_t PCR6_f;
        struct {
          union {
            __IO uint16_t PCR6L;
            struct {
              __IO uint8_t PCR6LL;
              __IO uint8_t PCR6LH;
            };
          };
          union {
            __IO uint16_t PCR6H;
            struct {
              __IO uint8_t PCR6HL;
              __IO uint8_t PCR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCR7;
        struct {
          union {
            __IO uint16_t PCR7L;
            struct {
              __IO uint8_t PCR7LL;
              __IO uint8_t PCR7LH;
            };
          };
          union {
            __IO uint16_t PCR7H;
            struct {
              __IO uint8_t PCR7HL;
              __IO uint8_t PCR7HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[4];
    union {
        __IO uint32_t PCR9;
        struct {
          union {
            __IO uint16_t PCR9L;
            struct {
              __IO uint8_t PCR9LL;
              __IO uint8_t PCR9LH;
            };
          };
          union {
            __IO uint16_t PCR9H;
            struct {
              __IO uint8_t PCR9HL;
              __IO uint8_t PCR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRA;
        struct {
          union {
            __IO uint16_t PCRAL;
            struct {
              __IO uint8_t PCRALL;
              __IO uint8_t PCRALH;
            };
          };
          union {
            __IO uint16_t PCRAH;
            struct {
              __IO uint8_t PCRAHL;
              __IO uint8_t PCRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRB;
        struct {
          union {
            __IO uint16_t PCRBL;
            struct {
              __IO uint8_t PCRBLL;
              __IO uint8_t PCRBLH;
            };
          };
          union {
            __IO uint16_t PCRBH;
            struct {
              __IO uint8_t PCRBHL;
              __IO uint8_t PCRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRC;
        struct {
          union {
            __IO uint16_t PCRCL;
            struct {
              __IO uint8_t PCRCLL;
              __IO uint8_t PCRCLH;
            };
          };
          union {
            __IO uint16_t PCRCH;
            struct {
              __IO uint8_t PCRCHL;
              __IO uint8_t PCRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRD;
        struct {
          union {
            __IO uint16_t PCRDL;
            struct {
              __IO uint8_t PCRDLL;
              __IO uint8_t PCRDLH;
            };
          };
          union {
            __IO uint16_t PCRDH;
            struct {
              __IO uint8_t PCRDHL;
              __IO uint8_t PCRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRE;
        stc_gpio_pcre_field_t PCRE_f;
        struct {
          union {
            __IO uint16_t PCREL;
            struct {
              __IO uint8_t PCRELL;
              __IO uint8_t PCRELH;
            };
          };
          union {
            __IO uint16_t PCREH;
            struct {
              __IO uint8_t PCREHL;
              __IO uint8_t PCREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PCRF;
        struct {
          union {
            __IO uint16_t PCRFL;
            struct {
              __IO uint8_t PCRFLL;
              __IO uint8_t PCRFLH;
            };
          };
          union {
            __IO uint16_t PCRFH;
            struct {
              __IO uint8_t PCRFHL;
              __IO uint8_t PCRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[192];
    union {
        __IO uint32_t DDR0;
        stc_gpio_ddr0_field_t DDR0_f;
        struct {
          union {
            __IO uint16_t DDR0L;
            struct {
              __IO uint8_t DDR0LL;
              __IO uint8_t DDR0LH;
            };
          };
          union {
            __IO uint16_t DDR0H;
            struct {
              __IO uint8_t DDR0HL;
              __IO uint8_t DDR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR1;
        stc_gpio_ddr1_field_t DDR1_f;
        struct {
          union {
            __IO uint16_t DDR1L;
            struct {
              __IO uint8_t DDR1LL;
              __IO uint8_t DDR1LH;
            };
          };
          union {
            __IO uint16_t DDR1H;
            struct {
              __IO uint8_t DDR1HL;
              __IO uint8_t DDR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR2;
        stc_gpio_ddr2_field_t DDR2_f;
        struct {
          union {
            __IO uint16_t DDR2L;
            struct {
              __IO uint8_t DDR2LL;
              __IO uint8_t DDR2LH;
            };
          };
          union {
            __IO uint16_t DDR2H;
            struct {
              __IO uint8_t DDR2HL;
              __IO uint8_t DDR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR3;
        stc_gpio_ddr3_field_t DDR3_f;
        struct {
          union {
            __IO uint16_t DDR3L;
            struct {
              __IO uint8_t DDR3LL;
              __IO uint8_t DDR3LH;
            };
          };
          union {
            __IO uint16_t DDR3H;
            struct {
              __IO uint8_t DDR3HL;
              __IO uint8_t DDR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR4;
        stc_gpio_ddr4_field_t DDR4_f;
        struct {
          union {
            __IO uint16_t DDR4L;
            struct {
              __IO uint8_t DDR4LL;
              __IO uint8_t DDR4LH;
            };
          };
          union {
            __IO uint16_t DDR4H;
            struct {
              __IO uint8_t DDR4HL;
              __IO uint8_t DDR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR5;
        stc_gpio_ddr5_field_t DDR5_f;
        struct {
          union {
            __IO uint16_t DDR5L;
            struct {
              __IO uint8_t DDR5LL;
              __IO uint8_t DDR5LH;
            };
          };
          union {
            __IO uint16_t DDR5H;
            struct {
              __IO uint8_t DDR5HL;
              __IO uint8_t DDR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR6;
        stc_gpio_ddr6_field_t DDR6_f;
        struct {
          union {
            __IO uint16_t DDR6L;
            struct {
              __IO uint8_t DDR6LL;
              __IO uint8_t DDR6LH;
            };
          };
          union {
            __IO uint16_t DDR6H;
            struct {
              __IO uint8_t DDR6HL;
              __IO uint8_t DDR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR7;
        struct {
          union {
            __IO uint16_t DDR7L;
            struct {
              __IO uint8_t DDR7LL;
              __IO uint8_t DDR7LH;
            };
          };
          union {
            __IO uint16_t DDR7H;
            struct {
              __IO uint8_t DDR7HL;
              __IO uint8_t DDR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR8;
        stc_gpio_ddr8_field_t DDR8_f;
        struct {
          union {
            __IO uint16_t DDR8L;
            struct {
              __IO uint8_t DDR8LL;
              __IO uint8_t DDR8LH;
            };
          };
          union {
            __IO uint16_t DDR8H;
            struct {
              __IO uint8_t DDR8HL;
              __IO uint8_t DDR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDR9;
        struct {
          union {
            __IO uint16_t DDR9L;
            struct {
              __IO uint8_t DDR9LL;
              __IO uint8_t DDR9LH;
            };
          };
          union {
            __IO uint16_t DDR9H;
            struct {
              __IO uint8_t DDR9HL;
              __IO uint8_t DDR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRA;
        struct {
          union {
            __IO uint16_t DDRAL;
            struct {
              __IO uint8_t DDRALL;
              __IO uint8_t DDRALH;
            };
          };
          union {
            __IO uint16_t DDRAH;
            struct {
              __IO uint8_t DDRAHL;
              __IO uint8_t DDRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRB;
        struct {
          union {
            __IO uint16_t DDRBL;
            struct {
              __IO uint8_t DDRBLL;
              __IO uint8_t DDRBLH;
            };
          };
          union {
            __IO uint16_t DDRBH;
            struct {
              __IO uint8_t DDRBHL;
              __IO uint8_t DDRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRC;
        struct {
          union {
            __IO uint16_t DDRCL;
            struct {
              __IO uint8_t DDRCLL;
              __IO uint8_t DDRCLH;
            };
          };
          union {
            __IO uint16_t DDRCH;
            struct {
              __IO uint8_t DDRCHL;
              __IO uint8_t DDRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRD;
        struct {
          union {
            __IO uint16_t DDRDL;
            struct {
              __IO uint8_t DDRDLL;
              __IO uint8_t DDRDLH;
            };
          };
          union {
            __IO uint16_t DDRDH;
            struct {
              __IO uint8_t DDRDHL;
              __IO uint8_t DDRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRE;
        stc_gpio_ddre_field_t DDRE_f;
        struct {
          union {
            __IO uint16_t DDREL;
            struct {
              __IO uint8_t DDRELL;
              __IO uint8_t DDRELH;
            };
          };
          union {
            __IO uint16_t DDREH;
            struct {
              __IO uint8_t DDREHL;
              __IO uint8_t DDREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t DDRF;
        struct {
          union {
            __IO uint16_t DDRFL;
            struct {
              __IO uint8_t DDRFLL;
              __IO uint8_t DDRFLH;
            };
          };
          union {
            __IO uint16_t DDRFH;
            struct {
              __IO uint8_t DDRFHL;
              __IO uint8_t DDRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED3[192];
    union {
        __IO uint32_t PDIR0;
        stc_gpio_pdir0_field_t PDIR0_f;
        struct {
          union {
            __IO uint16_t PDIR0L;
            struct {
              __IO uint8_t PDIR0LL;
              __IO uint8_t PDIR0LH;
            };
          };
          union {
            __IO uint16_t PDIR0H;
            struct {
              __IO uint8_t PDIR0HL;
              __IO uint8_t PDIR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR1;
        stc_gpio_pdir1_field_t PDIR1_f;
        struct {
          union {
            __IO uint16_t PDIR1L;
            struct {
              __IO uint8_t PDIR1LL;
              __IO uint8_t PDIR1LH;
            };
          };
          union {
            __IO uint16_t PDIR1H;
            struct {
              __IO uint8_t PDIR1HL;
              __IO uint8_t PDIR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR2;
        stc_gpio_pdir2_field_t PDIR2_f;
        struct {
          union {
            __IO uint16_t PDIR2L;
            struct {
              __IO uint8_t PDIR2LL;
              __IO uint8_t PDIR2LH;
            };
          };
          union {
            __IO uint16_t PDIR2H;
            struct {
              __IO uint8_t PDIR2HL;
              __IO uint8_t PDIR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR3;
        stc_gpio_pdir3_field_t PDIR3_f;
        struct {
          union {
            __IO uint16_t PDIR3L;
            struct {
              __IO uint8_t PDIR3LL;
              __IO uint8_t PDIR3LH;
            };
          };
          union {
            __IO uint16_t PDIR3H;
            struct {
              __IO uint8_t PDIR3HL;
              __IO uint8_t PDIR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR4;
        stc_gpio_pdir4_field_t PDIR4_f;
        struct {
          union {
            __IO uint16_t PDIR4L;
            struct {
              __IO uint8_t PDIR4LL;
              __IO uint8_t PDIR4LH;
            };
          };
          union {
            __IO uint16_t PDIR4H;
            struct {
              __IO uint8_t PDIR4HL;
              __IO uint8_t PDIR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR5;
        stc_gpio_pdir5_field_t PDIR5_f;
        struct {
          union {
            __IO uint16_t PDIR5L;
            struct {
              __IO uint8_t PDIR5LL;
              __IO uint8_t PDIR5LH;
            };
          };
          union {
            __IO uint16_t PDIR5H;
            struct {
              __IO uint8_t PDIR5HL;
              __IO uint8_t PDIR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR6;
        stc_gpio_pdir6_field_t PDIR6_f;
        struct {
          union {
            __IO uint16_t PDIR6L;
            struct {
              __IO uint8_t PDIR6LL;
              __IO uint8_t PDIR6LH;
            };
          };
          union {
            __IO uint16_t PDIR6H;
            struct {
              __IO uint8_t PDIR6HL;
              __IO uint8_t PDIR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR7;
        struct {
          union {
            __IO uint16_t PDIR7L;
            struct {
              __IO uint8_t PDIR7LL;
              __IO uint8_t PDIR7LH;
            };
          };
          union {
            __IO uint16_t PDIR7H;
            struct {
              __IO uint8_t PDIR7HL;
              __IO uint8_t PDIR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR8;
        stc_gpio_pdir8_field_t PDIR8_f;
        struct {
          union {
            __IO uint16_t PDIR8L;
            struct {
              __IO uint8_t PDIR8LL;
              __IO uint8_t PDIR8LH;
            };
          };
          union {
            __IO uint16_t PDIR8H;
            struct {
              __IO uint8_t PDIR8HL;
              __IO uint8_t PDIR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIR9;
        struct {
          union {
            __IO uint16_t PDIR9L;
            struct {
              __IO uint8_t PDIR9LL;
              __IO uint8_t PDIR9LH;
            };
          };
          union {
            __IO uint16_t PDIR9H;
            struct {
              __IO uint8_t PDIR9HL;
              __IO uint8_t PDIR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRA;
        struct {
          union {
            __IO uint16_t PDIRAL;
            struct {
              __IO uint8_t PDIRALL;
              __IO uint8_t PDIRALH;
            };
          };
          union {
            __IO uint16_t PDIRAH;
            struct {
              __IO uint8_t PDIRAHL;
              __IO uint8_t PDIRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRB;
        struct {
          union {
            __IO uint16_t PDIRBL;
            struct {
              __IO uint8_t PDIRBLL;
              __IO uint8_t PDIRBLH;
            };
          };
          union {
            __IO uint16_t PDIRBH;
            struct {
              __IO uint8_t PDIRBHL;
              __IO uint8_t PDIRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRC;
        struct {
          union {
            __IO uint16_t PDIRCL;
            struct {
              __IO uint8_t PDIRCLL;
              __IO uint8_t PDIRCLH;
            };
          };
          union {
            __IO uint16_t PDIRCH;
            struct {
              __IO uint8_t PDIRCHL;
              __IO uint8_t PDIRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRD;
        struct {
          union {
            __IO uint16_t PDIRDL;
            struct {
              __IO uint8_t PDIRDLL;
              __IO uint8_t PDIRDLH;
            };
          };
          union {
            __IO uint16_t PDIRDH;
            struct {
              __IO uint8_t PDIRDHL;
              __IO uint8_t PDIRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRE;
        stc_gpio_pdire_field_t PDIRE_f;
        struct {
          union {
            __IO uint16_t PDIREL;
            struct {
              __IO uint8_t PDIRELL;
              __IO uint8_t PDIRELH;
            };
          };
          union {
            __IO uint16_t PDIREH;
            struct {
              __IO uint8_t PDIREHL;
              __IO uint8_t PDIREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDIRF;
        struct {
          union {
            __IO uint16_t PDIRFL;
            struct {
              __IO uint8_t PDIRFLL;
              __IO uint8_t PDIRFLH;
            };
          };
          union {
            __IO uint16_t PDIRFH;
            struct {
              __IO uint8_t PDIRFHL;
              __IO uint8_t PDIRFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED4[192];
    union {
        __IO uint32_t PDOR0;
        stc_gpio_pdor0_field_t PDOR0_f;
        struct {
          union {
            __IO uint16_t PDOR0L;
            struct {
              __IO uint8_t PDOR0LL;
              __IO uint8_t PDOR0LH;
            };
          };
          union {
            __IO uint16_t PDOR0H;
            struct {
              __IO uint8_t PDOR0HL;
              __IO uint8_t PDOR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR1;
        stc_gpio_pdor1_field_t PDOR1_f;
        struct {
          union {
            __IO uint16_t PDOR1L;
            struct {
              __IO uint8_t PDOR1LL;
              __IO uint8_t PDOR1LH;
            };
          };
          union {
            __IO uint16_t PDOR1H;
            struct {
              __IO uint8_t PDOR1HL;
              __IO uint8_t PDOR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR2;
        stc_gpio_pdor2_field_t PDOR2_f;
        struct {
          union {
            __IO uint16_t PDOR2L;
            struct {
              __IO uint8_t PDOR2LL;
              __IO uint8_t PDOR2LH;
            };
          };
          union {
            __IO uint16_t PDOR2H;
            struct {
              __IO uint8_t PDOR2HL;
              __IO uint8_t PDOR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR3;
        stc_gpio_pdor3_field_t PDOR3_f;
        struct {
          union {
            __IO uint16_t PDOR3L;
            struct {
              __IO uint8_t PDOR3LL;
              __IO uint8_t PDOR3LH;
            };
          };
          union {
            __IO uint16_t PDOR3H;
            struct {
              __IO uint8_t PDOR3HL;
              __IO uint8_t PDOR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR4;
        stc_gpio_pdor4_field_t PDOR4_f;
        struct {
          union {
            __IO uint16_t PDOR4L;
            struct {
              __IO uint8_t PDOR4LL;
              __IO uint8_t PDOR4LH;
            };
          };
          union {
            __IO uint16_t PDOR4H;
            struct {
              __IO uint8_t PDOR4HL;
              __IO uint8_t PDOR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR5;
        stc_gpio_pdor5_field_t PDOR5_f;
        struct {
          union {
            __IO uint16_t PDOR5L;
            struct {
              __IO uint8_t PDOR5LL;
              __IO uint8_t PDOR5LH;
            };
          };
          union {
            __IO uint16_t PDOR5H;
            struct {
              __IO uint8_t PDOR5HL;
              __IO uint8_t PDOR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR6;
        stc_gpio_pdor6_field_t PDOR6_f;
        struct {
          union {
            __IO uint16_t PDOR6L;
            struct {
              __IO uint8_t PDOR6LL;
              __IO uint8_t PDOR6LH;
            };
          };
          union {
            __IO uint16_t PDOR6H;
            struct {
              __IO uint8_t PDOR6HL;
              __IO uint8_t PDOR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR7;
        struct {
          union {
            __IO uint16_t PDOR7L;
            struct {
              __IO uint8_t PDOR7LL;
              __IO uint8_t PDOR7LH;
            };
          };
          union {
            __IO uint16_t PDOR7H;
            struct {
              __IO uint8_t PDOR7HL;
              __IO uint8_t PDOR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR8;
        stc_gpio_pdor8_field_t PDOR8_f;
        struct {
          union {
            __IO uint16_t PDOR8L;
            struct {
              __IO uint8_t PDOR8LL;
              __IO uint8_t PDOR8LH;
            };
          };
          union {
            __IO uint16_t PDOR8H;
            struct {
              __IO uint8_t PDOR8HL;
              __IO uint8_t PDOR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDOR9;
        struct {
          union {
            __IO uint16_t PDOR9L;
            struct {
              __IO uint8_t PDOR9LL;
              __IO uint8_t PDOR9LH;
            };
          };
          union {
            __IO uint16_t PDOR9H;
            struct {
              __IO uint8_t PDOR9HL;
              __IO uint8_t PDOR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORA;
        struct {
          union {
            __IO uint16_t PDORAL;
            struct {
              __IO uint8_t PDORALL;
              __IO uint8_t PDORALH;
            };
          };
          union {
            __IO uint16_t PDORAH;
            struct {
              __IO uint8_t PDORAHL;
              __IO uint8_t PDORAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORB;
        struct {
          union {
            __IO uint16_t PDORBL;
            struct {
              __IO uint8_t PDORBLL;
              __IO uint8_t PDORBLH;
            };
          };
          union {
            __IO uint16_t PDORBH;
            struct {
              __IO uint8_t PDORBHL;
              __IO uint8_t PDORBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORC;
        struct {
          union {
            __IO uint16_t PDORCL;
            struct {
              __IO uint8_t PDORCLL;
              __IO uint8_t PDORCLH;
            };
          };
          union {
            __IO uint16_t PDORCH;
            struct {
              __IO uint8_t PDORCHL;
              __IO uint8_t PDORCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORD;
        struct {
          union {
            __IO uint16_t PDORDL;
            struct {
              __IO uint8_t PDORDLL;
              __IO uint8_t PDORDLH;
            };
          };
          union {
            __IO uint16_t PDORDH;
            struct {
              __IO uint8_t PDORDHL;
              __IO uint8_t PDORDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORE;
        stc_gpio_pdore_field_t PDORE_f;
        struct {
          union {
            __IO uint16_t PDOREL;
            struct {
              __IO uint8_t PDORELL;
              __IO uint8_t PDORELH;
            };
          };
          union {
            __IO uint16_t PDOREH;
            struct {
              __IO uint8_t PDOREHL;
              __IO uint8_t PDOREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PDORF;
        struct {
          union {
            __IO uint16_t PDORFL;
            struct {
              __IO uint8_t PDORFLL;
              __IO uint8_t PDORFLH;
            };
          };
          union {
            __IO uint16_t PDORFH;
            struct {
              __IO uint8_t PDORFHL;
              __IO uint8_t PDORFHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED5[192];
    union {
        __IO uint32_t ADE;
        stc_gpio_ade_field_t ADE_f;
        struct {
          union {
            __IO uint16_t ADEL;
            struct {
              __IO uint8_t ADELL;
              __IO uint8_t ADELH;
            };
          };
          union {
            __IO uint16_t ADEH;
            struct {
              __IO uint8_t ADEHL;
              __IO uint8_t ADEHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED6[124];
    union {
        __IO uint32_t SPSR;
        stc_gpio_spsr_field_t SPSR_f;
        struct {
          union {
            __IO uint16_t SPSRL;
            struct {
              __IO uint8_t SPSRLL;
              __IO uint8_t SPSRLH;
            };
          };
          union {
            __IO uint16_t SPSRH;
            struct {
              __IO uint8_t SPSRHL;
              __IO uint8_t SPSRHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED7[124];
    union {
        __IO uint32_t EPFR00;
        stc_gpio_epfr00_field_t EPFR00_f;
        struct {
          union {
            __IO uint16_t EPFR00L;
            struct {
              __IO uint8_t EPFR00LL;
              __IO uint8_t EPFR00LH;
            };
          };
          union {
            __IO uint16_t EPFR00H;
            struct {
              __IO uint8_t EPFR00HL;
              __IO uint8_t EPFR00HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED8[12];
    union {
        __IO uint32_t EPFR04;
        stc_gpio_epfr04_field_t EPFR04_f;
        struct {
          union {
            __IO uint16_t EPFR04L;
            struct {
              __IO uint8_t EPFR04LL;
              __IO uint8_t EPFR04LH;
            };
          };
          union {
            __IO uint16_t EPFR04H;
            struct {
              __IO uint8_t EPFR04HL;
              __IO uint8_t EPFR04HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR05;
        stc_gpio_epfr05_field_t EPFR05_f;
        struct {
          union {
            __IO uint16_t EPFR05L;
            struct {
              __IO uint8_t EPFR05LL;
              __IO uint8_t EPFR05LH;
            };
          };
          union {
            __IO uint16_t EPFR05H;
            struct {
              __IO uint8_t EPFR05HL;
              __IO uint8_t EPFR05HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR06;
        stc_gpio_epfr06_field_t EPFR06_f;
        struct {
          union {
            __IO uint16_t EPFR06L;
            struct {
              __IO uint8_t EPFR06LL;
              __IO uint8_t EPFR06LH;
            };
          };
          union {
            __IO uint16_t EPFR06H;
            struct {
              __IO uint8_t EPFR06HL;
              __IO uint8_t EPFR06HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR07;
        stc_gpio_epfr07_field_t EPFR07_f;
        struct {
          union {
            __IO uint16_t EPFR07L;
            struct {
              __IO uint8_t EPFR07LL;
              __IO uint8_t EPFR07LH;
            };
          };
          union {
            __IO uint16_t EPFR07H;
            struct {
              __IO uint8_t EPFR07HL;
              __IO uint8_t EPFR07HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR08;
        stc_gpio_epfr08_field_t EPFR08_f;
        struct {
          union {
            __IO uint16_t EPFR08L;
            struct {
              __IO uint8_t EPFR08LL;
              __IO uint8_t EPFR08LH;
            };
          };
          union {
            __IO uint16_t EPFR08H;
            struct {
              __IO uint8_t EPFR08HL;
              __IO uint8_t EPFR08HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR09;
        stc_gpio_epfr09_field_t EPFR09_f;
        struct {
          union {
            __IO uint16_t EPFR09L;
            struct {
              __IO uint8_t EPFR09LL;
              __IO uint8_t EPFR09LH;
            };
          };
          union {
            __IO uint16_t EPFR09H;
            struct {
              __IO uint8_t EPFR09HL;
              __IO uint8_t EPFR09HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR10;
        stc_gpio_epfr10_field_t EPFR10_f;
        struct {
          union {
            __IO uint16_t EPFR10L;
            struct {
              __IO uint8_t EPFR10LL;
              __IO uint8_t EPFR10LH;
            };
          };
          union {
            __IO uint16_t EPFR10H;
            struct {
              __IO uint8_t EPFR10HL;
              __IO uint8_t EPFR10HH;
            };
          };
        };
    };
    union {
        __IO uint32_t EPFR11;
        stc_gpio_epfr11_field_t EPFR11_f;
        struct {
          union {
            __IO uint16_t EPFR11L;
            struct {
              __IO uint8_t EPFR11LL;
              __IO uint8_t EPFR11LH;
            };
          };
          union {
            __IO uint16_t EPFR11H;
            struct {
              __IO uint8_t EPFR11HL;
              __IO uint8_t EPFR11HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED9[8];
    union {
        __IO uint32_t EPFR14;
        stc_gpio_epfr14_field_t EPFR14_f;
        struct {
          union {
            __IO uint16_t EPFR14L;
            struct {
              __IO uint8_t EPFR14LL;
              __IO uint8_t EPFR14LH;
            };
          };
          union {
            __IO uint16_t EPFR14H;
            struct {
              __IO uint8_t EPFR14HL;
              __IO uint8_t EPFR14HH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED10[196];
    union {
        __IO uint32_t PZR0;
        stc_gpio_pzr0_field_t PZR0_f;
        struct {
          union {
            __IO uint16_t PZR0L;
            struct {
              __IO uint8_t PZR0LL;
              __IO uint8_t PZR0LH;
            };
          };
          union {
            __IO uint16_t PZR0H;
            struct {
              __IO uint8_t PZR0HL;
              __IO uint8_t PZR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR1;
        stc_gpio_pzr1_field_t PZR1_f;
        struct {
          union {
            __IO uint16_t PZR1L;
            struct {
              __IO uint8_t PZR1LL;
              __IO uint8_t PZR1LH;
            };
          };
          union {
            __IO uint16_t PZR1H;
            struct {
              __IO uint8_t PZR1HL;
              __IO uint8_t PZR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR2;
        stc_gpio_pzr2_field_t PZR2_f;
        struct {
          union {
            __IO uint16_t PZR2L;
            struct {
              __IO uint8_t PZR2LL;
              __IO uint8_t PZR2LH;
            };
          };
          union {
            __IO uint16_t PZR2H;
            struct {
              __IO uint8_t PZR2HL;
              __IO uint8_t PZR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR3;
        stc_gpio_pzr3_field_t PZR3_f;
        struct {
          union {
            __IO uint16_t PZR3L;
            struct {
              __IO uint8_t PZR3LL;
              __IO uint8_t PZR3LH;
            };
          };
          union {
            __IO uint16_t PZR3H;
            struct {
              __IO uint8_t PZR3HL;
              __IO uint8_t PZR3HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR4;
        stc_gpio_pzr4_field_t PZR4_f;
        struct {
          union {
            __IO uint16_t PZR4L;
            struct {
              __IO uint8_t PZR4LL;
              __IO uint8_t PZR4LH;
            };
          };
          union {
            __IO uint16_t PZR4H;
            struct {
              __IO uint8_t PZR4HL;
              __IO uint8_t PZR4HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR5;
        stc_gpio_pzr5_field_t PZR5_f;
        struct {
          union {
            __IO uint16_t PZR5L;
            struct {
              __IO uint8_t PZR5LL;
              __IO uint8_t PZR5LH;
            };
          };
          union {
            __IO uint16_t PZR5H;
            struct {
              __IO uint8_t PZR5HL;
              __IO uint8_t PZR5HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR6;
        stc_gpio_pzr6_field_t PZR6_f;
        struct {
          union {
            __IO uint16_t PZR6L;
            struct {
              __IO uint8_t PZR6LL;
              __IO uint8_t PZR6LH;
            };
          };
          union {
            __IO uint16_t PZR6H;
            struct {
              __IO uint8_t PZR6HL;
              __IO uint8_t PZR6HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR7;
        struct {
          union {
            __IO uint16_t PZR7L;
            struct {
              __IO uint8_t PZR7LL;
              __IO uint8_t PZR7LH;
            };
          };
          union {
            __IO uint16_t PZR7H;
            struct {
              __IO uint8_t PZR7HL;
              __IO uint8_t PZR7HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR8;
        stc_gpio_pzr8_field_t PZR8_f;
        struct {
          union {
            __IO uint16_t PZR8L;
            struct {
              __IO uint8_t PZR8LL;
              __IO uint8_t PZR8LH;
            };
          };
          union {
            __IO uint16_t PZR8H;
            struct {
              __IO uint8_t PZR8HL;
              __IO uint8_t PZR8HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZR9;
        struct {
          union {
            __IO uint16_t PZR9L;
            struct {
              __IO uint8_t PZR9LL;
              __IO uint8_t PZR9LH;
            };
          };
          union {
            __IO uint16_t PZR9H;
            struct {
              __IO uint8_t PZR9HL;
              __IO uint8_t PZR9HH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRA;
        struct {
          union {
            __IO uint16_t PZRAL;
            struct {
              __IO uint8_t PZRALL;
              __IO uint8_t PZRALH;
            };
          };
          union {
            __IO uint16_t PZRAH;
            struct {
              __IO uint8_t PZRAHL;
              __IO uint8_t PZRAHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRB;
        struct {
          union {
            __IO uint16_t PZRBL;
            struct {
              __IO uint8_t PZRBLL;
              __IO uint8_t PZRBLH;
            };
          };
          union {
            __IO uint16_t PZRBH;
            struct {
              __IO uint8_t PZRBHL;
              __IO uint8_t PZRBHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRC;
        struct {
          union {
            __IO uint16_t PZRCL;
            struct {
              __IO uint8_t PZRCLL;
              __IO uint8_t PZRCLH;
            };
          };
          union {
            __IO uint16_t PZRCH;
            struct {
              __IO uint8_t PZRCHL;
              __IO uint8_t PZRCHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRD;
        struct {
          union {
            __IO uint16_t PZRDL;
            struct {
              __IO uint8_t PZRDLL;
              __IO uint8_t PZRDLH;
            };
          };
          union {
            __IO uint16_t PZRDH;
            struct {
              __IO uint8_t PZRDHL;
              __IO uint8_t PZRDHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRE;
        stc_gpio_pzre_field_t PZRE_f;
        struct {
          union {
            __IO uint16_t PZREL;
            struct {
              __IO uint8_t PZRELL;
              __IO uint8_t PZRELH;
            };
          };
          union {
            __IO uint16_t PZREH;
            struct {
              __IO uint8_t PZREHL;
              __IO uint8_t PZREHH;
            };
          };
        };
    };
    union {
        __IO uint32_t PZRF;
        struct {
          union {
            __IO uint16_t PZRFL;
            struct {
              __IO uint8_t PZRFLL;
              __IO uint8_t PZRFLH;
            };
          };
          union {
            __IO uint16_t PZRFH;
            struct {
              __IO uint8_t PZRFHL;
              __IO uint8_t PZRFHH;
            };
          };
        };
    };
} FM_GPIO_TypeDef, FM3_GPIO_TypeDef;

/******************************************************************************
 ** HDMICEC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t TXCTRL;
        stc_hdmicec_txctrl_field_t TXCTRL_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO  uint8_t TXDATA;
        stc_hdmicec_txdata_field_t TXDATA_f;
    };
        __IO  uint8_t RESERVED1[3];
    union {
        __IO  uint8_t TXSTS;
        stc_hdmicec_txsts_field_t TXSTS_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO  uint8_t SFREE;
        stc_hdmicec_sfree_field_t SFREE_f;
    };
        __IO  uint8_t RESERVED3[51];
    union {
        __IO  uint8_t RCST;
        stc_hdmicec_rcst_field_t RCST_f;
    };
    union {
        __IO  uint8_t RCCR;
        stc_hdmicec_rccr_field_t RCCR_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO  uint8_t RCDAHW;
        stc_hdmicec_rcdahw_field_t RCDAHW_f;
    };
    union {
        __IO  uint8_t RCSHW;
        stc_hdmicec_rcshw_field_t RCSHW_f;
    };
        __IO  uint8_t RESERVED5[3];
    union {
        __IO  uint8_t RCDBHW;
        stc_hdmicec_rcdbhw_field_t RCDBHW_f;
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO  uint8_t RCADR2;
        stc_hdmicec_rcadr2_field_t RCADR2_f;
    };
    union {
        __IO  uint8_t RCADR1;
        stc_hdmicec_rcadr1_field_t RCADR1_f;
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t RCDTHL;
        stc_hdmicec_rcdthl_field_t RCDTHL_f;
    };
    union {
        __IO  uint8_t RCDTHH;
        stc_hdmicec_rcdthh_field_t RCDTHH_f;
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO  uint8_t RCDTLL;
        stc_hdmicec_rcdtll_field_t RCDTLL_f;
    };
    union {
        __IO  uint8_t RCDTLH;
        stc_hdmicec_rcdtlh_field_t RCDTLH_f;
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO uint16_t RCCKD;
        stc_hdmicec_rcckd_field_t RCCKD_f;
        struct {
            __IO  uint8_t RCCKDL;
            __IO  uint8_t RCCKDH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO  uint8_t RCRHW;
        stc_hdmicec_rcrhw_field_t RCRHW_f;
    };
    union {
        __IO  uint8_t RCRC;
        stc_hdmicec_rcrc_field_t RCRC_f;
    };
        __IO  uint8_t RESERVED11[3];
    union {
        __IO  uint8_t RCLE;
        stc_hdmicec_rcle_field_t RCLE_f;
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO  uint8_t RCLESW;
        stc_hdmicec_rclesw_field_t RCLESW_f;
    };
    union {
        __IO  uint8_t RCLELW;
        stc_hdmicec_rclelw_field_t RCLELW_f;
    };
} FM_HDMICEC_TypeDef, FM3_HDMICEC_TypeDef;

/******************************************************************************
 ** HWWDT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WDG_LDR;
        struct {
          union {
            __IO uint16_t WDG_LDRL;
            struct {
              __IO uint8_t WDG_LDRLL;
              __IO uint8_t WDG_LDRLH;
            };
          };
          union {
            __IO uint16_t WDG_LDRH;
            struct {
              __IO uint8_t WDG_LDRHL;
              __IO uint8_t WDG_LDRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_VLR;
        struct {
          union {
            __IO uint16_t WDG_VLRL;
            struct {
              __IO uint8_t WDG_VLRLL;
              __IO uint8_t WDG_VLRLH;
            };
          };
          union {
            __IO uint16_t WDG_VLRH;
            struct {
              __IO uint8_t WDG_VLRHL;
              __IO uint8_t WDG_VLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_CTL;
        stc_hwwdt_wdg_ctl_field_t WDG_CTL_f;
        struct {
          union {
            __IO uint16_t WDG_CTLL;
            struct {
              __IO uint8_t WDG_CTLLL;
              __IO uint8_t WDG_CTLLH;
            };
          };
          union {
            __IO uint16_t WDG_CTLH;
            struct {
              __IO uint8_t WDG_CTLHL;
              __IO uint8_t WDG_CTLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_ICL;
        struct {
          union {
            __IO uint16_t WDG_ICLL;
            struct {
              __IO uint8_t WDG_ICLLL;
              __IO uint8_t WDG_ICLLH;
            };
          };
          union {
            __IO uint16_t WDG_ICLH;
            struct {
              __IO uint8_t WDG_ICLHL;
              __IO uint8_t WDG_ICLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDG_RIS;
        stc_hwwdt_wdg_ris_field_t WDG_RIS_f;
        struct {
          union {
            __IO uint16_t WDG_RISL;
            struct {
              __IO uint8_t WDG_RISLL;
              __IO uint8_t WDG_RISLH;
            };
          };
          union {
            __IO uint16_t WDG_RISH;
            struct {
              __IO uint8_t WDG_RISHL;
              __IO uint8_t WDG_RISHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[3052];
    union {
        __IO uint32_t WDG_LCK;
        struct {
          union {
            __IO uint16_t WDG_LCKL;
            struct {
              __IO uint8_t WDG_LCKLL;
              __IO uint8_t WDG_LCKLH;
            };
          };
          union {
            __IO uint16_t WDG_LCKH;
            struct {
              __IO uint8_t WDG_LCKHL;
              __IO uint8_t WDG_LCKHH;
            };
          };
        };
    };
} FM_HWWDT_TypeDef, FM3_HWWDT_TypeDef;

/******************************************************************************
 ** INTREQ_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t DRQSEL;
        stc_intreq_drqsel_field_t DRQSEL_f;
        struct {
          union {
            __IO uint16_t DRQSELL;
            struct {
              __IO uint8_t DRQSELLL;
              __IO uint8_t DRQSELLH;
            };
          };
          union {
            __IO uint16_t DRQSELH;
            struct {
              __IO uint8_t DRQSELHL;
              __IO uint8_t DRQSELHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[7];
    union {
        __IO  uint8_t ODDPKS;
        stc_intreq_oddpks_field_t ODDPKS_f;
    };
    union {
        __IO uint32_t IRQCMODE;
        stc_intreq_irqcmode_field_t IRQCMODE_f;
        struct {
          union {
            __IO uint16_t IRQCMODEL;
            struct {
              __IO uint8_t IRQCMODELL;
              __IO uint8_t IRQCMODELH;
            };
          };
          union {
            __IO uint16_t IRQCMODEH;
            struct {
              __IO uint8_t IRQCMODEHL;
              __IO uint8_t IRQCMODEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t EXC02MON;
        stc_intreq_exc02mon_field_t EXC02MON_f;
        struct {
          union {
            __IO uint16_t EXC02MONL;
            struct {
              __IO uint8_t EXC02MONLL;
              __IO uint8_t EXC02MONLH;
            };
          };
          union {
            __IO uint16_t EXC02MONH;
            struct {
              __IO uint8_t EXC02MONHL;
              __IO uint8_t EXC02MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ00MON;
        stc_intreq_irq00mon_field_t IRQ00MON_f;
        struct {
          union {
            __IO uint16_t IRQ00MONL;
            struct {
              __IO uint8_t IRQ00MONLL;
              __IO uint8_t IRQ00MONLH;
            };
          };
          union {
            __IO uint16_t IRQ00MONH;
            struct {
              __IO uint8_t IRQ00MONHL;
              __IO uint8_t IRQ00MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ01MON;
        stc_intreq_irq01mon_field_t IRQ01MON_f;
        struct {
          union {
            __IO uint16_t IRQ01MONL;
            struct {
              __IO uint8_t IRQ01MONLL;
              __IO uint8_t IRQ01MONLH;
            };
          };
          union {
            __IO uint16_t IRQ01MONH;
            struct {
              __IO uint8_t IRQ01MONHL;
              __IO uint8_t IRQ01MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ02MON;
        stc_intreq_irq02mon_field_t IRQ02MON_f;
        struct {
          union {
            __IO uint16_t IRQ02MONL;
            struct {
              __IO uint8_t IRQ02MONLL;
              __IO uint8_t IRQ02MONLH;
            };
          };
          union {
            __IO uint16_t IRQ02MONH;
            struct {
              __IO uint8_t IRQ02MONHL;
              __IO uint8_t IRQ02MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ03MON;
        stc_intreq_irq03mon_field_t IRQ03MON_f;
        struct {
          union {
            __IO uint16_t IRQ03MONL;
            struct {
              __IO uint8_t IRQ03MONLL;
              __IO uint8_t IRQ03MONLH;
            };
          };
          union {
            __IO uint16_t IRQ03MONH;
            struct {
              __IO uint8_t IRQ03MONHL;
              __IO uint8_t IRQ03MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ04MON;
        stc_intreq_irq04mon_field_t IRQ04MON_f;
        struct {
          union {
            __IO uint16_t IRQ04MONL;
            struct {
              __IO uint8_t IRQ04MONLL;
              __IO uint8_t IRQ04MONLH;
            };
          };
          union {
            __IO uint16_t IRQ04MONH;
            struct {
              __IO uint8_t IRQ04MONHL;
              __IO uint8_t IRQ04MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ05MON;
        stc_intreq_irq05mon_field_t IRQ05MON_f;
        struct {
          union {
            __IO uint16_t IRQ05MONL;
            struct {
              __IO uint8_t IRQ05MONLL;
              __IO uint8_t IRQ05MONLH;
            };
          };
          union {
            __IO uint16_t IRQ05MONH;
            struct {
              __IO uint8_t IRQ05MONHL;
              __IO uint8_t IRQ05MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ06MON;
        stc_intreq_irq06mon_field_t IRQ06MON_f;
        struct {
          union {
            __IO uint16_t IRQ06MONL;
            struct {
              __IO uint8_t IRQ06MONLL;
              __IO uint8_t IRQ06MONLH;
            };
          };
          union {
            __IO uint16_t IRQ06MONH;
            struct {
              __IO uint8_t IRQ06MONHL;
              __IO uint8_t IRQ06MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ07MON;
        stc_intreq_irq07mon_field_t IRQ07MON_f;
        struct {
          union {
            __IO uint16_t IRQ07MONL;
            struct {
              __IO uint8_t IRQ07MONLL;
              __IO uint8_t IRQ07MONLH;
            };
          };
          union {
            __IO uint16_t IRQ07MONH;
            struct {
              __IO uint8_t IRQ07MONHL;
              __IO uint8_t IRQ07MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ08MON;
        stc_intreq_irq08mon_field_t IRQ08MON_f;
        struct {
          union {
            __IO uint16_t IRQ08MONL;
            struct {
              __IO uint8_t IRQ08MONLL;
              __IO uint8_t IRQ08MONLH;
            };
          };
          union {
            __IO uint16_t IRQ08MONH;
            struct {
              __IO uint8_t IRQ08MONHL;
              __IO uint8_t IRQ08MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ09MON;
        stc_intreq_irq09mon_field_t IRQ09MON_f;
        struct {
          union {
            __IO uint16_t IRQ09MONL;
            struct {
              __IO uint8_t IRQ09MONLL;
              __IO uint8_t IRQ09MONLH;
            };
          };
          union {
            __IO uint16_t IRQ09MONH;
            struct {
              __IO uint8_t IRQ09MONHL;
              __IO uint8_t IRQ09MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ10MON;
        stc_intreq_irq10mon_field_t IRQ10MON_f;
        struct {
          union {
            __IO uint16_t IRQ10MONL;
            struct {
              __IO uint8_t IRQ10MONLL;
              __IO uint8_t IRQ10MONLH;
            };
          };
          union {
            __IO uint16_t IRQ10MONH;
            struct {
              __IO uint8_t IRQ10MONHL;
              __IO uint8_t IRQ10MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ11MON;
        stc_intreq_irq11mon_field_t IRQ11MON_f;
        struct {
          union {
            __IO uint16_t IRQ11MONL;
            struct {
              __IO uint8_t IRQ11MONLL;
              __IO uint8_t IRQ11MONLH;
            };
          };
          union {
            __IO uint16_t IRQ11MONH;
            struct {
              __IO uint8_t IRQ11MONHL;
              __IO uint8_t IRQ11MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ12MON;
        stc_intreq_irq12mon_field_t IRQ12MON_f;
        struct {
          union {
            __IO uint16_t IRQ12MONL;
            struct {
              __IO uint8_t IRQ12MONLL;
              __IO uint8_t IRQ12MONLH;
            };
          };
          union {
            __IO uint16_t IRQ12MONH;
            struct {
              __IO uint8_t IRQ12MONHL;
              __IO uint8_t IRQ12MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ13MON;
        stc_intreq_irq13mon_field_t IRQ13MON_f;
        struct {
          union {
            __IO uint16_t IRQ13MONL;
            struct {
              __IO uint8_t IRQ13MONLL;
              __IO uint8_t IRQ13MONLH;
            };
          };
          union {
            __IO uint16_t IRQ13MONH;
            struct {
              __IO uint8_t IRQ13MONHL;
              __IO uint8_t IRQ13MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ14MON;
        stc_intreq_irq14mon_field_t IRQ14MON_f;
        struct {
          union {
            __IO uint16_t IRQ14MONL;
            struct {
              __IO uint8_t IRQ14MONLL;
              __IO uint8_t IRQ14MONLH;
            };
          };
          union {
            __IO uint16_t IRQ14MONH;
            struct {
              __IO uint8_t IRQ14MONHL;
              __IO uint8_t IRQ14MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ15MON;
        stc_intreq_irq15mon_field_t IRQ15MON_f;
        struct {
          union {
            __IO uint16_t IRQ15MONL;
            struct {
              __IO uint8_t IRQ15MONLL;
              __IO uint8_t IRQ15MONLH;
            };
          };
          union {
            __IO uint16_t IRQ15MONH;
            struct {
              __IO uint8_t IRQ15MONHL;
              __IO uint8_t IRQ15MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ16MON;
        stc_intreq_irq16mon_field_t IRQ16MON_f;
        struct {
          union {
            __IO uint16_t IRQ16MONL;
            struct {
              __IO uint8_t IRQ16MONLL;
              __IO uint8_t IRQ16MONLH;
            };
          };
          union {
            __IO uint16_t IRQ16MONH;
            struct {
              __IO uint8_t IRQ16MONHL;
              __IO uint8_t IRQ16MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ17MON;
        stc_intreq_irq17mon_field_t IRQ17MON_f;
        struct {
          union {
            __IO uint16_t IRQ17MONL;
            struct {
              __IO uint8_t IRQ17MONLL;
              __IO uint8_t IRQ17MONLH;
            };
          };
          union {
            __IO uint16_t IRQ17MONH;
            struct {
              __IO uint8_t IRQ17MONHL;
              __IO uint8_t IRQ17MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ18MON;
        stc_intreq_irq18mon_field_t IRQ18MON_f;
        struct {
          union {
            __IO uint16_t IRQ18MONL;
            struct {
              __IO uint8_t IRQ18MONLL;
              __IO uint8_t IRQ18MONLH;
            };
          };
          union {
            __IO uint16_t IRQ18MONH;
            struct {
              __IO uint8_t IRQ18MONHL;
              __IO uint8_t IRQ18MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ19MON;
        stc_intreq_irq19mon_field_t IRQ19MON_f;
        struct {
          union {
            __IO uint16_t IRQ19MONL;
            struct {
              __IO uint8_t IRQ19MONLL;
              __IO uint8_t IRQ19MONLH;
            };
          };
          union {
            __IO uint16_t IRQ19MONH;
            struct {
              __IO uint8_t IRQ19MONHL;
              __IO uint8_t IRQ19MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ20MON;
        stc_intreq_irq20mon_field_t IRQ20MON_f;
        struct {
          union {
            __IO uint16_t IRQ20MONL;
            struct {
              __IO uint8_t IRQ20MONLL;
              __IO uint8_t IRQ20MONLH;
            };
          };
          union {
            __IO uint16_t IRQ20MONH;
            struct {
              __IO uint8_t IRQ20MONHL;
              __IO uint8_t IRQ20MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ21MON;
        stc_intreq_irq21mon_field_t IRQ21MON_f;
        struct {
          union {
            __IO uint16_t IRQ21MONL;
            struct {
              __IO uint8_t IRQ21MONLL;
              __IO uint8_t IRQ21MONLH;
            };
          };
          union {
            __IO uint16_t IRQ21MONH;
            struct {
              __IO uint8_t IRQ21MONHL;
              __IO uint8_t IRQ21MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ22MON;
        stc_intreq_irq22mon_field_t IRQ22MON_f;
        struct {
          union {
            __IO uint16_t IRQ22MONL;
            struct {
              __IO uint8_t IRQ22MONLL;
              __IO uint8_t IRQ22MONLH;
            };
          };
          union {
            __IO uint16_t IRQ22MONH;
            struct {
              __IO uint8_t IRQ22MONHL;
              __IO uint8_t IRQ22MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ23MON;
        stc_intreq_irq23mon_field_t IRQ23MON_f;
        struct {
          union {
            __IO uint16_t IRQ23MONL;
            struct {
              __IO uint8_t IRQ23MONLL;
              __IO uint8_t IRQ23MONLH;
            };
          };
          union {
            __IO uint16_t IRQ23MONH;
            struct {
              __IO uint8_t IRQ23MONHL;
              __IO uint8_t IRQ23MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ24MON;
        stc_intreq_irq24mon_field_t IRQ24MON_f;
        struct {
          union {
            __IO uint16_t IRQ24MONL;
            struct {
              __IO uint8_t IRQ24MONLL;
              __IO uint8_t IRQ24MONLH;
            };
          };
          union {
            __IO uint16_t IRQ24MONH;
            struct {
              __IO uint8_t IRQ24MONHL;
              __IO uint8_t IRQ24MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ25MON;
        stc_intreq_irq25mon_field_t IRQ25MON_f;
        struct {
          union {
            __IO uint16_t IRQ25MONL;
            struct {
              __IO uint8_t IRQ25MONLL;
              __IO uint8_t IRQ25MONLH;
            };
          };
          union {
            __IO uint16_t IRQ25MONH;
            struct {
              __IO uint8_t IRQ25MONHL;
              __IO uint8_t IRQ25MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ26MON;
        stc_intreq_irq26mon_field_t IRQ26MON_f;
        struct {
          union {
            __IO uint16_t IRQ26MONL;
            struct {
              __IO uint8_t IRQ26MONLL;
              __IO uint8_t IRQ26MONLH;
            };
          };
          union {
            __IO uint16_t IRQ26MONH;
            struct {
              __IO uint8_t IRQ26MONHL;
              __IO uint8_t IRQ26MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ27MON;
        stc_intreq_irq27mon_field_t IRQ27MON_f;
        struct {
          union {
            __IO uint16_t IRQ27MONL;
            struct {
              __IO uint8_t IRQ27MONLL;
              __IO uint8_t IRQ27MONLH;
            };
          };
          union {
            __IO uint16_t IRQ27MONH;
            struct {
              __IO uint8_t IRQ27MONHL;
              __IO uint8_t IRQ27MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ28MON;
        stc_intreq_irq28mon_field_t IRQ28MON_f;
        struct {
          union {
            __IO uint16_t IRQ28MONL;
            struct {
              __IO uint8_t IRQ28MONLL;
              __IO uint8_t IRQ28MONLH;
            };
          };
          union {
            __IO uint16_t IRQ28MONH;
            struct {
              __IO uint8_t IRQ28MONHL;
              __IO uint8_t IRQ28MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ29MON;
        stc_intreq_irq29mon_field_t IRQ29MON_f;
        struct {
          union {
            __IO uint16_t IRQ29MONL;
            struct {
              __IO uint8_t IRQ29MONLL;
              __IO uint8_t IRQ29MONLH;
            };
          };
          union {
            __IO uint16_t IRQ29MONH;
            struct {
              __IO uint8_t IRQ29MONHL;
              __IO uint8_t IRQ29MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ30MON;
        stc_intreq_irq30mon_field_t IRQ30MON_f;
        struct {
          union {
            __IO uint16_t IRQ30MONL;
            struct {
              __IO uint8_t IRQ30MONLL;
              __IO uint8_t IRQ30MONLH;
            };
          };
          union {
            __IO uint16_t IRQ30MONH;
            struct {
              __IO uint8_t IRQ30MONHL;
              __IO uint8_t IRQ30MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ31MON;
        stc_intreq_irq31mon_field_t IRQ31MON_f;
        struct {
          union {
            __IO uint16_t IRQ31MONL;
            struct {
              __IO uint8_t IRQ31MONLL;
              __IO uint8_t IRQ31MONLH;
            };
          };
          union {
            __IO uint16_t IRQ31MONH;
            struct {
              __IO uint8_t IRQ31MONHL;
              __IO uint8_t IRQ31MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ32MON;
        stc_intreq_irq32mon_field_t IRQ32MON_f;
        struct {
          union {
            __IO uint16_t IRQ32MONL;
            struct {
              __IO uint8_t IRQ32MONLL;
              __IO uint8_t IRQ32MONLH;
            };
          };
          union {
            __IO uint16_t IRQ32MONH;
            struct {
              __IO uint8_t IRQ32MONHL;
              __IO uint8_t IRQ32MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ33MON;
        stc_intreq_irq33mon_field_t IRQ33MON_f;
        struct {
          union {
            __IO uint16_t IRQ33MONL;
            struct {
              __IO uint8_t IRQ33MONLL;
              __IO uint8_t IRQ33MONLH;
            };
          };
          union {
            __IO uint16_t IRQ33MONH;
            struct {
              __IO uint8_t IRQ33MONHL;
              __IO uint8_t IRQ33MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ34MON;
        stc_intreq_irq34mon_field_t IRQ34MON_f;
        struct {
          union {
            __IO uint16_t IRQ34MONL;
            struct {
              __IO uint8_t IRQ34MONLL;
              __IO uint8_t IRQ34MONLH;
            };
          };
          union {
            __IO uint16_t IRQ34MONH;
            struct {
              __IO uint8_t IRQ34MONHL;
              __IO uint8_t IRQ34MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ35MON;
        stc_intreq_irq35mon_field_t IRQ35MON_f;
        struct {
          union {
            __IO uint16_t IRQ35MONL;
            struct {
              __IO uint8_t IRQ35MONLL;
              __IO uint8_t IRQ35MONLH;
            };
          };
          union {
            __IO uint16_t IRQ35MONH;
            struct {
              __IO uint8_t IRQ35MONHL;
              __IO uint8_t IRQ35MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ36MON;
        stc_intreq_irq36mon_field_t IRQ36MON_f;
        struct {
          union {
            __IO uint16_t IRQ36MONL;
            struct {
              __IO uint8_t IRQ36MONLL;
              __IO uint8_t IRQ36MONLH;
            };
          };
          union {
            __IO uint16_t IRQ36MONH;
            struct {
              __IO uint8_t IRQ36MONHL;
              __IO uint8_t IRQ36MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ37MON;
        stc_intreq_irq37mon_field_t IRQ37MON_f;
        struct {
          union {
            __IO uint16_t IRQ37MONL;
            struct {
              __IO uint8_t IRQ37MONLL;
              __IO uint8_t IRQ37MONLH;
            };
          };
          union {
            __IO uint16_t IRQ37MONH;
            struct {
              __IO uint8_t IRQ37MONHL;
              __IO uint8_t IRQ37MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ38MON;
        stc_intreq_irq38mon_field_t IRQ38MON_f;
        struct {
          union {
            __IO uint16_t IRQ38MONL;
            struct {
              __IO uint8_t IRQ38MONLL;
              __IO uint8_t IRQ38MONLH;
            };
          };
          union {
            __IO uint16_t IRQ38MONH;
            struct {
              __IO uint8_t IRQ38MONHL;
              __IO uint8_t IRQ38MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ39MON;
        stc_intreq_irq39mon_field_t IRQ39MON_f;
        struct {
          union {
            __IO uint16_t IRQ39MONL;
            struct {
              __IO uint8_t IRQ39MONLL;
              __IO uint8_t IRQ39MONLH;
            };
          };
          union {
            __IO uint16_t IRQ39MONH;
            struct {
              __IO uint8_t IRQ39MONHL;
              __IO uint8_t IRQ39MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ40MON;
        stc_intreq_irq40mon_field_t IRQ40MON_f;
        struct {
          union {
            __IO uint16_t IRQ40MONL;
            struct {
              __IO uint8_t IRQ40MONLL;
              __IO uint8_t IRQ40MONLH;
            };
          };
          union {
            __IO uint16_t IRQ40MONH;
            struct {
              __IO uint8_t IRQ40MONHL;
              __IO uint8_t IRQ40MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ41MON;
        stc_intreq_irq41mon_field_t IRQ41MON_f;
        struct {
          union {
            __IO uint16_t IRQ41MONL;
            struct {
              __IO uint8_t IRQ41MONLL;
              __IO uint8_t IRQ41MONLH;
            };
          };
          union {
            __IO uint16_t IRQ41MONH;
            struct {
              __IO uint8_t IRQ41MONHL;
              __IO uint8_t IRQ41MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ42MON;
        stc_intreq_irq42mon_field_t IRQ42MON_f;
        struct {
          union {
            __IO uint16_t IRQ42MONL;
            struct {
              __IO uint8_t IRQ42MONLL;
              __IO uint8_t IRQ42MONLH;
            };
          };
          union {
            __IO uint16_t IRQ42MONH;
            struct {
              __IO uint8_t IRQ42MONHL;
              __IO uint8_t IRQ42MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ43MON;
        stc_intreq_irq43mon_field_t IRQ43MON_f;
        struct {
          union {
            __IO uint16_t IRQ43MONL;
            struct {
              __IO uint8_t IRQ43MONLL;
              __IO uint8_t IRQ43MONLH;
            };
          };
          union {
            __IO uint16_t IRQ43MONH;
            struct {
              __IO uint8_t IRQ43MONHL;
              __IO uint8_t IRQ43MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ44MON;
        stc_intreq_irq44mon_field_t IRQ44MON_f;
        struct {
          union {
            __IO uint16_t IRQ44MONL;
            struct {
              __IO uint8_t IRQ44MONLL;
              __IO uint8_t IRQ44MONLH;
            };
          };
          union {
            __IO uint16_t IRQ44MONH;
            struct {
              __IO uint8_t IRQ44MONHL;
              __IO uint8_t IRQ44MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ45MON;
        stc_intreq_irq45mon_field_t IRQ45MON_f;
        struct {
          union {
            __IO uint16_t IRQ45MONL;
            struct {
              __IO uint8_t IRQ45MONLL;
              __IO uint8_t IRQ45MONLH;
            };
          };
          union {
            __IO uint16_t IRQ45MONH;
            struct {
              __IO uint8_t IRQ45MONHL;
              __IO uint8_t IRQ45MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ46MON;
        stc_intreq_irq46mon_field_t IRQ46MON_f;
        struct {
          union {
            __IO uint16_t IRQ46MONL;
            struct {
              __IO uint8_t IRQ46MONLL;
              __IO uint8_t IRQ46MONLH;
            };
          };
          union {
            __IO uint16_t IRQ46MONH;
            struct {
              __IO uint8_t IRQ46MONHL;
              __IO uint8_t IRQ46MONHH;
            };
          };
        };
    };
    union {
        __IO uint32_t IRQ47MON;
        stc_intreq_irq47mon_field_t IRQ47MON_f;
        struct {
          union {
            __IO uint16_t IRQ47MONL;
            struct {
              __IO uint8_t IRQ47MONLL;
              __IO uint8_t IRQ47MONLH;
            };
          };
          union {
            __IO uint16_t IRQ47MONH;
            struct {
              __IO uint8_t IRQ47MONHL;
              __IO uint8_t IRQ47MONHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED1[300];
    union {
        __IO uint32_t DRQSEL1;
        stc_intreq_drqsel1_field_t DRQSEL1_f;
        struct {
          union {
            __IO uint16_t DRQSEL1L;
            struct {
              __IO uint8_t DRQSEL1LL;
              __IO uint8_t DRQSEL1LH;
            };
          };
          union {
            __IO uint16_t DRQSEL1H;
            struct {
              __IO uint8_t DRQSEL1HL;
              __IO uint8_t DRQSEL1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t DQESEL;
        stc_intreq_dqesel_field_t DQESEL_f;
        struct {
          union {
            __IO uint16_t DQESELL;
            struct {
              __IO uint8_t DQESELLL;
              __IO uint8_t DQESELLH;
            };
          };
          union {
            __IO uint16_t DQESELH;
            struct {
              __IO uint8_t DQESELHL;
              __IO uint8_t DQESELHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED2[7];
    union {
        __IO  uint8_t ODDPKS1;
        stc_intreq_oddpks1_field_t ODDPKS1_f;
    };
    union {
        __IO uint32_t RCINTSEL0;
        stc_intreq_rcintsel0_field_t RCINTSEL0_f;
        struct {
          union {
            __IO uint16_t RCINTSEL0L;
            struct {
              __IO uint8_t RCINTSEL0LL;
              __IO uint8_t RCINTSEL0LH;
            };
          };
          union {
            __IO uint16_t RCINTSEL0H;
            struct {
              __IO uint8_t RCINTSEL0HL;
              __IO uint8_t RCINTSEL0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t RCINTSEL1;
        stc_intreq_rcintsel1_field_t RCINTSEL1_f;
        struct {
          union {
            __IO uint16_t RCINTSEL1L;
            struct {
              __IO uint8_t RCINTSEL1LL;
              __IO uint8_t RCINTSEL1LH;
            };
          };
          union {
            __IO uint16_t RCINTSEL1H;
            struct {
              __IO uint8_t RCINTSEL1HL;
              __IO uint8_t RCINTSEL1HH;
            };
          };
        };
    };
} FM_INTREQ_TypeDef, FM3_INTREQ_TypeDef;

/******************************************************************************
 ** LCDC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t LCDCC1;
        stc_lcdc_lcdcc1_field_t LCDCC1_f;
    };
    union {
        __IO  uint8_t LCDCC2;
        stc_lcdc_lcdcc2_field_t LCDCC2_f;
    };
    union {
        __IO  uint8_t LCDCC3;
        stc_lcdc_lcdcc3_field_t LCDCC3_f;
    };
        __IO  uint8_t RESERVED0[1];
    union {
        __IO uint32_t LCDC_PSR;
        stc_lcdc_lcdc_psr_field_t LCDC_PSR_f;
        struct {
          union {
            __IO uint16_t LCDC_PSRL;
            struct {
              __IO uint8_t LCDC_PSRLL;
              __IO uint8_t LCDC_PSRLH;
            };
          };
          union {
            __IO uint16_t LCDC_PSRH;
            struct {
              __IO uint8_t LCDC_PSRHL;
              __IO uint8_t LCDC_PSRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t LCDC_COMEN;
        stc_lcdc_lcdc_comen_field_t LCDC_COMEN_f;
    };
        __IO  uint8_t RESERVED1[3];
    union {
        __IO uint32_t LCDC_SEGEN1;
        stc_lcdc_lcdc_segen1_field_t LCDC_SEGEN1_f;
        struct {
          union {
            __IO uint16_t LCDC_SEGEN1L;
            struct {
              __IO uint8_t LCDC_SEGEN1LL;
              __IO uint8_t LCDC_SEGEN1LH;
            };
          };
          union {
            __IO uint16_t LCDC_SEGEN1H;
            struct {
              __IO uint8_t LCDC_SEGEN1HL;
              __IO uint8_t LCDC_SEGEN1HH;
            };
          };
        };
    };
    union {
        __IO  uint8_t LCDC_SEGEN2;
        stc_lcdc_lcdc_segen2_field_t LCDC_SEGEN2_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO uint16_t LCDC_BLINK;
        stc_lcdc_lcdc_blink_field_t LCDC_BLINK_f;
        struct {
            __IO  uint8_t LCDC_BLINKL;
            __IO  uint8_t LCDC_BLINKH;
        };
    };
        __IO  uint8_t RESERVED3[6];
    union {
        __IO  uint8_t LCDRAM00;
        stc_lcdc_lcdram00_field_t LCDRAM00_f;
    };
    union {
        __IO  uint8_t LCDRAM01;
        stc_lcdc_lcdram01_field_t LCDRAM01_f;
    };
    union {
        __IO  uint8_t LCDRAM02;
        stc_lcdc_lcdram02_field_t LCDRAM02_f;
    };
    union {
        __IO  uint8_t LCDRAM03;
        stc_lcdc_lcdram03_field_t LCDRAM03_f;
    };
    union {
        __IO  uint8_t LCDRAM04;
        stc_lcdc_lcdram04_field_t LCDRAM04_f;
    };
    union {
        __IO  uint8_t LCDRAM05;
        stc_lcdc_lcdram05_field_t LCDRAM05_f;
    };
    union {
        __IO  uint8_t LCDRAM06;
        stc_lcdc_lcdram06_field_t LCDRAM06_f;
    };
    union {
        __IO  uint8_t LCDRAM07;
        stc_lcdc_lcdram07_field_t LCDRAM07_f;
    };
    union {
        __IO  uint8_t LCDRAM08;
        stc_lcdc_lcdram08_field_t LCDRAM08_f;
    };
    union {
        __IO  uint8_t LCDRAM09;
        stc_lcdc_lcdram09_field_t LCDRAM09_f;
    };
    union {
        __IO  uint8_t LCDRAM10;
        stc_lcdc_lcdram10_field_t LCDRAM10_f;
    };
    union {
        __IO  uint8_t LCDRAM11;
        stc_lcdc_lcdram11_field_t LCDRAM11_f;
    };
    union {
        __IO  uint8_t LCDRAM12;
        stc_lcdc_lcdram12_field_t LCDRAM12_f;
    };
    union {
        __IO  uint8_t LCDRAM13;
        stc_lcdc_lcdram13_field_t LCDRAM13_f;
    };
    union {
        __IO  uint8_t LCDRAM14;
        stc_lcdc_lcdram14_field_t LCDRAM14_f;
    };
    union {
        __IO  uint8_t LCDRAM15;
        stc_lcdc_lcdram15_field_t LCDRAM15_f;
    };
    union {
        __IO  uint8_t LCDRAM16;
        stc_lcdc_lcdram16_field_t LCDRAM16_f;
    };
    union {
        __IO  uint8_t LCDRAM17;
        stc_lcdc_lcdram17_field_t LCDRAM17_f;
    };
    union {
        __IO  uint8_t LCDRAM18;
        stc_lcdc_lcdram18_field_t LCDRAM18_f;
    };
    union {
        __IO  uint8_t LCDRAM19;
        stc_lcdc_lcdram19_field_t LCDRAM19_f;
    };
    union {
        __IO  uint8_t LCDRAM20;
        stc_lcdc_lcdram20_field_t LCDRAM20_f;
    };
    union {
        __IO  uint8_t LCDRAM21;
        stc_lcdc_lcdram21_field_t LCDRAM21_f;
    };
    union {
        __IO  uint8_t LCDRAM22;
        stc_lcdc_lcdram22_field_t LCDRAM22_f;
    };
    union {
        __IO  uint8_t LCDRAM23;
        stc_lcdc_lcdram23_field_t LCDRAM23_f;
    };
    union {
        __IO  uint8_t LCDRAM24;
        stc_lcdc_lcdram24_field_t LCDRAM24_f;
    };
    union {
        __IO  uint8_t LCDRAM25;
        stc_lcdc_lcdram25_field_t LCDRAM25_f;
    };
    union {
        __IO  uint8_t LCDRAM26;
        stc_lcdc_lcdram26_field_t LCDRAM26_f;
    };
    union {
        __IO  uint8_t LCDRAM27;
        stc_lcdc_lcdram27_field_t LCDRAM27_f;
    };
    union {
        __IO  uint8_t LCDRAM28;
        stc_lcdc_lcdram28_field_t LCDRAM28_f;
    };
    union {
        __IO  uint8_t LCDRAM29;
        stc_lcdc_lcdram29_field_t LCDRAM29_f;
    };
    union {
        __IO  uint8_t LCDRAM30;
        stc_lcdc_lcdram30_field_t LCDRAM30_f;
    };
    union {
        __IO  uint8_t LCDRAM31;
        stc_lcdc_lcdram31_field_t LCDRAM31_f;
    };
    union {
        __IO  uint8_t LCDRAM32;
        stc_lcdc_lcdram32_field_t LCDRAM32_f;
    };
    union {
        __IO  uint8_t LCDRAM33;
        stc_lcdc_lcdram33_field_t LCDRAM33_f;
    };
    union {
        __IO  uint8_t LCDRAM34;
        stc_lcdc_lcdram34_field_t LCDRAM34_f;
    };
    union {
        __IO  uint8_t LCDRAM35;
        stc_lcdc_lcdram35_field_t LCDRAM35_f;
    };
    union {
        __IO  uint8_t LCDRAM36;
        stc_lcdc_lcdram36_field_t LCDRAM36_f;
    };
    union {
        __IO  uint8_t LCDRAM37;
        stc_lcdc_lcdram37_field_t LCDRAM37_f;
    };
    union {
        __IO  uint8_t LCDRAM38;
        stc_lcdc_lcdram38_field_t LCDRAM38_f;
    };
    union {
        __IO  uint8_t LCDRAM39;
        stc_lcdc_lcdram39_field_t LCDRAM39_f;
    };
} FM_LCDC_TypeDef, FM3_LCDC_TypeDef;

/******************************************************************************
 ** LVD_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t LVD_CTL;
        stc_lvd_lvd_ctl_field_t LVD_CTL_f;
        struct {
            __IO  uint8_t LVD_CTLL;
            __IO  uint8_t LVD_CTLH;
        };
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t LVD_STR;
        stc_lvd_lvd_str_field_t LVD_STR_f;
    };
        __IO  uint8_t RESERVED1[3];
    union {
        __IO  uint8_t LVD_CLR;
        stc_lvd_lvd_clr_field_t LVD_CLR_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO uint32_t LVD_RLR;
        stc_lvd_lvd_rlr_field_t LVD_RLR_f;
        struct {
          union {
            __IO uint16_t LVD_RLRL;
            struct {
              __IO uint8_t LVD_RLRLL;
              __IO uint8_t LVD_RLRLH;
            };
          };
          union {
            __IO uint16_t LVD_RLRH;
            struct {
              __IO uint8_t LVD_RLRHL;
              __IO uint8_t LVD_RLRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t LVD_STR2;
        stc_lvd_lvd_str2_field_t LVD_STR2_f;
    };
} FM_LVD_TypeDef, FM3_LVD_TypeDef;

/******************************************************************************
 ** MFS_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_smr_field_t SMR_f;
        __IO  uint8_t CSIO_SMR;
        stc_mfs_csio_smr_field_t CSIO_SMR_f;
        __IO  uint8_t I2C_SMR;
        stc_mfs_i2c_smr_field_t I2C_SMR_f;
        __IO  uint8_t UART_SMR;
        stc_mfs_uart_smr_field_t UART_SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_scr_field_t SCR_f;
        __IO  uint8_t CSIO_SCR;
        stc_mfs_csio_scr_field_t CSIO_SCR_f;
        __IO  uint8_t IBCR;
        stc_mfs_ibcr_field_t IBCR_f;
        __IO  uint8_t I2C_IBCR;
        stc_mfs_i2c_ibcr_field_t I2C_IBCR_f;
        __IO  uint8_t UART_SCR;
        stc_mfs_uart_scr_field_t UART_SCR_f;
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_escr_field_t ESCR_f;
        __IO  uint8_t CSIO_ESCR;
        stc_mfs_csio_escr_field_t CSIO_ESCR_f;
        __IO  uint8_t IBSR;
        stc_mfs_ibsr_field_t IBSR_f;
        __IO  uint8_t I2C_IBSR;
        stc_mfs_i2c_ibsr_field_t I2C_IBSR_f;
        __IO  uint8_t UART_ESCR;
        stc_mfs_uart_escr_field_t UART_ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_ssr_field_t SSR_f;
        __IO  uint8_t CSIO_SSR;
        stc_mfs_csio_ssr_field_t CSIO_SSR_f;
        __IO  uint8_t I2C_SSR;
        stc_mfs_i2c_ssr_field_t I2C_SSR_f;
        __IO  uint8_t UART_SSR;
        stc_mfs_uart_ssr_field_t UART_SSR_f;
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t CSIO_RDR;
        stc_mfs_csio_rdr_field_t CSIO_RDR_f;
        struct {
            __IO  uint8_t CSIO_RDRL;
            __IO  uint8_t CSIO_RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
        __IO uint16_t CSIO_TDR;
        stc_mfs_csio_tdr_field_t CSIO_TDR_f;
        struct {
            __IO  uint8_t CSIO_TDRL;
            __IO  uint8_t CSIO_TDRH;
        };
        __IO uint16_t I2C_RDR;
        stc_mfs_i2c_rdr_field_t I2C_RDR_f;
        struct {
            __IO  uint8_t I2C_RDRL;
            __IO  uint8_t I2C_RDRH;
        };
        __IO uint16_t I2C_TDR;
        stc_mfs_i2c_tdr_field_t I2C_TDR_f;
        struct {
            __IO  uint8_t I2C_TDRL;
            __IO  uint8_t I2C_TDRH;
        };
        __IO uint16_t UART_RDR;
        stc_mfs_uart_rdr_field_t UART_RDR_f;
        struct {
            __IO  uint8_t UART_RDRL;
            __IO  uint8_t UART_RDRH;
        };
        __IO uint16_t UART_TDR;
        stc_mfs_uart_tdr_field_t UART_TDR_f;
        struct {
            __IO  uint8_t UART_TDRL;
            __IO  uint8_t UART_TDRH;
        };
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
        __IO uint16_t CSIO_BGR;
        stc_mfs_csio_bgr_field_t CSIO_BGR_f;
        struct {
            __IO  uint8_t CSIO_BGRL;
            __IO  uint8_t CSIO_BGRH;
        };
        __IO uint16_t I2C_BGR;
        stc_mfs_i2c_bgr_field_t I2C_BGR_f;
        struct {
            __IO  uint8_t I2C_BGRL;
            __IO  uint8_t I2C_BGRH;
        };
        __IO uint16_t UART_BGR;
        stc_mfs_uart_bgr_field_t UART_BGR_f;
        struct {
            __IO  uint8_t UART_BGRL;
            __IO  uint8_t UART_BGRH;
        };
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO  uint8_t ISBA;
        stc_mfs_isba_field_t ISBA_f;
        __IO  uint8_t I2C_ISBA;
        stc_mfs_i2c_isba_field_t I2C_ISBA_f;
    };
    union {
        __IO  uint8_t ISMK;
        stc_mfs_ismk_field_t ISMK_f;
        __IO  uint8_t I2C_ISMK;
        stc_mfs_i2c_ismk_field_t I2C_ISMK_f;
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO uint16_t FCR;
        stc_mfs_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
        __IO uint16_t CSIO_FCR;
        stc_mfs_csio_fcr_field_t CSIO_FCR_f;
        struct {
            __IO  uint8_t CSIO_FCRL;
            __IO  uint8_t CSIO_FCRH;
        };
        __IO uint16_t I2C_FCR;
        stc_mfs_i2c_fcr_field_t I2C_FCR_f;
        struct {
            __IO  uint8_t I2C_FCRL;
            __IO  uint8_t I2C_FCRH;
        };
        __IO uint16_t UART_FCR;
        stc_mfs_uart_fcr_field_t UART_FCR_f;
        struct {
            __IO  uint8_t UART_FCRL;
            __IO  uint8_t UART_FCRH;
        };
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t FBYTE1;
        __IO  uint8_t CSIO_FBYTE1;
        __IO  uint8_t I2C_FBYTE1;
        __IO  uint8_t UART_FBYTE1;
    };
    union {
        __IO  uint8_t FBYTE2;
        __IO  uint8_t CSIO_FBYTE2;
        __IO  uint8_t I2C_FBYTE2;
        __IO  uint8_t UART_FBYTE2;
    };
        __IO  uint8_t RESERVED6[3];
    union {
        __IO  uint8_t EIBCR;
        stc_mfs_eibcr_field_t EIBCR_f;
        __IO  uint8_t I2C_EIBCR;
        stc_mfs_i2c_eibcr_field_t I2C_EIBCR_f;
    };
} FM_MFS_TypeDef, FM3_MFS_TypeDef;

/******************************************************************************
 ** MFS_CSIO_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_csio_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_csio_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_csio_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_csio_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED8[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_csio_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_csio_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_csio_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED10[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_csio_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED11[2];
        __IO  uint8_t FBYTE1;
        __IO  uint8_t FBYTE2;
} FM_MFS_CSIO_TypeDef, FM3_MFS_CSIO_TypeDef;

/******************************************************************************
 ** MFS_I2C_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_i2c_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t IBCR;
        stc_mfs_i2c_ibcr_field_t IBCR_f;
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO  uint8_t IBSR;
        stc_mfs_i2c_ibsr_field_t IBSR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_i2c_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_i2c_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_i2c_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_i2c_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED15[2];
    union {
        __IO  uint8_t ISBA;
        stc_mfs_i2c_isba_field_t ISBA_f;
    };
    union {
        __IO  uint8_t ISMK;
        stc_mfs_i2c_ismk_field_t ISMK_f;
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO uint16_t FCR;
        stc_mfs_i2c_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED17[2];
        __IO  uint8_t FBYTE1;
        __IO  uint8_t FBYTE2;
        __IO  uint8_t RESERVED18[3];
    union {
        __IO  uint8_t EIBCR;
        stc_mfs_i2c_eibcr_field_t EIBCR_f;
    };
} FM_MFS_I2C_TypeDef, FM3_MFS_I2C_TypeDef;

/******************************************************************************
 ** MFS_UART_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t SMR;
        stc_mfs_uart_smr_field_t SMR_f;
    };
    union {
        __IO  uint8_t SCR;
        stc_mfs_uart_scr_field_t SCR_f;
    };
        __IO  uint8_t RESERVED19[2];
    union {
        __IO  uint8_t ESCR;
        stc_mfs_uart_escr_field_t ESCR_f;
    };
    union {
        __IO  uint8_t SSR;
        stc_mfs_uart_ssr_field_t SSR_f;
    };
        __IO  uint8_t RESERVED20[2];
    union {
        __IO uint16_t RDR;
        stc_mfs_uart_rdr_field_t RDR_f;
        struct {
            __IO  uint8_t RDRL;
            __IO  uint8_t RDRH;
        };
        __IO uint16_t TDR;
        stc_mfs_uart_tdr_field_t TDR_f;
        struct {
            __IO  uint8_t TDRL;
            __IO  uint8_t TDRH;
        };
    };
        __IO  uint8_t RESERVED21[2];
    union {
        __IO uint16_t BGR;
        stc_mfs_uart_bgr_field_t BGR_f;
        struct {
            __IO  uint8_t BGRL;
            __IO  uint8_t BGRH;
        };
    };
        __IO  uint8_t RESERVED22[6];
    union {
        __IO uint16_t FCR;
        stc_mfs_uart_fcr_field_t FCR_f;
        struct {
            __IO  uint8_t FCRL;
            __IO  uint8_t FCRH;
        };
    };
        __IO  uint8_t RESERVED23[2];
        __IO  uint8_t FBYTE1;
        __IO  uint8_t FBYTE2;
} FM_MFS_UART_TypeDef, FM3_MFS_UART_TypeDef;

/******************************************************************************
 ** MFS_NFC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint16_t I2CDNF;
        stc_mfs_nfc_i2cdnf_field_t I2CDNF_f;
        struct {
            __IO  uint8_t I2CDNFL;
            __IO  uint8_t I2CDNFH;
        };
    };
} FM_MFS_NFC_TypeDef, FM3_MFS_NFC_TypeDef;

/******************************************************************************
 ** RTC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WTCR1;
        stc_rtc_wtcr1_field_t WTCR1_f;
        struct {
          union {
            __IO uint16_t WTCR1L;
            struct {
              __IO uint8_t WTCR1LL;
              __IO uint8_t WTCR1LH;
            };
          };
          union {
            __IO uint16_t WTCR1H;
            struct {
              __IO uint8_t WTCR1HL;
              __IO uint8_t WTCR1HH;
            };
          };
        };
    };
    union {
        __IO uint32_t WTCR2;
        stc_rtc_wtcr2_field_t WTCR2_f;
        struct {
          union {
            __IO uint16_t WTCR2L;
            struct {
              __IO uint8_t WTCR2LL;
              __IO uint8_t WTCR2LH;
            };
          };
          union {
            __IO uint16_t WTCR2H;
            struct {
              __IO uint8_t WTCR2HL;
              __IO uint8_t WTCR2HH;
            };
          };
        };
    };
    union {
        __IO uint32_t WTBR;
        stc_rtc_wtbr_field_t WTBR_f;
        struct {
          union {
            __IO uint16_t WTBRL;
            struct {
              __IO uint8_t WTBRLL;
              __IO uint8_t WTBRLH;
            };
          };
          union {
            __IO uint16_t WTBRH;
            struct {
              __IO uint8_t WTBRHL;
              __IO uint8_t WTBRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t WTSR;
        stc_rtc_wtsr_field_t WTSR_f;
    };
    union {
        __IO  uint8_t WTMIR;
        stc_rtc_wtmir_field_t WTMIR_f;
    };
    union {
        __IO  uint8_t WTHR;
        stc_rtc_wthr_field_t WTHR_f;
    };
    union {
        __IO  uint8_t WTDR;
        stc_rtc_wtdr_field_t WTDR_f;
    };
    union {
        __IO  uint8_t WTDW;
        stc_rtc_wtdw_field_t WTDW_f;
    };
    union {
        __IO  uint8_t WTMOR;
        stc_rtc_wtmor_field_t WTMOR_f;
    };
    union {
        __IO  uint8_t WTYR;
        stc_rtc_wtyr_field_t WTYR_f;
    };
        __IO  uint8_t RESERVED0[2];
    union {
        __IO  uint8_t ALMIR;
        stc_rtc_almir_field_t ALMIR_f;
    };
    union {
        __IO  uint8_t ALHR;
        stc_rtc_alhr_field_t ALHR_f;
    };
    union {
        __IO  uint8_t ALDR;
        stc_rtc_aldr_field_t ALDR_f;
    };
        __IO  uint8_t RESERVED1[1];
    union {
        __IO  uint8_t ALMOR;
        stc_rtc_almor_field_t ALMOR_f;
    };
    union {
        __IO  uint8_t ALYR;
        stc_rtc_alyr_field_t ALYR_f;
    };
        __IO  uint8_t RESERVED2[1];
    union {
        __IO uint32_t WTTR;
        stc_rtc_wttr_field_t WTTR_f;
        struct {
          union {
            __IO uint16_t WTTRL;
            struct {
              __IO uint8_t WTTRLL;
              __IO uint8_t WTTRLH;
            };
          };
          union {
            __IO uint16_t WTTRH;
            struct {
              __IO uint8_t WTTRHL;
              __IO uint8_t WTTRHH;
            };
          };
        };
    };
    union {
        __IO  uint8_t WTCLKS;
        stc_rtc_wtclks_field_t WTCLKS_f;
    };
    union {
        __IO  uint8_t WTCLKM;
        stc_rtc_wtclkm_field_t WTCLKM_f;
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t WTCAL;
        stc_rtc_wtcal_field_t WTCAL_f;
        struct {
            __IO  uint8_t WTCALL;
            __IO  uint8_t WTCALH;
        };
    };
    union {
        __IO  uint8_t WTCALEN;
        stc_rtc_wtcalen_field_t WTCALEN_f;
    };
        __IO  uint8_t RESERVED4[1];
    union {
        __IO  uint8_t WTDIV;
        stc_rtc_wtdiv_field_t WTDIV_f;
    };
    union {
        __IO  uint8_t WTDIVEN;
        stc_rtc_wtdiven_field_t WTDIVEN_f;
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO  uint8_t WTCALPRD;
        stc_rtc_wtcalprd_field_t WTCALPRD_f;
    };
        __IO  uint8_t RESERVED6[3];
    union {
        __IO  uint8_t WTCOSEL;
        stc_rtc_wtcosel_field_t WTCOSEL_f;
    };
} FM_RTC_TypeDef, FM3_RTC_TypeDef;

/******************************************************************************
 ** SBSSR_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[252];
    union {
        __IO uint16_t BTSSSR;
        stc_sbssr_btsssr_field_t BTSSSR_f;
        struct {
            __IO  uint8_t BTSSSRL;
            __IO  uint8_t BTSSSRH;
        };
    };
} FM_SBSSR_TypeDef, FM3_SBSSR_TypeDef;

/******************************************************************************
 ** SWWDT_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t WDOGLOAD;
        struct {
          union {
            __IO uint16_t WDOGLOADL;
            struct {
              __IO uint8_t WDOGLOADLL;
              __IO uint8_t WDOGLOADLH;
            };
          };
          union {
            __IO uint16_t WDOGLOADH;
            struct {
              __IO uint8_t WDOGLOADHL;
              __IO uint8_t WDOGLOADHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGVALUE;
        struct {
          union {
            __IO uint16_t WDOGVALUEL;
            struct {
              __IO uint8_t WDOGVALUELL;
              __IO uint8_t WDOGVALUELH;
            };
          };
          union {
            __IO uint16_t WDOGVALUEH;
            struct {
              __IO uint8_t WDOGVALUEHL;
              __IO uint8_t WDOGVALUEHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGCONTROL;
        stc_swwdt_wdogcontrol_field_t WDOGCONTROL_f;
        struct {
          union {
            __IO uint16_t WDOGCONTROLL;
            struct {
              __IO uint8_t WDOGCONTROLLL;
              __IO uint8_t WDOGCONTROLLH;
            };
          };
          union {
            __IO uint16_t WDOGCONTROLH;
            struct {
              __IO uint8_t WDOGCONTROLHL;
              __IO uint8_t WDOGCONTROLHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGINTCLR;
        struct {
          union {
            __IO uint16_t WDOGINTCLRL;
            struct {
              __IO uint8_t WDOGINTCLRLL;
              __IO uint8_t WDOGINTCLRLH;
            };
          };
          union {
            __IO uint16_t WDOGINTCLRH;
            struct {
              __IO uint8_t WDOGINTCLRHL;
              __IO uint8_t WDOGINTCLRHH;
            };
          };
        };
    };
    union {
        __IO uint32_t WDOGRIS;
        stc_swwdt_wdogris_field_t WDOGRIS_f;
        struct {
          union {
            __IO uint16_t WDOGRISL;
            struct {
              __IO uint8_t WDOGRISLL;
              __IO uint8_t WDOGRISLH;
            };
          };
          union {
            __IO uint16_t WDOGRISH;
            struct {
              __IO uint8_t WDOGRISHL;
              __IO uint8_t WDOGRISHH;
            };
          };
        };
    };
        __IO  uint8_t RESERVED0[3052];
    union {
        __IO uint32_t WDOGLOCK;
        struct {
          union {
            __IO uint16_t WDOGLOCKL;
            struct {
              __IO uint8_t WDOGLOCKLL;
              __IO uint8_t WDOGLOCKLH;
            };
          };
          union {
            __IO uint16_t WDOGLOCKH;
            struct {
              __IO uint8_t WDOGLOCKHL;
              __IO uint8_t WDOGLOCKHH;
            };
          };
        };
    };
} FM_SWWDT_TypeDef, FM3_SWWDT_TypeDef;

/******************************************************************************
 ** UNIQUE_ID_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO uint32_t UIDR0;
        stc_unique_id_uidr0_field_t UIDR0_f;
        struct {
          union {
            __IO uint16_t UIDR0L;
            struct {
              __IO uint8_t UIDR0LL;
              __IO uint8_t UIDR0LH;
            };
          };
          union {
            __IO uint16_t UIDR0H;
            struct {
              __IO uint8_t UIDR0HL;
              __IO uint8_t UIDR0HH;
            };
          };
        };
    };
    union {
        __IO uint32_t UIDR1;
        stc_unique_id_uidr1_field_t UIDR1_f;
        struct {
          union {
            __IO uint16_t UIDR1L;
            struct {
              __IO uint8_t UIDR1LL;
              __IO uint8_t UIDR1LH;
            };
          };
          union {
            __IO uint16_t UIDR1H;
            struct {
              __IO uint8_t UIDR1HL;
              __IO uint8_t UIDR1HH;
            };
          };
        };
    };
} FM_UNIQUE_ID_TypeDef, FM3_UNIQUE_ID_TypeDef;

/******************************************************************************
 ** USB_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
        __IO  uint8_t RESERVED0[8448];
    union {
        __IO uint16_t HCNT;
        stc_usb_hcnt_field_t HCNT_f;
        struct {
            __IO  uint8_t HCNTL;
            __IO  uint8_t HCNTH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO  uint8_t HIRQ;
        stc_usb_hirq_field_t HIRQ_f;
    };
    union {
        __IO  uint8_t HERR;
        stc_usb_herr_field_t HERR_f;
    };
        __IO  uint8_t RESERVED2[2];
    union {
        __IO  uint8_t HSTATE;
        stc_usb_hstate_field_t HSTATE_f;
    };
    union {
        __IO  uint8_t HFCOMP;
        stc_usb_hfcomp_field_t HFCOMP_f;
    };
        __IO  uint8_t RESERVED3[2];
    union {
        __IO uint16_t HRTIMER;
        stc_usb_hrtimer_field_t HRTIMER_f;
        struct {
            __IO  uint8_t HRTIMERL;
            __IO  uint8_t HRTIMERH;
        };
    };
        __IO  uint8_t RESERVED4[2];
    union {
        __IO  uint8_t HRTIMER2;
        stc_usb_hrtimer2_field_t HRTIMER2_f;
    };
    union {
        __IO  uint8_t HADR;
        stc_usb_hadr_field_t HADR_f;
    };
        __IO  uint8_t RESERVED5[2];
    union {
        __IO uint16_t HEOF;
        stc_usb_heof_field_t HEOF_f;
        struct {
            __IO  uint8_t HEOFL;
            __IO  uint8_t HEOFH;
        };
    };
        __IO  uint8_t RESERVED6[2];
    union {
        __IO uint16_t HFRAME;
        stc_usb_hframe_field_t HFRAME_f;
        struct {
            __IO  uint8_t HFRAMEL;
            __IO  uint8_t HFRAMEH;
        };
    };
        __IO  uint8_t RESERVED7[2];
    union {
        __IO  uint8_t HTOKEN;
        stc_usb_htoken_field_t HTOKEN_f;
    };
        __IO  uint8_t RESERVED8[3];
    union {
        __IO uint16_t UDCC;
        stc_usb_udcc_field_t UDCC_f;
        struct {
            __IO  uint8_t UDCCL;
            __IO  uint8_t UDCCH;
        };
    };
        __IO  uint8_t RESERVED9[2];
    union {
        __IO uint16_t EP0C;
        stc_usb_ep0c_field_t EP0C_f;
        struct {
            __IO  uint8_t EP0CL;
            __IO  uint8_t EP0CH;
        };
    };
        __IO  uint8_t RESERVED10[2];
    union {
        __IO uint16_t EP1C;
        stc_usb_ep1c_field_t EP1C_f;
        struct {
            __IO  uint8_t EP1CL;
            __IO  uint8_t EP1CH;
        };
    };
        __IO  uint8_t RESERVED11[2];
    union {
        __IO uint16_t EP2C;
        stc_usb_ep2c_field_t EP2C_f;
        struct {
            __IO  uint8_t EP2CL;
            __IO  uint8_t EP2CH;
        };
    };
        __IO  uint8_t RESERVED12[2];
    union {
        __IO uint16_t EP3C;
        stc_usb_ep3c_field_t EP3C_f;
        struct {
            __IO  uint8_t EP3CL;
            __IO  uint8_t EP3CH;
        };
    };
        __IO  uint8_t RESERVED13[2];
    union {
        __IO uint16_t EP4C;
        stc_usb_ep4c_field_t EP4C_f;
        struct {
            __IO  uint8_t EP4CL;
            __IO  uint8_t EP4CH;
        };
    };
        __IO  uint8_t RESERVED14[2];
    union {
        __IO uint16_t EP5C;
        stc_usb_ep5c_field_t EP5C_f;
        struct {
            __IO  uint8_t EP5CL;
            __IO  uint8_t EP5CH;
        };
    };
        __IO  uint8_t RESERVED15[2];
    union {
        __IO uint16_t TMSP;
        stc_usb_tmsp_field_t TMSP_f;
        struct {
            __IO  uint8_t TMSPL;
            __IO  uint8_t TMSPH;
        };
    };
        __IO  uint8_t RESERVED16[2];
    union {
        __IO  uint8_t UDCS;
        stc_usb_udcs_field_t UDCS_f;
    };
    union {
        __IO  uint8_t UDCIE;
        stc_usb_udcie_field_t UDCIE_f;
    };
        __IO  uint8_t RESERVED17[2];
    union {
        __IO uint16_t EP0IS;
        stc_usb_ep0is_field_t EP0IS_f;
        struct {
            __IO  uint8_t EP0ISL;
            __IO  uint8_t EP0ISH;
        };
    };
        __IO  uint8_t RESERVED18[2];
    union {
        __IO uint16_t EP0OS;
        stc_usb_ep0os_field_t EP0OS_f;
        struct {
            __IO  uint8_t EP0OSL;
            __IO  uint8_t EP0OSH;
        };
    };
        __IO  uint8_t RESERVED19[2];
    union {
        __IO uint16_t EP1S;
        stc_usb_ep1s_field_t EP1S_f;
        struct {
            __IO  uint8_t EP1SL;
            __IO  uint8_t EP1SH;
        };
    };
        __IO  uint8_t RESERVED20[2];
    union {
        __IO uint16_t EP2S;
        stc_usb_ep2s_field_t EP2S_f;
        struct {
            __IO  uint8_t EP2SL;
            __IO  uint8_t EP2SH;
        };
    };
        __IO  uint8_t RESERVED21[2];
    union {
        __IO uint16_t EP3S;
        stc_usb_ep3s_field_t EP3S_f;
        struct {
            __IO  uint8_t EP3SL;
            __IO  uint8_t EP3SH;
        };
    };
        __IO  uint8_t RESERVED22[2];
    union {
        __IO uint16_t EP4S;
        stc_usb_ep4s_field_t EP4S_f;
        struct {
            __IO  uint8_t EP4SL;
            __IO  uint8_t EP4SH;
        };
    };
        __IO  uint8_t RESERVED23[2];
    union {
        __IO uint16_t EP5S;
        stc_usb_ep5s_field_t EP5S_f;
        struct {
            __IO  uint8_t EP5SL;
            __IO  uint8_t EP5SH;
        };
    };
        __IO  uint8_t RESERVED24[2];
    union {
        __IO uint16_t EP0DT;
        stc_usb_ep0dt_field_t EP0DT_f;
        struct {
            __IO  uint8_t EP0DTL;
            __IO  uint8_t EP0DTH;
        };
    };
        __IO  uint8_t RESERVED25[2];
    union {
        __IO uint16_t EP1DT;
        stc_usb_ep1dt_field_t EP1DT_f;
        struct {
            __IO  uint8_t EP1DTL;
            __IO  uint8_t EP1DTH;
        };
    };
        __IO  uint8_t RESERVED26[2];
    union {
        __IO uint16_t EP2DT;
        stc_usb_ep2dt_field_t EP2DT_f;
        struct {
            __IO  uint8_t EP2DTL;
            __IO  uint8_t EP2DTH;
        };
    };
        __IO  uint8_t RESERVED27[2];
    union {
        __IO uint16_t EP3DT;
        stc_usb_ep3dt_field_t EP3DT_f;
        struct {
            __IO  uint8_t EP3DTL;
            __IO  uint8_t EP3DTH;
        };
    };
        __IO  uint8_t RESERVED28[2];
    union {
        __IO uint16_t EP4DT;
        stc_usb_ep4dt_field_t EP4DT_f;
        struct {
            __IO  uint8_t EP4DTL;
            __IO  uint8_t EP4DTH;
        };
    };
        __IO  uint8_t RESERVED29[2];
    union {
        __IO uint16_t EP5DT;
        stc_usb_ep5dt_field_t EP5DT_f;
        struct {
            __IO  uint8_t EP5DTL;
            __IO  uint8_t EP5DTH;
        };
    };
} FM_USB_TypeDef, FM3_USB_TypeDef;

/******************************************************************************
 ** USBCLK_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t UCCR;
        stc_usbclk_uccr_field_t UCCR_f;
    };
        __IO  uint8_t RESERVED0[3];
    union {
        __IO  uint8_t UPCR1;
        stc_usbclk_upcr1_field_t UPCR1_f;
    };
        __IO  uint8_t RESERVED1[3];
    union {
        __IO  uint8_t UPCR2;
        stc_usbclk_upcr2_field_t UPCR2_f;
    };
        __IO  uint8_t RESERVED2[3];
    union {
        __IO  uint8_t UPCR3;
        stc_usbclk_upcr3_field_t UPCR3_f;
    };
        __IO  uint8_t RESERVED3[3];
    union {
        __IO  uint8_t UPCR4;
        stc_usbclk_upcr4_field_t UPCR4_f;
    };
        __IO  uint8_t RESERVED4[3];
    union {
        __IO  uint8_t UP_STR;
        stc_usbclk_up_str_field_t UP_STR_f;
    };
        __IO  uint8_t RESERVED5[3];
    union {
        __IO  uint8_t UPINT_ENR;
        stc_usbclk_upint_enr_field_t UPINT_ENR_f;
    };
        __IO  uint8_t RESERVED6[3];
    union {
        __IO  uint8_t UPINT_CLR;
        stc_usbclk_upint_clr_field_t UPINT_CLR_f;
    };
        __IO  uint8_t RESERVED7[3];
    union {
        __IO  uint8_t UPINT_STR;
        stc_usbclk_upint_str_field_t UPINT_STR_f;
    };
        __IO  uint8_t RESERVED8[3];
    union {
        __IO  uint8_t UPCR5;
        stc_usbclk_upcr5_field_t UPCR5_f;
    };
        __IO  uint8_t RESERVED9[11];
    union {
        __IO  uint8_t USBEN0;
        stc_usbclk_usben0_field_t USBEN0_f;
    };
} FM_USBCLK_TypeDef, FM3_USBCLK_TypeDef;

/******************************************************************************
 ** WC_MODULE
 ** 
 **   register structur
 ******************************************************************************/
typedef struct
{
    union {
        __IO  uint8_t WCRD;
        stc_wc_wcrd_field_t WCRD_f;
    };
    union {
        __IO  uint8_t WCRL;
        stc_wc_wcrl_field_t WCRL_f;
    };
    union {
        __IO  uint8_t WCCR;
        stc_wc_wccr_field_t WCCR_f;
    };
        __IO  uint8_t RESERVED0[13];
    union {
        __IO uint16_t CLK_SEL;
        stc_wc_clk_sel_field_t CLK_SEL_f;
        struct {
            __IO  uint8_t CLK_SELL;
            __IO  uint8_t CLK_SELH;
        };
    };
        __IO  uint8_t RESERVED1[2];
    union {
        __IO  uint8_t CLK_EN;
        stc_wc_clk_en_field_t CLK_EN_f;
    };
} FM_WC_TypeDef, FM3_WC_TypeDef;

/******************************************************************************
 ** Peripheral Memory Map
 ** 
 ******************************************************************************/
#define FM_FLASH_BASE                             (0x00000000UL) /* Flash Base Address */
#define FM3_FLASH_BASE                            (0x00000000UL) /* Flash Base Address */
#define FM_PERIPH_BASE                            (0x40000000UL) /* Peripheral Base Address */
#define FM3_PERIPH_BASE                           (0x40000000UL) /* Peripheral Base Address */
#define FM_CM3_BASE                               (0xE0100000UL) /* CM3 Private */
#define FM3_CM3_BASE                              (0xE0100000UL) /* CM3 Private  */

#define FM_ADC0_BASE                              (0x40027000UL) /* ADC0 Base Address */
#define FM3_ADC0_BASE                             (0x40027000UL) /* ADC0 Base Address */
#define FM_ADC1_BASE                              (0x40027100UL) /* ADC1 Base Address */
#define FM3_ADC1_BASE                             (0x40027100UL) /* ADC1 Base Address */
#define FM_BT0_BASE                               (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_BASE                              (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PPG_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_PPG_BASE                          (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PWC_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_PWC_BASE                          (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_PWM_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_PWM_BASE                          (0x40025000UL) /* BT0 Base Address */
#define FM_BT0_RT_BASE                            (0x40025000UL) /* BT0 Base Address */
#define FM3_BT0_RT_BASE                           (0x40025000UL) /* BT0 Base Address */
#define FM_BT1_BASE                               (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_BASE                              (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PPG_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_PPG_BASE                          (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PWC_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_PWC_BASE                          (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_PWM_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_PWM_BASE                          (0x40025040UL) /* BT1 Base Address */
#define FM_BT1_RT_BASE                            (0x40025040UL) /* BT1 Base Address */
#define FM3_BT1_RT_BASE                           (0x40025040UL) /* BT1 Base Address */
#define FM_BT2_BASE                               (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_BASE                              (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PPG_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_PPG_BASE                          (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PWC_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_PWC_BASE                          (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_PWM_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_PWM_BASE                          (0x40025080UL) /* BT2 Base Address */
#define FM_BT2_RT_BASE                            (0x40025080UL) /* BT2 Base Address */
#define FM3_BT2_RT_BASE                           (0x40025080UL) /* BT2 Base Address */
#define FM_BT3_BASE                               (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_BASE                              (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PPG_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_PPG_BASE                          (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PWC_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_PWC_BASE                          (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_PWM_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_PWM_BASE                          (0x400250C0UL) /* BT3 Base Address */
#define FM_BT3_RT_BASE                            (0x400250C0UL) /* BT3 Base Address */
#define FM3_BT3_RT_BASE                           (0x400250C0UL) /* BT3 Base Address */
#define FM_BT4_BASE                               (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_BASE                              (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PPG_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_PPG_BASE                          (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PWC_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_PWC_BASE                          (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_PWM_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_PWM_BASE                          (0x40025200UL) /* BT4 Base Address */
#define FM_BT4_RT_BASE                            (0x40025200UL) /* BT4 Base Address */
#define FM3_BT4_RT_BASE                           (0x40025200UL) /* BT4 Base Address */
#define FM_BT5_BASE                               (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_BASE                              (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PPG_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_PPG_BASE                          (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PWC_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_PWC_BASE                          (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_PWM_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_PWM_BASE                          (0x40025240UL) /* BT5 Base Address */
#define FM_BT5_RT_BASE                            (0x40025240UL) /* BT5 Base Address */
#define FM3_BT5_RT_BASE                           (0x40025240UL) /* BT5 Base Address */
#define FM_BT6_BASE                               (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_BASE                              (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PPG_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_PPG_BASE                          (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PWC_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_PWC_BASE                          (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_PWM_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_PWM_BASE                          (0x40025280UL) /* BT6 Base Address */
#define FM_BT6_RT_BASE                            (0x40025280UL) /* BT6 Base Address */
#define FM3_BT6_RT_BASE                           (0x40025280UL) /* BT6 Base Address */
#define FM_BT7_BASE                               (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_BASE                              (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PPG_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_PPG_BASE                          (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PWC_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_PWC_BASE                          (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_PWM_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_PWM_BASE                          (0x400252C0UL) /* BT7 Base Address */
#define FM_BT7_RT_BASE                            (0x400252C0UL) /* BT7 Base Address */
#define FM3_BT7_RT_BASE                           (0x400252C0UL) /* BT7 Base Address */
#define FM_BTIOSEL03_BASE                         (0x40025100UL) /* BTIOSEL03 Base Address */
#define FM3_BTIOSEL03_BASE                        (0x40025100UL) /* BTIOSEL03 Base Address */
#define FM_BTIOSEL47_BASE                         (0x40025300UL) /* BTIOSEL47 Base Address */
#define FM3_BTIOSEL47_BASE                        (0x40025300UL) /* BTIOSEL47 Base Address */
#define FM_CRC_BASE                               (0x40039000UL) /* CRC Base Address */
#define FM3_CRC_BASE                              (0x40039000UL) /* CRC Base Address */
#define FM_CRG_BASE                               (0x40010000UL) /* CRG Base Address */
#define FM3_CRG_BASE                              (0x40010000UL) /* CRG Base Address */
#define FM_CRTRIM_BASE                            (0x4002E000UL) /* CRTRIM Base Address */
#define FM3_CRTRIM_BASE                           (0x4002E000UL) /* CRTRIM Base Address */
#define FM_DMAC_BASE                              (0x40060000UL) /* DMAC Base Address */
#define FM3_DMAC_BASE                             (0x40060000UL) /* DMAC Base Address */
#define FM_DS_BASE                                (0x40035100UL) /* DS Base Address */
#define FM3_DS_BASE                               (0x40035100UL) /* DS Base Address */
#define FM_DT_BASE                                (0x40015000UL) /* DT Base Address */
#define FM3_DT_BASE                               (0x40015000UL) /* DT Base Address */
#define FM_EXBUS_BASE                             (0x4003F000UL) /* EXBUS Base Address */
#define FM3_EXBUS_BASE                            (0x4003F000UL) /* EXBUS Base Address */
#define FM_EXTI_BASE                              (0x40030000UL) /* EXTI Base Address */
#define FM3_EXTI_BASE                             (0x40030000UL) /* EXTI Base Address */
#define FM_FLASH_IF_BASE                          (0x40000000UL) /* FLASH_IF Base Address */
#define FM3_FLASH_IF_BASE                         (0x40000000UL) /* FLASH_IF Base Address */
#define FM_GPIO_BASE                              (0x40033000UL) /* GPIO Base Address */
#define FM3_GPIO_BASE                             (0x40033000UL) /* GPIO Base Address */
#define FM_HDMICEC0_BASE                          (0x40034000UL) /* HDMICEC0 Base Address */
#define FM3_HDMICEC0_BASE                         (0x40034000UL) /* HDMICEC0 Base Address */
#define FM_HDMICEC1_BASE                          (0x40034100UL) /* HDMICEC1 Base Address */
#define FM3_HDMICEC1_BASE                         (0x40034100UL) /* HDMICEC1 Base Address */
#define FM_HWWDT_BASE                             (0x40011000UL) /* HWWDT Base Address */
#define FM3_HWWDT_BASE                            (0x40011000UL) /* HWWDT Base Address */
#define FM_INTREQ_BASE                            (0x40031000UL) /* INTREQ Base Address */
#define FM3_INTREQ_BASE                           (0x40031000UL) /* INTREQ Base Address */
#define FM_LCDC_BASE                              (0x40032000UL) /* LCDC Base Address */
#define FM3_LCDC_BASE                             (0x40032000UL) /* LCDC Base Address */
#define FM_LVD_BASE                               (0x40035000UL) /* LVD Base Address */
#define FM3_LVD_BASE                              (0x40035000UL) /* LVD Base Address */
#define FM_MFS_NFC_BASE                           (0x40038800UL) /* MFS_NFC Base Address */
#define FM3_MFS_NFC_BASE                          (0x40038800UL) /* MFS_NFC Base Address */
#define FM_MFS0_BASE                              (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_BASE                             (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_CSIO_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_CSIO_BASE                        (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_I2C_BASE                          (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_I2C_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS0_UART_BASE                         (0x40038000UL) /* MFS0 Base Address */
#define FM3_MFS0_UART_BASE                        (0x40038000UL) /* MFS0 Base Address */
#define FM_MFS1_BASE                              (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_BASE                             (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_CSIO_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_CSIO_BASE                        (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_I2C_BASE                          (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_I2C_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS1_UART_BASE                         (0x40038100UL) /* MFS1 Base Address */
#define FM3_MFS1_UART_BASE                        (0x40038100UL) /* MFS1 Base Address */
#define FM_MFS2_BASE                              (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_BASE                             (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS2_CSIO_BASE                         (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_CSIO_BASE                        (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS2_I2C_BASE                          (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_I2C_BASE                         (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS2_UART_BASE                         (0x40038200UL) /* MFS2 Base Address */
#define FM3_MFS2_UART_BASE                        (0x40038200UL) /* MFS2 Base Address */
#define FM_MFS3_BASE                              (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_BASE                             (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_CSIO_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_CSIO_BASE                        (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_I2C_BASE                          (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_I2C_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS3_UART_BASE                         (0x40038300UL) /* MFS3 Base Address */
#define FM3_MFS3_UART_BASE                        (0x40038300UL) /* MFS3 Base Address */
#define FM_MFS4_BASE                              (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_BASE                             (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_CSIO_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_CSIO_BASE                        (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_I2C_BASE                          (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_I2C_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS4_UART_BASE                         (0x40038400UL) /* MFS4 Base Address */
#define FM3_MFS4_UART_BASE                        (0x40038400UL) /* MFS4 Base Address */
#define FM_MFS5_BASE                              (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_BASE                             (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS5_CSIO_BASE                         (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_CSIO_BASE                        (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS5_I2C_BASE                          (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_I2C_BASE                         (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS5_UART_BASE                         (0x40038500UL) /* MFS5 Base Address */
#define FM3_MFS5_UART_BASE                        (0x40038500UL) /* MFS5 Base Address */
#define FM_MFS6_BASE                              (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_BASE                             (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_CSIO_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_CSIO_BASE                        (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_I2C_BASE                          (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_I2C_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS6_UART_BASE                         (0x40038600UL) /* MFS6 Base Address */
#define FM3_MFS6_UART_BASE                        (0x40038600UL) /* MFS6 Base Address */
#define FM_MFS7_BASE                              (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_BASE                             (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_CSIO_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_CSIO_BASE                        (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_I2C_BASE                          (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_I2C_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM_MFS7_UART_BASE                         (0x40038700UL) /* MFS7 Base Address */
#define FM3_MFS7_UART_BASE                        (0x40038700UL) /* MFS7 Base Address */
#define FM_RTC_BASE                               (0x4003B000UL) /* RTC Base Address */
#define FM3_RTC_BASE                              (0x4003B000UL) /* RTC Base Address */
#define FM_SBSSR_BASE                             (0x40025F00UL) /* SBSSR Base Address */
#define FM3_SBSSR_BASE                            (0x40025F00UL) /* SBSSR Base Address */
#define FM_SWWDT_BASE                             (0x40012000UL) /* SWWDT Base Address */
#define FM3_SWWDT_BASE                            (0x40012000UL) /* SWWDT Base Address */
#define FM_UNIQUE_ID_BASE                         (0x40000200UL) /* UNIQUE_ID Base Address */
#define FM3_UNIQUE_ID_BASE                        (0x40000200UL) /* UNIQUE_ID Base Address */
#define FM_USB0_BASE                              (0x40040000UL) /* USB0 Base Address */
#define FM3_USB0_BASE                             (0x40040000UL) /* USB0 Base Address */
#define FM_USBCLK_BASE                            (0x40036000UL) /* USBCLK Base Address */
#define FM3_USBCLK_BASE                           (0x40036000UL) /* USBCLK Base Address */
#define FM_WC_BASE                                (0x4003A000UL) /* WC Base Address */
#define FM3_WC_BASE                               (0x4003A000UL) /* WC Base Address */
/******************************************************************************
 ** Peripheral declaration
 ** 
 ******************************************************************************/
#define FM3_ADC0                                  ((FM_ADC_TypeDef *)FM3_ADC0_BASE)
#define FM_ADC0                                   ((FM_ADC_TypeDef *)FM3_ADC0_BASE)
#define FM3_ADC1                                  ((FM_ADC_TypeDef *)FM3_ADC1_BASE)
#define FM_ADC1                                   ((FM_ADC_TypeDef *)FM3_ADC1_BASE)
#define FM3_BT0                                   ((FM_BT_TypeDef *)FM3_BT0_BASE)
#define FM_BT0                                    ((FM_BT_TypeDef *)FM3_BT0_BASE)
#define FM3_BT0_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT0_BASE)
#define FM_BT0_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT0_BASE)
#define FM3_BT0_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT0_BASE)
#define FM_BT0_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT0_BASE)
#define FM3_BT0_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT0_BASE)
#define FM_BT0_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT0_BASE)
#define FM3_BT0_RT                                ((FM_BT_RT_TypeDef *)FM3_BT0_BASE)
#define FM_BT0_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT0_BASE)
#define FM3_BT1                                   ((FM_BT_TypeDef *)FM3_BT1_BASE)
#define FM_BT1                                    ((FM_BT_TypeDef *)FM3_BT1_BASE)
#define FM3_BT1_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT1_BASE)
#define FM_BT1_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT1_BASE)
#define FM3_BT1_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT1_BASE)
#define FM_BT1_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT1_BASE)
#define FM3_BT1_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT1_BASE)
#define FM_BT1_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT1_BASE)
#define FM3_BT1_RT                                ((FM_BT_RT_TypeDef *)FM3_BT1_BASE)
#define FM_BT1_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT1_BASE)
#define FM3_BT2                                   ((FM_BT_TypeDef *)FM3_BT2_BASE)
#define FM_BT2                                    ((FM_BT_TypeDef *)FM3_BT2_BASE)
#define FM3_BT2_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT2_BASE)
#define FM_BT2_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT2_BASE)
#define FM3_BT2_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT2_BASE)
#define FM_BT2_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT2_BASE)
#define FM3_BT2_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT2_BASE)
#define FM_BT2_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT2_BASE)
#define FM3_BT2_RT                                ((FM_BT_RT_TypeDef *)FM3_BT2_BASE)
#define FM_BT2_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT2_BASE)
#define FM3_BT3                                   ((FM_BT_TypeDef *)FM3_BT3_BASE)
#define FM_BT3                                    ((FM_BT_TypeDef *)FM3_BT3_BASE)
#define FM3_BT3_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT3_BASE)
#define FM_BT3_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT3_BASE)
#define FM3_BT3_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT3_BASE)
#define FM_BT3_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT3_BASE)
#define FM3_BT3_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT3_BASE)
#define FM_BT3_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT3_BASE)
#define FM3_BT3_RT                                ((FM_BT_RT_TypeDef *)FM3_BT3_BASE)
#define FM_BT3_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT3_BASE)
#define FM3_BT4                                   ((FM_BT_TypeDef *)FM3_BT4_BASE)
#define FM_BT4                                    ((FM_BT_TypeDef *)FM3_BT4_BASE)
#define FM3_BT4_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT4_BASE)
#define FM_BT4_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT4_BASE)
#define FM3_BT4_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT4_BASE)
#define FM_BT4_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT4_BASE)
#define FM3_BT4_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT4_BASE)
#define FM_BT4_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT4_BASE)
#define FM3_BT4_RT                                ((FM_BT_RT_TypeDef *)FM3_BT4_BASE)
#define FM_BT4_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT4_BASE)
#define FM3_BT5                                   ((FM_BT_TypeDef *)FM3_BT5_BASE)
#define FM_BT5                                    ((FM_BT_TypeDef *)FM3_BT5_BASE)
#define FM3_BT5_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT5_BASE)
#define FM_BT5_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT5_BASE)
#define FM3_BT5_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT5_BASE)
#define FM_BT5_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT5_BASE)
#define FM3_BT5_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT5_BASE)
#define FM_BT5_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT5_BASE)
#define FM3_BT5_RT                                ((FM_BT_RT_TypeDef *)FM3_BT5_BASE)
#define FM_BT5_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT5_BASE)
#define FM3_BT6                                   ((FM_BT_TypeDef *)FM3_BT6_BASE)
#define FM_BT6                                    ((FM_BT_TypeDef *)FM3_BT6_BASE)
#define FM3_BT6_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT6_BASE)
#define FM_BT6_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT6_BASE)
#define FM3_BT6_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT6_BASE)
#define FM_BT6_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT6_BASE)
#define FM3_BT6_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT6_BASE)
#define FM_BT6_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT6_BASE)
#define FM3_BT6_RT                                ((FM_BT_RT_TypeDef *)FM3_BT6_BASE)
#define FM_BT6_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT6_BASE)
#define FM3_BT7                                   ((FM_BT_TypeDef *)FM3_BT7_BASE)
#define FM_BT7                                    ((FM_BT_TypeDef *)FM3_BT7_BASE)
#define FM3_BT7_PPG                               ((FM_BT_PPG_TypeDef *)FM3_BT7_BASE)
#define FM_BT7_PPG                                ((FM_BT_PPG_TypeDef *)FM3_BT7_BASE)
#define FM3_BT7_PWC                               ((FM_BT_PWC_TypeDef *)FM3_BT7_BASE)
#define FM_BT7_PWC                                ((FM_BT_PWC_TypeDef *)FM3_BT7_BASE)
#define FM3_BT7_PWM                               ((FM_BT_PWM_TypeDef *)FM3_BT7_BASE)
#define FM_BT7_PWM                                ((FM_BT_PWM_TypeDef *)FM3_BT7_BASE)
#define FM3_BT7_RT                                ((FM_BT_RT_TypeDef *)FM3_BT7_BASE)
#define FM_BT7_RT                                 ((FM_BT_RT_TypeDef *)FM3_BT7_BASE)
#define FM3_BTIOSEL03                             ((FM_BTIOSEL03_TypeDef *)FM3_BTIOSEL03_BASE)
#define FM_BTIOSEL03                              ((FM_BTIOSEL03_TypeDef *)FM3_BTIOSEL03_BASE)
#define FM3_BTIOSEL47                             ((FM_BTIOSEL47_TypeDef *)FM3_BTIOSEL47_BASE)
#define FM_BTIOSEL47                              ((FM_BTIOSEL47_TypeDef *)FM3_BTIOSEL47_BASE)
#define FM3_CRC                                   ((FM_CRC_TypeDef *)FM3_CRC_BASE)
#define FM_CRC                                    ((FM_CRC_TypeDef *)FM3_CRC_BASE)
#define FM3_CRG                                   ((FM_CRG_TypeDef *)FM3_CRG_BASE)
#define FM_CRG                                    ((FM_CRG_TypeDef *)FM3_CRG_BASE)
#define FM3_CRTRIM                                ((FM_CRTRIM_TypeDef *)FM3_CRTRIM_BASE)
#define FM_CRTRIM                                 ((FM_CRTRIM_TypeDef *)FM3_CRTRIM_BASE)
#define FM3_DMAC                                  ((FM_DMAC_TypeDef *)FM3_DMAC_BASE)
#define FM_DMAC                                   ((FM_DMAC_TypeDef *)FM3_DMAC_BASE)
#define FM3_DS                                    ((FM_DS_TypeDef *)FM3_DS_BASE)
#define FM_DS                                     ((FM_DS_TypeDef *)FM3_DS_BASE)
#define FM3_DT                                    ((FM_DT_TypeDef *)FM3_DT_BASE)
#define FM_DT                                     ((FM_DT_TypeDef *)FM3_DT_BASE)
#define FM3_EXBUS                                 ((FM_EXBUS_TypeDef *)FM3_EXBUS_BASE)
#define FM_EXBUS                                  ((FM_EXBUS_TypeDef *)FM3_EXBUS_BASE)
#define FM3_EXTI                                  ((FM_EXTI_TypeDef *)FM3_EXTI_BASE)
#define FM_EXTI                                   ((FM_EXTI_TypeDef *)FM3_EXTI_BASE)
#define FM3_FLASH_IF                              ((FM_FLASH_IF_TypeDef *)FM3_FLASH_IF_BASE)
#define FM_FLASH_IF                               ((FM_FLASH_IF_TypeDef *)FM3_FLASH_IF_BASE)
#define FM3_GPIO                                  ((FM_GPIO_TypeDef *)FM3_GPIO_BASE)
#define FM_GPIO                                   ((FM_GPIO_TypeDef *)FM3_GPIO_BASE)
#define FM3_HDMICEC0                              ((FM_HDMICEC_TypeDef *)FM3_HDMICEC0_BASE)
#define FM_HDMICEC0                               ((FM_HDMICEC_TypeDef *)FM3_HDMICEC0_BASE)
#define FM3_HDMICEC1                              ((FM_HDMICEC_TypeDef *)FM3_HDMICEC1_BASE)
#define FM_HDMICEC1                               ((FM_HDMICEC_TypeDef *)FM3_HDMICEC1_BASE)
#define FM3_HWWDT                                 ((FM_HWWDT_TypeDef *)FM3_HWWDT_BASE)
#define FM_HWWDT                                  ((FM_HWWDT_TypeDef *)FM3_HWWDT_BASE)
#define FM3_INTREQ                                ((FM_INTREQ_TypeDef *)FM3_INTREQ_BASE)
#define FM_INTREQ                                 ((FM_INTREQ_TypeDef *)FM3_INTREQ_BASE)
#define FM3_LCDC                                  ((FM_LCDC_TypeDef *)FM3_LCDC_BASE)
#define FM_LCDC                                   ((FM_LCDC_TypeDef *)FM3_LCDC_BASE)
#define FM3_LVD                                   ((FM_LVD_TypeDef *)FM3_LVD_BASE)
#define FM_LVD                                    ((FM_LVD_TypeDef *)FM3_LVD_BASE)
#define FM3_MFS_NFC                               ((FM_MFS_NFC_TypeDef *)FM3_MFS_NFC_BASE)
#define FM_MFS_NFC                                ((FM_MFS_NFC_TypeDef *)FM3_MFS_NFC_BASE)
#define FM3_MFS0                                  ((FM_MFS_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0                                   ((FM_MFS_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS0_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS0_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS0_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS0_BASE)
#define FM_MFS0_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS0_BASE)
#define FM3_MFS1                                  ((FM_MFS_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1                                   ((FM_MFS_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS1_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS1_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS1_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS1_BASE)
#define FM_MFS1_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS1_BASE)
#define FM3_MFS2                                  ((FM_MFS_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2                                   ((FM_MFS_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS2_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS2_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS2_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS2_BASE)
#define FM_MFS2_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS2_BASE)
#define FM3_MFS3                                  ((FM_MFS_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3                                   ((FM_MFS_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS3_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS3_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS3_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS3_BASE)
#define FM_MFS3_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS3_BASE)
#define FM3_MFS4                                  ((FM_MFS_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4                                   ((FM_MFS_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS4_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS4_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS4_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS4_BASE)
#define FM_MFS4_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS4_BASE)
#define FM3_MFS5                                  ((FM_MFS_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5                                   ((FM_MFS_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS5_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS5_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS5_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS5_BASE)
#define FM_MFS5_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS5_BASE)
#define FM3_MFS6                                  ((FM_MFS_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6                                   ((FM_MFS_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS6_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS6_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS6_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS6_BASE)
#define FM_MFS6_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS6_BASE)
#define FM3_MFS7                                  ((FM_MFS_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7                                   ((FM_MFS_TypeDef *)FM3_MFS7_BASE)
#define FM3_MFS7_CSIO                             ((FM_MFS_CSIO_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7_CSIO                              ((FM_MFS_CSIO_TypeDef *)FM3_MFS7_BASE)
#define FM3_MFS7_I2C                              ((FM_MFS_I2C_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7_I2C                               ((FM_MFS_I2C_TypeDef *)FM3_MFS7_BASE)
#define FM3_MFS7_UART                             ((FM_MFS_UART_TypeDef *)FM3_MFS7_BASE)
#define FM_MFS7_UART                              ((FM_MFS_UART_TypeDef *)FM3_MFS7_BASE)
#define FM3_RTC                                   ((FM_RTC_TypeDef *)FM3_RTC_BASE)
#define FM_RTC                                    ((FM_RTC_TypeDef *)FM3_RTC_BASE)
#define FM3_SBSSR                                 ((FM_SBSSR_TypeDef *)FM3_SBSSR_BASE)
#define FM_SBSSR                                  ((FM_SBSSR_TypeDef *)FM3_SBSSR_BASE)
#define FM3_SWWDT                                 ((FM_SWWDT_TypeDef *)FM3_SWWDT_BASE)
#define FM_SWWDT                                  ((FM_SWWDT_TypeDef *)FM3_SWWDT_BASE)
#define FM3_UNIQUE_ID                             ((FM_UNIQUE_ID_TypeDef *)FM3_UNIQUE_ID_BASE)
#define FM_UNIQUE_ID                              ((FM_UNIQUE_ID_TypeDef *)FM3_UNIQUE_ID_BASE)
#define FM3_USB0                                  ((FM_USB_TypeDef *)FM3_USB0_BASE)
#define FM_USB0                                   ((FM_USB_TypeDef *)FM3_USB0_BASE)
#define FM3_USBCLK                                ((FM_USBCLK_TypeDef *)FM3_USBCLK_BASE)
#define FM_USBCLK                                 ((FM_USBCLK_TypeDef *)FM3_USBCLK_BASE)
#define FM3_WC                                    ((FM_WC_TypeDef *)FM3_WC_BASE)
#define FM_WC                                     ((FM_WC_TypeDef *)FM3_WC_BASE)
/******************************************************************************
 ** Register Definitions
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC Registers ADC0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_ADC0_ADSR                              *((volatile  uint8_t*)(0x40027000UL))
#define FM3_ADC0_ADSR                             *((volatile  uint8_t*)(0x40027000UL))
#define FM_ADC0_ADCR                              *((volatile  uint8_t*)(0x40027001UL))
#define FM3_ADC0_ADCR                             *((volatile  uint8_t*)(0x40027001UL))
#define FM_ADC0_SFNS                              *((volatile  uint8_t*)(0x40027008UL))
#define FM3_ADC0_SFNS                             *((volatile  uint8_t*)(0x40027008UL))
#define FM_ADC0_SCCR                              *((volatile  uint8_t*)(0x40027009UL))
#define FM3_ADC0_SCCR                             *((volatile  uint8_t*)(0x40027009UL))
#define FM_ADC0_SCFD                              *((volatile uint32_t*)(0x4002700CUL))
#define FM3_ADC0_SCFD                             *((volatile uint32_t*)(0x4002700CUL))
#define FM_ADC0_SCFD_FDAS1                        *((volatile uint32_t*)(0x4002700CUL))
#define FM3_ADC0_SCFD_FDAS1                       *((volatile uint32_t*)(0x4002700CUL))
#define FM_ADC0_SCIS23                            *((volatile uint16_t*)(0x40027010UL))
#define FM3_ADC0_SCIS23                           *((volatile uint16_t*)(0x40027010UL))
#define FM_ADC0_SCIS01                            *((volatile uint16_t*)(0x40027014UL))
#define FM3_ADC0_SCIS01                           *((volatile uint16_t*)(0x40027014UL))
#define FM_ADC0_PFNS                              *((volatile  uint8_t*)(0x40027018UL))
#define FM3_ADC0_PFNS                             *((volatile  uint8_t*)(0x40027018UL))
#define FM_ADC0_PCCR                              *((volatile  uint8_t*)(0x40027019UL))
#define FM3_ADC0_PCCR                             *((volatile  uint8_t*)(0x40027019UL))
#define FM_ADC0_PCFD                              *((volatile uint32_t*)(0x4002701CUL))
#define FM3_ADC0_PCFD                             *((volatile uint32_t*)(0x4002701CUL))
#define FM_ADC0_PCFD_FDAS1                        *((volatile uint32_t*)(0x4002701CUL))
#define FM3_ADC0_PCFD_FDAS1                       *((volatile uint32_t*)(0x4002701CUL))
#define FM_ADC0_PCIS                              *((volatile  uint8_t*)(0x40027020UL))
#define FM3_ADC0_PCIS                             *((volatile  uint8_t*)(0x40027020UL))
#define FM_ADC0_CMPCR                             *((volatile  uint8_t*)(0x40027024UL))
#define FM3_ADC0_CMPCR                            *((volatile  uint8_t*)(0x40027024UL))
#define FM_ADC0_CMPD                              *((volatile uint16_t*)(0x40027026UL))
#define FM3_ADC0_CMPD                             *((volatile uint16_t*)(0x40027026UL))
#define FM_ADC0_ADSS23                            *((volatile uint16_t*)(0x40027028UL))
#define FM3_ADC0_ADSS23                           *((volatile uint16_t*)(0x40027028UL))
#define FM_ADC0_ADSS01                            *((volatile uint16_t*)(0x4002702CUL))
#define FM3_ADC0_ADSS01                           *((volatile uint16_t*)(0x4002702CUL))
#define FM_ADC0_ADST01                            *((volatile uint16_t*)(0x40027030UL))
#define FM3_ADC0_ADST01                           *((volatile uint16_t*)(0x40027030UL))
#define FM_ADC0_ADCT                              *((volatile  uint8_t*)(0x40027034UL))
#define FM3_ADC0_ADCT                             *((volatile  uint8_t*)(0x40027034UL))
#define FM_ADC0_ADCEN                             *((volatile uint16_t*)(0x4002703CUL))
#define FM3_ADC0_ADCEN                            *((volatile uint16_t*)(0x4002703CUL))

/******************************************************************************
 ** ADC Registers ADC1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_ADC1_ADSR                              *((volatile  uint8_t*)(0x40027100UL))
#define FM3_ADC1_ADSR                             *((volatile  uint8_t*)(0x40027100UL))
#define FM_ADC1_ADCR                              *((volatile  uint8_t*)(0x40027101UL))
#define FM3_ADC1_ADCR                             *((volatile  uint8_t*)(0x40027101UL))
#define FM_ADC1_SFNS                              *((volatile  uint8_t*)(0x40027108UL))
#define FM3_ADC1_SFNS                             *((volatile  uint8_t*)(0x40027108UL))
#define FM_ADC1_SCCR                              *((volatile  uint8_t*)(0x40027109UL))
#define FM3_ADC1_SCCR                             *((volatile  uint8_t*)(0x40027109UL))
#define FM_ADC1_SCFD                              *((volatile uint32_t*)(0x4002710CUL))
#define FM3_ADC1_SCFD                             *((volatile uint32_t*)(0x4002710CUL))
#define FM_ADC1_SCFD_FDAS1                        *((volatile uint32_t*)(0x4002710CUL))
#define FM3_ADC1_SCFD_FDAS1                       *((volatile uint32_t*)(0x4002710CUL))
#define FM_ADC1_SCIS23                            *((volatile uint16_t*)(0x40027110UL))
#define FM3_ADC1_SCIS23                           *((volatile uint16_t*)(0x40027110UL))
#define FM_ADC1_SCIS01                            *((volatile uint16_t*)(0x40027114UL))
#define FM3_ADC1_SCIS01                           *((volatile uint16_t*)(0x40027114UL))
#define FM_ADC1_PFNS                              *((volatile  uint8_t*)(0x40027118UL))
#define FM3_ADC1_PFNS                             *((volatile  uint8_t*)(0x40027118UL))
#define FM_ADC1_PCCR                              *((volatile  uint8_t*)(0x40027119UL))
#define FM3_ADC1_PCCR                             *((volatile  uint8_t*)(0x40027119UL))
#define FM_ADC1_PCFD                              *((volatile uint32_t*)(0x4002711CUL))
#define FM3_ADC1_PCFD                             *((volatile uint32_t*)(0x4002711CUL))
#define FM_ADC1_PCFD_FDAS1                        *((volatile uint32_t*)(0x4002711CUL))
#define FM3_ADC1_PCFD_FDAS1                       *((volatile uint32_t*)(0x4002711CUL))
#define FM_ADC1_PCIS                              *((volatile  uint8_t*)(0x40027120UL))
#define FM3_ADC1_PCIS                             *((volatile  uint8_t*)(0x40027120UL))
#define FM_ADC1_CMPCR                             *((volatile  uint8_t*)(0x40027124UL))
#define FM3_ADC1_CMPCR                            *((volatile  uint8_t*)(0x40027124UL))
#define FM_ADC1_CMPD                              *((volatile uint16_t*)(0x40027126UL))
#define FM3_ADC1_CMPD                             *((volatile uint16_t*)(0x40027126UL))
#define FM_ADC1_ADSS23                            *((volatile uint16_t*)(0x40027128UL))
#define FM3_ADC1_ADSS23                           *((volatile uint16_t*)(0x40027128UL))
#define FM_ADC1_ADSS01                            *((volatile uint16_t*)(0x4002712CUL))
#define FM3_ADC1_ADSS01                           *((volatile uint16_t*)(0x4002712CUL))
#define FM_ADC1_ADST01                            *((volatile uint16_t*)(0x40027130UL))
#define FM3_ADC1_ADST01                           *((volatile uint16_t*)(0x40027130UL))
#define FM_ADC1_ADCT                              *((volatile  uint8_t*)(0x40027134UL))
#define FM3_ADC1_ADCT                             *((volatile  uint8_t*)(0x40027134UL))
#define FM_ADC1_ADCEN                             *((volatile uint16_t*)(0x4002713CUL))
#define FM3_ADC1_ADCEN                            *((volatile uint16_t*)(0x4002713CUL))

/******************************************************************************
 ** BT Registers BT0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT0_PPG_PRLL                           *((volatile uint16_t*)(0x40025000UL))
#define FM3_BT0_PPG_PRLL                          *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_PWM_PCSR                           *((volatile uint16_t*)(0x40025000UL))
#define FM3_BT0_PWM_PCSR                          *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_RT_PCSR                            *((volatile uint16_t*)(0x40025000UL))
#define FM3_BT0_RT_PCSR                           *((volatile uint16_t*)(0x40025000UL))
#define FM_BT0_PPG_PRLH                           *((volatile uint16_t*)(0x40025004UL))
#define FM3_BT0_PPG_PRLH                          *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PWC_DTBF                           *((volatile uint16_t*)(0x40025004UL))
#define FM3_BT0_PWC_DTBF                          *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PWM_PDUT                           *((volatile uint16_t*)(0x40025004UL))
#define FM3_BT0_PWM_PDUT                          *((volatile uint16_t*)(0x40025004UL))
#define FM_BT0_PPG_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM3_BT0_PPG_TMR                           *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_PWM_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM3_BT0_PWM_TMR                           *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_RT_TMR                             *((volatile uint16_t*)(0x40025008UL))
#define FM3_BT0_RT_TMR                            *((volatile uint16_t*)(0x40025008UL))
#define FM_BT0_PPG_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM3_BT0_PPG_TMCR                          *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PWC_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM3_BT0_PWC_TMCR                          *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PWM_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM3_BT0_PWM_TMCR                          *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_RT_TMCR                            *((volatile uint16_t*)(0x4002500CUL))
#define FM3_BT0_RT_TMCR                           *((volatile uint16_t*)(0x4002500CUL))
#define FM_BT0_PPG_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM3_BT0_PPG_STC                           *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PWC_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM3_BT0_PWC_STC                           *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PWM_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM3_BT0_PWM_STC                           *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_RT_STC                             *((volatile  uint8_t*)(0x40025010UL))
#define FM3_BT0_RT_STC                            *((volatile  uint8_t*)(0x40025010UL))
#define FM_BT0_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM3_BT0_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM3_BT0_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))
#define FM3_BT0_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025011UL))
#define FM_BT0_RT_TMCR2                           *((volatile  uint8_t*)(0x40025011UL))
#define FM3_BT0_RT_TMCR2                          *((volatile  uint8_t*)(0x40025011UL))

/******************************************************************************
 ** BT Registers BT1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT1_PPG_PRLL                           *((volatile uint16_t*)(0x40025040UL))
#define FM3_BT1_PPG_PRLL                          *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_PWM_PCSR                           *((volatile uint16_t*)(0x40025040UL))
#define FM3_BT1_PWM_PCSR                          *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_RT_PCSR                            *((volatile uint16_t*)(0x40025040UL))
#define FM3_BT1_RT_PCSR                           *((volatile uint16_t*)(0x40025040UL))
#define FM_BT1_PPG_PRLH                           *((volatile uint16_t*)(0x40025044UL))
#define FM3_BT1_PPG_PRLH                          *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PWC_DTBF                           *((volatile uint16_t*)(0x40025044UL))
#define FM3_BT1_PWC_DTBF                          *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PWM_PDUT                           *((volatile uint16_t*)(0x40025044UL))
#define FM3_BT1_PWM_PDUT                          *((volatile uint16_t*)(0x40025044UL))
#define FM_BT1_PPG_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM3_BT1_PPG_TMR                           *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_PWM_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM3_BT1_PWM_TMR                           *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_RT_TMR                             *((volatile uint16_t*)(0x40025048UL))
#define FM3_BT1_RT_TMR                            *((volatile uint16_t*)(0x40025048UL))
#define FM_BT1_PPG_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM3_BT1_PPG_TMCR                          *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PWC_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM3_BT1_PWC_TMCR                          *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PWM_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM3_BT1_PWM_TMCR                          *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_RT_TMCR                            *((volatile uint16_t*)(0x4002504CUL))
#define FM3_BT1_RT_TMCR                           *((volatile uint16_t*)(0x4002504CUL))
#define FM_BT1_PPG_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM3_BT1_PPG_STC                           *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PWC_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM3_BT1_PWC_STC                           *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PWM_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM3_BT1_PWM_STC                           *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_RT_STC                             *((volatile  uint8_t*)(0x40025050UL))
#define FM3_BT1_RT_STC                            *((volatile  uint8_t*)(0x40025050UL))
#define FM_BT1_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM3_BT1_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM3_BT1_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))
#define FM3_BT1_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025051UL))
#define FM_BT1_RT_TMCR2                           *((volatile  uint8_t*)(0x40025051UL))
#define FM3_BT1_RT_TMCR2                          *((volatile  uint8_t*)(0x40025051UL))

/******************************************************************************
 ** BT Registers BT2
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT2_PPG_PRLL                           *((volatile uint16_t*)(0x40025080UL))
#define FM3_BT2_PPG_PRLL                          *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_PWM_PCSR                           *((volatile uint16_t*)(0x40025080UL))
#define FM3_BT2_PWM_PCSR                          *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_RT_PCSR                            *((volatile uint16_t*)(0x40025080UL))
#define FM3_BT2_RT_PCSR                           *((volatile uint16_t*)(0x40025080UL))
#define FM_BT2_PPG_PRLH                           *((volatile uint16_t*)(0x40025084UL))
#define FM3_BT2_PPG_PRLH                          *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PWC_DTBF                           *((volatile uint16_t*)(0x40025084UL))
#define FM3_BT2_PWC_DTBF                          *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PWM_PDUT                           *((volatile uint16_t*)(0x40025084UL))
#define FM3_BT2_PWM_PDUT                          *((volatile uint16_t*)(0x40025084UL))
#define FM_BT2_PPG_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM3_BT2_PPG_TMR                           *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_PWM_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM3_BT2_PWM_TMR                           *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_RT_TMR                             *((volatile uint16_t*)(0x40025088UL))
#define FM3_BT2_RT_TMR                            *((volatile uint16_t*)(0x40025088UL))
#define FM_BT2_PPG_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM3_BT2_PPG_TMCR                          *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PWC_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM3_BT2_PWC_TMCR                          *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PWM_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM3_BT2_PWM_TMCR                          *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_RT_TMCR                            *((volatile uint16_t*)(0x4002508CUL))
#define FM3_BT2_RT_TMCR                           *((volatile uint16_t*)(0x4002508CUL))
#define FM_BT2_PPG_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM3_BT2_PPG_STC                           *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PWC_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM3_BT2_PWC_STC                           *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PWM_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM3_BT2_PWM_STC                           *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_RT_STC                             *((volatile  uint8_t*)(0x40025090UL))
#define FM3_BT2_RT_STC                            *((volatile  uint8_t*)(0x40025090UL))
#define FM_BT2_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM3_BT2_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM3_BT2_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))
#define FM3_BT2_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025091UL))
#define FM_BT2_RT_TMCR2                           *((volatile  uint8_t*)(0x40025091UL))
#define FM3_BT2_RT_TMCR2                          *((volatile  uint8_t*)(0x40025091UL))

/******************************************************************************
 ** BT Registers BT3
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT3_PPG_PRLL                           *((volatile uint16_t*)(0x400250C0UL))
#define FM3_BT3_PPG_PRLL                          *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_PWM_PCSR                           *((volatile uint16_t*)(0x400250C0UL))
#define FM3_BT3_PWM_PCSR                          *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_RT_PCSR                            *((volatile uint16_t*)(0x400250C0UL))
#define FM3_BT3_RT_PCSR                           *((volatile uint16_t*)(0x400250C0UL))
#define FM_BT3_PPG_PRLH                           *((volatile uint16_t*)(0x400250C4UL))
#define FM3_BT3_PPG_PRLH                          *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PWC_DTBF                           *((volatile uint16_t*)(0x400250C4UL))
#define FM3_BT3_PWC_DTBF                          *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PWM_PDUT                           *((volatile uint16_t*)(0x400250C4UL))
#define FM3_BT3_PWM_PDUT                          *((volatile uint16_t*)(0x400250C4UL))
#define FM_BT3_PPG_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM3_BT3_PPG_TMR                           *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_PWM_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM3_BT3_PWM_TMR                           *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_RT_TMR                             *((volatile uint16_t*)(0x400250C8UL))
#define FM3_BT3_RT_TMR                            *((volatile uint16_t*)(0x400250C8UL))
#define FM_BT3_PPG_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM3_BT3_PPG_TMCR                          *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PWC_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM3_BT3_PWC_TMCR                          *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PWM_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM3_BT3_PWM_TMCR                          *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_RT_TMCR                            *((volatile uint16_t*)(0x400250CCUL))
#define FM3_BT3_RT_TMCR                           *((volatile uint16_t*)(0x400250CCUL))
#define FM_BT3_PPG_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM3_BT3_PPG_STC                           *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PWC_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM3_BT3_PWC_STC                           *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PWM_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM3_BT3_PWM_STC                           *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_RT_STC                             *((volatile  uint8_t*)(0x400250D0UL))
#define FM3_BT3_RT_STC                            *((volatile  uint8_t*)(0x400250D0UL))
#define FM_BT3_PPG_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM3_BT3_PPG_TMCR2                         *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_PWC_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM3_BT3_PWC_TMCR2                         *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_PWM_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))
#define FM3_BT3_PWM_TMCR2                         *((volatile  uint8_t*)(0x400250D1UL))
#define FM_BT3_RT_TMCR2                           *((volatile  uint8_t*)(0x400250D1UL))
#define FM3_BT3_RT_TMCR2                          *((volatile  uint8_t*)(0x400250D1UL))

/******************************************************************************
 ** BT Registers BT4
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT4_PPG_PRLL                           *((volatile uint16_t*)(0x40025200UL))
#define FM3_BT4_PPG_PRLL                          *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_PWM_PCSR                           *((volatile uint16_t*)(0x40025200UL))
#define FM3_BT4_PWM_PCSR                          *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_RT_PCSR                            *((volatile uint16_t*)(0x40025200UL))
#define FM3_BT4_RT_PCSR                           *((volatile uint16_t*)(0x40025200UL))
#define FM_BT4_PPG_PRLH                           *((volatile uint16_t*)(0x40025204UL))
#define FM3_BT4_PPG_PRLH                          *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PWC_DTBF                           *((volatile uint16_t*)(0x40025204UL))
#define FM3_BT4_PWC_DTBF                          *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PWM_PDUT                           *((volatile uint16_t*)(0x40025204UL))
#define FM3_BT4_PWM_PDUT                          *((volatile uint16_t*)(0x40025204UL))
#define FM_BT4_PPG_TMR                            *((volatile uint16_t*)(0x40025208UL))
#define FM3_BT4_PPG_TMR                           *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_PWM_TMR                            *((volatile uint16_t*)(0x40025208UL))
#define FM3_BT4_PWM_TMR                           *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_RT_TMR                             *((volatile uint16_t*)(0x40025208UL))
#define FM3_BT4_RT_TMR                            *((volatile uint16_t*)(0x40025208UL))
#define FM_BT4_PPG_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM3_BT4_PPG_TMCR                          *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PWC_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM3_BT4_PWC_TMCR                          *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PWM_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM3_BT4_PWM_TMCR                          *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_RT_TMCR                            *((volatile uint16_t*)(0x4002520CUL))
#define FM3_BT4_RT_TMCR                           *((volatile uint16_t*)(0x4002520CUL))
#define FM_BT4_PPG_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM3_BT4_PPG_STC                           *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PWC_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM3_BT4_PWC_STC                           *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PWM_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM3_BT4_PWM_STC                           *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_RT_STC                             *((volatile  uint8_t*)(0x40025210UL))
#define FM3_BT4_RT_STC                            *((volatile  uint8_t*)(0x40025210UL))
#define FM_BT4_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM3_BT4_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM3_BT4_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))
#define FM3_BT4_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025211UL))
#define FM_BT4_RT_TMCR2                           *((volatile  uint8_t*)(0x40025211UL))
#define FM3_BT4_RT_TMCR2                          *((volatile  uint8_t*)(0x40025211UL))

/******************************************************************************
 ** BT Registers BT5
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT5_PPG_PRLL                           *((volatile uint16_t*)(0x40025240UL))
#define FM3_BT5_PPG_PRLL                          *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_PWM_PCSR                           *((volatile uint16_t*)(0x40025240UL))
#define FM3_BT5_PWM_PCSR                          *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_RT_PCSR                            *((volatile uint16_t*)(0x40025240UL))
#define FM3_BT5_RT_PCSR                           *((volatile uint16_t*)(0x40025240UL))
#define FM_BT5_PPG_PRLH                           *((volatile uint16_t*)(0x40025244UL))
#define FM3_BT5_PPG_PRLH                          *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PWC_DTBF                           *((volatile uint16_t*)(0x40025244UL))
#define FM3_BT5_PWC_DTBF                          *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PWM_PDUT                           *((volatile uint16_t*)(0x40025244UL))
#define FM3_BT5_PWM_PDUT                          *((volatile uint16_t*)(0x40025244UL))
#define FM_BT5_PPG_TMR                            *((volatile uint16_t*)(0x40025248UL))
#define FM3_BT5_PPG_TMR                           *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_PWM_TMR                            *((volatile uint16_t*)(0x40025248UL))
#define FM3_BT5_PWM_TMR                           *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_RT_TMR                             *((volatile uint16_t*)(0x40025248UL))
#define FM3_BT5_RT_TMR                            *((volatile uint16_t*)(0x40025248UL))
#define FM_BT5_PPG_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM3_BT5_PPG_TMCR                          *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PWC_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM3_BT5_PWC_TMCR                          *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PWM_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM3_BT5_PWM_TMCR                          *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_RT_TMCR                            *((volatile uint16_t*)(0x4002524CUL))
#define FM3_BT5_RT_TMCR                           *((volatile uint16_t*)(0x4002524CUL))
#define FM_BT5_PPG_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM3_BT5_PPG_STC                           *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PWC_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM3_BT5_PWC_STC                           *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PWM_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM3_BT5_PWM_STC                           *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_RT_STC                             *((volatile  uint8_t*)(0x40025250UL))
#define FM3_BT5_RT_STC                            *((volatile  uint8_t*)(0x40025250UL))
#define FM_BT5_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM3_BT5_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM3_BT5_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))
#define FM3_BT5_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025251UL))
#define FM_BT5_RT_TMCR2                           *((volatile  uint8_t*)(0x40025251UL))
#define FM3_BT5_RT_TMCR2                          *((volatile  uint8_t*)(0x40025251UL))

/******************************************************************************
 ** BT Registers BT6
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT6_PPG_PRLL                           *((volatile uint16_t*)(0x40025280UL))
#define FM3_BT6_PPG_PRLL                          *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_PWM_PCSR                           *((volatile uint16_t*)(0x40025280UL))
#define FM3_BT6_PWM_PCSR                          *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_RT_PCSR                            *((volatile uint16_t*)(0x40025280UL))
#define FM3_BT6_RT_PCSR                           *((volatile uint16_t*)(0x40025280UL))
#define FM_BT6_PPG_PRLH                           *((volatile uint16_t*)(0x40025284UL))
#define FM3_BT6_PPG_PRLH                          *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PWC_DTBF                           *((volatile uint16_t*)(0x40025284UL))
#define FM3_BT6_PWC_DTBF                          *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PWM_PDUT                           *((volatile uint16_t*)(0x40025284UL))
#define FM3_BT6_PWM_PDUT                          *((volatile uint16_t*)(0x40025284UL))
#define FM_BT6_PPG_TMR                            *((volatile uint16_t*)(0x40025288UL))
#define FM3_BT6_PPG_TMR                           *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_PWM_TMR                            *((volatile uint16_t*)(0x40025288UL))
#define FM3_BT6_PWM_TMR                           *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_RT_TMR                             *((volatile uint16_t*)(0x40025288UL))
#define FM3_BT6_RT_TMR                            *((volatile uint16_t*)(0x40025288UL))
#define FM_BT6_PPG_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM3_BT6_PPG_TMCR                          *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PWC_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM3_BT6_PWC_TMCR                          *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PWM_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM3_BT6_PWM_TMCR                          *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_RT_TMCR                            *((volatile uint16_t*)(0x4002528CUL))
#define FM3_BT6_RT_TMCR                           *((volatile uint16_t*)(0x4002528CUL))
#define FM_BT6_PPG_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM3_BT6_PPG_STC                           *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PWC_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM3_BT6_PWC_STC                           *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PWM_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM3_BT6_PWM_STC                           *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_RT_STC                             *((volatile  uint8_t*)(0x40025290UL))
#define FM3_BT6_RT_STC                            *((volatile  uint8_t*)(0x40025290UL))
#define FM_BT6_PPG_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM3_BT6_PPG_TMCR2                         *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_PWC_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM3_BT6_PWC_TMCR2                         *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_PWM_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))
#define FM3_BT6_PWM_TMCR2                         *((volatile  uint8_t*)(0x40025291UL))
#define FM_BT6_RT_TMCR2                           *((volatile  uint8_t*)(0x40025291UL))
#define FM3_BT6_RT_TMCR2                          *((volatile  uint8_t*)(0x40025291UL))

/******************************************************************************
 ** BT Registers BT7
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BT7_PPG_PRLL                           *((volatile uint16_t*)(0x400252C0UL))
#define FM3_BT7_PPG_PRLL                          *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_PWM_PCSR                           *((volatile uint16_t*)(0x400252C0UL))
#define FM3_BT7_PWM_PCSR                          *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_RT_PCSR                            *((volatile uint16_t*)(0x400252C0UL))
#define FM3_BT7_RT_PCSR                           *((volatile uint16_t*)(0x400252C0UL))
#define FM_BT7_PPG_PRLH                           *((volatile uint16_t*)(0x400252C4UL))
#define FM3_BT7_PPG_PRLH                          *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PWC_DTBF                           *((volatile uint16_t*)(0x400252C4UL))
#define FM3_BT7_PWC_DTBF                          *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PWM_PDUT                           *((volatile uint16_t*)(0x400252C4UL))
#define FM3_BT7_PWM_PDUT                          *((volatile uint16_t*)(0x400252C4UL))
#define FM_BT7_PPG_TMR                            *((volatile uint16_t*)(0x400252C8UL))
#define FM3_BT7_PPG_TMR                           *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_PWM_TMR                            *((volatile uint16_t*)(0x400252C8UL))
#define FM3_BT7_PWM_TMR                           *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_RT_TMR                             *((volatile uint16_t*)(0x400252C8UL))
#define FM3_BT7_RT_TMR                            *((volatile uint16_t*)(0x400252C8UL))
#define FM_BT7_PPG_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM3_BT7_PPG_TMCR                          *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PWC_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM3_BT7_PWC_TMCR                          *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PWM_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM3_BT7_PWM_TMCR                          *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_RT_TMCR                            *((volatile uint16_t*)(0x400252CCUL))
#define FM3_BT7_RT_TMCR                           *((volatile uint16_t*)(0x400252CCUL))
#define FM_BT7_PPG_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM3_BT7_PPG_STC                           *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PWC_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM3_BT7_PWC_STC                           *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PWM_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM3_BT7_PWM_STC                           *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_RT_STC                             *((volatile  uint8_t*)(0x400252D0UL))
#define FM3_BT7_RT_STC                            *((volatile  uint8_t*)(0x400252D0UL))
#define FM_BT7_PPG_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM3_BT7_PPG_TMCR2                         *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_PWC_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM3_BT7_PWC_TMCR2                         *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_PWM_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))
#define FM3_BT7_PWM_TMCR2                         *((volatile  uint8_t*)(0x400252D1UL))
#define FM_BT7_RT_TMCR2                           *((volatile  uint8_t*)(0x400252D1UL))
#define FM3_BT7_RT_TMCR2                          *((volatile  uint8_t*)(0x400252D1UL))

/******************************************************************************
 ** BTIOSEL03 Registers BTIOSEL03
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BTIOSEL03_BTSEL0123                    *((volatile  uint8_t*)(0x40025101UL))
#define FM3_BTIOSEL03_BTSEL0123                   *((volatile  uint8_t*)(0x40025101UL))

/******************************************************************************
 ** BTIOSEL47 Registers BTIOSEL47
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_BTIOSEL47_BTSEL4567                    *((volatile  uint8_t*)(0x40025301UL))
#define FM3_BTIOSEL47_BTSEL4567                   *((volatile  uint8_t*)(0x40025301UL))

/******************************************************************************
 ** CRC Registers CRC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRC_CRCCR                              *((volatile  uint8_t*)(0x40039000UL))
#define FM3_CRC_CRCCR                             *((volatile  uint8_t*)(0x40039000UL))
#define FM_CRC_CRCINIT                            *((volatile uint32_t*)(0x40039004UL))
#define FM3_CRC_CRCINIT                           *((volatile uint32_t*)(0x40039004UL))
#define FM_CRC_CRCIN                              *((volatile uint32_t*)(0x40039008UL))
#define FM3_CRC_CRCIN                             *((volatile uint32_t*)(0x40039008UL))
#define FM_CRC_CRCR                               *((volatile uint32_t*)(0x4003900CUL))
#define FM3_CRC_CRCR                              *((volatile uint32_t*)(0x4003900CUL))

/******************************************************************************
 ** CRG Registers CRG
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRG_SCM_CTL                            *((volatile uint32_t*)(0x40010000UL))
#define FM3_CRG_SCM_CTL                           *((volatile uint32_t*)(0x40010000UL))
#define FM_CRG_SCM_STR                            *((volatile uint32_t*)(0x40010004UL))
#define FM3_CRG_SCM_STR                           *((volatile uint32_t*)(0x40010004UL))
#define FM_CRG_STB_CTL                            *((volatile uint32_t*)(0x40010008UL))
#define FM3_CRG_STB_CTL                           *((volatile uint32_t*)(0x40010008UL))
#define FM_CRG_RST_STR                            *((volatile uint32_t*)(0x4001000CUL))
#define FM3_CRG_RST_STR                           *((volatile uint32_t*)(0x4001000CUL))
#define FM_CRG_BSC_PSR                            *((volatile uint32_t*)(0x40010010UL))
#define FM3_CRG_BSC_PSR                           *((volatile uint32_t*)(0x40010010UL))
#define FM_CRG_APBC0_PSR                          *((volatile uint32_t*)(0x40010014UL))
#define FM3_CRG_APBC0_PSR                         *((volatile uint32_t*)(0x40010014UL))
#define FM_CRG_APBC1_PSR                          *((volatile uint32_t*)(0x40010018UL))
#define FM3_CRG_APBC1_PSR                         *((volatile uint32_t*)(0x40010018UL))
#define FM_CRG_APBC2_PSR                          *((volatile uint32_t*)(0x4001001CUL))
#define FM3_CRG_APBC2_PSR                         *((volatile uint32_t*)(0x4001001CUL))
#define FM_CRG_SWC_PSR                            *((volatile uint32_t*)(0x40010020UL))
#define FM3_CRG_SWC_PSR                           *((volatile uint32_t*)(0x40010020UL))
#define FM_CRG_TTC_PSR                            *((volatile uint32_t*)(0x40010028UL))
#define FM3_CRG_TTC_PSR                           *((volatile uint32_t*)(0x40010028UL))
#define FM_CRG_CSW_TMR                            *((volatile uint32_t*)(0x40010030UL))
#define FM3_CRG_CSW_TMR                           *((volatile uint32_t*)(0x40010030UL))
#define FM_CRG_PSW_TMR                            *((volatile uint32_t*)(0x40010034UL))
#define FM3_CRG_PSW_TMR                           *((volatile uint32_t*)(0x40010034UL))
#define FM_CRG_PLL_CTL1                           *((volatile uint32_t*)(0x40010038UL))
#define FM3_CRG_PLL_CTL1                          *((volatile uint32_t*)(0x40010038UL))
#define FM_CRG_PLL_CTL2                           *((volatile uint32_t*)(0x4001003CUL))
#define FM3_CRG_PLL_CTL2                          *((volatile uint32_t*)(0x4001003CUL))
#define FM_CRG_CSV_CTL                            *((volatile uint32_t*)(0x40010040UL))
#define FM3_CRG_CSV_CTL                           *((volatile uint32_t*)(0x40010040UL))
#define FM_CRG_CSV_STR                            *((volatile uint32_t*)(0x40010044UL))
#define FM3_CRG_CSV_STR                           *((volatile uint32_t*)(0x40010044UL))
#define FM_CRG_FCSWH_CTL                          *((volatile uint32_t*)(0x40010048UL))
#define FM3_CRG_FCSWH_CTL                         *((volatile uint32_t*)(0x40010048UL))
#define FM_CRG_FCSWL_CTL                          *((volatile uint32_t*)(0x4001004CUL))
#define FM3_CRG_FCSWL_CTL                         *((volatile uint32_t*)(0x4001004CUL))
#define FM_CRG_FCSWD_CTL                          *((volatile uint32_t*)(0x40010050UL))
#define FM3_CRG_FCSWD_CTL                         *((volatile uint32_t*)(0x40010050UL))
#define FM_CRG_DBWDT_CTL                          *((volatile uint32_t*)(0x40010054UL))
#define FM3_CRG_DBWDT_CTL                         *((volatile uint32_t*)(0x40010054UL))
#define FM_CRG_INT_ENR                            *((volatile uint32_t*)(0x40010060UL))
#define FM3_CRG_INT_ENR                           *((volatile uint32_t*)(0x40010060UL))
#define FM_CRG_INT_STR                            *((volatile uint32_t*)(0x40010064UL))
#define FM3_CRG_INT_STR                           *((volatile uint32_t*)(0x40010064UL))
#define FM_CRG_INT_CLR                            *((volatile uint32_t*)(0x40010068UL))
#define FM3_CRG_INT_CLR                           *((volatile uint32_t*)(0x40010068UL))

/******************************************************************************
 ** CRTRIM Registers CRTRIM
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_CRTRIM_MCR_PSR                         *((volatile  uint8_t*)(0x4002E000UL))
#define FM3_CRTRIM_MCR_PSR                        *((volatile  uint8_t*)(0x4002E000UL))
#define FM_CRTRIM_MCR_FTRM                        *((volatile uint16_t*)(0x4002E004UL))
#define FM3_CRTRIM_MCR_FTRM                       *((volatile uint16_t*)(0x4002E004UL))
#define FM_CRTRIM_MCR_RLR                         *((volatile uint32_t*)(0x4002E00CUL))
#define FM3_CRTRIM_MCR_RLR                        *((volatile uint32_t*)(0x4002E00CUL))

/******************************************************************************
 ** DMAC Registers DMAC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DMAC_DMACR                             *((volatile uint32_t*)(0x40060000UL))
#define FM3_DMAC_DMACR                            *((volatile uint32_t*)(0x40060000UL))
#define FM_DMAC_DMACA0                            *((volatile uint32_t*)(0x40060010UL))
#define FM3_DMAC_DMACA0                           *((volatile uint32_t*)(0x40060010UL))
#define FM_DMAC_DMACB0                            *((volatile uint32_t*)(0x40060014UL))
#define FM3_DMAC_DMACB0                           *((volatile uint32_t*)(0x40060014UL))
#define FM_DMAC_DMACSA0                           *((volatile uint32_t*)(0x40060018UL))
#define FM3_DMAC_DMACSA0                          *((volatile uint32_t*)(0x40060018UL))
#define FM_DMAC_DMACDA0                           *((volatile uint32_t*)(0x4006001CUL))
#define FM3_DMAC_DMACDA0                          *((volatile uint32_t*)(0x4006001CUL))
#define FM_DMAC_DMACA1                            *((volatile uint32_t*)(0x40060020UL))
#define FM3_DMAC_DMACA1                           *((volatile uint32_t*)(0x40060020UL))
#define FM_DMAC_DMACB1                            *((volatile uint32_t*)(0x40060024UL))
#define FM3_DMAC_DMACB1                           *((volatile uint32_t*)(0x40060024UL))
#define FM_DMAC_DMACSA1                           *((volatile uint32_t*)(0x40060028UL))
#define FM3_DMAC_DMACSA1                          *((volatile uint32_t*)(0x40060028UL))
#define FM_DMAC_DMACDA1                           *((volatile uint32_t*)(0x4006002CUL))
#define FM3_DMAC_DMACDA1                          *((volatile uint32_t*)(0x4006002CUL))
#define FM_DMAC_DMACA2                            *((volatile uint32_t*)(0x40060030UL))
#define FM3_DMAC_DMACA2                           *((volatile uint32_t*)(0x40060030UL))
#define FM_DMAC_DMACB2                            *((volatile uint32_t*)(0x40060034UL))
#define FM3_DMAC_DMACB2                           *((volatile uint32_t*)(0x40060034UL))
#define FM_DMAC_DMACSA2                           *((volatile uint32_t*)(0x40060038UL))
#define FM3_DMAC_DMACSA2                          *((volatile uint32_t*)(0x40060038UL))
#define FM_DMAC_DMACDA2                           *((volatile uint32_t*)(0x4006003CUL))
#define FM3_DMAC_DMACDA2                          *((volatile uint32_t*)(0x4006003CUL))
#define FM_DMAC_DMACA3                            *((volatile uint32_t*)(0x40060040UL))
#define FM3_DMAC_DMACA3                           *((volatile uint32_t*)(0x40060040UL))
#define FM_DMAC_DMACB3                            *((volatile uint32_t*)(0x40060044UL))
#define FM3_DMAC_DMACB3                           *((volatile uint32_t*)(0x40060044UL))
#define FM_DMAC_DMACSA3                           *((volatile uint32_t*)(0x40060048UL))
#define FM3_DMAC_DMACSA3                          *((volatile uint32_t*)(0x40060048UL))
#define FM_DMAC_DMACDA3                           *((volatile uint32_t*)(0x4006004CUL))
#define FM3_DMAC_DMACDA3                          *((volatile uint32_t*)(0x4006004CUL))
#define FM_DMAC_DMACA4                            *((volatile uint32_t*)(0x40060050UL))
#define FM3_DMAC_DMACA4                           *((volatile uint32_t*)(0x40060050UL))
#define FM_DMAC_DMACB4                            *((volatile uint32_t*)(0x40060054UL))
#define FM3_DMAC_DMACB4                           *((volatile uint32_t*)(0x40060054UL))
#define FM_DMAC_DMACSA4                           *((volatile uint32_t*)(0x40060058UL))
#define FM3_DMAC_DMACSA4                          *((volatile uint32_t*)(0x40060058UL))
#define FM_DMAC_DMACDA4                           *((volatile uint32_t*)(0x4006005CUL))
#define FM3_DMAC_DMACDA4                          *((volatile uint32_t*)(0x4006005CUL))
#define FM_DMAC_DMACA5                            *((volatile uint32_t*)(0x40060060UL))
#define FM3_DMAC_DMACA5                           *((volatile uint32_t*)(0x40060060UL))
#define FM_DMAC_DMACB5                            *((volatile uint32_t*)(0x40060064UL))
#define FM3_DMAC_DMACB5                           *((volatile uint32_t*)(0x40060064UL))
#define FM_DMAC_DMACSA5                           *((volatile uint32_t*)(0x40060068UL))
#define FM3_DMAC_DMACSA5                          *((volatile uint32_t*)(0x40060068UL))
#define FM_DMAC_DMACDA5                           *((volatile uint32_t*)(0x4006006CUL))
#define FM3_DMAC_DMACDA5                          *((volatile uint32_t*)(0x4006006CUL))
#define FM_DMAC_DMACA6                            *((volatile uint32_t*)(0x40060070UL))
#define FM3_DMAC_DMACA6                           *((volatile uint32_t*)(0x40060070UL))
#define FM_DMAC_DMACB6                            *((volatile uint32_t*)(0x40060074UL))
#define FM3_DMAC_DMACB6                           *((volatile uint32_t*)(0x40060074UL))
#define FM_DMAC_DMACSA6                           *((volatile uint32_t*)(0x40060078UL))
#define FM3_DMAC_DMACSA6                          *((volatile uint32_t*)(0x40060078UL))
#define FM_DMAC_DMACDA6                           *((volatile uint32_t*)(0x4006007CUL))
#define FM3_DMAC_DMACDA6                          *((volatile uint32_t*)(0x4006007CUL))
#define FM_DMAC_DMACA7                            *((volatile uint32_t*)(0x40060080UL))
#define FM3_DMAC_DMACA7                           *((volatile uint32_t*)(0x40060080UL))
#define FM_DMAC_DMACB7                            *((volatile uint32_t*)(0x40060084UL))
#define FM3_DMAC_DMACB7                           *((volatile uint32_t*)(0x40060084UL))
#define FM_DMAC_DMACSA7                           *((volatile uint32_t*)(0x40060088UL))
#define FM3_DMAC_DMACSA7                          *((volatile uint32_t*)(0x40060088UL))
#define FM_DMAC_DMACDA7                           *((volatile uint32_t*)(0x4006008CUL))
#define FM3_DMAC_DMACDA7                          *((volatile uint32_t*)(0x4006008CUL))

/******************************************************************************
 ** DS Registers DS
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DS_REG_CTL                             *((volatile  uint8_t*)(0x40035100UL))
#define FM3_DS_REG_CTL                            *((volatile  uint8_t*)(0x40035100UL))
#define FM_DS_RCK_CTL                             *((volatile  uint8_t*)(0x40035104UL))
#define FM3_DS_RCK_CTL                            *((volatile  uint8_t*)(0x40035104UL))
#define FM_DS_PMD_CTL                             *((volatile  uint8_t*)(0x40035800UL))
#define FM3_DS_PMD_CTL                            *((volatile  uint8_t*)(0x40035800UL))
#define FM_DS_WRFSR                               *((volatile  uint8_t*)(0x40035804UL))
#define FM3_DS_WRFSR                              *((volatile  uint8_t*)(0x40035804UL))
#define FM_DS_WIFSR                               *((volatile uint16_t*)(0x40035808UL))
#define FM3_DS_WIFSR                              *((volatile uint16_t*)(0x40035808UL))
#define FM_DS_WIER                                *((volatile uint16_t*)(0x4003580CUL))
#define FM3_DS_WIER                               *((volatile uint16_t*)(0x4003580CUL))
#define FM_DS_WILVR                               *((volatile  uint8_t*)(0x40035810UL))
#define FM3_DS_WILVR                              *((volatile  uint8_t*)(0x40035810UL))
#define FM_DS_DSRAMR                              *((volatile  uint8_t*)(0x40035814UL))
#define FM3_DS_DSRAMR                             *((volatile  uint8_t*)(0x40035814UL))
#define FM_DS_BUR01                               *((volatile  uint8_t*)(0x40035900UL))
#define FM3_DS_BUR01                              *((volatile  uint8_t*)(0x40035900UL))
#define FM_DS_BUR02                               *((volatile  uint8_t*)(0x40035901UL))
#define FM3_DS_BUR02                              *((volatile  uint8_t*)(0x40035901UL))
#define FM_DS_BUR03                               *((volatile  uint8_t*)(0x40035902UL))
#define FM3_DS_BUR03                              *((volatile  uint8_t*)(0x40035902UL))
#define FM_DS_BUR04                               *((volatile  uint8_t*)(0x40035903UL))
#define FM3_DS_BUR04                              *((volatile  uint8_t*)(0x40035903UL))
#define FM_DS_BUR05                               *((volatile  uint8_t*)(0x40035904UL))
#define FM3_DS_BUR05                              *((volatile  uint8_t*)(0x40035904UL))
#define FM_DS_BUR06                               *((volatile  uint8_t*)(0x40035905UL))
#define FM3_DS_BUR06                              *((volatile  uint8_t*)(0x40035905UL))
#define FM_DS_BUR07                               *((volatile  uint8_t*)(0x40035906UL))
#define FM3_DS_BUR07                              *((volatile  uint8_t*)(0x40035906UL))
#define FM_DS_BUR08                               *((volatile  uint8_t*)(0x40035907UL))
#define FM3_DS_BUR08                              *((volatile  uint8_t*)(0x40035907UL))
#define FM_DS_BUR09                               *((volatile  uint8_t*)(0x40035908UL))
#define FM3_DS_BUR09                              *((volatile  uint8_t*)(0x40035908UL))
#define FM_DS_BUR10                               *((volatile  uint8_t*)(0x40035909UL))
#define FM3_DS_BUR10                              *((volatile  uint8_t*)(0x40035909UL))
#define FM_DS_BUR11                               *((volatile  uint8_t*)(0x4003590AUL))
#define FM3_DS_BUR11                              *((volatile  uint8_t*)(0x4003590AUL))
#define FM_DS_BUR12                               *((volatile  uint8_t*)(0x4003590BUL))
#define FM3_DS_BUR12                              *((volatile  uint8_t*)(0x4003590BUL))
#define FM_DS_BUR13                               *((volatile  uint8_t*)(0x4003590CUL))
#define FM3_DS_BUR13                              *((volatile  uint8_t*)(0x4003590CUL))
#define FM_DS_BUR14                               *((volatile  uint8_t*)(0x4003590DUL))
#define FM3_DS_BUR14                              *((volatile  uint8_t*)(0x4003590DUL))
#define FM_DS_BUR15                               *((volatile  uint8_t*)(0x4003590EUL))
#define FM3_DS_BUR15                              *((volatile  uint8_t*)(0x4003590EUL))
#define FM_DS_BUR16                               *((volatile  uint8_t*)(0x4003590FUL))
#define FM3_DS_BUR16                              *((volatile  uint8_t*)(0x4003590FUL))

/******************************************************************************
 ** DT Registers DT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_DT_TIMER1LOAD                          *((volatile uint32_t*)(0x40015000UL))
#define FM3_DT_TIMER1LOAD                         *((volatile uint32_t*)(0x40015000UL))
#define FM_DT_TIMER1VALUE                         *((volatile uint32_t*)(0x40015004UL))
#define FM3_DT_TIMER1VALUE                        *((volatile uint32_t*)(0x40015004UL))
#define FM_DT_TIMER1CONTROL                       *((volatile uint32_t*)(0x40015008UL))
#define FM3_DT_TIMER1CONTROL                      *((volatile uint32_t*)(0x40015008UL))
#define FM_DT_TIMER1INTCLR                        *((volatile uint32_t*)(0x4001500CUL))
#define FM3_DT_TIMER1INTCLR                       *((volatile uint32_t*)(0x4001500CUL))
#define FM_DT_TIMER1RIS                           *((volatile uint32_t*)(0x40015010UL))
#define FM3_DT_TIMER1RIS                          *((volatile uint32_t*)(0x40015010UL))
#define FM_DT_TIMER1MIS                           *((volatile uint32_t*)(0x40015014UL))
#define FM3_DT_TIMER1MIS                          *((volatile uint32_t*)(0x40015014UL))
#define FM_DT_TIMER1BGLOAD                        *((volatile uint32_t*)(0x40015018UL))
#define FM3_DT_TIMER1BGLOAD                       *((volatile uint32_t*)(0x40015018UL))
#define FM_DT_TIMER2LOAD                          *((volatile uint32_t*)(0x40015020UL))
#define FM3_DT_TIMER2LOAD                         *((volatile uint32_t*)(0x40015020UL))
#define FM_DT_TIMER2VALUE                         *((volatile uint32_t*)(0x40015024UL))
#define FM3_DT_TIMER2VALUE                        *((volatile uint32_t*)(0x40015024UL))
#define FM_DT_TIMER2CONTROL                       *((volatile uint32_t*)(0x40015028UL))
#define FM3_DT_TIMER2CONTROL                      *((volatile uint32_t*)(0x40015028UL))
#define FM_DT_TIMER2INTCLR                        *((volatile uint32_t*)(0x4001502CUL))
#define FM3_DT_TIMER2INTCLR                       *((volatile uint32_t*)(0x4001502CUL))
#define FM_DT_TIMER2RIS                           *((volatile uint32_t*)(0x40015030UL))
#define FM3_DT_TIMER2RIS                          *((volatile uint32_t*)(0x40015030UL))
#define FM_DT_TIMER2MIS                           *((volatile uint32_t*)(0x40015034UL))
#define FM3_DT_TIMER2MIS                          *((volatile uint32_t*)(0x40015034UL))
#define FM_DT_TIMER2BGLOAD                        *((volatile uint32_t*)(0x40015038UL))
#define FM3_DT_TIMER2BGLOAD                       *((volatile uint32_t*)(0x40015038UL))

/******************************************************************************
 ** EXBUS Registers EXBUS
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_EXBUS_MODE0                            *((volatile uint32_t*)(0x4003F000UL))
#define FM3_EXBUS_MODE0                           *((volatile uint32_t*)(0x4003F000UL))
#define FM_EXBUS_MODE1                            *((volatile uint32_t*)(0x4003F004UL))
#define FM3_EXBUS_MODE1                           *((volatile uint32_t*)(0x4003F004UL))
#define FM_EXBUS_MODE2                            *((volatile uint32_t*)(0x4003F008UL))
#define FM3_EXBUS_MODE2                           *((volatile uint32_t*)(0x4003F008UL))
#define FM_EXBUS_MODE3                            *((volatile uint32_t*)(0x4003F00CUL))
#define FM3_EXBUS_MODE3                           *((volatile uint32_t*)(0x4003F00CUL))
#define FM_EXBUS_MODE4                            *((volatile uint32_t*)(0x4003F010UL))
#define FM3_EXBUS_MODE4                           *((volatile uint32_t*)(0x4003F010UL))
#define FM_EXBUS_MODE5                            *((volatile uint32_t*)(0x4003F014UL))
#define FM3_EXBUS_MODE5                           *((volatile uint32_t*)(0x4003F014UL))
#define FM_EXBUS_MODE6                            *((volatile uint32_t*)(0x4003F018UL))
#define FM3_EXBUS_MODE6                           *((volatile uint32_t*)(0x4003F018UL))
#define FM_EXBUS_MODE7                            *((volatile uint32_t*)(0x4003F01CUL))
#define FM3_EXBUS_MODE7                           *((volatile uint32_t*)(0x4003F01CUL))
#define FM_EXBUS_TIM0                             *((volatile uint32_t*)(0x4003F020UL))
#define FM3_EXBUS_TIM0                            *((volatile uint32_t*)(0x4003F020UL))
#define FM_EXBUS_TIM1                             *((volatile uint32_t*)(0x4003F024UL))
#define FM3_EXBUS_TIM1                            *((volatile uint32_t*)(0x4003F024UL))
#define FM_EXBUS_TIM2                             *((volatile uint32_t*)(0x4003F028UL))
#define FM3_EXBUS_TIM2                            *((volatile uint32_t*)(0x4003F028UL))
#define FM_EXBUS_TIM3                             *((volatile uint32_t*)(0x4003F02CUL))
#define FM3_EXBUS_TIM3                            *((volatile uint32_t*)(0x4003F02CUL))
#define FM_EXBUS_TIM4                             *((volatile uint32_t*)(0x4003F030UL))
#define FM3_EXBUS_TIM4                            *((volatile uint32_t*)(0x4003F030UL))
#define FM_EXBUS_TIM5                             *((volatile uint32_t*)(0x4003F034UL))
#define FM3_EXBUS_TIM5                            *((volatile uint32_t*)(0x4003F034UL))
#define FM_EXBUS_TIM6                             *((volatile uint32_t*)(0x4003F038UL))
#define FM3_EXBUS_TIM6                            *((volatile uint32_t*)(0x4003F038UL))
#define FM_EXBUS_TIM7                             *((volatile uint32_t*)(0x4003F03CUL))
#define FM3_EXBUS_TIM7                            *((volatile uint32_t*)(0x4003F03CUL))
#define FM_EXBUS_AREA0                            *((volatile uint32_t*)(0x4003F040UL))
#define FM3_EXBUS_AREA0                           *((volatile uint32_t*)(0x4003F040UL))
#define FM_EXBUS_AREA1                            *((volatile uint32_t*)(0x4003F044UL))
#define FM3_EXBUS_AREA1                           *((volatile uint32_t*)(0x4003F044UL))
#define FM_EXBUS_AREA2                            *((volatile uint32_t*)(0x4003F048UL))
#define FM3_EXBUS_AREA2                           *((volatile uint32_t*)(0x4003F048UL))
#define FM_EXBUS_AREA3                            *((volatile uint32_t*)(0x4003F04CUL))
#define FM3_EXBUS_AREA3                           *((volatile uint32_t*)(0x4003F04CUL))
#define FM_EXBUS_AREA4                            *((volatile uint32_t*)(0x4003F050UL))
#define FM3_EXBUS_AREA4                           *((volatile uint32_t*)(0x4003F050UL))
#define FM_EXBUS_AREA5                            *((volatile uint32_t*)(0x4003F054UL))
#define FM3_EXBUS_AREA5                           *((volatile uint32_t*)(0x4003F054UL))
#define FM_EXBUS_AREA6                            *((volatile uint32_t*)(0x4003F058UL))
#define FM3_EXBUS_AREA6                           *((volatile uint32_t*)(0x4003F058UL))
#define FM_EXBUS_AREA7                            *((volatile uint32_t*)(0x4003F05CUL))
#define FM3_EXBUS_AREA7                           *((volatile uint32_t*)(0x4003F05CUL))
#define FM_EXBUS_ATIM0                            *((volatile uint32_t*)(0x4003F060UL))
#define FM3_EXBUS_ATIM0                           *((volatile uint32_t*)(0x4003F060UL))
#define FM_EXBUS_ATIM1                            *((volatile uint32_t*)(0x4003F064UL))
#define FM3_EXBUS_ATIM1                           *((volatile uint32_t*)(0x4003F064UL))
#define FM_EXBUS_ATIM2                            *((volatile uint32_t*)(0x4003F068UL))
#define FM3_EXBUS_ATIM2                           *((volatile uint32_t*)(0x4003F068UL))
#define FM_EXBUS_ATIM3                            *((volatile uint32_t*)(0x4003F06CUL))
#define FM3_EXBUS_ATIM3                           *((volatile uint32_t*)(0x4003F06CUL))
#define FM_EXBUS_ATIM4                            *((volatile uint32_t*)(0x4003F070UL))
#define FM3_EXBUS_ATIM4                           *((volatile uint32_t*)(0x4003F070UL))
#define FM_EXBUS_ATIM5                            *((volatile uint32_t*)(0x4003F074UL))
#define FM3_EXBUS_ATIM5                           *((volatile uint32_t*)(0x4003F074UL))
#define FM_EXBUS_ATIM6                            *((volatile uint32_t*)(0x4003F078UL))
#define FM3_EXBUS_ATIM6                           *((volatile uint32_t*)(0x4003F078UL))
#define FM_EXBUS_ATIM7                            *((volatile uint32_t*)(0x4003F07CUL))
#define FM3_EXBUS_ATIM7                           *((volatile uint32_t*)(0x4003F07CUL))
#define FM_EXBUS_DCLKR                            *((volatile uint32_t*)(0x4003F300UL))
#define FM3_EXBUS_DCLKR                           *((volatile uint32_t*)(0x4003F300UL))

/******************************************************************************
 ** EXTI Registers EXTI
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_EXTI_ENIR                              *((volatile uint32_t*)(0x40030000UL))
#define FM3_EXTI_ENIR                             *((volatile uint32_t*)(0x40030000UL))
#define FM_EXTI_EIRR                              *((volatile uint32_t*)(0x40030004UL))
#define FM3_EXTI_EIRR                             *((volatile uint32_t*)(0x40030004UL))
#define FM_EXTI_EICL                              *((volatile uint32_t*)(0x40030008UL))
#define FM3_EXTI_EICL                             *((volatile uint32_t*)(0x40030008UL))
#define FM_EXTI_ELVR                              *((volatile uint32_t*)(0x4003000CUL))
#define FM3_EXTI_ELVR                             *((volatile uint32_t*)(0x4003000CUL))
#define FM_EXTI_ELVR1                             *((volatile uint32_t*)(0x40030010UL))
#define FM3_EXTI_ELVR1                            *((volatile uint32_t*)(0x40030010UL))
#define FM_EXTI_NMIRR                             *((volatile uint16_t*)(0x40030014UL))
#define FM3_EXTI_NMIRR                            *((volatile uint16_t*)(0x40030014UL))
#define FM_EXTI_NMICL                             *((volatile uint16_t*)(0x40030018UL))
#define FM3_EXTI_NMICL                            *((volatile uint16_t*)(0x40030018UL))

/******************************************************************************
 ** FLASH_IF Registers FLASH_IF
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_FLASH_IF_FRWTR                         *((volatile uint32_t*)(0x40000004UL))
#define FM3_FLASH_IF_FRWTR                        *((volatile uint32_t*)(0x40000004UL))
#define FM_FLASH_IF_FSTR                          *((volatile uint32_t*)(0x40000008UL))
#define FM3_FLASH_IF_FSTR                         *((volatile uint32_t*)(0x40000008UL))
#define FM_FLASH_IF_FICR                          *((volatile uint32_t*)(0x40000020UL))
#define FM3_FLASH_IF_FICR                         *((volatile uint32_t*)(0x40000020UL))
#define FM_FLASH_IF_FISR                          *((volatile uint32_t*)(0x40000024UL))
#define FM3_FLASH_IF_FISR                         *((volatile uint32_t*)(0x40000024UL))
#define FM_FLASH_IF_FICLR                         *((volatile uint32_t*)(0x40000028UL))
#define FM3_FLASH_IF_FICLR                        *((volatile uint32_t*)(0x40000028UL))
#define FM_FLASH_IF_CRTRMM                        *((volatile uint32_t*)(0x40000100UL))
#define FM3_FLASH_IF_CRTRMM                       *((volatile uint32_t*)(0x40000100UL))

/******************************************************************************
 ** GPIO Registers GPIO
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_GPIO_PFR0                              *((volatile uint32_t*)(0x40033000UL))
#define FM3_GPIO_PFR0                             *((volatile uint32_t*)(0x40033000UL))
#define FM_GPIO_PFR1                              *((volatile uint32_t*)(0x40033004UL))
#define FM3_GPIO_PFR1                             *((volatile uint32_t*)(0x40033004UL))
#define FM_GPIO_PFR2                              *((volatile uint32_t*)(0x40033008UL))
#define FM3_GPIO_PFR2                             *((volatile uint32_t*)(0x40033008UL))
#define FM_GPIO_PFR3                              *((volatile uint32_t*)(0x4003300CUL))
#define FM3_GPIO_PFR3                             *((volatile uint32_t*)(0x4003300CUL))
#define FM_GPIO_PFR4                              *((volatile uint32_t*)(0x40033010UL))
#define FM3_GPIO_PFR4                             *((volatile uint32_t*)(0x40033010UL))
#define FM_GPIO_PFR5                              *((volatile uint32_t*)(0x40033014UL))
#define FM3_GPIO_PFR5                             *((volatile uint32_t*)(0x40033014UL))
#define FM_GPIO_PFR6                              *((volatile uint32_t*)(0x40033018UL))
#define FM3_GPIO_PFR6                             *((volatile uint32_t*)(0x40033018UL))
#define FM_GPIO_PFR7                              *((volatile uint32_t*)(0x4003301CUL))
#define FM3_GPIO_PFR7                             *((volatile uint32_t*)(0x4003301CUL))
#define FM_GPIO_PFR8                              *((volatile uint32_t*)(0x40033020UL))
#define FM3_GPIO_PFR8                             *((volatile uint32_t*)(0x40033020UL))
#define FM_GPIO_PFR9                              *((volatile uint32_t*)(0x40033024UL))
#define FM3_GPIO_PFR9                             *((volatile uint32_t*)(0x40033024UL))
#define FM_GPIO_PFRA                              *((volatile uint32_t*)(0x40033028UL))
#define FM3_GPIO_PFRA                             *((volatile uint32_t*)(0x40033028UL))
#define FM_GPIO_PFRB                              *((volatile uint32_t*)(0x4003302CUL))
#define FM3_GPIO_PFRB                             *((volatile uint32_t*)(0x4003302CUL))
#define FM_GPIO_PFRC                              *((volatile uint32_t*)(0x40033030UL))
#define FM3_GPIO_PFRC                             *((volatile uint32_t*)(0x40033030UL))
#define FM_GPIO_PFRD                              *((volatile uint32_t*)(0x40033034UL))
#define FM3_GPIO_PFRD                             *((volatile uint32_t*)(0x40033034UL))
#define FM_GPIO_PFRE                              *((volatile uint32_t*)(0x40033038UL))
#define FM3_GPIO_PFRE                             *((volatile uint32_t*)(0x40033038UL))
#define FM_GPIO_PFRF                              *((volatile uint32_t*)(0x4003303CUL))
#define FM3_GPIO_PFRF                             *((volatile uint32_t*)(0x4003303CUL))
#define FM_GPIO_PCR0                              *((volatile uint32_t*)(0x40033100UL))
#define FM3_GPIO_PCR0                             *((volatile uint32_t*)(0x40033100UL))
#define FM_GPIO_PCR1                              *((volatile uint32_t*)(0x40033104UL))
#define FM3_GPIO_PCR1                             *((volatile uint32_t*)(0x40033104UL))
#define FM_GPIO_PCR2                              *((volatile uint32_t*)(0x40033108UL))
#define FM3_GPIO_PCR2                             *((volatile uint32_t*)(0x40033108UL))
#define FM_GPIO_PCR3                              *((volatile uint32_t*)(0x4003310CUL))
#define FM3_GPIO_PCR3                             *((volatile uint32_t*)(0x4003310CUL))
#define FM_GPIO_PCR4                              *((volatile uint32_t*)(0x40033110UL))
#define FM3_GPIO_PCR4                             *((volatile uint32_t*)(0x40033110UL))
#define FM_GPIO_PCR5                              *((volatile uint32_t*)(0x40033114UL))
#define FM3_GPIO_PCR5                             *((volatile uint32_t*)(0x40033114UL))
#define FM_GPIO_PCR6                              *((volatile uint32_t*)(0x40033118UL))
#define FM3_GPIO_PCR6                             *((volatile uint32_t*)(0x40033118UL))
#define FM_GPIO_PCR7                              *((volatile uint32_t*)(0x4003311CUL))
#define FM3_GPIO_PCR7                             *((volatile uint32_t*)(0x4003311CUL))
#define FM_GPIO_PCR9                              *((volatile uint32_t*)(0x40033124UL))
#define FM3_GPIO_PCR9                             *((volatile uint32_t*)(0x40033124UL))
#define FM_GPIO_PCRA                              *((volatile uint32_t*)(0x40033128UL))
#define FM3_GPIO_PCRA                             *((volatile uint32_t*)(0x40033128UL))
#define FM_GPIO_PCRB                              *((volatile uint32_t*)(0x4003312CUL))
#define FM3_GPIO_PCRB                             *((volatile uint32_t*)(0x4003312CUL))
#define FM_GPIO_PCRC                              *((volatile uint32_t*)(0x40033130UL))
#define FM3_GPIO_PCRC                             *((volatile uint32_t*)(0x40033130UL))
#define FM_GPIO_PCRD                              *((volatile uint32_t*)(0x40033134UL))
#define FM3_GPIO_PCRD                             *((volatile uint32_t*)(0x40033134UL))
#define FM_GPIO_PCRE                              *((volatile uint32_t*)(0x40033138UL))
#define FM3_GPIO_PCRE                             *((volatile uint32_t*)(0x40033138UL))
#define FM_GPIO_PCRF                              *((volatile uint32_t*)(0x4003313CUL))
#define FM3_GPIO_PCRF                             *((volatile uint32_t*)(0x4003313CUL))
#define FM_GPIO_DDR0                              *((volatile uint32_t*)(0x40033200UL))
#define FM3_GPIO_DDR0                             *((volatile uint32_t*)(0x40033200UL))
#define FM_GPIO_DDR1                              *((volatile uint32_t*)(0x40033204UL))
#define FM3_GPIO_DDR1                             *((volatile uint32_t*)(0x40033204UL))
#define FM_GPIO_DDR2                              *((volatile uint32_t*)(0x40033208UL))
#define FM3_GPIO_DDR2                             *((volatile uint32_t*)(0x40033208UL))
#define FM_GPIO_DDR3                              *((volatile uint32_t*)(0x4003320CUL))
#define FM3_GPIO_DDR3                             *((volatile uint32_t*)(0x4003320CUL))
#define FM_GPIO_DDR4                              *((volatile uint32_t*)(0x40033210UL))
#define FM3_GPIO_DDR4                             *((volatile uint32_t*)(0x40033210UL))
#define FM_GPIO_DDR5                              *((volatile uint32_t*)(0x40033214UL))
#define FM3_GPIO_DDR5                             *((volatile uint32_t*)(0x40033214UL))
#define FM_GPIO_DDR6                              *((volatile uint32_t*)(0x40033218UL))
#define FM3_GPIO_DDR6                             *((volatile uint32_t*)(0x40033218UL))
#define FM_GPIO_DDR7                              *((volatile uint32_t*)(0x4003321CUL))
#define FM3_GPIO_DDR7                             *((volatile uint32_t*)(0x4003321CUL))
#define FM_GPIO_DDR8                              *((volatile uint32_t*)(0x40033220UL))
#define FM3_GPIO_DDR8                             *((volatile uint32_t*)(0x40033220UL))
#define FM_GPIO_DDR9                              *((volatile uint32_t*)(0x40033224UL))
#define FM3_GPIO_DDR9                             *((volatile uint32_t*)(0x40033224UL))
#define FM_GPIO_DDRA                              *((volatile uint32_t*)(0x40033228UL))
#define FM3_GPIO_DDRA                             *((volatile uint32_t*)(0x40033228UL))
#define FM_GPIO_DDRB                              *((volatile uint32_t*)(0x4003322CUL))
#define FM3_GPIO_DDRB                             *((volatile uint32_t*)(0x4003322CUL))
#define FM_GPIO_DDRC                              *((volatile uint32_t*)(0x40033230UL))
#define FM3_GPIO_DDRC                             *((volatile uint32_t*)(0x40033230UL))
#define FM_GPIO_DDRD                              *((volatile uint32_t*)(0x40033234UL))
#define FM3_GPIO_DDRD                             *((volatile uint32_t*)(0x40033234UL))
#define FM_GPIO_DDRE                              *((volatile uint32_t*)(0x40033238UL))
#define FM3_GPIO_DDRE                             *((volatile uint32_t*)(0x40033238UL))
#define FM_GPIO_DDRF                              *((volatile uint32_t*)(0x4003323CUL))
#define FM3_GPIO_DDRF                             *((volatile uint32_t*)(0x4003323CUL))
#define FM_GPIO_PDIR0                             *((volatile uint32_t*)(0x40033300UL))
#define FM3_GPIO_PDIR0                            *((volatile uint32_t*)(0x40033300UL))
#define FM_GPIO_PDIR1                             *((volatile uint32_t*)(0x40033304UL))
#define FM3_GPIO_PDIR1                            *((volatile uint32_t*)(0x40033304UL))
#define FM_GPIO_PDIR2                             *((volatile uint32_t*)(0x40033308UL))
#define FM3_GPIO_PDIR2                            *((volatile uint32_t*)(0x40033308UL))
#define FM_GPIO_PDIR3                             *((volatile uint32_t*)(0x4003330CUL))
#define FM3_GPIO_PDIR3                            *((volatile uint32_t*)(0x4003330CUL))
#define FM_GPIO_PDIR4                             *((volatile uint32_t*)(0x40033310UL))
#define FM3_GPIO_PDIR4                            *((volatile uint32_t*)(0x40033310UL))
#define FM_GPIO_PDIR5                             *((volatile uint32_t*)(0x40033314UL))
#define FM3_GPIO_PDIR5                            *((volatile uint32_t*)(0x40033314UL))
#define FM_GPIO_PDIR6                             *((volatile uint32_t*)(0x40033318UL))
#define FM3_GPIO_PDIR6                            *((volatile uint32_t*)(0x40033318UL))
#define FM_GPIO_PDIR7                             *((volatile uint32_t*)(0x4003331CUL))
#define FM3_GPIO_PDIR7                            *((volatile uint32_t*)(0x4003331CUL))
#define FM_GPIO_PDIR8                             *((volatile uint32_t*)(0x40033320UL))
#define FM3_GPIO_PDIR8                            *((volatile uint32_t*)(0x40033320UL))
#define FM_GPIO_PDIR9                             *((volatile uint32_t*)(0x40033324UL))
#define FM3_GPIO_PDIR9                            *((volatile uint32_t*)(0x40033324UL))
#define FM_GPIO_PDIRA                             *((volatile uint32_t*)(0x40033328UL))
#define FM3_GPIO_PDIRA                            *((volatile uint32_t*)(0x40033328UL))
#define FM_GPIO_PDIRB                             *((volatile uint32_t*)(0x4003332CUL))
#define FM3_GPIO_PDIRB                            *((volatile uint32_t*)(0x4003332CUL))
#define FM_GPIO_PDIRC                             *((volatile uint32_t*)(0x40033330UL))
#define FM3_GPIO_PDIRC                            *((volatile uint32_t*)(0x40033330UL))
#define FM_GPIO_PDIRD                             *((volatile uint32_t*)(0x40033334UL))
#define FM3_GPIO_PDIRD                            *((volatile uint32_t*)(0x40033334UL))
#define FM_GPIO_PDIRE                             *((volatile uint32_t*)(0x40033338UL))
#define FM3_GPIO_PDIRE                            *((volatile uint32_t*)(0x40033338UL))
#define FM_GPIO_PDIRF                             *((volatile uint32_t*)(0x4003333CUL))
#define FM3_GPIO_PDIRF                            *((volatile uint32_t*)(0x4003333CUL))
#define FM_GPIO_PDOR0                             *((volatile uint32_t*)(0x40033400UL))
#define FM3_GPIO_PDOR0                            *((volatile uint32_t*)(0x40033400UL))
#define FM_GPIO_PDOR1                             *((volatile uint32_t*)(0x40033404UL))
#define FM3_GPIO_PDOR1                            *((volatile uint32_t*)(0x40033404UL))
#define FM_GPIO_PDOR2                             *((volatile uint32_t*)(0x40033408UL))
#define FM3_GPIO_PDOR2                            *((volatile uint32_t*)(0x40033408UL))
#define FM_GPIO_PDOR3                             *((volatile uint32_t*)(0x4003340CUL))
#define FM3_GPIO_PDOR3                            *((volatile uint32_t*)(0x4003340CUL))
#define FM_GPIO_PDOR4                             *((volatile uint32_t*)(0x40033410UL))
#define FM3_GPIO_PDOR4                            *((volatile uint32_t*)(0x40033410UL))
#define FM_GPIO_PDOR5                             *((volatile uint32_t*)(0x40033414UL))
#define FM3_GPIO_PDOR5                            *((volatile uint32_t*)(0x40033414UL))
#define FM_GPIO_PDOR6                             *((volatile uint32_t*)(0x40033418UL))
#define FM3_GPIO_PDOR6                            *((volatile uint32_t*)(0x40033418UL))
#define FM_GPIO_PDOR7                             *((volatile uint32_t*)(0x4003341CUL))
#define FM3_GPIO_PDOR7                            *((volatile uint32_t*)(0x4003341CUL))
#define FM_GPIO_PDOR8                             *((volatile uint32_t*)(0x40033420UL))
#define FM3_GPIO_PDOR8                            *((volatile uint32_t*)(0x40033420UL))
#define FM_GPIO_PDOR9                             *((volatile uint32_t*)(0x40033424UL))
#define FM3_GPIO_PDOR9                            *((volatile uint32_t*)(0x40033424UL))
#define FM_GPIO_PDORA                             *((volatile uint32_t*)(0x40033428UL))
#define FM3_GPIO_PDORA                            *((volatile uint32_t*)(0x40033428UL))
#define FM_GPIO_PDORB                             *((volatile uint32_t*)(0x4003342CUL))
#define FM3_GPIO_PDORB                            *((volatile uint32_t*)(0x4003342CUL))
#define FM_GPIO_PDORC                             *((volatile uint32_t*)(0x40033430UL))
#define FM3_GPIO_PDORC                            *((volatile uint32_t*)(0x40033430UL))
#define FM_GPIO_PDORD                             *((volatile uint32_t*)(0x40033434UL))
#define FM3_GPIO_PDORD                            *((volatile uint32_t*)(0x40033434UL))
#define FM_GPIO_PDORE                             *((volatile uint32_t*)(0x40033438UL))
#define FM3_GPIO_PDORE                            *((volatile uint32_t*)(0x40033438UL))
#define FM_GPIO_PDORF                             *((volatile uint32_t*)(0x4003343CUL))
#define FM3_GPIO_PDORF                            *((volatile uint32_t*)(0x4003343CUL))
#define FM_GPIO_ADE                               *((volatile uint32_t*)(0x40033500UL))
#define FM3_GPIO_ADE                              *((volatile uint32_t*)(0x40033500UL))
#define FM_GPIO_SPSR                              *((volatile uint32_t*)(0x40033580UL))
#define FM3_GPIO_SPSR                             *((volatile uint32_t*)(0x40033580UL))
#define FM_GPIO_EPFR00                            *((volatile uint32_t*)(0x40033600UL))
#define FM3_GPIO_EPFR00                           *((volatile uint32_t*)(0x40033600UL))
#define FM_GPIO_EPFR04                            *((volatile uint32_t*)(0x40033610UL))
#define FM3_GPIO_EPFR04                           *((volatile uint32_t*)(0x40033610UL))
#define FM_GPIO_EPFR05                            *((volatile uint32_t*)(0x40033614UL))
#define FM3_GPIO_EPFR05                           *((volatile uint32_t*)(0x40033614UL))
#define FM_GPIO_EPFR06                            *((volatile uint32_t*)(0x40033618UL))
#define FM3_GPIO_EPFR06                           *((volatile uint32_t*)(0x40033618UL))
#define FM_GPIO_EPFR07                            *((volatile uint32_t*)(0x4003361CUL))
#define FM3_GPIO_EPFR07                           *((volatile uint32_t*)(0x4003361CUL))
#define FM_GPIO_EPFR08                            *((volatile uint32_t*)(0x40033620UL))
#define FM3_GPIO_EPFR08                           *((volatile uint32_t*)(0x40033620UL))
#define FM_GPIO_EPFR09                            *((volatile uint32_t*)(0x40033624UL))
#define FM3_GPIO_EPFR09                           *((volatile uint32_t*)(0x40033624UL))
#define FM_GPIO_EPFR10                            *((volatile uint32_t*)(0x40033628UL))
#define FM3_GPIO_EPFR10                           *((volatile uint32_t*)(0x40033628UL))
#define FM_GPIO_EPFR11                            *((volatile uint32_t*)(0x4003362CUL))
#define FM3_GPIO_EPFR11                           *((volatile uint32_t*)(0x4003362CUL))
#define FM_GPIO_EPFR14                            *((volatile uint32_t*)(0x40033638UL))
#define FM3_GPIO_EPFR14                           *((volatile uint32_t*)(0x40033638UL))
#define FM_GPIO_PZR0                              *((volatile uint32_t*)(0x40033700UL))
#define FM3_GPIO_PZR0                             *((volatile uint32_t*)(0x40033700UL))
#define FM_GPIO_PZR1                              *((volatile uint32_t*)(0x40033704UL))
#define FM3_GPIO_PZR1                             *((volatile uint32_t*)(0x40033704UL))
#define FM_GPIO_PZR2                              *((volatile uint32_t*)(0x40033708UL))
#define FM3_GPIO_PZR2                             *((volatile uint32_t*)(0x40033708UL))
#define FM_GPIO_PZR3                              *((volatile uint32_t*)(0x4003370CUL))
#define FM3_GPIO_PZR3                             *((volatile uint32_t*)(0x4003370CUL))
#define FM_GPIO_PZR4                              *((volatile uint32_t*)(0x40033710UL))
#define FM3_GPIO_PZR4                             *((volatile uint32_t*)(0x40033710UL))
#define FM_GPIO_PZR5                              *((volatile uint32_t*)(0x40033714UL))
#define FM3_GPIO_PZR5                             *((volatile uint32_t*)(0x40033714UL))
#define FM_GPIO_PZR6                              *((volatile uint32_t*)(0x40033718UL))
#define FM3_GPIO_PZR6                             *((volatile uint32_t*)(0x40033718UL))
#define FM_GPIO_PZR7                              *((volatile uint32_t*)(0x4003371CUL))
#define FM3_GPIO_PZR7                             *((volatile uint32_t*)(0x4003371CUL))
#define FM_GPIO_PZR8                              *((volatile uint32_t*)(0x40033720UL))
#define FM3_GPIO_PZR8                             *((volatile uint32_t*)(0x40033720UL))
#define FM_GPIO_PZR9                              *((volatile uint32_t*)(0x40033724UL))
#define FM3_GPIO_PZR9                             *((volatile uint32_t*)(0x40033724UL))
#define FM_GPIO_PZRA                              *((volatile uint32_t*)(0x40033728UL))
#define FM3_GPIO_PZRA                             *((volatile uint32_t*)(0x40033728UL))
#define FM_GPIO_PZRB                              *((volatile uint32_t*)(0x4003372CUL))
#define FM3_GPIO_PZRB                             *((volatile uint32_t*)(0x4003372CUL))
#define FM_GPIO_PZRC                              *((volatile uint32_t*)(0x40033730UL))
#define FM3_GPIO_PZRC                             *((volatile uint32_t*)(0x40033730UL))
#define FM_GPIO_PZRD                              *((volatile uint32_t*)(0x40033734UL))
#define FM3_GPIO_PZRD                             *((volatile uint32_t*)(0x40033734UL))
#define FM_GPIO_PZRE                              *((volatile uint32_t*)(0x40033738UL))
#define FM3_GPIO_PZRE                             *((volatile uint32_t*)(0x40033738UL))
#define FM_GPIO_PZRF                              *((volatile uint32_t*)(0x4003373CUL))
#define FM3_GPIO_PZRF                             *((volatile uint32_t*)(0x4003373CUL))

/******************************************************************************
 ** HDMICEC Registers HDMICEC0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_HDMICEC0_TXCTRL                        *((volatile  uint8_t*)(0x40034000UL))
#define FM3_HDMICEC0_TXCTRL                       *((volatile  uint8_t*)(0x40034000UL))
#define FM_HDMICEC0_TXDATA                        *((volatile  uint8_t*)(0x40034004UL))
#define FM3_HDMICEC0_TXDATA                       *((volatile  uint8_t*)(0x40034004UL))
#define FM_HDMICEC0_TXSTS                         *((volatile  uint8_t*)(0x40034008UL))
#define FM3_HDMICEC0_TXSTS                        *((volatile  uint8_t*)(0x40034008UL))
#define FM_HDMICEC0_SFREE                         *((volatile  uint8_t*)(0x4003400CUL))
#define FM3_HDMICEC0_SFREE                        *((volatile  uint8_t*)(0x4003400CUL))
#define FM_HDMICEC0_RCST                          *((volatile  uint8_t*)(0x40034040UL))
#define FM3_HDMICEC0_RCST                         *((volatile  uint8_t*)(0x40034040UL))
#define FM_HDMICEC0_RCCR                          *((volatile  uint8_t*)(0x40034041UL))
#define FM3_HDMICEC0_RCCR                         *((volatile  uint8_t*)(0x40034041UL))
#define FM_HDMICEC0_RCDAHW                        *((volatile  uint8_t*)(0x40034044UL))
#define FM3_HDMICEC0_RCDAHW                       *((volatile  uint8_t*)(0x40034044UL))
#define FM_HDMICEC0_RCSHW                         *((volatile  uint8_t*)(0x40034045UL))
#define FM3_HDMICEC0_RCSHW                        *((volatile  uint8_t*)(0x40034045UL))
#define FM_HDMICEC0_RCDBHW                        *((volatile  uint8_t*)(0x40034049UL))
#define FM3_HDMICEC0_RCDBHW                       *((volatile  uint8_t*)(0x40034049UL))
#define FM_HDMICEC0_RCADR2                        *((volatile  uint8_t*)(0x4003404CUL))
#define FM3_HDMICEC0_RCADR2                       *((volatile  uint8_t*)(0x4003404CUL))
#define FM_HDMICEC0_RCADR1                        *((volatile  uint8_t*)(0x4003404DUL))
#define FM3_HDMICEC0_RCADR1                       *((volatile  uint8_t*)(0x4003404DUL))
#define FM_HDMICEC0_RCDTHL                        *((volatile  uint8_t*)(0x40034050UL))
#define FM3_HDMICEC0_RCDTHL                       *((volatile  uint8_t*)(0x40034050UL))
#define FM_HDMICEC0_RCDTHH                        *((volatile  uint8_t*)(0x40034051UL))
#define FM3_HDMICEC0_RCDTHH                       *((volatile  uint8_t*)(0x40034051UL))
#define FM_HDMICEC0_RCDTLL                        *((volatile  uint8_t*)(0x40034054UL))
#define FM3_HDMICEC0_RCDTLL                       *((volatile  uint8_t*)(0x40034054UL))
#define FM_HDMICEC0_RCDTLH                        *((volatile  uint8_t*)(0x40034055UL))
#define FM3_HDMICEC0_RCDTLH                       *((volatile  uint8_t*)(0x40034055UL))
#define FM_HDMICEC0_RCCKD                         *((volatile uint16_t*)(0x40034058UL))
#define FM3_HDMICEC0_RCCKD                        *((volatile uint16_t*)(0x40034058UL))
#define FM_HDMICEC0_RCRHW                         *((volatile  uint8_t*)(0x4003405CUL))
#define FM3_HDMICEC0_RCRHW                        *((volatile  uint8_t*)(0x4003405CUL))
#define FM_HDMICEC0_RCRC                          *((volatile  uint8_t*)(0x4003405DUL))
#define FM3_HDMICEC0_RCRC                         *((volatile  uint8_t*)(0x4003405DUL))
#define FM_HDMICEC0_RCLE                          *((volatile  uint8_t*)(0x40034061UL))
#define FM3_HDMICEC0_RCLE                         *((volatile  uint8_t*)(0x40034061UL))
#define FM_HDMICEC0_RCLESW                        *((volatile  uint8_t*)(0x40034064UL))
#define FM3_HDMICEC0_RCLESW                       *((volatile  uint8_t*)(0x40034064UL))
#define FM_HDMICEC0_RCLELW                        *((volatile  uint8_t*)(0x40034065UL))
#define FM3_HDMICEC0_RCLELW                       *((volatile  uint8_t*)(0x40034065UL))

/******************************************************************************
 ** HDMICEC Registers HDMICEC1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_HDMICEC1_TXCTRL                        *((volatile  uint8_t*)(0x40034100UL))
#define FM3_HDMICEC1_TXCTRL                       *((volatile  uint8_t*)(0x40034100UL))
#define FM_HDMICEC1_TXDATA                        *((volatile  uint8_t*)(0x40034104UL))
#define FM3_HDMICEC1_TXDATA                       *((volatile  uint8_t*)(0x40034104UL))
#define FM_HDMICEC1_TXSTS                         *((volatile  uint8_t*)(0x40034108UL))
#define FM3_HDMICEC1_TXSTS                        *((volatile  uint8_t*)(0x40034108UL))
#define FM_HDMICEC1_SFREE                         *((volatile  uint8_t*)(0x4003410CUL))
#define FM3_HDMICEC1_SFREE                        *((volatile  uint8_t*)(0x4003410CUL))
#define FM_HDMICEC1_RCST                          *((volatile  uint8_t*)(0x40034140UL))
#define FM3_HDMICEC1_RCST                         *((volatile  uint8_t*)(0x40034140UL))
#define FM_HDMICEC1_RCCR                          *((volatile  uint8_t*)(0x40034141UL))
#define FM3_HDMICEC1_RCCR                         *((volatile  uint8_t*)(0x40034141UL))
#define FM_HDMICEC1_RCDAHW                        *((volatile  uint8_t*)(0x40034144UL))
#define FM3_HDMICEC1_RCDAHW                       *((volatile  uint8_t*)(0x40034144UL))
#define FM_HDMICEC1_RCSHW                         *((volatile  uint8_t*)(0x40034145UL))
#define FM3_HDMICEC1_RCSHW                        *((volatile  uint8_t*)(0x40034145UL))
#define FM_HDMICEC1_RCDBHW                        *((volatile  uint8_t*)(0x40034149UL))
#define FM3_HDMICEC1_RCDBHW                       *((volatile  uint8_t*)(0x40034149UL))
#define FM_HDMICEC1_RCADR2                        *((volatile  uint8_t*)(0x4003414CUL))
#define FM3_HDMICEC1_RCADR2                       *((volatile  uint8_t*)(0x4003414CUL))
#define FM_HDMICEC1_RCADR1                        *((volatile  uint8_t*)(0x4003414DUL))
#define FM3_HDMICEC1_RCADR1                       *((volatile  uint8_t*)(0x4003414DUL))
#define FM_HDMICEC1_RCDTHL                        *((volatile  uint8_t*)(0x40034150UL))
#define FM3_HDMICEC1_RCDTHL                       *((volatile  uint8_t*)(0x40034150UL))
#define FM_HDMICEC1_RCDTHH                        *((volatile  uint8_t*)(0x40034151UL))
#define FM3_HDMICEC1_RCDTHH                       *((volatile  uint8_t*)(0x40034151UL))
#define FM_HDMICEC1_RCDTLL                        *((volatile  uint8_t*)(0x40034154UL))
#define FM3_HDMICEC1_RCDTLL                       *((volatile  uint8_t*)(0x40034154UL))
#define FM_HDMICEC1_RCDTLH                        *((volatile  uint8_t*)(0x40034155UL))
#define FM3_HDMICEC1_RCDTLH                       *((volatile  uint8_t*)(0x40034155UL))
#define FM_HDMICEC1_RCCKD                         *((volatile uint16_t*)(0x40034158UL))
#define FM3_HDMICEC1_RCCKD                        *((volatile uint16_t*)(0x40034158UL))
#define FM_HDMICEC1_RCRHW                         *((volatile  uint8_t*)(0x4003415CUL))
#define FM3_HDMICEC1_RCRHW                        *((volatile  uint8_t*)(0x4003415CUL))
#define FM_HDMICEC1_RCRC                          *((volatile  uint8_t*)(0x4003415DUL))
#define FM3_HDMICEC1_RCRC                         *((volatile  uint8_t*)(0x4003415DUL))
#define FM_HDMICEC1_RCLE                          *((volatile  uint8_t*)(0x40034161UL))
#define FM3_HDMICEC1_RCLE                         *((volatile  uint8_t*)(0x40034161UL))
#define FM_HDMICEC1_RCLESW                        *((volatile  uint8_t*)(0x40034164UL))
#define FM3_HDMICEC1_RCLESW                       *((volatile  uint8_t*)(0x40034164UL))
#define FM_HDMICEC1_RCLELW                        *((volatile  uint8_t*)(0x40034165UL))
#define FM3_HDMICEC1_RCLELW                       *((volatile  uint8_t*)(0x40034165UL))

/******************************************************************************
 ** HWWDT Registers HWWDT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_HWWDT_WDG_LDR                          *((volatile uint32_t*)(0x40011000UL))
#define FM3_HWWDT_WDG_LDR                         *((volatile uint32_t*)(0x40011000UL))
#define FM_HWWDT_WDG_VLR                          *((volatile uint32_t*)(0x40011004UL))
#define FM3_HWWDT_WDG_VLR                         *((volatile uint32_t*)(0x40011004UL))
#define FM_HWWDT_WDG_CTL                          *((volatile uint32_t*)(0x40011008UL))
#define FM3_HWWDT_WDG_CTL                         *((volatile uint32_t*)(0x40011008UL))
#define FM_HWWDT_WDG_ICL                          *((volatile uint32_t*)(0x4001100CUL))
#define FM3_HWWDT_WDG_ICL                         *((volatile uint32_t*)(0x4001100CUL))
#define FM_HWWDT_WDG_RIS                          *((volatile uint32_t*)(0x40011010UL))
#define FM3_HWWDT_WDG_RIS                         *((volatile uint32_t*)(0x40011010UL))
#define FM_HWWDT_WDG_LCK                          *((volatile uint32_t*)(0x40011C00UL))
#define FM3_HWWDT_WDG_LCK                         *((volatile uint32_t*)(0x40011C00UL))

/******************************************************************************
 ** INTREQ Registers INTREQ
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_INTREQ_DRQSEL                          *((volatile uint32_t*)(0x40031000UL))
#define FM3_INTREQ_DRQSEL                         *((volatile uint32_t*)(0x40031000UL))
#define FM_INTREQ_ODDPKS                          *((volatile  uint8_t*)(0x4003100BUL))
#define FM3_INTREQ_ODDPKS                         *((volatile  uint8_t*)(0x4003100BUL))
#define FM_INTREQ_IRQCMODE                        *((volatile uint32_t*)(0x4003100CUL))
#define FM3_INTREQ_IRQCMODE                       *((volatile uint32_t*)(0x4003100CUL))
#define FM_INTREQ_EXC02MON                        *((volatile uint32_t*)(0x40031010UL))
#define FM3_INTREQ_EXC02MON                       *((volatile uint32_t*)(0x40031010UL))
#define FM_INTREQ_IRQ00MON                        *((volatile uint32_t*)(0x40031014UL))
#define FM3_INTREQ_IRQ00MON                       *((volatile uint32_t*)(0x40031014UL))
#define FM_INTREQ_IRQ01MON                        *((volatile uint32_t*)(0x40031018UL))
#define FM3_INTREQ_IRQ01MON                       *((volatile uint32_t*)(0x40031018UL))
#define FM_INTREQ_IRQ02MON                        *((volatile uint32_t*)(0x4003101CUL))
#define FM3_INTREQ_IRQ02MON                       *((volatile uint32_t*)(0x4003101CUL))
#define FM_INTREQ_IRQ03MON                        *((volatile uint32_t*)(0x40031020UL))
#define FM3_INTREQ_IRQ03MON                       *((volatile uint32_t*)(0x40031020UL))
#define FM_INTREQ_IRQ04MON                        *((volatile uint32_t*)(0x40031024UL))
#define FM3_INTREQ_IRQ04MON                       *((volatile uint32_t*)(0x40031024UL))
#define FM_INTREQ_IRQ05MON                        *((volatile uint32_t*)(0x40031028UL))
#define FM3_INTREQ_IRQ05MON                       *((volatile uint32_t*)(0x40031028UL))
#define FM_INTREQ_IRQ06MON                        *((volatile uint32_t*)(0x4003102CUL))
#define FM3_INTREQ_IRQ06MON                       *((volatile uint32_t*)(0x4003102CUL))
#define FM_INTREQ_IRQ07MON                        *((volatile uint32_t*)(0x40031030UL))
#define FM3_INTREQ_IRQ07MON                       *((volatile uint32_t*)(0x40031030UL))
#define FM_INTREQ_IRQ08MON                        *((volatile uint32_t*)(0x40031034UL))
#define FM3_INTREQ_IRQ08MON                       *((volatile uint32_t*)(0x40031034UL))
#define FM_INTREQ_IRQ09MON                        *((volatile uint32_t*)(0x40031038UL))
#define FM3_INTREQ_IRQ09MON                       *((volatile uint32_t*)(0x40031038UL))
#define FM_INTREQ_IRQ10MON                        *((volatile uint32_t*)(0x4003103CUL))
#define FM3_INTREQ_IRQ10MON                       *((volatile uint32_t*)(0x4003103CUL))
#define FM_INTREQ_IRQ11MON                        *((volatile uint32_t*)(0x40031040UL))
#define FM3_INTREQ_IRQ11MON                       *((volatile uint32_t*)(0x40031040UL))
#define FM_INTREQ_IRQ12MON                        *((volatile uint32_t*)(0x40031044UL))
#define FM3_INTREQ_IRQ12MON                       *((volatile uint32_t*)(0x40031044UL))
#define FM_INTREQ_IRQ13MON                        *((volatile uint32_t*)(0x40031048UL))
#define FM3_INTREQ_IRQ13MON                       *((volatile uint32_t*)(0x40031048UL))
#define FM_INTREQ_IRQ14MON                        *((volatile uint32_t*)(0x4003104CUL))
#define FM3_INTREQ_IRQ14MON                       *((volatile uint32_t*)(0x4003104CUL))
#define FM_INTREQ_IRQ15MON                        *((volatile uint32_t*)(0x40031050UL))
#define FM3_INTREQ_IRQ15MON                       *((volatile uint32_t*)(0x40031050UL))
#define FM_INTREQ_IRQ16MON                        *((volatile uint32_t*)(0x40031054UL))
#define FM3_INTREQ_IRQ16MON                       *((volatile uint32_t*)(0x40031054UL))
#define FM_INTREQ_IRQ17MON                        *((volatile uint32_t*)(0x40031058UL))
#define FM3_INTREQ_IRQ17MON                       *((volatile uint32_t*)(0x40031058UL))
#define FM_INTREQ_IRQ18MON                        *((volatile uint32_t*)(0x4003105CUL))
#define FM3_INTREQ_IRQ18MON                       *((volatile uint32_t*)(0x4003105CUL))
#define FM_INTREQ_IRQ19MON                        *((volatile uint32_t*)(0x40031060UL))
#define FM3_INTREQ_IRQ19MON                       *((volatile uint32_t*)(0x40031060UL))
#define FM_INTREQ_IRQ20MON                        *((volatile uint32_t*)(0x40031064UL))
#define FM3_INTREQ_IRQ20MON                       *((volatile uint32_t*)(0x40031064UL))
#define FM_INTREQ_IRQ21MON                        *((volatile uint32_t*)(0x40031068UL))
#define FM3_INTREQ_IRQ21MON                       *((volatile uint32_t*)(0x40031068UL))
#define FM_INTREQ_IRQ22MON                        *((volatile uint32_t*)(0x4003106CUL))
#define FM3_INTREQ_IRQ22MON                       *((volatile uint32_t*)(0x4003106CUL))
#define FM_INTREQ_IRQ23MON                        *((volatile uint32_t*)(0x40031070UL))
#define FM3_INTREQ_IRQ23MON                       *((volatile uint32_t*)(0x40031070UL))
#define FM_INTREQ_IRQ24MON                        *((volatile uint32_t*)(0x40031074UL))
#define FM3_INTREQ_IRQ24MON                       *((volatile uint32_t*)(0x40031074UL))
#define FM_INTREQ_IRQ25MON                        *((volatile uint32_t*)(0x40031078UL))
#define FM3_INTREQ_IRQ25MON                       *((volatile uint32_t*)(0x40031078UL))
#define FM_INTREQ_IRQ26MON                        *((volatile uint32_t*)(0x4003107CUL))
#define FM3_INTREQ_IRQ26MON                       *((volatile uint32_t*)(0x4003107CUL))
#define FM_INTREQ_IRQ27MON                        *((volatile uint32_t*)(0x40031080UL))
#define FM3_INTREQ_IRQ27MON                       *((volatile uint32_t*)(0x40031080UL))
#define FM_INTREQ_IRQ28MON                        *((volatile uint32_t*)(0x40031084UL))
#define FM3_INTREQ_IRQ28MON                       *((volatile uint32_t*)(0x40031084UL))
#define FM_INTREQ_IRQ29MON                        *((volatile uint32_t*)(0x40031088UL))
#define FM3_INTREQ_IRQ29MON                       *((volatile uint32_t*)(0x40031088UL))
#define FM_INTREQ_IRQ30MON                        *((volatile uint32_t*)(0x4003108CUL))
#define FM3_INTREQ_IRQ30MON                       *((volatile uint32_t*)(0x4003108CUL))
#define FM_INTREQ_IRQ31MON                        *((volatile uint32_t*)(0x40031090UL))
#define FM3_INTREQ_IRQ31MON                       *((volatile uint32_t*)(0x40031090UL))
#define FM_INTREQ_IRQ32MON                        *((volatile uint32_t*)(0x40031094UL))
#define FM3_INTREQ_IRQ32MON                       *((volatile uint32_t*)(0x40031094UL))
#define FM_INTREQ_IRQ33MON                        *((volatile uint32_t*)(0x40031098UL))
#define FM3_INTREQ_IRQ33MON                       *((volatile uint32_t*)(0x40031098UL))
#define FM_INTREQ_IRQ34MON                        *((volatile uint32_t*)(0x4003109CUL))
#define FM3_INTREQ_IRQ34MON                       *((volatile uint32_t*)(0x4003109CUL))
#define FM_INTREQ_IRQ35MON                        *((volatile uint32_t*)(0x400310A0UL))
#define FM3_INTREQ_IRQ35MON                       *((volatile uint32_t*)(0x400310A0UL))
#define FM_INTREQ_IRQ36MON                        *((volatile uint32_t*)(0x400310A4UL))
#define FM3_INTREQ_IRQ36MON                       *((volatile uint32_t*)(0x400310A4UL))
#define FM_INTREQ_IRQ37MON                        *((volatile uint32_t*)(0x400310A8UL))
#define FM3_INTREQ_IRQ37MON                       *((volatile uint32_t*)(0x400310A8UL))
#define FM_INTREQ_IRQ38MON                        *((volatile uint32_t*)(0x400310ACUL))
#define FM3_INTREQ_IRQ38MON                       *((volatile uint32_t*)(0x400310ACUL))
#define FM_INTREQ_IRQ39MON                        *((volatile uint32_t*)(0x400310B0UL))
#define FM3_INTREQ_IRQ39MON                       *((volatile uint32_t*)(0x400310B0UL))
#define FM_INTREQ_IRQ40MON                        *((volatile uint32_t*)(0x400310B4UL))
#define FM3_INTREQ_IRQ40MON                       *((volatile uint32_t*)(0x400310B4UL))
#define FM_INTREQ_IRQ41MON                        *((volatile uint32_t*)(0x400310B8UL))
#define FM3_INTREQ_IRQ41MON                       *((volatile uint32_t*)(0x400310B8UL))
#define FM_INTREQ_IRQ42MON                        *((volatile uint32_t*)(0x400310BCUL))
#define FM3_INTREQ_IRQ42MON                       *((volatile uint32_t*)(0x400310BCUL))
#define FM_INTREQ_IRQ43MON                        *((volatile uint32_t*)(0x400310C0UL))
#define FM3_INTREQ_IRQ43MON                       *((volatile uint32_t*)(0x400310C0UL))
#define FM_INTREQ_IRQ44MON                        *((volatile uint32_t*)(0x400310C4UL))
#define FM3_INTREQ_IRQ44MON                       *((volatile uint32_t*)(0x400310C4UL))
#define FM_INTREQ_IRQ45MON                        *((volatile uint32_t*)(0x400310C8UL))
#define FM3_INTREQ_IRQ45MON                       *((volatile uint32_t*)(0x400310C8UL))
#define FM_INTREQ_IRQ46MON                        *((volatile uint32_t*)(0x400310CCUL))
#define FM3_INTREQ_IRQ46MON                       *((volatile uint32_t*)(0x400310CCUL))
#define FM_INTREQ_IRQ47MON                        *((volatile uint32_t*)(0x400310D0UL))
#define FM3_INTREQ_IRQ47MON                       *((volatile uint32_t*)(0x400310D0UL))
#define FM_INTREQ_DRQSEL1                         *((volatile uint32_t*)(0x40031200UL))
#define FM3_INTREQ_DRQSEL1                        *((volatile uint32_t*)(0x40031200UL))
#define FM_INTREQ_DQESEL                          *((volatile uint32_t*)(0x40031204UL))
#define FM3_INTREQ_DQESEL                         *((volatile uint32_t*)(0x40031204UL))
#define FM_INTREQ_ODDPKS1                         *((volatile  uint8_t*)(0x4003120FUL))
#define FM3_INTREQ_ODDPKS1                        *((volatile  uint8_t*)(0x4003120FUL))
#define FM_INTREQ_RCINTSEL0                       *((volatile uint32_t*)(0x40031210UL))
#define FM3_INTREQ_RCINTSEL0                      *((volatile uint32_t*)(0x40031210UL))
#define FM_INTREQ_RCINTSEL1                       *((volatile uint32_t*)(0x40031214UL))
#define FM3_INTREQ_RCINTSEL1                      *((volatile uint32_t*)(0x40031214UL))

/******************************************************************************
 ** LCDC Registers LCDC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_LCDC_LCDCC1                            *((volatile  uint8_t*)(0x40032000UL))
#define FM3_LCDC_LCDCC1                           *((volatile  uint8_t*)(0x40032000UL))
#define FM_LCDC_LCDCC2                            *((volatile  uint8_t*)(0x40032001UL))
#define FM3_LCDC_LCDCC2                           *((volatile  uint8_t*)(0x40032001UL))
#define FM_LCDC_LCDCC3                            *((volatile  uint8_t*)(0x40032002UL))
#define FM3_LCDC_LCDCC3                           *((volatile  uint8_t*)(0x40032002UL))
#define FM_LCDC_LCDC_PSR                          *((volatile uint32_t*)(0x40032004UL))
#define FM3_LCDC_LCDC_PSR                         *((volatile uint32_t*)(0x40032004UL))
#define FM_LCDC_LCDC_COMEN                        *((volatile  uint8_t*)(0x40032008UL))
#define FM3_LCDC_LCDC_COMEN                       *((volatile  uint8_t*)(0x40032008UL))
#define FM_LCDC_LCDC_SEGEN1                       *((volatile uint32_t*)(0x4003200CUL))
#define FM3_LCDC_LCDC_SEGEN1                      *((volatile uint32_t*)(0x4003200CUL))
#define FM_LCDC_LCDC_SEGEN2                       *((volatile  uint8_t*)(0x40032010UL))
#define FM3_LCDC_LCDC_SEGEN2                      *((volatile  uint8_t*)(0x40032010UL))
#define FM_LCDC_LCDC_BLINK                        *((volatile uint16_t*)(0x40032014UL))
#define FM3_LCDC_LCDC_BLINK                       *((volatile uint16_t*)(0x40032014UL))
#define FM_LCDC_LCDRAM00                          *((volatile  uint8_t*)(0x4003201CUL))
#define FM3_LCDC_LCDRAM00                         *((volatile  uint8_t*)(0x4003201CUL))
#define FM_LCDC_LCDRAM01                          *((volatile  uint8_t*)(0x4003201DUL))
#define FM3_LCDC_LCDRAM01                         *((volatile  uint8_t*)(0x4003201DUL))
#define FM_LCDC_LCDRAM02                          *((volatile  uint8_t*)(0x4003201EUL))
#define FM3_LCDC_LCDRAM02                         *((volatile  uint8_t*)(0x4003201EUL))
#define FM_LCDC_LCDRAM03                          *((volatile  uint8_t*)(0x4003201FUL))
#define FM3_LCDC_LCDRAM03                         *((volatile  uint8_t*)(0x4003201FUL))
#define FM_LCDC_LCDRAM04                          *((volatile  uint8_t*)(0x40032020UL))
#define FM3_LCDC_LCDRAM04                         *((volatile  uint8_t*)(0x40032020UL))
#define FM_LCDC_LCDRAM05                          *((volatile  uint8_t*)(0x40032021UL))
#define FM3_LCDC_LCDRAM05                         *((volatile  uint8_t*)(0x40032021UL))
#define FM_LCDC_LCDRAM06                          *((volatile  uint8_t*)(0x40032022UL))
#define FM3_LCDC_LCDRAM06                         *((volatile  uint8_t*)(0x40032022UL))
#define FM_LCDC_LCDRAM07                          *((volatile  uint8_t*)(0x40032023UL))
#define FM3_LCDC_LCDRAM07                         *((volatile  uint8_t*)(0x40032023UL))
#define FM_LCDC_LCDRAM08                          *((volatile  uint8_t*)(0x40032024UL))
#define FM3_LCDC_LCDRAM08                         *((volatile  uint8_t*)(0x40032024UL))
#define FM_LCDC_LCDRAM09                          *((volatile  uint8_t*)(0x40032025UL))
#define FM3_LCDC_LCDRAM09                         *((volatile  uint8_t*)(0x40032025UL))
#define FM_LCDC_LCDRAM10                          *((volatile  uint8_t*)(0x40032026UL))
#define FM3_LCDC_LCDRAM10                         *((volatile  uint8_t*)(0x40032026UL))
#define FM_LCDC_LCDRAM11                          *((volatile  uint8_t*)(0x40032027UL))
#define FM3_LCDC_LCDRAM11                         *((volatile  uint8_t*)(0x40032027UL))
#define FM_LCDC_LCDRAM12                          *((volatile  uint8_t*)(0x40032028UL))
#define FM3_LCDC_LCDRAM12                         *((volatile  uint8_t*)(0x40032028UL))
#define FM_LCDC_LCDRAM13                          *((volatile  uint8_t*)(0x40032029UL))
#define FM3_LCDC_LCDRAM13                         *((volatile  uint8_t*)(0x40032029UL))
#define FM_LCDC_LCDRAM14                          *((volatile  uint8_t*)(0x4003202AUL))
#define FM3_LCDC_LCDRAM14                         *((volatile  uint8_t*)(0x4003202AUL))
#define FM_LCDC_LCDRAM15                          *((volatile  uint8_t*)(0x4003202BUL))
#define FM3_LCDC_LCDRAM15                         *((volatile  uint8_t*)(0x4003202BUL))
#define FM_LCDC_LCDRAM16                          *((volatile  uint8_t*)(0x4003202CUL))
#define FM3_LCDC_LCDRAM16                         *((volatile  uint8_t*)(0x4003202CUL))
#define FM_LCDC_LCDRAM17                          *((volatile  uint8_t*)(0x4003202DUL))
#define FM3_LCDC_LCDRAM17                         *((volatile  uint8_t*)(0x4003202DUL))
#define FM_LCDC_LCDRAM18                          *((volatile  uint8_t*)(0x4003202EUL))
#define FM3_LCDC_LCDRAM18                         *((volatile  uint8_t*)(0x4003202EUL))
#define FM_LCDC_LCDRAM19                          *((volatile  uint8_t*)(0x4003202FUL))
#define FM3_LCDC_LCDRAM19                         *((volatile  uint8_t*)(0x4003202FUL))
#define FM_LCDC_LCDRAM20                          *((volatile  uint8_t*)(0x40032030UL))
#define FM3_LCDC_LCDRAM20                         *((volatile  uint8_t*)(0x40032030UL))
#define FM_LCDC_LCDRAM21                          *((volatile  uint8_t*)(0x40032031UL))
#define FM3_LCDC_LCDRAM21                         *((volatile  uint8_t*)(0x40032031UL))
#define FM_LCDC_LCDRAM22                          *((volatile  uint8_t*)(0x40032032UL))
#define FM3_LCDC_LCDRAM22                         *((volatile  uint8_t*)(0x40032032UL))
#define FM_LCDC_LCDRAM23                          *((volatile  uint8_t*)(0x40032033UL))
#define FM3_LCDC_LCDRAM23                         *((volatile  uint8_t*)(0x40032033UL))
#define FM_LCDC_LCDRAM24                          *((volatile  uint8_t*)(0x40032034UL))
#define FM3_LCDC_LCDRAM24                         *((volatile  uint8_t*)(0x40032034UL))
#define FM_LCDC_LCDRAM25                          *((volatile  uint8_t*)(0x40032035UL))
#define FM3_LCDC_LCDRAM25                         *((volatile  uint8_t*)(0x40032035UL))
#define FM_LCDC_LCDRAM26                          *((volatile  uint8_t*)(0x40032036UL))
#define FM3_LCDC_LCDRAM26                         *((volatile  uint8_t*)(0x40032036UL))
#define FM_LCDC_LCDRAM27                          *((volatile  uint8_t*)(0x40032037UL))
#define FM3_LCDC_LCDRAM27                         *((volatile  uint8_t*)(0x40032037UL))
#define FM_LCDC_LCDRAM28                          *((volatile  uint8_t*)(0x40032038UL))
#define FM3_LCDC_LCDRAM28                         *((volatile  uint8_t*)(0x40032038UL))
#define FM_LCDC_LCDRAM29                          *((volatile  uint8_t*)(0x40032039UL))
#define FM3_LCDC_LCDRAM29                         *((volatile  uint8_t*)(0x40032039UL))
#define FM_LCDC_LCDRAM30                          *((volatile  uint8_t*)(0x4003203AUL))
#define FM3_LCDC_LCDRAM30                         *((volatile  uint8_t*)(0x4003203AUL))
#define FM_LCDC_LCDRAM31                          *((volatile  uint8_t*)(0x4003203BUL))
#define FM3_LCDC_LCDRAM31                         *((volatile  uint8_t*)(0x4003203BUL))
#define FM_LCDC_LCDRAM32                          *((volatile  uint8_t*)(0x4003203CUL))
#define FM3_LCDC_LCDRAM32                         *((volatile  uint8_t*)(0x4003203CUL))
#define FM_LCDC_LCDRAM33                          *((volatile  uint8_t*)(0x4003203DUL))
#define FM3_LCDC_LCDRAM33                         *((volatile  uint8_t*)(0x4003203DUL))
#define FM_LCDC_LCDRAM34                          *((volatile  uint8_t*)(0x4003203EUL))
#define FM3_LCDC_LCDRAM34                         *((volatile  uint8_t*)(0x4003203EUL))
#define FM_LCDC_LCDRAM35                          *((volatile  uint8_t*)(0x4003203FUL))
#define FM3_LCDC_LCDRAM35                         *((volatile  uint8_t*)(0x4003203FUL))
#define FM_LCDC_LCDRAM36                          *((volatile  uint8_t*)(0x40032040UL))
#define FM3_LCDC_LCDRAM36                         *((volatile  uint8_t*)(0x40032040UL))
#define FM_LCDC_LCDRAM37                          *((volatile  uint8_t*)(0x40032041UL))
#define FM3_LCDC_LCDRAM37                         *((volatile  uint8_t*)(0x40032041UL))
#define FM_LCDC_LCDRAM38                          *((volatile  uint8_t*)(0x40032042UL))
#define FM3_LCDC_LCDRAM38                         *((volatile  uint8_t*)(0x40032042UL))
#define FM_LCDC_LCDRAM39                          *((volatile  uint8_t*)(0x40032043UL))
#define FM3_LCDC_LCDRAM39                         *((volatile  uint8_t*)(0x40032043UL))

/******************************************************************************
 ** LVD Registers LVD
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_LVD_LVD_CTL                            *((volatile uint16_t*)(0x40035000UL))
#define FM3_LVD_LVD_CTL                           *((volatile uint16_t*)(0x40035000UL))
#define FM_LVD_LVD_STR                            *((volatile  uint8_t*)(0x40035004UL))
#define FM3_LVD_LVD_STR                           *((volatile  uint8_t*)(0x40035004UL))
#define FM_LVD_LVD_CLR                            *((volatile  uint8_t*)(0x40035008UL))
#define FM3_LVD_LVD_CLR                           *((volatile  uint8_t*)(0x40035008UL))
#define FM_LVD_LVD_RLR                            *((volatile uint32_t*)(0x4003500CUL))
#define FM3_LVD_LVD_RLR                           *((volatile uint32_t*)(0x4003500CUL))
#define FM_LVD_LVD_STR2                           *((volatile  uint8_t*)(0x40035010UL))
#define FM3_LVD_LVD_STR2                          *((volatile  uint8_t*)(0x40035010UL))

/******************************************************************************
 ** MFS_NFC Registers MFS_NFC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS_NFC_I2CDNF                         *((volatile uint16_t*)(0x40038800UL))
#define FM3_MFS_NFC_I2CDNF                        *((volatile uint16_t*)(0x40038800UL))

/******************************************************************************
 ** MFS Registers MFS0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS0_CSIO_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM3_MFS0_CSIO_SMR                         *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_I2C_SMR                           *((volatile  uint8_t*)(0x40038000UL))
#define FM3_MFS0_I2C_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_UART_SMR                          *((volatile  uint8_t*)(0x40038000UL))
#define FM3_MFS0_UART_SMR                         *((volatile  uint8_t*)(0x40038000UL))
#define FM_MFS0_CSIO_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM3_MFS0_CSIO_SCR                         *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_I2C_IBCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM3_MFS0_I2C_IBCR                         *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_UART_SCR                          *((volatile  uint8_t*)(0x40038001UL))
#define FM3_MFS0_UART_SCR                         *((volatile  uint8_t*)(0x40038001UL))
#define FM_MFS0_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM3_MFS0_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_I2C_IBSR                          *((volatile  uint8_t*)(0x40038004UL))
#define FM3_MFS0_I2C_IBSR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_UART_ESCR                         *((volatile  uint8_t*)(0x40038004UL))
#define FM3_MFS0_UART_ESCR                        *((volatile  uint8_t*)(0x40038004UL))
#define FM_MFS0_CSIO_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM3_MFS0_CSIO_SSR                         *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_I2C_SSR                           *((volatile  uint8_t*)(0x40038005UL))
#define FM3_MFS0_I2C_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_UART_SSR                          *((volatile  uint8_t*)(0x40038005UL))
#define FM3_MFS0_UART_SSR                         *((volatile  uint8_t*)(0x40038005UL))
#define FM_MFS0_CSIO_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_CSIO_RDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_CSIO_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_CSIO_TDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_I2C_RDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_I2C_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_I2C_TDR                           *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_I2C_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_UART_RDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_UART_RDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_UART_TDR                          *((volatile uint16_t*)(0x40038008UL))
#define FM3_MFS0_UART_TDR                         *((volatile uint16_t*)(0x40038008UL))
#define FM_MFS0_CSIO_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM3_MFS0_CSIO_BGR                         *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_I2C_BGR                           *((volatile uint16_t*)(0x4003800CUL))
#define FM3_MFS0_I2C_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_UART_BGR                          *((volatile uint16_t*)(0x4003800CUL))
#define FM3_MFS0_UART_BGR                         *((volatile uint16_t*)(0x4003800CUL))
#define FM_MFS0_I2C_ISBA                          *((volatile  uint8_t*)(0x40038010UL))
#define FM3_MFS0_I2C_ISBA                         *((volatile  uint8_t*)(0x40038010UL))
#define FM_MFS0_I2C_ISMK                          *((volatile  uint8_t*)(0x40038011UL))
#define FM3_MFS0_I2C_ISMK                         *((volatile  uint8_t*)(0x40038011UL))
#define FM_MFS0_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003801DUL))
#define FM3_MFS0_I2C_EIBCR                        *((volatile  uint8_t*)(0x4003801DUL))

/******************************************************************************
 ** MFS Registers MFS1
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS1_CSIO_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM3_MFS1_CSIO_SMR                         *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_I2C_SMR                           *((volatile  uint8_t*)(0x40038100UL))
#define FM3_MFS1_I2C_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_UART_SMR                          *((volatile  uint8_t*)(0x40038100UL))
#define FM3_MFS1_UART_SMR                         *((volatile  uint8_t*)(0x40038100UL))
#define FM_MFS1_CSIO_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM3_MFS1_CSIO_SCR                         *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_I2C_IBCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM3_MFS1_I2C_IBCR                         *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_UART_SCR                          *((volatile  uint8_t*)(0x40038101UL))
#define FM3_MFS1_UART_SCR                         *((volatile  uint8_t*)(0x40038101UL))
#define FM_MFS1_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM3_MFS1_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_I2C_IBSR                          *((volatile  uint8_t*)(0x40038104UL))
#define FM3_MFS1_I2C_IBSR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_UART_ESCR                         *((volatile  uint8_t*)(0x40038104UL))
#define FM3_MFS1_UART_ESCR                        *((volatile  uint8_t*)(0x40038104UL))
#define FM_MFS1_CSIO_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM3_MFS1_CSIO_SSR                         *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_I2C_SSR                           *((volatile  uint8_t*)(0x40038105UL))
#define FM3_MFS1_I2C_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_UART_SSR                          *((volatile  uint8_t*)(0x40038105UL))
#define FM3_MFS1_UART_SSR                         *((volatile  uint8_t*)(0x40038105UL))
#define FM_MFS1_CSIO_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_CSIO_RDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_CSIO_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_CSIO_TDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_I2C_RDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_I2C_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_I2C_TDR                           *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_I2C_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_UART_RDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_UART_RDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_UART_TDR                          *((volatile uint16_t*)(0x40038108UL))
#define FM3_MFS1_UART_TDR                         *((volatile uint16_t*)(0x40038108UL))
#define FM_MFS1_CSIO_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM3_MFS1_CSIO_BGR                         *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_I2C_BGR                           *((volatile uint16_t*)(0x4003810CUL))
#define FM3_MFS1_I2C_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_UART_BGR                          *((volatile uint16_t*)(0x4003810CUL))
#define FM3_MFS1_UART_BGR                         *((volatile uint16_t*)(0x4003810CUL))
#define FM_MFS1_I2C_ISBA                          *((volatile  uint8_t*)(0x40038110UL))
#define FM3_MFS1_I2C_ISBA                         *((volatile  uint8_t*)(0x40038110UL))
#define FM_MFS1_I2C_ISMK                          *((volatile  uint8_t*)(0x40038111UL))
#define FM3_MFS1_I2C_ISMK                         *((volatile  uint8_t*)(0x40038111UL))
#define FM_MFS1_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003811DUL))
#define FM3_MFS1_I2C_EIBCR                        *((volatile  uint8_t*)(0x4003811DUL))

/******************************************************************************
 ** MFS Registers MFS2
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS2_CSIO_SMR                          *((volatile  uint8_t*)(0x40038200UL))
#define FM3_MFS2_CSIO_SMR                         *((volatile  uint8_t*)(0x40038200UL))
#define FM_MFS2_I2C_SMR                           *((volatile  uint8_t*)(0x40038200UL))
#define FM3_MFS2_I2C_SMR                          *((volatile  uint8_t*)(0x40038200UL))
#define FM_MFS2_UART_SMR                          *((volatile  uint8_t*)(0x40038200UL))
#define FM3_MFS2_UART_SMR                         *((volatile  uint8_t*)(0x40038200UL))
#define FM_MFS2_CSIO_SCR                          *((volatile  uint8_t*)(0x40038201UL))
#define FM3_MFS2_CSIO_SCR                         *((volatile  uint8_t*)(0x40038201UL))
#define FM_MFS2_I2C_IBCR                          *((volatile  uint8_t*)(0x40038201UL))
#define FM3_MFS2_I2C_IBCR                         *((volatile  uint8_t*)(0x40038201UL))
#define FM_MFS2_UART_SCR                          *((volatile  uint8_t*)(0x40038201UL))
#define FM3_MFS2_UART_SCR                         *((volatile  uint8_t*)(0x40038201UL))
#define FM_MFS2_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038204UL))
#define FM3_MFS2_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038204UL))
#define FM_MFS2_I2C_IBSR                          *((volatile  uint8_t*)(0x40038204UL))
#define FM3_MFS2_I2C_IBSR                         *((volatile  uint8_t*)(0x40038204UL))
#define FM_MFS2_UART_ESCR                         *((volatile  uint8_t*)(0x40038204UL))
#define FM3_MFS2_UART_ESCR                        *((volatile  uint8_t*)(0x40038204UL))
#define FM_MFS2_CSIO_SSR                          *((volatile  uint8_t*)(0x40038205UL))
#define FM3_MFS2_CSIO_SSR                         *((volatile  uint8_t*)(0x40038205UL))
#define FM_MFS2_I2C_SSR                           *((volatile  uint8_t*)(0x40038205UL))
#define FM3_MFS2_I2C_SSR                          *((volatile  uint8_t*)(0x40038205UL))
#define FM_MFS2_UART_SSR                          *((volatile  uint8_t*)(0x40038205UL))
#define FM3_MFS2_UART_SSR                         *((volatile  uint8_t*)(0x40038205UL))
#define FM_MFS2_CSIO_RDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_CSIO_RDR                         *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_CSIO_TDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_CSIO_TDR                         *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_I2C_RDR                           *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_I2C_RDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_I2C_TDR                           *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_I2C_TDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_UART_RDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_UART_RDR                         *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_UART_TDR                          *((volatile uint16_t*)(0x40038208UL))
#define FM3_MFS2_UART_TDR                         *((volatile uint16_t*)(0x40038208UL))
#define FM_MFS2_CSIO_BGR                          *((volatile uint16_t*)(0x4003820CUL))
#define FM3_MFS2_CSIO_BGR                         *((volatile uint16_t*)(0x4003820CUL))
#define FM_MFS2_I2C_BGR                           *((volatile uint16_t*)(0x4003820CUL))
#define FM3_MFS2_I2C_BGR                          *((volatile uint16_t*)(0x4003820CUL))
#define FM_MFS2_UART_BGR                          *((volatile uint16_t*)(0x4003820CUL))
#define FM3_MFS2_UART_BGR                         *((volatile uint16_t*)(0x4003820CUL))
#define FM_MFS2_I2C_ISBA                          *((volatile  uint8_t*)(0x40038210UL))
#define FM3_MFS2_I2C_ISBA                         *((volatile  uint8_t*)(0x40038210UL))
#define FM_MFS2_I2C_ISMK                          *((volatile  uint8_t*)(0x40038211UL))
#define FM3_MFS2_I2C_ISMK                         *((volatile  uint8_t*)(0x40038211UL))
#define FM_MFS2_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003821DUL))
#define FM3_MFS2_I2C_EIBCR                        *((volatile  uint8_t*)(0x4003821DUL))

/******************************************************************************
 ** MFS Registers MFS3
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS3_CSIO_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM3_MFS3_CSIO_SMR                         *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_I2C_SMR                           *((volatile  uint8_t*)(0x40038300UL))
#define FM3_MFS3_I2C_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_UART_SMR                          *((volatile  uint8_t*)(0x40038300UL))
#define FM3_MFS3_UART_SMR                         *((volatile  uint8_t*)(0x40038300UL))
#define FM_MFS3_CSIO_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM3_MFS3_CSIO_SCR                         *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_I2C_IBCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM3_MFS3_I2C_IBCR                         *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_UART_SCR                          *((volatile  uint8_t*)(0x40038301UL))
#define FM3_MFS3_UART_SCR                         *((volatile  uint8_t*)(0x40038301UL))
#define FM_MFS3_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM3_MFS3_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_I2C_IBSR                          *((volatile  uint8_t*)(0x40038304UL))
#define FM3_MFS3_I2C_IBSR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_UART_ESCR                         *((volatile  uint8_t*)(0x40038304UL))
#define FM3_MFS3_UART_ESCR                        *((volatile  uint8_t*)(0x40038304UL))
#define FM_MFS3_CSIO_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM3_MFS3_CSIO_SSR                         *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_I2C_SSR                           *((volatile  uint8_t*)(0x40038305UL))
#define FM3_MFS3_I2C_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_UART_SSR                          *((volatile  uint8_t*)(0x40038305UL))
#define FM3_MFS3_UART_SSR                         *((volatile  uint8_t*)(0x40038305UL))
#define FM_MFS3_CSIO_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_CSIO_RDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_CSIO_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_CSIO_TDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_I2C_RDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_I2C_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_I2C_TDR                           *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_I2C_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_UART_RDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_UART_RDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_UART_TDR                          *((volatile uint16_t*)(0x40038308UL))
#define FM3_MFS3_UART_TDR                         *((volatile uint16_t*)(0x40038308UL))
#define FM_MFS3_CSIO_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM3_MFS3_CSIO_BGR                         *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_I2C_BGR                           *((volatile uint16_t*)(0x4003830CUL))
#define FM3_MFS3_I2C_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_UART_BGR                          *((volatile uint16_t*)(0x4003830CUL))
#define FM3_MFS3_UART_BGR                         *((volatile uint16_t*)(0x4003830CUL))
#define FM_MFS3_I2C_ISBA                          *((volatile  uint8_t*)(0x40038310UL))
#define FM3_MFS3_I2C_ISBA                         *((volatile  uint8_t*)(0x40038310UL))
#define FM_MFS3_I2C_ISMK                          *((volatile  uint8_t*)(0x40038311UL))
#define FM3_MFS3_I2C_ISMK                         *((volatile  uint8_t*)(0x40038311UL))
#define FM_MFS3_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003831DUL))
#define FM3_MFS3_I2C_EIBCR                        *((volatile  uint8_t*)(0x4003831DUL))

/******************************************************************************
 ** MFS Registers MFS4
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS4_CSIO_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM3_MFS4_CSIO_SMR                         *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_I2C_SMR                           *((volatile  uint8_t*)(0x40038400UL))
#define FM3_MFS4_I2C_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_UART_SMR                          *((volatile  uint8_t*)(0x40038400UL))
#define FM3_MFS4_UART_SMR                         *((volatile  uint8_t*)(0x40038400UL))
#define FM_MFS4_CSIO_SCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM3_MFS4_CSIO_SCR                         *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_I2C_IBCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM3_MFS4_I2C_IBCR                         *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_UART_SCR                          *((volatile  uint8_t*)(0x40038401UL))
#define FM3_MFS4_UART_SCR                         *((volatile  uint8_t*)(0x40038401UL))
#define FM_MFS4_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM3_MFS4_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_I2C_IBSR                          *((volatile  uint8_t*)(0x40038404UL))
#define FM3_MFS4_I2C_IBSR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_UART_ESCR                         *((volatile  uint8_t*)(0x40038404UL))
#define FM3_MFS4_UART_ESCR                        *((volatile  uint8_t*)(0x40038404UL))
#define FM_MFS4_CSIO_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM3_MFS4_CSIO_SSR                         *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_I2C_SSR                           *((volatile  uint8_t*)(0x40038405UL))
#define FM3_MFS4_I2C_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_UART_SSR                          *((volatile  uint8_t*)(0x40038405UL))
#define FM3_MFS4_UART_SSR                         *((volatile  uint8_t*)(0x40038405UL))
#define FM_MFS4_CSIO_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_CSIO_RDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_CSIO_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_CSIO_TDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_I2C_RDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_I2C_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_I2C_TDR                           *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_I2C_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_UART_RDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_UART_RDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_UART_TDR                          *((volatile uint16_t*)(0x40038408UL))
#define FM3_MFS4_UART_TDR                         *((volatile uint16_t*)(0x40038408UL))
#define FM_MFS4_CSIO_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM3_MFS4_CSIO_BGR                         *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_I2C_BGR                           *((volatile uint16_t*)(0x4003840CUL))
#define FM3_MFS4_I2C_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_UART_BGR                          *((volatile uint16_t*)(0x4003840CUL))
#define FM3_MFS4_UART_BGR                         *((volatile uint16_t*)(0x4003840CUL))
#define FM_MFS4_I2C_ISBA                          *((volatile  uint8_t*)(0x40038410UL))
#define FM3_MFS4_I2C_ISBA                         *((volatile  uint8_t*)(0x40038410UL))
#define FM_MFS4_I2C_ISMK                          *((volatile  uint8_t*)(0x40038411UL))
#define FM3_MFS4_I2C_ISMK                         *((volatile  uint8_t*)(0x40038411UL))
#define FM_MFS4_CSIO_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM3_MFS4_CSIO_FCR                         *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_I2C_FCR                           *((volatile uint16_t*)(0x40038414UL))
#define FM3_MFS4_I2C_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_UART_FCR                          *((volatile uint16_t*)(0x40038414UL))
#define FM3_MFS4_UART_FCR                         *((volatile uint16_t*)(0x40038414UL))
#define FM_MFS4_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM3_MFS4_CSIO_FBYTE1                      *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038418UL))
#define FM3_MFS4_I2C_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038418UL))
#define FM3_MFS4_UART_FBYTE1                      *((volatile  uint8_t*)(0x40038418UL))
#define FM_MFS4_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM3_MFS4_CSIO_FBYTE2                      *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038419UL))
#define FM3_MFS4_I2C_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038419UL))
#define FM3_MFS4_UART_FBYTE2                      *((volatile  uint8_t*)(0x40038419UL))
#define FM_MFS4_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003841DUL))
#define FM3_MFS4_I2C_EIBCR                        *((volatile  uint8_t*)(0x4003841DUL))

/******************************************************************************
 ** MFS Registers MFS5
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS5_CSIO_SMR                          *((volatile  uint8_t*)(0x40038500UL))
#define FM3_MFS5_CSIO_SMR                         *((volatile  uint8_t*)(0x40038500UL))
#define FM_MFS5_I2C_SMR                           *((volatile  uint8_t*)(0x40038500UL))
#define FM3_MFS5_I2C_SMR                          *((volatile  uint8_t*)(0x40038500UL))
#define FM_MFS5_UART_SMR                          *((volatile  uint8_t*)(0x40038500UL))
#define FM3_MFS5_UART_SMR                         *((volatile  uint8_t*)(0x40038500UL))
#define FM_MFS5_CSIO_SCR                          *((volatile  uint8_t*)(0x40038501UL))
#define FM3_MFS5_CSIO_SCR                         *((volatile  uint8_t*)(0x40038501UL))
#define FM_MFS5_I2C_IBCR                          *((volatile  uint8_t*)(0x40038501UL))
#define FM3_MFS5_I2C_IBCR                         *((volatile  uint8_t*)(0x40038501UL))
#define FM_MFS5_UART_SCR                          *((volatile  uint8_t*)(0x40038501UL))
#define FM3_MFS5_UART_SCR                         *((volatile  uint8_t*)(0x40038501UL))
#define FM_MFS5_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038504UL))
#define FM3_MFS5_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038504UL))
#define FM_MFS5_I2C_IBSR                          *((volatile  uint8_t*)(0x40038504UL))
#define FM3_MFS5_I2C_IBSR                         *((volatile  uint8_t*)(0x40038504UL))
#define FM_MFS5_UART_ESCR                         *((volatile  uint8_t*)(0x40038504UL))
#define FM3_MFS5_UART_ESCR                        *((volatile  uint8_t*)(0x40038504UL))
#define FM_MFS5_CSIO_SSR                          *((volatile  uint8_t*)(0x40038505UL))
#define FM3_MFS5_CSIO_SSR                         *((volatile  uint8_t*)(0x40038505UL))
#define FM_MFS5_I2C_SSR                           *((volatile  uint8_t*)(0x40038505UL))
#define FM3_MFS5_I2C_SSR                          *((volatile  uint8_t*)(0x40038505UL))
#define FM_MFS5_UART_SSR                          *((volatile  uint8_t*)(0x40038505UL))
#define FM3_MFS5_UART_SSR                         *((volatile  uint8_t*)(0x40038505UL))
#define FM_MFS5_CSIO_RDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_CSIO_RDR                         *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_CSIO_TDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_CSIO_TDR                         *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_I2C_RDR                           *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_I2C_RDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_I2C_TDR                           *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_I2C_TDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_UART_RDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_UART_RDR                         *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_UART_TDR                          *((volatile uint16_t*)(0x40038508UL))
#define FM3_MFS5_UART_TDR                         *((volatile uint16_t*)(0x40038508UL))
#define FM_MFS5_CSIO_BGR                          *((volatile uint16_t*)(0x4003850CUL))
#define FM3_MFS5_CSIO_BGR                         *((volatile uint16_t*)(0x4003850CUL))
#define FM_MFS5_I2C_BGR                           *((volatile uint16_t*)(0x4003850CUL))
#define FM3_MFS5_I2C_BGR                          *((volatile uint16_t*)(0x4003850CUL))
#define FM_MFS5_UART_BGR                          *((volatile uint16_t*)(0x4003850CUL))
#define FM3_MFS5_UART_BGR                         *((volatile uint16_t*)(0x4003850CUL))
#define FM_MFS5_I2C_ISBA                          *((volatile  uint8_t*)(0x40038510UL))
#define FM3_MFS5_I2C_ISBA                         *((volatile  uint8_t*)(0x40038510UL))
#define FM_MFS5_I2C_ISMK                          *((volatile  uint8_t*)(0x40038511UL))
#define FM3_MFS5_I2C_ISMK                         *((volatile  uint8_t*)(0x40038511UL))
#define FM_MFS5_CSIO_FCR                          *((volatile uint16_t*)(0x40038514UL))
#define FM3_MFS5_CSIO_FCR                         *((volatile uint16_t*)(0x40038514UL))
#define FM_MFS5_I2C_FCR                           *((volatile uint16_t*)(0x40038514UL))
#define FM3_MFS5_I2C_FCR                          *((volatile uint16_t*)(0x40038514UL))
#define FM_MFS5_UART_FCR                          *((volatile uint16_t*)(0x40038514UL))
#define FM3_MFS5_UART_FCR                         *((volatile uint16_t*)(0x40038514UL))
#define FM_MFS5_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038518UL))
#define FM3_MFS5_CSIO_FBYTE1                      *((volatile  uint8_t*)(0x40038518UL))
#define FM_MFS5_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038518UL))
#define FM3_MFS5_I2C_FBYTE1                       *((volatile  uint8_t*)(0x40038518UL))
#define FM_MFS5_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038518UL))
#define FM3_MFS5_UART_FBYTE1                      *((volatile  uint8_t*)(0x40038518UL))
#define FM_MFS5_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038519UL))
#define FM3_MFS5_CSIO_FBYTE2                      *((volatile  uint8_t*)(0x40038519UL))
#define FM_MFS5_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038519UL))
#define FM3_MFS5_I2C_FBYTE2                       *((volatile  uint8_t*)(0x40038519UL))
#define FM_MFS5_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038519UL))
#define FM3_MFS5_UART_FBYTE2                      *((volatile  uint8_t*)(0x40038519UL))
#define FM_MFS5_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003851DUL))
#define FM3_MFS5_I2C_EIBCR                        *((volatile  uint8_t*)(0x4003851DUL))

/******************************************************************************
 ** MFS Registers MFS6
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS6_CSIO_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM3_MFS6_CSIO_SMR                         *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_I2C_SMR                           *((volatile  uint8_t*)(0x40038600UL))
#define FM3_MFS6_I2C_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_UART_SMR                          *((volatile  uint8_t*)(0x40038600UL))
#define FM3_MFS6_UART_SMR                         *((volatile  uint8_t*)(0x40038600UL))
#define FM_MFS6_CSIO_SCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM3_MFS6_CSIO_SCR                         *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_I2C_IBCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM3_MFS6_I2C_IBCR                         *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_UART_SCR                          *((volatile  uint8_t*)(0x40038601UL))
#define FM3_MFS6_UART_SCR                         *((volatile  uint8_t*)(0x40038601UL))
#define FM_MFS6_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM3_MFS6_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_I2C_IBSR                          *((volatile  uint8_t*)(0x40038604UL))
#define FM3_MFS6_I2C_IBSR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_UART_ESCR                         *((volatile  uint8_t*)(0x40038604UL))
#define FM3_MFS6_UART_ESCR                        *((volatile  uint8_t*)(0x40038604UL))
#define FM_MFS6_CSIO_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM3_MFS6_CSIO_SSR                         *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_I2C_SSR                           *((volatile  uint8_t*)(0x40038605UL))
#define FM3_MFS6_I2C_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_UART_SSR                          *((volatile  uint8_t*)(0x40038605UL))
#define FM3_MFS6_UART_SSR                         *((volatile  uint8_t*)(0x40038605UL))
#define FM_MFS6_CSIO_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_CSIO_RDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_CSIO_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_CSIO_TDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_I2C_RDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_I2C_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_I2C_TDR                           *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_I2C_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_UART_RDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_UART_RDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_UART_TDR                          *((volatile uint16_t*)(0x40038608UL))
#define FM3_MFS6_UART_TDR                         *((volatile uint16_t*)(0x40038608UL))
#define FM_MFS6_CSIO_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM3_MFS6_CSIO_BGR                         *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_I2C_BGR                           *((volatile uint16_t*)(0x4003860CUL))
#define FM3_MFS6_I2C_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_UART_BGR                          *((volatile uint16_t*)(0x4003860CUL))
#define FM3_MFS6_UART_BGR                         *((volatile uint16_t*)(0x4003860CUL))
#define FM_MFS6_I2C_ISBA                          *((volatile  uint8_t*)(0x40038610UL))
#define FM3_MFS6_I2C_ISBA                         *((volatile  uint8_t*)(0x40038610UL))
#define FM_MFS6_I2C_ISMK                          *((volatile  uint8_t*)(0x40038611UL))
#define FM3_MFS6_I2C_ISMK                         *((volatile  uint8_t*)(0x40038611UL))
#define FM_MFS6_CSIO_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM3_MFS6_CSIO_FCR                         *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_I2C_FCR                           *((volatile uint16_t*)(0x40038614UL))
#define FM3_MFS6_I2C_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_UART_FCR                          *((volatile uint16_t*)(0x40038614UL))
#define FM3_MFS6_UART_FCR                         *((volatile uint16_t*)(0x40038614UL))
#define FM_MFS6_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM3_MFS6_CSIO_FBYTE1                      *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038618UL))
#define FM3_MFS6_I2C_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038618UL))
#define FM3_MFS6_UART_FBYTE1                      *((volatile  uint8_t*)(0x40038618UL))
#define FM_MFS6_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM3_MFS6_CSIO_FBYTE2                      *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038619UL))
#define FM3_MFS6_I2C_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038619UL))
#define FM3_MFS6_UART_FBYTE2                      *((volatile  uint8_t*)(0x40038619UL))
#define FM_MFS6_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003861DUL))
#define FM3_MFS6_I2C_EIBCR                        *((volatile  uint8_t*)(0x4003861DUL))

/******************************************************************************
 ** MFS Registers MFS7
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_MFS7_CSIO_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM3_MFS7_CSIO_SMR                         *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_I2C_SMR                           *((volatile  uint8_t*)(0x40038700UL))
#define FM3_MFS7_I2C_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_UART_SMR                          *((volatile  uint8_t*)(0x40038700UL))
#define FM3_MFS7_UART_SMR                         *((volatile  uint8_t*)(0x40038700UL))
#define FM_MFS7_CSIO_SCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM3_MFS7_CSIO_SCR                         *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_I2C_IBCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM3_MFS7_I2C_IBCR                         *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_UART_SCR                          *((volatile  uint8_t*)(0x40038701UL))
#define FM3_MFS7_UART_SCR                         *((volatile  uint8_t*)(0x40038701UL))
#define FM_MFS7_CSIO_ESCR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM3_MFS7_CSIO_ESCR                        *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_I2C_IBSR                          *((volatile  uint8_t*)(0x40038704UL))
#define FM3_MFS7_I2C_IBSR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_UART_ESCR                         *((volatile  uint8_t*)(0x40038704UL))
#define FM3_MFS7_UART_ESCR                        *((volatile  uint8_t*)(0x40038704UL))
#define FM_MFS7_CSIO_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM3_MFS7_CSIO_SSR                         *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_I2C_SSR                           *((volatile  uint8_t*)(0x40038705UL))
#define FM3_MFS7_I2C_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_UART_SSR                          *((volatile  uint8_t*)(0x40038705UL))
#define FM3_MFS7_UART_SSR                         *((volatile  uint8_t*)(0x40038705UL))
#define FM_MFS7_CSIO_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_CSIO_RDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_CSIO_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_CSIO_TDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_I2C_RDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_I2C_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_I2C_TDR                           *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_I2C_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_UART_RDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_UART_RDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_UART_TDR                          *((volatile uint16_t*)(0x40038708UL))
#define FM3_MFS7_UART_TDR                         *((volatile uint16_t*)(0x40038708UL))
#define FM_MFS7_CSIO_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM3_MFS7_CSIO_BGR                         *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_I2C_BGR                           *((volatile uint16_t*)(0x4003870CUL))
#define FM3_MFS7_I2C_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_UART_BGR                          *((volatile uint16_t*)(0x4003870CUL))
#define FM3_MFS7_UART_BGR                         *((volatile uint16_t*)(0x4003870CUL))
#define FM_MFS7_I2C_ISBA                          *((volatile  uint8_t*)(0x40038710UL))
#define FM3_MFS7_I2C_ISBA                         *((volatile  uint8_t*)(0x40038710UL))
#define FM_MFS7_I2C_ISMK                          *((volatile  uint8_t*)(0x40038711UL))
#define FM3_MFS7_I2C_ISMK                         *((volatile  uint8_t*)(0x40038711UL))
#define FM_MFS7_CSIO_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM3_MFS7_CSIO_FCR                         *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_I2C_FCR                           *((volatile uint16_t*)(0x40038714UL))
#define FM3_MFS7_I2C_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_UART_FCR                          *((volatile uint16_t*)(0x40038714UL))
#define FM3_MFS7_UART_FCR                         *((volatile uint16_t*)(0x40038714UL))
#define FM_MFS7_CSIO_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM3_MFS7_CSIO_FBYTE1                      *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_I2C_FBYTE1                        *((volatile  uint8_t*)(0x40038718UL))
#define FM3_MFS7_I2C_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_UART_FBYTE1                       *((volatile  uint8_t*)(0x40038718UL))
#define FM3_MFS7_UART_FBYTE1                      *((volatile  uint8_t*)(0x40038718UL))
#define FM_MFS7_CSIO_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM3_MFS7_CSIO_FBYTE2                      *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_I2C_FBYTE2                        *((volatile  uint8_t*)(0x40038719UL))
#define FM3_MFS7_I2C_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_UART_FBYTE2                       *((volatile  uint8_t*)(0x40038719UL))
#define FM3_MFS7_UART_FBYTE2                      *((volatile  uint8_t*)(0x40038719UL))
#define FM_MFS7_I2C_EIBCR                         *((volatile  uint8_t*)(0x4003871DUL))
#define FM3_MFS7_I2C_EIBCR                        *((volatile  uint8_t*)(0x4003871DUL))

/******************************************************************************
 ** RTC Registers RTC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_RTC_WTCR1                              *((volatile uint32_t*)(0x4003B000UL))
#define FM3_RTC_WTCR1                             *((volatile uint32_t*)(0x4003B000UL))
#define FM_RTC_WTCR2                              *((volatile uint32_t*)(0x4003B004UL))
#define FM3_RTC_WTCR2                             *((volatile uint32_t*)(0x4003B004UL))
#define FM_RTC_WTBR                               *((volatile uint32_t*)(0x4003B008UL))
#define FM3_RTC_WTBR                              *((volatile uint32_t*)(0x4003B008UL))
#define FM_RTC_WTSR                               *((volatile  uint8_t*)(0x4003B00CUL))
#define FM3_RTC_WTSR                              *((volatile  uint8_t*)(0x4003B00CUL))
#define FM_RTC_WTMIR                              *((volatile  uint8_t*)(0x4003B00DUL))
#define FM3_RTC_WTMIR                             *((volatile  uint8_t*)(0x4003B00DUL))
#define FM_RTC_WTHR                               *((volatile  uint8_t*)(0x4003B00EUL))
#define FM3_RTC_WTHR                              *((volatile  uint8_t*)(0x4003B00EUL))
#define FM_RTC_WTDR                               *((volatile  uint8_t*)(0x4003B00FUL))
#define FM3_RTC_WTDR                              *((volatile  uint8_t*)(0x4003B00FUL))
#define FM_RTC_WTDW                               *((volatile  uint8_t*)(0x4003B010UL))
#define FM3_RTC_WTDW                              *((volatile  uint8_t*)(0x4003B010UL))
#define FM_RTC_WTMOR                              *((volatile  uint8_t*)(0x4003B011UL))
#define FM3_RTC_WTMOR                             *((volatile  uint8_t*)(0x4003B011UL))
#define FM_RTC_WTYR                               *((volatile  uint8_t*)(0x4003B012UL))
#define FM3_RTC_WTYR                              *((volatile  uint8_t*)(0x4003B012UL))
#define FM_RTC_ALMIR                              *((volatile  uint8_t*)(0x4003B015UL))
#define FM3_RTC_ALMIR                             *((volatile  uint8_t*)(0x4003B015UL))
#define FM_RTC_ALHR                               *((volatile  uint8_t*)(0x4003B016UL))
#define FM3_RTC_ALHR                              *((volatile  uint8_t*)(0x4003B016UL))
#define FM_RTC_ALDR                               *((volatile  uint8_t*)(0x4003B017UL))
#define FM3_RTC_ALDR                              *((volatile  uint8_t*)(0x4003B017UL))
#define FM_RTC_ALMOR                              *((volatile  uint8_t*)(0x4003B019UL))
#define FM3_RTC_ALMOR                             *((volatile  uint8_t*)(0x4003B019UL))
#define FM_RTC_ALYR                               *((volatile  uint8_t*)(0x4003B01AUL))
#define FM3_RTC_ALYR                              *((volatile  uint8_t*)(0x4003B01AUL))
#define FM_RTC_WTTR                               *((volatile uint32_t*)(0x4003B01CUL))
#define FM3_RTC_WTTR                              *((volatile uint32_t*)(0x4003B01CUL))
#define FM_RTC_WTCLKS                             *((volatile  uint8_t*)(0x4003B020UL))
#define FM3_RTC_WTCLKS                            *((volatile  uint8_t*)(0x4003B020UL))
#define FM_RTC_WTCLKM                             *((volatile  uint8_t*)(0x4003B021UL))
#define FM3_RTC_WTCLKM                            *((volatile  uint8_t*)(0x4003B021UL))
#define FM_RTC_WTCAL                              *((volatile uint16_t*)(0x4003B024UL))
#define FM3_RTC_WTCAL                             *((volatile uint16_t*)(0x4003B024UL))
#define FM_RTC_WTCALEN                            *((volatile  uint8_t*)(0x4003B026UL))
#define FM3_RTC_WTCALEN                           *((volatile  uint8_t*)(0x4003B026UL))
#define FM_RTC_WTDIV                              *((volatile  uint8_t*)(0x4003B028UL))
#define FM3_RTC_WTDIV                             *((volatile  uint8_t*)(0x4003B028UL))
#define FM_RTC_WTDIVEN                            *((volatile  uint8_t*)(0x4003B029UL))
#define FM3_RTC_WTDIVEN                           *((volatile  uint8_t*)(0x4003B029UL))
#define FM_RTC_WTCALPRD                           *((volatile  uint8_t*)(0x4003B02CUL))
#define FM3_RTC_WTCALPRD                          *((volatile  uint8_t*)(0x4003B02CUL))
#define FM_RTC_WTCOSEL                            *((volatile  uint8_t*)(0x4003B030UL))
#define FM3_RTC_WTCOSEL                           *((volatile  uint8_t*)(0x4003B030UL))

/******************************************************************************
 ** SBSSR Registers SBSSR
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SBSSR_BTSSSR                           *((volatile uint16_t*)(0x40025FFCUL))
#define FM3_SBSSR_BTSSSR                          *((volatile uint16_t*)(0x40025FFCUL))

/******************************************************************************
 ** SWWDT Registers SWWDT
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_SWWDT_WDOGLOAD                         *((volatile uint32_t*)(0x40012000UL))
#define FM3_SWWDT_WDOGLOAD                        *((volatile uint32_t*)(0x40012000UL))
#define FM_SWWDT_WDOGVALUE                        *((volatile uint32_t*)(0x40012004UL))
#define FM3_SWWDT_WDOGVALUE                       *((volatile uint32_t*)(0x40012004UL))
#define FM_SWWDT_WDOGCONTROL                      *((volatile uint32_t*)(0x40012008UL))
#define FM3_SWWDT_WDOGCONTROL                     *((volatile uint32_t*)(0x40012008UL))
#define FM_SWWDT_WDOGINTCLR                       *((volatile uint32_t*)(0x4001200CUL))
#define FM3_SWWDT_WDOGINTCLR                      *((volatile uint32_t*)(0x4001200CUL))
#define FM_SWWDT_WDOGRIS                          *((volatile uint32_t*)(0x40012010UL))
#define FM3_SWWDT_WDOGRIS                         *((volatile uint32_t*)(0x40012010UL))
#define FM_SWWDT_WDOGLOCK                         *((volatile uint32_t*)(0x40012C00UL))
#define FM3_SWWDT_WDOGLOCK                        *((volatile uint32_t*)(0x40012C00UL))

/******************************************************************************
 ** UNIQUE_ID Registers UNIQUE_ID
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_UNIQUE_ID_UIDR0                        *((volatile uint32_t*)(0x40000200UL))
#define FM3_UNIQUE_ID_UIDR0                       *((volatile uint32_t*)(0x40000200UL))
#define FM_UNIQUE_ID_UIDR1                        *((volatile uint32_t*)(0x40000204UL))
#define FM3_UNIQUE_ID_UIDR1                       *((volatile uint32_t*)(0x40000204UL))

/******************************************************************************
 ** USB Registers USB0
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_USB0_HCNT                              *((volatile uint16_t*)(0x40042100UL))
#define FM3_USB0_HCNT                             *((volatile uint16_t*)(0x40042100UL))
#define FM_USB0_HIRQ                              *((volatile  uint8_t*)(0x40042104UL))
#define FM3_USB0_HIRQ                             *((volatile  uint8_t*)(0x40042104UL))
#define FM_USB0_HERR                              *((volatile  uint8_t*)(0x40042105UL))
#define FM3_USB0_HERR                             *((volatile  uint8_t*)(0x40042105UL))
#define FM_USB0_HSTATE                            *((volatile  uint8_t*)(0x40042108UL))
#define FM3_USB0_HSTATE                           *((volatile  uint8_t*)(0x40042108UL))
#define FM_USB0_HFCOMP                            *((volatile  uint8_t*)(0x40042109UL))
#define FM3_USB0_HFCOMP                           *((volatile  uint8_t*)(0x40042109UL))
#define FM_USB0_HRTIMER                           *((volatile uint16_t*)(0x4004210CUL))
#define FM3_USB0_HRTIMER                          *((volatile uint16_t*)(0x4004210CUL))
#define FM_USB0_HRTIMER2                          *((volatile  uint8_t*)(0x40042110UL))
#define FM3_USB0_HRTIMER2                         *((volatile  uint8_t*)(0x40042110UL))
#define FM_USB0_HADR                              *((volatile  uint8_t*)(0x40042111UL))
#define FM3_USB0_HADR                             *((volatile  uint8_t*)(0x40042111UL))
#define FM_USB0_HEOF                              *((volatile uint16_t*)(0x40042114UL))
#define FM3_USB0_HEOF                             *((volatile uint16_t*)(0x40042114UL))
#define FM_USB0_HFRAME                            *((volatile uint16_t*)(0x40042118UL))
#define FM3_USB0_HFRAME                           *((volatile uint16_t*)(0x40042118UL))
#define FM_USB0_HTOKEN                            *((volatile  uint8_t*)(0x4004211CUL))
#define FM3_USB0_HTOKEN                           *((volatile  uint8_t*)(0x4004211CUL))
#define FM_USB0_UDCC                              *((volatile uint16_t*)(0x40042120UL))
#define FM3_USB0_UDCC                             *((volatile uint16_t*)(0x40042120UL))
#define FM_USB0_EP0C                              *((volatile uint16_t*)(0x40042124UL))
#define FM3_USB0_EP0C                             *((volatile uint16_t*)(0x40042124UL))
#define FM_USB0_EP1C                              *((volatile uint16_t*)(0x40042128UL))
#define FM3_USB0_EP1C                             *((volatile uint16_t*)(0x40042128UL))
#define FM_USB0_EP2C                              *((volatile uint16_t*)(0x4004212CUL))
#define FM3_USB0_EP2C                             *((volatile uint16_t*)(0x4004212CUL))
#define FM_USB0_EP3C                              *((volatile uint16_t*)(0x40042130UL))
#define FM3_USB0_EP3C                             *((volatile uint16_t*)(0x40042130UL))
#define FM_USB0_EP4C                              *((volatile uint16_t*)(0x40042134UL))
#define FM3_USB0_EP4C                             *((volatile uint16_t*)(0x40042134UL))
#define FM_USB0_EP5C                              *((volatile uint16_t*)(0x40042138UL))
#define FM3_USB0_EP5C                             *((volatile uint16_t*)(0x40042138UL))
#define FM_USB0_TMSP                              *((volatile uint16_t*)(0x4004213CUL))
#define FM3_USB0_TMSP                             *((volatile uint16_t*)(0x4004213CUL))
#define FM_USB0_UDCS                              *((volatile  uint8_t*)(0x40042140UL))
#define FM3_USB0_UDCS                             *((volatile  uint8_t*)(0x40042140UL))
#define FM_USB0_UDCIE                             *((volatile  uint8_t*)(0x40042141UL))
#define FM3_USB0_UDCIE                            *((volatile  uint8_t*)(0x40042141UL))
#define FM_USB0_EP0IS                             *((volatile uint16_t*)(0x40042144UL))
#define FM3_USB0_EP0IS                            *((volatile uint16_t*)(0x40042144UL))
#define FM_USB0_EP0OS                             *((volatile uint16_t*)(0x40042148UL))
#define FM3_USB0_EP0OS                            *((volatile uint16_t*)(0x40042148UL))
#define FM_USB0_EP1S                              *((volatile uint16_t*)(0x4004214CUL))
#define FM3_USB0_EP1S                             *((volatile uint16_t*)(0x4004214CUL))
#define FM_USB0_EP2S                              *((volatile uint16_t*)(0x40042150UL))
#define FM3_USB0_EP2S                             *((volatile uint16_t*)(0x40042150UL))
#define FM_USB0_EP3S                              *((volatile uint16_t*)(0x40042154UL))
#define FM3_USB0_EP3S                             *((volatile uint16_t*)(0x40042154UL))
#define FM_USB0_EP4S                              *((volatile uint16_t*)(0x40042158UL))
#define FM3_USB0_EP4S                             *((volatile uint16_t*)(0x40042158UL))
#define FM_USB0_EP5S                              *((volatile uint16_t*)(0x4004215CUL))
#define FM3_USB0_EP5S                             *((volatile uint16_t*)(0x4004215CUL))
#define FM_USB0_EP0DT                             *((volatile uint16_t*)(0x40042160UL))
#define FM3_USB0_EP0DT                            *((volatile uint16_t*)(0x40042160UL))
#define FM_USB0_EP1DT                             *((volatile uint16_t*)(0x40042164UL))
#define FM3_USB0_EP1DT                            *((volatile uint16_t*)(0x40042164UL))
#define FM_USB0_EP2DT                             *((volatile uint16_t*)(0x40042168UL))
#define FM3_USB0_EP2DT                            *((volatile uint16_t*)(0x40042168UL))
#define FM_USB0_EP3DT                             *((volatile uint16_t*)(0x4004216CUL))
#define FM3_USB0_EP3DT                            *((volatile uint16_t*)(0x4004216CUL))
#define FM_USB0_EP4DT                             *((volatile uint16_t*)(0x40042170UL))
#define FM3_USB0_EP4DT                            *((volatile uint16_t*)(0x40042170UL))
#define FM_USB0_EP5DT                             *((volatile uint16_t*)(0x40042174UL))
#define FM3_USB0_EP5DT                            *((volatile uint16_t*)(0x40042174UL))

/******************************************************************************
 ** USBCLK Registers USBCLK
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_USBCLK_UCCR                            *((volatile  uint8_t*)(0x40036000UL))
#define FM3_USBCLK_UCCR                           *((volatile  uint8_t*)(0x40036000UL))
#define FM_USBCLK_UPCR1                           *((volatile  uint8_t*)(0x40036004UL))
#define FM3_USBCLK_UPCR1                          *((volatile  uint8_t*)(0x40036004UL))
#define FM_USBCLK_UPCR2                           *((volatile  uint8_t*)(0x40036008UL))
#define FM3_USBCLK_UPCR2                          *((volatile  uint8_t*)(0x40036008UL))
#define FM_USBCLK_UPCR3                           *((volatile  uint8_t*)(0x4003600CUL))
#define FM3_USBCLK_UPCR3                          *((volatile  uint8_t*)(0x4003600CUL))
#define FM_USBCLK_UPCR4                           *((volatile  uint8_t*)(0x40036010UL))
#define FM3_USBCLK_UPCR4                          *((volatile  uint8_t*)(0x40036010UL))
#define FM_USBCLK_UP_STR                          *((volatile  uint8_t*)(0x40036014UL))
#define FM3_USBCLK_UP_STR                         *((volatile  uint8_t*)(0x40036014UL))
#define FM_USBCLK_UPINT_ENR                       *((volatile  uint8_t*)(0x40036018UL))
#define FM3_USBCLK_UPINT_ENR                      *((volatile  uint8_t*)(0x40036018UL))
#define FM_USBCLK_UPINT_CLR                       *((volatile  uint8_t*)(0x4003601CUL))
#define FM3_USBCLK_UPINT_CLR                      *((volatile  uint8_t*)(0x4003601CUL))
#define FM_USBCLK_UPINT_STR                       *((volatile  uint8_t*)(0x40036020UL))
#define FM3_USBCLK_UPINT_STR                      *((volatile  uint8_t*)(0x40036020UL))
#define FM_USBCLK_UPCR5                           *((volatile  uint8_t*)(0x40036024UL))
#define FM3_USBCLK_UPCR5                          *((volatile  uint8_t*)(0x40036024UL))
#define FM_USBCLK_USBEN0                          *((volatile  uint8_t*)(0x40036030UL))
#define FM3_USBCLK_USBEN0                         *((volatile  uint8_t*)(0x40036030UL))

/******************************************************************************
 ** WC Registers WC
 ** 
 **   Register Definition
 ******************************************************************************/
#define FM_WC_WCRD                                *((volatile  uint8_t*)(0x4003A000UL))
#define FM3_WC_WCRD                               *((volatile  uint8_t*)(0x4003A000UL))
#define FM_WC_WCRL                                *((volatile  uint8_t*)(0x4003A001UL))
#define FM3_WC_WCRL                               *((volatile  uint8_t*)(0x4003A001UL))
#define FM_WC_WCCR                                *((volatile  uint8_t*)(0x4003A002UL))
#define FM3_WC_WCCR                               *((volatile  uint8_t*)(0x4003A002UL))
#define FM_WC_CLK_SEL                             *((volatile uint16_t*)(0x4003A010UL))
#define FM3_WC_CLK_SEL                            *((volatile uint16_t*)(0x4003A010UL))
#define FM_WC_CLK_EN                              *((volatile  uint8_t*)(0x4003A014UL))
#define FM3_WC_CLK_EN                             *((volatile  uint8_t*)(0x4003A014UL))

/******************************************************************************
 ** Available Registers
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC0
 ** 
 ******************************************************************************/
#define FM3_ADC_ADCEN_AVAILABLE                   1
#define FM_ADC_ADCEN_AVAILABLE                    1
#define FM3_ADC_ADCR_AVAILABLE                    1
#define FM_ADC_ADCR_AVAILABLE                     1
#define FM3_ADC_ADCT_AVAILABLE                    1
#define FM_ADC_ADCT_AVAILABLE                     1
#define FM3_ADC_ADSR_AVAILABLE                    1
#define FM_ADC_ADSR_AVAILABLE                     1
#define FM3_ADC_ADSS01_AVAILABLE                  1
#define FM_ADC_ADSS01_AVAILABLE                   1
#define FM3_ADC_ADSS23_AVAILABLE                  1
#define FM_ADC_ADSS23_AVAILABLE                   1
#define FM3_ADC_ADST01_AVAILABLE                  1
#define FM_ADC_ADST01_AVAILABLE                   1
#define FM3_ADC_CMPCR_AVAILABLE                   1
#define FM_ADC_CMPCR_AVAILABLE                    1
#define FM3_ADC_CMPD_AVAILABLE                    1
#define FM_ADC_CMPD_AVAILABLE                     1
#define FM3_ADC_PCCR_AVAILABLE                    1
#define FM_ADC_PCCR_AVAILABLE                     1
#define FM3_ADC_PCFD_AVAILABLE                    1
#define FM_ADC_PCFD_AVAILABLE                     1
#define FM3_ADC_PCFD_FDAS1_AVAILABLE              1
#define FM_ADC_PCFD_FDAS1_AVAILABLE               1
#define FM3_ADC_PCIS_AVAILABLE                    1
#define FM_ADC_PCIS_AVAILABLE                     1
#define FM3_ADC_PFNS_AVAILABLE                    1
#define FM_ADC_PFNS_AVAILABLE                     1
#define FM3_ADC_SCCR_AVAILABLE                    1
#define FM_ADC_SCCR_AVAILABLE                     1
#define FM3_ADC_SCFD_AVAILABLE                    1
#define FM_ADC_SCFD_AVAILABLE                     1
#define FM3_ADC_SCFD_FDAS1_AVAILABLE              1
#define FM_ADC_SCFD_FDAS1_AVAILABLE               1
#define FM3_ADC_SCIS01_AVAILABLE                  1
#define FM_ADC_SCIS01_AVAILABLE                   1
#define FM3_ADC_SCIS23_AVAILABLE                  1
#define FM_ADC_SCIS23_AVAILABLE                   1
#define FM3_ADC_SFNS_AVAILABLE                    1
#define FM_ADC_SFNS_AVAILABLE                     1
/******************************************************************************
 ** BT0
 ** 
 ******************************************************************************/
#define FM3_BT_PPG_PRLH_AVAILABLE                 1
#define FM_BT_PPG_PRLH_AVAILABLE                  1
#define FM3_BT_PPG_PRLL_AVAILABLE                 1
#define FM_BT_PPG_PRLL_AVAILABLE                  1
#define FM3_BT_PPG_STC_AVAILABLE                  1
#define FM_BT_PPG_STC_AVAILABLE                   1
#define FM3_BT_PPG_TMCR_AVAILABLE                 1
#define FM_BT_PPG_TMCR_AVAILABLE                  1
#define FM3_BT_PPG_TMCR2_AVAILABLE                1
#define FM_BT_PPG_TMCR2_AVAILABLE                 1
#define FM3_BT_PPG_TMR_AVAILABLE                  1
#define FM_BT_PPG_TMR_AVAILABLE                   1
#define FM3_BT_PWC_DTBF_AVAILABLE                 1
#define FM_BT_PWC_DTBF_AVAILABLE                  1
#define FM3_BT_PWC_STC_AVAILABLE                  1
#define FM_BT_PWC_STC_AVAILABLE                   1
#define FM3_BT_PWC_TMCR_AVAILABLE                 1
#define FM_BT_PWC_TMCR_AVAILABLE                  1
#define FM3_BT_PWC_TMCR2_AVAILABLE                1
#define FM_BT_PWC_TMCR2_AVAILABLE                 1
#define FM3_BT_PWM_PCSR_AVAILABLE                 1
#define FM_BT_PWM_PCSR_AVAILABLE                  1
#define FM3_BT_PWM_PDUT_AVAILABLE                 1
#define FM_BT_PWM_PDUT_AVAILABLE                  1
#define FM3_BT_PWM_STC_AVAILABLE                  1
#define FM_BT_PWM_STC_AVAILABLE                   1
#define FM3_BT_PWM_TMCR_AVAILABLE                 1
#define FM_BT_PWM_TMCR_AVAILABLE                  1
#define FM3_BT_PWM_TMCR2_AVAILABLE                1
#define FM_BT_PWM_TMCR2_AVAILABLE                 1
#define FM3_BT_PWM_TMR_AVAILABLE                  1
#define FM_BT_PWM_TMR_AVAILABLE                   1
#define FM3_BT_RT_PCSR_AVAILABLE                  1
#define FM_BT_RT_PCSR_AVAILABLE                   1
#define FM3_BT_RT_STC_AVAILABLE                   1
#define FM_BT_RT_STC_AVAILABLE                    1
#define FM3_BT_RT_TMCR_AVAILABLE                  1
#define FM_BT_RT_TMCR_AVAILABLE                   1
#define FM3_BT_RT_TMCR2_AVAILABLE                 1
#define FM_BT_RT_TMCR2_AVAILABLE                  1
#define FM3_BT_RT_TMR_AVAILABLE                   1
#define FM_BT_RT_TMR_AVAILABLE                    1
/******************************************************************************
 ** BTIOSEL03
 ** 
 ******************************************************************************/
#define FM3_BTIOSEL03_BTSEL0123_AVAILABLE         1
#define FM_BTIOSEL03_BTSEL0123_AVAILABLE          1
/******************************************************************************
 ** BTIOSEL47
 ** 
 ******************************************************************************/
#define FM3_BTIOSEL47_BTSEL4567_AVAILABLE         1
#define FM_BTIOSEL47_BTSEL4567_AVAILABLE          1
/******************************************************************************
 ** CRC
 ** 
 ******************************************************************************/
#define FM3_CRC_CRCCR_AVAILABLE                   1
#define FM_CRC_CRCCR_AVAILABLE                    1
#define FM3_CRC_CRCIN_AVAILABLE                   1
#define FM_CRC_CRCIN_AVAILABLE                    1
#define FM3_CRC_CRCINIT_AVAILABLE                 1
#define FM_CRC_CRCINIT_AVAILABLE                  1
#define FM3_CRC_CRCR_AVAILABLE                    1
#define FM_CRC_CRCR_AVAILABLE                     1
/******************************************************************************
 ** CRG
 ** 
 ******************************************************************************/
#define FM3_CRG_APBC0_PSR_AVAILABLE               1
#define FM_CRG_APBC0_PSR_AVAILABLE                1
#define FM3_CRG_APBC1_PSR_AVAILABLE               1
#define FM_CRG_APBC1_PSR_AVAILABLE                1
#define FM3_CRG_APBC2_PSR_AVAILABLE               1
#define FM_CRG_APBC2_PSR_AVAILABLE                1
#define FM3_CRG_BSC_PSR_AVAILABLE                 1
#define FM_CRG_BSC_PSR_AVAILABLE                  1
#define FM3_CRG_CSV_CTL_AVAILABLE                 1
#define FM_CRG_CSV_CTL_AVAILABLE                  1
#define FM3_CRG_CSV_STR_AVAILABLE                 1
#define FM_CRG_CSV_STR_AVAILABLE                  1
#define FM3_CRG_CSW_TMR_AVAILABLE                 1
#define FM_CRG_CSW_TMR_AVAILABLE                  1
#define FM3_CRG_DBWDT_CTL_AVAILABLE               1
#define FM_CRG_DBWDT_CTL_AVAILABLE                1
#define FM3_CRG_FCSWD_CTL_AVAILABLE               1
#define FM_CRG_FCSWD_CTL_AVAILABLE                1
#define FM3_CRG_FCSWH_CTL_AVAILABLE               1
#define FM_CRG_FCSWH_CTL_AVAILABLE                1
#define FM3_CRG_FCSWL_CTL_AVAILABLE               1
#define FM_CRG_FCSWL_CTL_AVAILABLE                1
#define FM3_CRG_INT_CLR_AVAILABLE                 1
#define FM_CRG_INT_CLR_AVAILABLE                  1
#define FM3_CRG_INT_ENR_AVAILABLE                 1
#define FM_CRG_INT_ENR_AVAILABLE                  1
#define FM3_CRG_INT_STR_AVAILABLE                 1
#define FM_CRG_INT_STR_AVAILABLE                  1
#define FM3_CRG_PLL_CTL1_AVAILABLE                1
#define FM_CRG_PLL_CTL1_AVAILABLE                 1
#define FM3_CRG_PLL_CTL2_AVAILABLE                1
#define FM_CRG_PLL_CTL2_AVAILABLE                 1
#define FM3_CRG_PSW_TMR_AVAILABLE                 1
#define FM_CRG_PSW_TMR_AVAILABLE                  1
#define FM3_CRG_RST_STR_AVAILABLE                 1
#define FM_CRG_RST_STR_AVAILABLE                  1
#define FM3_CRG_SCM_CTL_AVAILABLE                 1
#define FM_CRG_SCM_CTL_AVAILABLE                  1
#define FM3_CRG_SCM_STR_AVAILABLE                 1
#define FM_CRG_SCM_STR_AVAILABLE                  1
#define FM3_CRG_STB_CTL_AVAILABLE                 1
#define FM_CRG_STB_CTL_AVAILABLE                  1
#define FM3_CRG_SWC_PSR_AVAILABLE                 1
#define FM_CRG_SWC_PSR_AVAILABLE                  1
#define FM3_CRG_TTC_PSR_AVAILABLE                 1
#define FM_CRG_TTC_PSR_AVAILABLE                  1
/******************************************************************************
 ** CRTRIM
 ** 
 ******************************************************************************/
#define FM3_CRTRIM_MCR_FTRM_AVAILABLE             1
#define FM_CRTRIM_MCR_FTRM_AVAILABLE              1
#define FM3_CRTRIM_MCR_PSR_AVAILABLE              1
#define FM_CRTRIM_MCR_PSR_AVAILABLE               1
#define FM3_CRTRIM_MCR_RLR_AVAILABLE              1
#define FM_CRTRIM_MCR_RLR_AVAILABLE               1
/******************************************************************************
 ** DMAC
 ** 
 ******************************************************************************/
#define FM3_DMAC_DMACA0_AVAILABLE                 1
#define FM_DMAC_DMACA0_AVAILABLE                  1
#define FM3_DMAC_DMACA1_AVAILABLE                 1
#define FM_DMAC_DMACA1_AVAILABLE                  1
#define FM3_DMAC_DMACA2_AVAILABLE                 1
#define FM_DMAC_DMACA2_AVAILABLE                  1
#define FM3_DMAC_DMACA3_AVAILABLE                 1
#define FM_DMAC_DMACA3_AVAILABLE                  1
#define FM3_DMAC_DMACA4_AVAILABLE                 1
#define FM_DMAC_DMACA4_AVAILABLE                  1
#define FM3_DMAC_DMACA5_AVAILABLE                 1
#define FM_DMAC_DMACA5_AVAILABLE                  1
#define FM3_DMAC_DMACA6_AVAILABLE                 1
#define FM_DMAC_DMACA6_AVAILABLE                  1
#define FM3_DMAC_DMACA7_AVAILABLE                 1
#define FM_DMAC_DMACA7_AVAILABLE                  1
#define FM3_DMAC_DMACB0_AVAILABLE                 1
#define FM_DMAC_DMACB0_AVAILABLE                  1
#define FM3_DMAC_DMACB1_AVAILABLE                 1
#define FM_DMAC_DMACB1_AVAILABLE                  1
#define FM3_DMAC_DMACB2_AVAILABLE                 1
#define FM_DMAC_DMACB2_AVAILABLE                  1
#define FM3_DMAC_DMACB3_AVAILABLE                 1
#define FM_DMAC_DMACB3_AVAILABLE                  1
#define FM3_DMAC_DMACB4_AVAILABLE                 1
#define FM_DMAC_DMACB4_AVAILABLE                  1
#define FM3_DMAC_DMACB5_AVAILABLE                 1
#define FM_DMAC_DMACB5_AVAILABLE                  1
#define FM3_DMAC_DMACB6_AVAILABLE                 1
#define FM_DMAC_DMACB6_AVAILABLE                  1
#define FM3_DMAC_DMACB7_AVAILABLE                 1
#define FM_DMAC_DMACB7_AVAILABLE                  1
#define FM3_DMAC_DMACDA0_AVAILABLE                1
#define FM_DMAC_DMACDA0_AVAILABLE                 1
#define FM3_DMAC_DMACDA1_AVAILABLE                1
#define FM_DMAC_DMACDA1_AVAILABLE                 1
#define FM3_DMAC_DMACDA2_AVAILABLE                1
#define FM_DMAC_DMACDA2_AVAILABLE                 1
#define FM3_DMAC_DMACDA3_AVAILABLE                1
#define FM_DMAC_DMACDA3_AVAILABLE                 1
#define FM3_DMAC_DMACDA4_AVAILABLE                1
#define FM_DMAC_DMACDA4_AVAILABLE                 1
#define FM3_DMAC_DMACDA5_AVAILABLE                1
#define FM_DMAC_DMACDA5_AVAILABLE                 1
#define FM3_DMAC_DMACDA6_AVAILABLE                1
#define FM_DMAC_DMACDA6_AVAILABLE                 1
#define FM3_DMAC_DMACDA7_AVAILABLE                1
#define FM_DMAC_DMACDA7_AVAILABLE                 1
#define FM3_DMAC_DMACR_AVAILABLE                  1
#define FM_DMAC_DMACR_AVAILABLE                   1
#define FM3_DMAC_DMACSA0_AVAILABLE                1
#define FM_DMAC_DMACSA0_AVAILABLE                 1
#define FM3_DMAC_DMACSA1_AVAILABLE                1
#define FM_DMAC_DMACSA1_AVAILABLE                 1
#define FM3_DMAC_DMACSA2_AVAILABLE                1
#define FM_DMAC_DMACSA2_AVAILABLE                 1
#define FM3_DMAC_DMACSA3_AVAILABLE                1
#define FM_DMAC_DMACSA3_AVAILABLE                 1
#define FM3_DMAC_DMACSA4_AVAILABLE                1
#define FM_DMAC_DMACSA4_AVAILABLE                 1
#define FM3_DMAC_DMACSA5_AVAILABLE                1
#define FM_DMAC_DMACSA5_AVAILABLE                 1
#define FM3_DMAC_DMACSA6_AVAILABLE                1
#define FM_DMAC_DMACSA6_AVAILABLE                 1
#define FM3_DMAC_DMACSA7_AVAILABLE                1
#define FM_DMAC_DMACSA7_AVAILABLE                 1
/******************************************************************************
 ** DS
 ** 
 ******************************************************************************/
#define FM3_DS_BUR01_AVAILABLE                    1
#define FM_DS_BUR01_AVAILABLE                     1
#define FM3_DS_BUR02_AVAILABLE                    1
#define FM_DS_BUR02_AVAILABLE                     1
#define FM3_DS_BUR03_AVAILABLE                    1
#define FM_DS_BUR03_AVAILABLE                     1
#define FM3_DS_BUR04_AVAILABLE                    1
#define FM_DS_BUR04_AVAILABLE                     1
#define FM3_DS_BUR05_AVAILABLE                    1
#define FM_DS_BUR05_AVAILABLE                     1
#define FM3_DS_BUR06_AVAILABLE                    1
#define FM_DS_BUR06_AVAILABLE                     1
#define FM3_DS_BUR07_AVAILABLE                    1
#define FM_DS_BUR07_AVAILABLE                     1
#define FM3_DS_BUR08_AVAILABLE                    1
#define FM_DS_BUR08_AVAILABLE                     1
#define FM3_DS_BUR09_AVAILABLE                    1
#define FM_DS_BUR09_AVAILABLE                     1
#define FM3_DS_BUR10_AVAILABLE                    1
#define FM_DS_BUR10_AVAILABLE                     1
#define FM3_DS_BUR11_AVAILABLE                    1
#define FM_DS_BUR11_AVAILABLE                     1
#define FM3_DS_BUR12_AVAILABLE                    1
#define FM_DS_BUR12_AVAILABLE                     1
#define FM3_DS_BUR13_AVAILABLE                    1
#define FM_DS_BUR13_AVAILABLE                     1
#define FM3_DS_BUR14_AVAILABLE                    1
#define FM_DS_BUR14_AVAILABLE                     1
#define FM3_DS_BUR15_AVAILABLE                    1
#define FM_DS_BUR15_AVAILABLE                     1
#define FM3_DS_BUR16_AVAILABLE                    1
#define FM_DS_BUR16_AVAILABLE                     1
#define FM3_DS_DSRAMR_AVAILABLE                   1
#define FM_DS_DSRAMR_AVAILABLE                    1
#define FM3_DS_PMD_CTL_AVAILABLE                  1
#define FM_DS_PMD_CTL_AVAILABLE                   1
#define FM3_DS_RCK_CTL_AVAILABLE                  1
#define FM_DS_RCK_CTL_AVAILABLE                   1
#define FM3_DS_REG_CTL_AVAILABLE                  1
#define FM_DS_REG_CTL_AVAILABLE                   1
#define FM3_DS_WIER_AVAILABLE                     1
#define FM_DS_WIER_AVAILABLE                      1
#define FM3_DS_WIFSR_AVAILABLE                    1
#define FM_DS_WIFSR_AVAILABLE                     1
#define FM3_DS_WILVR_AVAILABLE                    1
#define FM_DS_WILVR_AVAILABLE                     1
#define FM3_DS_WRFSR_AVAILABLE                    1
#define FM_DS_WRFSR_AVAILABLE                     1
/******************************************************************************
 ** DT
 ** 
 ******************************************************************************/
#define FM3_DT_TIMER1BGLOAD_AVAILABLE             1
#define FM_DT_TIMER1BGLOAD_AVAILABLE              1
#define FM3_DT_TIMER1CONTROL_AVAILABLE            1
#define FM_DT_TIMER1CONTROL_AVAILABLE             1
#define FM3_DT_TIMER1INTCLR_AVAILABLE             1
#define FM_DT_TIMER1INTCLR_AVAILABLE              1
#define FM3_DT_TIMER1LOAD_AVAILABLE               1
#define FM_DT_TIMER1LOAD_AVAILABLE                1
#define FM3_DT_TIMER1MIS_AVAILABLE                1
#define FM_DT_TIMER1MIS_AVAILABLE                 1
#define FM3_DT_TIMER1RIS_AVAILABLE                1
#define FM_DT_TIMER1RIS_AVAILABLE                 1
#define FM3_DT_TIMER1VALUE_AVAILABLE              1
#define FM_DT_TIMER1VALUE_AVAILABLE               1
#define FM3_DT_TIMER2BGLOAD_AVAILABLE             1
#define FM_DT_TIMER2BGLOAD_AVAILABLE              1
#define FM3_DT_TIMER2CONTROL_AVAILABLE            1
#define FM_DT_TIMER2CONTROL_AVAILABLE             1
#define FM3_DT_TIMER2INTCLR_AVAILABLE             1
#define FM_DT_TIMER2INTCLR_AVAILABLE              1
#define FM3_DT_TIMER2LOAD_AVAILABLE               1
#define FM_DT_TIMER2LOAD_AVAILABLE                1
#define FM3_DT_TIMER2MIS_AVAILABLE                1
#define FM_DT_TIMER2MIS_AVAILABLE                 1
#define FM3_DT_TIMER2RIS_AVAILABLE                1
#define FM_DT_TIMER2RIS_AVAILABLE                 1
#define FM3_DT_TIMER2VALUE_AVAILABLE              1
#define FM_DT_TIMER2VALUE_AVAILABLE               1
/******************************************************************************
 ** EXBUS
 ** 
 ******************************************************************************/
#define FM3_EXBUS_AREA0_AVAILABLE                 1
#define FM_EXBUS_AREA0_AVAILABLE                  1
#define FM3_EXBUS_AREA1_AVAILABLE                 1
#define FM_EXBUS_AREA1_AVAILABLE                  1
#define FM3_EXBUS_AREA2_AVAILABLE                 1
#define FM_EXBUS_AREA2_AVAILABLE                  1
#define FM3_EXBUS_AREA3_AVAILABLE                 1
#define FM_EXBUS_AREA3_AVAILABLE                  1
#define FM3_EXBUS_AREA4_AVAILABLE                 1
#define FM_EXBUS_AREA4_AVAILABLE                  1
#define FM3_EXBUS_AREA5_AVAILABLE                 1
#define FM_EXBUS_AREA5_AVAILABLE                  1
#define FM3_EXBUS_AREA6_AVAILABLE                 1
#define FM_EXBUS_AREA6_AVAILABLE                  1
#define FM3_EXBUS_AREA7_AVAILABLE                 1
#define FM_EXBUS_AREA7_AVAILABLE                  1
#define FM3_EXBUS_ATIM0_AVAILABLE                 1
#define FM_EXBUS_ATIM0_AVAILABLE                  1
#define FM3_EXBUS_ATIM1_AVAILABLE                 1
#define FM_EXBUS_ATIM1_AVAILABLE                  1
#define FM3_EXBUS_ATIM2_AVAILABLE                 1
#define FM_EXBUS_ATIM2_AVAILABLE                  1
#define FM3_EXBUS_ATIM3_AVAILABLE                 1
#define FM_EXBUS_ATIM3_AVAILABLE                  1
#define FM3_EXBUS_ATIM4_AVAILABLE                 1
#define FM_EXBUS_ATIM4_AVAILABLE                  1
#define FM3_EXBUS_ATIM5_AVAILABLE                 1
#define FM_EXBUS_ATIM5_AVAILABLE                  1
#define FM3_EXBUS_ATIM6_AVAILABLE                 1
#define FM_EXBUS_ATIM6_AVAILABLE                  1
#define FM3_EXBUS_ATIM7_AVAILABLE                 1
#define FM_EXBUS_ATIM7_AVAILABLE                  1
#define FM3_EXBUS_DCLKR_AVAILABLE                 1
#define FM_EXBUS_DCLKR_AVAILABLE                  1
#define FM3_EXBUS_MODE0_AVAILABLE                 1
#define FM_EXBUS_MODE0_AVAILABLE                  1
#define FM3_EXBUS_MODE1_AVAILABLE                 1
#define FM_EXBUS_MODE1_AVAILABLE                  1
#define FM3_EXBUS_MODE2_AVAILABLE                 1
#define FM_EXBUS_MODE2_AVAILABLE                  1
#define FM3_EXBUS_MODE3_AVAILABLE                 1
#define FM_EXBUS_MODE3_AVAILABLE                  1
#define FM3_EXBUS_MODE4_AVAILABLE                 1
#define FM_EXBUS_MODE4_AVAILABLE                  1
#define FM3_EXBUS_MODE5_AVAILABLE                 1
#define FM_EXBUS_MODE5_AVAILABLE                  1
#define FM3_EXBUS_MODE6_AVAILABLE                 1
#define FM_EXBUS_MODE6_AVAILABLE                  1
#define FM3_EXBUS_MODE7_AVAILABLE                 1
#define FM_EXBUS_MODE7_AVAILABLE                  1
#define FM3_EXBUS_TIM0_AVAILABLE                  1
#define FM_EXBUS_TIM0_AVAILABLE                   1
#define FM3_EXBUS_TIM1_AVAILABLE                  1
#define FM_EXBUS_TIM1_AVAILABLE                   1
#define FM3_EXBUS_TIM2_AVAILABLE                  1
#define FM_EXBUS_TIM2_AVAILABLE                   1
#define FM3_EXBUS_TIM3_AVAILABLE                  1
#define FM_EXBUS_TIM3_AVAILABLE                   1
#define FM3_EXBUS_TIM4_AVAILABLE                  1
#define FM_EXBUS_TIM4_AVAILABLE                   1
#define FM3_EXBUS_TIM5_AVAILABLE                  1
#define FM_EXBUS_TIM5_AVAILABLE                   1
#define FM3_EXBUS_TIM6_AVAILABLE                  1
#define FM_EXBUS_TIM6_AVAILABLE                   1
#define FM3_EXBUS_TIM7_AVAILABLE                  1
#define FM_EXBUS_TIM7_AVAILABLE                   1
/******************************************************************************
 ** EXTI
 ** 
 ******************************************************************************/
#define FM3_EXTI_EICL_AVAILABLE                   1
#define FM_EXTI_EICL_AVAILABLE                    1
#define FM3_EXTI_EIRR_AVAILABLE                   1
#define FM_EXTI_EIRR_AVAILABLE                    1
#define FM3_EXTI_ELVR_AVAILABLE                   1
#define FM_EXTI_ELVR_AVAILABLE                    1
#define FM3_EXTI_ELVR1_AVAILABLE                  1
#define FM_EXTI_ELVR1_AVAILABLE                   1
#define FM3_EXTI_ENIR_AVAILABLE                   1
#define FM_EXTI_ENIR_AVAILABLE                    1
#define FM3_EXTI_NMICL_AVAILABLE                  1
#define FM_EXTI_NMICL_AVAILABLE                   1
#define FM3_EXTI_NMIRR_AVAILABLE                  1
#define FM_EXTI_NMIRR_AVAILABLE                   1
/******************************************************************************
 ** FLASH_IF
 ** 
 ******************************************************************************/
#define FM3_FLASH_IF_CRTRMM_AVAILABLE             1
#define FM_FLASH_IF_CRTRMM_AVAILABLE              1
#define FM3_FLASH_IF_FICLR_AVAILABLE              1
#define FM_FLASH_IF_FICLR_AVAILABLE               1
#define FM3_FLASH_IF_FICR_AVAILABLE               1
#define FM_FLASH_IF_FICR_AVAILABLE                1
#define FM3_FLASH_IF_FISR_AVAILABLE               1
#define FM_FLASH_IF_FISR_AVAILABLE                1
#define FM3_FLASH_IF_FRWTR_AVAILABLE              1
#define FM_FLASH_IF_FRWTR_AVAILABLE               1
#define FM3_FLASH_IF_FSTR_AVAILABLE               1
#define FM_FLASH_IF_FSTR_AVAILABLE                1
/******************************************************************************
 ** GPIO
 ** 
 ******************************************************************************/
#define FM3_GPIO_ADE_AVAILABLE                    1
#define FM_GPIO_ADE_AVAILABLE                     1
#define FM3_GPIO_DDR0_AVAILABLE                   1
#define FM_GPIO_DDR0_AVAILABLE                    1
#define FM3_GPIO_DDR1_AVAILABLE                   1
#define FM_GPIO_DDR1_AVAILABLE                    1
#define FM3_GPIO_DDR2_AVAILABLE                   1
#define FM_GPIO_DDR2_AVAILABLE                    1
#define FM3_GPIO_DDR3_AVAILABLE                   1
#define FM_GPIO_DDR3_AVAILABLE                    1
#define FM3_GPIO_DDR4_AVAILABLE                   1
#define FM_GPIO_DDR4_AVAILABLE                    1
#define FM3_GPIO_DDR5_AVAILABLE                   1
#define FM_GPIO_DDR5_AVAILABLE                    1
#define FM3_GPIO_DDR6_AVAILABLE                   1
#define FM_GPIO_DDR6_AVAILABLE                    1
#define FM3_GPIO_DDR7_AVAILABLE                   1
#define FM_GPIO_DDR7_AVAILABLE                    1
#define FM3_GPIO_DDR8_AVAILABLE                   1
#define FM_GPIO_DDR8_AVAILABLE                    1
#define FM3_GPIO_DDR9_AVAILABLE                   1
#define FM_GPIO_DDR9_AVAILABLE                    1
#define FM3_GPIO_DDRA_AVAILABLE                   1
#define FM_GPIO_DDRA_AVAILABLE                    1
#define FM3_GPIO_DDRB_AVAILABLE                   1
#define FM_GPIO_DDRB_AVAILABLE                    1
#define FM3_GPIO_DDRC_AVAILABLE                   1
#define FM_GPIO_DDRC_AVAILABLE                    1
#define FM3_GPIO_DDRD_AVAILABLE                   1
#define FM_GPIO_DDRD_AVAILABLE                    1
#define FM3_GPIO_DDRE_AVAILABLE                   1
#define FM_GPIO_DDRE_AVAILABLE                    1
#define FM3_GPIO_DDRF_AVAILABLE                   1
#define FM_GPIO_DDRF_AVAILABLE                    1
#define FM3_GPIO_EPFR00_AVAILABLE                 1
#define FM_GPIO_EPFR00_AVAILABLE                  1
#define FM3_GPIO_EPFR04_AVAILABLE                 1
#define FM_GPIO_EPFR04_AVAILABLE                  1
#define FM3_GPIO_EPFR05_AVAILABLE                 1
#define FM_GPIO_EPFR05_AVAILABLE                  1
#define FM3_GPIO_EPFR06_AVAILABLE                 1
#define FM_GPIO_EPFR06_AVAILABLE                  1
#define FM3_GPIO_EPFR07_AVAILABLE                 1
#define FM_GPIO_EPFR07_AVAILABLE                  1
#define FM3_GPIO_EPFR08_AVAILABLE                 1
#define FM_GPIO_EPFR08_AVAILABLE                  1
#define FM3_GPIO_EPFR09_AVAILABLE                 1
#define FM_GPIO_EPFR09_AVAILABLE                  1
#define FM3_GPIO_EPFR10_AVAILABLE                 1
#define FM_GPIO_EPFR10_AVAILABLE                  1
#define FM3_GPIO_EPFR11_AVAILABLE                 1
#define FM_GPIO_EPFR11_AVAILABLE                  1
#define FM3_GPIO_EPFR14_AVAILABLE                 1
#define FM_GPIO_EPFR14_AVAILABLE                  1
#define FM3_GPIO_PCR0_AVAILABLE                   1
#define FM_GPIO_PCR0_AVAILABLE                    1
#define FM3_GPIO_PCR1_AVAILABLE                   1
#define FM_GPIO_PCR1_AVAILABLE                    1
#define FM3_GPIO_PCR2_AVAILABLE                   1
#define FM_GPIO_PCR2_AVAILABLE                    1
#define FM3_GPIO_PCR3_AVAILABLE                   1
#define FM_GPIO_PCR3_AVAILABLE                    1
#define FM3_GPIO_PCR4_AVAILABLE                   1
#define FM_GPIO_PCR4_AVAILABLE                    1
#define FM3_GPIO_PCR5_AVAILABLE                   1
#define FM_GPIO_PCR5_AVAILABLE                    1
#define FM3_GPIO_PCR6_AVAILABLE                   1
#define FM_GPIO_PCR6_AVAILABLE                    1
#define FM3_GPIO_PCR7_AVAILABLE                   1
#define FM_GPIO_PCR7_AVAILABLE                    1
#define FM3_GPIO_PCR9_AVAILABLE                   1
#define FM_GPIO_PCR9_AVAILABLE                    1
#define FM3_GPIO_PCRA_AVAILABLE                   1
#define FM_GPIO_PCRA_AVAILABLE                    1
#define FM3_GPIO_PCRB_AVAILABLE                   1
#define FM_GPIO_PCRB_AVAILABLE                    1
#define FM3_GPIO_PCRC_AVAILABLE                   1
#define FM_GPIO_PCRC_AVAILABLE                    1
#define FM3_GPIO_PCRD_AVAILABLE                   1
#define FM_GPIO_PCRD_AVAILABLE                    1
#define FM3_GPIO_PCRE_AVAILABLE                   1
#define FM_GPIO_PCRE_AVAILABLE                    1
#define FM3_GPIO_PCRF_AVAILABLE                   1
#define FM_GPIO_PCRF_AVAILABLE                    1
#define FM3_GPIO_PDIR0_AVAILABLE                  1
#define FM_GPIO_PDIR0_AVAILABLE                   1
#define FM3_GPIO_PDIR1_AVAILABLE                  1
#define FM_GPIO_PDIR1_AVAILABLE                   1
#define FM3_GPIO_PDIR2_AVAILABLE                  1
#define FM_GPIO_PDIR2_AVAILABLE                   1
#define FM3_GPIO_PDIR3_AVAILABLE                  1
#define FM_GPIO_PDIR3_AVAILABLE                   1
#define FM3_GPIO_PDIR4_AVAILABLE                  1
#define FM_GPIO_PDIR4_AVAILABLE                   1
#define FM3_GPIO_PDIR5_AVAILABLE                  1
#define FM_GPIO_PDIR5_AVAILABLE                   1
#define FM3_GPIO_PDIR6_AVAILABLE                  1
#define FM_GPIO_PDIR6_AVAILABLE                   1
#define FM3_GPIO_PDIR7_AVAILABLE                  1
#define FM_GPIO_PDIR7_AVAILABLE                   1
#define FM3_GPIO_PDIR8_AVAILABLE                  1
#define FM_GPIO_PDIR8_AVAILABLE                   1
#define FM3_GPIO_PDIR9_AVAILABLE                  1
#define FM_GPIO_PDIR9_AVAILABLE                   1
#define FM3_GPIO_PDIRA_AVAILABLE                  1
#define FM_GPIO_PDIRA_AVAILABLE                   1
#define FM3_GPIO_PDIRB_AVAILABLE                  1
#define FM_GPIO_PDIRB_AVAILABLE                   1
#define FM3_GPIO_PDIRC_AVAILABLE                  1
#define FM_GPIO_PDIRC_AVAILABLE                   1
#define FM3_GPIO_PDIRD_AVAILABLE                  1
#define FM_GPIO_PDIRD_AVAILABLE                   1
#define FM3_GPIO_PDIRE_AVAILABLE                  1
#define FM_GPIO_PDIRE_AVAILABLE                   1
#define FM3_GPIO_PDIRF_AVAILABLE                  1
#define FM_GPIO_PDIRF_AVAILABLE                   1
#define FM3_GPIO_PDOR0_AVAILABLE                  1
#define FM_GPIO_PDOR0_AVAILABLE                   1
#define FM3_GPIO_PDOR1_AVAILABLE                  1
#define FM_GPIO_PDOR1_AVAILABLE                   1
#define FM3_GPIO_PDOR2_AVAILABLE                  1
#define FM_GPIO_PDOR2_AVAILABLE                   1
#define FM3_GPIO_PDOR3_AVAILABLE                  1
#define FM_GPIO_PDOR3_AVAILABLE                   1
#define FM3_GPIO_PDOR4_AVAILABLE                  1
#define FM_GPIO_PDOR4_AVAILABLE                   1
#define FM3_GPIO_PDOR5_AVAILABLE                  1
#define FM_GPIO_PDOR5_AVAILABLE                   1
#define FM3_GPIO_PDOR6_AVAILABLE                  1
#define FM_GPIO_PDOR6_AVAILABLE                   1
#define FM3_GPIO_PDOR7_AVAILABLE                  1
#define FM_GPIO_PDOR7_AVAILABLE                   1
#define FM3_GPIO_PDOR8_AVAILABLE                  1
#define FM_GPIO_PDOR8_AVAILABLE                   1
#define FM3_GPIO_PDOR9_AVAILABLE                  1
#define FM_GPIO_PDOR9_AVAILABLE                   1
#define FM3_GPIO_PDORA_AVAILABLE                  1
#define FM_GPIO_PDORA_AVAILABLE                   1
#define FM3_GPIO_PDORB_AVAILABLE                  1
#define FM_GPIO_PDORB_AVAILABLE                   1
#define FM3_GPIO_PDORC_AVAILABLE                  1
#define FM_GPIO_PDORC_AVAILABLE                   1
#define FM3_GPIO_PDORD_AVAILABLE                  1
#define FM_GPIO_PDORD_AVAILABLE                   1
#define FM3_GPIO_PDORE_AVAILABLE                  1
#define FM_GPIO_PDORE_AVAILABLE                   1
#define FM3_GPIO_PDORF_AVAILABLE                  1
#define FM_GPIO_PDORF_AVAILABLE                   1
#define FM3_GPIO_PFR0_AVAILABLE                   1
#define FM_GPIO_PFR0_AVAILABLE                    1
#define FM3_GPIO_PFR1_AVAILABLE                   1
#define FM_GPIO_PFR1_AVAILABLE                    1
#define FM3_GPIO_PFR2_AVAILABLE                   1
#define FM_GPIO_PFR2_AVAILABLE                    1
#define FM3_GPIO_PFR3_AVAILABLE                   1
#define FM_GPIO_PFR3_AVAILABLE                    1
#define FM3_GPIO_PFR4_AVAILABLE                   1
#define FM_GPIO_PFR4_AVAILABLE                    1
#define FM3_GPIO_PFR5_AVAILABLE                   1
#define FM_GPIO_PFR5_AVAILABLE                    1
#define FM3_GPIO_PFR6_AVAILABLE                   1
#define FM_GPIO_PFR6_AVAILABLE                    1
#define FM3_GPIO_PFR7_AVAILABLE                   1
#define FM_GPIO_PFR7_AVAILABLE                    1
#define FM3_GPIO_PFR8_AVAILABLE                   1
#define FM_GPIO_PFR8_AVAILABLE                    1
#define FM3_GPIO_PFR9_AVAILABLE                   1
#define FM_GPIO_PFR9_AVAILABLE                    1
#define FM3_GPIO_PFRA_AVAILABLE                   1
#define FM_GPIO_PFRA_AVAILABLE                    1
#define FM3_GPIO_PFRB_AVAILABLE                   1
#define FM_GPIO_PFRB_AVAILABLE                    1
#define FM3_GPIO_PFRC_AVAILABLE                   1
#define FM_GPIO_PFRC_AVAILABLE                    1
#define FM3_GPIO_PFRD_AVAILABLE                   1
#define FM_GPIO_PFRD_AVAILABLE                    1
#define FM3_GPIO_PFRE_AVAILABLE                   1
#define FM_GPIO_PFRE_AVAILABLE                    1
#define FM3_GPIO_PFRF_AVAILABLE                   1
#define FM_GPIO_PFRF_AVAILABLE                    1
#define FM3_GPIO_PZR0_AVAILABLE                   1
#define FM_GPIO_PZR0_AVAILABLE                    1
#define FM3_GPIO_PZR1_AVAILABLE                   1
#define FM_GPIO_PZR1_AVAILABLE                    1
#define FM3_GPIO_PZR2_AVAILABLE                   1
#define FM_GPIO_PZR2_AVAILABLE                    1
#define FM3_GPIO_PZR3_AVAILABLE                   1
#define FM_GPIO_PZR3_AVAILABLE                    1
#define FM3_GPIO_PZR4_AVAILABLE                   1
#define FM_GPIO_PZR4_AVAILABLE                    1
#define FM3_GPIO_PZR5_AVAILABLE                   1
#define FM_GPIO_PZR5_AVAILABLE                    1
#define FM3_GPIO_PZR6_AVAILABLE                   1
#define FM_GPIO_PZR6_AVAILABLE                    1
#define FM3_GPIO_PZR7_AVAILABLE                   1
#define FM_GPIO_PZR7_AVAILABLE                    1
#define FM3_GPIO_PZR8_AVAILABLE                   1
#define FM_GPIO_PZR8_AVAILABLE                    1
#define FM3_GPIO_PZR9_AVAILABLE                   1
#define FM_GPIO_PZR9_AVAILABLE                    1
#define FM3_GPIO_PZRA_AVAILABLE                   1
#define FM_GPIO_PZRA_AVAILABLE                    1
#define FM3_GPIO_PZRB_AVAILABLE                   1
#define FM_GPIO_PZRB_AVAILABLE                    1
#define FM3_GPIO_PZRC_AVAILABLE                   1
#define FM_GPIO_PZRC_AVAILABLE                    1
#define FM3_GPIO_PZRD_AVAILABLE                   1
#define FM_GPIO_PZRD_AVAILABLE                    1
#define FM3_GPIO_PZRE_AVAILABLE                   1
#define FM_GPIO_PZRE_AVAILABLE                    1
#define FM3_GPIO_PZRF_AVAILABLE                   1
#define FM_GPIO_PZRF_AVAILABLE                    1
#define FM3_GPIO_SPSR_AVAILABLE                   1
#define FM_GPIO_SPSR_AVAILABLE                    1
/******************************************************************************
 ** HDMICEC0
 ** 
 ******************************************************************************/
#define FM3_HDMICEC_RCADR1_AVAILABLE              1
#define FM_HDMICEC_RCADR1_AVAILABLE               1
#define FM3_HDMICEC_RCADR2_AVAILABLE              1
#define FM_HDMICEC_RCADR2_AVAILABLE               1
#define FM3_HDMICEC_RCCKD_AVAILABLE               1
#define FM_HDMICEC_RCCKD_AVAILABLE                1
#define FM3_HDMICEC_RCCR_AVAILABLE                1
#define FM_HDMICEC_RCCR_AVAILABLE                 1
#define FM3_HDMICEC_RCDAHW_AVAILABLE              1
#define FM_HDMICEC_RCDAHW_AVAILABLE               1
#define FM3_HDMICEC_RCDBHW_AVAILABLE              1
#define FM_HDMICEC_RCDBHW_AVAILABLE               1
#define FM3_HDMICEC_RCDTHH_AVAILABLE              1
#define FM_HDMICEC_RCDTHH_AVAILABLE               1
#define FM3_HDMICEC_RCDTHL_AVAILABLE              1
#define FM_HDMICEC_RCDTHL_AVAILABLE               1
#define FM3_HDMICEC_RCDTLH_AVAILABLE              1
#define FM_HDMICEC_RCDTLH_AVAILABLE               1
#define FM3_HDMICEC_RCDTLL_AVAILABLE              1
#define FM_HDMICEC_RCDTLL_AVAILABLE               1
#define FM3_HDMICEC_RCLE_AVAILABLE                1
#define FM_HDMICEC_RCLE_AVAILABLE                 1
#define FM3_HDMICEC_RCLELW_AVAILABLE              1
#define FM_HDMICEC_RCLELW_AVAILABLE               1
#define FM3_HDMICEC_RCLESW_AVAILABLE              1
#define FM_HDMICEC_RCLESW_AVAILABLE               1
#define FM3_HDMICEC_RCRC_AVAILABLE                1
#define FM_HDMICEC_RCRC_AVAILABLE                 1
#define FM3_HDMICEC_RCRHW_AVAILABLE               1
#define FM_HDMICEC_RCRHW_AVAILABLE                1
#define FM3_HDMICEC_RCSHW_AVAILABLE               1
#define FM_HDMICEC_RCSHW_AVAILABLE                1
#define FM3_HDMICEC_RCST_AVAILABLE                1
#define FM_HDMICEC_RCST_AVAILABLE                 1
#define FM3_HDMICEC_SFREE_AVAILABLE               1
#define FM_HDMICEC_SFREE_AVAILABLE                1
#define FM3_HDMICEC_TXCTRL_AVAILABLE              1
#define FM_HDMICEC_TXCTRL_AVAILABLE               1
#define FM3_HDMICEC_TXDATA_AVAILABLE              1
#define FM_HDMICEC_TXDATA_AVAILABLE               1
#define FM3_HDMICEC_TXSTS_AVAILABLE               1
#define FM_HDMICEC_TXSTS_AVAILABLE                1
/******************************************************************************
 ** HWWDT
 ** 
 ******************************************************************************/
#define FM3_HWWDT_WDG_CTL_AVAILABLE               1
#define FM_HWWDT_WDG_CTL_AVAILABLE                1
#define FM3_HWWDT_WDG_ICL_AVAILABLE               1
#define FM_HWWDT_WDG_ICL_AVAILABLE                1
#define FM3_HWWDT_WDG_LCK_AVAILABLE               1
#define FM_HWWDT_WDG_LCK_AVAILABLE                1
#define FM3_HWWDT_WDG_LDR_AVAILABLE               1
#define FM_HWWDT_WDG_LDR_AVAILABLE                1
#define FM3_HWWDT_WDG_RIS_AVAILABLE               1
#define FM_HWWDT_WDG_RIS_AVAILABLE                1
#define FM3_HWWDT_WDG_VLR_AVAILABLE               1
#define FM_HWWDT_WDG_VLR_AVAILABLE                1
/******************************************************************************
 ** INTREQ
 ** 
 ******************************************************************************/
#define FM3_INTREQ_DQESEL_AVAILABLE               1
#define FM_INTREQ_DQESEL_AVAILABLE                1
#define FM3_INTREQ_DRQSEL_AVAILABLE               1
#define FM_INTREQ_DRQSEL_AVAILABLE                1
#define FM3_INTREQ_DRQSEL1_AVAILABLE              1
#define FM_INTREQ_DRQSEL1_AVAILABLE               1
#define FM3_INTREQ_EXC02MON_AVAILABLE             1
#define FM_INTREQ_EXC02MON_AVAILABLE              1
#define FM3_INTREQ_IRQ00MON_AVAILABLE             1
#define FM_INTREQ_IRQ00MON_AVAILABLE              1
#define FM3_INTREQ_IRQ01MON_AVAILABLE             1
#define FM_INTREQ_IRQ01MON_AVAILABLE              1
#define FM3_INTREQ_IRQ02MON_AVAILABLE             1
#define FM_INTREQ_IRQ02MON_AVAILABLE              1
#define FM3_INTREQ_IRQ03MON_AVAILABLE             1
#define FM_INTREQ_IRQ03MON_AVAILABLE              1
#define FM3_INTREQ_IRQ04MON_AVAILABLE             1
#define FM_INTREQ_IRQ04MON_AVAILABLE              1
#define FM3_INTREQ_IRQ05MON_AVAILABLE             1
#define FM_INTREQ_IRQ05MON_AVAILABLE              1
#define FM3_INTREQ_IRQ06MON_AVAILABLE             1
#define FM_INTREQ_IRQ06MON_AVAILABLE              1
#define FM3_INTREQ_IRQ07MON_AVAILABLE             1
#define FM_INTREQ_IRQ07MON_AVAILABLE              1
#define FM3_INTREQ_IRQ08MON_AVAILABLE             1
#define FM_INTREQ_IRQ08MON_AVAILABLE              1
#define FM3_INTREQ_IRQ09MON_AVAILABLE             1
#define FM_INTREQ_IRQ09MON_AVAILABLE              1
#define FM3_INTREQ_IRQ10MON_AVAILABLE             1
#define FM_INTREQ_IRQ10MON_AVAILABLE              1
#define FM3_INTREQ_IRQ11MON_AVAILABLE             1
#define FM_INTREQ_IRQ11MON_AVAILABLE              1
#define FM3_INTREQ_IRQ12MON_AVAILABLE             1
#define FM_INTREQ_IRQ12MON_AVAILABLE              1
#define FM3_INTREQ_IRQ13MON_AVAILABLE             1
#define FM_INTREQ_IRQ13MON_AVAILABLE              1
#define FM3_INTREQ_IRQ14MON_AVAILABLE             1
#define FM_INTREQ_IRQ14MON_AVAILABLE              1
#define FM3_INTREQ_IRQ15MON_AVAILABLE             1
#define FM_INTREQ_IRQ15MON_AVAILABLE              1
#define FM3_INTREQ_IRQ16MON_AVAILABLE             1
#define FM_INTREQ_IRQ16MON_AVAILABLE              1
#define FM3_INTREQ_IRQ17MON_AVAILABLE             1
#define FM_INTREQ_IRQ17MON_AVAILABLE              1
#define FM3_INTREQ_IRQ18MON_AVAILABLE             1
#define FM_INTREQ_IRQ18MON_AVAILABLE              1
#define FM3_INTREQ_IRQ19MON_AVAILABLE             1
#define FM_INTREQ_IRQ19MON_AVAILABLE              1
#define FM3_INTREQ_IRQ20MON_AVAILABLE             1
#define FM_INTREQ_IRQ20MON_AVAILABLE              1
#define FM3_INTREQ_IRQ21MON_AVAILABLE             1
#define FM_INTREQ_IRQ21MON_AVAILABLE              1
#define FM3_INTREQ_IRQ22MON_AVAILABLE             1
#define FM_INTREQ_IRQ22MON_AVAILABLE              1
#define FM3_INTREQ_IRQ23MON_AVAILABLE             1
#define FM_INTREQ_IRQ23MON_AVAILABLE              1
#define FM3_INTREQ_IRQ24MON_AVAILABLE             1
#define FM_INTREQ_IRQ24MON_AVAILABLE              1
#define FM3_INTREQ_IRQ25MON_AVAILABLE             1
#define FM_INTREQ_IRQ25MON_AVAILABLE              1
#define FM3_INTREQ_IRQ26MON_AVAILABLE             1
#define FM_INTREQ_IRQ26MON_AVAILABLE              1
#define FM3_INTREQ_IRQ27MON_AVAILABLE             1
#define FM_INTREQ_IRQ27MON_AVAILABLE              1
#define FM3_INTREQ_IRQ28MON_AVAILABLE             1
#define FM_INTREQ_IRQ28MON_AVAILABLE              1
#define FM3_INTREQ_IRQ29MON_AVAILABLE             1
#define FM_INTREQ_IRQ29MON_AVAILABLE              1
#define FM3_INTREQ_IRQ30MON_AVAILABLE             1
#define FM_INTREQ_IRQ30MON_AVAILABLE              1
#define FM3_INTREQ_IRQ31MON_AVAILABLE             1
#define FM_INTREQ_IRQ31MON_AVAILABLE              1
#define FM3_INTREQ_IRQ32MON_AVAILABLE             1
#define FM_INTREQ_IRQ32MON_AVAILABLE              1
#define FM3_INTREQ_IRQ33MON_AVAILABLE             1
#define FM_INTREQ_IRQ33MON_AVAILABLE              1
#define FM3_INTREQ_IRQ34MON_AVAILABLE             1
#define FM_INTREQ_IRQ34MON_AVAILABLE              1
#define FM3_INTREQ_IRQ35MON_AVAILABLE             1
#define FM_INTREQ_IRQ35MON_AVAILABLE              1
#define FM3_INTREQ_IRQ36MON_AVAILABLE             1
#define FM_INTREQ_IRQ36MON_AVAILABLE              1
#define FM3_INTREQ_IRQ37MON_AVAILABLE             1
#define FM_INTREQ_IRQ37MON_AVAILABLE              1
#define FM3_INTREQ_IRQ38MON_AVAILABLE             1
#define FM_INTREQ_IRQ38MON_AVAILABLE              1
#define FM3_INTREQ_IRQ39MON_AVAILABLE             1
#define FM_INTREQ_IRQ39MON_AVAILABLE              1
#define FM3_INTREQ_IRQ40MON_AVAILABLE             1
#define FM_INTREQ_IRQ40MON_AVAILABLE              1
#define FM3_INTREQ_IRQ41MON_AVAILABLE             1
#define FM_INTREQ_IRQ41MON_AVAILABLE              1
#define FM3_INTREQ_IRQ42MON_AVAILABLE             1
#define FM_INTREQ_IRQ42MON_AVAILABLE              1
#define FM3_INTREQ_IRQ43MON_AVAILABLE             1
#define FM_INTREQ_IRQ43MON_AVAILABLE              1
#define FM3_INTREQ_IRQ44MON_AVAILABLE             1
#define FM_INTREQ_IRQ44MON_AVAILABLE              1
#define FM3_INTREQ_IRQ45MON_AVAILABLE             1
#define FM_INTREQ_IRQ45MON_AVAILABLE              1
#define FM3_INTREQ_IRQ46MON_AVAILABLE             1
#define FM_INTREQ_IRQ46MON_AVAILABLE              1
#define FM3_INTREQ_IRQ47MON_AVAILABLE             1
#define FM_INTREQ_IRQ47MON_AVAILABLE              1
#define FM3_INTREQ_IRQCMODE_AVAILABLE             1
#define FM_INTREQ_IRQCMODE_AVAILABLE              1
#define FM3_INTREQ_ODDPKS_AVAILABLE               1
#define FM_INTREQ_ODDPKS_AVAILABLE                1
#define FM3_INTREQ_ODDPKS1_AVAILABLE              1
#define FM_INTREQ_ODDPKS1_AVAILABLE               1
#define FM3_INTREQ_RCINTSEL0_AVAILABLE            1
#define FM_INTREQ_RCINTSEL0_AVAILABLE             1
#define FM3_INTREQ_RCINTSEL1_AVAILABLE            1
#define FM_INTREQ_RCINTSEL1_AVAILABLE             1
/******************************************************************************
 ** LCDC
 ** 
 ******************************************************************************/
#define FM3_LCDC_LCDC_BLINK_AVAILABLE             1
#define FM_LCDC_LCDC_BLINK_AVAILABLE              1
#define FM3_LCDC_LCDC_COMEN_AVAILABLE             1
#define FM_LCDC_LCDC_COMEN_AVAILABLE              1
#define FM3_LCDC_LCDC_PSR_AVAILABLE               1
#define FM_LCDC_LCDC_PSR_AVAILABLE                1
#define FM3_LCDC_LCDC_SEGEN1_AVAILABLE            1
#define FM_LCDC_LCDC_SEGEN1_AVAILABLE             1
#define FM3_LCDC_LCDC_SEGEN2_AVAILABLE            1
#define FM_LCDC_LCDC_SEGEN2_AVAILABLE             1
#define FM3_LCDC_LCDCC1_AVAILABLE                 1
#define FM_LCDC_LCDCC1_AVAILABLE                  1
#define FM3_LCDC_LCDCC2_AVAILABLE                 1
#define FM_LCDC_LCDCC2_AVAILABLE                  1
#define FM3_LCDC_LCDCC3_AVAILABLE                 1
#define FM_LCDC_LCDCC3_AVAILABLE                  1
#define FM3_LCDC_LCDRAM00_AVAILABLE               1
#define FM_LCDC_LCDRAM00_AVAILABLE                1
#define FM3_LCDC_LCDRAM01_AVAILABLE               1
#define FM_LCDC_LCDRAM01_AVAILABLE                1
#define FM3_LCDC_LCDRAM02_AVAILABLE               1
#define FM_LCDC_LCDRAM02_AVAILABLE                1
#define FM3_LCDC_LCDRAM03_AVAILABLE               1
#define FM_LCDC_LCDRAM03_AVAILABLE                1
#define FM3_LCDC_LCDRAM04_AVAILABLE               1
#define FM_LCDC_LCDRAM04_AVAILABLE                1
#define FM3_LCDC_LCDRAM05_AVAILABLE               1
#define FM_LCDC_LCDRAM05_AVAILABLE                1
#define FM3_LCDC_LCDRAM06_AVAILABLE               1
#define FM_LCDC_LCDRAM06_AVAILABLE                1
#define FM3_LCDC_LCDRAM07_AVAILABLE               1
#define FM_LCDC_LCDRAM07_AVAILABLE                1
#define FM3_LCDC_LCDRAM08_AVAILABLE               1
#define FM_LCDC_LCDRAM08_AVAILABLE                1
#define FM3_LCDC_LCDRAM09_AVAILABLE               1
#define FM_LCDC_LCDRAM09_AVAILABLE                1
#define FM3_LCDC_LCDRAM10_AVAILABLE               1
#define FM_LCDC_LCDRAM10_AVAILABLE                1
#define FM3_LCDC_LCDRAM11_AVAILABLE               1
#define FM_LCDC_LCDRAM11_AVAILABLE                1
#define FM3_LCDC_LCDRAM12_AVAILABLE               1
#define FM_LCDC_LCDRAM12_AVAILABLE                1
#define FM3_LCDC_LCDRAM13_AVAILABLE               1
#define FM_LCDC_LCDRAM13_AVAILABLE                1
#define FM3_LCDC_LCDRAM14_AVAILABLE               1
#define FM_LCDC_LCDRAM14_AVAILABLE                1
#define FM3_LCDC_LCDRAM15_AVAILABLE               1
#define FM_LCDC_LCDRAM15_AVAILABLE                1
#define FM3_LCDC_LCDRAM16_AVAILABLE               1
#define FM_LCDC_LCDRAM16_AVAILABLE                1
#define FM3_LCDC_LCDRAM17_AVAILABLE               1
#define FM_LCDC_LCDRAM17_AVAILABLE                1
#define FM3_LCDC_LCDRAM18_AVAILABLE               1
#define FM_LCDC_LCDRAM18_AVAILABLE                1
#define FM3_LCDC_LCDRAM19_AVAILABLE               1
#define FM_LCDC_LCDRAM19_AVAILABLE                1
#define FM3_LCDC_LCDRAM20_AVAILABLE               1
#define FM_LCDC_LCDRAM20_AVAILABLE                1
#define FM3_LCDC_LCDRAM21_AVAILABLE               1
#define FM_LCDC_LCDRAM21_AVAILABLE                1
#define FM3_LCDC_LCDRAM22_AVAILABLE               1
#define FM_LCDC_LCDRAM22_AVAILABLE                1
#define FM3_LCDC_LCDRAM23_AVAILABLE               1
#define FM_LCDC_LCDRAM23_AVAILABLE                1
#define FM3_LCDC_LCDRAM24_AVAILABLE               1
#define FM_LCDC_LCDRAM24_AVAILABLE                1
#define FM3_LCDC_LCDRAM25_AVAILABLE               1
#define FM_LCDC_LCDRAM25_AVAILABLE                1
#define FM3_LCDC_LCDRAM26_AVAILABLE               1
#define FM_LCDC_LCDRAM26_AVAILABLE                1
#define FM3_LCDC_LCDRAM27_AVAILABLE               1
#define FM_LCDC_LCDRAM27_AVAILABLE                1
#define FM3_LCDC_LCDRAM28_AVAILABLE               1
#define FM_LCDC_LCDRAM28_AVAILABLE                1
#define FM3_LCDC_LCDRAM29_AVAILABLE               1
#define FM_LCDC_LCDRAM29_AVAILABLE                1
#define FM3_LCDC_LCDRAM30_AVAILABLE               1
#define FM_LCDC_LCDRAM30_AVAILABLE                1
#define FM3_LCDC_LCDRAM31_AVAILABLE               1
#define FM_LCDC_LCDRAM31_AVAILABLE                1
#define FM3_LCDC_LCDRAM32_AVAILABLE               1
#define FM_LCDC_LCDRAM32_AVAILABLE                1
#define FM3_LCDC_LCDRAM33_AVAILABLE               1
#define FM_LCDC_LCDRAM33_AVAILABLE                1
#define FM3_LCDC_LCDRAM34_AVAILABLE               1
#define FM_LCDC_LCDRAM34_AVAILABLE                1
#define FM3_LCDC_LCDRAM35_AVAILABLE               1
#define FM_LCDC_LCDRAM35_AVAILABLE                1
#define FM3_LCDC_LCDRAM36_AVAILABLE               1
#define FM_LCDC_LCDRAM36_AVAILABLE                1
#define FM3_LCDC_LCDRAM37_AVAILABLE               1
#define FM_LCDC_LCDRAM37_AVAILABLE                1
#define FM3_LCDC_LCDRAM38_AVAILABLE               1
#define FM_LCDC_LCDRAM38_AVAILABLE                1
#define FM3_LCDC_LCDRAM39_AVAILABLE               1
#define FM_LCDC_LCDRAM39_AVAILABLE                1
/******************************************************************************
 ** LVD
 ** 
 ******************************************************************************/
#define FM3_LVD_LVD_CLR_AVAILABLE                 1
#define FM_LVD_LVD_CLR_AVAILABLE                  1
#define FM3_LVD_LVD_CTL_AVAILABLE                 1
#define FM_LVD_LVD_CTL_AVAILABLE                  1
#define FM3_LVD_LVD_RLR_AVAILABLE                 1
#define FM_LVD_LVD_RLR_AVAILABLE                  1
#define FM3_LVD_LVD_STR_AVAILABLE                 1
#define FM_LVD_LVD_STR_AVAILABLE                  1
#define FM3_LVD_LVD_STR2_AVAILABLE                1
#define FM_LVD_LVD_STR2_AVAILABLE                 1
/******************************************************************************
 ** MFS0
 ** 
 ******************************************************************************/
#define FM3_MFS_CSIO_BGR_AVAILABLE                1
#define FM_MFS_CSIO_BGR_AVAILABLE                 1
#define FM3_MFS_CSIO_ESCR_AVAILABLE               1
#define FM_MFS_CSIO_ESCR_AVAILABLE                1
#define FM3_MFS_CSIO_FBYTE1_AVAILABLE             1
#define FM_MFS_CSIO_FBYTE1_AVAILABLE              1
#define FM3_MFS_CSIO_FBYTE2_AVAILABLE             1
#define FM_MFS_CSIO_FBYTE2_AVAILABLE              1
#define FM3_MFS_CSIO_FCR_AVAILABLE                1
#define FM_MFS_CSIO_FCR_AVAILABLE                 1
#define FM3_MFS_CSIO_RDR_AVAILABLE                1
#define FM_MFS_CSIO_RDR_AVAILABLE                 1
#define FM3_MFS_CSIO_SCR_AVAILABLE                1
#define FM_MFS_CSIO_SCR_AVAILABLE                 1
#define FM3_MFS_CSIO_SMR_AVAILABLE                1
#define FM_MFS_CSIO_SMR_AVAILABLE                 1
#define FM3_MFS_CSIO_SSR_AVAILABLE                1
#define FM_MFS_CSIO_SSR_AVAILABLE                 1
#define FM3_MFS_CSIO_TDR_AVAILABLE                1
#define FM_MFS_CSIO_TDR_AVAILABLE                 1
#define FM3_MFS_I2C_BGR_AVAILABLE                 1
#define FM_MFS_I2C_BGR_AVAILABLE                  1
#define FM3_MFS_I2C_EIBCR_AVAILABLE               1
#define FM_MFS_I2C_EIBCR_AVAILABLE                1
#define FM3_MFS_I2C_FBYTE1_AVAILABLE              1
#define FM_MFS_I2C_FBYTE1_AVAILABLE               1
#define FM3_MFS_I2C_FBYTE2_AVAILABLE              1
#define FM_MFS_I2C_FBYTE2_AVAILABLE               1
#define FM3_MFS_I2C_FCR_AVAILABLE                 1
#define FM_MFS_I2C_FCR_AVAILABLE                  1
#define FM3_MFS_I2C_IBCR_AVAILABLE                1
#define FM_MFS_I2C_IBCR_AVAILABLE                 1
#define FM3_MFS_I2C_IBSR_AVAILABLE                1
#define FM_MFS_I2C_IBSR_AVAILABLE                 1
#define FM3_MFS_I2C_ISBA_AVAILABLE                1
#define FM_MFS_I2C_ISBA_AVAILABLE                 1
#define FM3_MFS_I2C_ISMK_AVAILABLE                1
#define FM_MFS_I2C_ISMK_AVAILABLE                 1
#define FM3_MFS_I2C_RDR_AVAILABLE                 1
#define FM_MFS_I2C_RDR_AVAILABLE                  1
#define FM3_MFS_I2C_SMR_AVAILABLE                 1
#define FM_MFS_I2C_SMR_AVAILABLE                  1
#define FM3_MFS_I2C_SSR_AVAILABLE                 1
#define FM_MFS_I2C_SSR_AVAILABLE                  1
#define FM3_MFS_I2C_TDR_AVAILABLE                 1
#define FM_MFS_I2C_TDR_AVAILABLE                  1
#define FM3_MFS_UART_BGR_AVAILABLE                1
#define FM_MFS_UART_BGR_AVAILABLE                 1
#define FM3_MFS_UART_ESCR_AVAILABLE               1
#define FM_MFS_UART_ESCR_AVAILABLE                1
#define FM3_MFS_UART_FBYTE1_AVAILABLE             1
#define FM_MFS_UART_FBYTE1_AVAILABLE              1
#define FM3_MFS_UART_FBYTE2_AVAILABLE             1
#define FM_MFS_UART_FBYTE2_AVAILABLE              1
#define FM3_MFS_UART_FCR_AVAILABLE                1
#define FM_MFS_UART_FCR_AVAILABLE                 1
#define FM3_MFS_UART_RDR_AVAILABLE                1
#define FM_MFS_UART_RDR_AVAILABLE                 1
#define FM3_MFS_UART_SCR_AVAILABLE                1
#define FM_MFS_UART_SCR_AVAILABLE                 1
#define FM3_MFS_UART_SMR_AVAILABLE                1
#define FM_MFS_UART_SMR_AVAILABLE                 1
#define FM3_MFS_UART_SSR_AVAILABLE                1
#define FM_MFS_UART_SSR_AVAILABLE                 1
#define FM3_MFS_UART_TDR_AVAILABLE                1
#define FM_MFS_UART_TDR_AVAILABLE                 1
/******************************************************************************
 ** MFS_NFC
 ** 
 ******************************************************************************/
#define FM3_MFS_NFC_I2CDNF_AVAILABLE              1
#define FM_MFS_NFC_I2CDNF_AVAILABLE               1
/******************************************************************************
 ** RTC
 ** 
 ******************************************************************************/
#define FM3_RTC_ALDR_AVAILABLE                    1
#define FM_RTC_ALDR_AVAILABLE                     1
#define FM3_RTC_ALHR_AVAILABLE                    1
#define FM_RTC_ALHR_AVAILABLE                     1
#define FM3_RTC_ALMIR_AVAILABLE                   1
#define FM_RTC_ALMIR_AVAILABLE                    1
#define FM3_RTC_ALMOR_AVAILABLE                   1
#define FM_RTC_ALMOR_AVAILABLE                    1
#define FM3_RTC_ALYR_AVAILABLE                    1
#define FM_RTC_ALYR_AVAILABLE                     1
#define FM3_RTC_WTBR_AVAILABLE                    1
#define FM_RTC_WTBR_AVAILABLE                     1
#define FM3_RTC_WTCAL_AVAILABLE                   1
#define FM_RTC_WTCAL_AVAILABLE                    1
#define FM3_RTC_WTCALEN_AVAILABLE                 1
#define FM_RTC_WTCALEN_AVAILABLE                  1
#define FM3_RTC_WTCALPRD_AVAILABLE                1
#define FM_RTC_WTCALPRD_AVAILABLE                 1
#define FM3_RTC_WTCLKM_AVAILABLE                  1
#define FM_RTC_WTCLKM_AVAILABLE                   1
#define FM3_RTC_WTCLKS_AVAILABLE                  1
#define FM_RTC_WTCLKS_AVAILABLE                   1
#define FM3_RTC_WTCOSEL_AVAILABLE                 1
#define FM_RTC_WTCOSEL_AVAILABLE                  1
#define FM3_RTC_WTCR1_AVAILABLE                   1
#define FM_RTC_WTCR1_AVAILABLE                    1
#define FM3_RTC_WTCR2_AVAILABLE                   1
#define FM_RTC_WTCR2_AVAILABLE                    1
#define FM3_RTC_WTDIV_AVAILABLE                   1
#define FM_RTC_WTDIV_AVAILABLE                    1
#define FM3_RTC_WTDIVEN_AVAILABLE                 1
#define FM_RTC_WTDIVEN_AVAILABLE                  1
#define FM3_RTC_WTDR_AVAILABLE                    1
#define FM_RTC_WTDR_AVAILABLE                     1
#define FM3_RTC_WTDW_AVAILABLE                    1
#define FM_RTC_WTDW_AVAILABLE                     1
#define FM3_RTC_WTHR_AVAILABLE                    1
#define FM_RTC_WTHR_AVAILABLE                     1
#define FM3_RTC_WTMIR_AVAILABLE                   1
#define FM_RTC_WTMIR_AVAILABLE                    1
#define FM3_RTC_WTMOR_AVAILABLE                   1
#define FM_RTC_WTMOR_AVAILABLE                    1
#define FM3_RTC_WTSR_AVAILABLE                    1
#define FM_RTC_WTSR_AVAILABLE                     1
#define FM3_RTC_WTTR_AVAILABLE                    1
#define FM_RTC_WTTR_AVAILABLE                     1
#define FM3_RTC_WTYR_AVAILABLE                    1
#define FM_RTC_WTYR_AVAILABLE                     1
/******************************************************************************
 ** SBSSR
 ** 
 ******************************************************************************/
#define FM3_SBSSR_BTSSSR_AVAILABLE                1
#define FM_SBSSR_BTSSSR_AVAILABLE                 1
/******************************************************************************
 ** SWWDT
 ** 
 ******************************************************************************/
#define FM3_SWWDT_WDOGCONTROL_AVAILABLE           1
#define FM_SWWDT_WDOGCONTROL_AVAILABLE            1
#define FM3_SWWDT_WDOGINTCLR_AVAILABLE            1
#define FM_SWWDT_WDOGINTCLR_AVAILABLE             1
#define FM3_SWWDT_WDOGLOAD_AVAILABLE              1
#define FM_SWWDT_WDOGLOAD_AVAILABLE               1
#define FM3_SWWDT_WDOGLOCK_AVAILABLE              1
#define FM_SWWDT_WDOGLOCK_AVAILABLE               1
#define FM3_SWWDT_WDOGRIS_AVAILABLE               1
#define FM_SWWDT_WDOGRIS_AVAILABLE                1
#define FM3_SWWDT_WDOGVALUE_AVAILABLE             1
#define FM_SWWDT_WDOGVALUE_AVAILABLE              1
/******************************************************************************
 ** UNIQUE_ID
 ** 
 ******************************************************************************/
#define FM3_UNIQUE_ID_UIDR0_AVAILABLE             1
#define FM_UNIQUE_ID_UIDR0_AVAILABLE              1
#define FM3_UNIQUE_ID_UIDR1_AVAILABLE             1
#define FM_UNIQUE_ID_UIDR1_AVAILABLE              1
/******************************************************************************
 ** USB0
 ** 
 ******************************************************************************/
#define FM3_USB_EP0C_AVAILABLE                    1
#define FM_USB_EP0C_AVAILABLE                     1
#define FM3_USB_EP0DT_AVAILABLE                   1
#define FM_USB_EP0DT_AVAILABLE                    1
#define FM3_USB_EP0IS_AVAILABLE                   1
#define FM_USB_EP0IS_AVAILABLE                    1
#define FM3_USB_EP0OS_AVAILABLE                   1
#define FM_USB_EP0OS_AVAILABLE                    1
#define FM3_USB_EP1C_AVAILABLE                    1
#define FM_USB_EP1C_AVAILABLE                     1
#define FM3_USB_EP1DT_AVAILABLE                   1
#define FM_USB_EP1DT_AVAILABLE                    1
#define FM3_USB_EP1S_AVAILABLE                    1
#define FM_USB_EP1S_AVAILABLE                     1
#define FM3_USB_EP2C_AVAILABLE                    1
#define FM_USB_EP2C_AVAILABLE                     1
#define FM3_USB_EP2DT_AVAILABLE                   1
#define FM_USB_EP2DT_AVAILABLE                    1
#define FM3_USB_EP2S_AVAILABLE                    1
#define FM_USB_EP2S_AVAILABLE                     1
#define FM3_USB_EP3C_AVAILABLE                    1
#define FM_USB_EP3C_AVAILABLE                     1
#define FM3_USB_EP3DT_AVAILABLE                   1
#define FM_USB_EP3DT_AVAILABLE                    1
#define FM3_USB_EP3S_AVAILABLE                    1
#define FM_USB_EP3S_AVAILABLE                     1
#define FM3_USB_EP4C_AVAILABLE                    1
#define FM_USB_EP4C_AVAILABLE                     1
#define FM3_USB_EP4DT_AVAILABLE                   1
#define FM_USB_EP4DT_AVAILABLE                    1
#define FM3_USB_EP4S_AVAILABLE                    1
#define FM_USB_EP4S_AVAILABLE                     1
#define FM3_USB_EP5C_AVAILABLE                    1
#define FM_USB_EP5C_AVAILABLE                     1
#define FM3_USB_EP5DT_AVAILABLE                   1
#define FM_USB_EP5DT_AVAILABLE                    1
#define FM3_USB_EP5S_AVAILABLE                    1
#define FM_USB_EP5S_AVAILABLE                     1
#define FM3_USB_HADR_AVAILABLE                    1
#define FM_USB_HADR_AVAILABLE                     1
#define FM3_USB_HCNT_AVAILABLE                    1
#define FM_USB_HCNT_AVAILABLE                     1
#define FM3_USB_HEOF_AVAILABLE                    1
#define FM_USB_HEOF_AVAILABLE                     1
#define FM3_USB_HERR_AVAILABLE                    1
#define FM_USB_HERR_AVAILABLE                     1
#define FM3_USB_HFCOMP_AVAILABLE                  1
#define FM_USB_HFCOMP_AVAILABLE                   1
#define FM3_USB_HFRAME_AVAILABLE                  1
#define FM_USB_HFRAME_AVAILABLE                   1
#define FM3_USB_HIRQ_AVAILABLE                    1
#define FM_USB_HIRQ_AVAILABLE                     1
#define FM3_USB_HRTIMER_AVAILABLE                 1
#define FM_USB_HRTIMER_AVAILABLE                  1
#define FM3_USB_HRTIMER2_AVAILABLE                1
#define FM_USB_HRTIMER2_AVAILABLE                 1
#define FM3_USB_HSTATE_AVAILABLE                  1
#define FM_USB_HSTATE_AVAILABLE                   1
#define FM3_USB_HTOKEN_AVAILABLE                  1
#define FM_USB_HTOKEN_AVAILABLE                   1
#define FM3_USB_TMSP_AVAILABLE                    1
#define FM_USB_TMSP_AVAILABLE                     1
#define FM3_USB_UDCC_AVAILABLE                    1
#define FM_USB_UDCC_AVAILABLE                     1
#define FM3_USB_UDCIE_AVAILABLE                   1
#define FM_USB_UDCIE_AVAILABLE                    1
#define FM3_USB_UDCS_AVAILABLE                    1
#define FM_USB_UDCS_AVAILABLE                     1
/******************************************************************************
 ** USBCLK
 ** 
 ******************************************************************************/
#define FM3_USBCLK_UCCR_AVAILABLE                 1
#define FM_USBCLK_UCCR_AVAILABLE                  1
#define FM3_USBCLK_UP_STR_AVAILABLE               1
#define FM_USBCLK_UP_STR_AVAILABLE                1
#define FM3_USBCLK_UPCR1_AVAILABLE                1
#define FM_USBCLK_UPCR1_AVAILABLE                 1
#define FM3_USBCLK_UPCR2_AVAILABLE                1
#define FM_USBCLK_UPCR2_AVAILABLE                 1
#define FM3_USBCLK_UPCR3_AVAILABLE                1
#define FM_USBCLK_UPCR3_AVAILABLE                 1
#define FM3_USBCLK_UPCR4_AVAILABLE                1
#define FM_USBCLK_UPCR4_AVAILABLE                 1
#define FM3_USBCLK_UPCR5_AVAILABLE                1
#define FM_USBCLK_UPCR5_AVAILABLE                 1
#define FM3_USBCLK_UPINT_CLR_AVAILABLE            1
#define FM_USBCLK_UPINT_CLR_AVAILABLE             1
#define FM3_USBCLK_UPINT_ENR_AVAILABLE            1
#define FM_USBCLK_UPINT_ENR_AVAILABLE             1
#define FM3_USBCLK_UPINT_STR_AVAILABLE            1
#define FM_USBCLK_UPINT_STR_AVAILABLE             1
#define FM3_USBCLK_USBEN0_AVAILABLE               1
#define FM_USBCLK_USBEN0_AVAILABLE                1
/******************************************************************************
 ** WC
 ** 
 ******************************************************************************/
#define FM3_WC_CLK_EN_AVAILABLE                   1
#define FM_WC_CLK_EN_AVAILABLE                    1
#define FM3_WC_CLK_SEL_AVAILABLE                  1
#define FM_WC_CLK_SEL_AVAILABLE                   1
#define FM3_WC_WCCR_AVAILABLE                     1
#define FM_WC_WCCR_AVAILABLE                      1
#define FM3_WC_WCRD_AVAILABLE                     1
#define FM_WC_WCRD_AVAILABLE                      1
#define FM3_WC_WCRL_AVAILABLE                     1
#define FM_WC_WCRL_AVAILABLE                      1

/******************************************************************************
 ** Peripheral Bit Band Alias declaration
 ** 
 ******************************************************************************/
/******************************************************************************
 ** ADC Registers ADC0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_ADC0_ADCEN_ENBL                       *((volatile  uint8_t *)(0x424E0780UL))
#define bFM3_ADC0_ADCEN_ENBL                      *((volatile  uint8_t *)(0x424E0780UL))
#define bFM_ADC0_ADCEN_READY                      *((volatile  uint8_t *)(0x424E0784UL))
#define bFM3_ADC0_ADCEN_READY                     *((volatile  uint8_t *)(0x424E0784UL))

#define bFM_ADC0_ADCR_OVRIE                       *((volatile  uint8_t *)(0x424E0020UL))
#define bFM3_ADC0_ADCR_OVRIE                      *((volatile  uint8_t *)(0x424E0020UL))
#define bFM_ADC0_ADCR_CMPIE                       *((volatile  uint8_t *)(0x424E0024UL))
#define bFM3_ADC0_ADCR_CMPIE                      *((volatile  uint8_t *)(0x424E0024UL))
#define bFM_ADC0_ADCR_PCIE                        *((volatile  uint8_t *)(0x424E0028UL))
#define bFM3_ADC0_ADCR_PCIE                       *((volatile  uint8_t *)(0x424E0028UL))
#define bFM_ADC0_ADCR_SCIE                        *((volatile  uint8_t *)(0x424E002CUL))
#define bFM3_ADC0_ADCR_SCIE                       *((volatile  uint8_t *)(0x424E002CUL))
#define bFM_ADC0_ADCR_CMPIF                       *((volatile  uint8_t *)(0x424E0034UL))
#define bFM3_ADC0_ADCR_CMPIF                      *((volatile  uint8_t *)(0x424E0034UL))
#define bFM_ADC0_ADCR_PCIF                        *((volatile  uint8_t *)(0x424E0038UL))
#define bFM3_ADC0_ADCR_PCIF                       *((volatile  uint8_t *)(0x424E0038UL))
#define bFM_ADC0_ADCR_SCIF                        *((volatile  uint8_t *)(0x424E003CUL))
#define bFM3_ADC0_ADCR_SCIF                       *((volatile  uint8_t *)(0x424E003CUL))

#define bFM_ADC0_ADSR_SCS                         *((volatile  uint8_t *)(0x424E0000UL))
#define bFM3_ADC0_ADSR_SCS                        *((volatile  uint8_t *)(0x424E0000UL))
#define bFM_ADC0_ADSR_PCS                         *((volatile  uint8_t *)(0x424E0004UL))
#define bFM3_ADC0_ADSR_PCS                        *((volatile  uint8_t *)(0x424E0004UL))
#define bFM_ADC0_ADSR_PCNS                        *((volatile  uint8_t *)(0x424E0008UL))
#define bFM3_ADC0_ADSR_PCNS                       *((volatile  uint8_t *)(0x424E0008UL))
#define bFM_ADC0_ADSR_FDAS                        *((volatile  uint8_t *)(0x424E0018UL))
#define bFM3_ADC0_ADSR_FDAS                       *((volatile  uint8_t *)(0x424E0018UL))
#define bFM_ADC0_ADSR_ADSTP                       *((volatile  uint8_t *)(0x424E001CUL))
#define bFM3_ADC0_ADSR_ADSTP                      *((volatile  uint8_t *)(0x424E001CUL))

#define bFM_ADC0_ADSS01_TS0                       *((volatile  uint8_t *)(0x424E0580UL))
#define bFM3_ADC0_ADSS01_TS0                      *((volatile  uint8_t *)(0x424E0580UL))
#define bFM_ADC0_ADSS01_TS1                       *((volatile  uint8_t *)(0x424E0584UL))
#define bFM3_ADC0_ADSS01_TS1                      *((volatile  uint8_t *)(0x424E0584UL))
#define bFM_ADC0_ADSS01_TS2                       *((volatile  uint8_t *)(0x424E0588UL))
#define bFM3_ADC0_ADSS01_TS2                      *((volatile  uint8_t *)(0x424E0588UL))
#define bFM_ADC0_ADSS01_TS3                       *((volatile  uint8_t *)(0x424E058CUL))
#define bFM3_ADC0_ADSS01_TS3                      *((volatile  uint8_t *)(0x424E058CUL))
#define bFM_ADC0_ADSS01_TS4                       *((volatile  uint8_t *)(0x424E0590UL))
#define bFM3_ADC0_ADSS01_TS4                      *((volatile  uint8_t *)(0x424E0590UL))
#define bFM_ADC0_ADSS01_TS5                       *((volatile  uint8_t *)(0x424E0594UL))
#define bFM3_ADC0_ADSS01_TS5                      *((volatile  uint8_t *)(0x424E0594UL))
#define bFM_ADC0_ADSS01_TS6                       *((volatile  uint8_t *)(0x424E0598UL))
#define bFM3_ADC0_ADSS01_TS6                      *((volatile  uint8_t *)(0x424E0598UL))
#define bFM_ADC0_ADSS01_TS7                       *((volatile  uint8_t *)(0x424E059CUL))
#define bFM3_ADC0_ADSS01_TS7                      *((volatile  uint8_t *)(0x424E059CUL))
#define bFM_ADC0_ADSS01_TS8                       *((volatile  uint8_t *)(0x424E05A0UL))
#define bFM3_ADC0_ADSS01_TS8                      *((volatile  uint8_t *)(0x424E05A0UL))
#define bFM_ADC0_ADSS01_TS9                       *((volatile  uint8_t *)(0x424E05A4UL))
#define bFM3_ADC0_ADSS01_TS9                      *((volatile  uint8_t *)(0x424E05A4UL))
#define bFM_ADC0_ADSS01_TS10                      *((volatile  uint8_t *)(0x424E05A8UL))
#define bFM3_ADC0_ADSS01_TS10                     *((volatile  uint8_t *)(0x424E05A8UL))
#define bFM_ADC0_ADSS01_TS11                      *((volatile  uint8_t *)(0x424E05ACUL))
#define bFM3_ADC0_ADSS01_TS11                     *((volatile  uint8_t *)(0x424E05ACUL))
#define bFM_ADC0_ADSS01_TS12                      *((volatile  uint8_t *)(0x424E05B0UL))
#define bFM3_ADC0_ADSS01_TS12                     *((volatile  uint8_t *)(0x424E05B0UL))
#define bFM_ADC0_ADSS01_TS13                      *((volatile  uint8_t *)(0x424E05B4UL))
#define bFM3_ADC0_ADSS01_TS13                     *((volatile  uint8_t *)(0x424E05B4UL))
#define bFM_ADC0_ADSS01_TS14                      *((volatile  uint8_t *)(0x424E05B8UL))
#define bFM3_ADC0_ADSS01_TS14                     *((volatile  uint8_t *)(0x424E05B8UL))
#define bFM_ADC0_ADSS01_TS15                      *((volatile  uint8_t *)(0x424E05BCUL))
#define bFM3_ADC0_ADSS01_TS15                     *((volatile  uint8_t *)(0x424E05BCUL))

#define bFM_ADC0_ADSS23_TS16                      *((volatile  uint8_t *)(0x424E0500UL))
#define bFM3_ADC0_ADSS23_TS16                     *((volatile  uint8_t *)(0x424E0500UL))
#define bFM_ADC0_ADSS23_TS17                      *((volatile  uint8_t *)(0x424E0504UL))
#define bFM3_ADC0_ADSS23_TS17                     *((volatile  uint8_t *)(0x424E0504UL))
#define bFM_ADC0_ADSS23_TS18                      *((volatile  uint8_t *)(0x424E0508UL))
#define bFM3_ADC0_ADSS23_TS18                     *((volatile  uint8_t *)(0x424E0508UL))
#define bFM_ADC0_ADSS23_TS19                      *((volatile  uint8_t *)(0x424E050CUL))
#define bFM3_ADC0_ADSS23_TS19                     *((volatile  uint8_t *)(0x424E050CUL))
#define bFM_ADC0_ADSS23_TS20                      *((volatile  uint8_t *)(0x424E0510UL))
#define bFM3_ADC0_ADSS23_TS20                     *((volatile  uint8_t *)(0x424E0510UL))
#define bFM_ADC0_ADSS23_TS21                      *((volatile  uint8_t *)(0x424E0514UL))
#define bFM3_ADC0_ADSS23_TS21                     *((volatile  uint8_t *)(0x424E0514UL))
#define bFM_ADC0_ADSS23_TS22                      *((volatile  uint8_t *)(0x424E0518UL))
#define bFM3_ADC0_ADSS23_TS22                     *((volatile  uint8_t *)(0x424E0518UL))
#define bFM_ADC0_ADSS23_TS23                      *((volatile  uint8_t *)(0x424E051CUL))
#define bFM3_ADC0_ADSS23_TS23                     *((volatile  uint8_t *)(0x424E051CUL))
#define bFM_ADC0_ADSS23_TS24                      *((volatile  uint8_t *)(0x424E0520UL))
#define bFM3_ADC0_ADSS23_TS24                     *((volatile  uint8_t *)(0x424E0520UL))
#define bFM_ADC0_ADSS23_TS25                      *((volatile  uint8_t *)(0x424E0524UL))
#define bFM3_ADC0_ADSS23_TS25                     *((volatile  uint8_t *)(0x424E0524UL))
#define bFM_ADC0_ADSS23_TS26                      *((volatile  uint8_t *)(0x424E0528UL))
#define bFM3_ADC0_ADSS23_TS26                     *((volatile  uint8_t *)(0x424E0528UL))
#define bFM_ADC0_ADSS23_TS27                      *((volatile  uint8_t *)(0x424E052CUL))
#define bFM3_ADC0_ADSS23_TS27                     *((volatile  uint8_t *)(0x424E052CUL))
#define bFM_ADC0_ADSS23_TS28                      *((volatile  uint8_t *)(0x424E0530UL))
#define bFM3_ADC0_ADSS23_TS28                     *((volatile  uint8_t *)(0x424E0530UL))
#define bFM_ADC0_ADSS23_TS29                      *((volatile  uint8_t *)(0x424E0534UL))
#define bFM3_ADC0_ADSS23_TS29                     *((volatile  uint8_t *)(0x424E0534UL))
#define bFM_ADC0_ADSS23_TS30                      *((volatile  uint8_t *)(0x424E0538UL))
#define bFM3_ADC0_ADSS23_TS30                     *((volatile  uint8_t *)(0x424E0538UL))
#define bFM_ADC0_ADSS23_TS31                      *((volatile  uint8_t *)(0x424E053CUL))
#define bFM3_ADC0_ADSS23_TS31                     *((volatile  uint8_t *)(0x424E053CUL))

#define bFM_ADC0_CMPCR_CMD0                       *((volatile  uint8_t *)(0x424E0494UL))
#define bFM3_ADC0_CMPCR_CMD0                      *((volatile  uint8_t *)(0x424E0494UL))
#define bFM_ADC0_CMPCR_CMD1                       *((volatile  uint8_t *)(0x424E0498UL))
#define bFM3_ADC0_CMPCR_CMD1                      *((volatile  uint8_t *)(0x424E0498UL))
#define bFM_ADC0_CMPCR_CMPEN                      *((volatile  uint8_t *)(0x424E049CUL))
#define bFM3_ADC0_CMPCR_CMPEN                     *((volatile  uint8_t *)(0x424E049CUL))

#define bFM_ADC0_PCCR_PSTR                        *((volatile  uint8_t *)(0x424E0320UL))
#define bFM3_ADC0_PCCR_PSTR                       *((volatile  uint8_t *)(0x424E0320UL))
#define bFM_ADC0_PCCR_PHEN                        *((volatile  uint8_t *)(0x424E0324UL))
#define bFM3_ADC0_PCCR_PHEN                       *((volatile  uint8_t *)(0x424E0324UL))
#define bFM_ADC0_PCCR_PEEN                        *((volatile  uint8_t *)(0x424E0328UL))
#define bFM3_ADC0_PCCR_PEEN                       *((volatile  uint8_t *)(0x424E0328UL))
#define bFM_ADC0_PCCR_ESCE                        *((volatile  uint8_t *)(0x424E032CUL))
#define bFM3_ADC0_PCCR_ESCE                       *((volatile  uint8_t *)(0x424E032CUL))
#define bFM_ADC0_PCCR_PFCLR                       *((volatile  uint8_t *)(0x424E0330UL))
#define bFM3_ADC0_PCCR_PFCLR                      *((volatile  uint8_t *)(0x424E0330UL))
#define bFM_ADC0_PCCR_POVR                        *((volatile  uint8_t *)(0x424E0334UL))
#define bFM3_ADC0_PCCR_POVR                       *((volatile  uint8_t *)(0x424E0334UL))
#define bFM_ADC0_PCCR_PFUL                        *((volatile  uint8_t *)(0x424E0338UL))
#define bFM3_ADC0_PCCR_PFUL                       *((volatile  uint8_t *)(0x424E0338UL))
#define bFM_ADC0_PCCR_PEMP                        *((volatile  uint8_t *)(0x424E033CUL))
#define bFM3_ADC0_PCCR_PEMP                       *((volatile  uint8_t *)(0x424E033CUL))

#define bFM_ADC0_PCFD_INVL                        *((volatile  uint8_t *)(0x424E03B0UL))
#define bFM3_ADC0_PCFD_INVL                       *((volatile  uint8_t *)(0x424E03B0UL))

#define bFM_ADC0_PCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E03B0UL))
#define bFM3_ADC0_PCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E03B0UL))

#define bFM_ADC0_SCCR_SSTR                        *((volatile  uint8_t *)(0x424E0120UL))
#define bFM3_ADC0_SCCR_SSTR                       *((volatile  uint8_t *)(0x424E0120UL))
#define bFM_ADC0_SCCR_SHEN                        *((volatile  uint8_t *)(0x424E0124UL))
#define bFM3_ADC0_SCCR_SHEN                       *((volatile  uint8_t *)(0x424E0124UL))
#define bFM_ADC0_SCCR_RPT                         *((volatile  uint8_t *)(0x424E0128UL))
#define bFM3_ADC0_SCCR_RPT                        *((volatile  uint8_t *)(0x424E0128UL))
#define bFM_ADC0_SCCR_SFCLR                       *((volatile  uint8_t *)(0x424E0130UL))
#define bFM3_ADC0_SCCR_SFCLR                      *((volatile  uint8_t *)(0x424E0130UL))
#define bFM_ADC0_SCCR_SOVR                        *((volatile  uint8_t *)(0x424E0134UL))
#define bFM3_ADC0_SCCR_SOVR                       *((volatile  uint8_t *)(0x424E0134UL))
#define bFM_ADC0_SCCR_SFUL                        *((volatile  uint8_t *)(0x424E0138UL))
#define bFM3_ADC0_SCCR_SFUL                       *((volatile  uint8_t *)(0x424E0138UL))
#define bFM_ADC0_SCCR_SEMP                        *((volatile  uint8_t *)(0x424E013CUL))
#define bFM3_ADC0_SCCR_SEMP                       *((volatile  uint8_t *)(0x424E013CUL))

#define bFM_ADC0_SCFD_INVL                        *((volatile  uint8_t *)(0x424E01B0UL))
#define bFM3_ADC0_SCFD_INVL                       *((volatile  uint8_t *)(0x424E01B0UL))

#define bFM_ADC0_SCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E01B0UL))
#define bFM3_ADC0_SCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E01B0UL))

#define bFM_ADC0_SCIS01_AN0                       *((volatile  uint8_t *)(0x424E0280UL))
#define bFM3_ADC0_SCIS01_AN0                      *((volatile  uint8_t *)(0x424E0280UL))
#define bFM_ADC0_SCIS01_AN1                       *((volatile  uint8_t *)(0x424E0284UL))
#define bFM3_ADC0_SCIS01_AN1                      *((volatile  uint8_t *)(0x424E0284UL))
#define bFM_ADC0_SCIS01_AN2                       *((volatile  uint8_t *)(0x424E0288UL))
#define bFM3_ADC0_SCIS01_AN2                      *((volatile  uint8_t *)(0x424E0288UL))
#define bFM_ADC0_SCIS01_AN3                       *((volatile  uint8_t *)(0x424E028CUL))
#define bFM3_ADC0_SCIS01_AN3                      *((volatile  uint8_t *)(0x424E028CUL))
#define bFM_ADC0_SCIS01_AN4                       *((volatile  uint8_t *)(0x424E0290UL))
#define bFM3_ADC0_SCIS01_AN4                      *((volatile  uint8_t *)(0x424E0290UL))
#define bFM_ADC0_SCIS01_AN5                       *((volatile  uint8_t *)(0x424E0294UL))
#define bFM3_ADC0_SCIS01_AN5                      *((volatile  uint8_t *)(0x424E0294UL))
#define bFM_ADC0_SCIS01_AN6                       *((volatile  uint8_t *)(0x424E0298UL))
#define bFM3_ADC0_SCIS01_AN6                      *((volatile  uint8_t *)(0x424E0298UL))
#define bFM_ADC0_SCIS01_AN7                       *((volatile  uint8_t *)(0x424E029CUL))
#define bFM3_ADC0_SCIS01_AN7                      *((volatile  uint8_t *)(0x424E029CUL))
#define bFM_ADC0_SCIS01_AN8                       *((volatile  uint8_t *)(0x424E02A0UL))
#define bFM3_ADC0_SCIS01_AN8                      *((volatile  uint8_t *)(0x424E02A0UL))
#define bFM_ADC0_SCIS01_AN9                       *((volatile  uint8_t *)(0x424E02A4UL))
#define bFM3_ADC0_SCIS01_AN9                      *((volatile  uint8_t *)(0x424E02A4UL))
#define bFM_ADC0_SCIS01_AN10                      *((volatile  uint8_t *)(0x424E02A8UL))
#define bFM3_ADC0_SCIS01_AN10                     *((volatile  uint8_t *)(0x424E02A8UL))
#define bFM_ADC0_SCIS01_AN11                      *((volatile  uint8_t *)(0x424E02ACUL))
#define bFM3_ADC0_SCIS01_AN11                     *((volatile  uint8_t *)(0x424E02ACUL))
#define bFM_ADC0_SCIS01_AN12                      *((volatile  uint8_t *)(0x424E02B0UL))
#define bFM3_ADC0_SCIS01_AN12                     *((volatile  uint8_t *)(0x424E02B0UL))
#define bFM_ADC0_SCIS01_AN13                      *((volatile  uint8_t *)(0x424E02B4UL))
#define bFM3_ADC0_SCIS01_AN13                     *((volatile  uint8_t *)(0x424E02B4UL))
#define bFM_ADC0_SCIS01_AN14                      *((volatile  uint8_t *)(0x424E02B8UL))
#define bFM3_ADC0_SCIS01_AN14                     *((volatile  uint8_t *)(0x424E02B8UL))
#define bFM_ADC0_SCIS01_AN15                      *((volatile  uint8_t *)(0x424E02BCUL))
#define bFM3_ADC0_SCIS01_AN15                     *((volatile  uint8_t *)(0x424E02BCUL))

#define bFM_ADC0_SCIS23_AN16                      *((volatile  uint8_t *)(0x424E0200UL))
#define bFM3_ADC0_SCIS23_AN16                     *((volatile  uint8_t *)(0x424E0200UL))
#define bFM_ADC0_SCIS23_AN17                      *((volatile  uint8_t *)(0x424E0204UL))
#define bFM3_ADC0_SCIS23_AN17                     *((volatile  uint8_t *)(0x424E0204UL))
#define bFM_ADC0_SCIS23_AN18                      *((volatile  uint8_t *)(0x424E0208UL))
#define bFM3_ADC0_SCIS23_AN18                     *((volatile  uint8_t *)(0x424E0208UL))
#define bFM_ADC0_SCIS23_AN19                      *((volatile  uint8_t *)(0x424E020CUL))
#define bFM3_ADC0_SCIS23_AN19                     *((volatile  uint8_t *)(0x424E020CUL))
#define bFM_ADC0_SCIS23_AN20                      *((volatile  uint8_t *)(0x424E0210UL))
#define bFM3_ADC0_SCIS23_AN20                     *((volatile  uint8_t *)(0x424E0210UL))
#define bFM_ADC0_SCIS23_AN21                      *((volatile  uint8_t *)(0x424E0214UL))
#define bFM3_ADC0_SCIS23_AN21                     *((volatile  uint8_t *)(0x424E0214UL))
#define bFM_ADC0_SCIS23_AN22                      *((volatile  uint8_t *)(0x424E0218UL))
#define bFM3_ADC0_SCIS23_AN22                     *((volatile  uint8_t *)(0x424E0218UL))
#define bFM_ADC0_SCIS23_AN23                      *((volatile  uint8_t *)(0x424E021CUL))
#define bFM3_ADC0_SCIS23_AN23                     *((volatile  uint8_t *)(0x424E021CUL))
#define bFM_ADC0_SCIS23_AN24                      *((volatile  uint8_t *)(0x424E0220UL))
#define bFM3_ADC0_SCIS23_AN24                     *((volatile  uint8_t *)(0x424E0220UL))
#define bFM_ADC0_SCIS23_AN25                      *((volatile  uint8_t *)(0x424E0224UL))
#define bFM3_ADC0_SCIS23_AN25                     *((volatile  uint8_t *)(0x424E0224UL))
#define bFM_ADC0_SCIS23_AN26                      *((volatile  uint8_t *)(0x424E0228UL))
#define bFM3_ADC0_SCIS23_AN26                     *((volatile  uint8_t *)(0x424E0228UL))
#define bFM_ADC0_SCIS23_AN27                      *((volatile  uint8_t *)(0x424E022CUL))
#define bFM3_ADC0_SCIS23_AN27                     *((volatile  uint8_t *)(0x424E022CUL))
#define bFM_ADC0_SCIS23_AN28                      *((volatile  uint8_t *)(0x424E0230UL))
#define bFM3_ADC0_SCIS23_AN28                     *((volatile  uint8_t *)(0x424E0230UL))
#define bFM_ADC0_SCIS23_AN29                      *((volatile  uint8_t *)(0x424E0234UL))
#define bFM3_ADC0_SCIS23_AN29                     *((volatile  uint8_t *)(0x424E0234UL))
#define bFM_ADC0_SCIS23_AN30                      *((volatile  uint8_t *)(0x424E0238UL))
#define bFM3_ADC0_SCIS23_AN30                     *((volatile  uint8_t *)(0x424E0238UL))
#define bFM_ADC0_SCIS23_AN31                      *((volatile  uint8_t *)(0x424E023CUL))
#define bFM3_ADC0_SCIS23_AN31                     *((volatile  uint8_t *)(0x424E023CUL))


/******************************************************************************
 ** ADC Registers ADC1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_ADC1_ADCEN_ENBL                       *((volatile  uint8_t *)(0x424E2780UL))
#define bFM3_ADC1_ADCEN_ENBL                      *((volatile  uint8_t *)(0x424E2780UL))
#define bFM_ADC1_ADCEN_READY                      *((volatile  uint8_t *)(0x424E2784UL))
#define bFM3_ADC1_ADCEN_READY                     *((volatile  uint8_t *)(0x424E2784UL))

#define bFM_ADC1_ADCR_OVRIE                       *((volatile  uint8_t *)(0x424E2020UL))
#define bFM3_ADC1_ADCR_OVRIE                      *((volatile  uint8_t *)(0x424E2020UL))
#define bFM_ADC1_ADCR_CMPIE                       *((volatile  uint8_t *)(0x424E2024UL))
#define bFM3_ADC1_ADCR_CMPIE                      *((volatile  uint8_t *)(0x424E2024UL))
#define bFM_ADC1_ADCR_PCIE                        *((volatile  uint8_t *)(0x424E2028UL))
#define bFM3_ADC1_ADCR_PCIE                       *((volatile  uint8_t *)(0x424E2028UL))
#define bFM_ADC1_ADCR_SCIE                        *((volatile  uint8_t *)(0x424E202CUL))
#define bFM3_ADC1_ADCR_SCIE                       *((volatile  uint8_t *)(0x424E202CUL))
#define bFM_ADC1_ADCR_CMPIF                       *((volatile  uint8_t *)(0x424E2034UL))
#define bFM3_ADC1_ADCR_CMPIF                      *((volatile  uint8_t *)(0x424E2034UL))
#define bFM_ADC1_ADCR_PCIF                        *((volatile  uint8_t *)(0x424E2038UL))
#define bFM3_ADC1_ADCR_PCIF                       *((volatile  uint8_t *)(0x424E2038UL))
#define bFM_ADC1_ADCR_SCIF                        *((volatile  uint8_t *)(0x424E203CUL))
#define bFM3_ADC1_ADCR_SCIF                       *((volatile  uint8_t *)(0x424E203CUL))

#define bFM_ADC1_ADSR_SCS                         *((volatile  uint8_t *)(0x424E2000UL))
#define bFM3_ADC1_ADSR_SCS                        *((volatile  uint8_t *)(0x424E2000UL))
#define bFM_ADC1_ADSR_PCS                         *((volatile  uint8_t *)(0x424E2004UL))
#define bFM3_ADC1_ADSR_PCS                        *((volatile  uint8_t *)(0x424E2004UL))
#define bFM_ADC1_ADSR_PCNS                        *((volatile  uint8_t *)(0x424E2008UL))
#define bFM3_ADC1_ADSR_PCNS                       *((volatile  uint8_t *)(0x424E2008UL))
#define bFM_ADC1_ADSR_FDAS                        *((volatile  uint8_t *)(0x424E2018UL))
#define bFM3_ADC1_ADSR_FDAS                       *((volatile  uint8_t *)(0x424E2018UL))
#define bFM_ADC1_ADSR_ADSTP                       *((volatile  uint8_t *)(0x424E201CUL))
#define bFM3_ADC1_ADSR_ADSTP                      *((volatile  uint8_t *)(0x424E201CUL))

#define bFM_ADC1_ADSS01_TS0                       *((volatile  uint8_t *)(0x424E2580UL))
#define bFM3_ADC1_ADSS01_TS0                      *((volatile  uint8_t *)(0x424E2580UL))
#define bFM_ADC1_ADSS01_TS1                       *((volatile  uint8_t *)(0x424E2584UL))
#define bFM3_ADC1_ADSS01_TS1                      *((volatile  uint8_t *)(0x424E2584UL))
#define bFM_ADC1_ADSS01_TS2                       *((volatile  uint8_t *)(0x424E2588UL))
#define bFM3_ADC1_ADSS01_TS2                      *((volatile  uint8_t *)(0x424E2588UL))
#define bFM_ADC1_ADSS01_TS3                       *((volatile  uint8_t *)(0x424E258CUL))
#define bFM3_ADC1_ADSS01_TS3                      *((volatile  uint8_t *)(0x424E258CUL))
#define bFM_ADC1_ADSS01_TS4                       *((volatile  uint8_t *)(0x424E2590UL))
#define bFM3_ADC1_ADSS01_TS4                      *((volatile  uint8_t *)(0x424E2590UL))
#define bFM_ADC1_ADSS01_TS5                       *((volatile  uint8_t *)(0x424E2594UL))
#define bFM3_ADC1_ADSS01_TS5                      *((volatile  uint8_t *)(0x424E2594UL))
#define bFM_ADC1_ADSS01_TS6                       *((volatile  uint8_t *)(0x424E2598UL))
#define bFM3_ADC1_ADSS01_TS6                      *((volatile  uint8_t *)(0x424E2598UL))
#define bFM_ADC1_ADSS01_TS7                       *((volatile  uint8_t *)(0x424E259CUL))
#define bFM3_ADC1_ADSS01_TS7                      *((volatile  uint8_t *)(0x424E259CUL))
#define bFM_ADC1_ADSS01_TS8                       *((volatile  uint8_t *)(0x424E25A0UL))
#define bFM3_ADC1_ADSS01_TS8                      *((volatile  uint8_t *)(0x424E25A0UL))
#define bFM_ADC1_ADSS01_TS9                       *((volatile  uint8_t *)(0x424E25A4UL))
#define bFM3_ADC1_ADSS01_TS9                      *((volatile  uint8_t *)(0x424E25A4UL))
#define bFM_ADC1_ADSS01_TS10                      *((volatile  uint8_t *)(0x424E25A8UL))
#define bFM3_ADC1_ADSS01_TS10                     *((volatile  uint8_t *)(0x424E25A8UL))
#define bFM_ADC1_ADSS01_TS11                      *((volatile  uint8_t *)(0x424E25ACUL))
#define bFM3_ADC1_ADSS01_TS11                     *((volatile  uint8_t *)(0x424E25ACUL))
#define bFM_ADC1_ADSS01_TS12                      *((volatile  uint8_t *)(0x424E25B0UL))
#define bFM3_ADC1_ADSS01_TS12                     *((volatile  uint8_t *)(0x424E25B0UL))
#define bFM_ADC1_ADSS01_TS13                      *((volatile  uint8_t *)(0x424E25B4UL))
#define bFM3_ADC1_ADSS01_TS13                     *((volatile  uint8_t *)(0x424E25B4UL))
#define bFM_ADC1_ADSS01_TS14                      *((volatile  uint8_t *)(0x424E25B8UL))
#define bFM3_ADC1_ADSS01_TS14                     *((volatile  uint8_t *)(0x424E25B8UL))
#define bFM_ADC1_ADSS01_TS15                      *((volatile  uint8_t *)(0x424E25BCUL))
#define bFM3_ADC1_ADSS01_TS15                     *((volatile  uint8_t *)(0x424E25BCUL))

#define bFM_ADC1_ADSS23_TS16                      *((volatile  uint8_t *)(0x424E2500UL))
#define bFM3_ADC1_ADSS23_TS16                     *((volatile  uint8_t *)(0x424E2500UL))
#define bFM_ADC1_ADSS23_TS17                      *((volatile  uint8_t *)(0x424E2504UL))
#define bFM3_ADC1_ADSS23_TS17                     *((volatile  uint8_t *)(0x424E2504UL))
#define bFM_ADC1_ADSS23_TS18                      *((volatile  uint8_t *)(0x424E2508UL))
#define bFM3_ADC1_ADSS23_TS18                     *((volatile  uint8_t *)(0x424E2508UL))
#define bFM_ADC1_ADSS23_TS19                      *((volatile  uint8_t *)(0x424E250CUL))
#define bFM3_ADC1_ADSS23_TS19                     *((volatile  uint8_t *)(0x424E250CUL))
#define bFM_ADC1_ADSS23_TS20                      *((volatile  uint8_t *)(0x424E2510UL))
#define bFM3_ADC1_ADSS23_TS20                     *((volatile  uint8_t *)(0x424E2510UL))
#define bFM_ADC1_ADSS23_TS21                      *((volatile  uint8_t *)(0x424E2514UL))
#define bFM3_ADC1_ADSS23_TS21                     *((volatile  uint8_t *)(0x424E2514UL))
#define bFM_ADC1_ADSS23_TS22                      *((volatile  uint8_t *)(0x424E2518UL))
#define bFM3_ADC1_ADSS23_TS22                     *((volatile  uint8_t *)(0x424E2518UL))
#define bFM_ADC1_ADSS23_TS23                      *((volatile  uint8_t *)(0x424E251CUL))
#define bFM3_ADC1_ADSS23_TS23                     *((volatile  uint8_t *)(0x424E251CUL))
#define bFM_ADC1_ADSS23_TS24                      *((volatile  uint8_t *)(0x424E2520UL))
#define bFM3_ADC1_ADSS23_TS24                     *((volatile  uint8_t *)(0x424E2520UL))
#define bFM_ADC1_ADSS23_TS25                      *((volatile  uint8_t *)(0x424E2524UL))
#define bFM3_ADC1_ADSS23_TS25                     *((volatile  uint8_t *)(0x424E2524UL))
#define bFM_ADC1_ADSS23_TS26                      *((volatile  uint8_t *)(0x424E2528UL))
#define bFM3_ADC1_ADSS23_TS26                     *((volatile  uint8_t *)(0x424E2528UL))
#define bFM_ADC1_ADSS23_TS27                      *((volatile  uint8_t *)(0x424E252CUL))
#define bFM3_ADC1_ADSS23_TS27                     *((volatile  uint8_t *)(0x424E252CUL))
#define bFM_ADC1_ADSS23_TS28                      *((volatile  uint8_t *)(0x424E2530UL))
#define bFM3_ADC1_ADSS23_TS28                     *((volatile  uint8_t *)(0x424E2530UL))
#define bFM_ADC1_ADSS23_TS29                      *((volatile  uint8_t *)(0x424E2534UL))
#define bFM3_ADC1_ADSS23_TS29                     *((volatile  uint8_t *)(0x424E2534UL))
#define bFM_ADC1_ADSS23_TS30                      *((volatile  uint8_t *)(0x424E2538UL))
#define bFM3_ADC1_ADSS23_TS30                     *((volatile  uint8_t *)(0x424E2538UL))
#define bFM_ADC1_ADSS23_TS31                      *((volatile  uint8_t *)(0x424E253CUL))
#define bFM3_ADC1_ADSS23_TS31                     *((volatile  uint8_t *)(0x424E253CUL))

#define bFM_ADC1_CMPCR_CMD0                       *((volatile  uint8_t *)(0x424E2494UL))
#define bFM3_ADC1_CMPCR_CMD0                      *((volatile  uint8_t *)(0x424E2494UL))
#define bFM_ADC1_CMPCR_CMD1                       *((volatile  uint8_t *)(0x424E2498UL))
#define bFM3_ADC1_CMPCR_CMD1                      *((volatile  uint8_t *)(0x424E2498UL))
#define bFM_ADC1_CMPCR_CMPEN                      *((volatile  uint8_t *)(0x424E249CUL))
#define bFM3_ADC1_CMPCR_CMPEN                     *((volatile  uint8_t *)(0x424E249CUL))

#define bFM_ADC1_PCCR_PSTR                        *((volatile  uint8_t *)(0x424E2320UL))
#define bFM3_ADC1_PCCR_PSTR                       *((volatile  uint8_t *)(0x424E2320UL))
#define bFM_ADC1_PCCR_PHEN                        *((volatile  uint8_t *)(0x424E2324UL))
#define bFM3_ADC1_PCCR_PHEN                       *((volatile  uint8_t *)(0x424E2324UL))
#define bFM_ADC1_PCCR_PEEN                        *((volatile  uint8_t *)(0x424E2328UL))
#define bFM3_ADC1_PCCR_PEEN                       *((volatile  uint8_t *)(0x424E2328UL))
#define bFM_ADC1_PCCR_ESCE                        *((volatile  uint8_t *)(0x424E232CUL))
#define bFM3_ADC1_PCCR_ESCE                       *((volatile  uint8_t *)(0x424E232CUL))
#define bFM_ADC1_PCCR_PFCLR                       *((volatile  uint8_t *)(0x424E2330UL))
#define bFM3_ADC1_PCCR_PFCLR                      *((volatile  uint8_t *)(0x424E2330UL))
#define bFM_ADC1_PCCR_POVR                        *((volatile  uint8_t *)(0x424E2334UL))
#define bFM3_ADC1_PCCR_POVR                       *((volatile  uint8_t *)(0x424E2334UL))
#define bFM_ADC1_PCCR_PFUL                        *((volatile  uint8_t *)(0x424E2338UL))
#define bFM3_ADC1_PCCR_PFUL                       *((volatile  uint8_t *)(0x424E2338UL))
#define bFM_ADC1_PCCR_PEMP                        *((volatile  uint8_t *)(0x424E233CUL))
#define bFM3_ADC1_PCCR_PEMP                       *((volatile  uint8_t *)(0x424E233CUL))

#define bFM_ADC1_PCFD_INVL                        *((volatile  uint8_t *)(0x424E23B0UL))
#define bFM3_ADC1_PCFD_INVL                       *((volatile  uint8_t *)(0x424E23B0UL))

#define bFM_ADC1_PCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E23B0UL))
#define bFM3_ADC1_PCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E23B0UL))

#define bFM_ADC1_SCCR_SSTR                        *((volatile  uint8_t *)(0x424E2120UL))
#define bFM3_ADC1_SCCR_SSTR                       *((volatile  uint8_t *)(0x424E2120UL))
#define bFM_ADC1_SCCR_SHEN                        *((volatile  uint8_t *)(0x424E2124UL))
#define bFM3_ADC1_SCCR_SHEN                       *((volatile  uint8_t *)(0x424E2124UL))
#define bFM_ADC1_SCCR_RPT                         *((volatile  uint8_t *)(0x424E2128UL))
#define bFM3_ADC1_SCCR_RPT                        *((volatile  uint8_t *)(0x424E2128UL))
#define bFM_ADC1_SCCR_SFCLR                       *((volatile  uint8_t *)(0x424E2130UL))
#define bFM3_ADC1_SCCR_SFCLR                      *((volatile  uint8_t *)(0x424E2130UL))
#define bFM_ADC1_SCCR_SOVR                        *((volatile  uint8_t *)(0x424E2134UL))
#define bFM3_ADC1_SCCR_SOVR                       *((volatile  uint8_t *)(0x424E2134UL))
#define bFM_ADC1_SCCR_SFUL                        *((volatile  uint8_t *)(0x424E2138UL))
#define bFM3_ADC1_SCCR_SFUL                       *((volatile  uint8_t *)(0x424E2138UL))
#define bFM_ADC1_SCCR_SEMP                        *((volatile  uint8_t *)(0x424E213CUL))
#define bFM3_ADC1_SCCR_SEMP                       *((volatile  uint8_t *)(0x424E213CUL))

#define bFM_ADC1_SCFD_INVL                        *((volatile  uint8_t *)(0x424E21B0UL))
#define bFM3_ADC1_SCFD_INVL                       *((volatile  uint8_t *)(0x424E21B0UL))

#define bFM_ADC1_SCFD_FDAS1_INVL                  *((volatile  uint8_t *)(0x424E21B0UL))
#define bFM3_ADC1_SCFD_FDAS1_INVL                 *((volatile  uint8_t *)(0x424E21B0UL))

#define bFM_ADC1_SCIS01_AN0                       *((volatile  uint8_t *)(0x424E2280UL))
#define bFM3_ADC1_SCIS01_AN0                      *((volatile  uint8_t *)(0x424E2280UL))
#define bFM_ADC1_SCIS01_AN1                       *((volatile  uint8_t *)(0x424E2284UL))
#define bFM3_ADC1_SCIS01_AN1                      *((volatile  uint8_t *)(0x424E2284UL))
#define bFM_ADC1_SCIS01_AN2                       *((volatile  uint8_t *)(0x424E2288UL))
#define bFM3_ADC1_SCIS01_AN2                      *((volatile  uint8_t *)(0x424E2288UL))
#define bFM_ADC1_SCIS01_AN3                       *((volatile  uint8_t *)(0x424E228CUL))
#define bFM3_ADC1_SCIS01_AN3                      *((volatile  uint8_t *)(0x424E228CUL))
#define bFM_ADC1_SCIS01_AN4                       *((volatile  uint8_t *)(0x424E2290UL))
#define bFM3_ADC1_SCIS01_AN4                      *((volatile  uint8_t *)(0x424E2290UL))
#define bFM_ADC1_SCIS01_AN5                       *((volatile  uint8_t *)(0x424E2294UL))
#define bFM3_ADC1_SCIS01_AN5                      *((volatile  uint8_t *)(0x424E2294UL))
#define bFM_ADC1_SCIS01_AN6                       *((volatile  uint8_t *)(0x424E2298UL))
#define bFM3_ADC1_SCIS01_AN6                      *((volatile  uint8_t *)(0x424E2298UL))
#define bFM_ADC1_SCIS01_AN7                       *((volatile  uint8_t *)(0x424E229CUL))
#define bFM3_ADC1_SCIS01_AN7                      *((volatile  uint8_t *)(0x424E229CUL))
#define bFM_ADC1_SCIS01_AN8                       *((volatile  uint8_t *)(0x424E22A0UL))
#define bFM3_ADC1_SCIS01_AN8                      *((volatile  uint8_t *)(0x424E22A0UL))
#define bFM_ADC1_SCIS01_AN9                       *((volatile  uint8_t *)(0x424E22A4UL))
#define bFM3_ADC1_SCIS01_AN9                      *((volatile  uint8_t *)(0x424E22A4UL))
#define bFM_ADC1_SCIS01_AN10                      *((volatile  uint8_t *)(0x424E22A8UL))
#define bFM3_ADC1_SCIS01_AN10                     *((volatile  uint8_t *)(0x424E22A8UL))
#define bFM_ADC1_SCIS01_AN11                      *((volatile  uint8_t *)(0x424E22ACUL))
#define bFM3_ADC1_SCIS01_AN11                     *((volatile  uint8_t *)(0x424E22ACUL))
#define bFM_ADC1_SCIS01_AN12                      *((volatile  uint8_t *)(0x424E22B0UL))
#define bFM3_ADC1_SCIS01_AN12                     *((volatile  uint8_t *)(0x424E22B0UL))
#define bFM_ADC1_SCIS01_AN13                      *((volatile  uint8_t *)(0x424E22B4UL))
#define bFM3_ADC1_SCIS01_AN13                     *((volatile  uint8_t *)(0x424E22B4UL))
#define bFM_ADC1_SCIS01_AN14                      *((volatile  uint8_t *)(0x424E22B8UL))
#define bFM3_ADC1_SCIS01_AN14                     *((volatile  uint8_t *)(0x424E22B8UL))
#define bFM_ADC1_SCIS01_AN15                      *((volatile  uint8_t *)(0x424E22BCUL))
#define bFM3_ADC1_SCIS01_AN15                     *((volatile  uint8_t *)(0x424E22BCUL))

#define bFM_ADC1_SCIS23_AN16                      *((volatile  uint8_t *)(0x424E2200UL))
#define bFM3_ADC1_SCIS23_AN16                     *((volatile  uint8_t *)(0x424E2200UL))
#define bFM_ADC1_SCIS23_AN17                      *((volatile  uint8_t *)(0x424E2204UL))
#define bFM3_ADC1_SCIS23_AN17                     *((volatile  uint8_t *)(0x424E2204UL))
#define bFM_ADC1_SCIS23_AN18                      *((volatile  uint8_t *)(0x424E2208UL))
#define bFM3_ADC1_SCIS23_AN18                     *((volatile  uint8_t *)(0x424E2208UL))
#define bFM_ADC1_SCIS23_AN19                      *((volatile  uint8_t *)(0x424E220CUL))
#define bFM3_ADC1_SCIS23_AN19                     *((volatile  uint8_t *)(0x424E220CUL))
#define bFM_ADC1_SCIS23_AN20                      *((volatile  uint8_t *)(0x424E2210UL))
#define bFM3_ADC1_SCIS23_AN20                     *((volatile  uint8_t *)(0x424E2210UL))
#define bFM_ADC1_SCIS23_AN21                      *((volatile  uint8_t *)(0x424E2214UL))
#define bFM3_ADC1_SCIS23_AN21                     *((volatile  uint8_t *)(0x424E2214UL))
#define bFM_ADC1_SCIS23_AN22                      *((volatile  uint8_t *)(0x424E2218UL))
#define bFM3_ADC1_SCIS23_AN22                     *((volatile  uint8_t *)(0x424E2218UL))
#define bFM_ADC1_SCIS23_AN23                      *((volatile  uint8_t *)(0x424E221CUL))
#define bFM3_ADC1_SCIS23_AN23                     *((volatile  uint8_t *)(0x424E221CUL))
#define bFM_ADC1_SCIS23_AN24                      *((volatile  uint8_t *)(0x424E2220UL))
#define bFM3_ADC1_SCIS23_AN24                     *((volatile  uint8_t *)(0x424E2220UL))
#define bFM_ADC1_SCIS23_AN25                      *((volatile  uint8_t *)(0x424E2224UL))
#define bFM3_ADC1_SCIS23_AN25                     *((volatile  uint8_t *)(0x424E2224UL))
#define bFM_ADC1_SCIS23_AN26                      *((volatile  uint8_t *)(0x424E2228UL))
#define bFM3_ADC1_SCIS23_AN26                     *((volatile  uint8_t *)(0x424E2228UL))
#define bFM_ADC1_SCIS23_AN27                      *((volatile  uint8_t *)(0x424E222CUL))
#define bFM3_ADC1_SCIS23_AN27                     *((volatile  uint8_t *)(0x424E222CUL))
#define bFM_ADC1_SCIS23_AN28                      *((volatile  uint8_t *)(0x424E2230UL))
#define bFM3_ADC1_SCIS23_AN28                     *((volatile  uint8_t *)(0x424E2230UL))
#define bFM_ADC1_SCIS23_AN29                      *((volatile  uint8_t *)(0x424E2234UL))
#define bFM3_ADC1_SCIS23_AN29                     *((volatile  uint8_t *)(0x424E2234UL))
#define bFM_ADC1_SCIS23_AN30                      *((volatile  uint8_t *)(0x424E2238UL))
#define bFM3_ADC1_SCIS23_AN30                     *((volatile  uint8_t *)(0x424E2238UL))
#define bFM_ADC1_SCIS23_AN31                      *((volatile  uint8_t *)(0x424E223CUL))
#define bFM3_ADC1_SCIS23_AN31                     *((volatile  uint8_t *)(0x424E223CUL))


/******************************************************************************
 ** BT Registers BT0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT0_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM3_BT0_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM3_BT0_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM3_BT0_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM3_BT0_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM3_BT0_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM3_BT0_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM3_BT0_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM3_BT0_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM3_BT0_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM_BT0_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A01ACUL))
#define bFM3_BT0_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A01ACUL))

#define bFM_BT0_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM3_BT0_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM3_BT0_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM3_BT0_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM3_BT0_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM3_BT0_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A0218UL))
#define bFM_BT0_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A021CUL))
#define bFM3_BT0_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A021CUL))

#define bFM_BT0_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM3_BT0_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM3_BT0_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A019CUL))
#define bFM3_BT0_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A019CUL))

#define bFM_BT0_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM3_BT0_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM3_BT0_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A0204UL))
#define bFM3_BT0_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A0204UL))
#define bFM_BT0_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM3_BT0_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM3_BT0_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A0214UL))
#define bFM3_BT0_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A0214UL))
#define bFM_BT0_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))
#define bFM3_BT0_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM3_BT0_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM3_BT0_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM3_BT0_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM3_BT0_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM3_BT0_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A01A8UL))
#define bFM_BT0_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A01ACUL))
#define bFM3_BT0_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A01ACUL))

#define bFM_BT0_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))
#define bFM3_BT0_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0220UL))

#define bFM_BT0_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A0200UL))
#define bFM3_BT0_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A0200UL))
#define bFM_BT0_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A0208UL))
#define bFM3_BT0_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A0208UL))
#define bFM_BT0_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A0210UL))
#define bFM3_BT0_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A0210UL))
#define bFM_BT0_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A0218UL))
#define bFM3_BT0_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A0218UL))

#define bFM_BT0_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A0180UL))
#define bFM3_BT0_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0180UL))
#define bFM_BT0_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A0184UL))
#define bFM3_BT0_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0184UL))
#define bFM_BT0_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A0188UL))
#define bFM3_BT0_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0188UL))
#define bFM_BT0_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A018CUL))
#define bFM3_BT0_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A018CUL))
#define bFM_BT0_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A019CUL))
#define bFM3_BT0_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A019CUL))

#define bFM_BT0_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A0220UL))
#define bFM3_BT0_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0220UL))


/******************************************************************************
 ** BT Registers BT1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT1_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM3_BT1_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM3_BT1_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM3_BT1_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM3_BT1_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM3_BT1_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM3_BT1_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM3_BT1_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM3_BT1_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM3_BT1_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM_BT1_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A09ACUL))
#define bFM3_BT1_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A09ACUL))

#define bFM_BT1_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM3_BT1_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM3_BT1_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM3_BT1_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM3_BT1_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM3_BT1_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM_BT1_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A0A1CUL))
#define bFM3_BT1_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A0A1CUL))

#define bFM_BT1_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM3_BT1_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM3_BT1_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A099CUL))
#define bFM3_BT1_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A099CUL))

#define bFM_BT1_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM3_BT1_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM3_BT1_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A0A04UL))
#define bFM3_BT1_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A0A04UL))
#define bFM_BT1_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM3_BT1_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM3_BT1_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A0A14UL))
#define bFM3_BT1_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A0A14UL))
#define bFM_BT1_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM3_BT1_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM3_BT1_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM3_BT1_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM3_BT1_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM3_BT1_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM3_BT1_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A09A8UL))
#define bFM_BT1_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A09ACUL))
#define bFM3_BT1_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A09ACUL))

#define bFM_BT1_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM3_BT1_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A0A20UL))

#define bFM_BT1_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM3_BT1_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A0A00UL))
#define bFM_BT1_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM3_BT1_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A0A08UL))
#define bFM_BT1_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM3_BT1_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A0A10UL))
#define bFM_BT1_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A0A18UL))
#define bFM3_BT1_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A0A18UL))

#define bFM_BT1_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A0980UL))
#define bFM3_BT1_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A0980UL))
#define bFM_BT1_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A0984UL))
#define bFM3_BT1_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A0984UL))
#define bFM_BT1_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A0988UL))
#define bFM3_BT1_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A0988UL))
#define bFM_BT1_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A098CUL))
#define bFM3_BT1_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A098CUL))
#define bFM_BT1_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A099CUL))
#define bFM3_BT1_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A099CUL))

#define bFM_BT1_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A0A20UL))
#define bFM3_BT1_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A0A20UL))


/******************************************************************************
 ** BT Registers BT2
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT2_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM3_BT2_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM3_BT2_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM3_BT2_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM3_BT2_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM3_BT2_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM3_BT2_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM3_BT2_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM3_BT2_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM3_BT2_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM_BT2_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A11ACUL))
#define bFM3_BT2_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A11ACUL))

#define bFM_BT2_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM3_BT2_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM3_BT2_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM3_BT2_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM3_BT2_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM3_BT2_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A1218UL))
#define bFM_BT2_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A121CUL))
#define bFM3_BT2_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A121CUL))

#define bFM_BT2_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM3_BT2_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM3_BT2_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A119CUL))
#define bFM3_BT2_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A119CUL))

#define bFM_BT2_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM3_BT2_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM3_BT2_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A1204UL))
#define bFM3_BT2_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A1204UL))
#define bFM_BT2_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM3_BT2_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM3_BT2_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A1214UL))
#define bFM3_BT2_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A1214UL))
#define bFM_BT2_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))
#define bFM3_BT2_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM3_BT2_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM3_BT2_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM3_BT2_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM3_BT2_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM3_BT2_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A11A8UL))
#define bFM_BT2_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A11ACUL))
#define bFM3_BT2_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A11ACUL))

#define bFM_BT2_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))
#define bFM3_BT2_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1220UL))

#define bFM_BT2_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A1200UL))
#define bFM3_BT2_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A1200UL))
#define bFM_BT2_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A1208UL))
#define bFM3_BT2_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A1208UL))
#define bFM_BT2_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A1210UL))
#define bFM3_BT2_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A1210UL))
#define bFM_BT2_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A1218UL))
#define bFM3_BT2_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A1218UL))

#define bFM_BT2_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A1180UL))
#define bFM3_BT2_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1180UL))
#define bFM_BT2_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A1184UL))
#define bFM3_BT2_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1184UL))
#define bFM_BT2_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A1188UL))
#define bFM3_BT2_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1188UL))
#define bFM_BT2_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A118CUL))
#define bFM3_BT2_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A118CUL))
#define bFM_BT2_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A119CUL))
#define bFM3_BT2_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A119CUL))

#define bFM_BT2_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A1220UL))
#define bFM3_BT2_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1220UL))


/******************************************************************************
 ** BT Registers BT3
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT3_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM3_BT3_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM3_BT3_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM3_BT3_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM3_BT3_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM3_BT3_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM3_BT3_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM3_BT3_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM3_BT3_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM3_BT3_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM_BT3_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A19ACUL))
#define bFM3_BT3_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A19ACUL))

#define bFM_BT3_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM3_BT3_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM3_BT3_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM3_BT3_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM3_BT3_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM3_BT3_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM_BT3_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A1A1CUL))
#define bFM3_BT3_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A1A1CUL))

#define bFM_BT3_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM3_BT3_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM3_BT3_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A199CUL))
#define bFM3_BT3_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A199CUL))

#define bFM_BT3_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM3_BT3_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM3_BT3_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A1A04UL))
#define bFM3_BT3_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A1A04UL))
#define bFM_BT3_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM3_BT3_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM3_BT3_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A1A14UL))
#define bFM3_BT3_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A1A14UL))
#define bFM_BT3_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM3_BT3_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM3_BT3_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM3_BT3_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM3_BT3_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM3_BT3_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM3_BT3_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A19A8UL))
#define bFM_BT3_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A19ACUL))
#define bFM3_BT3_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A19ACUL))

#define bFM_BT3_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM3_BT3_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A1A20UL))

#define bFM_BT3_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM3_BT3_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A1A00UL))
#define bFM_BT3_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM3_BT3_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A1A08UL))
#define bFM_BT3_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM3_BT3_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A1A10UL))
#define bFM_BT3_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A1A18UL))
#define bFM3_BT3_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A1A18UL))

#define bFM_BT3_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A1980UL))
#define bFM3_BT3_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A1980UL))
#define bFM_BT3_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A1984UL))
#define bFM3_BT3_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A1984UL))
#define bFM_BT3_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A1988UL))
#define bFM3_BT3_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A1988UL))
#define bFM_BT3_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A198CUL))
#define bFM3_BT3_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A198CUL))
#define bFM_BT3_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A199CUL))
#define bFM3_BT3_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A199CUL))

#define bFM_BT3_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A1A20UL))
#define bFM3_BT3_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A1A20UL))


/******************************************************************************
 ** BT Registers BT4
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT4_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM3_BT4_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM3_BT4_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM3_BT4_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM3_BT4_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4180UL))
#define bFM3_BT4_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM3_BT4_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM3_BT4_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A418CUL))
#define bFM3_BT4_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM3_BT4_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM_BT4_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A41ACUL))
#define bFM3_BT4_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A41ACUL))

#define bFM_BT4_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM3_BT4_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM3_BT4_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM3_BT4_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM3_BT4_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM3_BT4_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A4218UL))
#define bFM_BT4_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A421CUL))
#define bFM3_BT4_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A421CUL))

#define bFM_BT4_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM3_BT4_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM3_BT4_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A419CUL))
#define bFM3_BT4_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A419CUL))

#define bFM_BT4_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM3_BT4_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM3_BT4_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A4204UL))
#define bFM3_BT4_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A4204UL))
#define bFM_BT4_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM3_BT4_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM3_BT4_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A4214UL))
#define bFM3_BT4_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A4214UL))
#define bFM_BT4_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A4218UL))
#define bFM3_BT4_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4180UL))
#define bFM3_BT4_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM3_BT4_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM3_BT4_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A418CUL))
#define bFM3_BT4_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM3_BT4_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A41A8UL))
#define bFM_BT4_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A41ACUL))
#define bFM3_BT4_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A41ACUL))

#define bFM_BT4_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))
#define bFM3_BT4_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4220UL))

#define bFM_BT4_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A4200UL))
#define bFM3_BT4_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A4200UL))
#define bFM_BT4_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A4208UL))
#define bFM3_BT4_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A4208UL))
#define bFM_BT4_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A4210UL))
#define bFM3_BT4_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A4210UL))
#define bFM_BT4_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A4218UL))
#define bFM3_BT4_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A4218UL))

#define bFM_BT4_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A4180UL))
#define bFM3_BT4_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4180UL))
#define bFM_BT4_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A4184UL))
#define bFM3_BT4_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4184UL))
#define bFM_BT4_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A4188UL))
#define bFM3_BT4_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4188UL))
#define bFM_BT4_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A418CUL))
#define bFM3_BT4_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A418CUL))
#define bFM_BT4_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A419CUL))
#define bFM3_BT4_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A419CUL))

#define bFM_BT4_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A4220UL))
#define bFM3_BT4_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4220UL))


/******************************************************************************
 ** BT Registers BT5
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT5_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM3_BT5_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM3_BT5_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM3_BT5_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM3_BT5_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4980UL))
#define bFM3_BT5_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM3_BT5_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM3_BT5_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A498CUL))
#define bFM3_BT5_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM3_BT5_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM_BT5_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A49ACUL))
#define bFM3_BT5_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A49ACUL))

#define bFM_BT5_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM3_BT5_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM3_BT5_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM3_BT5_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM3_BT5_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM3_BT5_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM_BT5_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A4A1CUL))
#define bFM3_BT5_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A4A1CUL))

#define bFM_BT5_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM3_BT5_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM3_BT5_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A499CUL))
#define bFM3_BT5_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A499CUL))

#define bFM_BT5_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM3_BT5_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM3_BT5_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A4A04UL))
#define bFM3_BT5_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A4A04UL))
#define bFM_BT5_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM3_BT5_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM3_BT5_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A4A14UL))
#define bFM3_BT5_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A4A14UL))
#define bFM_BT5_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM3_BT5_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4980UL))
#define bFM3_BT5_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM3_BT5_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM3_BT5_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A498CUL))
#define bFM3_BT5_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM3_BT5_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A49A8UL))
#define bFM_BT5_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A49ACUL))
#define bFM3_BT5_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A49ACUL))

#define bFM_BT5_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM3_BT5_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A4A20UL))

#define bFM_BT5_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM3_BT5_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A4A00UL))
#define bFM_BT5_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM3_BT5_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A4A08UL))
#define bFM_BT5_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM3_BT5_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A4A10UL))
#define bFM_BT5_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A4A18UL))
#define bFM3_BT5_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A4A18UL))

#define bFM_BT5_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A4980UL))
#define bFM3_BT5_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A4980UL))
#define bFM_BT5_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A4984UL))
#define bFM3_BT5_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A4984UL))
#define bFM_BT5_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A4988UL))
#define bFM3_BT5_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A4988UL))
#define bFM_BT5_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A498CUL))
#define bFM3_BT5_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A498CUL))
#define bFM_BT5_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A499CUL))
#define bFM3_BT5_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A499CUL))

#define bFM_BT5_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A4A20UL))
#define bFM3_BT5_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A4A20UL))


/******************************************************************************
 ** BT Registers BT6
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT6_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM3_BT6_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM3_BT6_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM3_BT6_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM3_BT6_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5180UL))
#define bFM3_BT6_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM3_BT6_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM3_BT6_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A518CUL))
#define bFM3_BT6_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM3_BT6_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM_BT6_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A51ACUL))
#define bFM3_BT6_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A51ACUL))

#define bFM_BT6_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM3_BT6_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM3_BT6_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM3_BT6_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM3_BT6_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM3_BT6_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A5218UL))
#define bFM_BT6_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A521CUL))
#define bFM3_BT6_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A521CUL))

#define bFM_BT6_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM3_BT6_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM3_BT6_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A519CUL))
#define bFM3_BT6_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A519CUL))

#define bFM_BT6_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM3_BT6_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM3_BT6_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A5204UL))
#define bFM3_BT6_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A5204UL))
#define bFM_BT6_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM3_BT6_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM3_BT6_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A5214UL))
#define bFM3_BT6_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A5214UL))
#define bFM_BT6_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A5218UL))
#define bFM3_BT6_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5180UL))
#define bFM3_BT6_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM3_BT6_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM3_BT6_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A518CUL))
#define bFM3_BT6_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM3_BT6_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A51A8UL))
#define bFM_BT6_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A51ACUL))
#define bFM3_BT6_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A51ACUL))

#define bFM_BT6_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))
#define bFM3_BT6_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5220UL))

#define bFM_BT6_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A5200UL))
#define bFM3_BT6_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A5200UL))
#define bFM_BT6_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A5208UL))
#define bFM3_BT6_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A5208UL))
#define bFM_BT6_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A5210UL))
#define bFM3_BT6_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A5210UL))
#define bFM_BT6_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A5218UL))
#define bFM3_BT6_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A5218UL))

#define bFM_BT6_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A5180UL))
#define bFM3_BT6_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5180UL))
#define bFM_BT6_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A5184UL))
#define bFM3_BT6_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5184UL))
#define bFM_BT6_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A5188UL))
#define bFM3_BT6_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5188UL))
#define bFM_BT6_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A518CUL))
#define bFM3_BT6_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A518CUL))
#define bFM_BT6_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A519CUL))
#define bFM3_BT6_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A519CUL))

#define bFM_BT6_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A5220UL))
#define bFM3_BT6_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5220UL))


/******************************************************************************
 ** BT Registers BT7
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_BT7_PPG_STC_UDIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM3_BT7_PPG_STC_UDIR                     *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PPG_STC_TGIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM3_BT7_PPG_STC_TGIR                     *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PPG_STC_UDIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM3_BT7_PPG_STC_UDIE                     *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PPG_STC_TGIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM3_BT7_PPG_STC_TGIE                     *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_PPG_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5980UL))
#define bFM3_BT7_PPG_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_PPG_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM3_BT7_PPG_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PPG_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM3_BT7_PPG_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PPG_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A598CUL))
#define bFM3_BT7_PPG_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_PPG_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM3_BT7_PPG_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM_BT7_PPG_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A59ACUL))
#define bFM3_BT7_PPG_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A59ACUL))

#define bFM_BT7_PPG_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM3_BT7_PPG_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_PWC_STC_OVIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM3_BT7_PWC_STC_OVIR                     *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PWC_STC_EDIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM3_BT7_PWC_STC_EDIR                     *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PWC_STC_OVIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM3_BT7_PWC_STC_OVIE                     *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PWC_STC_EDIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM3_BT7_PWC_STC_EDIE                     *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM_BT7_PWC_STC_ERR                       *((volatile  uint8_t *)(0x424A5A1CUL))
#define bFM3_BT7_PWC_STC_ERR                      *((volatile  uint8_t *)(0x424A5A1CUL))

#define bFM_BT7_PWC_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM3_BT7_PWC_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PWC_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM3_BT7_PWC_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PWC_TMCR_T32                      *((volatile  uint8_t *)(0x424A599CUL))
#define bFM3_BT7_PWC_TMCR_T32                     *((volatile  uint8_t *)(0x424A599CUL))

#define bFM_BT7_PWC_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM3_BT7_PWC_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_PWM_STC_UDIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM3_BT7_PWM_STC_UDIR                     *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_PWM_STC_DTIR                      *((volatile  uint8_t *)(0x424A5A04UL))
#define bFM3_BT7_PWM_STC_DTIR                     *((volatile  uint8_t *)(0x424A5A04UL))
#define bFM_BT7_PWM_STC_TGIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM3_BT7_PWM_STC_TGIR                     *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_PWM_STC_UDIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM3_BT7_PWM_STC_UDIE                     *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_PWM_STC_DTIE                      *((volatile  uint8_t *)(0x424A5A14UL))
#define bFM3_BT7_PWM_STC_DTIE                     *((volatile  uint8_t *)(0x424A5A14UL))
#define bFM_BT7_PWM_STC_TGIE                      *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM3_BT7_PWM_STC_TGIE                     *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_PWM_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5980UL))
#define bFM3_BT7_PWM_TMCR_STRG                    *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_PWM_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM3_BT7_PWM_TMCR_CTEN                    *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_PWM_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM3_BT7_PWM_TMCR_MDSE                    *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_PWM_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A598CUL))
#define bFM3_BT7_PWM_TMCR_OSEL                    *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_PWM_TMCR_PMSK                     *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM3_BT7_PWM_TMCR_PMSK                    *((volatile  uint8_t *)(0x424A59A8UL))
#define bFM_BT7_PWM_TMCR_RTGEN                    *((volatile  uint8_t *)(0x424A59ACUL))
#define bFM3_BT7_PWM_TMCR_RTGEN                   *((volatile  uint8_t *)(0x424A59ACUL))

#define bFM_BT7_PWM_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM3_BT7_PWM_TMCR2_CKS3                   *((volatile  uint8_t *)(0x424A5A20UL))

#define bFM_BT7_RT_STC_UDIR                       *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM3_BT7_RT_STC_UDIR                      *((volatile  uint8_t *)(0x424A5A00UL))
#define bFM_BT7_RT_STC_TGIR                       *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM3_BT7_RT_STC_TGIR                      *((volatile  uint8_t *)(0x424A5A08UL))
#define bFM_BT7_RT_STC_UDIE                       *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM3_BT7_RT_STC_UDIE                      *((volatile  uint8_t *)(0x424A5A10UL))
#define bFM_BT7_RT_STC_TGIE                       *((volatile  uint8_t *)(0x424A5A18UL))
#define bFM3_BT7_RT_STC_TGIE                      *((volatile  uint8_t *)(0x424A5A18UL))

#define bFM_BT7_RT_TMCR_STRG                      *((volatile  uint8_t *)(0x424A5980UL))
#define bFM3_BT7_RT_TMCR_STRG                     *((volatile  uint8_t *)(0x424A5980UL))
#define bFM_BT7_RT_TMCR_CTEN                      *((volatile  uint8_t *)(0x424A5984UL))
#define bFM3_BT7_RT_TMCR_CTEN                     *((volatile  uint8_t *)(0x424A5984UL))
#define bFM_BT7_RT_TMCR_MDSE                      *((volatile  uint8_t *)(0x424A5988UL))
#define bFM3_BT7_RT_TMCR_MDSE                     *((volatile  uint8_t *)(0x424A5988UL))
#define bFM_BT7_RT_TMCR_OSEL                      *((volatile  uint8_t *)(0x424A598CUL))
#define bFM3_BT7_RT_TMCR_OSEL                     *((volatile  uint8_t *)(0x424A598CUL))
#define bFM_BT7_RT_TMCR_T32                       *((volatile  uint8_t *)(0x424A599CUL))
#define bFM3_BT7_RT_TMCR_T32                      *((volatile  uint8_t *)(0x424A599CUL))

#define bFM_BT7_RT_TMCR2_CKS3                     *((volatile  uint8_t *)(0x424A5A20UL))
#define bFM3_BT7_RT_TMCR2_CKS3                    *((volatile  uint8_t *)(0x424A5A20UL))


/******************************************************************************
 ** BTIOSEL03 Registers BTIOSEL03
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** BTIOSEL47 Registers BTIOSEL47
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** CRC Registers CRC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CRC_CRCCR_INIT                        *((volatile  uint8_t *)(0x42720000UL))
#define bFM3_CRC_CRCCR_INIT                       *((volatile  uint8_t *)(0x42720000UL))
#define bFM_CRC_CRCCR_CRC32                       *((volatile  uint8_t *)(0x42720004UL))
#define bFM3_CRC_CRCCR_CRC32                      *((volatile  uint8_t *)(0x42720004UL))
#define bFM_CRC_CRCCR_LTLEND                      *((volatile  uint8_t *)(0x42720008UL))
#define bFM3_CRC_CRCCR_LTLEND                     *((volatile  uint8_t *)(0x42720008UL))
#define bFM_CRC_CRCCR_LSBFST                      *((volatile  uint8_t *)(0x4272000CUL))
#define bFM3_CRC_CRCCR_LSBFST                     *((volatile  uint8_t *)(0x4272000CUL))
#define bFM_CRC_CRCCR_CRCLTE                      *((volatile  uint8_t *)(0x42720010UL))
#define bFM3_CRC_CRCCR_CRCLTE                     *((volatile  uint8_t *)(0x42720010UL))
#define bFM_CRC_CRCCR_CRCLSF                      *((volatile  uint8_t *)(0x42720014UL))
#define bFM3_CRC_CRCCR_CRCLSF                     *((volatile  uint8_t *)(0x42720014UL))
#define bFM_CRC_CRCCR_FXOR                        *((volatile  uint8_t *)(0x42720018UL))
#define bFM3_CRC_CRCCR_FXOR                       *((volatile  uint8_t *)(0x42720018UL))


/******************************************************************************
 ** CRG Registers CRG
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_CRG_APBC1_PSR_APBC1RST                *((volatile  uint32_t*)(0x42200310UL))
#define bFM3_CRG_APBC1_PSR_APBC1RST               *((volatile  uint32_t*)(0x42200310UL))
#define bFM_CRG_APBC1_PSR_APBC1EN                 *((volatile  uint32_t*)(0x4220031CUL))
#define bFM3_CRG_APBC1_PSR_APBC1EN                *((volatile  uint32_t*)(0x4220031CUL))

#define bFM_CRG_APBC2_PSR_APBC2RST                *((volatile  uint32_t*)(0x42200390UL))
#define bFM3_CRG_APBC2_PSR_APBC2RST               *((volatile  uint32_t*)(0x42200390UL))
#define bFM_CRG_APBC2_PSR_APBC2EN                 *((volatile  uint32_t*)(0x4220039CUL))
#define bFM3_CRG_APBC2_PSR_APBC2EN                *((volatile  uint32_t*)(0x4220039CUL))

#define bFM_CRG_CSV_CTL_MCSVE                     *((volatile  uint32_t*)(0x42200800UL))
#define bFM3_CRG_CSV_CTL_MCSVE                    *((volatile  uint32_t*)(0x42200800UL))
#define bFM_CRG_CSV_CTL_SCSVE                     *((volatile  uint32_t*)(0x42200804UL))
#define bFM3_CRG_CSV_CTL_SCSVE                    *((volatile  uint32_t*)(0x42200804UL))
#define bFM_CRG_CSV_CTL_FCSDE                     *((volatile  uint32_t*)(0x42200820UL))
#define bFM3_CRG_CSV_CTL_FCSDE                    *((volatile  uint32_t*)(0x42200820UL))
#define bFM_CRG_CSV_CTL_FCSRE                     *((volatile  uint32_t*)(0x42200824UL))
#define bFM3_CRG_CSV_CTL_FCSRE                    *((volatile  uint32_t*)(0x42200824UL))

#define bFM_CRG_CSV_STR_MCMF                      *((volatile  uint32_t*)(0x42200880UL))
#define bFM3_CRG_CSV_STR_MCMF                     *((volatile  uint32_t*)(0x42200880UL))
#define bFM_CRG_CSV_STR_SCMF                      *((volatile  uint32_t*)(0x42200884UL))
#define bFM3_CRG_CSV_STR_SCMF                     *((volatile  uint32_t*)(0x42200884UL))

#define bFM_CRG_DBWDT_CTL_DPSWBE                  *((volatile  uint32_t*)(0x42200A94UL))
#define bFM3_CRG_DBWDT_CTL_DPSWBE                 *((volatile  uint32_t*)(0x42200A94UL))
#define bFM_CRG_DBWDT_CTL_DPHWBE                  *((volatile  uint32_t*)(0x42200A9CUL))
#define bFM3_CRG_DBWDT_CTL_DPHWBE                 *((volatile  uint32_t*)(0x42200A9CUL))

#define bFM_CRG_INT_CLR_MCSC                      *((volatile  uint32_t*)(0x42200D00UL))
#define bFM3_CRG_INT_CLR_MCSC                     *((volatile  uint32_t*)(0x42200D00UL))
#define bFM_CRG_INT_CLR_SCSC                      *((volatile  uint32_t*)(0x42200D04UL))
#define bFM3_CRG_INT_CLR_SCSC                     *((volatile  uint32_t*)(0x42200D04UL))
#define bFM_CRG_INT_CLR_PCSC                      *((volatile  uint32_t*)(0x42200D08UL))
#define bFM3_CRG_INT_CLR_PCSC                     *((volatile  uint32_t*)(0x42200D08UL))
#define bFM_CRG_INT_CLR_FCSC                      *((volatile  uint32_t*)(0x42200D14UL))
#define bFM3_CRG_INT_CLR_FCSC                     *((volatile  uint32_t*)(0x42200D14UL))

#define bFM_CRG_INT_ENR_MCSE                      *((volatile  uint32_t*)(0x42200C00UL))
#define bFM3_CRG_INT_ENR_MCSE                     *((volatile  uint32_t*)(0x42200C00UL))
#define bFM_CRG_INT_ENR_SCSE                      *((volatile  uint32_t*)(0x42200C04UL))
#define bFM3_CRG_INT_ENR_SCSE                     *((volatile  uint32_t*)(0x42200C04UL))
#define bFM_CRG_INT_ENR_PCSE                      *((volatile  uint32_t*)(0x42200C08UL))
#define bFM3_CRG_INT_ENR_PCSE                     *((volatile  uint32_t*)(0x42200C08UL))
#define bFM_CRG_INT_ENR_FCSE                      *((volatile  uint32_t*)(0x42200C14UL))
#define bFM3_CRG_INT_ENR_FCSE                     *((volatile  uint32_t*)(0x42200C14UL))

#define bFM_CRG_INT_STR_MCSI                      *((volatile  uint32_t*)(0x42200C80UL))
#define bFM3_CRG_INT_STR_MCSI                     *((volatile  uint32_t*)(0x42200C80UL))
#define bFM_CRG_INT_STR_SCSI                      *((volatile  uint32_t*)(0x42200C84UL))
#define bFM3_CRG_INT_STR_SCSI                     *((volatile  uint32_t*)(0x42200C84UL))
#define bFM_CRG_INT_STR_PCSI                      *((volatile  uint32_t*)(0x42200C88UL))
#define bFM3_CRG_INT_STR_PCSI                     *((volatile  uint32_t*)(0x42200C88UL))
#define bFM_CRG_INT_STR_FCSI                      *((volatile  uint32_t*)(0x42200C94UL))
#define bFM3_CRG_INT_STR_FCSI                     *((volatile  uint32_t*)(0x42200C94UL))

#define bFM_CRG_PSW_TMR_PINC                      *((volatile  uint32_t*)(0x42200690UL))
#define bFM3_CRG_PSW_TMR_PINC                     *((volatile  uint32_t*)(0x42200690UL))

#define bFM_CRG_RST_STR_PONR                      *((volatile  uint32_t*)(0x42200180UL))
#define bFM3_CRG_RST_STR_PONR                     *((volatile  uint32_t*)(0x42200180UL))
#define bFM_CRG_RST_STR_INITX                     *((volatile  uint32_t*)(0x42200184UL))
#define bFM3_CRG_RST_STR_INITX                    *((volatile  uint32_t*)(0x42200184UL))
#define bFM_CRG_RST_STR_SWDT                      *((volatile  uint32_t*)(0x42200190UL))
#define bFM3_CRG_RST_STR_SWDT                     *((volatile  uint32_t*)(0x42200190UL))
#define bFM_CRG_RST_STR_HWDT                      *((volatile  uint32_t*)(0x42200194UL))
#define bFM3_CRG_RST_STR_HWDT                     *((volatile  uint32_t*)(0x42200194UL))
#define bFM_CRG_RST_STR_CSVR                      *((volatile  uint32_t*)(0x42200198UL))
#define bFM3_CRG_RST_STR_CSVR                     *((volatile  uint32_t*)(0x42200198UL))
#define bFM_CRG_RST_STR_FCSR                      *((volatile  uint32_t*)(0x4220019CUL))
#define bFM3_CRG_RST_STR_FCSR                     *((volatile  uint32_t*)(0x4220019CUL))
#define bFM_CRG_RST_STR_SRST                      *((volatile  uint32_t*)(0x422001A0UL))
#define bFM3_CRG_RST_STR_SRST                     *((volatile  uint32_t*)(0x422001A0UL))

#define bFM_CRG_SCM_CTL_MOSCE                     *((volatile  uint32_t*)(0x42200004UL))
#define bFM3_CRG_SCM_CTL_MOSCE                    *((volatile  uint32_t*)(0x42200004UL))
#define bFM_CRG_SCM_CTL_SOSCE                     *((volatile  uint32_t*)(0x4220000CUL))
#define bFM3_CRG_SCM_CTL_SOSCE                    *((volatile  uint32_t*)(0x4220000CUL))
#define bFM_CRG_SCM_CTL_PLLE                      *((volatile  uint32_t*)(0x42200010UL))
#define bFM3_CRG_SCM_CTL_PLLE                     *((volatile  uint32_t*)(0x42200010UL))

#define bFM_CRG_SCM_STR_MORDY                     *((volatile  uint32_t*)(0x42200084UL))
#define bFM3_CRG_SCM_STR_MORDY                    *((volatile  uint32_t*)(0x42200084UL))
#define bFM_CRG_SCM_STR_SORDY                     *((volatile  uint32_t*)(0x4220008CUL))
#define bFM3_CRG_SCM_STR_SORDY                    *((volatile  uint32_t*)(0x4220008CUL))
#define bFM_CRG_SCM_STR_PLRDY                     *((volatile  uint32_t*)(0x42200090UL))
#define bFM3_CRG_SCM_STR_PLRDY                    *((volatile  uint32_t*)(0x42200090UL))

#define bFM_CRG_STB_CTL_DSTM                      *((volatile  uint32_t*)(0x42200108UL))
#define bFM3_CRG_STB_CTL_DSTM                     *((volatile  uint32_t*)(0x42200108UL))
#define bFM_CRG_STB_CTL_SPL                       *((volatile  uint32_t*)(0x42200110UL))
#define bFM3_CRG_STB_CTL_SPL                      *((volatile  uint32_t*)(0x42200110UL))

#define bFM_CRG_SWC_PSR_TESTB                     *((volatile  uint32_t*)(0x4220041CUL))
#define bFM3_CRG_SWC_PSR_TESTB                    *((volatile  uint32_t*)(0x4220041CUL))


/******************************************************************************
 ** CRTRIM Registers CRTRIM
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** DMAC Registers DMAC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DMAC_DMACA0_ST                        *((volatile  uint8_t *)(0x42C00274UL))
#define bFM3_DMAC_DMACA0_ST                       *((volatile  uint8_t *)(0x42C00274UL))
#define bFM_DMAC_DMACA0_PB                        *((volatile  uint8_t *)(0x42C00278UL))
#define bFM3_DMAC_DMACA0_PB                       *((volatile  uint8_t *)(0x42C00278UL))
#define bFM_DMAC_DMACA0_EB                        *((volatile  uint8_t *)(0x42C0027CUL))
#define bFM3_DMAC_DMACA0_EB                       *((volatile  uint8_t *)(0x42C0027CUL))

#define bFM_DMAC_DMACA1_ST                        *((volatile  uint8_t *)(0x42C00474UL))
#define bFM3_DMAC_DMACA1_ST                       *((volatile  uint8_t *)(0x42C00474UL))
#define bFM_DMAC_DMACA1_PB                        *((volatile  uint8_t *)(0x42C00478UL))
#define bFM3_DMAC_DMACA1_PB                       *((volatile  uint8_t *)(0x42C00478UL))
#define bFM_DMAC_DMACA1_EB                        *((volatile  uint8_t *)(0x42C0047CUL))
#define bFM3_DMAC_DMACA1_EB                       *((volatile  uint8_t *)(0x42C0047CUL))

#define bFM_DMAC_DMACA2_ST                        *((volatile  uint8_t *)(0x42C00674UL))
#define bFM3_DMAC_DMACA2_ST                       *((volatile  uint8_t *)(0x42C00674UL))
#define bFM_DMAC_DMACA2_PB                        *((volatile  uint8_t *)(0x42C00678UL))
#define bFM3_DMAC_DMACA2_PB                       *((volatile  uint8_t *)(0x42C00678UL))
#define bFM_DMAC_DMACA2_EB                        *((volatile  uint8_t *)(0x42C0067CUL))
#define bFM3_DMAC_DMACA2_EB                       *((volatile  uint8_t *)(0x42C0067CUL))

#define bFM_DMAC_DMACA3_ST                        *((volatile  uint8_t *)(0x42C00874UL))
#define bFM3_DMAC_DMACA3_ST                       *((volatile  uint8_t *)(0x42C00874UL))
#define bFM_DMAC_DMACA3_PB                        *((volatile  uint8_t *)(0x42C00878UL))
#define bFM3_DMAC_DMACA3_PB                       *((volatile  uint8_t *)(0x42C00878UL))
#define bFM_DMAC_DMACA3_EB                        *((volatile  uint8_t *)(0x42C0087CUL))
#define bFM3_DMAC_DMACA3_EB                       *((volatile  uint8_t *)(0x42C0087CUL))

#define bFM_DMAC_DMACA4_ST                        *((volatile  uint8_t *)(0x42C00A74UL))
#define bFM3_DMAC_DMACA4_ST                       *((volatile  uint8_t *)(0x42C00A74UL))
#define bFM_DMAC_DMACA4_PB                        *((volatile  uint8_t *)(0x42C00A78UL))
#define bFM3_DMAC_DMACA4_PB                       *((volatile  uint8_t *)(0x42C00A78UL))
#define bFM_DMAC_DMACA4_EB                        *((volatile  uint8_t *)(0x42C00A7CUL))
#define bFM3_DMAC_DMACA4_EB                       *((volatile  uint8_t *)(0x42C00A7CUL))

#define bFM_DMAC_DMACA5_ST                        *((volatile  uint8_t *)(0x42C00C74UL))
#define bFM3_DMAC_DMACA5_ST                       *((volatile  uint8_t *)(0x42C00C74UL))
#define bFM_DMAC_DMACA5_PB                        *((volatile  uint8_t *)(0x42C00C78UL))
#define bFM3_DMAC_DMACA5_PB                       *((volatile  uint8_t *)(0x42C00C78UL))
#define bFM_DMAC_DMACA5_EB                        *((volatile  uint8_t *)(0x42C00C7CUL))
#define bFM3_DMAC_DMACA5_EB                       *((volatile  uint8_t *)(0x42C00C7CUL))

#define bFM_DMAC_DMACA6_ST                        *((volatile  uint8_t *)(0x42C00E74UL))
#define bFM3_DMAC_DMACA6_ST                       *((volatile  uint8_t *)(0x42C00E74UL))
#define bFM_DMAC_DMACA6_PB                        *((volatile  uint8_t *)(0x42C00E78UL))
#define bFM3_DMAC_DMACA6_PB                       *((volatile  uint8_t *)(0x42C00E78UL))
#define bFM_DMAC_DMACA6_EB                        *((volatile  uint8_t *)(0x42C00E7CUL))
#define bFM3_DMAC_DMACA6_EB                       *((volatile  uint8_t *)(0x42C00E7CUL))

#define bFM_DMAC_DMACA7_ST                        *((volatile  uint8_t *)(0x42C01074UL))
#define bFM3_DMAC_DMACA7_ST                       *((volatile  uint8_t *)(0x42C01074UL))
#define bFM_DMAC_DMACA7_PB                        *((volatile  uint8_t *)(0x42C01078UL))
#define bFM3_DMAC_DMACA7_PB                       *((volatile  uint8_t *)(0x42C01078UL))
#define bFM_DMAC_DMACA7_EB                        *((volatile  uint8_t *)(0x42C0107CUL))
#define bFM3_DMAC_DMACA7_EB                       *((volatile  uint8_t *)(0x42C0107CUL))

#define bFM_DMAC_DMACB0_EM                        *((volatile  uint8_t *)(0x42C00280UL))
#define bFM3_DMAC_DMACB0_EM                       *((volatile  uint8_t *)(0x42C00280UL))
#define bFM_DMAC_DMACB0_CI                        *((volatile  uint8_t *)(0x42C002CCUL))
#define bFM3_DMAC_DMACB0_CI                       *((volatile  uint8_t *)(0x42C002CCUL))
#define bFM_DMAC_DMACB0_EI                        *((volatile  uint8_t *)(0x42C002D0UL))
#define bFM3_DMAC_DMACB0_EI                       *((volatile  uint8_t *)(0x42C002D0UL))
#define bFM_DMAC_DMACB0_RD                        *((volatile  uint8_t *)(0x42C002D4UL))
#define bFM3_DMAC_DMACB0_RD                       *((volatile  uint8_t *)(0x42C002D4UL))
#define bFM_DMAC_DMACB0_RS                        *((volatile  uint8_t *)(0x42C002D8UL))
#define bFM3_DMAC_DMACB0_RS                       *((volatile  uint8_t *)(0x42C002D8UL))
#define bFM_DMAC_DMACB0_RC                        *((volatile  uint8_t *)(0x42C002DCUL))
#define bFM3_DMAC_DMACB0_RC                       *((volatile  uint8_t *)(0x42C002DCUL))
#define bFM_DMAC_DMACB0_FD                        *((volatile  uint8_t *)(0x42C002E0UL))
#define bFM3_DMAC_DMACB0_FD                       *((volatile  uint8_t *)(0x42C002E0UL))
#define bFM_DMAC_DMACB0_FS                        *((volatile  uint8_t *)(0x42C002E4UL))
#define bFM3_DMAC_DMACB0_FS                       *((volatile  uint8_t *)(0x42C002E4UL))

#define bFM_DMAC_DMACB1_EM                        *((volatile  uint8_t *)(0x42C00480UL))
#define bFM3_DMAC_DMACB1_EM                       *((volatile  uint8_t *)(0x42C00480UL))
#define bFM_DMAC_DMACB1_CI                        *((volatile  uint8_t *)(0x42C004CCUL))
#define bFM3_DMAC_DMACB1_CI                       *((volatile  uint8_t *)(0x42C004CCUL))
#define bFM_DMAC_DMACB1_EI                        *((volatile  uint8_t *)(0x42C004D0UL))
#define bFM3_DMAC_DMACB1_EI                       *((volatile  uint8_t *)(0x42C004D0UL))
#define bFM_DMAC_DMACB1_RD                        *((volatile  uint8_t *)(0x42C004D4UL))
#define bFM3_DMAC_DMACB1_RD                       *((volatile  uint8_t *)(0x42C004D4UL))
#define bFM_DMAC_DMACB1_RS                        *((volatile  uint8_t *)(0x42C004D8UL))
#define bFM3_DMAC_DMACB1_RS                       *((volatile  uint8_t *)(0x42C004D8UL))
#define bFM_DMAC_DMACB1_RC                        *((volatile  uint8_t *)(0x42C004DCUL))
#define bFM3_DMAC_DMACB1_RC                       *((volatile  uint8_t *)(0x42C004DCUL))
#define bFM_DMAC_DMACB1_FD                        *((volatile  uint8_t *)(0x42C004E0UL))
#define bFM3_DMAC_DMACB1_FD                       *((volatile  uint8_t *)(0x42C004E0UL))
#define bFM_DMAC_DMACB1_FS                        *((volatile  uint8_t *)(0x42C004E4UL))
#define bFM3_DMAC_DMACB1_FS                       *((volatile  uint8_t *)(0x42C004E4UL))

#define bFM_DMAC_DMACB2_EM                        *((volatile  uint8_t *)(0x42C00680UL))
#define bFM3_DMAC_DMACB2_EM                       *((volatile  uint8_t *)(0x42C00680UL))
#define bFM_DMAC_DMACB2_CI                        *((volatile  uint8_t *)(0x42C006CCUL))
#define bFM3_DMAC_DMACB2_CI                       *((volatile  uint8_t *)(0x42C006CCUL))
#define bFM_DMAC_DMACB2_EI                        *((volatile  uint8_t *)(0x42C006D0UL))
#define bFM3_DMAC_DMACB2_EI                       *((volatile  uint8_t *)(0x42C006D0UL))
#define bFM_DMAC_DMACB2_RD                        *((volatile  uint8_t *)(0x42C006D4UL))
#define bFM3_DMAC_DMACB2_RD                       *((volatile  uint8_t *)(0x42C006D4UL))
#define bFM_DMAC_DMACB2_RS                        *((volatile  uint8_t *)(0x42C006D8UL))
#define bFM3_DMAC_DMACB2_RS                       *((volatile  uint8_t *)(0x42C006D8UL))
#define bFM_DMAC_DMACB2_RC                        *((volatile  uint8_t *)(0x42C006DCUL))
#define bFM3_DMAC_DMACB2_RC                       *((volatile  uint8_t *)(0x42C006DCUL))
#define bFM_DMAC_DMACB2_FD                        *((volatile  uint8_t *)(0x42C006E0UL))
#define bFM3_DMAC_DMACB2_FD                       *((volatile  uint8_t *)(0x42C006E0UL))
#define bFM_DMAC_DMACB2_FS                        *((volatile  uint8_t *)(0x42C006E4UL))
#define bFM3_DMAC_DMACB2_FS                       *((volatile  uint8_t *)(0x42C006E4UL))

#define bFM_DMAC_DMACB3_EM                        *((volatile  uint8_t *)(0x42C00880UL))
#define bFM3_DMAC_DMACB3_EM                       *((volatile  uint8_t *)(0x42C00880UL))
#define bFM_DMAC_DMACB3_CI                        *((volatile  uint8_t *)(0x42C008CCUL))
#define bFM3_DMAC_DMACB3_CI                       *((volatile  uint8_t *)(0x42C008CCUL))
#define bFM_DMAC_DMACB3_EI                        *((volatile  uint8_t *)(0x42C008D0UL))
#define bFM3_DMAC_DMACB3_EI                       *((volatile  uint8_t *)(0x42C008D0UL))
#define bFM_DMAC_DMACB3_RD                        *((volatile  uint8_t *)(0x42C008D4UL))
#define bFM3_DMAC_DMACB3_RD                       *((volatile  uint8_t *)(0x42C008D4UL))
#define bFM_DMAC_DMACB3_RS                        *((volatile  uint8_t *)(0x42C008D8UL))
#define bFM3_DMAC_DMACB3_RS                       *((volatile  uint8_t *)(0x42C008D8UL))
#define bFM_DMAC_DMACB3_RC                        *((volatile  uint8_t *)(0x42C008DCUL))
#define bFM3_DMAC_DMACB3_RC                       *((volatile  uint8_t *)(0x42C008DCUL))
#define bFM_DMAC_DMACB3_FD                        *((volatile  uint8_t *)(0x42C008E0UL))
#define bFM3_DMAC_DMACB3_FD                       *((volatile  uint8_t *)(0x42C008E0UL))
#define bFM_DMAC_DMACB3_FS                        *((volatile  uint8_t *)(0x42C008E4UL))
#define bFM3_DMAC_DMACB3_FS                       *((volatile  uint8_t *)(0x42C008E4UL))

#define bFM_DMAC_DMACB4_EM                        *((volatile  uint8_t *)(0x42C00A80UL))
#define bFM3_DMAC_DMACB4_EM                       *((volatile  uint8_t *)(0x42C00A80UL))
#define bFM_DMAC_DMACB4_CI                        *((volatile  uint8_t *)(0x42C00ACCUL))
#define bFM3_DMAC_DMACB4_CI                       *((volatile  uint8_t *)(0x42C00ACCUL))
#define bFM_DMAC_DMACB4_EI                        *((volatile  uint8_t *)(0x42C00AD0UL))
#define bFM3_DMAC_DMACB4_EI                       *((volatile  uint8_t *)(0x42C00AD0UL))
#define bFM_DMAC_DMACB4_RD                        *((volatile  uint8_t *)(0x42C00AD4UL))
#define bFM3_DMAC_DMACB4_RD                       *((volatile  uint8_t *)(0x42C00AD4UL))
#define bFM_DMAC_DMACB4_RS                        *((volatile  uint8_t *)(0x42C00AD8UL))
#define bFM3_DMAC_DMACB4_RS                       *((volatile  uint8_t *)(0x42C00AD8UL))
#define bFM_DMAC_DMACB4_RC                        *((volatile  uint8_t *)(0x42C00ADCUL))
#define bFM3_DMAC_DMACB4_RC                       *((volatile  uint8_t *)(0x42C00ADCUL))
#define bFM_DMAC_DMACB4_FD                        *((volatile  uint8_t *)(0x42C00AE0UL))
#define bFM3_DMAC_DMACB4_FD                       *((volatile  uint8_t *)(0x42C00AE0UL))
#define bFM_DMAC_DMACB4_FS                        *((volatile  uint8_t *)(0x42C00AE4UL))
#define bFM3_DMAC_DMACB4_FS                       *((volatile  uint8_t *)(0x42C00AE4UL))

#define bFM_DMAC_DMACB5_EM                        *((volatile  uint8_t *)(0x42C00C80UL))
#define bFM3_DMAC_DMACB5_EM                       *((volatile  uint8_t *)(0x42C00C80UL))
#define bFM_DMAC_DMACB5_CI                        *((volatile  uint8_t *)(0x42C00CCCUL))
#define bFM3_DMAC_DMACB5_CI                       *((volatile  uint8_t *)(0x42C00CCCUL))
#define bFM_DMAC_DMACB5_EI                        *((volatile  uint8_t *)(0x42C00CD0UL))
#define bFM3_DMAC_DMACB5_EI                       *((volatile  uint8_t *)(0x42C00CD0UL))
#define bFM_DMAC_DMACB5_RD                        *((volatile  uint8_t *)(0x42C00CD4UL))
#define bFM3_DMAC_DMACB5_RD                       *((volatile  uint8_t *)(0x42C00CD4UL))
#define bFM_DMAC_DMACB5_RS                        *((volatile  uint8_t *)(0x42C00CD8UL))
#define bFM3_DMAC_DMACB5_RS                       *((volatile  uint8_t *)(0x42C00CD8UL))
#define bFM_DMAC_DMACB5_RC                        *((volatile  uint8_t *)(0x42C00CDCUL))
#define bFM3_DMAC_DMACB5_RC                       *((volatile  uint8_t *)(0x42C00CDCUL))
#define bFM_DMAC_DMACB5_FD                        *((volatile  uint8_t *)(0x42C00CE0UL))
#define bFM3_DMAC_DMACB5_FD                       *((volatile  uint8_t *)(0x42C00CE0UL))
#define bFM_DMAC_DMACB5_FS                        *((volatile  uint8_t *)(0x42C00CE4UL))
#define bFM3_DMAC_DMACB5_FS                       *((volatile  uint8_t *)(0x42C00CE4UL))

#define bFM_DMAC_DMACB6_EM                        *((volatile  uint8_t *)(0x42C00E80UL))
#define bFM3_DMAC_DMACB6_EM                       *((volatile  uint8_t *)(0x42C00E80UL))
#define bFM_DMAC_DMACB6_CI                        *((volatile  uint8_t *)(0x42C00ECCUL))
#define bFM3_DMAC_DMACB6_CI                       *((volatile  uint8_t *)(0x42C00ECCUL))
#define bFM_DMAC_DMACB6_EI                        *((volatile  uint8_t *)(0x42C00ED0UL))
#define bFM3_DMAC_DMACB6_EI                       *((volatile  uint8_t *)(0x42C00ED0UL))
#define bFM_DMAC_DMACB6_RD                        *((volatile  uint8_t *)(0x42C00ED4UL))
#define bFM3_DMAC_DMACB6_RD                       *((volatile  uint8_t *)(0x42C00ED4UL))
#define bFM_DMAC_DMACB6_RS                        *((volatile  uint8_t *)(0x42C00ED8UL))
#define bFM3_DMAC_DMACB6_RS                       *((volatile  uint8_t *)(0x42C00ED8UL))
#define bFM_DMAC_DMACB6_RC                        *((volatile  uint8_t *)(0x42C00EDCUL))
#define bFM3_DMAC_DMACB6_RC                       *((volatile  uint8_t *)(0x42C00EDCUL))
#define bFM_DMAC_DMACB6_FD                        *((volatile  uint8_t *)(0x42C00EE0UL))
#define bFM3_DMAC_DMACB6_FD                       *((volatile  uint8_t *)(0x42C00EE0UL))
#define bFM_DMAC_DMACB6_FS                        *((volatile  uint8_t *)(0x42C00EE4UL))
#define bFM3_DMAC_DMACB6_FS                       *((volatile  uint8_t *)(0x42C00EE4UL))

#define bFM_DMAC_DMACB7_EM                        *((volatile  uint8_t *)(0x42C01080UL))
#define bFM3_DMAC_DMACB7_EM                       *((volatile  uint8_t *)(0x42C01080UL))
#define bFM_DMAC_DMACB7_CI                        *((volatile  uint8_t *)(0x42C010CCUL))
#define bFM3_DMAC_DMACB7_CI                       *((volatile  uint8_t *)(0x42C010CCUL))
#define bFM_DMAC_DMACB7_EI                        *((volatile  uint8_t *)(0x42C010D0UL))
#define bFM3_DMAC_DMACB7_EI                       *((volatile  uint8_t *)(0x42C010D0UL))
#define bFM_DMAC_DMACB7_RD                        *((volatile  uint8_t *)(0x42C010D4UL))
#define bFM3_DMAC_DMACB7_RD                       *((volatile  uint8_t *)(0x42C010D4UL))
#define bFM_DMAC_DMACB7_RS                        *((volatile  uint8_t *)(0x42C010D8UL))
#define bFM3_DMAC_DMACB7_RS                       *((volatile  uint8_t *)(0x42C010D8UL))
#define bFM_DMAC_DMACB7_RC                        *((volatile  uint8_t *)(0x42C010DCUL))
#define bFM3_DMAC_DMACB7_RC                       *((volatile  uint8_t *)(0x42C010DCUL))
#define bFM_DMAC_DMACB7_FD                        *((volatile  uint8_t *)(0x42C010E0UL))
#define bFM3_DMAC_DMACB7_FD                       *((volatile  uint8_t *)(0x42C010E0UL))
#define bFM_DMAC_DMACB7_FS                        *((volatile  uint8_t *)(0x42C010E4UL))
#define bFM3_DMAC_DMACB7_FS                       *((volatile  uint8_t *)(0x42C010E4UL))

#define bFM_DMAC_DMACR_PR                         *((volatile  uint8_t *)(0x42C00070UL))
#define bFM3_DMAC_DMACR_PR                        *((volatile  uint8_t *)(0x42C00070UL))
#define bFM_DMAC_DMACR_DS                         *((volatile  uint8_t *)(0x42C00078UL))
#define bFM3_DMAC_DMACR_DS                        *((volatile  uint8_t *)(0x42C00078UL))
#define bFM_DMAC_DMACR_DE                         *((volatile  uint8_t *)(0x42C0007CUL))
#define bFM3_DMAC_DMACR_DE                        *((volatile  uint8_t *)(0x42C0007CUL))


/******************************************************************************
 ** DS Registers DS
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DS_PMD_CTL_RTCE                       *((volatile  uint8_t *)(0x426B0000UL))
#define bFM3_DS_PMD_CTL_RTCE                      *((volatile  uint8_t *)(0x426B0000UL))

#define bFM_DS_RCK_CTL_RTCCKE                     *((volatile  uint8_t *)(0x426A2080UL))
#define bFM3_DS_RCK_CTL_RTCCKE                    *((volatile  uint8_t *)(0x426A2080UL))
#define bFM_DS_RCK_CTL_CECCKE                     *((volatile  uint8_t *)(0x426A2084UL))
#define bFM3_DS_RCK_CTL_CECCKE                    *((volatile  uint8_t *)(0x426A2084UL))

#define bFM_DS_WIER_WRTCE                         *((volatile  uint8_t *)(0x426B0180UL))
#define bFM3_DS_WIER_WRTCE                        *((volatile  uint8_t *)(0x426B0180UL))
#define bFM_DS_WIER_WLVDE                         *((volatile  uint8_t *)(0x426B0184UL))
#define bFM3_DS_WIER_WLVDE                        *((volatile  uint8_t *)(0x426B0184UL))
#define bFM_DS_WIER_WUI1E                         *((volatile  uint8_t *)(0x426B018CUL))
#define bFM3_DS_WIER_WUI1E                        *((volatile  uint8_t *)(0x426B018CUL))
#define bFM_DS_WIER_WUI2E                         *((volatile  uint8_t *)(0x426B0190UL))
#define bFM3_DS_WIER_WUI2E                        *((volatile  uint8_t *)(0x426B0190UL))
#define bFM_DS_WIER_WUI3E                         *((volatile  uint8_t *)(0x426B0194UL))
#define bFM3_DS_WIER_WUI3E                        *((volatile  uint8_t *)(0x426B0194UL))
#define bFM_DS_WIER_WUI4E                         *((volatile  uint8_t *)(0x426B0198UL))
#define bFM3_DS_WIER_WUI4E                        *((volatile  uint8_t *)(0x426B0198UL))
#define bFM_DS_WIER_WUI5E                         *((volatile  uint8_t *)(0x426B019CUL))
#define bFM3_DS_WIER_WUI5E                        *((volatile  uint8_t *)(0x426B019CUL))
#define bFM_DS_WIER_WCEC0E                        *((volatile  uint8_t *)(0x426B01A0UL))
#define bFM3_DS_WIER_WCEC0E                       *((volatile  uint8_t *)(0x426B01A0UL))
#define bFM_DS_WIER_WCEC1E                        *((volatile  uint8_t *)(0x426B01A4UL))
#define bFM3_DS_WIER_WCEC1E                       *((volatile  uint8_t *)(0x426B01A4UL))

#define bFM_DS_WIFSR_WRTCI                        *((volatile  uint8_t *)(0x426B0100UL))
#define bFM3_DS_WIFSR_WRTCI                       *((volatile  uint8_t *)(0x426B0100UL))
#define bFM_DS_WIFSR_WLVDI                        *((volatile  uint8_t *)(0x426B0104UL))
#define bFM3_DS_WIFSR_WLVDI                       *((volatile  uint8_t *)(0x426B0104UL))
#define bFM_DS_WIFSR_WUI0                         *((volatile  uint8_t *)(0x426B0108UL))
#define bFM3_DS_WIFSR_WUI0                        *((volatile  uint8_t *)(0x426B0108UL))
#define bFM_DS_WIFSR_WUI1                         *((volatile  uint8_t *)(0x426B010CUL))
#define bFM3_DS_WIFSR_WUI1                        *((volatile  uint8_t *)(0x426B010CUL))
#define bFM_DS_WIFSR_WUI2                         *((volatile  uint8_t *)(0x426B0110UL))
#define bFM3_DS_WIFSR_WUI2                        *((volatile  uint8_t *)(0x426B0110UL))
#define bFM_DS_WIFSR_WUI3                         *((volatile  uint8_t *)(0x426B0114UL))
#define bFM3_DS_WIFSR_WUI3                        *((volatile  uint8_t *)(0x426B0114UL))
#define bFM_DS_WIFSR_WUI4                         *((volatile  uint8_t *)(0x426B0118UL))
#define bFM3_DS_WIFSR_WUI4                        *((volatile  uint8_t *)(0x426B0118UL))
#define bFM_DS_WIFSR_WUI5                         *((volatile  uint8_t *)(0x426B011CUL))
#define bFM3_DS_WIFSR_WUI5                        *((volatile  uint8_t *)(0x426B011CUL))
#define bFM_DS_WIFSR_WCEC0I                       *((volatile  uint8_t *)(0x426B0120UL))
#define bFM3_DS_WIFSR_WCEC0I                      *((volatile  uint8_t *)(0x426B0120UL))
#define bFM_DS_WIFSR_WCEC1I                       *((volatile  uint8_t *)(0x426B0124UL))
#define bFM3_DS_WIFSR_WCEC1I                      *((volatile  uint8_t *)(0x426B0124UL))

#define bFM_DS_WILVR_WUI1LV                       *((volatile  uint8_t *)(0x426B0200UL))
#define bFM3_DS_WILVR_WUI1LV                      *((volatile  uint8_t *)(0x426B0200UL))
#define bFM_DS_WILVR_WUI2LV                       *((volatile  uint8_t *)(0x426B0204UL))
#define bFM3_DS_WILVR_WUI2LV                      *((volatile  uint8_t *)(0x426B0204UL))
#define bFM_DS_WILVR_WUI3LV                       *((volatile  uint8_t *)(0x426B0208UL))
#define bFM3_DS_WILVR_WUI3LV                      *((volatile  uint8_t *)(0x426B0208UL))
#define bFM_DS_WILVR_WUI4LV                       *((volatile  uint8_t *)(0x426B020CUL))
#define bFM3_DS_WILVR_WUI4LV                      *((volatile  uint8_t *)(0x426B020CUL))
#define bFM_DS_WILVR_WUI5LV                       *((volatile  uint8_t *)(0x426B0210UL))
#define bFM3_DS_WILVR_WUI5LV                      *((volatile  uint8_t *)(0x426B0210UL))

#define bFM_DS_WRFSR_WINITX                       *((volatile  uint8_t *)(0x426B0080UL))
#define bFM3_DS_WRFSR_WINITX                      *((volatile  uint8_t *)(0x426B0080UL))
#define bFM_DS_WRFSR_WLVDH                        *((volatile  uint8_t *)(0x426B0084UL))
#define bFM3_DS_WRFSR_WLVDH                       *((volatile  uint8_t *)(0x426B0084UL))


/******************************************************************************
 ** DT Registers DT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_DT_TIMER1CONTROL_ONESHOT              *((volatile  uint32_t*)(0x422A0100UL))
#define bFM3_DT_TIMER1CONTROL_ONESHOT             *((volatile  uint32_t*)(0x422A0100UL))
#define bFM_DT_TIMER1CONTROL_TIMERSIZE            *((volatile  uint32_t*)(0x422A0104UL))
#define bFM3_DT_TIMER1CONTROL_TIMERSIZE           *((volatile  uint32_t*)(0x422A0104UL))
#define bFM_DT_TIMER1CONTROL_INTENABLE            *((volatile  uint32_t*)(0x422A0114UL))
#define bFM3_DT_TIMER1CONTROL_INTENABLE           *((volatile  uint32_t*)(0x422A0114UL))
#define bFM_DT_TIMER1CONTROL_TIMERMODE            *((volatile  uint32_t*)(0x422A0118UL))
#define bFM3_DT_TIMER1CONTROL_TIMERMODE           *((volatile  uint32_t*)(0x422A0118UL))
#define bFM_DT_TIMER1CONTROL_TIMEREN              *((volatile  uint32_t*)(0x422A011CUL))
#define bFM3_DT_TIMER1CONTROL_TIMEREN             *((volatile  uint32_t*)(0x422A011CUL))

#define bFM_DT_TIMER1MIS_TIMER1MIS                *((volatile  uint32_t*)(0x422A0280UL))
#define bFM3_DT_TIMER1MIS_TIMER1MIS               *((volatile  uint32_t*)(0x422A0280UL))

#define bFM_DT_TIMER1RIS_TIMER1RIS                *((volatile  uint32_t*)(0x422A0200UL))
#define bFM3_DT_TIMER1RIS_TIMER1RIS               *((volatile  uint32_t*)(0x422A0200UL))

#define bFM_DT_TIMER2CONTROL_ONESHOT              *((volatile  uint32_t*)(0x422A0500UL))
#define bFM3_DT_TIMER2CONTROL_ONESHOT             *((volatile  uint32_t*)(0x422A0500UL))
#define bFM_DT_TIMER2CONTROL_TIMERSIZE            *((volatile  uint32_t*)(0x422A0504UL))
#define bFM3_DT_TIMER2CONTROL_TIMERSIZE           *((volatile  uint32_t*)(0x422A0504UL))
#define bFM_DT_TIMER2CONTROL_INTENABLE            *((volatile  uint32_t*)(0x422A0514UL))
#define bFM3_DT_TIMER2CONTROL_INTENABLE           *((volatile  uint32_t*)(0x422A0514UL))
#define bFM_DT_TIMER2CONTROL_TIMERMODE            *((volatile  uint32_t*)(0x422A0518UL))
#define bFM3_DT_TIMER2CONTROL_TIMERMODE           *((volatile  uint32_t*)(0x422A0518UL))
#define bFM_DT_TIMER2CONTROL_TIMEREN              *((volatile  uint32_t*)(0x422A051CUL))
#define bFM3_DT_TIMER2CONTROL_TIMEREN             *((volatile  uint32_t*)(0x422A051CUL))

#define bFM_DT_TIMER2MIS_TIMER2MIS                *((volatile  uint32_t*)(0x422A0680UL))
#define bFM3_DT_TIMER2MIS_TIMER2MIS               *((volatile  uint32_t*)(0x422A0680UL))

#define bFM_DT_TIMER2RIS_TIMER2RIS                *((volatile  uint32_t*)(0x422A0600UL))
#define bFM3_DT_TIMER2RIS_TIMER2RIS               *((volatile  uint32_t*)(0x422A0600UL))


/******************************************************************************
 ** EXTI Registers EXTI
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_EXTI_EICL_ECL0                        *((volatile  uint8_t *)(0x42600100UL))
#define bFM3_EXTI_EICL_ECL0                       *((volatile  uint8_t *)(0x42600100UL))
#define bFM_EXTI_EICL_ECL1                        *((volatile  uint8_t *)(0x42600104UL))
#define bFM3_EXTI_EICL_ECL1                       *((volatile  uint8_t *)(0x42600104UL))
#define bFM_EXTI_EICL_ECL2                        *((volatile  uint8_t *)(0x42600108UL))
#define bFM3_EXTI_EICL_ECL2                       *((volatile  uint8_t *)(0x42600108UL))
#define bFM_EXTI_EICL_ECL3                        *((volatile  uint8_t *)(0x4260010CUL))
#define bFM3_EXTI_EICL_ECL3                       *((volatile  uint8_t *)(0x4260010CUL))
#define bFM_EXTI_EICL_ECL4                        *((volatile  uint8_t *)(0x42600110UL))
#define bFM3_EXTI_EICL_ECL4                       *((volatile  uint8_t *)(0x42600110UL))
#define bFM_EXTI_EICL_ECL5                        *((volatile  uint8_t *)(0x42600114UL))
#define bFM3_EXTI_EICL_ECL5                       *((volatile  uint8_t *)(0x42600114UL))
#define bFM_EXTI_EICL_ECL6                        *((volatile  uint8_t *)(0x42600118UL))
#define bFM3_EXTI_EICL_ECL6                       *((volatile  uint8_t *)(0x42600118UL))
#define bFM_EXTI_EICL_ECL7                        *((volatile  uint8_t *)(0x4260011CUL))
#define bFM3_EXTI_EICL_ECL7                       *((volatile  uint8_t *)(0x4260011CUL))
#define bFM_EXTI_EICL_ECL8                        *((volatile  uint8_t *)(0x42600120UL))
#define bFM3_EXTI_EICL_ECL8                       *((volatile  uint8_t *)(0x42600120UL))
#define bFM_EXTI_EICL_ECL9                        *((volatile  uint8_t *)(0x42600124UL))
#define bFM3_EXTI_EICL_ECL9                       *((volatile  uint8_t *)(0x42600124UL))
#define bFM_EXTI_EICL_ECL10                       *((volatile  uint8_t *)(0x42600128UL))
#define bFM3_EXTI_EICL_ECL10                      *((volatile  uint8_t *)(0x42600128UL))
#define bFM_EXTI_EICL_ECL11                       *((volatile  uint8_t *)(0x4260012CUL))
#define bFM3_EXTI_EICL_ECL11                      *((volatile  uint8_t *)(0x4260012CUL))
#define bFM_EXTI_EICL_ECL12                       *((volatile  uint8_t *)(0x42600130UL))
#define bFM3_EXTI_EICL_ECL12                      *((volatile  uint8_t *)(0x42600130UL))
#define bFM_EXTI_EICL_ECL13                       *((volatile  uint8_t *)(0x42600134UL))
#define bFM3_EXTI_EICL_ECL13                      *((volatile  uint8_t *)(0x42600134UL))
#define bFM_EXTI_EICL_ECL14                       *((volatile  uint8_t *)(0x42600138UL))
#define bFM3_EXTI_EICL_ECL14                      *((volatile  uint8_t *)(0x42600138UL))
#define bFM_EXTI_EICL_ECL15                       *((volatile  uint8_t *)(0x4260013CUL))
#define bFM3_EXTI_EICL_ECL15                      *((volatile  uint8_t *)(0x4260013CUL))
#define bFM_EXTI_EICL_ECL16                       *((volatile  uint8_t *)(0x42600140UL))
#define bFM3_EXTI_EICL_ECL16                      *((volatile  uint8_t *)(0x42600140UL))
#define bFM_EXTI_EICL_ECL17                       *((volatile  uint8_t *)(0x42600144UL))
#define bFM3_EXTI_EICL_ECL17                      *((volatile  uint8_t *)(0x42600144UL))
#define bFM_EXTI_EICL_ECL18                       *((volatile  uint8_t *)(0x42600148UL))
#define bFM3_EXTI_EICL_ECL18                      *((volatile  uint8_t *)(0x42600148UL))
#define bFM_EXTI_EICL_ECL19                       *((volatile  uint8_t *)(0x4260014CUL))
#define bFM3_EXTI_EICL_ECL19                      *((volatile  uint8_t *)(0x4260014CUL))
#define bFM_EXTI_EICL_ECL20                       *((volatile  uint8_t *)(0x42600150UL))
#define bFM3_EXTI_EICL_ECL20                      *((volatile  uint8_t *)(0x42600150UL))
#define bFM_EXTI_EICL_ECL21                       *((volatile  uint8_t *)(0x42600154UL))
#define bFM3_EXTI_EICL_ECL21                      *((volatile  uint8_t *)(0x42600154UL))
#define bFM_EXTI_EICL_ECL22                       *((volatile  uint8_t *)(0x42600158UL))
#define bFM3_EXTI_EICL_ECL22                      *((volatile  uint8_t *)(0x42600158UL))
#define bFM_EXTI_EICL_ECL23                       *((volatile  uint8_t *)(0x4260015CUL))
#define bFM3_EXTI_EICL_ECL23                      *((volatile  uint8_t *)(0x4260015CUL))
#define bFM_EXTI_EICL_ECL24                       *((volatile  uint8_t *)(0x42600160UL))
#define bFM3_EXTI_EICL_ECL24                      *((volatile  uint8_t *)(0x42600160UL))
#define bFM_EXTI_EICL_ECL25                       *((volatile  uint8_t *)(0x42600164UL))
#define bFM3_EXTI_EICL_ECL25                      *((volatile  uint8_t *)(0x42600164UL))
#define bFM_EXTI_EICL_ECL26                       *((volatile  uint8_t *)(0x42600168UL))
#define bFM3_EXTI_EICL_ECL26                      *((volatile  uint8_t *)(0x42600168UL))
#define bFM_EXTI_EICL_ECL27                       *((volatile  uint8_t *)(0x4260016CUL))
#define bFM3_EXTI_EICL_ECL27                      *((volatile  uint8_t *)(0x4260016CUL))
#define bFM_EXTI_EICL_ECL28                       *((volatile  uint8_t *)(0x42600170UL))
#define bFM3_EXTI_EICL_ECL28                      *((volatile  uint8_t *)(0x42600170UL))
#define bFM_EXTI_EICL_ECL29                       *((volatile  uint8_t *)(0x42600174UL))
#define bFM3_EXTI_EICL_ECL29                      *((volatile  uint8_t *)(0x42600174UL))
#define bFM_EXTI_EICL_ECL30                       *((volatile  uint8_t *)(0x42600178UL))
#define bFM3_EXTI_EICL_ECL30                      *((volatile  uint8_t *)(0x42600178UL))
#define bFM_EXTI_EICL_ECL31                       *((volatile  uint8_t *)(0x4260017CUL))
#define bFM3_EXTI_EICL_ECL31                      *((volatile  uint8_t *)(0x4260017CUL))

#define bFM_EXTI_EIRR_ER0                         *((volatile  uint8_t *)(0x42600080UL))
#define bFM3_EXTI_EIRR_ER0                        *((volatile  uint8_t *)(0x42600080UL))
#define bFM_EXTI_EIRR_ER1                         *((volatile  uint8_t *)(0x42600084UL))
#define bFM3_EXTI_EIRR_ER1                        *((volatile  uint8_t *)(0x42600084UL))
#define bFM_EXTI_EIRR_ER2                         *((volatile  uint8_t *)(0x42600088UL))
#define bFM3_EXTI_EIRR_ER2                        *((volatile  uint8_t *)(0x42600088UL))
#define bFM_EXTI_EIRR_ER3                         *((volatile  uint8_t *)(0x4260008CUL))
#define bFM3_EXTI_EIRR_ER3                        *((volatile  uint8_t *)(0x4260008CUL))
#define bFM_EXTI_EIRR_ER4                         *((volatile  uint8_t *)(0x42600090UL))
#define bFM3_EXTI_EIRR_ER4                        *((volatile  uint8_t *)(0x42600090UL))
#define bFM_EXTI_EIRR_ER5                         *((volatile  uint8_t *)(0x42600094UL))
#define bFM3_EXTI_EIRR_ER5                        *((volatile  uint8_t *)(0x42600094UL))
#define bFM_EXTI_EIRR_ER6                         *((volatile  uint8_t *)(0x42600098UL))
#define bFM3_EXTI_EIRR_ER6                        *((volatile  uint8_t *)(0x42600098UL))
#define bFM_EXTI_EIRR_ER7                         *((volatile  uint8_t *)(0x4260009CUL))
#define bFM3_EXTI_EIRR_ER7                        *((volatile  uint8_t *)(0x4260009CUL))
#define bFM_EXTI_EIRR_ER8                         *((volatile  uint8_t *)(0x426000A0UL))
#define bFM3_EXTI_EIRR_ER8                        *((volatile  uint8_t *)(0x426000A0UL))
#define bFM_EXTI_EIRR_ER9                         *((volatile  uint8_t *)(0x426000A4UL))
#define bFM3_EXTI_EIRR_ER9                        *((volatile  uint8_t *)(0x426000A4UL))
#define bFM_EXTI_EIRR_ER10                        *((volatile  uint8_t *)(0x426000A8UL))
#define bFM3_EXTI_EIRR_ER10                       *((volatile  uint8_t *)(0x426000A8UL))
#define bFM_EXTI_EIRR_ER11                        *((volatile  uint8_t *)(0x426000ACUL))
#define bFM3_EXTI_EIRR_ER11                       *((volatile  uint8_t *)(0x426000ACUL))
#define bFM_EXTI_EIRR_ER12                        *((volatile  uint8_t *)(0x426000B0UL))
#define bFM3_EXTI_EIRR_ER12                       *((volatile  uint8_t *)(0x426000B0UL))
#define bFM_EXTI_EIRR_ER13                        *((volatile  uint8_t *)(0x426000B4UL))
#define bFM3_EXTI_EIRR_ER13                       *((volatile  uint8_t *)(0x426000B4UL))
#define bFM_EXTI_EIRR_ER14                        *((volatile  uint8_t *)(0x426000B8UL))
#define bFM3_EXTI_EIRR_ER14                       *((volatile  uint8_t *)(0x426000B8UL))
#define bFM_EXTI_EIRR_ER15                        *((volatile  uint8_t *)(0x426000BCUL))
#define bFM3_EXTI_EIRR_ER15                       *((volatile  uint8_t *)(0x426000BCUL))
#define bFM_EXTI_EIRR_ER16                        *((volatile  uint8_t *)(0x426000C0UL))
#define bFM3_EXTI_EIRR_ER16                       *((volatile  uint8_t *)(0x426000C0UL))
#define bFM_EXTI_EIRR_ER17                        *((volatile  uint8_t *)(0x426000C4UL))
#define bFM3_EXTI_EIRR_ER17                       *((volatile  uint8_t *)(0x426000C4UL))
#define bFM_EXTI_EIRR_ER18                        *((volatile  uint8_t *)(0x426000C8UL))
#define bFM3_EXTI_EIRR_ER18                       *((volatile  uint8_t *)(0x426000C8UL))
#define bFM_EXTI_EIRR_ER19                        *((volatile  uint8_t *)(0x426000CCUL))
#define bFM3_EXTI_EIRR_ER19                       *((volatile  uint8_t *)(0x426000CCUL))
#define bFM_EXTI_EIRR_ER20                        *((volatile  uint8_t *)(0x426000D0UL))
#define bFM3_EXTI_EIRR_ER20                       *((volatile  uint8_t *)(0x426000D0UL))
#define bFM_EXTI_EIRR_ER21                        *((volatile  uint8_t *)(0x426000D4UL))
#define bFM3_EXTI_EIRR_ER21                       *((volatile  uint8_t *)(0x426000D4UL))
#define bFM_EXTI_EIRR_ER22                        *((volatile  uint8_t *)(0x426000D8UL))
#define bFM3_EXTI_EIRR_ER22                       *((volatile  uint8_t *)(0x426000D8UL))
#define bFM_EXTI_EIRR_ER23                        *((volatile  uint8_t *)(0x426000DCUL))
#define bFM3_EXTI_EIRR_ER23                       *((volatile  uint8_t *)(0x426000DCUL))
#define bFM_EXTI_EIRR_ER24                        *((volatile  uint8_t *)(0x426000E0UL))
#define bFM3_EXTI_EIRR_ER24                       *((volatile  uint8_t *)(0x426000E0UL))
#define bFM_EXTI_EIRR_ER25                        *((volatile  uint8_t *)(0x426000E4UL))
#define bFM3_EXTI_EIRR_ER25                       *((volatile  uint8_t *)(0x426000E4UL))
#define bFM_EXTI_EIRR_ER26                        *((volatile  uint8_t *)(0x426000E8UL))
#define bFM3_EXTI_EIRR_ER26                       *((volatile  uint8_t *)(0x426000E8UL))
#define bFM_EXTI_EIRR_ER27                        *((volatile  uint8_t *)(0x426000ECUL))
#define bFM3_EXTI_EIRR_ER27                       *((volatile  uint8_t *)(0x426000ECUL))
#define bFM_EXTI_EIRR_ER28                        *((volatile  uint8_t *)(0x426000F0UL))
#define bFM3_EXTI_EIRR_ER28                       *((volatile  uint8_t *)(0x426000F0UL))
#define bFM_EXTI_EIRR_ER29                        *((volatile  uint8_t *)(0x426000F4UL))
#define bFM3_EXTI_EIRR_ER29                       *((volatile  uint8_t *)(0x426000F4UL))
#define bFM_EXTI_EIRR_ER30                        *((volatile  uint8_t *)(0x426000F8UL))
#define bFM3_EXTI_EIRR_ER30                       *((volatile  uint8_t *)(0x426000F8UL))
#define bFM_EXTI_EIRR_ER31                        *((volatile  uint8_t *)(0x426000FCUL))
#define bFM3_EXTI_EIRR_ER31                       *((volatile  uint8_t *)(0x426000FCUL))

#define bFM_EXTI_ELVR_LA0                         *((volatile  uint8_t *)(0x42600180UL))
#define bFM3_EXTI_ELVR_LA0                        *((volatile  uint8_t *)(0x42600180UL))
#define bFM_EXTI_ELVR_LB0                         *((volatile  uint8_t *)(0x42600184UL))
#define bFM3_EXTI_ELVR_LB0                        *((volatile  uint8_t *)(0x42600184UL))
#define bFM_EXTI_ELVR_LA1                         *((volatile  uint8_t *)(0x42600188UL))
#define bFM3_EXTI_ELVR_LA1                        *((volatile  uint8_t *)(0x42600188UL))
#define bFM_EXTI_ELVR_LB1                         *((volatile  uint8_t *)(0x4260018CUL))
#define bFM3_EXTI_ELVR_LB1                        *((volatile  uint8_t *)(0x4260018CUL))
#define bFM_EXTI_ELVR_LA2                         *((volatile  uint8_t *)(0x42600190UL))
#define bFM3_EXTI_ELVR_LA2                        *((volatile  uint8_t *)(0x42600190UL))
#define bFM_EXTI_ELVR_LB2                         *((volatile  uint8_t *)(0x42600194UL))
#define bFM3_EXTI_ELVR_LB2                        *((volatile  uint8_t *)(0x42600194UL))
#define bFM_EXTI_ELVR_LA3                         *((volatile  uint8_t *)(0x42600198UL))
#define bFM3_EXTI_ELVR_LA3                        *((volatile  uint8_t *)(0x42600198UL))
#define bFM_EXTI_ELVR_LB3                         *((volatile  uint8_t *)(0x4260019CUL))
#define bFM3_EXTI_ELVR_LB3                        *((volatile  uint8_t *)(0x4260019CUL))
#define bFM_EXTI_ELVR_LA4                         *((volatile  uint8_t *)(0x426001A0UL))
#define bFM3_EXTI_ELVR_LA4                        *((volatile  uint8_t *)(0x426001A0UL))
#define bFM_EXTI_ELVR_LB4                         *((volatile  uint8_t *)(0x426001A4UL))
#define bFM3_EXTI_ELVR_LB4                        *((volatile  uint8_t *)(0x426001A4UL))
#define bFM_EXTI_ELVR_LA5                         *((volatile  uint8_t *)(0x426001A8UL))
#define bFM3_EXTI_ELVR_LA5                        *((volatile  uint8_t *)(0x426001A8UL))
#define bFM_EXTI_ELVR_LB5                         *((volatile  uint8_t *)(0x426001ACUL))
#define bFM3_EXTI_ELVR_LB5                        *((volatile  uint8_t *)(0x426001ACUL))
#define bFM_EXTI_ELVR_LA6                         *((volatile  uint8_t *)(0x426001B0UL))
#define bFM3_EXTI_ELVR_LA6                        *((volatile  uint8_t *)(0x426001B0UL))
#define bFM_EXTI_ELVR_LB6                         *((volatile  uint8_t *)(0x426001B4UL))
#define bFM3_EXTI_ELVR_LB6                        *((volatile  uint8_t *)(0x426001B4UL))
#define bFM_EXTI_ELVR_LA7                         *((volatile  uint8_t *)(0x426001B8UL))
#define bFM3_EXTI_ELVR_LA7                        *((volatile  uint8_t *)(0x426001B8UL))
#define bFM_EXTI_ELVR_LB7                         *((volatile  uint8_t *)(0x426001BCUL))
#define bFM3_EXTI_ELVR_LB7                        *((volatile  uint8_t *)(0x426001BCUL))
#define bFM_EXTI_ELVR_LA8                         *((volatile  uint8_t *)(0x426001C0UL))
#define bFM3_EXTI_ELVR_LA8                        *((volatile  uint8_t *)(0x426001C0UL))
#define bFM_EXTI_ELVR_LB8                         *((volatile  uint8_t *)(0x426001C4UL))
#define bFM3_EXTI_ELVR_LB8                        *((volatile  uint8_t *)(0x426001C4UL))
#define bFM_EXTI_ELVR_LA9                         *((volatile  uint8_t *)(0x426001C8UL))
#define bFM3_EXTI_ELVR_LA9                        *((volatile  uint8_t *)(0x426001C8UL))
#define bFM_EXTI_ELVR_LB9                         *((volatile  uint8_t *)(0x426001CCUL))
#define bFM3_EXTI_ELVR_LB9                        *((volatile  uint8_t *)(0x426001CCUL))
#define bFM_EXTI_ELVR_LA10                        *((volatile  uint8_t *)(0x426001D0UL))
#define bFM3_EXTI_ELVR_LA10                       *((volatile  uint8_t *)(0x426001D0UL))
#define bFM_EXTI_ELVR_LB10                        *((volatile  uint8_t *)(0x426001D4UL))
#define bFM3_EXTI_ELVR_LB10                       *((volatile  uint8_t *)(0x426001D4UL))
#define bFM_EXTI_ELVR_LA11                        *((volatile  uint8_t *)(0x426001D8UL))
#define bFM3_EXTI_ELVR_LA11                       *((volatile  uint8_t *)(0x426001D8UL))
#define bFM_EXTI_ELVR_LB11                        *((volatile  uint8_t *)(0x426001DCUL))
#define bFM3_EXTI_ELVR_LB11                       *((volatile  uint8_t *)(0x426001DCUL))
#define bFM_EXTI_ELVR_LA12                        *((volatile  uint8_t *)(0x426001E0UL))
#define bFM3_EXTI_ELVR_LA12                       *((volatile  uint8_t *)(0x426001E0UL))
#define bFM_EXTI_ELVR_LB12                        *((volatile  uint8_t *)(0x426001E4UL))
#define bFM3_EXTI_ELVR_LB12                       *((volatile  uint8_t *)(0x426001E4UL))
#define bFM_EXTI_ELVR_LA13                        *((volatile  uint8_t *)(0x426001E8UL))
#define bFM3_EXTI_ELVR_LA13                       *((volatile  uint8_t *)(0x426001E8UL))
#define bFM_EXTI_ELVR_LB13                        *((volatile  uint8_t *)(0x426001ECUL))
#define bFM3_EXTI_ELVR_LB13                       *((volatile  uint8_t *)(0x426001ECUL))
#define bFM_EXTI_ELVR_LA14                        *((volatile  uint8_t *)(0x426001F0UL))
#define bFM3_EXTI_ELVR_LA14                       *((volatile  uint8_t *)(0x426001F0UL))
#define bFM_EXTI_ELVR_LB14                        *((volatile  uint8_t *)(0x426001F4UL))
#define bFM3_EXTI_ELVR_LB14                       *((volatile  uint8_t *)(0x426001F4UL))
#define bFM_EXTI_ELVR_LA15                        *((volatile  uint8_t *)(0x426001F8UL))
#define bFM3_EXTI_ELVR_LA15                       *((volatile  uint8_t *)(0x426001F8UL))
#define bFM_EXTI_ELVR_LB15                        *((volatile  uint8_t *)(0x426001FCUL))
#define bFM3_EXTI_ELVR_LB15                       *((volatile  uint8_t *)(0x426001FCUL))

#define bFM_EXTI_ELVR1_LA16                       *((volatile  uint8_t *)(0x42600200UL))
#define bFM3_EXTI_ELVR1_LA16                      *((volatile  uint8_t *)(0x42600200UL))
#define bFM_EXTI_ELVR1_LB16                       *((volatile  uint8_t *)(0x42600204UL))
#define bFM3_EXTI_ELVR1_LB16                      *((volatile  uint8_t *)(0x42600204UL))
#define bFM_EXTI_ELVR1_LA17                       *((volatile  uint8_t *)(0x42600208UL))
#define bFM3_EXTI_ELVR1_LA17                      *((volatile  uint8_t *)(0x42600208UL))
#define bFM_EXTI_ELVR1_LB17                       *((volatile  uint8_t *)(0x4260020CUL))
#define bFM3_EXTI_ELVR1_LB17                      *((volatile  uint8_t *)(0x4260020CUL))
#define bFM_EXTI_ELVR1_LA18                       *((volatile  uint8_t *)(0x42600210UL))
#define bFM3_EXTI_ELVR1_LA18                      *((volatile  uint8_t *)(0x42600210UL))
#define bFM_EXTI_ELVR1_LB18                       *((volatile  uint8_t *)(0x42600214UL))
#define bFM3_EXTI_ELVR1_LB18                      *((volatile  uint8_t *)(0x42600214UL))
#define bFM_EXTI_ELVR1_LA19                       *((volatile  uint8_t *)(0x42600218UL))
#define bFM3_EXTI_ELVR1_LA19                      *((volatile  uint8_t *)(0x42600218UL))
#define bFM_EXTI_ELVR1_LB19                       *((volatile  uint8_t *)(0x4260021CUL))
#define bFM3_EXTI_ELVR1_LB19                      *((volatile  uint8_t *)(0x4260021CUL))
#define bFM_EXTI_ELVR1_LA20                       *((volatile  uint8_t *)(0x42600220UL))
#define bFM3_EXTI_ELVR1_LA20                      *((volatile  uint8_t *)(0x42600220UL))
#define bFM_EXTI_ELVR1_LB20                       *((volatile  uint8_t *)(0x42600224UL))
#define bFM3_EXTI_ELVR1_LB20                      *((volatile  uint8_t *)(0x42600224UL))
#define bFM_EXTI_ELVR1_LA21                       *((volatile  uint8_t *)(0x42600228UL))
#define bFM3_EXTI_ELVR1_LA21                      *((volatile  uint8_t *)(0x42600228UL))
#define bFM_EXTI_ELVR1_LB21                       *((volatile  uint8_t *)(0x4260022CUL))
#define bFM3_EXTI_ELVR1_LB21                      *((volatile  uint8_t *)(0x4260022CUL))
#define bFM_EXTI_ELVR1_LA22                       *((volatile  uint8_t *)(0x42600230UL))
#define bFM3_EXTI_ELVR1_LA22                      *((volatile  uint8_t *)(0x42600230UL))
#define bFM_EXTI_ELVR1_LB22                       *((volatile  uint8_t *)(0x42600234UL))
#define bFM3_EXTI_ELVR1_LB22                      *((volatile  uint8_t *)(0x42600234UL))
#define bFM_EXTI_ELVR1_LA23                       *((volatile  uint8_t *)(0x42600238UL))
#define bFM3_EXTI_ELVR1_LA23                      *((volatile  uint8_t *)(0x42600238UL))
#define bFM_EXTI_ELVR1_LB23                       *((volatile  uint8_t *)(0x4260023CUL))
#define bFM3_EXTI_ELVR1_LB23                      *((volatile  uint8_t *)(0x4260023CUL))
#define bFM_EXTI_ELVR1_LA24                       *((volatile  uint8_t *)(0x42600240UL))
#define bFM3_EXTI_ELVR1_LA24                      *((volatile  uint8_t *)(0x42600240UL))
#define bFM_EXTI_ELVR1_LB24                       *((volatile  uint8_t *)(0x42600244UL))
#define bFM3_EXTI_ELVR1_LB24                      *((volatile  uint8_t *)(0x42600244UL))
#define bFM_EXTI_ELVR1_LA25                       *((volatile  uint8_t *)(0x42600248UL))
#define bFM3_EXTI_ELVR1_LA25                      *((volatile  uint8_t *)(0x42600248UL))
#define bFM_EXTI_ELVR1_LB25                       *((volatile  uint8_t *)(0x4260024CUL))
#define bFM3_EXTI_ELVR1_LB25                      *((volatile  uint8_t *)(0x4260024CUL))
#define bFM_EXTI_ELVR1_LA26                       *((volatile  uint8_t *)(0x42600250UL))
#define bFM3_EXTI_ELVR1_LA26                      *((volatile  uint8_t *)(0x42600250UL))
#define bFM_EXTI_ELVR1_LB26                       *((volatile  uint8_t *)(0x42600254UL))
#define bFM3_EXTI_ELVR1_LB26                      *((volatile  uint8_t *)(0x42600254UL))
#define bFM_EXTI_ELVR1_LA27                       *((volatile  uint8_t *)(0x42600258UL))
#define bFM3_EXTI_ELVR1_LA27                      *((volatile  uint8_t *)(0x42600258UL))
#define bFM_EXTI_ELVR1_LB27                       *((volatile  uint8_t *)(0x4260025CUL))
#define bFM3_EXTI_ELVR1_LB27                      *((volatile  uint8_t *)(0x4260025CUL))
#define bFM_EXTI_ELVR1_LA28                       *((volatile  uint8_t *)(0x42600260UL))
#define bFM3_EXTI_ELVR1_LA28                      *((volatile  uint8_t *)(0x42600260UL))
#define bFM_EXTI_ELVR1_LB28                       *((volatile  uint8_t *)(0x42600264UL))
#define bFM3_EXTI_ELVR1_LB28                      *((volatile  uint8_t *)(0x42600264UL))
#define bFM_EXTI_ELVR1_LA29                       *((volatile  uint8_t *)(0x42600268UL))
#define bFM3_EXTI_ELVR1_LA29                      *((volatile  uint8_t *)(0x42600268UL))
#define bFM_EXTI_ELVR1_LB29                       *((volatile  uint8_t *)(0x4260026CUL))
#define bFM3_EXTI_ELVR1_LB29                      *((volatile  uint8_t *)(0x4260026CUL))
#define bFM_EXTI_ELVR1_LA30                       *((volatile  uint8_t *)(0x42600270UL))
#define bFM3_EXTI_ELVR1_LA30                      *((volatile  uint8_t *)(0x42600270UL))
#define bFM_EXTI_ELVR1_LB30                       *((volatile  uint8_t *)(0x42600274UL))
#define bFM3_EXTI_ELVR1_LB30                      *((volatile  uint8_t *)(0x42600274UL))
#define bFM_EXTI_ELVR1_LA31                       *((volatile  uint8_t *)(0x42600278UL))
#define bFM3_EXTI_ELVR1_LA31                      *((volatile  uint8_t *)(0x42600278UL))
#define bFM_EXTI_ELVR1_LB31                       *((volatile  uint8_t *)(0x4260027CUL))
#define bFM3_EXTI_ELVR1_LB31                      *((volatile  uint8_t *)(0x4260027CUL))

#define bFM_EXTI_ENIR_EN0                         *((volatile  uint8_t *)(0x42600000UL))
#define bFM3_EXTI_ENIR_EN0                        *((volatile  uint8_t *)(0x42600000UL))
#define bFM_EXTI_ENIR_EN1                         *((volatile  uint8_t *)(0x42600004UL))
#define bFM3_EXTI_ENIR_EN1                        *((volatile  uint8_t *)(0x42600004UL))
#define bFM_EXTI_ENIR_EN2                         *((volatile  uint8_t *)(0x42600008UL))
#define bFM3_EXTI_ENIR_EN2                        *((volatile  uint8_t *)(0x42600008UL))
#define bFM_EXTI_ENIR_EN3                         *((volatile  uint8_t *)(0x4260000CUL))
#define bFM3_EXTI_ENIR_EN3                        *((volatile  uint8_t *)(0x4260000CUL))
#define bFM_EXTI_ENIR_EN4                         *((volatile  uint8_t *)(0x42600010UL))
#define bFM3_EXTI_ENIR_EN4                        *((volatile  uint8_t *)(0x42600010UL))
#define bFM_EXTI_ENIR_EN5                         *((volatile  uint8_t *)(0x42600014UL))
#define bFM3_EXTI_ENIR_EN5                        *((volatile  uint8_t *)(0x42600014UL))
#define bFM_EXTI_ENIR_EN6                         *((volatile  uint8_t *)(0x42600018UL))
#define bFM3_EXTI_ENIR_EN6                        *((volatile  uint8_t *)(0x42600018UL))
#define bFM_EXTI_ENIR_EN7                         *((volatile  uint8_t *)(0x4260001CUL))
#define bFM3_EXTI_ENIR_EN7                        *((volatile  uint8_t *)(0x4260001CUL))
#define bFM_EXTI_ENIR_EN8                         *((volatile  uint8_t *)(0x42600020UL))
#define bFM3_EXTI_ENIR_EN8                        *((volatile  uint8_t *)(0x42600020UL))
#define bFM_EXTI_ENIR_EN9                         *((volatile  uint8_t *)(0x42600024UL))
#define bFM3_EXTI_ENIR_EN9                        *((volatile  uint8_t *)(0x42600024UL))
#define bFM_EXTI_ENIR_EN10                        *((volatile  uint8_t *)(0x42600028UL))
#define bFM3_EXTI_ENIR_EN10                       *((volatile  uint8_t *)(0x42600028UL))
#define bFM_EXTI_ENIR_EN11                        *((volatile  uint8_t *)(0x4260002CUL))
#define bFM3_EXTI_ENIR_EN11                       *((volatile  uint8_t *)(0x4260002CUL))
#define bFM_EXTI_ENIR_EN12                        *((volatile  uint8_t *)(0x42600030UL))
#define bFM3_EXTI_ENIR_EN12                       *((volatile  uint8_t *)(0x42600030UL))
#define bFM_EXTI_ENIR_EN13                        *((volatile  uint8_t *)(0x42600034UL))
#define bFM3_EXTI_ENIR_EN13                       *((volatile  uint8_t *)(0x42600034UL))
#define bFM_EXTI_ENIR_EN14                        *((volatile  uint8_t *)(0x42600038UL))
#define bFM3_EXTI_ENIR_EN14                       *((volatile  uint8_t *)(0x42600038UL))
#define bFM_EXTI_ENIR_EN15                        *((volatile  uint8_t *)(0x4260003CUL))
#define bFM3_EXTI_ENIR_EN15                       *((volatile  uint8_t *)(0x4260003CUL))
#define bFM_EXTI_ENIR_EN16                        *((volatile  uint8_t *)(0x42600040UL))
#define bFM3_EXTI_ENIR_EN16                       *((volatile  uint8_t *)(0x42600040UL))
#define bFM_EXTI_ENIR_EN17                        *((volatile  uint8_t *)(0x42600044UL))
#define bFM3_EXTI_ENIR_EN17                       *((volatile  uint8_t *)(0x42600044UL))
#define bFM_EXTI_ENIR_EN18                        *((volatile  uint8_t *)(0x42600048UL))
#define bFM3_EXTI_ENIR_EN18                       *((volatile  uint8_t *)(0x42600048UL))
#define bFM_EXTI_ENIR_EN19                        *((volatile  uint8_t *)(0x4260004CUL))
#define bFM3_EXTI_ENIR_EN19                       *((volatile  uint8_t *)(0x4260004CUL))
#define bFM_EXTI_ENIR_EN20                        *((volatile  uint8_t *)(0x42600050UL))
#define bFM3_EXTI_ENIR_EN20                       *((volatile  uint8_t *)(0x42600050UL))
#define bFM_EXTI_ENIR_EN21                        *((volatile  uint8_t *)(0x42600054UL))
#define bFM3_EXTI_ENIR_EN21                       *((volatile  uint8_t *)(0x42600054UL))
#define bFM_EXTI_ENIR_EN22                        *((volatile  uint8_t *)(0x42600058UL))
#define bFM3_EXTI_ENIR_EN22                       *((volatile  uint8_t *)(0x42600058UL))
#define bFM_EXTI_ENIR_EN23                        *((volatile  uint8_t *)(0x4260005CUL))
#define bFM3_EXTI_ENIR_EN23                       *((volatile  uint8_t *)(0x4260005CUL))
#define bFM_EXTI_ENIR_EN24                        *((volatile  uint8_t *)(0x42600060UL))
#define bFM3_EXTI_ENIR_EN24                       *((volatile  uint8_t *)(0x42600060UL))
#define bFM_EXTI_ENIR_EN25                        *((volatile  uint8_t *)(0x42600064UL))
#define bFM3_EXTI_ENIR_EN25                       *((volatile  uint8_t *)(0x42600064UL))
#define bFM_EXTI_ENIR_EN26                        *((volatile  uint8_t *)(0x42600068UL))
#define bFM3_EXTI_ENIR_EN26                       *((volatile  uint8_t *)(0x42600068UL))
#define bFM_EXTI_ENIR_EN27                        *((volatile  uint8_t *)(0x4260006CUL))
#define bFM3_EXTI_ENIR_EN27                       *((volatile  uint8_t *)(0x4260006CUL))
#define bFM_EXTI_ENIR_EN28                        *((volatile  uint8_t *)(0x42600070UL))
#define bFM3_EXTI_ENIR_EN28                       *((volatile  uint8_t *)(0x42600070UL))
#define bFM_EXTI_ENIR_EN29                        *((volatile  uint8_t *)(0x42600074UL))
#define bFM3_EXTI_ENIR_EN29                       *((volatile  uint8_t *)(0x42600074UL))
#define bFM_EXTI_ENIR_EN30                        *((volatile  uint8_t *)(0x42600078UL))
#define bFM3_EXTI_ENIR_EN30                       *((volatile  uint8_t *)(0x42600078UL))
#define bFM_EXTI_ENIR_EN31                        *((volatile  uint8_t *)(0x4260007CUL))
#define bFM3_EXTI_ENIR_EN31                       *((volatile  uint8_t *)(0x4260007CUL))

#define bFM_EXTI_NMICL_NCL                        *((volatile  uint8_t *)(0x42600300UL))
#define bFM3_EXTI_NMICL_NCL                       *((volatile  uint8_t *)(0x42600300UL))

#define bFM_EXTI_NMIRR_NR                         *((volatile  uint8_t *)(0x42600280UL))
#define bFM3_EXTI_NMIRR_NR                        *((volatile  uint8_t *)(0x42600280UL))


/******************************************************************************
 ** FLASH_IF Registers FLASH_IF
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_FLASH_IF_FICLR_RDYC                   *((volatile  uint8_t *)(0x42000500UL))
#define bFM3_FLASH_IF_FICLR_RDYC                  *((volatile  uint8_t *)(0x42000500UL))
#define bFM_FLASH_IF_FICLR_HANGC                  *((volatile  uint8_t *)(0x42000504UL))
#define bFM3_FLASH_IF_FICLR_HANGC                 *((volatile  uint8_t *)(0x42000504UL))

#define bFM_FLASH_IF_FICR_RDYIE                   *((volatile  uint8_t *)(0x42000400UL))
#define bFM3_FLASH_IF_FICR_RDYIE                  *((volatile  uint8_t *)(0x42000400UL))
#define bFM_FLASH_IF_FICR_HANGIE                  *((volatile  uint8_t *)(0x42000404UL))
#define bFM3_FLASH_IF_FICR_HANGIE                 *((volatile  uint8_t *)(0x42000404UL))

#define bFM_FLASH_IF_FISR_RDYIF                   *((volatile  uint8_t *)(0x42000480UL))
#define bFM3_FLASH_IF_FISR_RDYIF                  *((volatile  uint8_t *)(0x42000480UL))
#define bFM_FLASH_IF_FISR_HANGIF                  *((volatile  uint8_t *)(0x42000484UL))
#define bFM3_FLASH_IF_FISR_HANGIF                 *((volatile  uint8_t *)(0x42000484UL))

#define bFM_FLASH_IF_FSTR_RDY                     *((volatile  uint8_t *)(0x42000100UL))
#define bFM3_FLASH_IF_FSTR_RDY                    *((volatile  uint8_t *)(0x42000100UL))
#define bFM_FLASH_IF_FSTR_HNG                     *((volatile  uint8_t *)(0x42000104UL))
#define bFM3_FLASH_IF_FSTR_HNG                    *((volatile  uint8_t *)(0x42000104UL))
#define bFM_FLASH_IF_FSTR_CERS                    *((volatile  uint8_t *)(0x42000108UL))
#define bFM3_FLASH_IF_FSTR_CERS                   *((volatile  uint8_t *)(0x42000108UL))
#define bFM_FLASH_IF_FSTR_ESPS                    *((volatile  uint8_t *)(0x4200010CUL))
#define bFM3_FLASH_IF_FSTR_ESPS                   *((volatile  uint8_t *)(0x4200010CUL))
#define bFM_FLASH_IF_FSTR_SERS                    *((volatile  uint8_t *)(0x42000110UL))
#define bFM3_FLASH_IF_FSTR_SERS                   *((volatile  uint8_t *)(0x42000110UL))
#define bFM_FLASH_IF_FSTR_PGMS                    *((volatile  uint8_t *)(0x42000114UL))
#define bFM3_FLASH_IF_FSTR_PGMS                   *((volatile  uint8_t *)(0x42000114UL))


/******************************************************************************
 ** GPIO Registers GPIO
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_GPIO_ADE_AN00                         *((volatile  uint8_t *)(0x4266A000UL))
#define bFM3_GPIO_ADE_AN00                        *((volatile  uint8_t *)(0x4266A000UL))
#define bFM_GPIO_ADE_AN01                         *((volatile  uint8_t *)(0x4266A004UL))
#define bFM3_GPIO_ADE_AN01                        *((volatile  uint8_t *)(0x4266A004UL))
#define bFM_GPIO_ADE_AN02                         *((volatile  uint8_t *)(0x4266A008UL))
#define bFM3_GPIO_ADE_AN02                        *((volatile  uint8_t *)(0x4266A008UL))
#define bFM_GPIO_ADE_AN03                         *((volatile  uint8_t *)(0x4266A00CUL))
#define bFM3_GPIO_ADE_AN03                        *((volatile  uint8_t *)(0x4266A00CUL))
#define bFM_GPIO_ADE_AN04                         *((volatile  uint8_t *)(0x4266A010UL))
#define bFM3_GPIO_ADE_AN04                        *((volatile  uint8_t *)(0x4266A010UL))
#define bFM_GPIO_ADE_AN05                         *((volatile  uint8_t *)(0x4266A014UL))
#define bFM3_GPIO_ADE_AN05                        *((volatile  uint8_t *)(0x4266A014UL))
#define bFM_GPIO_ADE_AN06                         *((volatile  uint8_t *)(0x4266A018UL))
#define bFM3_GPIO_ADE_AN06                        *((volatile  uint8_t *)(0x4266A018UL))
#define bFM_GPIO_ADE_AN07                         *((volatile  uint8_t *)(0x4266A01CUL))
#define bFM3_GPIO_ADE_AN07                        *((volatile  uint8_t *)(0x4266A01CUL))
#define bFM_GPIO_ADE_AN08                         *((volatile  uint8_t *)(0x4266A020UL))
#define bFM3_GPIO_ADE_AN08                        *((volatile  uint8_t *)(0x4266A020UL))
#define bFM_GPIO_ADE_AN09                         *((volatile  uint8_t *)(0x4266A024UL))
#define bFM3_GPIO_ADE_AN09                        *((volatile  uint8_t *)(0x4266A024UL))
#define bFM_GPIO_ADE_AN10                         *((volatile  uint8_t *)(0x4266A028UL))
#define bFM3_GPIO_ADE_AN10                        *((volatile  uint8_t *)(0x4266A028UL))
#define bFM_GPIO_ADE_AN11                         *((volatile  uint8_t *)(0x4266A02CUL))
#define bFM3_GPIO_ADE_AN11                        *((volatile  uint8_t *)(0x4266A02CUL))
#define bFM_GPIO_ADE_AN16                         *((volatile  uint8_t *)(0x4266A040UL))
#define bFM3_GPIO_ADE_AN16                        *((volatile  uint8_t *)(0x4266A040UL))
#define bFM_GPIO_ADE_AN17                         *((volatile  uint8_t *)(0x4266A044UL))
#define bFM3_GPIO_ADE_AN17                        *((volatile  uint8_t *)(0x4266A044UL))
#define bFM_GPIO_ADE_AN18                         *((volatile  uint8_t *)(0x4266A048UL))
#define bFM3_GPIO_ADE_AN18                        *((volatile  uint8_t *)(0x4266A048UL))
#define bFM_GPIO_ADE_AN19                         *((volatile  uint8_t *)(0x4266A04CUL))
#define bFM3_GPIO_ADE_AN19                        *((volatile  uint8_t *)(0x4266A04CUL))
#define bFM_GPIO_ADE_AN22                         *((volatile  uint8_t *)(0x4266A058UL))
#define bFM3_GPIO_ADE_AN22                        *((volatile  uint8_t *)(0x4266A058UL))

#define bFM_GPIO_DDR0_P0                          *((volatile  uint8_t *)(0x42664000UL))
#define bFM3_GPIO_DDR0_P0                         *((volatile  uint8_t *)(0x42664000UL))
#define bFM_GPIO_DDR0_P1                          *((volatile  uint8_t *)(0x42664004UL))
#define bFM3_GPIO_DDR0_P1                         *((volatile  uint8_t *)(0x42664004UL))
#define bFM_GPIO_DDR0_P2                          *((volatile  uint8_t *)(0x42664008UL))
#define bFM3_GPIO_DDR0_P2                         *((volatile  uint8_t *)(0x42664008UL))
#define bFM_GPIO_DDR0_P3                          *((volatile  uint8_t *)(0x4266400CUL))
#define bFM3_GPIO_DDR0_P3                         *((volatile  uint8_t *)(0x4266400CUL))
#define bFM_GPIO_DDR0_P4                          *((volatile  uint8_t *)(0x42664010UL))
#define bFM3_GPIO_DDR0_P4                         *((volatile  uint8_t *)(0x42664010UL))
#define bFM_GPIO_DDR0_P7                          *((volatile  uint8_t *)(0x4266401CUL))
#define bFM3_GPIO_DDR0_P7                         *((volatile  uint8_t *)(0x4266401CUL))
#define bFM_GPIO_DDR0_PA                          *((volatile  uint8_t *)(0x42664028UL))
#define bFM3_GPIO_DDR0_PA                         *((volatile  uint8_t *)(0x42664028UL))
#define bFM_GPIO_DDR0_PB                          *((volatile  uint8_t *)(0x4266402CUL))
#define bFM3_GPIO_DDR0_PB                         *((volatile  uint8_t *)(0x4266402CUL))
#define bFM_GPIO_DDR0_PC                          *((volatile  uint8_t *)(0x42664030UL))
#define bFM3_GPIO_DDR0_PC                         *((volatile  uint8_t *)(0x42664030UL))
#define bFM_GPIO_DDR0_PD                          *((volatile  uint8_t *)(0x42664034UL))
#define bFM3_GPIO_DDR0_PD                         *((volatile  uint8_t *)(0x42664034UL))
#define bFM_GPIO_DDR0_PE                          *((volatile  uint8_t *)(0x42664038UL))
#define bFM3_GPIO_DDR0_PE                         *((volatile  uint8_t *)(0x42664038UL))
#define bFM_GPIO_DDR0_PF                          *((volatile  uint8_t *)(0x4266403CUL))
#define bFM3_GPIO_DDR0_PF                         *((volatile  uint8_t *)(0x4266403CUL))

#define bFM_GPIO_DDR1_P0                          *((volatile  uint8_t *)(0x42664080UL))
#define bFM3_GPIO_DDR1_P0                         *((volatile  uint8_t *)(0x42664080UL))
#define bFM_GPIO_DDR1_P1                          *((volatile  uint8_t *)(0x42664084UL))
#define bFM3_GPIO_DDR1_P1                         *((volatile  uint8_t *)(0x42664084UL))
#define bFM_GPIO_DDR1_P2                          *((volatile  uint8_t *)(0x42664088UL))
#define bFM3_GPIO_DDR1_P2                         *((volatile  uint8_t *)(0x42664088UL))
#define bFM_GPIO_DDR1_P3                          *((volatile  uint8_t *)(0x4266408CUL))
#define bFM3_GPIO_DDR1_P3                         *((volatile  uint8_t *)(0x4266408CUL))
#define bFM_GPIO_DDR1_P4                          *((volatile  uint8_t *)(0x42664090UL))
#define bFM3_GPIO_DDR1_P4                         *((volatile  uint8_t *)(0x42664090UL))
#define bFM_GPIO_DDR1_P5                          *((volatile  uint8_t *)(0x42664094UL))
#define bFM3_GPIO_DDR1_P5                         *((volatile  uint8_t *)(0x42664094UL))
#define bFM_GPIO_DDR1_P6                          *((volatile  uint8_t *)(0x42664098UL))
#define bFM3_GPIO_DDR1_P6                         *((volatile  uint8_t *)(0x42664098UL))
#define bFM_GPIO_DDR1_P7                          *((volatile  uint8_t *)(0x4266409CUL))
#define bFM3_GPIO_DDR1_P7                         *((volatile  uint8_t *)(0x4266409CUL))
#define bFM_GPIO_DDR1_P8                          *((volatile  uint8_t *)(0x426640A0UL))
#define bFM3_GPIO_DDR1_P8                         *((volatile  uint8_t *)(0x426640A0UL))
#define bFM_GPIO_DDR1_P9                          *((volatile  uint8_t *)(0x426640A4UL))
#define bFM3_GPIO_DDR1_P9                         *((volatile  uint8_t *)(0x426640A4UL))
#define bFM_GPIO_DDR1_PA                          *((volatile  uint8_t *)(0x426640A8UL))
#define bFM3_GPIO_DDR1_PA                         *((volatile  uint8_t *)(0x426640A8UL))
#define bFM_GPIO_DDR1_PB                          *((volatile  uint8_t *)(0x426640ACUL))
#define bFM3_GPIO_DDR1_PB                         *((volatile  uint8_t *)(0x426640ACUL))

#define bFM_GPIO_DDR2_P0                          *((volatile  uint8_t *)(0x42664100UL))
#define bFM3_GPIO_DDR2_P0                         *((volatile  uint8_t *)(0x42664100UL))
#define bFM_GPIO_DDR2_P1                          *((volatile  uint8_t *)(0x42664104UL))
#define bFM3_GPIO_DDR2_P1                         *((volatile  uint8_t *)(0x42664104UL))
#define bFM_GPIO_DDR2_P2                          *((volatile  uint8_t *)(0x42664108UL))
#define bFM3_GPIO_DDR2_P2                         *((volatile  uint8_t *)(0x42664108UL))
#define bFM_GPIO_DDR2_P3                          *((volatile  uint8_t *)(0x4266410CUL))
#define bFM3_GPIO_DDR2_P3                         *((volatile  uint8_t *)(0x4266410CUL))

#define bFM_GPIO_DDR3_P0                          *((volatile  uint8_t *)(0x42664180UL))
#define bFM3_GPIO_DDR3_P0                         *((volatile  uint8_t *)(0x42664180UL))
#define bFM_GPIO_DDR3_P1                          *((volatile  uint8_t *)(0x42664184UL))
#define bFM3_GPIO_DDR3_P1                         *((volatile  uint8_t *)(0x42664184UL))
#define bFM_GPIO_DDR3_P2                          *((volatile  uint8_t *)(0x42664188UL))
#define bFM3_GPIO_DDR3_P2                         *((volatile  uint8_t *)(0x42664188UL))
#define bFM_GPIO_DDR3_P3                          *((volatile  uint8_t *)(0x4266418CUL))
#define bFM3_GPIO_DDR3_P3                         *((volatile  uint8_t *)(0x4266418CUL))
#define bFM_GPIO_DDR3_P9                          *((volatile  uint8_t *)(0x426641A4UL))
#define bFM3_GPIO_DDR3_P9                         *((volatile  uint8_t *)(0x426641A4UL))
#define bFM_GPIO_DDR3_PA                          *((volatile  uint8_t *)(0x426641A8UL))
#define bFM3_GPIO_DDR3_PA                         *((volatile  uint8_t *)(0x426641A8UL))
#define bFM_GPIO_DDR3_PB                          *((volatile  uint8_t *)(0x426641ACUL))
#define bFM3_GPIO_DDR3_PB                         *((volatile  uint8_t *)(0x426641ACUL))
#define bFM_GPIO_DDR3_PC                          *((volatile  uint8_t *)(0x426641B0UL))
#define bFM3_GPIO_DDR3_PC                         *((volatile  uint8_t *)(0x426641B0UL))
#define bFM_GPIO_DDR3_PD                          *((volatile  uint8_t *)(0x426641B4UL))
#define bFM3_GPIO_DDR3_PD                         *((volatile  uint8_t *)(0x426641B4UL))
#define bFM_GPIO_DDR3_PE                          *((volatile  uint8_t *)(0x426641B8UL))
#define bFM3_GPIO_DDR3_PE                         *((volatile  uint8_t *)(0x426641B8UL))
#define bFM_GPIO_DDR3_PF                          *((volatile  uint8_t *)(0x426641BCUL))
#define bFM3_GPIO_DDR3_PF                         *((volatile  uint8_t *)(0x426641BCUL))

#define bFM_GPIO_DDR4_P4                          *((volatile  uint8_t *)(0x42664210UL))
#define bFM3_GPIO_DDR4_P4                         *((volatile  uint8_t *)(0x42664210UL))
#define bFM_GPIO_DDR4_P5                          *((volatile  uint8_t *)(0x42664214UL))
#define bFM3_GPIO_DDR4_P5                         *((volatile  uint8_t *)(0x42664214UL))
#define bFM_GPIO_DDR4_P6                          *((volatile  uint8_t *)(0x42664218UL))
#define bFM3_GPIO_DDR4_P6                         *((volatile  uint8_t *)(0x42664218UL))
#define bFM_GPIO_DDR4_P7                          *((volatile  uint8_t *)(0x4266421CUL))
#define bFM3_GPIO_DDR4_P7                         *((volatile  uint8_t *)(0x4266421CUL))
#define bFM_GPIO_DDR4_P8                          *((volatile  uint8_t *)(0x42664220UL))
#define bFM3_GPIO_DDR4_P8                         *((volatile  uint8_t *)(0x42664220UL))
#define bFM_GPIO_DDR4_P9                          *((volatile  uint8_t *)(0x42664224UL))
#define bFM3_GPIO_DDR4_P9                         *((volatile  uint8_t *)(0x42664224UL))
#define bFM_GPIO_DDR4_PA                          *((volatile  uint8_t *)(0x42664228UL))
#define bFM3_GPIO_DDR4_PA                         *((volatile  uint8_t *)(0x42664228UL))
#define bFM_GPIO_DDR4_PB                          *((volatile  uint8_t *)(0x4266422CUL))
#define bFM3_GPIO_DDR4_PB                         *((volatile  uint8_t *)(0x4266422CUL))
#define bFM_GPIO_DDR4_PC                          *((volatile  uint8_t *)(0x42664230UL))
#define bFM3_GPIO_DDR4_PC                         *((volatile  uint8_t *)(0x42664230UL))
#define bFM_GPIO_DDR4_PD                          *((volatile  uint8_t *)(0x42664234UL))
#define bFM3_GPIO_DDR4_PD                         *((volatile  uint8_t *)(0x42664234UL))
#define bFM_GPIO_DDR4_PE                          *((volatile  uint8_t *)(0x42664238UL))
#define bFM3_GPIO_DDR4_PE                         *((volatile  uint8_t *)(0x42664238UL))

#define bFM_GPIO_DDR5_P0                          *((volatile  uint8_t *)(0x42664280UL))
#define bFM3_GPIO_DDR5_P0                         *((volatile  uint8_t *)(0x42664280UL))
#define bFM_GPIO_DDR5_P1                          *((volatile  uint8_t *)(0x42664284UL))
#define bFM3_GPIO_DDR5_P1                         *((volatile  uint8_t *)(0x42664284UL))
#define bFM_GPIO_DDR5_P2                          *((volatile  uint8_t *)(0x42664288UL))
#define bFM3_GPIO_DDR5_P2                         *((volatile  uint8_t *)(0x42664288UL))
#define bFM_GPIO_DDR5_P3                          *((volatile  uint8_t *)(0x4266428CUL))
#define bFM3_GPIO_DDR5_P3                         *((volatile  uint8_t *)(0x4266428CUL))
#define bFM_GPIO_DDR5_P4                          *((volatile  uint8_t *)(0x42664290UL))
#define bFM3_GPIO_DDR5_P4                         *((volatile  uint8_t *)(0x42664290UL))
#define bFM_GPIO_DDR5_P5                          *((volatile  uint8_t *)(0x42664294UL))
#define bFM3_GPIO_DDR5_P5                         *((volatile  uint8_t *)(0x42664294UL))
#define bFM_GPIO_DDR5_P6                          *((volatile  uint8_t *)(0x42664298UL))
#define bFM3_GPIO_DDR5_P6                         *((volatile  uint8_t *)(0x42664298UL))

#define bFM_GPIO_DDR6_P0                          *((volatile  uint8_t *)(0x42664300UL))
#define bFM3_GPIO_DDR6_P0                         *((volatile  uint8_t *)(0x42664300UL))
#define bFM_GPIO_DDR6_P1                          *((volatile  uint8_t *)(0x42664304UL))
#define bFM3_GPIO_DDR6_P1                         *((volatile  uint8_t *)(0x42664304UL))
#define bFM_GPIO_DDR6_P2                          *((volatile  uint8_t *)(0x42664308UL))
#define bFM3_GPIO_DDR6_P2                         *((volatile  uint8_t *)(0x42664308UL))
#define bFM_GPIO_DDR6_P3                          *((volatile  uint8_t *)(0x4266430CUL))
#define bFM3_GPIO_DDR6_P3                         *((volatile  uint8_t *)(0x4266430CUL))

#define bFM_GPIO_DDR8_P0                          *((volatile  uint8_t *)(0x42664400UL))
#define bFM3_GPIO_DDR8_P0                         *((volatile  uint8_t *)(0x42664400UL))
#define bFM_GPIO_DDR8_P1                          *((volatile  uint8_t *)(0x42664404UL))
#define bFM3_GPIO_DDR8_P1                         *((volatile  uint8_t *)(0x42664404UL))

#define bFM_GPIO_DDRE_P0                          *((volatile  uint8_t *)(0x42664700UL))
#define bFM3_GPIO_DDRE_P0                         *((volatile  uint8_t *)(0x42664700UL))
#define bFM_GPIO_DDRE_P2                          *((volatile  uint8_t *)(0x42664708UL))
#define bFM3_GPIO_DDRE_P2                         *((volatile  uint8_t *)(0x42664708UL))
#define bFM_GPIO_DDRE_P3                          *((volatile  uint8_t *)(0x4266470CUL))
#define bFM3_GPIO_DDRE_P3                         *((volatile  uint8_t *)(0x4266470CUL))

#define bFM_GPIO_EPFR00_NMIS                      *((volatile  uint8_t *)(0x4266C000UL))
#define bFM3_GPIO_EPFR00_NMIS                     *((volatile  uint8_t *)(0x4266C000UL))
#define bFM_GPIO_EPFR00_USBP0E                    *((volatile  uint8_t *)(0x4266C024UL))
#define bFM3_GPIO_EPFR00_USBP0E                   *((volatile  uint8_t *)(0x4266C024UL))
#define bFM_GPIO_EPFR00_USBP1E                    *((volatile  uint8_t *)(0x4266C034UL))
#define bFM3_GPIO_EPFR00_USBP1E                   *((volatile  uint8_t *)(0x4266C034UL))
#define bFM_GPIO_EPFR00_JTAGEN0B                  *((volatile  uint8_t *)(0x4266C040UL))
#define bFM3_GPIO_EPFR00_JTAGEN0B                 *((volatile  uint8_t *)(0x4266C040UL))
#define bFM_GPIO_EPFR00_JTAGEN1S                  *((volatile  uint8_t *)(0x4266C044UL))
#define bFM3_GPIO_EPFR00_JTAGEN1S                 *((volatile  uint8_t *)(0x4266C044UL))
#define bFM_GPIO_EPFR00_TRC0E                     *((volatile  uint8_t *)(0x4266C060UL))
#define bFM3_GPIO_EPFR00_TRC0E                    *((volatile  uint8_t *)(0x4266C060UL))
#define bFM_GPIO_EPFR00_TRC1E                     *((volatile  uint8_t *)(0x4266C064UL))
#define bFM3_GPIO_EPFR00_TRC1E                    *((volatile  uint8_t *)(0x4266C064UL))

#define bFM_GPIO_EPFR10_UEDEFB                    *((volatile  uint8_t *)(0x4266C500UL))
#define bFM3_GPIO_EPFR10_UEDEFB                   *((volatile  uint8_t *)(0x4266C500UL))
#define bFM_GPIO_EPFR10_UEDTHB                    *((volatile  uint8_t *)(0x4266C504UL))
#define bFM3_GPIO_EPFR10_UEDTHB                   *((volatile  uint8_t *)(0x4266C504UL))
#define bFM_GPIO_EPFR10_UECLKE                    *((volatile  uint8_t *)(0x4266C508UL))
#define bFM3_GPIO_EPFR10_UECLKE                   *((volatile  uint8_t *)(0x4266C508UL))
#define bFM_GPIO_EPFR10_UEWEXE                    *((volatile  uint8_t *)(0x4266C50CUL))
#define bFM3_GPIO_EPFR10_UEWEXE                   *((volatile  uint8_t *)(0x4266C50CUL))
#define bFM_GPIO_EPFR10_UEDQME                    *((volatile  uint8_t *)(0x4266C510UL))
#define bFM3_GPIO_EPFR10_UEDQME                   *((volatile  uint8_t *)(0x4266C510UL))
#define bFM_GPIO_EPFR10_UEOEXE                    *((volatile  uint8_t *)(0x4266C514UL))
#define bFM3_GPIO_EPFR10_UEOEXE                   *((volatile  uint8_t *)(0x4266C514UL))
#define bFM_GPIO_EPFR10_UEFLSE                    *((volatile  uint8_t *)(0x4266C518UL))
#define bFM3_GPIO_EPFR10_UEFLSE                   *((volatile  uint8_t *)(0x4266C518UL))
#define bFM_GPIO_EPFR10_UECS1E                    *((volatile  uint8_t *)(0x4266C51CUL))
#define bFM3_GPIO_EPFR10_UECS1E                   *((volatile  uint8_t *)(0x4266C51CUL))
#define bFM_GPIO_EPFR10_UECS2E                    *((volatile  uint8_t *)(0x4266C520UL))
#define bFM3_GPIO_EPFR10_UECS2E                   *((volatile  uint8_t *)(0x4266C520UL))
#define bFM_GPIO_EPFR10_UECS3E                    *((volatile  uint8_t *)(0x4266C524UL))
#define bFM3_GPIO_EPFR10_UECS3E                   *((volatile  uint8_t *)(0x4266C524UL))
#define bFM_GPIO_EPFR10_UECS4E                    *((volatile  uint8_t *)(0x4266C528UL))
#define bFM3_GPIO_EPFR10_UECS4E                   *((volatile  uint8_t *)(0x4266C528UL))
#define bFM_GPIO_EPFR10_UECS5E                    *((volatile  uint8_t *)(0x4266C52CUL))
#define bFM3_GPIO_EPFR10_UECS5E                   *((volatile  uint8_t *)(0x4266C52CUL))
#define bFM_GPIO_EPFR10_UECS6E                    *((volatile  uint8_t *)(0x4266C530UL))
#define bFM3_GPIO_EPFR10_UECS6E                   *((volatile  uint8_t *)(0x4266C530UL))
#define bFM_GPIO_EPFR10_UECS7E                    *((volatile  uint8_t *)(0x4266C534UL))
#define bFM3_GPIO_EPFR10_UECS7E                   *((volatile  uint8_t *)(0x4266C534UL))
#define bFM_GPIO_EPFR10_UEAOOE                    *((volatile  uint8_t *)(0x4266C538UL))
#define bFM3_GPIO_EPFR10_UEAOOE                   *((volatile  uint8_t *)(0x4266C538UL))
#define bFM_GPIO_EPFR10_UEA08E                    *((volatile  uint8_t *)(0x4266C53CUL))
#define bFM3_GPIO_EPFR10_UEA08E                   *((volatile  uint8_t *)(0x4266C53CUL))
#define bFM_GPIO_EPFR10_UEA09E                    *((volatile  uint8_t *)(0x4266C540UL))
#define bFM3_GPIO_EPFR10_UEA09E                   *((volatile  uint8_t *)(0x4266C540UL))
#define bFM_GPIO_EPFR10_UEA10E                    *((volatile  uint8_t *)(0x4266C544UL))
#define bFM3_GPIO_EPFR10_UEA10E                   *((volatile  uint8_t *)(0x4266C544UL))
#define bFM_GPIO_EPFR10_UEA11E                    *((volatile  uint8_t *)(0x4266C548UL))
#define bFM3_GPIO_EPFR10_UEA11E                   *((volatile  uint8_t *)(0x4266C548UL))
#define bFM_GPIO_EPFR10_UEA12E                    *((volatile  uint8_t *)(0x4266C54CUL))
#define bFM3_GPIO_EPFR10_UEA12E                   *((volatile  uint8_t *)(0x4266C54CUL))
#define bFM_GPIO_EPFR10_UEA13E                    *((volatile  uint8_t *)(0x4266C550UL))
#define bFM3_GPIO_EPFR10_UEA13E                   *((volatile  uint8_t *)(0x4266C550UL))
#define bFM_GPIO_EPFR10_UEA14E                    *((volatile  uint8_t *)(0x4266C554UL))
#define bFM3_GPIO_EPFR10_UEA14E                   *((volatile  uint8_t *)(0x4266C554UL))
#define bFM_GPIO_EPFR10_UEA15E                    *((volatile  uint8_t *)(0x4266C558UL))
#define bFM3_GPIO_EPFR10_UEA15E                   *((volatile  uint8_t *)(0x4266C558UL))
#define bFM_GPIO_EPFR10_UEA16E                    *((volatile  uint8_t *)(0x4266C55CUL))
#define bFM3_GPIO_EPFR10_UEA16E                   *((volatile  uint8_t *)(0x4266C55CUL))
#define bFM_GPIO_EPFR10_UEA17E                    *((volatile  uint8_t *)(0x4266C560UL))
#define bFM3_GPIO_EPFR10_UEA17E                   *((volatile  uint8_t *)(0x4266C560UL))
#define bFM_GPIO_EPFR10_UEA18E                    *((volatile  uint8_t *)(0x4266C564UL))
#define bFM3_GPIO_EPFR10_UEA18E                   *((volatile  uint8_t *)(0x4266C564UL))
#define bFM_GPIO_EPFR10_UEA19E                    *((volatile  uint8_t *)(0x4266C568UL))
#define bFM3_GPIO_EPFR10_UEA19E                   *((volatile  uint8_t *)(0x4266C568UL))
#define bFM_GPIO_EPFR10_UEA20E                    *((volatile  uint8_t *)(0x4266C56CUL))
#define bFM3_GPIO_EPFR10_UEA20E                   *((volatile  uint8_t *)(0x4266C56CUL))
#define bFM_GPIO_EPFR10_UEA21E                    *((volatile  uint8_t *)(0x4266C570UL))
#define bFM3_GPIO_EPFR10_UEA21E                   *((volatile  uint8_t *)(0x4266C570UL))
#define bFM_GPIO_EPFR10_UEA22E                    *((volatile  uint8_t *)(0x4266C574UL))
#define bFM3_GPIO_EPFR10_UEA22E                   *((volatile  uint8_t *)(0x4266C574UL))
#define bFM_GPIO_EPFR10_UEA23E                    *((volatile  uint8_t *)(0x4266C578UL))
#define bFM3_GPIO_EPFR10_UEA23E                   *((volatile  uint8_t *)(0x4266C578UL))
#define bFM_GPIO_EPFR10_UEA24E                    *((volatile  uint8_t *)(0x4266C57CUL))
#define bFM3_GPIO_EPFR10_UEA24E                   *((volatile  uint8_t *)(0x4266C57CUL))

#define bFM_GPIO_EPFR11_UEALEE                    *((volatile  uint8_t *)(0x4266C580UL))
#define bFM3_GPIO_EPFR11_UEALEE                   *((volatile  uint8_t *)(0x4266C580UL))
#define bFM_GPIO_EPFR11_UECS0E                    *((volatile  uint8_t *)(0x4266C584UL))
#define bFM3_GPIO_EPFR11_UECS0E                   *((volatile  uint8_t *)(0x4266C584UL))
#define bFM_GPIO_EPFR11_UEA01E                    *((volatile  uint8_t *)(0x4266C588UL))
#define bFM3_GPIO_EPFR11_UEA01E                   *((volatile  uint8_t *)(0x4266C588UL))
#define bFM_GPIO_EPFR11_UEA02E                    *((volatile  uint8_t *)(0x4266C58CUL))
#define bFM3_GPIO_EPFR11_UEA02E                   *((volatile  uint8_t *)(0x4266C58CUL))
#define bFM_GPIO_EPFR11_UEA03E                    *((volatile  uint8_t *)(0x4266C590UL))
#define bFM3_GPIO_EPFR11_UEA03E                   *((volatile  uint8_t *)(0x4266C590UL))
#define bFM_GPIO_EPFR11_UEA04E                    *((volatile  uint8_t *)(0x4266C594UL))
#define bFM3_GPIO_EPFR11_UEA04E                   *((volatile  uint8_t *)(0x4266C594UL))
#define bFM_GPIO_EPFR11_UEA05E                    *((volatile  uint8_t *)(0x4266C598UL))
#define bFM3_GPIO_EPFR11_UEA05E                   *((volatile  uint8_t *)(0x4266C598UL))
#define bFM_GPIO_EPFR11_UEA06E                    *((volatile  uint8_t *)(0x4266C59CUL))
#define bFM3_GPIO_EPFR11_UEA06E                   *((volatile  uint8_t *)(0x4266C59CUL))
#define bFM_GPIO_EPFR11_UEA07E                    *((volatile  uint8_t *)(0x4266C5A0UL))
#define bFM3_GPIO_EPFR11_UEA07E                   *((volatile  uint8_t *)(0x4266C5A0UL))
#define bFM_GPIO_EPFR11_UED00B                    *((volatile  uint8_t *)(0x4266C5A4UL))
#define bFM3_GPIO_EPFR11_UED00B                   *((volatile  uint8_t *)(0x4266C5A4UL))
#define bFM_GPIO_EPFR11_UED01B                    *((volatile  uint8_t *)(0x4266C5A8UL))
#define bFM3_GPIO_EPFR11_UED01B                   *((volatile  uint8_t *)(0x4266C5A8UL))
#define bFM_GPIO_EPFR11_UED02B                    *((volatile  uint8_t *)(0x4266C5ACUL))
#define bFM3_GPIO_EPFR11_UED02B                   *((volatile  uint8_t *)(0x4266C5ACUL))
#define bFM_GPIO_EPFR11_UED03B                    *((volatile  uint8_t *)(0x4266C5B0UL))
#define bFM3_GPIO_EPFR11_UED03B                   *((volatile  uint8_t *)(0x4266C5B0UL))
#define bFM_GPIO_EPFR11_UED04B                    *((volatile  uint8_t *)(0x4266C5B4UL))
#define bFM3_GPIO_EPFR11_UED04B                   *((volatile  uint8_t *)(0x4266C5B4UL))
#define bFM_GPIO_EPFR11_UED05B                    *((volatile  uint8_t *)(0x4266C5B8UL))
#define bFM3_GPIO_EPFR11_UED05B                   *((volatile  uint8_t *)(0x4266C5B8UL))
#define bFM_GPIO_EPFR11_UED06B                    *((volatile  uint8_t *)(0x4266C5BCUL))
#define bFM3_GPIO_EPFR11_UED06B                   *((volatile  uint8_t *)(0x4266C5BCUL))
#define bFM_GPIO_EPFR11_UED07B                    *((volatile  uint8_t *)(0x4266C5C0UL))
#define bFM3_GPIO_EPFR11_UED07B                   *((volatile  uint8_t *)(0x4266C5C0UL))
#define bFM_GPIO_EPFR11_UED08B                    *((volatile  uint8_t *)(0x4266C5C4UL))
#define bFM3_GPIO_EPFR11_UED08B                   *((volatile  uint8_t *)(0x4266C5C4UL))
#define bFM_GPIO_EPFR11_UED09B                    *((volatile  uint8_t *)(0x4266C5C8UL))
#define bFM3_GPIO_EPFR11_UED09B                   *((volatile  uint8_t *)(0x4266C5C8UL))
#define bFM_GPIO_EPFR11_UED10B                    *((volatile  uint8_t *)(0x4266C5CCUL))
#define bFM3_GPIO_EPFR11_UED10B                   *((volatile  uint8_t *)(0x4266C5CCUL))
#define bFM_GPIO_EPFR11_UED11B                    *((volatile  uint8_t *)(0x4266C5D0UL))
#define bFM3_GPIO_EPFR11_UED11B                   *((volatile  uint8_t *)(0x4266C5D0UL))
#define bFM_GPIO_EPFR11_UED12B                    *((volatile  uint8_t *)(0x4266C5D4UL))
#define bFM3_GPIO_EPFR11_UED12B                   *((volatile  uint8_t *)(0x4266C5D4UL))
#define bFM_GPIO_EPFR11_UED13B                    *((volatile  uint8_t *)(0x4266C5D8UL))
#define bFM3_GPIO_EPFR11_UED13B                   *((volatile  uint8_t *)(0x4266C5D8UL))
#define bFM_GPIO_EPFR11_UED14B                    *((volatile  uint8_t *)(0x4266C5DCUL))
#define bFM3_GPIO_EPFR11_UED14B                   *((volatile  uint8_t *)(0x4266C5DCUL))
#define bFM_GPIO_EPFR11_UED15B                    *((volatile  uint8_t *)(0x4266C5E0UL))
#define bFM3_GPIO_EPFR11_UED15B                   *((volatile  uint8_t *)(0x4266C5E0UL))
#define bFM_GPIO_EPFR11_UERLC                     *((volatile  uint8_t *)(0x4266C5E4UL))
#define bFM3_GPIO_EPFR11_UERLC                    *((volatile  uint8_t *)(0x4266C5E4UL))

#define bFM_GPIO_EPFR14_E_TD0E                    *((volatile  uint8_t *)(0x4266C748UL))
#define bFM3_GPIO_EPFR14_E_TD0E                   *((volatile  uint8_t *)(0x4266C748UL))
#define bFM_GPIO_EPFR14_E_TD1E                    *((volatile  uint8_t *)(0x4266C74CUL))
#define bFM3_GPIO_EPFR14_E_TD1E                   *((volatile  uint8_t *)(0x4266C74CUL))
#define bFM_GPIO_EPFR14_E_TE0E                    *((volatile  uint8_t *)(0x4266C750UL))
#define bFM3_GPIO_EPFR14_E_TE0E                   *((volatile  uint8_t *)(0x4266C750UL))
#define bFM_GPIO_EPFR14_E_TE1E                    *((volatile  uint8_t *)(0x4266C754UL))
#define bFM3_GPIO_EPFR14_E_TE1E                   *((volatile  uint8_t *)(0x4266C754UL))
#define bFM_GPIO_EPFR14_E_MC0E                    *((volatile  uint8_t *)(0x4266C758UL))
#define bFM3_GPIO_EPFR14_E_MC0E                   *((volatile  uint8_t *)(0x4266C758UL))
#define bFM_GPIO_EPFR14_E_MC1B                    *((volatile  uint8_t *)(0x4266C75CUL))
#define bFM3_GPIO_EPFR14_E_MC1B                   *((volatile  uint8_t *)(0x4266C75CUL))
#define bFM_GPIO_EPFR14_E_MD0B                    *((volatile  uint8_t *)(0x4266C760UL))
#define bFM3_GPIO_EPFR14_E_MD0B                   *((volatile  uint8_t *)(0x4266C760UL))
#define bFM_GPIO_EPFR14_E_MD1B                    *((volatile  uint8_t *)(0x4266C764UL))
#define bFM3_GPIO_EPFR14_E_MD1B                   *((volatile  uint8_t *)(0x4266C764UL))
#define bFM_GPIO_EPFR14_E_CKE                     *((volatile  uint8_t *)(0x4266C768UL))
#define bFM3_GPIO_EPFR14_E_CKE                    *((volatile  uint8_t *)(0x4266C768UL))
#define bFM_GPIO_EPFR14_E_PSE                     *((volatile  uint8_t *)(0x4266C76CUL))
#define bFM3_GPIO_EPFR14_E_PSE                    *((volatile  uint8_t *)(0x4266C76CUL))
#define bFM_GPIO_EPFR14_CEC0B                     *((volatile  uint8_t *)(0x4266C778UL))
#define bFM3_GPIO_EPFR14_CEC0B                    *((volatile  uint8_t *)(0x4266C778UL))
#define bFM_GPIO_EPFR14_CEC1B                     *((volatile  uint8_t *)(0x4266C77CUL))
#define bFM3_GPIO_EPFR14_CEC1B                    *((volatile  uint8_t *)(0x4266C77CUL))

#define bFM_GPIO_PCR0_P0                          *((volatile  uint8_t *)(0x42662000UL))
#define bFM3_GPIO_PCR0_P0                         *((volatile  uint8_t *)(0x42662000UL))
#define bFM_GPIO_PCR0_P1                          *((volatile  uint8_t *)(0x42662004UL))
#define bFM3_GPIO_PCR0_P1                         *((volatile  uint8_t *)(0x42662004UL))
#define bFM_GPIO_PCR0_P2                          *((volatile  uint8_t *)(0x42662008UL))
#define bFM3_GPIO_PCR0_P2                         *((volatile  uint8_t *)(0x42662008UL))
#define bFM_GPIO_PCR0_P3                          *((volatile  uint8_t *)(0x4266200CUL))
#define bFM3_GPIO_PCR0_P3                         *((volatile  uint8_t *)(0x4266200CUL))
#define bFM_GPIO_PCR0_P4                          *((volatile  uint8_t *)(0x42662010UL))
#define bFM3_GPIO_PCR0_P4                         *((volatile  uint8_t *)(0x42662010UL))
#define bFM_GPIO_PCR0_P7                          *((volatile  uint8_t *)(0x4266201CUL))
#define bFM3_GPIO_PCR0_P7                         *((volatile  uint8_t *)(0x4266201CUL))
#define bFM_GPIO_PCR0_PA                          *((volatile  uint8_t *)(0x42662028UL))
#define bFM3_GPIO_PCR0_PA                         *((volatile  uint8_t *)(0x42662028UL))
#define bFM_GPIO_PCR0_PB                          *((volatile  uint8_t *)(0x4266202CUL))
#define bFM3_GPIO_PCR0_PB                         *((volatile  uint8_t *)(0x4266202CUL))
#define bFM_GPIO_PCR0_PC                          *((volatile  uint8_t *)(0x42662030UL))
#define bFM3_GPIO_PCR0_PC                         *((volatile  uint8_t *)(0x42662030UL))
#define bFM_GPIO_PCR0_PD                          *((volatile  uint8_t *)(0x42662034UL))
#define bFM3_GPIO_PCR0_PD                         *((volatile  uint8_t *)(0x42662034UL))
#define bFM_GPIO_PCR0_PE                          *((volatile  uint8_t *)(0x42662038UL))
#define bFM3_GPIO_PCR0_PE                         *((volatile  uint8_t *)(0x42662038UL))
#define bFM_GPIO_PCR0_PF                          *((volatile  uint8_t *)(0x4266203CUL))
#define bFM3_GPIO_PCR0_PF                         *((volatile  uint8_t *)(0x4266203CUL))

#define bFM_GPIO_PCR1_P0                          *((volatile  uint8_t *)(0x42662080UL))
#define bFM3_GPIO_PCR1_P0                         *((volatile  uint8_t *)(0x42662080UL))
#define bFM_GPIO_PCR1_P1                          *((volatile  uint8_t *)(0x42662084UL))
#define bFM3_GPIO_PCR1_P1                         *((volatile  uint8_t *)(0x42662084UL))
#define bFM_GPIO_PCR1_P2                          *((volatile  uint8_t *)(0x42662088UL))
#define bFM3_GPIO_PCR1_P2                         *((volatile  uint8_t *)(0x42662088UL))
#define bFM_GPIO_PCR1_P3                          *((volatile  uint8_t *)(0x4266208CUL))
#define bFM3_GPIO_PCR1_P3                         *((volatile  uint8_t *)(0x4266208CUL))
#define bFM_GPIO_PCR1_P4                          *((volatile  uint8_t *)(0x42662090UL))
#define bFM3_GPIO_PCR1_P4                         *((volatile  uint8_t *)(0x42662090UL))
#define bFM_GPIO_PCR1_P5                          *((volatile  uint8_t *)(0x42662094UL))
#define bFM3_GPIO_PCR1_P5                         *((volatile  uint8_t *)(0x42662094UL))
#define bFM_GPIO_PCR1_P6                          *((volatile  uint8_t *)(0x42662098UL))
#define bFM3_GPIO_PCR1_P6                         *((volatile  uint8_t *)(0x42662098UL))
#define bFM_GPIO_PCR1_P7                          *((volatile  uint8_t *)(0x4266209CUL))
#define bFM3_GPIO_PCR1_P7                         *((volatile  uint8_t *)(0x4266209CUL))
#define bFM_GPIO_PCR1_P8                          *((volatile  uint8_t *)(0x426620A0UL))
#define bFM3_GPIO_PCR1_P8                         *((volatile  uint8_t *)(0x426620A0UL))
#define bFM_GPIO_PCR1_P9                          *((volatile  uint8_t *)(0x426620A4UL))
#define bFM3_GPIO_PCR1_P9                         *((volatile  uint8_t *)(0x426620A4UL))
#define bFM_GPIO_PCR1_PA                          *((volatile  uint8_t *)(0x426620A8UL))
#define bFM3_GPIO_PCR1_PA                         *((volatile  uint8_t *)(0x426620A8UL))
#define bFM_GPIO_PCR1_PB                          *((volatile  uint8_t *)(0x426620ACUL))
#define bFM3_GPIO_PCR1_PB                         *((volatile  uint8_t *)(0x426620ACUL))

#define bFM_GPIO_PCR2_P0                          *((volatile  uint8_t *)(0x42662100UL))
#define bFM3_GPIO_PCR2_P0                         *((volatile  uint8_t *)(0x42662100UL))
#define bFM_GPIO_PCR2_P1                          *((volatile  uint8_t *)(0x42662104UL))
#define bFM3_GPIO_PCR2_P1                         *((volatile  uint8_t *)(0x42662104UL))
#define bFM_GPIO_PCR2_P2                          *((volatile  uint8_t *)(0x42662108UL))
#define bFM3_GPIO_PCR2_P2                         *((volatile  uint8_t *)(0x42662108UL))
#define bFM_GPIO_PCR2_P3                          *((volatile  uint8_t *)(0x4266210CUL))
#define bFM3_GPIO_PCR2_P3                         *((volatile  uint8_t *)(0x4266210CUL))

#define bFM_GPIO_PCR3_P0                          *((volatile  uint8_t *)(0x42662180UL))
#define bFM3_GPIO_PCR3_P0                         *((volatile  uint8_t *)(0x42662180UL))
#define bFM_GPIO_PCR3_P1                          *((volatile  uint8_t *)(0x42662184UL))
#define bFM3_GPIO_PCR3_P1                         *((volatile  uint8_t *)(0x42662184UL))
#define bFM_GPIO_PCR3_P2                          *((volatile  uint8_t *)(0x42662188UL))
#define bFM3_GPIO_PCR3_P2                         *((volatile  uint8_t *)(0x42662188UL))
#define bFM_GPIO_PCR3_P3                          *((volatile  uint8_t *)(0x4266218CUL))
#define bFM3_GPIO_PCR3_P3                         *((volatile  uint8_t *)(0x4266218CUL))
#define bFM_GPIO_PCR3_P9                          *((volatile  uint8_t *)(0x426621A4UL))
#define bFM3_GPIO_PCR3_P9                         *((volatile  uint8_t *)(0x426621A4UL))
#define bFM_GPIO_PCR3_PA                          *((volatile  uint8_t *)(0x426621A8UL))
#define bFM3_GPIO_PCR3_PA                         *((volatile  uint8_t *)(0x426621A8UL))
#define bFM_GPIO_PCR3_PB                          *((volatile  uint8_t *)(0x426621ACUL))
#define bFM3_GPIO_PCR3_PB                         *((volatile  uint8_t *)(0x426621ACUL))
#define bFM_GPIO_PCR3_PC                          *((volatile  uint8_t *)(0x426621B0UL))
#define bFM3_GPIO_PCR3_PC                         *((volatile  uint8_t *)(0x426621B0UL))
#define bFM_GPIO_PCR3_PD                          *((volatile  uint8_t *)(0x426621B4UL))
#define bFM3_GPIO_PCR3_PD                         *((volatile  uint8_t *)(0x426621B4UL))
#define bFM_GPIO_PCR3_PE                          *((volatile  uint8_t *)(0x426621B8UL))
#define bFM3_GPIO_PCR3_PE                         *((volatile  uint8_t *)(0x426621B8UL))
#define bFM_GPIO_PCR3_PF                          *((volatile  uint8_t *)(0x426621BCUL))
#define bFM3_GPIO_PCR3_PF                         *((volatile  uint8_t *)(0x426621BCUL))

#define bFM_GPIO_PCR4_P4                          *((volatile  uint8_t *)(0x42662210UL))
#define bFM3_GPIO_PCR4_P4                         *((volatile  uint8_t *)(0x42662210UL))
#define bFM_GPIO_PCR4_P5                          *((volatile  uint8_t *)(0x42662214UL))
#define bFM3_GPIO_PCR4_P5                         *((volatile  uint8_t *)(0x42662214UL))
#define bFM_GPIO_PCR4_P6                          *((volatile  uint8_t *)(0x42662218UL))
#define bFM3_GPIO_PCR4_P6                         *((volatile  uint8_t *)(0x42662218UL))
#define bFM_GPIO_PCR4_P7                          *((volatile  uint8_t *)(0x4266221CUL))
#define bFM3_GPIO_PCR4_P7                         *((volatile  uint8_t *)(0x4266221CUL))
#define bFM_GPIO_PCR4_P8                          *((volatile  uint8_t *)(0x42662220UL))
#define bFM3_GPIO_PCR4_P8                         *((volatile  uint8_t *)(0x42662220UL))
#define bFM_GPIO_PCR4_P9                          *((volatile  uint8_t *)(0x42662224UL))
#define bFM3_GPIO_PCR4_P9                         *((volatile  uint8_t *)(0x42662224UL))
#define bFM_GPIO_PCR4_PA                          *((volatile  uint8_t *)(0x42662228UL))
#define bFM3_GPIO_PCR4_PA                         *((volatile  uint8_t *)(0x42662228UL))
#define bFM_GPIO_PCR4_PB                          *((volatile  uint8_t *)(0x4266222CUL))
#define bFM3_GPIO_PCR4_PB                         *((volatile  uint8_t *)(0x4266222CUL))
#define bFM_GPIO_PCR4_PC                          *((volatile  uint8_t *)(0x42662230UL))
#define bFM3_GPIO_PCR4_PC                         *((volatile  uint8_t *)(0x42662230UL))
#define bFM_GPIO_PCR4_PD                          *((volatile  uint8_t *)(0x42662234UL))
#define bFM3_GPIO_PCR4_PD                         *((volatile  uint8_t *)(0x42662234UL))
#define bFM_GPIO_PCR4_PE                          *((volatile  uint8_t *)(0x42662238UL))
#define bFM3_GPIO_PCR4_PE                         *((volatile  uint8_t *)(0x42662238UL))

#define bFM_GPIO_PCR5_P0                          *((volatile  uint8_t *)(0x42662280UL))
#define bFM3_GPIO_PCR5_P0                         *((volatile  uint8_t *)(0x42662280UL))
#define bFM_GPIO_PCR5_P1                          *((volatile  uint8_t *)(0x42662284UL))
#define bFM3_GPIO_PCR5_P1                         *((volatile  uint8_t *)(0x42662284UL))
#define bFM_GPIO_PCR5_P2                          *((volatile  uint8_t *)(0x42662288UL))
#define bFM3_GPIO_PCR5_P2                         *((volatile  uint8_t *)(0x42662288UL))
#define bFM_GPIO_PCR5_P3                          *((volatile  uint8_t *)(0x4266228CUL))
#define bFM3_GPIO_PCR5_P3                         *((volatile  uint8_t *)(0x4266228CUL))
#define bFM_GPIO_PCR5_P4                          *((volatile  uint8_t *)(0x42662290UL))
#define bFM3_GPIO_PCR5_P4                         *((volatile  uint8_t *)(0x42662290UL))
#define bFM_GPIO_PCR5_P5                          *((volatile  uint8_t *)(0x42662294UL))
#define bFM3_GPIO_PCR5_P5                         *((volatile  uint8_t *)(0x42662294UL))
#define bFM_GPIO_PCR5_P6                          *((volatile  uint8_t *)(0x42662298UL))
#define bFM3_GPIO_PCR5_P6                         *((volatile  uint8_t *)(0x42662298UL))

#define bFM_GPIO_PCR6_P0                          *((volatile  uint8_t *)(0x42662300UL))
#define bFM3_GPIO_PCR6_P0                         *((volatile  uint8_t *)(0x42662300UL))
#define bFM_GPIO_PCR6_P1                          *((volatile  uint8_t *)(0x42662304UL))
#define bFM3_GPIO_PCR6_P1                         *((volatile  uint8_t *)(0x42662304UL))
#define bFM_GPIO_PCR6_P2                          *((volatile  uint8_t *)(0x42662308UL))
#define bFM3_GPIO_PCR6_P2                         *((volatile  uint8_t *)(0x42662308UL))
#define bFM_GPIO_PCR6_P3                          *((volatile  uint8_t *)(0x4266230CUL))
#define bFM3_GPIO_PCR6_P3                         *((volatile  uint8_t *)(0x4266230CUL))

#define bFM_GPIO_PCRE_P0                          *((volatile  uint8_t *)(0x42662700UL))
#define bFM3_GPIO_PCRE_P0                         *((volatile  uint8_t *)(0x42662700UL))
#define bFM_GPIO_PCRE_P2                          *((volatile  uint8_t *)(0x42662708UL))
#define bFM3_GPIO_PCRE_P2                         *((volatile  uint8_t *)(0x42662708UL))
#define bFM_GPIO_PCRE_P3                          *((volatile  uint8_t *)(0x4266270CUL))
#define bFM3_GPIO_PCRE_P3                         *((volatile  uint8_t *)(0x4266270CUL))

#define bFM_GPIO_PDIR0_P0                         *((volatile  uint8_t *)(0x42666000UL))
#define bFM3_GPIO_PDIR0_P0                        *((volatile  uint8_t *)(0x42666000UL))
#define bFM_GPIO_PDIR0_P1                         *((volatile  uint8_t *)(0x42666004UL))
#define bFM3_GPIO_PDIR0_P1                        *((volatile  uint8_t *)(0x42666004UL))
#define bFM_GPIO_PDIR0_P2                         *((volatile  uint8_t *)(0x42666008UL))
#define bFM3_GPIO_PDIR0_P2                        *((volatile  uint8_t *)(0x42666008UL))
#define bFM_GPIO_PDIR0_P3                         *((volatile  uint8_t *)(0x4266600CUL))
#define bFM3_GPIO_PDIR0_P3                        *((volatile  uint8_t *)(0x4266600CUL))
#define bFM_GPIO_PDIR0_P4                         *((volatile  uint8_t *)(0x42666010UL))
#define bFM3_GPIO_PDIR0_P4                        *((volatile  uint8_t *)(0x42666010UL))
#define bFM_GPIO_PDIR0_P7                         *((volatile  uint8_t *)(0x4266601CUL))
#define bFM3_GPIO_PDIR0_P7                        *((volatile  uint8_t *)(0x4266601CUL))
#define bFM_GPIO_PDIR0_PA                         *((volatile  uint8_t *)(0x42666028UL))
#define bFM3_GPIO_PDIR0_PA                        *((volatile  uint8_t *)(0x42666028UL))
#define bFM_GPIO_PDIR0_PB                         *((volatile  uint8_t *)(0x4266602CUL))
#define bFM3_GPIO_PDIR0_PB                        *((volatile  uint8_t *)(0x4266602CUL))
#define bFM_GPIO_PDIR0_PC                         *((volatile  uint8_t *)(0x42666030UL))
#define bFM3_GPIO_PDIR0_PC                        *((volatile  uint8_t *)(0x42666030UL))
#define bFM_GPIO_PDIR0_PD                         *((volatile  uint8_t *)(0x42666034UL))
#define bFM3_GPIO_PDIR0_PD                        *((volatile  uint8_t *)(0x42666034UL))
#define bFM_GPIO_PDIR0_PE                         *((volatile  uint8_t *)(0x42666038UL))
#define bFM3_GPIO_PDIR0_PE                        *((volatile  uint8_t *)(0x42666038UL))
#define bFM_GPIO_PDIR0_PF                         *((volatile  uint8_t *)(0x4266603CUL))
#define bFM3_GPIO_PDIR0_PF                        *((volatile  uint8_t *)(0x4266603CUL))

#define bFM_GPIO_PDIR1_P0                         *((volatile  uint8_t *)(0x42666080UL))
#define bFM3_GPIO_PDIR1_P0                        *((volatile  uint8_t *)(0x42666080UL))
#define bFM_GPIO_PDIR1_P1                         *((volatile  uint8_t *)(0x42666084UL))
#define bFM3_GPIO_PDIR1_P1                        *((volatile  uint8_t *)(0x42666084UL))
#define bFM_GPIO_PDIR1_P2                         *((volatile  uint8_t *)(0x42666088UL))
#define bFM3_GPIO_PDIR1_P2                        *((volatile  uint8_t *)(0x42666088UL))
#define bFM_GPIO_PDIR1_P3                         *((volatile  uint8_t *)(0x4266608CUL))
#define bFM3_GPIO_PDIR1_P3                        *((volatile  uint8_t *)(0x4266608CUL))
#define bFM_GPIO_PDIR1_P4                         *((volatile  uint8_t *)(0x42666090UL))
#define bFM3_GPIO_PDIR1_P4                        *((volatile  uint8_t *)(0x42666090UL))
#define bFM_GPIO_PDIR1_P5                         *((volatile  uint8_t *)(0x42666094UL))
#define bFM3_GPIO_PDIR1_P5                        *((volatile  uint8_t *)(0x42666094UL))
#define bFM_GPIO_PDIR1_P6                         *((volatile  uint8_t *)(0x42666098UL))
#define bFM3_GPIO_PDIR1_P6                        *((volatile  uint8_t *)(0x42666098UL))
#define bFM_GPIO_PDIR1_P7                         *((volatile  uint8_t *)(0x4266609CUL))
#define bFM3_GPIO_PDIR1_P7                        *((volatile  uint8_t *)(0x4266609CUL))
#define bFM_GPIO_PDIR1_P8                         *((volatile  uint8_t *)(0x426660A0UL))
#define bFM3_GPIO_PDIR1_P8                        *((volatile  uint8_t *)(0x426660A0UL))
#define bFM_GPIO_PDIR1_P9                         *((volatile  uint8_t *)(0x426660A4UL))
#define bFM3_GPIO_PDIR1_P9                        *((volatile  uint8_t *)(0x426660A4UL))
#define bFM_GPIO_PDIR1_PA                         *((volatile  uint8_t *)(0x426660A8UL))
#define bFM3_GPIO_PDIR1_PA                        *((volatile  uint8_t *)(0x426660A8UL))
#define bFM_GPIO_PDIR1_PB                         *((volatile  uint8_t *)(0x426660ACUL))
#define bFM3_GPIO_PDIR1_PB                        *((volatile  uint8_t *)(0x426660ACUL))

#define bFM_GPIO_PDIR2_P0                         *((volatile  uint8_t *)(0x42666100UL))
#define bFM3_GPIO_PDIR2_P0                        *((volatile  uint8_t *)(0x42666100UL))
#define bFM_GPIO_PDIR2_P1                         *((volatile  uint8_t *)(0x42666104UL))
#define bFM3_GPIO_PDIR2_P1                        *((volatile  uint8_t *)(0x42666104UL))
#define bFM_GPIO_PDIR2_P2                         *((volatile  uint8_t *)(0x42666108UL))
#define bFM3_GPIO_PDIR2_P2                        *((volatile  uint8_t *)(0x42666108UL))
#define bFM_GPIO_PDIR2_P3                         *((volatile  uint8_t *)(0x4266610CUL))
#define bFM3_GPIO_PDIR2_P3                        *((volatile  uint8_t *)(0x4266610CUL))

#define bFM_GPIO_PDIR3_P0                         *((volatile  uint8_t *)(0x42666180UL))
#define bFM3_GPIO_PDIR3_P0                        *((volatile  uint8_t *)(0x42666180UL))
#define bFM_GPIO_PDIR3_P1                         *((volatile  uint8_t *)(0x42666184UL))
#define bFM3_GPIO_PDIR3_P1                        *((volatile  uint8_t *)(0x42666184UL))
#define bFM_GPIO_PDIR3_P2                         *((volatile  uint8_t *)(0x42666188UL))
#define bFM3_GPIO_PDIR3_P2                        *((volatile  uint8_t *)(0x42666188UL))
#define bFM_GPIO_PDIR3_P3                         *((volatile  uint8_t *)(0x4266618CUL))
#define bFM3_GPIO_PDIR3_P3                        *((volatile  uint8_t *)(0x4266618CUL))
#define bFM_GPIO_PDIR3_P9                         *((volatile  uint8_t *)(0x426661A4UL))
#define bFM3_GPIO_PDIR3_P9                        *((volatile  uint8_t *)(0x426661A4UL))
#define bFM_GPIO_PDIR3_PA                         *((volatile  uint8_t *)(0x426661A8UL))
#define bFM3_GPIO_PDIR3_PA                        *((volatile  uint8_t *)(0x426661A8UL))
#define bFM_GPIO_PDIR3_PB                         *((volatile  uint8_t *)(0x426661ACUL))
#define bFM3_GPIO_PDIR3_PB                        *((volatile  uint8_t *)(0x426661ACUL))
#define bFM_GPIO_PDIR3_PC                         *((volatile  uint8_t *)(0x426661B0UL))
#define bFM3_GPIO_PDIR3_PC                        *((volatile  uint8_t *)(0x426661B0UL))
#define bFM_GPIO_PDIR3_PD                         *((volatile  uint8_t *)(0x426661B4UL))
#define bFM3_GPIO_PDIR3_PD                        *((volatile  uint8_t *)(0x426661B4UL))
#define bFM_GPIO_PDIR3_PE                         *((volatile  uint8_t *)(0x426661B8UL))
#define bFM3_GPIO_PDIR3_PE                        *((volatile  uint8_t *)(0x426661B8UL))
#define bFM_GPIO_PDIR3_PF                         *((volatile  uint8_t *)(0x426661BCUL))
#define bFM3_GPIO_PDIR3_PF                        *((volatile  uint8_t *)(0x426661BCUL))

#define bFM_GPIO_PDIR4_P4                         *((volatile  uint8_t *)(0x42666210UL))
#define bFM3_GPIO_PDIR4_P4                        *((volatile  uint8_t *)(0x42666210UL))
#define bFM_GPIO_PDIR4_P5                         *((volatile  uint8_t *)(0x42666214UL))
#define bFM3_GPIO_PDIR4_P5                        *((volatile  uint8_t *)(0x42666214UL))
#define bFM_GPIO_PDIR4_P6                         *((volatile  uint8_t *)(0x42666218UL))
#define bFM3_GPIO_PDIR4_P6                        *((volatile  uint8_t *)(0x42666218UL))
#define bFM_GPIO_PDIR4_P7                         *((volatile  uint8_t *)(0x4266621CUL))
#define bFM3_GPIO_PDIR4_P7                        *((volatile  uint8_t *)(0x4266621CUL))
#define bFM_GPIO_PDIR4_P8                         *((volatile  uint8_t *)(0x42666220UL))
#define bFM3_GPIO_PDIR4_P8                        *((volatile  uint8_t *)(0x42666220UL))
#define bFM_GPIO_PDIR4_P9                         *((volatile  uint8_t *)(0x42666224UL))
#define bFM3_GPIO_PDIR4_P9                        *((volatile  uint8_t *)(0x42666224UL))
#define bFM_GPIO_PDIR4_PA                         *((volatile  uint8_t *)(0x42666228UL))
#define bFM3_GPIO_PDIR4_PA                        *((volatile  uint8_t *)(0x42666228UL))
#define bFM_GPIO_PDIR4_PB                         *((volatile  uint8_t *)(0x4266622CUL))
#define bFM3_GPIO_PDIR4_PB                        *((volatile  uint8_t *)(0x4266622CUL))
#define bFM_GPIO_PDIR4_PC                         *((volatile  uint8_t *)(0x42666230UL))
#define bFM3_GPIO_PDIR4_PC                        *((volatile  uint8_t *)(0x42666230UL))
#define bFM_GPIO_PDIR4_PD                         *((volatile  uint8_t *)(0x42666234UL))
#define bFM3_GPIO_PDIR4_PD                        *((volatile  uint8_t *)(0x42666234UL))
#define bFM_GPIO_PDIR4_PE                         *((volatile  uint8_t *)(0x42666238UL))
#define bFM3_GPIO_PDIR4_PE                        *((volatile  uint8_t *)(0x42666238UL))

#define bFM_GPIO_PDIR5_P0                         *((volatile  uint8_t *)(0x42666280UL))
#define bFM3_GPIO_PDIR5_P0                        *((volatile  uint8_t *)(0x42666280UL))
#define bFM_GPIO_PDIR5_P1                         *((volatile  uint8_t *)(0x42666284UL))
#define bFM3_GPIO_PDIR5_P1                        *((volatile  uint8_t *)(0x42666284UL))
#define bFM_GPIO_PDIR5_P2                         *((volatile  uint8_t *)(0x42666288UL))
#define bFM3_GPIO_PDIR5_P2                        *((volatile  uint8_t *)(0x42666288UL))
#define bFM_GPIO_PDIR5_P3                         *((volatile  uint8_t *)(0x4266628CUL))
#define bFM3_GPIO_PDIR5_P3                        *((volatile  uint8_t *)(0x4266628CUL))
#define bFM_GPIO_PDIR5_P4                         *((volatile  uint8_t *)(0x42666290UL))
#define bFM3_GPIO_PDIR5_P4                        *((volatile  uint8_t *)(0x42666290UL))
#define bFM_GPIO_PDIR5_P5                         *((volatile  uint8_t *)(0x42666294UL))
#define bFM3_GPIO_PDIR5_P5                        *((volatile  uint8_t *)(0x42666294UL))
#define bFM_GPIO_PDIR5_P6                         *((volatile  uint8_t *)(0x42666298UL))
#define bFM3_GPIO_PDIR5_P6                        *((volatile  uint8_t *)(0x42666298UL))

#define bFM_GPIO_PDIR6_P0                         *((volatile  uint8_t *)(0x42666300UL))
#define bFM3_GPIO_PDIR6_P0                        *((volatile  uint8_t *)(0x42666300UL))
#define bFM_GPIO_PDIR6_P1                         *((volatile  uint8_t *)(0x42666304UL))
#define bFM3_GPIO_PDIR6_P1                        *((volatile  uint8_t *)(0x42666304UL))
#define bFM_GPIO_PDIR6_P2                         *((volatile  uint8_t *)(0x42666308UL))
#define bFM3_GPIO_PDIR6_P2                        *((volatile  uint8_t *)(0x42666308UL))
#define bFM_GPIO_PDIR6_P3                         *((volatile  uint8_t *)(0x4266630CUL))
#define bFM3_GPIO_PDIR6_P3                        *((volatile  uint8_t *)(0x4266630CUL))

#define bFM_GPIO_PDIR8_P0                         *((volatile  uint8_t *)(0x42666400UL))
#define bFM3_GPIO_PDIR8_P0                        *((volatile  uint8_t *)(0x42666400UL))
#define bFM_GPIO_PDIR8_P1                         *((volatile  uint8_t *)(0x42666404UL))
#define bFM3_GPIO_PDIR8_P1                        *((volatile  uint8_t *)(0x42666404UL))

#define bFM_GPIO_PDIRE_P0                         *((volatile  uint8_t *)(0x42666700UL))
#define bFM3_GPIO_PDIRE_P0                        *((volatile  uint8_t *)(0x42666700UL))
#define bFM_GPIO_PDIRE_P2                         *((volatile  uint8_t *)(0x42666708UL))
#define bFM3_GPIO_PDIRE_P2                        *((volatile  uint8_t *)(0x42666708UL))
#define bFM_GPIO_PDIRE_P3                         *((volatile  uint8_t *)(0x4266670CUL))
#define bFM3_GPIO_PDIRE_P3                        *((volatile  uint8_t *)(0x4266670CUL))

#define bFM_GPIO_PDOR0_P0                         *((volatile  uint8_t *)(0x42668000UL))
#define bFM3_GPIO_PDOR0_P0                        *((volatile  uint8_t *)(0x42668000UL))
#define bFM_GPIO_PDOR0_P1                         *((volatile  uint8_t *)(0x42668004UL))
#define bFM3_GPIO_PDOR0_P1                        *((volatile  uint8_t *)(0x42668004UL))
#define bFM_GPIO_PDOR0_P2                         *((volatile  uint8_t *)(0x42668008UL))
#define bFM3_GPIO_PDOR0_P2                        *((volatile  uint8_t *)(0x42668008UL))
#define bFM_GPIO_PDOR0_P3                         *((volatile  uint8_t *)(0x4266800CUL))
#define bFM3_GPIO_PDOR0_P3                        *((volatile  uint8_t *)(0x4266800CUL))
#define bFM_GPIO_PDOR0_P4                         *((volatile  uint8_t *)(0x42668010UL))
#define bFM3_GPIO_PDOR0_P4                        *((volatile  uint8_t *)(0x42668010UL))
#define bFM_GPIO_PDOR0_P7                         *((volatile  uint8_t *)(0x4266801CUL))
#define bFM3_GPIO_PDOR0_P7                        *((volatile  uint8_t *)(0x4266801CUL))
#define bFM_GPIO_PDOR0_PA                         *((volatile  uint8_t *)(0x42668028UL))
#define bFM3_GPIO_PDOR0_PA                        *((volatile  uint8_t *)(0x42668028UL))
#define bFM_GPIO_PDOR0_PB                         *((volatile  uint8_t *)(0x4266802CUL))
#define bFM3_GPIO_PDOR0_PB                        *((volatile  uint8_t *)(0x4266802CUL))
#define bFM_GPIO_PDOR0_PC                         *((volatile  uint8_t *)(0x42668030UL))
#define bFM3_GPIO_PDOR0_PC                        *((volatile  uint8_t *)(0x42668030UL))
#define bFM_GPIO_PDOR0_PD                         *((volatile  uint8_t *)(0x42668034UL))
#define bFM3_GPIO_PDOR0_PD                        *((volatile  uint8_t *)(0x42668034UL))
#define bFM_GPIO_PDOR0_PE                         *((volatile  uint8_t *)(0x42668038UL))
#define bFM3_GPIO_PDOR0_PE                        *((volatile  uint8_t *)(0x42668038UL))
#define bFM_GPIO_PDOR0_PF                         *((volatile  uint8_t *)(0x4266803CUL))
#define bFM3_GPIO_PDOR0_PF                        *((volatile  uint8_t *)(0x4266803CUL))

#define bFM_GPIO_PDOR1_P0                         *((volatile  uint8_t *)(0x42668080UL))
#define bFM3_GPIO_PDOR1_P0                        *((volatile  uint8_t *)(0x42668080UL))
#define bFM_GPIO_PDOR1_P1                         *((volatile  uint8_t *)(0x42668084UL))
#define bFM3_GPIO_PDOR1_P1                        *((volatile  uint8_t *)(0x42668084UL))
#define bFM_GPIO_PDOR1_P2                         *((volatile  uint8_t *)(0x42668088UL))
#define bFM3_GPIO_PDOR1_P2                        *((volatile  uint8_t *)(0x42668088UL))
#define bFM_GPIO_PDOR1_P3                         *((volatile  uint8_t *)(0x4266808CUL))
#define bFM3_GPIO_PDOR1_P3                        *((volatile  uint8_t *)(0x4266808CUL))
#define bFM_GPIO_PDOR1_P4                         *((volatile  uint8_t *)(0x42668090UL))
#define bFM3_GPIO_PDOR1_P4                        *((volatile  uint8_t *)(0x42668090UL))
#define bFM_GPIO_PDOR1_P5                         *((volatile  uint8_t *)(0x42668094UL))
#define bFM3_GPIO_PDOR1_P5                        *((volatile  uint8_t *)(0x42668094UL))
#define bFM_GPIO_PDOR1_P6                         *((volatile  uint8_t *)(0x42668098UL))
#define bFM3_GPIO_PDOR1_P6                        *((volatile  uint8_t *)(0x42668098UL))
#define bFM_GPIO_PDOR1_P7                         *((volatile  uint8_t *)(0x4266809CUL))
#define bFM3_GPIO_PDOR1_P7                        *((volatile  uint8_t *)(0x4266809CUL))
#define bFM_GPIO_PDOR1_P8                         *((volatile  uint8_t *)(0x426680A0UL))
#define bFM3_GPIO_PDOR1_P8                        *((volatile  uint8_t *)(0x426680A0UL))
#define bFM_GPIO_PDOR1_P9                         *((volatile  uint8_t *)(0x426680A4UL))
#define bFM3_GPIO_PDOR1_P9                        *((volatile  uint8_t *)(0x426680A4UL))
#define bFM_GPIO_PDOR1_PA                         *((volatile  uint8_t *)(0x426680A8UL))
#define bFM3_GPIO_PDOR1_PA                        *((volatile  uint8_t *)(0x426680A8UL))
#define bFM_GPIO_PDOR1_PB                         *((volatile  uint8_t *)(0x426680ACUL))
#define bFM3_GPIO_PDOR1_PB                        *((volatile  uint8_t *)(0x426680ACUL))

#define bFM_GPIO_PDOR2_P0                         *((volatile  uint8_t *)(0x42668100UL))
#define bFM3_GPIO_PDOR2_P0                        *((volatile  uint8_t *)(0x42668100UL))
#define bFM_GPIO_PDOR2_P1                         *((volatile  uint8_t *)(0x42668104UL))
#define bFM3_GPIO_PDOR2_P1                        *((volatile  uint8_t *)(0x42668104UL))
#define bFM_GPIO_PDOR2_P2                         *((volatile  uint8_t *)(0x42668108UL))
#define bFM3_GPIO_PDOR2_P2                        *((volatile  uint8_t *)(0x42668108UL))
#define bFM_GPIO_PDOR2_P3                         *((volatile  uint8_t *)(0x4266810CUL))
#define bFM3_GPIO_PDOR2_P3                        *((volatile  uint8_t *)(0x4266810CUL))

#define bFM_GPIO_PDOR3_P0                         *((volatile  uint8_t *)(0x42668180UL))
#define bFM3_GPIO_PDOR3_P0                        *((volatile  uint8_t *)(0x42668180UL))
#define bFM_GPIO_PDOR3_P1                         *((volatile  uint8_t *)(0x42668184UL))
#define bFM3_GPIO_PDOR3_P1                        *((volatile  uint8_t *)(0x42668184UL))
#define bFM_GPIO_PDOR3_P2                         *((volatile  uint8_t *)(0x42668188UL))
#define bFM3_GPIO_PDOR3_P2                        *((volatile  uint8_t *)(0x42668188UL))
#define bFM_GPIO_PDOR3_P3                         *((volatile  uint8_t *)(0x4266818CUL))
#define bFM3_GPIO_PDOR3_P3                        *((volatile  uint8_t *)(0x4266818CUL))
#define bFM_GPIO_PDOR3_P9                         *((volatile  uint8_t *)(0x426681A4UL))
#define bFM3_GPIO_PDOR3_P9                        *((volatile  uint8_t *)(0x426681A4UL))
#define bFM_GPIO_PDOR3_PA                         *((volatile  uint8_t *)(0x426681A8UL))
#define bFM3_GPIO_PDOR3_PA                        *((volatile  uint8_t *)(0x426681A8UL))
#define bFM_GPIO_PDOR3_PB                         *((volatile  uint8_t *)(0x426681ACUL))
#define bFM3_GPIO_PDOR3_PB                        *((volatile  uint8_t *)(0x426681ACUL))
#define bFM_GPIO_PDOR3_PC                         *((volatile  uint8_t *)(0x426681B0UL))
#define bFM3_GPIO_PDOR3_PC                        *((volatile  uint8_t *)(0x426681B0UL))
#define bFM_GPIO_PDOR3_PD                         *((volatile  uint8_t *)(0x426681B4UL))
#define bFM3_GPIO_PDOR3_PD                        *((volatile  uint8_t *)(0x426681B4UL))
#define bFM_GPIO_PDOR3_PE                         *((volatile  uint8_t *)(0x426681B8UL))
#define bFM3_GPIO_PDOR3_PE                        *((volatile  uint8_t *)(0x426681B8UL))
#define bFM_GPIO_PDOR3_PF                         *((volatile  uint8_t *)(0x426681BCUL))
#define bFM3_GPIO_PDOR3_PF                        *((volatile  uint8_t *)(0x426681BCUL))

#define bFM_GPIO_PDOR4_P4                         *((volatile  uint8_t *)(0x42668210UL))
#define bFM3_GPIO_PDOR4_P4                        *((volatile  uint8_t *)(0x42668210UL))
#define bFM_GPIO_PDOR4_P5                         *((volatile  uint8_t *)(0x42668214UL))
#define bFM3_GPIO_PDOR4_P5                        *((volatile  uint8_t *)(0x42668214UL))
#define bFM_GPIO_PDOR4_P6                         *((volatile  uint8_t *)(0x42668218UL))
#define bFM3_GPIO_PDOR4_P6                        *((volatile  uint8_t *)(0x42668218UL))
#define bFM_GPIO_PDOR4_P7                         *((volatile  uint8_t *)(0x4266821CUL))
#define bFM3_GPIO_PDOR4_P7                        *((volatile  uint8_t *)(0x4266821CUL))
#define bFM_GPIO_PDOR4_P8                         *((volatile  uint8_t *)(0x42668220UL))
#define bFM3_GPIO_PDOR4_P8                        *((volatile  uint8_t *)(0x42668220UL))
#define bFM_GPIO_PDOR4_P9                         *((volatile  uint8_t *)(0x42668224UL))
#define bFM3_GPIO_PDOR4_P9                        *((volatile  uint8_t *)(0x42668224UL))
#define bFM_GPIO_PDOR4_PA                         *((volatile  uint8_t *)(0x42668228UL))
#define bFM3_GPIO_PDOR4_PA                        *((volatile  uint8_t *)(0x42668228UL))
#define bFM_GPIO_PDOR4_PB                         *((volatile  uint8_t *)(0x4266822CUL))
#define bFM3_GPIO_PDOR4_PB                        *((volatile  uint8_t *)(0x4266822CUL))
#define bFM_GPIO_PDOR4_PC                         *((volatile  uint8_t *)(0x42668230UL))
#define bFM3_GPIO_PDOR4_PC                        *((volatile  uint8_t *)(0x42668230UL))
#define bFM_GPIO_PDOR4_PD                         *((volatile  uint8_t *)(0x42668234UL))
#define bFM3_GPIO_PDOR4_PD                        *((volatile  uint8_t *)(0x42668234UL))
#define bFM_GPIO_PDOR4_PE                         *((volatile  uint8_t *)(0x42668238UL))
#define bFM3_GPIO_PDOR4_PE                        *((volatile  uint8_t *)(0x42668238UL))

#define bFM_GPIO_PDOR5_P0                         *((volatile  uint8_t *)(0x42668280UL))
#define bFM3_GPIO_PDOR5_P0                        *((volatile  uint8_t *)(0x42668280UL))
#define bFM_GPIO_PDOR5_P1                         *((volatile  uint8_t *)(0x42668284UL))
#define bFM3_GPIO_PDOR5_P1                        *((volatile  uint8_t *)(0x42668284UL))
#define bFM_GPIO_PDOR5_P2                         *((volatile  uint8_t *)(0x42668288UL))
#define bFM3_GPIO_PDOR5_P2                        *((volatile  uint8_t *)(0x42668288UL))
#define bFM_GPIO_PDOR5_P3                         *((volatile  uint8_t *)(0x4266828CUL))
#define bFM3_GPIO_PDOR5_P3                        *((volatile  uint8_t *)(0x4266828CUL))
#define bFM_GPIO_PDOR5_P4                         *((volatile  uint8_t *)(0x42668290UL))
#define bFM3_GPIO_PDOR5_P4                        *((volatile  uint8_t *)(0x42668290UL))
#define bFM_GPIO_PDOR5_P5                         *((volatile  uint8_t *)(0x42668294UL))
#define bFM3_GPIO_PDOR5_P5                        *((volatile  uint8_t *)(0x42668294UL))
#define bFM_GPIO_PDOR5_P6                         *((volatile  uint8_t *)(0x42668298UL))
#define bFM3_GPIO_PDOR5_P6                        *((volatile  uint8_t *)(0x42668298UL))

#define bFM_GPIO_PDOR6_P0                         *((volatile  uint8_t *)(0x42668300UL))
#define bFM3_GPIO_PDOR6_P0                        *((volatile  uint8_t *)(0x42668300UL))
#define bFM_GPIO_PDOR6_P1                         *((volatile  uint8_t *)(0x42668304UL))
#define bFM3_GPIO_PDOR6_P1                        *((volatile  uint8_t *)(0x42668304UL))
#define bFM_GPIO_PDOR6_P2                         *((volatile  uint8_t *)(0x42668308UL))
#define bFM3_GPIO_PDOR6_P2                        *((volatile  uint8_t *)(0x42668308UL))
#define bFM_GPIO_PDOR6_P3                         *((volatile  uint8_t *)(0x4266830CUL))
#define bFM3_GPIO_PDOR6_P3                        *((volatile  uint8_t *)(0x4266830CUL))

#define bFM_GPIO_PDOR8_P0                         *((volatile  uint8_t *)(0x42668400UL))
#define bFM3_GPIO_PDOR8_P0                        *((volatile  uint8_t *)(0x42668400UL))
#define bFM_GPIO_PDOR8_P1                         *((volatile  uint8_t *)(0x42668404UL))
#define bFM3_GPIO_PDOR8_P1                        *((volatile  uint8_t *)(0x42668404UL))

#define bFM_GPIO_PDORE_P0                         *((volatile  uint8_t *)(0x42668700UL))
#define bFM3_GPIO_PDORE_P0                        *((volatile  uint8_t *)(0x42668700UL))
#define bFM_GPIO_PDORE_P2                         *((volatile  uint8_t *)(0x42668708UL))
#define bFM3_GPIO_PDORE_P2                        *((volatile  uint8_t *)(0x42668708UL))
#define bFM_GPIO_PDORE_P3                         *((volatile  uint8_t *)(0x4266870CUL))
#define bFM3_GPIO_PDORE_P3                        *((volatile  uint8_t *)(0x4266870CUL))

#define bFM_GPIO_PFR0_P0                          *((volatile  uint8_t *)(0x42660000UL))
#define bFM3_GPIO_PFR0_P0                         *((volatile  uint8_t *)(0x42660000UL))
#define bFM_GPIO_PFR0_P1                          *((volatile  uint8_t *)(0x42660004UL))
#define bFM3_GPIO_PFR0_P1                         *((volatile  uint8_t *)(0x42660004UL))
#define bFM_GPIO_PFR0_P2                          *((volatile  uint8_t *)(0x42660008UL))
#define bFM3_GPIO_PFR0_P2                         *((volatile  uint8_t *)(0x42660008UL))
#define bFM_GPIO_PFR0_P3                          *((volatile  uint8_t *)(0x4266000CUL))
#define bFM3_GPIO_PFR0_P3                         *((volatile  uint8_t *)(0x4266000CUL))
#define bFM_GPIO_PFR0_P4                          *((volatile  uint8_t *)(0x42660010UL))
#define bFM3_GPIO_PFR0_P4                         *((volatile  uint8_t *)(0x42660010UL))
#define bFM_GPIO_PFR0_P7                          *((volatile  uint8_t *)(0x4266001CUL))
#define bFM3_GPIO_PFR0_P7                         *((volatile  uint8_t *)(0x4266001CUL))
#define bFM_GPIO_PFR0_PA                          *((volatile  uint8_t *)(0x42660028UL))
#define bFM3_GPIO_PFR0_PA                         *((volatile  uint8_t *)(0x42660028UL))
#define bFM_GPIO_PFR0_PB                          *((volatile  uint8_t *)(0x4266002CUL))
#define bFM3_GPIO_PFR0_PB                         *((volatile  uint8_t *)(0x4266002CUL))
#define bFM_GPIO_PFR0_PC                          *((volatile  uint8_t *)(0x42660030UL))
#define bFM3_GPIO_PFR0_PC                         *((volatile  uint8_t *)(0x42660030UL))
#define bFM_GPIO_PFR0_PD                          *((volatile  uint8_t *)(0x42660034UL))
#define bFM3_GPIO_PFR0_PD                         *((volatile  uint8_t *)(0x42660034UL))
#define bFM_GPIO_PFR0_PE                          *((volatile  uint8_t *)(0x42660038UL))
#define bFM3_GPIO_PFR0_PE                         *((volatile  uint8_t *)(0x42660038UL))
#define bFM_GPIO_PFR0_PF                          *((volatile  uint8_t *)(0x4266003CUL))
#define bFM3_GPIO_PFR0_PF                         *((volatile  uint8_t *)(0x4266003CUL))

#define bFM_GPIO_PFR1_P0                          *((volatile  uint8_t *)(0x42660080UL))
#define bFM3_GPIO_PFR1_P0                         *((volatile  uint8_t *)(0x42660080UL))
#define bFM_GPIO_PFR1_P1                          *((volatile  uint8_t *)(0x42660084UL))
#define bFM3_GPIO_PFR1_P1                         *((volatile  uint8_t *)(0x42660084UL))
#define bFM_GPIO_PFR1_P2                          *((volatile  uint8_t *)(0x42660088UL))
#define bFM3_GPIO_PFR1_P2                         *((volatile  uint8_t *)(0x42660088UL))
#define bFM_GPIO_PFR1_P3                          *((volatile  uint8_t *)(0x4266008CUL))
#define bFM3_GPIO_PFR1_P3                         *((volatile  uint8_t *)(0x4266008CUL))
#define bFM_GPIO_PFR1_P4                          *((volatile  uint8_t *)(0x42660090UL))
#define bFM3_GPIO_PFR1_P4                         *((volatile  uint8_t *)(0x42660090UL))
#define bFM_GPIO_PFR1_P5                          *((volatile  uint8_t *)(0x42660094UL))
#define bFM3_GPIO_PFR1_P5                         *((volatile  uint8_t *)(0x42660094UL))
#define bFM_GPIO_PFR1_P6                          *((volatile  uint8_t *)(0x42660098UL))
#define bFM3_GPIO_PFR1_P6                         *((volatile  uint8_t *)(0x42660098UL))
#define bFM_GPIO_PFR1_P7                          *((volatile  uint8_t *)(0x4266009CUL))
#define bFM3_GPIO_PFR1_P7                         *((volatile  uint8_t *)(0x4266009CUL))
#define bFM_GPIO_PFR1_P8                          *((volatile  uint8_t *)(0x426600A0UL))
#define bFM3_GPIO_PFR1_P8                         *((volatile  uint8_t *)(0x426600A0UL))
#define bFM_GPIO_PFR1_P9                          *((volatile  uint8_t *)(0x426600A4UL))
#define bFM3_GPIO_PFR1_P9                         *((volatile  uint8_t *)(0x426600A4UL))
#define bFM_GPIO_PFR1_PA                          *((volatile  uint8_t *)(0x426600A8UL))
#define bFM3_GPIO_PFR1_PA                         *((volatile  uint8_t *)(0x426600A8UL))
#define bFM_GPIO_PFR1_PB                          *((volatile  uint8_t *)(0x426600ACUL))
#define bFM3_GPIO_PFR1_PB                         *((volatile  uint8_t *)(0x426600ACUL))

#define bFM_GPIO_PFR2_P0                          *((volatile  uint8_t *)(0x42660100UL))
#define bFM3_GPIO_PFR2_P0                         *((volatile  uint8_t *)(0x42660100UL))
#define bFM_GPIO_PFR2_P1                          *((volatile  uint8_t *)(0x42660104UL))
#define bFM3_GPIO_PFR2_P1                         *((volatile  uint8_t *)(0x42660104UL))
#define bFM_GPIO_PFR2_P2                          *((volatile  uint8_t *)(0x42660108UL))
#define bFM3_GPIO_PFR2_P2                         *((volatile  uint8_t *)(0x42660108UL))
#define bFM_GPIO_PFR2_P3                          *((volatile  uint8_t *)(0x4266010CUL))
#define bFM3_GPIO_PFR2_P3                         *((volatile  uint8_t *)(0x4266010CUL))

#define bFM_GPIO_PFR3_P0                          *((volatile  uint8_t *)(0x42660180UL))
#define bFM3_GPIO_PFR3_P0                         *((volatile  uint8_t *)(0x42660180UL))
#define bFM_GPIO_PFR3_P1                          *((volatile  uint8_t *)(0x42660184UL))
#define bFM3_GPIO_PFR3_P1                         *((volatile  uint8_t *)(0x42660184UL))
#define bFM_GPIO_PFR3_P2                          *((volatile  uint8_t *)(0x42660188UL))
#define bFM3_GPIO_PFR3_P2                         *((volatile  uint8_t *)(0x42660188UL))
#define bFM_GPIO_PFR3_P3                          *((volatile  uint8_t *)(0x4266018CUL))
#define bFM3_GPIO_PFR3_P3                         *((volatile  uint8_t *)(0x4266018CUL))
#define bFM_GPIO_PFR3_P9                          *((volatile  uint8_t *)(0x426601A4UL))
#define bFM3_GPIO_PFR3_P9                         *((volatile  uint8_t *)(0x426601A4UL))
#define bFM_GPIO_PFR3_PA                          *((volatile  uint8_t *)(0x426601A8UL))
#define bFM3_GPIO_PFR3_PA                         *((volatile  uint8_t *)(0x426601A8UL))
#define bFM_GPIO_PFR3_PB                          *((volatile  uint8_t *)(0x426601ACUL))
#define bFM3_GPIO_PFR3_PB                         *((volatile  uint8_t *)(0x426601ACUL))
#define bFM_GPIO_PFR3_PC                          *((volatile  uint8_t *)(0x426601B0UL))
#define bFM3_GPIO_PFR3_PC                         *((volatile  uint8_t *)(0x426601B0UL))
#define bFM_GPIO_PFR3_PD                          *((volatile  uint8_t *)(0x426601B4UL))
#define bFM3_GPIO_PFR3_PD                         *((volatile  uint8_t *)(0x426601B4UL))
#define bFM_GPIO_PFR3_PE                          *((volatile  uint8_t *)(0x426601B8UL))
#define bFM3_GPIO_PFR3_PE                         *((volatile  uint8_t *)(0x426601B8UL))
#define bFM_GPIO_PFR3_PF                          *((volatile  uint8_t *)(0x426601BCUL))
#define bFM3_GPIO_PFR3_PF                         *((volatile  uint8_t *)(0x426601BCUL))

#define bFM_GPIO_PFR4_P4                          *((volatile  uint8_t *)(0x42660210UL))
#define bFM3_GPIO_PFR4_P4                         *((volatile  uint8_t *)(0x42660210UL))
#define bFM_GPIO_PFR4_P5                          *((volatile  uint8_t *)(0x42660214UL))
#define bFM3_GPIO_PFR4_P5                         *((volatile  uint8_t *)(0x42660214UL))
#define bFM_GPIO_PFR4_P6                          *((volatile  uint8_t *)(0x42660218UL))
#define bFM3_GPIO_PFR4_P6                         *((volatile  uint8_t *)(0x42660218UL))
#define bFM_GPIO_PFR4_P7                          *((volatile  uint8_t *)(0x4266021CUL))
#define bFM3_GPIO_PFR4_P7                         *((volatile  uint8_t *)(0x4266021CUL))
#define bFM_GPIO_PFR4_P8                          *((volatile  uint8_t *)(0x42660220UL))
#define bFM3_GPIO_PFR4_P8                         *((volatile  uint8_t *)(0x42660220UL))
#define bFM_GPIO_PFR4_P9                          *((volatile  uint8_t *)(0x42660224UL))
#define bFM3_GPIO_PFR4_P9                         *((volatile  uint8_t *)(0x42660224UL))
#define bFM_GPIO_PFR4_PA                          *((volatile  uint8_t *)(0x42660228UL))
#define bFM3_GPIO_PFR4_PA                         *((volatile  uint8_t *)(0x42660228UL))
#define bFM_GPIO_PFR4_PB                          *((volatile  uint8_t *)(0x4266022CUL))
#define bFM3_GPIO_PFR4_PB                         *((volatile  uint8_t *)(0x4266022CUL))
#define bFM_GPIO_PFR4_PC                          *((volatile  uint8_t *)(0x42660230UL))
#define bFM3_GPIO_PFR4_PC                         *((volatile  uint8_t *)(0x42660230UL))
#define bFM_GPIO_PFR4_PD                          *((volatile  uint8_t *)(0x42660234UL))
#define bFM3_GPIO_PFR4_PD                         *((volatile  uint8_t *)(0x42660234UL))
#define bFM_GPIO_PFR4_PE                          *((volatile  uint8_t *)(0x42660238UL))
#define bFM3_GPIO_PFR4_PE                         *((volatile  uint8_t *)(0x42660238UL))

#define bFM_GPIO_PFR5_P0                          *((volatile  uint8_t *)(0x42660280UL))
#define bFM3_GPIO_PFR5_P0                         *((volatile  uint8_t *)(0x42660280UL))
#define bFM_GPIO_PFR5_P1                          *((volatile  uint8_t *)(0x42660284UL))
#define bFM3_GPIO_PFR5_P1                         *((volatile  uint8_t *)(0x42660284UL))
#define bFM_GPIO_PFR5_P2                          *((volatile  uint8_t *)(0x42660288UL))
#define bFM3_GPIO_PFR5_P2                         *((volatile  uint8_t *)(0x42660288UL))
#define bFM_GPIO_PFR5_P3                          *((volatile  uint8_t *)(0x4266028CUL))
#define bFM3_GPIO_PFR5_P3                         *((volatile  uint8_t *)(0x4266028CUL))
#define bFM_GPIO_PFR5_P4                          *((volatile  uint8_t *)(0x42660290UL))
#define bFM3_GPIO_PFR5_P4                         *((volatile  uint8_t *)(0x42660290UL))
#define bFM_GPIO_PFR5_P5                          *((volatile  uint8_t *)(0x42660294UL))
#define bFM3_GPIO_PFR5_P5                         *((volatile  uint8_t *)(0x42660294UL))
#define bFM_GPIO_PFR5_P6                          *((volatile  uint8_t *)(0x42660298UL))
#define bFM3_GPIO_PFR5_P6                         *((volatile  uint8_t *)(0x42660298UL))

#define bFM_GPIO_PFR6_P0                          *((volatile  uint8_t *)(0x42660300UL))
#define bFM3_GPIO_PFR6_P0                         *((volatile  uint8_t *)(0x42660300UL))
#define bFM_GPIO_PFR6_P1                          *((volatile  uint8_t *)(0x42660304UL))
#define bFM3_GPIO_PFR6_P1                         *((volatile  uint8_t *)(0x42660304UL))
#define bFM_GPIO_PFR6_P2                          *((volatile  uint8_t *)(0x42660308UL))
#define bFM3_GPIO_PFR6_P2                         *((volatile  uint8_t *)(0x42660308UL))
#define bFM_GPIO_PFR6_P3                          *((volatile  uint8_t *)(0x4266030CUL))
#define bFM3_GPIO_PFR6_P3                         *((volatile  uint8_t *)(0x4266030CUL))

#define bFM_GPIO_PFR8_P0                          *((volatile  uint8_t *)(0x42660400UL))
#define bFM3_GPIO_PFR8_P0                         *((volatile  uint8_t *)(0x42660400UL))
#define bFM_GPIO_PFR8_P1                          *((volatile  uint8_t *)(0x42660404UL))
#define bFM3_GPIO_PFR8_P1                         *((volatile  uint8_t *)(0x42660404UL))

#define bFM_GPIO_PFRE_P0                          *((volatile  uint8_t *)(0x42660700UL))
#define bFM3_GPIO_PFRE_P0                         *((volatile  uint8_t *)(0x42660700UL))
#define bFM_GPIO_PFRE_P2                          *((volatile  uint8_t *)(0x42660708UL))
#define bFM3_GPIO_PFRE_P2                         *((volatile  uint8_t *)(0x42660708UL))
#define bFM_GPIO_PFRE_P3                          *((volatile  uint8_t *)(0x4266070CUL))
#define bFM3_GPIO_PFRE_P3                         *((volatile  uint8_t *)(0x4266070CUL))

#define bFM_GPIO_PZR0_P0                          *((volatile  uint8_t *)(0x4266E000UL))
#define bFM3_GPIO_PZR0_P0                         *((volatile  uint8_t *)(0x4266E000UL))
#define bFM_GPIO_PZR0_P1                          *((volatile  uint8_t *)(0x4266E004UL))
#define bFM3_GPIO_PZR0_P1                         *((volatile  uint8_t *)(0x4266E004UL))
#define bFM_GPIO_PZR0_P2                          *((volatile  uint8_t *)(0x4266E008UL))
#define bFM3_GPIO_PZR0_P2                         *((volatile  uint8_t *)(0x4266E008UL))
#define bFM_GPIO_PZR0_P3                          *((volatile  uint8_t *)(0x4266E00CUL))
#define bFM3_GPIO_PZR0_P3                         *((volatile  uint8_t *)(0x4266E00CUL))
#define bFM_GPIO_PZR0_P4                          *((volatile  uint8_t *)(0x4266E010UL))
#define bFM3_GPIO_PZR0_P4                         *((volatile  uint8_t *)(0x4266E010UL))
#define bFM_GPIO_PZR0_P7                          *((volatile  uint8_t *)(0x4266E01CUL))
#define bFM3_GPIO_PZR0_P7                         *((volatile  uint8_t *)(0x4266E01CUL))
#define bFM_GPIO_PZR0_PA                          *((volatile  uint8_t *)(0x4266E028UL))
#define bFM3_GPIO_PZR0_PA                         *((volatile  uint8_t *)(0x4266E028UL))
#define bFM_GPIO_PZR0_PB                          *((volatile  uint8_t *)(0x4266E02CUL))
#define bFM3_GPIO_PZR0_PB                         *((volatile  uint8_t *)(0x4266E02CUL))
#define bFM_GPIO_PZR0_PC                          *((volatile  uint8_t *)(0x4266E030UL))
#define bFM3_GPIO_PZR0_PC                         *((volatile  uint8_t *)(0x4266E030UL))
#define bFM_GPIO_PZR0_PD                          *((volatile  uint8_t *)(0x4266E034UL))
#define bFM3_GPIO_PZR0_PD                         *((volatile  uint8_t *)(0x4266E034UL))
#define bFM_GPIO_PZR0_PE                          *((volatile  uint8_t *)(0x4266E038UL))
#define bFM3_GPIO_PZR0_PE                         *((volatile  uint8_t *)(0x4266E038UL))
#define bFM_GPIO_PZR0_PF                          *((volatile  uint8_t *)(0x4266E03CUL))
#define bFM3_GPIO_PZR0_PF                         *((volatile  uint8_t *)(0x4266E03CUL))

#define bFM_GPIO_PZR1_P0                          *((volatile  uint8_t *)(0x4266E080UL))
#define bFM3_GPIO_PZR1_P0                         *((volatile  uint8_t *)(0x4266E080UL))
#define bFM_GPIO_PZR1_P1                          *((volatile  uint8_t *)(0x4266E084UL))
#define bFM3_GPIO_PZR1_P1                         *((volatile  uint8_t *)(0x4266E084UL))
#define bFM_GPIO_PZR1_P2                          *((volatile  uint8_t *)(0x4266E088UL))
#define bFM3_GPIO_PZR1_P2                         *((volatile  uint8_t *)(0x4266E088UL))
#define bFM_GPIO_PZR1_P3                          *((volatile  uint8_t *)(0x4266E08CUL))
#define bFM3_GPIO_PZR1_P3                         *((volatile  uint8_t *)(0x4266E08CUL))
#define bFM_GPIO_PZR1_P4                          *((volatile  uint8_t *)(0x4266E090UL))
#define bFM3_GPIO_PZR1_P4                         *((volatile  uint8_t *)(0x4266E090UL))
#define bFM_GPIO_PZR1_P5                          *((volatile  uint8_t *)(0x4266E094UL))
#define bFM3_GPIO_PZR1_P5                         *((volatile  uint8_t *)(0x4266E094UL))
#define bFM_GPIO_PZR1_P6                          *((volatile  uint8_t *)(0x4266E098UL))
#define bFM3_GPIO_PZR1_P6                         *((volatile  uint8_t *)(0x4266E098UL))
#define bFM_GPIO_PZR1_P7                          *((volatile  uint8_t *)(0x4266E09CUL))
#define bFM3_GPIO_PZR1_P7                         *((volatile  uint8_t *)(0x4266E09CUL))
#define bFM_GPIO_PZR1_P8                          *((volatile  uint8_t *)(0x4266E0A0UL))
#define bFM3_GPIO_PZR1_P8                         *((volatile  uint8_t *)(0x4266E0A0UL))
#define bFM_GPIO_PZR1_P9                          *((volatile  uint8_t *)(0x4266E0A4UL))
#define bFM3_GPIO_PZR1_P9                         *((volatile  uint8_t *)(0x4266E0A4UL))
#define bFM_GPIO_PZR1_PA                          *((volatile  uint8_t *)(0x4266E0A8UL))
#define bFM3_GPIO_PZR1_PA                         *((volatile  uint8_t *)(0x4266E0A8UL))
#define bFM_GPIO_PZR1_PB                          *((volatile  uint8_t *)(0x4266E0ACUL))
#define bFM3_GPIO_PZR1_PB                         *((volatile  uint8_t *)(0x4266E0ACUL))

#define bFM_GPIO_PZR2_P0                          *((volatile  uint8_t *)(0x4266E100UL))
#define bFM3_GPIO_PZR2_P0                         *((volatile  uint8_t *)(0x4266E100UL))
#define bFM_GPIO_PZR2_P1                          *((volatile  uint8_t *)(0x4266E104UL))
#define bFM3_GPIO_PZR2_P1                         *((volatile  uint8_t *)(0x4266E104UL))
#define bFM_GPIO_PZR2_P2                          *((volatile  uint8_t *)(0x4266E108UL))
#define bFM3_GPIO_PZR2_P2                         *((volatile  uint8_t *)(0x4266E108UL))
#define bFM_GPIO_PZR2_P3                          *((volatile  uint8_t *)(0x4266E10CUL))
#define bFM3_GPIO_PZR2_P3                         *((volatile  uint8_t *)(0x4266E10CUL))

#define bFM_GPIO_PZR3_P0                          *((volatile  uint8_t *)(0x4266E180UL))
#define bFM3_GPIO_PZR3_P0                         *((volatile  uint8_t *)(0x4266E180UL))
#define bFM_GPIO_PZR3_P1                          *((volatile  uint8_t *)(0x4266E184UL))
#define bFM3_GPIO_PZR3_P1                         *((volatile  uint8_t *)(0x4266E184UL))
#define bFM_GPIO_PZR3_P2                          *((volatile  uint8_t *)(0x4266E188UL))
#define bFM3_GPIO_PZR3_P2                         *((volatile  uint8_t *)(0x4266E188UL))
#define bFM_GPIO_PZR3_P3                          *((volatile  uint8_t *)(0x4266E18CUL))
#define bFM3_GPIO_PZR3_P3                         *((volatile  uint8_t *)(0x4266E18CUL))
#define bFM_GPIO_PZR3_P9                          *((volatile  uint8_t *)(0x4266E1A4UL))
#define bFM3_GPIO_PZR3_P9                         *((volatile  uint8_t *)(0x4266E1A4UL))
#define bFM_GPIO_PZR3_PA                          *((volatile  uint8_t *)(0x4266E1A8UL))
#define bFM3_GPIO_PZR3_PA                         *((volatile  uint8_t *)(0x4266E1A8UL))
#define bFM_GPIO_PZR3_PB                          *((volatile  uint8_t *)(0x4266E1ACUL))
#define bFM3_GPIO_PZR3_PB                         *((volatile  uint8_t *)(0x4266E1ACUL))
#define bFM_GPIO_PZR3_PC                          *((volatile  uint8_t *)(0x4266E1B0UL))
#define bFM3_GPIO_PZR3_PC                         *((volatile  uint8_t *)(0x4266E1B0UL))
#define bFM_GPIO_PZR3_PD                          *((volatile  uint8_t *)(0x4266E1B4UL))
#define bFM3_GPIO_PZR3_PD                         *((volatile  uint8_t *)(0x4266E1B4UL))
#define bFM_GPIO_PZR3_PE                          *((volatile  uint8_t *)(0x4266E1B8UL))
#define bFM3_GPIO_PZR3_PE                         *((volatile  uint8_t *)(0x4266E1B8UL))
#define bFM_GPIO_PZR3_PF                          *((volatile  uint8_t *)(0x4266E1BCUL))
#define bFM3_GPIO_PZR3_PF                         *((volatile  uint8_t *)(0x4266E1BCUL))

#define bFM_GPIO_PZR4_P4                          *((volatile  uint8_t *)(0x4266E210UL))
#define bFM3_GPIO_PZR4_P4                         *((volatile  uint8_t *)(0x4266E210UL))
#define bFM_GPIO_PZR4_P5                          *((volatile  uint8_t *)(0x4266E214UL))
#define bFM3_GPIO_PZR4_P5                         *((volatile  uint8_t *)(0x4266E214UL))
#define bFM_GPIO_PZR4_P6                          *((volatile  uint8_t *)(0x4266E218UL))
#define bFM3_GPIO_PZR4_P6                         *((volatile  uint8_t *)(0x4266E218UL))
#define bFM_GPIO_PZR4_P7                          *((volatile  uint8_t *)(0x4266E21CUL))
#define bFM3_GPIO_PZR4_P7                         *((volatile  uint8_t *)(0x4266E21CUL))
#define bFM_GPIO_PZR4_P8                          *((volatile  uint8_t *)(0x4266E220UL))
#define bFM3_GPIO_PZR4_P8                         *((volatile  uint8_t *)(0x4266E220UL))
#define bFM_GPIO_PZR4_P9                          *((volatile  uint8_t *)(0x4266E224UL))
#define bFM3_GPIO_PZR4_P9                         *((volatile  uint8_t *)(0x4266E224UL))
#define bFM_GPIO_PZR4_PA                          *((volatile  uint8_t *)(0x4266E228UL))
#define bFM3_GPIO_PZR4_PA                         *((volatile  uint8_t *)(0x4266E228UL))
#define bFM_GPIO_PZR4_PB                          *((volatile  uint8_t *)(0x4266E22CUL))
#define bFM3_GPIO_PZR4_PB                         *((volatile  uint8_t *)(0x4266E22CUL))
#define bFM_GPIO_PZR4_PC                          *((volatile  uint8_t *)(0x4266E230UL))
#define bFM3_GPIO_PZR4_PC                         *((volatile  uint8_t *)(0x4266E230UL))
#define bFM_GPIO_PZR4_PD                          *((volatile  uint8_t *)(0x4266E234UL))
#define bFM3_GPIO_PZR4_PD                         *((volatile  uint8_t *)(0x4266E234UL))
#define bFM_GPIO_PZR4_PE                          *((volatile  uint8_t *)(0x4266E238UL))
#define bFM3_GPIO_PZR4_PE                         *((volatile  uint8_t *)(0x4266E238UL))

#define bFM_GPIO_PZR5_P0                          *((volatile  uint8_t *)(0x4266E280UL))
#define bFM3_GPIO_PZR5_P0                         *((volatile  uint8_t *)(0x4266E280UL))
#define bFM_GPIO_PZR5_P1                          *((volatile  uint8_t *)(0x4266E284UL))
#define bFM3_GPIO_PZR5_P1                         *((volatile  uint8_t *)(0x4266E284UL))
#define bFM_GPIO_PZR5_P2                          *((volatile  uint8_t *)(0x4266E288UL))
#define bFM3_GPIO_PZR5_P2                         *((volatile  uint8_t *)(0x4266E288UL))
#define bFM_GPIO_PZR5_P3                          *((volatile  uint8_t *)(0x4266E28CUL))
#define bFM3_GPIO_PZR5_P3                         *((volatile  uint8_t *)(0x4266E28CUL))
#define bFM_GPIO_PZR5_P4                          *((volatile  uint8_t *)(0x4266E290UL))
#define bFM3_GPIO_PZR5_P4                         *((volatile  uint8_t *)(0x4266E290UL))
#define bFM_GPIO_PZR5_P5                          *((volatile  uint8_t *)(0x4266E294UL))
#define bFM3_GPIO_PZR5_P5                         *((volatile  uint8_t *)(0x4266E294UL))
#define bFM_GPIO_PZR5_P6                          *((volatile  uint8_t *)(0x4266E298UL))
#define bFM3_GPIO_PZR5_P6                         *((volatile  uint8_t *)(0x4266E298UL))

#define bFM_GPIO_PZR6_P0                          *((volatile  uint8_t *)(0x4266E300UL))
#define bFM3_GPIO_PZR6_P0                         *((volatile  uint8_t *)(0x4266E300UL))
#define bFM_GPIO_PZR6_P1                          *((volatile  uint8_t *)(0x4266E304UL))
#define bFM3_GPIO_PZR6_P1                         *((volatile  uint8_t *)(0x4266E304UL))
#define bFM_GPIO_PZR6_P2                          *((volatile  uint8_t *)(0x4266E308UL))
#define bFM3_GPIO_PZR6_P2                         *((volatile  uint8_t *)(0x4266E308UL))
#define bFM_GPIO_PZR6_P3                          *((volatile  uint8_t *)(0x4266E30CUL))
#define bFM3_GPIO_PZR6_P3                         *((volatile  uint8_t *)(0x4266E30CUL))

#define bFM_GPIO_PZR8_P0                          *((volatile  uint8_t *)(0x4266E400UL))
#define bFM3_GPIO_PZR8_P0                         *((volatile  uint8_t *)(0x4266E400UL))
#define bFM_GPIO_PZR8_P1                          *((volatile  uint8_t *)(0x4266E404UL))
#define bFM3_GPIO_PZR8_P1                         *((volatile  uint8_t *)(0x4266E404UL))

#define bFM_GPIO_PZRE_P0                          *((volatile  uint8_t *)(0x4266E700UL))
#define bFM3_GPIO_PZRE_P0                         *((volatile  uint8_t *)(0x4266E700UL))
#define bFM_GPIO_PZRE_P2                          *((volatile  uint8_t *)(0x4266E708UL))
#define bFM3_GPIO_PZRE_P2                         *((volatile  uint8_t *)(0x4266E708UL))
#define bFM_GPIO_PZRE_P3                          *((volatile  uint8_t *)(0x4266E70CUL))
#define bFM3_GPIO_PZRE_P3                         *((volatile  uint8_t *)(0x4266E70CUL))

#define bFM_GPIO_SPSR_USB0C                       *((volatile  uint8_t *)(0x4266B010UL))
#define bFM3_GPIO_SPSR_USB0C                      *((volatile  uint8_t *)(0x4266B010UL))
#define bFM_GPIO_SPSR_USB1C                       *((volatile  uint8_t *)(0x4266B014UL))
#define bFM3_GPIO_SPSR_USB1C                      *((volatile  uint8_t *)(0x4266B014UL))


/******************************************************************************
 ** HDMICEC Registers HDMICEC0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_HDMICEC0_RCCKD_CKSEL                  *((volatile  uint16_t*)(0x42680B30UL))
#define bFM3_HDMICEC0_RCCKD_CKSEL                 *((volatile  uint16_t*)(0x42680B30UL))

#define bFM_HDMICEC0_RCCR_EN                      *((volatile  uint8_t *)(0x42680820UL))
#define bFM3_HDMICEC0_RCCR_EN                     *((volatile  uint8_t *)(0x42680820UL))
#define bFM_HDMICEC0_RCCR_ADRCE                   *((volatile  uint8_t *)(0x4268082CUL))
#define bFM3_HDMICEC0_RCCR_ADRCE                  *((volatile  uint8_t *)(0x4268082CUL))
#define bFM_HDMICEC0_RCCR_THSEL                   *((volatile  uint8_t *)(0x4268083CUL))
#define bFM3_HDMICEC0_RCCR_THSEL                  *((volatile  uint8_t *)(0x4268083CUL))

#define bFM_HDMICEC0_RCLE_LES                     *((volatile  uint8_t *)(0x42680C20UL))
#define bFM3_HDMICEC0_RCLE_LES                    *((volatile  uint8_t *)(0x42680C20UL))
#define bFM_HDMICEC0_RCLE_LEL                     *((volatile  uint8_t *)(0x42680C24UL))
#define bFM3_HDMICEC0_RCLE_LEL                    *((volatile  uint8_t *)(0x42680C24UL))
#define bFM_HDMICEC0_RCLE_EPE                     *((volatile  uint8_t *)(0x42680C2CUL))
#define bFM3_HDMICEC0_RCLE_EPE                    *((volatile  uint8_t *)(0x42680C2CUL))
#define bFM_HDMICEC0_RCLE_LESE                    *((volatile  uint8_t *)(0x42680C30UL))
#define bFM3_HDMICEC0_RCLE_LESE                   *((volatile  uint8_t *)(0x42680C30UL))
#define bFM_HDMICEC0_RCLE_LELE                    *((volatile  uint8_t *)(0x42680C34UL))
#define bFM3_HDMICEC0_RCLE_LELE                   *((volatile  uint8_t *)(0x42680C34UL))
#define bFM_HDMICEC0_RCLE_LESIE                   *((volatile  uint8_t *)(0x42680C38UL))
#define bFM3_HDMICEC0_RCLE_LESIE                  *((volatile  uint8_t *)(0x42680C38UL))
#define bFM_HDMICEC0_RCLE_LELIE                   *((volatile  uint8_t *)(0x42680C3CUL))
#define bFM3_HDMICEC0_RCLE_LELIE                  *((volatile  uint8_t *)(0x42680C3CUL))

#define bFM_HDMICEC0_RCRC_RC                      *((volatile  uint8_t *)(0x42680BA0UL))
#define bFM3_HDMICEC0_RCRC_RC                     *((volatile  uint8_t *)(0x42680BA0UL))
#define bFM_HDMICEC0_RCRC_RCIE                    *((volatile  uint8_t *)(0x42680BB0UL))
#define bFM3_HDMICEC0_RCRC_RCIE                   *((volatile  uint8_t *)(0x42680BB0UL))

#define bFM_HDMICEC0_RCST_OVF                     *((volatile  uint8_t *)(0x42680800UL))
#define bFM3_HDMICEC0_RCST_OVF                    *((volatile  uint8_t *)(0x42680800UL))
#define bFM_HDMICEC0_RCST_EOM                     *((volatile  uint8_t *)(0x42680804UL))
#define bFM3_HDMICEC0_RCST_EOM                    *((volatile  uint8_t *)(0x42680804UL))
#define bFM_HDMICEC0_RCST_ACK                     *((volatile  uint8_t *)(0x42680808UL))
#define bFM3_HDMICEC0_RCST_ACK                    *((volatile  uint8_t *)(0x42680808UL))
#define bFM_HDMICEC0_RCST_ST                      *((volatile  uint8_t *)(0x4268080CUL))
#define bFM3_HDMICEC0_RCST_ST                     *((volatile  uint8_t *)(0x4268080CUL))
#define bFM_HDMICEC0_RCST_OVFSEL                  *((volatile  uint8_t *)(0x42680810UL))
#define bFM3_HDMICEC0_RCST_OVFSEL                 *((volatile  uint8_t *)(0x42680810UL))
#define bFM_HDMICEC0_RCST_OVFIE                   *((volatile  uint8_t *)(0x42680814UL))
#define bFM3_HDMICEC0_RCST_OVFIE                  *((volatile  uint8_t *)(0x42680814UL))
#define bFM_HDMICEC0_RCST_ACKIE                   *((volatile  uint8_t *)(0x42680818UL))
#define bFM3_HDMICEC0_RCST_ACKIE                  *((volatile  uint8_t *)(0x42680818UL))
#define bFM_HDMICEC0_RCST_STIE                    *((volatile  uint8_t *)(0x4268081CUL))
#define bFM3_HDMICEC0_RCST_STIE                   *((volatile  uint8_t *)(0x4268081CUL))

#define bFM_HDMICEC0_TXCTRL_TXEN                  *((volatile  uint8_t *)(0x42680000UL))
#define bFM3_HDMICEC0_TXCTRL_TXEN                 *((volatile  uint8_t *)(0x42680000UL))
#define bFM_HDMICEC0_TXCTRL_START                 *((volatile  uint8_t *)(0x42680008UL))
#define bFM3_HDMICEC0_TXCTRL_START                *((volatile  uint8_t *)(0x42680008UL))
#define bFM_HDMICEC0_TXCTRL_EOM                   *((volatile  uint8_t *)(0x4268000CUL))
#define bFM3_HDMICEC0_TXCTRL_EOM                  *((volatile  uint8_t *)(0x4268000CUL))
#define bFM_HDMICEC0_TXCTRL_ITSTEN                *((volatile  uint8_t *)(0x42680010UL))
#define bFM3_HDMICEC0_TXCTRL_ITSTEN               *((volatile  uint8_t *)(0x42680010UL))
#define bFM_HDMICEC0_TXCTRL_IBREN                 *((volatile  uint8_t *)(0x42680014UL))
#define bFM3_HDMICEC0_TXCTRL_IBREN                *((volatile  uint8_t *)(0x42680014UL))

#define bFM_HDMICEC0_TXSTS_ACKSV                  *((volatile  uint8_t *)(0x42680100UL))
#define bFM3_HDMICEC0_TXSTS_ACKSV                 *((volatile  uint8_t *)(0x42680100UL))
#define bFM_HDMICEC0_TXSTS_ITST                   *((volatile  uint8_t *)(0x42680110UL))
#define bFM3_HDMICEC0_TXSTS_ITST                  *((volatile  uint8_t *)(0x42680110UL))
#define bFM_HDMICEC0_TXSTS_IBR                    *((volatile  uint8_t *)(0x42680114UL))
#define bFM3_HDMICEC0_TXSTS_IBR                   *((volatile  uint8_t *)(0x42680114UL))


/******************************************************************************
 ** HDMICEC Registers HDMICEC1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_HDMICEC1_RCCKD_CKSEL                  *((volatile  uint16_t*)(0x42682B30UL))
#define bFM3_HDMICEC1_RCCKD_CKSEL                 *((volatile  uint16_t*)(0x42682B30UL))

#define bFM_HDMICEC1_RCCR_EN                      *((volatile  uint8_t *)(0x42682820UL))
#define bFM3_HDMICEC1_RCCR_EN                     *((volatile  uint8_t *)(0x42682820UL))
#define bFM_HDMICEC1_RCCR_ADRCE                   *((volatile  uint8_t *)(0x4268282CUL))
#define bFM3_HDMICEC1_RCCR_ADRCE                  *((volatile  uint8_t *)(0x4268282CUL))
#define bFM_HDMICEC1_RCCR_THSEL                   *((volatile  uint8_t *)(0x4268283CUL))
#define bFM3_HDMICEC1_RCCR_THSEL                  *((volatile  uint8_t *)(0x4268283CUL))

#define bFM_HDMICEC1_RCLE_LES                     *((volatile  uint8_t *)(0x42682C20UL))
#define bFM3_HDMICEC1_RCLE_LES                    *((volatile  uint8_t *)(0x42682C20UL))
#define bFM_HDMICEC1_RCLE_LEL                     *((volatile  uint8_t *)(0x42682C24UL))
#define bFM3_HDMICEC1_RCLE_LEL                    *((volatile  uint8_t *)(0x42682C24UL))
#define bFM_HDMICEC1_RCLE_EPE                     *((volatile  uint8_t *)(0x42682C2CUL))
#define bFM3_HDMICEC1_RCLE_EPE                    *((volatile  uint8_t *)(0x42682C2CUL))
#define bFM_HDMICEC1_RCLE_LESE                    *((volatile  uint8_t *)(0x42682C30UL))
#define bFM3_HDMICEC1_RCLE_LESE                   *((volatile  uint8_t *)(0x42682C30UL))
#define bFM_HDMICEC1_RCLE_LELE                    *((volatile  uint8_t *)(0x42682C34UL))
#define bFM3_HDMICEC1_RCLE_LELE                   *((volatile  uint8_t *)(0x42682C34UL))
#define bFM_HDMICEC1_RCLE_LESIE                   *((volatile  uint8_t *)(0x42682C38UL))
#define bFM3_HDMICEC1_RCLE_LESIE                  *((volatile  uint8_t *)(0x42682C38UL))
#define bFM_HDMICEC1_RCLE_LELIE                   *((volatile  uint8_t *)(0x42682C3CUL))
#define bFM3_HDMICEC1_RCLE_LELIE                  *((volatile  uint8_t *)(0x42682C3CUL))

#define bFM_HDMICEC1_RCRC_RC                      *((volatile  uint8_t *)(0x42682BA0UL))
#define bFM3_HDMICEC1_RCRC_RC                     *((volatile  uint8_t *)(0x42682BA0UL))
#define bFM_HDMICEC1_RCRC_RCIE                    *((volatile  uint8_t *)(0x42682BB0UL))
#define bFM3_HDMICEC1_RCRC_RCIE                   *((volatile  uint8_t *)(0x42682BB0UL))

#define bFM_HDMICEC1_RCST_OVF                     *((volatile  uint8_t *)(0x42682800UL))
#define bFM3_HDMICEC1_RCST_OVF                    *((volatile  uint8_t *)(0x42682800UL))
#define bFM_HDMICEC1_RCST_EOM                     *((volatile  uint8_t *)(0x42682804UL))
#define bFM3_HDMICEC1_RCST_EOM                    *((volatile  uint8_t *)(0x42682804UL))
#define bFM_HDMICEC1_RCST_ACK                     *((volatile  uint8_t *)(0x42682808UL))
#define bFM3_HDMICEC1_RCST_ACK                    *((volatile  uint8_t *)(0x42682808UL))
#define bFM_HDMICEC1_RCST_ST                      *((volatile  uint8_t *)(0x4268280CUL))
#define bFM3_HDMICEC1_RCST_ST                     *((volatile  uint8_t *)(0x4268280CUL))
#define bFM_HDMICEC1_RCST_OVFSEL                  *((volatile  uint8_t *)(0x42682810UL))
#define bFM3_HDMICEC1_RCST_OVFSEL                 *((volatile  uint8_t *)(0x42682810UL))
#define bFM_HDMICEC1_RCST_OVFIE                   *((volatile  uint8_t *)(0x42682814UL))
#define bFM3_HDMICEC1_RCST_OVFIE                  *((volatile  uint8_t *)(0x42682814UL))
#define bFM_HDMICEC1_RCST_ACKIE                   *((volatile  uint8_t *)(0x42682818UL))
#define bFM3_HDMICEC1_RCST_ACKIE                  *((volatile  uint8_t *)(0x42682818UL))
#define bFM_HDMICEC1_RCST_STIE                    *((volatile  uint8_t *)(0x4268281CUL))
#define bFM3_HDMICEC1_RCST_STIE                   *((volatile  uint8_t *)(0x4268281CUL))

#define bFM_HDMICEC1_TXCTRL_TXEN                  *((volatile  uint8_t *)(0x42682000UL))
#define bFM3_HDMICEC1_TXCTRL_TXEN                 *((volatile  uint8_t *)(0x42682000UL))
#define bFM_HDMICEC1_TXCTRL_START                 *((volatile  uint8_t *)(0x42682008UL))
#define bFM3_HDMICEC1_TXCTRL_START                *((volatile  uint8_t *)(0x42682008UL))
#define bFM_HDMICEC1_TXCTRL_EOM                   *((volatile  uint8_t *)(0x4268200CUL))
#define bFM3_HDMICEC1_TXCTRL_EOM                  *((volatile  uint8_t *)(0x4268200CUL))
#define bFM_HDMICEC1_TXCTRL_ITSTEN                *((volatile  uint8_t *)(0x42682010UL))
#define bFM3_HDMICEC1_TXCTRL_ITSTEN               *((volatile  uint8_t *)(0x42682010UL))
#define bFM_HDMICEC1_TXCTRL_IBREN                 *((volatile  uint8_t *)(0x42682014UL))
#define bFM3_HDMICEC1_TXCTRL_IBREN                *((volatile  uint8_t *)(0x42682014UL))

#define bFM_HDMICEC1_TXSTS_ACKSV                  *((volatile  uint8_t *)(0x42682100UL))
#define bFM3_HDMICEC1_TXSTS_ACKSV                 *((volatile  uint8_t *)(0x42682100UL))
#define bFM_HDMICEC1_TXSTS_ITST                   *((volatile  uint8_t *)(0x42682110UL))
#define bFM3_HDMICEC1_TXSTS_ITST                  *((volatile  uint8_t *)(0x42682110UL))
#define bFM_HDMICEC1_TXSTS_IBR                    *((volatile  uint8_t *)(0x42682114UL))
#define bFM3_HDMICEC1_TXSTS_IBR                   *((volatile  uint8_t *)(0x42682114UL))


/******************************************************************************
 ** HWWDT Registers HWWDT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_HWWDT_WDG_CTL_INTEN                   *((volatile  uint32_t*)(0x42220100UL))
#define bFM3_HWWDT_WDG_CTL_INTEN                  *((volatile  uint32_t*)(0x42220100UL))
#define bFM_HWWDT_WDG_CTL_RESEN                   *((volatile  uint32_t*)(0x42220104UL))
#define bFM3_HWWDT_WDG_CTL_RESEN                  *((volatile  uint32_t*)(0x42220104UL))

#define bFM_HWWDT_WDG_RIS_RIS                     *((volatile  uint32_t*)(0x42220200UL))
#define bFM3_HWWDT_WDG_RIS_RIS                    *((volatile  uint32_t*)(0x42220200UL))


/******************************************************************************
 ** INTREQ Registers INTREQ
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_INTREQ_DRQSEL_USBEP1                  *((volatile  uint8_t *)(0x42620000UL))
#define bFM3_INTREQ_DRQSEL_USBEP1                 *((volatile  uint8_t *)(0x42620000UL))
#define bFM_INTREQ_DRQSEL_USBEP2                  *((volatile  uint8_t *)(0x42620004UL))
#define bFM3_INTREQ_DRQSEL_USBEP2                 *((volatile  uint8_t *)(0x42620004UL))
#define bFM_INTREQ_DRQSEL_USBEP3                  *((volatile  uint8_t *)(0x42620008UL))
#define bFM3_INTREQ_DRQSEL_USBEP3                 *((volatile  uint8_t *)(0x42620008UL))
#define bFM_INTREQ_DRQSEL_USBEP4                  *((volatile  uint8_t *)(0x4262000CUL))
#define bFM3_INTREQ_DRQSEL_USBEP4                 *((volatile  uint8_t *)(0x4262000CUL))
#define bFM_INTREQ_DRQSEL_USBEP5                  *((volatile  uint8_t *)(0x42620010UL))
#define bFM3_INTREQ_DRQSEL_USBEP5                 *((volatile  uint8_t *)(0x42620010UL))
#define bFM_INTREQ_DRQSEL_ADCSCAN0                *((volatile  uint8_t *)(0x42620014UL))
#define bFM3_INTREQ_DRQSEL_ADCSCAN0               *((volatile  uint8_t *)(0x42620014UL))
#define bFM_INTREQ_DRQSEL_ADCSCAN1                *((volatile  uint8_t *)(0x42620018UL))
#define bFM3_INTREQ_DRQSEL_ADCSCAN1               *((volatile  uint8_t *)(0x42620018UL))
#define bFM_INTREQ_DRQSEL_ADCSCAN2                *((volatile  uint8_t *)(0x4262001CUL))
#define bFM3_INTREQ_DRQSEL_ADCSCAN2               *((volatile  uint8_t *)(0x4262001CUL))
#define bFM_INTREQ_DRQSEL_IRQ0BT0                 *((volatile  uint8_t *)(0x42620020UL))
#define bFM3_INTREQ_DRQSEL_IRQ0BT0                *((volatile  uint8_t *)(0x42620020UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT2                 *((volatile  uint8_t *)(0x42620024UL))
#define bFM3_INTREQ_DRQSEL_IRQ0BT2                *((volatile  uint8_t *)(0x42620024UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT4                 *((volatile  uint8_t *)(0x42620028UL))
#define bFM3_INTREQ_DRQSEL_IRQ0BT4                *((volatile  uint8_t *)(0x42620028UL))
#define bFM_INTREQ_DRQSEL_IRQ0BT6                 *((volatile  uint8_t *)(0x4262002CUL))
#define bFM3_INTREQ_DRQSEL_IRQ0BT6                *((volatile  uint8_t *)(0x4262002CUL))
#define bFM_INTREQ_DRQSEL_MFS0RX                  *((volatile  uint8_t *)(0x42620030UL))
#define bFM3_INTREQ_DRQSEL_MFS0RX                 *((volatile  uint8_t *)(0x42620030UL))
#define bFM_INTREQ_DRQSEL_MFS0TX                  *((volatile  uint8_t *)(0x42620034UL))
#define bFM3_INTREQ_DRQSEL_MFS0TX                 *((volatile  uint8_t *)(0x42620034UL))
#define bFM_INTREQ_DRQSEL_MFS1RX                  *((volatile  uint8_t *)(0x42620038UL))
#define bFM3_INTREQ_DRQSEL_MFS1RX                 *((volatile  uint8_t *)(0x42620038UL))
#define bFM_INTREQ_DRQSEL_MFS1TX                  *((volatile  uint8_t *)(0x4262003CUL))
#define bFM3_INTREQ_DRQSEL_MFS1TX                 *((volatile  uint8_t *)(0x4262003CUL))
#define bFM_INTREQ_DRQSEL_MFS2RX                  *((volatile  uint8_t *)(0x42620040UL))
#define bFM3_INTREQ_DRQSEL_MFS2RX                 *((volatile  uint8_t *)(0x42620040UL))
#define bFM_INTREQ_DRQSEL_MFS2TX                  *((volatile  uint8_t *)(0x42620044UL))
#define bFM3_INTREQ_DRQSEL_MFS2TX                 *((volatile  uint8_t *)(0x42620044UL))
#define bFM_INTREQ_DRQSEL_MFS3RX                  *((volatile  uint8_t *)(0x42620048UL))
#define bFM3_INTREQ_DRQSEL_MFS3RX                 *((volatile  uint8_t *)(0x42620048UL))
#define bFM_INTREQ_DRQSEL_MFS3TX                  *((volatile  uint8_t *)(0x4262004CUL))
#define bFM3_INTREQ_DRQSEL_MFS3TX                 *((volatile  uint8_t *)(0x4262004CUL))
#define bFM_INTREQ_DRQSEL_MFS4RX                  *((volatile  uint8_t *)(0x42620050UL))
#define bFM3_INTREQ_DRQSEL_MFS4RX                 *((volatile  uint8_t *)(0x42620050UL))
#define bFM_INTREQ_DRQSEL_MFS4TX                  *((volatile  uint8_t *)(0x42620054UL))
#define bFM3_INTREQ_DRQSEL_MFS4TX                 *((volatile  uint8_t *)(0x42620054UL))
#define bFM_INTREQ_DRQSEL_MFS5RX                  *((volatile  uint8_t *)(0x42620058UL))
#define bFM3_INTREQ_DRQSEL_MFS5RX                 *((volatile  uint8_t *)(0x42620058UL))
#define bFM_INTREQ_DRQSEL_MFS5TX                  *((volatile  uint8_t *)(0x4262005CUL))
#define bFM3_INTREQ_DRQSEL_MFS5TX                 *((volatile  uint8_t *)(0x4262005CUL))
#define bFM_INTREQ_DRQSEL_MFS6RX                  *((volatile  uint8_t *)(0x42620060UL))
#define bFM3_INTREQ_DRQSEL_MFS6RX                 *((volatile  uint8_t *)(0x42620060UL))
#define bFM_INTREQ_DRQSEL_MFS6TX                  *((volatile  uint8_t *)(0x42620064UL))
#define bFM3_INTREQ_DRQSEL_MFS6TX                 *((volatile  uint8_t *)(0x42620064UL))
#define bFM_INTREQ_DRQSEL_MFS7RX                  *((volatile  uint8_t *)(0x42620068UL))
#define bFM3_INTREQ_DRQSEL_MFS7RX                 *((volatile  uint8_t *)(0x42620068UL))
#define bFM_INTREQ_DRQSEL_MFS7TX                  *((volatile  uint8_t *)(0x4262006CUL))
#define bFM3_INTREQ_DRQSEL_MFS7TX                 *((volatile  uint8_t *)(0x4262006CUL))
#define bFM_INTREQ_DRQSEL_EXINT0                  *((volatile  uint8_t *)(0x42620070UL))
#define bFM3_INTREQ_DRQSEL_EXINT0                 *((volatile  uint8_t *)(0x42620070UL))
#define bFM_INTREQ_DRQSEL_EXINT1                  *((volatile  uint8_t *)(0x42620074UL))
#define bFM3_INTREQ_DRQSEL_EXINT1                 *((volatile  uint8_t *)(0x42620074UL))
#define bFM_INTREQ_DRQSEL_EXINT2                  *((volatile  uint8_t *)(0x42620078UL))
#define bFM3_INTREQ_DRQSEL_EXINT2                 *((volatile  uint8_t *)(0x42620078UL))
#define bFM_INTREQ_DRQSEL_EXINT3                  *((volatile  uint8_t *)(0x4262007CUL))
#define bFM3_INTREQ_DRQSEL_EXINT3                 *((volatile  uint8_t *)(0x4262007CUL))

#define bFM_INTREQ_DRQSEL1_USB1EP1                *((volatile  uint8_t *)(0x42624000UL))
#define bFM3_INTREQ_DRQSEL1_USB1EP1               *((volatile  uint8_t *)(0x42624000UL))
#define bFM_INTREQ_DRQSEL1_USB1EP2                *((volatile  uint8_t *)(0x42624004UL))
#define bFM3_INTREQ_DRQSEL1_USB1EP2               *((volatile  uint8_t *)(0x42624004UL))
#define bFM_INTREQ_DRQSEL1_USB1EP3                *((volatile  uint8_t *)(0x42624008UL))
#define bFM3_INTREQ_DRQSEL1_USB1EP3               *((volatile  uint8_t *)(0x42624008UL))
#define bFM_INTREQ_DRQSEL1_USB1EP4                *((volatile  uint8_t *)(0x4262400CUL))
#define bFM3_INTREQ_DRQSEL1_USB1EP4               *((volatile  uint8_t *)(0x4262400CUL))
#define bFM_INTREQ_DRQSEL1_USB1EP5                *((volatile  uint8_t *)(0x42624010UL))
#define bFM3_INTREQ_DRQSEL1_USB1EP5               *((volatile  uint8_t *)(0x42624010UL))

#define bFM_INTREQ_EXC02MON_NMI                   *((volatile  uint8_t *)(0x42620200UL))
#define bFM3_INTREQ_EXC02MON_NMI                  *((volatile  uint8_t *)(0x42620200UL))
#define bFM_INTREQ_EXC02MON_HWINT                 *((volatile  uint8_t *)(0x42620204UL))
#define bFM3_INTREQ_EXC02MON_HWINT                *((volatile  uint8_t *)(0x42620204UL))

#define bFM_INTREQ_IRQ00MON_FCSINT                *((volatile  uint8_t *)(0x42620280UL))
#define bFM3_INTREQ_IRQ00MON_FCSINT               *((volatile  uint8_t *)(0x42620280UL))

#define bFM_INTREQ_IRQ01MON_SWWDTINT              *((volatile  uint8_t *)(0x42620300UL))
#define bFM3_INTREQ_IRQ01MON_SWWDTINT             *((volatile  uint8_t *)(0x42620300UL))

#define bFM_INTREQ_IRQ02MON_LVDINT                *((volatile  uint8_t *)(0x42620380UL))
#define bFM3_INTREQ_IRQ02MON_LVDINT               *((volatile  uint8_t *)(0x42620380UL))

#define bFM_INTREQ_IRQ04MON_EXTINT0               *((volatile  uint8_t *)(0x42620480UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT0              *((volatile  uint8_t *)(0x42620480UL))
#define bFM_INTREQ_IRQ04MON_EXTINT1               *((volatile  uint8_t *)(0x42620484UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT1              *((volatile  uint8_t *)(0x42620484UL))
#define bFM_INTREQ_IRQ04MON_EXTINT2               *((volatile  uint8_t *)(0x42620488UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT2              *((volatile  uint8_t *)(0x42620488UL))
#define bFM_INTREQ_IRQ04MON_EXTINT3               *((volatile  uint8_t *)(0x4262048CUL))
#define bFM3_INTREQ_IRQ04MON_EXTINT3              *((volatile  uint8_t *)(0x4262048CUL))
#define bFM_INTREQ_IRQ04MON_EXTINT4               *((volatile  uint8_t *)(0x42620490UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT4              *((volatile  uint8_t *)(0x42620490UL))
#define bFM_INTREQ_IRQ04MON_EXTINT5               *((volatile  uint8_t *)(0x42620494UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT5              *((volatile  uint8_t *)(0x42620494UL))
#define bFM_INTREQ_IRQ04MON_EXTINT6               *((volatile  uint8_t *)(0x42620498UL))
#define bFM3_INTREQ_IRQ04MON_EXTINT6              *((volatile  uint8_t *)(0x42620498UL))
#define bFM_INTREQ_IRQ04MON_EXTINT7               *((volatile  uint8_t *)(0x4262049CUL))
#define bFM3_INTREQ_IRQ04MON_EXTINT7              *((volatile  uint8_t *)(0x4262049CUL))

#define bFM_INTREQ_IRQ05MON_EXTINT8               *((volatile  uint8_t *)(0x42620500UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT8              *((volatile  uint8_t *)(0x42620500UL))
#define bFM_INTREQ_IRQ05MON_EXTINT9               *((volatile  uint8_t *)(0x42620504UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT9              *((volatile  uint8_t *)(0x42620504UL))
#define bFM_INTREQ_IRQ05MON_EXTINT10              *((volatile  uint8_t *)(0x42620508UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT10             *((volatile  uint8_t *)(0x42620508UL))
#define bFM_INTREQ_IRQ05MON_EXTINT11              *((volatile  uint8_t *)(0x4262050CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT11             *((volatile  uint8_t *)(0x4262050CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT12              *((volatile  uint8_t *)(0x42620510UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT12             *((volatile  uint8_t *)(0x42620510UL))
#define bFM_INTREQ_IRQ05MON_EXTINT13              *((volatile  uint8_t *)(0x42620514UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT13             *((volatile  uint8_t *)(0x42620514UL))
#define bFM_INTREQ_IRQ05MON_EXTINT14              *((volatile  uint8_t *)(0x42620518UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT14             *((volatile  uint8_t *)(0x42620518UL))
#define bFM_INTREQ_IRQ05MON_EXTINT15              *((volatile  uint8_t *)(0x4262051CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT15             *((volatile  uint8_t *)(0x4262051CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT16              *((volatile  uint8_t *)(0x42620520UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT16             *((volatile  uint8_t *)(0x42620520UL))
#define bFM_INTREQ_IRQ05MON_EXTINT17              *((volatile  uint8_t *)(0x42620524UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT17             *((volatile  uint8_t *)(0x42620524UL))
#define bFM_INTREQ_IRQ05MON_EXTINT18              *((volatile  uint8_t *)(0x42620528UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT18             *((volatile  uint8_t *)(0x42620528UL))
#define bFM_INTREQ_IRQ05MON_EXTINT19              *((volatile  uint8_t *)(0x4262052CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT19             *((volatile  uint8_t *)(0x4262052CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT20              *((volatile  uint8_t *)(0x42620530UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT20             *((volatile  uint8_t *)(0x42620530UL))
#define bFM_INTREQ_IRQ05MON_EXTINT21              *((volatile  uint8_t *)(0x42620534UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT21             *((volatile  uint8_t *)(0x42620534UL))
#define bFM_INTREQ_IRQ05MON_EXTINT22              *((volatile  uint8_t *)(0x42620538UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT22             *((volatile  uint8_t *)(0x42620538UL))
#define bFM_INTREQ_IRQ05MON_EXTINT23              *((volatile  uint8_t *)(0x4262053CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT23             *((volatile  uint8_t *)(0x4262053CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT24              *((volatile  uint8_t *)(0x42620540UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT24             *((volatile  uint8_t *)(0x42620540UL))
#define bFM_INTREQ_IRQ05MON_EXTINT25              *((volatile  uint8_t *)(0x42620544UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT25             *((volatile  uint8_t *)(0x42620544UL))
#define bFM_INTREQ_IRQ05MON_EXTINT26              *((volatile  uint8_t *)(0x42620548UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT26             *((volatile  uint8_t *)(0x42620548UL))
#define bFM_INTREQ_IRQ05MON_EXTINT27              *((volatile  uint8_t *)(0x4262054CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT27             *((volatile  uint8_t *)(0x4262054CUL))
#define bFM_INTREQ_IRQ05MON_EXTINT28              *((volatile  uint8_t *)(0x42620550UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT28             *((volatile  uint8_t *)(0x42620550UL))
#define bFM_INTREQ_IRQ05MON_EXTINT29              *((volatile  uint8_t *)(0x42620554UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT29             *((volatile  uint8_t *)(0x42620554UL))
#define bFM_INTREQ_IRQ05MON_EXTINT30              *((volatile  uint8_t *)(0x42620558UL))
#define bFM3_INTREQ_IRQ05MON_EXTINT30             *((volatile  uint8_t *)(0x42620558UL))
#define bFM_INTREQ_IRQ05MON_EXTINT31              *((volatile  uint8_t *)(0x4262055CUL))
#define bFM3_INTREQ_IRQ05MON_EXTINT31             *((volatile  uint8_t *)(0x4262055CUL))

#define bFM_INTREQ_IRQ23MON_PPGINT00              *((volatile  uint8_t *)(0x42620E00UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT00             *((volatile  uint8_t *)(0x42620E00UL))
#define bFM_INTREQ_IRQ23MON_PPGINT02              *((volatile  uint8_t *)(0x42620E04UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT02             *((volatile  uint8_t *)(0x42620E04UL))
#define bFM_INTREQ_IRQ23MON_PPGINT04              *((volatile  uint8_t *)(0x42620E08UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT04             *((volatile  uint8_t *)(0x42620E08UL))
#define bFM_INTREQ_IRQ23MON_PPGINT08              *((volatile  uint8_t *)(0x42620E0CUL))
#define bFM3_INTREQ_IRQ23MON_PPGINT08             *((volatile  uint8_t *)(0x42620E0CUL))
#define bFM_INTREQ_IRQ23MON_PPGINT10              *((volatile  uint8_t *)(0x42620E10UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT10             *((volatile  uint8_t *)(0x42620E10UL))
#define bFM_INTREQ_IRQ23MON_PPGINT12              *((volatile  uint8_t *)(0x42620E14UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT12             *((volatile  uint8_t *)(0x42620E14UL))
#define bFM_INTREQ_IRQ23MON_PPGINT16              *((volatile  uint8_t *)(0x42620E18UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT16             *((volatile  uint8_t *)(0x42620E18UL))
#define bFM_INTREQ_IRQ23MON_PPGINT18              *((volatile  uint8_t *)(0x42620E1CUL))
#define bFM3_INTREQ_IRQ23MON_PPGINT18             *((volatile  uint8_t *)(0x42620E1CUL))
#define bFM_INTREQ_IRQ23MON_PPGINT20              *((volatile  uint8_t *)(0x42620E20UL))
#define bFM3_INTREQ_IRQ23MON_PPGINT20             *((volatile  uint8_t *)(0x42620E20UL))

#define bFM_INTREQ_IRQ24MON_MOSCINT               *((volatile  uint8_t *)(0x42620E80UL))
#define bFM3_INTREQ_IRQ24MON_MOSCINT              *((volatile  uint8_t *)(0x42620E80UL))
#define bFM_INTREQ_IRQ24MON_SOSCINT               *((volatile  uint8_t *)(0x42620E84UL))
#define bFM3_INTREQ_IRQ24MON_SOSCINT              *((volatile  uint8_t *)(0x42620E84UL))
#define bFM_INTREQ_IRQ24MON_MPLLINT               *((volatile  uint8_t *)(0x42620E88UL))
#define bFM3_INTREQ_IRQ24MON_MPLLINT              *((volatile  uint8_t *)(0x42620E88UL))
#define bFM_INTREQ_IRQ24MON_UPLLINT               *((volatile  uint8_t *)(0x42620E8CUL))
#define bFM3_INTREQ_IRQ24MON_UPLLINT              *((volatile  uint8_t *)(0x42620E8CUL))
#define bFM_INTREQ_IRQ24MON_WCINT                 *((volatile  uint8_t *)(0x42620E90UL))
#define bFM3_INTREQ_IRQ24MON_WCINT                *((volatile  uint8_t *)(0x42620E90UL))
#define bFM_INTREQ_IRQ24MON_RTCINT                *((volatile  uint8_t *)(0x42620E94UL))
#define bFM3_INTREQ_IRQ24MON_RTCINT               *((volatile  uint8_t *)(0x42620E94UL))

#define bFM_INTREQ_IRQ25MON_ADCINT0               *((volatile  uint8_t *)(0x42620F00UL))
#define bFM3_INTREQ_IRQ25MON_ADCINT0              *((volatile  uint8_t *)(0x42620F00UL))
#define bFM_INTREQ_IRQ25MON_ADCINT1               *((volatile  uint8_t *)(0x42620F04UL))
#define bFM3_INTREQ_IRQ25MON_ADCINT1              *((volatile  uint8_t *)(0x42620F04UL))
#define bFM_INTREQ_IRQ25MON_ADCINT2               *((volatile  uint8_t *)(0x42620F08UL))
#define bFM3_INTREQ_IRQ25MON_ADCINT2              *((volatile  uint8_t *)(0x42620F08UL))
#define bFM_INTREQ_IRQ25MON_ADCINT3               *((volatile  uint8_t *)(0x42620F0CUL))
#define bFM3_INTREQ_IRQ25MON_ADCINT3              *((volatile  uint8_t *)(0x42620F0CUL))

#define bFM_INTREQ_IRQ26MON_ADCINT0               *((volatile  uint8_t *)(0x42620F80UL))
#define bFM3_INTREQ_IRQ26MON_ADCINT0              *((volatile  uint8_t *)(0x42620F80UL))
#define bFM_INTREQ_IRQ26MON_ADCINT1               *((volatile  uint8_t *)(0x42620F84UL))
#define bFM3_INTREQ_IRQ26MON_ADCINT1              *((volatile  uint8_t *)(0x42620F84UL))
#define bFM_INTREQ_IRQ26MON_ADCINT2               *((volatile  uint8_t *)(0x42620F88UL))
#define bFM3_INTREQ_IRQ26MON_ADCINT2              *((volatile  uint8_t *)(0x42620F88UL))
#define bFM_INTREQ_IRQ26MON_ADCINT3               *((volatile  uint8_t *)(0x42620F8CUL))
#define bFM3_INTREQ_IRQ26MON_ADCINT3              *((volatile  uint8_t *)(0x42620F8CUL))

#define bFM_INTREQ_IRQ27MON_ADCINT0               *((volatile  uint8_t *)(0x42621000UL))
#define bFM3_INTREQ_IRQ27MON_ADCINT0              *((volatile  uint8_t *)(0x42621000UL))
#define bFM_INTREQ_IRQ27MON_ADCINT1               *((volatile  uint8_t *)(0x42621004UL))
#define bFM3_INTREQ_IRQ27MON_ADCINT1              *((volatile  uint8_t *)(0x42621004UL))
#define bFM_INTREQ_IRQ27MON_ADCINT2               *((volatile  uint8_t *)(0x42621008UL))
#define bFM3_INTREQ_IRQ27MON_ADCINT2              *((volatile  uint8_t *)(0x42621008UL))
#define bFM_INTREQ_IRQ27MON_ADCINT3               *((volatile  uint8_t *)(0x4262100CUL))
#define bFM3_INTREQ_IRQ27MON_ADCINT3              *((volatile  uint8_t *)(0x4262100CUL))
#define bFM_INTREQ_IRQ27MON_LCDCINT               *((volatile  uint8_t *)(0x42621010UL))
#define bFM3_INTREQ_IRQ27MON_LCDCINT              *((volatile  uint8_t *)(0x42621010UL))

#define bFM_INTREQ_IRQ31MON_BTINT0                *((volatile  uint8_t *)(0x42621200UL))
#define bFM3_INTREQ_IRQ31MON_BTINT0               *((volatile  uint8_t *)(0x42621200UL))
#define bFM_INTREQ_IRQ31MON_BTINT1                *((volatile  uint8_t *)(0x42621204UL))
#define bFM3_INTREQ_IRQ31MON_BTINT1               *((volatile  uint8_t *)(0x42621204UL))
#define bFM_INTREQ_IRQ31MON_BTINT2                *((volatile  uint8_t *)(0x42621208UL))
#define bFM3_INTREQ_IRQ31MON_BTINT2               *((volatile  uint8_t *)(0x42621208UL))
#define bFM_INTREQ_IRQ31MON_BTINT3                *((volatile  uint8_t *)(0x4262120CUL))
#define bFM3_INTREQ_IRQ31MON_BTINT3               *((volatile  uint8_t *)(0x4262120CUL))
#define bFM_INTREQ_IRQ31MON_BTINT4                *((volatile  uint8_t *)(0x42621210UL))
#define bFM3_INTREQ_IRQ31MON_BTINT4               *((volatile  uint8_t *)(0x42621210UL))
#define bFM_INTREQ_IRQ31MON_BTINT5                *((volatile  uint8_t *)(0x42621214UL))
#define bFM3_INTREQ_IRQ31MON_BTINT5               *((volatile  uint8_t *)(0x42621214UL))
#define bFM_INTREQ_IRQ31MON_BTINT6                *((volatile  uint8_t *)(0x42621218UL))
#define bFM3_INTREQ_IRQ31MON_BTINT6               *((volatile  uint8_t *)(0x42621218UL))
#define bFM_INTREQ_IRQ31MON_BTINT7                *((volatile  uint8_t *)(0x4262121CUL))
#define bFM3_INTREQ_IRQ31MON_BTINT7               *((volatile  uint8_t *)(0x4262121CUL))
#define bFM_INTREQ_IRQ31MON_BTINT8                *((volatile  uint8_t *)(0x42621220UL))
#define bFM3_INTREQ_IRQ31MON_BTINT8               *((volatile  uint8_t *)(0x42621220UL))
#define bFM_INTREQ_IRQ31MON_BTINT9                *((volatile  uint8_t *)(0x42621224UL))
#define bFM3_INTREQ_IRQ31MON_BTINT9               *((volatile  uint8_t *)(0x42621224UL))
#define bFM_INTREQ_IRQ31MON_BTINT10               *((volatile  uint8_t *)(0x42621228UL))
#define bFM3_INTREQ_IRQ31MON_BTINT10              *((volatile  uint8_t *)(0x42621228UL))
#define bFM_INTREQ_IRQ31MON_BTINT11               *((volatile  uint8_t *)(0x4262122CUL))
#define bFM3_INTREQ_IRQ31MON_BTINT11              *((volatile  uint8_t *)(0x4262122CUL))
#define bFM_INTREQ_IRQ31MON_BTINT12               *((volatile  uint8_t *)(0x42621230UL))
#define bFM3_INTREQ_IRQ31MON_BTINT12              *((volatile  uint8_t *)(0x42621230UL))
#define bFM_INTREQ_IRQ31MON_BTINT13               *((volatile  uint8_t *)(0x42621234UL))
#define bFM3_INTREQ_IRQ31MON_BTINT13              *((volatile  uint8_t *)(0x42621234UL))
#define bFM_INTREQ_IRQ31MON_BTINT14               *((volatile  uint8_t *)(0x42621238UL))
#define bFM3_INTREQ_IRQ31MON_BTINT14              *((volatile  uint8_t *)(0x42621238UL))
#define bFM_INTREQ_IRQ31MON_BTINT15               *((volatile  uint8_t *)(0x4262123CUL))
#define bFM3_INTREQ_IRQ31MON_BTINT15              *((volatile  uint8_t *)(0x4262123CUL))

#define bFM_INTREQ_IRQ32MON_CAN0INT               *((volatile  uint8_t *)(0x42621280UL))
#define bFM3_INTREQ_IRQ32MON_CAN0INT              *((volatile  uint8_t *)(0x42621280UL))
#define bFM_INTREQ_IRQ32MON_MAC0SBD               *((volatile  uint8_t *)(0x42621284UL))
#define bFM3_INTREQ_IRQ32MON_MAC0SBD              *((volatile  uint8_t *)(0x42621284UL))
#define bFM_INTREQ_IRQ32MON_MAC0PMI               *((volatile  uint8_t *)(0x42621288UL))
#define bFM3_INTREQ_IRQ32MON_MAC0PMI              *((volatile  uint8_t *)(0x42621288UL))
#define bFM_INTREQ_IRQ32MON_MAC0LPI               *((volatile  uint8_t *)(0x4262128CUL))
#define bFM3_INTREQ_IRQ32MON_MAC0LPI              *((volatile  uint8_t *)(0x4262128CUL))

#define bFM_INTREQ_IRQ33MON_CAN1INT               *((volatile  uint8_t *)(0x42621300UL))
#define bFM3_INTREQ_IRQ33MON_CAN1INT              *((volatile  uint8_t *)(0x42621300UL))
#define bFM_INTREQ_IRQ33MON_MAC1SBD               *((volatile  uint8_t *)(0x42621304UL))
#define bFM3_INTREQ_IRQ33MON_MAC1SBD              *((volatile  uint8_t *)(0x42621304UL))
#define bFM_INTREQ_IRQ33MON_MAC1PMI               *((volatile  uint8_t *)(0x42621308UL))
#define bFM3_INTREQ_IRQ33MON_MAC1PMI              *((volatile  uint8_t *)(0x42621308UL))

#define bFM_INTREQ_IRQ34MON_USB0INT0              *((volatile  uint8_t *)(0x42621380UL))
#define bFM3_INTREQ_IRQ34MON_USB0INT0             *((volatile  uint8_t *)(0x42621380UL))
#define bFM_INTREQ_IRQ34MON_USB0INT1              *((volatile  uint8_t *)(0x42621384UL))
#define bFM3_INTREQ_IRQ34MON_USB0INT1             *((volatile  uint8_t *)(0x42621384UL))
#define bFM_INTREQ_IRQ34MON_USB0INT2              *((volatile  uint8_t *)(0x42621388UL))
#define bFM3_INTREQ_IRQ34MON_USB0INT2             *((volatile  uint8_t *)(0x42621388UL))
#define bFM_INTREQ_IRQ34MON_USB0INT3              *((volatile  uint8_t *)(0x4262138CUL))
#define bFM3_INTREQ_IRQ34MON_USB0INT3             *((volatile  uint8_t *)(0x4262138CUL))
#define bFM_INTREQ_IRQ34MON_USB0INT4              *((volatile  uint8_t *)(0x42621390UL))
#define bFM3_INTREQ_IRQ34MON_USB0INT4             *((volatile  uint8_t *)(0x42621390UL))

#define bFM_INTREQ_IRQ35MON_USB0INT0              *((volatile  uint8_t *)(0x42621400UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT0             *((volatile  uint8_t *)(0x42621400UL))
#define bFM_INTREQ_IRQ35MON_USB0INT1              *((volatile  uint8_t *)(0x42621404UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT1             *((volatile  uint8_t *)(0x42621404UL))
#define bFM_INTREQ_IRQ35MON_USB0INT2              *((volatile  uint8_t *)(0x42621408UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT2             *((volatile  uint8_t *)(0x42621408UL))
#define bFM_INTREQ_IRQ35MON_USB0INT3              *((volatile  uint8_t *)(0x4262140CUL))
#define bFM3_INTREQ_IRQ35MON_USB0INT3             *((volatile  uint8_t *)(0x4262140CUL))
#define bFM_INTREQ_IRQ35MON_USB0INT4              *((volatile  uint8_t *)(0x42621410UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT4             *((volatile  uint8_t *)(0x42621410UL))
#define bFM_INTREQ_IRQ35MON_USB0INT5              *((volatile  uint8_t *)(0x42621414UL))
#define bFM3_INTREQ_IRQ35MON_USB0INT5             *((volatile  uint8_t *)(0x42621414UL))

#define bFM_INTREQ_IRQ36MON_USB1INT0              *((volatile  uint8_t *)(0x42621480UL))
#define bFM3_INTREQ_IRQ36MON_USB1INT0             *((volatile  uint8_t *)(0x42621480UL))
#define bFM_INTREQ_IRQ36MON_USB1INT1              *((volatile  uint8_t *)(0x42621484UL))
#define bFM3_INTREQ_IRQ36MON_USB1INT1             *((volatile  uint8_t *)(0x42621484UL))
#define bFM_INTREQ_IRQ36MON_USB1INT2              *((volatile  uint8_t *)(0x42621488UL))
#define bFM3_INTREQ_IRQ36MON_USB1INT2             *((volatile  uint8_t *)(0x42621488UL))
#define bFM_INTREQ_IRQ36MON_USB1INT3              *((volatile  uint8_t *)(0x4262148CUL))
#define bFM3_INTREQ_IRQ36MON_USB1INT3             *((volatile  uint8_t *)(0x4262148CUL))
#define bFM_INTREQ_IRQ36MON_USB1INT4              *((volatile  uint8_t *)(0x42621490UL))
#define bFM3_INTREQ_IRQ36MON_USB1INT4             *((volatile  uint8_t *)(0x42621490UL))
#define bFM_INTREQ_IRQ36MON_RCEC0INT              *((volatile  uint8_t *)(0x42621494UL))
#define bFM3_INTREQ_IRQ36MON_RCEC0INT             *((volatile  uint8_t *)(0x42621494UL))

#define bFM_INTREQ_IRQ37MON_USB1INT0              *((volatile  uint8_t *)(0x42621500UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT0             *((volatile  uint8_t *)(0x42621500UL))
#define bFM_INTREQ_IRQ37MON_USB1INT1              *((volatile  uint8_t *)(0x42621504UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT1             *((volatile  uint8_t *)(0x42621504UL))
#define bFM_INTREQ_IRQ37MON_USB1INT2              *((volatile  uint8_t *)(0x42621508UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT2             *((volatile  uint8_t *)(0x42621508UL))
#define bFM_INTREQ_IRQ37MON_USB1INT3              *((volatile  uint8_t *)(0x4262150CUL))
#define bFM3_INTREQ_IRQ37MON_USB1INT3             *((volatile  uint8_t *)(0x4262150CUL))
#define bFM_INTREQ_IRQ37MON_USB1INT4              *((volatile  uint8_t *)(0x42621510UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT4             *((volatile  uint8_t *)(0x42621510UL))
#define bFM_INTREQ_IRQ37MON_USB1INT5              *((volatile  uint8_t *)(0x42621514UL))
#define bFM3_INTREQ_IRQ37MON_USB1INT5             *((volatile  uint8_t *)(0x42621514UL))
#define bFM_INTREQ_IRQ37MON_RCEC1INT              *((volatile  uint8_t *)(0x42621518UL))
#define bFM3_INTREQ_IRQ37MON_RCEC1INT             *((volatile  uint8_t *)(0x42621518UL))

#define bFM_INTREQ_IRQ38MON_DMAINT                *((volatile  uint8_t *)(0x42621580UL))
#define bFM3_INTREQ_IRQ38MON_DMAINT               *((volatile  uint8_t *)(0x42621580UL))

#define bFM_INTREQ_IRQ39MON_DMAINT                *((volatile  uint8_t *)(0x42621600UL))
#define bFM3_INTREQ_IRQ39MON_DMAINT               *((volatile  uint8_t *)(0x42621600UL))

#define bFM_INTREQ_IRQ40MON_DMAINT                *((volatile  uint8_t *)(0x42621680UL))
#define bFM3_INTREQ_IRQ40MON_DMAINT               *((volatile  uint8_t *)(0x42621680UL))

#define bFM_INTREQ_IRQ41MON_DMAINT                *((volatile  uint8_t *)(0x42621700UL))
#define bFM3_INTREQ_IRQ41MON_DMAINT               *((volatile  uint8_t *)(0x42621700UL))

#define bFM_INTREQ_IRQ42MON_DMAINT                *((volatile  uint8_t *)(0x42621780UL))
#define bFM3_INTREQ_IRQ42MON_DMAINT               *((volatile  uint8_t *)(0x42621780UL))

#define bFM_INTREQ_IRQ43MON_DMAINT                *((volatile  uint8_t *)(0x42621800UL))
#define bFM3_INTREQ_IRQ43MON_DMAINT               *((volatile  uint8_t *)(0x42621800UL))

#define bFM_INTREQ_IRQ44MON_DMAINT                *((volatile  uint8_t *)(0x42621880UL))
#define bFM3_INTREQ_IRQ44MON_DMAINT               *((volatile  uint8_t *)(0x42621880UL))

#define bFM_INTREQ_IRQ45MON_DMAINT                *((volatile  uint8_t *)(0x42621900UL))
#define bFM3_INTREQ_IRQ45MON_DMAINT               *((volatile  uint8_t *)(0x42621900UL))

#define bFM_INTREQ_IRQ46MON_BTINT0                *((volatile  uint8_t *)(0x42621980UL))
#define bFM3_INTREQ_IRQ46MON_BTINT0               *((volatile  uint8_t *)(0x42621980UL))
#define bFM_INTREQ_IRQ46MON_BTINT1                *((volatile  uint8_t *)(0x42621984UL))
#define bFM3_INTREQ_IRQ46MON_BTINT1               *((volatile  uint8_t *)(0x42621984UL))
#define bFM_INTREQ_IRQ46MON_BTINT2                *((volatile  uint8_t *)(0x42621988UL))
#define bFM3_INTREQ_IRQ46MON_BTINT2               *((volatile  uint8_t *)(0x42621988UL))
#define bFM_INTREQ_IRQ46MON_BTINT3                *((volatile  uint8_t *)(0x4262198CUL))
#define bFM3_INTREQ_IRQ46MON_BTINT3               *((volatile  uint8_t *)(0x4262198CUL))
#define bFM_INTREQ_IRQ46MON_BTINT4                *((volatile  uint8_t *)(0x42621990UL))
#define bFM3_INTREQ_IRQ46MON_BTINT4               *((volatile  uint8_t *)(0x42621990UL))
#define bFM_INTREQ_IRQ46MON_BTINT5                *((volatile  uint8_t *)(0x42621994UL))
#define bFM3_INTREQ_IRQ46MON_BTINT5               *((volatile  uint8_t *)(0x42621994UL))
#define bFM_INTREQ_IRQ46MON_BTINT6                *((volatile  uint8_t *)(0x42621998UL))
#define bFM3_INTREQ_IRQ46MON_BTINT6               *((volatile  uint8_t *)(0x42621998UL))
#define bFM_INTREQ_IRQ46MON_BTINT7                *((volatile  uint8_t *)(0x4262199CUL))
#define bFM3_INTREQ_IRQ46MON_BTINT7               *((volatile  uint8_t *)(0x4262199CUL))
#define bFM_INTREQ_IRQ46MON_BTINT8                *((volatile  uint8_t *)(0x426219A0UL))
#define bFM3_INTREQ_IRQ46MON_BTINT8               *((volatile  uint8_t *)(0x426219A0UL))
#define bFM_INTREQ_IRQ46MON_BTINT9                *((volatile  uint8_t *)(0x426219A4UL))
#define bFM3_INTREQ_IRQ46MON_BTINT9               *((volatile  uint8_t *)(0x426219A4UL))
#define bFM_INTREQ_IRQ46MON_BTINT10               *((volatile  uint8_t *)(0x426219A8UL))
#define bFM3_INTREQ_IRQ46MON_BTINT10              *((volatile  uint8_t *)(0x426219A8UL))
#define bFM_INTREQ_IRQ46MON_BTINT11               *((volatile  uint8_t *)(0x426219ACUL))
#define bFM3_INTREQ_IRQ46MON_BTINT11              *((volatile  uint8_t *)(0x426219ACUL))
#define bFM_INTREQ_IRQ46MON_BTINT12               *((volatile  uint8_t *)(0x426219B0UL))
#define bFM3_INTREQ_IRQ46MON_BTINT12              *((volatile  uint8_t *)(0x426219B0UL))
#define bFM_INTREQ_IRQ46MON_BTINT13               *((volatile  uint8_t *)(0x426219B4UL))
#define bFM3_INTREQ_IRQ46MON_BTINT13              *((volatile  uint8_t *)(0x426219B4UL))
#define bFM_INTREQ_IRQ46MON_BTINT14               *((volatile  uint8_t *)(0x426219B8UL))
#define bFM3_INTREQ_IRQ46MON_BTINT14              *((volatile  uint8_t *)(0x426219B8UL))
#define bFM_INTREQ_IRQ46MON_BTINT15               *((volatile  uint8_t *)(0x426219BCUL))
#define bFM3_INTREQ_IRQ46MON_BTINT15              *((volatile  uint8_t *)(0x426219BCUL))

#define bFM_INTREQ_IRQ47MON_FLASHINT              *((volatile  uint8_t *)(0x42621A2CUL))
#define bFM3_INTREQ_IRQ47MON_FLASHINT             *((volatile  uint8_t *)(0x42621A2CUL))

#define bFM_INTREQ_IRQCMODE_IRQCMODE              *((volatile  uint8_t *)(0x42620180UL))
#define bFM3_INTREQ_IRQCMODE_IRQCMODE             *((volatile  uint8_t *)(0x42620180UL))

#define bFM_INTREQ_ODDPKS_ODDPKS0                 *((volatile  uint8_t *)(0x42620160UL))
#define bFM3_INTREQ_ODDPKS_ODDPKS0                *((volatile  uint8_t *)(0x42620160UL))
#define bFM_INTREQ_ODDPKS_ODDPKS1                 *((volatile  uint8_t *)(0x42620164UL))
#define bFM3_INTREQ_ODDPKS_ODDPKS1                *((volatile  uint8_t *)(0x42620164UL))
#define bFM_INTREQ_ODDPKS_ODDPKS2                 *((volatile  uint8_t *)(0x42620168UL))
#define bFM3_INTREQ_ODDPKS_ODDPKS2                *((volatile  uint8_t *)(0x42620168UL))
#define bFM_INTREQ_ODDPKS_ODDPKS3                 *((volatile  uint8_t *)(0x4262016CUL))
#define bFM3_INTREQ_ODDPKS_ODDPKS3                *((volatile  uint8_t *)(0x4262016CUL))
#define bFM_INTREQ_ODDPKS_ODDPKS4                 *((volatile  uint8_t *)(0x42620170UL))
#define bFM3_INTREQ_ODDPKS_ODDPKS4                *((volatile  uint8_t *)(0x42620170UL))

#define bFM_INTREQ_ODDPKS1_ODDPKS10               *((volatile  uint8_t *)(0x426241E0UL))
#define bFM3_INTREQ_ODDPKS1_ODDPKS10              *((volatile  uint8_t *)(0x426241E0UL))
#define bFM_INTREQ_ODDPKS1_ODDPKS11               *((volatile  uint8_t *)(0x426241E4UL))
#define bFM3_INTREQ_ODDPKS1_ODDPKS11              *((volatile  uint8_t *)(0x426241E4UL))
#define bFM_INTREQ_ODDPKS1_ODDPKS12               *((volatile  uint8_t *)(0x426241E8UL))
#define bFM3_INTREQ_ODDPKS1_ODDPKS12              *((volatile  uint8_t *)(0x426241E8UL))
#define bFM_INTREQ_ODDPKS1_ODDPKS13               *((volatile  uint8_t *)(0x426241ECUL))
#define bFM3_INTREQ_ODDPKS1_ODDPKS13              *((volatile  uint8_t *)(0x426241ECUL))
#define bFM_INTREQ_ODDPKS1_ODDPKS14               *((volatile  uint8_t *)(0x426241F0UL))
#define bFM3_INTREQ_ODDPKS1_ODDPKS14              *((volatile  uint8_t *)(0x426241F0UL))


/******************************************************************************
 ** LCDC Registers LCDC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_LCDC_LCDC_BLINK_BLD00                 *((volatile  uint8_t *)(0x42640280UL))
#define bFM3_LCDC_LCDC_BLINK_BLD00                *((volatile  uint8_t *)(0x42640280UL))
#define bFM_LCDC_LCDC_BLINK_BLD01                 *((volatile  uint8_t *)(0x42640284UL))
#define bFM3_LCDC_LCDC_BLINK_BLD01                *((volatile  uint8_t *)(0x42640284UL))
#define bFM_LCDC_LCDC_BLINK_BLD02                 *((volatile  uint8_t *)(0x42640288UL))
#define bFM3_LCDC_LCDC_BLINK_BLD02                *((volatile  uint8_t *)(0x42640288UL))
#define bFM_LCDC_LCDC_BLINK_BLD03                 *((volatile  uint8_t *)(0x4264028CUL))
#define bFM3_LCDC_LCDC_BLINK_BLD03                *((volatile  uint8_t *)(0x4264028CUL))
#define bFM_LCDC_LCDC_BLINK_BLD04                 *((volatile  uint8_t *)(0x42640290UL))
#define bFM3_LCDC_LCDC_BLINK_BLD04                *((volatile  uint8_t *)(0x42640290UL))
#define bFM_LCDC_LCDC_BLINK_BLD05                 *((volatile  uint8_t *)(0x42640294UL))
#define bFM3_LCDC_LCDC_BLINK_BLD05                *((volatile  uint8_t *)(0x42640294UL))
#define bFM_LCDC_LCDC_BLINK_BLD06                 *((volatile  uint8_t *)(0x42640298UL))
#define bFM3_LCDC_LCDC_BLINK_BLD06                *((volatile  uint8_t *)(0x42640298UL))
#define bFM_LCDC_LCDC_BLINK_BLD07                 *((volatile  uint8_t *)(0x4264029CUL))
#define bFM3_LCDC_LCDC_BLINK_BLD07                *((volatile  uint8_t *)(0x4264029CUL))
#define bFM_LCDC_LCDC_BLINK_BLD08                 *((volatile  uint8_t *)(0x426402A0UL))
#define bFM3_LCDC_LCDC_BLINK_BLD08                *((volatile  uint8_t *)(0x426402A0UL))
#define bFM_LCDC_LCDC_BLINK_BLD09                 *((volatile  uint8_t *)(0x426402A4UL))
#define bFM3_LCDC_LCDC_BLINK_BLD09                *((volatile  uint8_t *)(0x426402A4UL))
#define bFM_LCDC_LCDC_BLINK_BLD10                 *((volatile  uint8_t *)(0x426402A8UL))
#define bFM3_LCDC_LCDC_BLINK_BLD10                *((volatile  uint8_t *)(0x426402A8UL))
#define bFM_LCDC_LCDC_BLINK_BLD11                 *((volatile  uint8_t *)(0x426402ACUL))
#define bFM3_LCDC_LCDC_BLINK_BLD11                *((volatile  uint8_t *)(0x426402ACUL))
#define bFM_LCDC_LCDC_BLINK_BLD12                 *((volatile  uint8_t *)(0x426402B0UL))
#define bFM3_LCDC_LCDC_BLINK_BLD12                *((volatile  uint8_t *)(0x426402B0UL))
#define bFM_LCDC_LCDC_BLINK_BLD13                 *((volatile  uint8_t *)(0x426402B4UL))
#define bFM3_LCDC_LCDC_BLINK_BLD13                *((volatile  uint8_t *)(0x426402B4UL))
#define bFM_LCDC_LCDC_BLINK_BLD14                 *((volatile  uint8_t *)(0x426402B8UL))
#define bFM3_LCDC_LCDC_BLINK_BLD14                *((volatile  uint8_t *)(0x426402B8UL))
#define bFM_LCDC_LCDC_BLINK_BLD15                 *((volatile  uint8_t *)(0x426402BCUL))
#define bFM3_LCDC_LCDC_BLINK_BLD15                *((volatile  uint8_t *)(0x426402BCUL))

#define bFM_LCDC_LCDC_COMEN_COM0                  *((volatile  uint8_t *)(0x42640100UL))
#define bFM3_LCDC_LCDC_COMEN_COM0                 *((volatile  uint8_t *)(0x42640100UL))
#define bFM_LCDC_LCDC_COMEN_COM1                  *((volatile  uint8_t *)(0x42640104UL))
#define bFM3_LCDC_LCDC_COMEN_COM1                 *((volatile  uint8_t *)(0x42640104UL))
#define bFM_LCDC_LCDC_COMEN_COM2                  *((volatile  uint8_t *)(0x42640108UL))
#define bFM3_LCDC_LCDC_COMEN_COM2                 *((volatile  uint8_t *)(0x42640108UL))
#define bFM_LCDC_LCDC_COMEN_COM3                  *((volatile  uint8_t *)(0x4264010CUL))
#define bFM3_LCDC_LCDC_COMEN_COM3                 *((volatile  uint8_t *)(0x4264010CUL))
#define bFM_LCDC_LCDC_COMEN_COM4                  *((volatile  uint8_t *)(0x42640110UL))
#define bFM3_LCDC_LCDC_COMEN_COM4                 *((volatile  uint8_t *)(0x42640110UL))
#define bFM_LCDC_LCDC_COMEN_COM5                  *((volatile  uint8_t *)(0x42640114UL))
#define bFM3_LCDC_LCDC_COMEN_COM5                 *((volatile  uint8_t *)(0x42640114UL))
#define bFM_LCDC_LCDC_COMEN_COM6                  *((volatile  uint8_t *)(0x42640118UL))
#define bFM3_LCDC_LCDC_COMEN_COM6                 *((volatile  uint8_t *)(0x42640118UL))
#define bFM_LCDC_LCDC_COMEN_COM7                  *((volatile  uint8_t *)(0x4264011CUL))
#define bFM3_LCDC_LCDC_COMEN_COM7                 *((volatile  uint8_t *)(0x4264011CUL))

#define bFM_LCDC_LCDC_PSR_CLKSEL                  *((volatile  uint8_t *)(0x426400D8UL))
#define bFM3_LCDC_LCDC_PSR_CLKSEL                 *((volatile  uint8_t *)(0x426400D8UL))

#define bFM_LCDC_LCDC_SEGEN1_SEG00                *((volatile  uint8_t *)(0x42640180UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG00               *((volatile  uint8_t *)(0x42640180UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG01                *((volatile  uint8_t *)(0x42640184UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG01               *((volatile  uint8_t *)(0x42640184UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG02                *((volatile  uint8_t *)(0x42640188UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG02               *((volatile  uint8_t *)(0x42640188UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG03                *((volatile  uint8_t *)(0x4264018CUL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG03               *((volatile  uint8_t *)(0x4264018CUL))
#define bFM_LCDC_LCDC_SEGEN1_SEG04                *((volatile  uint8_t *)(0x42640190UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG04               *((volatile  uint8_t *)(0x42640190UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG05                *((volatile  uint8_t *)(0x42640194UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG05               *((volatile  uint8_t *)(0x42640194UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG06                *((volatile  uint8_t *)(0x42640198UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG06               *((volatile  uint8_t *)(0x42640198UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG07                *((volatile  uint8_t *)(0x4264019CUL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG07               *((volatile  uint8_t *)(0x4264019CUL))
#define bFM_LCDC_LCDC_SEGEN1_SEG08                *((volatile  uint8_t *)(0x426401A0UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG08               *((volatile  uint8_t *)(0x426401A0UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG09                *((volatile  uint8_t *)(0x426401A4UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG09               *((volatile  uint8_t *)(0x426401A4UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG10                *((volatile  uint8_t *)(0x426401A8UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG10               *((volatile  uint8_t *)(0x426401A8UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG11                *((volatile  uint8_t *)(0x426401ACUL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG11               *((volatile  uint8_t *)(0x426401ACUL))
#define bFM_LCDC_LCDC_SEGEN1_SEG12                *((volatile  uint8_t *)(0x426401B0UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG12               *((volatile  uint8_t *)(0x426401B0UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG13                *((volatile  uint8_t *)(0x426401B4UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG13               *((volatile  uint8_t *)(0x426401B4UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG14                *((volatile  uint8_t *)(0x426401B8UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG14               *((volatile  uint8_t *)(0x426401B8UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG15                *((volatile  uint8_t *)(0x426401BCUL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG15               *((volatile  uint8_t *)(0x426401BCUL))
#define bFM_LCDC_LCDC_SEGEN1_SEG16                *((volatile  uint8_t *)(0x426401C0UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG16               *((volatile  uint8_t *)(0x426401C0UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG17                *((volatile  uint8_t *)(0x426401C4UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG17               *((volatile  uint8_t *)(0x426401C4UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG18                *((volatile  uint8_t *)(0x426401C8UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG18               *((volatile  uint8_t *)(0x426401C8UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG19                *((volatile  uint8_t *)(0x426401CCUL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG19               *((volatile  uint8_t *)(0x426401CCUL))
#define bFM_LCDC_LCDC_SEGEN1_SEG20                *((volatile  uint8_t *)(0x426401D0UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG20               *((volatile  uint8_t *)(0x426401D0UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG21                *((volatile  uint8_t *)(0x426401D4UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG21               *((volatile  uint8_t *)(0x426401D4UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG22                *((volatile  uint8_t *)(0x426401D8UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG22               *((volatile  uint8_t *)(0x426401D8UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG23                *((volatile  uint8_t *)(0x426401DCUL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG23               *((volatile  uint8_t *)(0x426401DCUL))
#define bFM_LCDC_LCDC_SEGEN1_SEG24                *((volatile  uint8_t *)(0x426401E0UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG24               *((volatile  uint8_t *)(0x426401E0UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG25                *((volatile  uint8_t *)(0x426401E4UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG25               *((volatile  uint8_t *)(0x426401E4UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG26                *((volatile  uint8_t *)(0x426401E8UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG26               *((volatile  uint8_t *)(0x426401E8UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG27                *((volatile  uint8_t *)(0x426401ECUL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG27               *((volatile  uint8_t *)(0x426401ECUL))
#define bFM_LCDC_LCDC_SEGEN1_SEG28                *((volatile  uint8_t *)(0x426401F0UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG28               *((volatile  uint8_t *)(0x426401F0UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG29                *((volatile  uint8_t *)(0x426401F4UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG29               *((volatile  uint8_t *)(0x426401F4UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG30                *((volatile  uint8_t *)(0x426401F8UL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG30               *((volatile  uint8_t *)(0x426401F8UL))
#define bFM_LCDC_LCDC_SEGEN1_SEG31                *((volatile  uint8_t *)(0x426401FCUL))
#define bFM3_LCDC_LCDC_SEGEN1_SEG31               *((volatile  uint8_t *)(0x426401FCUL))

#define bFM_LCDC_LCDC_SEGEN2_SEG32                *((volatile  uint8_t *)(0x42640200UL))
#define bFM3_LCDC_LCDC_SEGEN2_SEG32               *((volatile  uint8_t *)(0x42640200UL))
#define bFM_LCDC_LCDC_SEGEN2_SEG33                *((volatile  uint8_t *)(0x42640204UL))
#define bFM3_LCDC_LCDC_SEGEN2_SEG33               *((volatile  uint8_t *)(0x42640204UL))
#define bFM_LCDC_LCDC_SEGEN2_SEG34                *((volatile  uint8_t *)(0x42640208UL))
#define bFM3_LCDC_LCDC_SEGEN2_SEG34               *((volatile  uint8_t *)(0x42640208UL))
#define bFM_LCDC_LCDC_SEGEN2_SEG35                *((volatile  uint8_t *)(0x4264020CUL))
#define bFM3_LCDC_LCDC_SEGEN2_SEG35               *((volatile  uint8_t *)(0x4264020CUL))
#define bFM_LCDC_LCDC_SEGEN2_SEG36                *((volatile  uint8_t *)(0x42640210UL))
#define bFM3_LCDC_LCDC_SEGEN2_SEG36               *((volatile  uint8_t *)(0x42640210UL))
#define bFM_LCDC_LCDC_SEGEN2_SEG37                *((volatile  uint8_t *)(0x42640214UL))
#define bFM3_LCDC_LCDC_SEGEN2_SEG37               *((volatile  uint8_t *)(0x42640214UL))
#define bFM_LCDC_LCDC_SEGEN2_SEG38                *((volatile  uint8_t *)(0x42640218UL))
#define bFM3_LCDC_LCDC_SEGEN2_SEG38               *((volatile  uint8_t *)(0x42640218UL))
#define bFM_LCDC_LCDC_SEGEN2_SEG39                *((volatile  uint8_t *)(0x4264021CUL))
#define bFM3_LCDC_LCDC_SEGEN2_SEG39               *((volatile  uint8_t *)(0x4264021CUL))

#define bFM_LCDC_LCDCC1_VSEL                      *((volatile  uint8_t *)(0x42640014UL))
#define bFM3_LCDC_LCDCC1_VSEL                     *((volatile  uint8_t *)(0x42640014UL))
#define bFM_LCDC_LCDCC1_LCDEN                     *((volatile  uint8_t *)(0x42640018UL))
#define bFM3_LCDC_LCDCC1_LCDEN                    *((volatile  uint8_t *)(0x42640018UL))

#define bFM_LCDC_LCDCC2_LCDIF                     *((volatile  uint8_t *)(0x42640020UL))
#define bFM3_LCDC_LCDCC2_LCDIF                    *((volatile  uint8_t *)(0x42640020UL))
#define bFM_LCDC_LCDCC2_LCDIEN                    *((volatile  uint8_t *)(0x42640024UL))
#define bFM3_LCDC_LCDCC2_LCDIEN                   *((volatile  uint8_t *)(0x42640024UL))
#define bFM_LCDC_LCDCC2_BK                        *((volatile  uint8_t *)(0x42640028UL))
#define bFM3_LCDC_LCDCC2_BK                       *((volatile  uint8_t *)(0x42640028UL))
#define bFM_LCDC_LCDCC2_INV                       *((volatile  uint8_t *)(0x4264002CUL))
#define bFM3_LCDC_LCDCC2_INV                      *((volatile  uint8_t *)(0x4264002CUL))
#define bFM_LCDC_LCDCC2_BLS8                      *((volatile  uint8_t *)(0x42640030UL))
#define bFM3_LCDC_LCDCC2_BLS8                     *((volatile  uint8_t *)(0x42640030UL))
#define bFM_LCDC_LCDCC2_RSEL                      *((volatile  uint8_t *)(0x42640034UL))
#define bFM3_LCDC_LCDCC2_RSEL                     *((volatile  uint8_t *)(0x42640034UL))

#define bFM_LCDC_LCDCC3_VE0                       *((volatile  uint8_t *)(0x42640044UL))
#define bFM3_LCDC_LCDCC3_VE0                      *((volatile  uint8_t *)(0x42640044UL))
#define bFM_LCDC_LCDCC3_VE1                       *((volatile  uint8_t *)(0x42640048UL))
#define bFM3_LCDC_LCDCC3_VE1                      *((volatile  uint8_t *)(0x42640048UL))
#define bFM_LCDC_LCDCC3_VE2                       *((volatile  uint8_t *)(0x4264004CUL))
#define bFM3_LCDC_LCDCC3_VE2                      *((volatile  uint8_t *)(0x4264004CUL))
#define bFM_LCDC_LCDCC3_VE3                       *((volatile  uint8_t *)(0x42640050UL))
#define bFM3_LCDC_LCDCC3_VE3                      *((volatile  uint8_t *)(0x42640050UL))
#define bFM_LCDC_LCDCC3_VE4                       *((volatile  uint8_t *)(0x42640054UL))
#define bFM3_LCDC_LCDCC3_VE4                      *((volatile  uint8_t *)(0x42640054UL))
#define bFM_LCDC_LCDCC3_BLSEL                     *((volatile  uint8_t *)(0x42640058UL))
#define bFM3_LCDC_LCDCC3_BLSEL                    *((volatile  uint8_t *)(0x42640058UL))
#define bFM_LCDC_LCDCC3_PICTL                     *((volatile  uint8_t *)(0x4264005CUL))
#define bFM3_LCDC_LCDCC3_PICTL                    *((volatile  uint8_t *)(0x4264005CUL))


/******************************************************************************
 ** LVD Registers LVD
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_LVD_LVD_CLR_LVDCL                     *((volatile  uint8_t *)(0x426A011CUL))
#define bFM3_LVD_LVD_CLR_LVDCL                    *((volatile  uint8_t *)(0x426A011CUL))

#define bFM_LVD_LVD_CTL_LVDIE                     *((volatile  uint8_t *)(0x426A001CUL))
#define bFM3_LVD_LVD_CTL_LVDIE                    *((volatile  uint8_t *)(0x426A001CUL))
#define bFM_LVD_LVD_CTL_LVDRE                     *((volatile  uint8_t *)(0x426A003CUL))
#define bFM3_LVD_LVD_CTL_LVDRE                    *((volatile  uint8_t *)(0x426A003CUL))

#define bFM_LVD_LVD_STR_LVDIR                     *((volatile  uint8_t *)(0x426A009CUL))
#define bFM3_LVD_LVD_STR_LVDIR                    *((volatile  uint8_t *)(0x426A009CUL))

#define bFM_LVD_LVD_STR2_LVDRRDY                  *((volatile  uint8_t *)(0x426A0218UL))
#define bFM3_LVD_LVD_STR2_LVDRRDY                 *((volatile  uint8_t *)(0x426A0218UL))
#define bFM_LVD_LVD_STR2_LVDIRDY                  *((volatile  uint8_t *)(0x426A021CUL))
#define bFM3_LVD_LVD_STR2_LVDIRDY                 *((volatile  uint8_t *)(0x426A021CUL))


/******************************************************************************
 ** MFS_NFC Registers MFS_NFC
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** MFS Registers MFS0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS0_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270009CUL))
#define bFM3_MFS0_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM3_MFS0_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM3_MFS0_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM3_MFS0_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM3_MFS0_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM3_MFS0_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42700034UL))
#define bFM3_MFS0_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42700038UL))
#define bFM3_MFS0_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))
#define bFM3_MFS0_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM3_MFS0_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42700004UL))
#define bFM3_MFS0_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42700004UL))
#define bFM_MFS0_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM3_MFS0_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270000CUL))
#define bFM3_MFS0_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM3_MFS0_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM3_MFS0_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM3_MFS0_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM3_MFS0_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))
#define bFM3_MFS0_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427003A0UL))
#define bFM3_MFS0_I2C_EIBCR_BEC                   *((volatile  uint8_t *)(0x427003A0UL))
#define bFM_MFS0_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427003A4UL))
#define bFM3_MFS0_I2C_EIBCR_SOCE                  *((volatile  uint8_t *)(0x427003A4UL))
#define bFM_MFS0_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427003A8UL))
#define bFM3_MFS0_I2C_EIBCR_SCLC                  *((volatile  uint8_t *)(0x427003A8UL))
#define bFM_MFS0_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427003ACUL))
#define bFM3_MFS0_I2C_EIBCR_SDAC                  *((volatile  uint8_t *)(0x427003ACUL))
#define bFM_MFS0_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427003B0UL))
#define bFM3_MFS0_I2C_EIBCR_SCLS                  *((volatile  uint8_t *)(0x427003B0UL))
#define bFM_MFS0_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427003B4UL))
#define bFM3_MFS0_I2C_EIBCR_SDAS                  *((volatile  uint8_t *)(0x427003B4UL))

#define bFM_MFS0_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM3_MFS0_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM3_MFS0_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM3_MFS0_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM3_MFS0_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM3_MFS0_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42700034UL))
#define bFM3_MFS0_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42700034UL))
#define bFM_MFS0_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42700038UL))
#define bFM3_MFS0_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42700038UL))
#define bFM_MFS0_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270003CUL))
#define bFM3_MFS0_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42700080UL))
#define bFM3_MFS0_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42700080UL))
#define bFM_MFS0_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42700084UL))
#define bFM3_MFS0_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42700084UL))
#define bFM_MFS0_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42700088UL))
#define bFM3_MFS0_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42700088UL))
#define bFM_MFS0_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270008CUL))
#define bFM3_MFS0_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270008CUL))
#define bFM_MFS0_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42700090UL))
#define bFM3_MFS0_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42700094UL))
#define bFM3_MFS0_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42700098UL))
#define bFM3_MFS0_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270009CUL))
#define bFM3_MFS0_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270021CUL))
#define bFM3_MFS0_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270021CUL))

#define bFM_MFS0_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270023CUL))
#define bFM3_MFS0_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270023CUL))

#define bFM_MFS0_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42700008UL))
#define bFM3_MFS0_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270000CUL))
#define bFM3_MFS0_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427000A0UL))
#define bFM3_MFS0_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427000A4UL))
#define bFM3_MFS0_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427000A8UL))
#define bFM3_MFS0_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427000ACUL))
#define bFM3_MFS0_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM3_MFS0_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM3_MFS0_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427000B8UL))
#define bFM3_MFS0_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427000B8UL))
#define bFM_MFS0_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427000BCUL))
#define bFM3_MFS0_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))

#define bFM_MFS0_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427001BCUL))
#define bFM3_MFS0_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427001BCUL))

#define bFM_MFS0_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270008CUL))
#define bFM3_MFS0_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270008CUL))
#define bFM_MFS0_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42700090UL))
#define bFM3_MFS0_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42700090UL))
#define bFM_MFS0_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42700094UL))
#define bFM3_MFS0_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42700094UL))
#define bFM_MFS0_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42700098UL))
#define bFM3_MFS0_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42700098UL))
#define bFM_MFS0_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270009CUL))
#define bFM3_MFS0_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270009CUL))

#define bFM_MFS0_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42700020UL))
#define bFM3_MFS0_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42700020UL))
#define bFM_MFS0_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42700024UL))
#define bFM3_MFS0_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42700024UL))
#define bFM_MFS0_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42700028UL))
#define bFM3_MFS0_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42700028UL))
#define bFM_MFS0_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270002CUL))
#define bFM3_MFS0_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270002CUL))
#define bFM_MFS0_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42700030UL))
#define bFM3_MFS0_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42700030UL))
#define bFM_MFS0_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270003CUL))
#define bFM3_MFS0_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270003CUL))

#define bFM_MFS0_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42700000UL))
#define bFM3_MFS0_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42700000UL))
#define bFM_MFS0_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42700008UL))
#define bFM3_MFS0_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42700008UL))
#define bFM_MFS0_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270000CUL))
#define bFM3_MFS0_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270000CUL))

#define bFM_MFS0_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427000A0UL))
#define bFM3_MFS0_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427000A0UL))
#define bFM_MFS0_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427000A4UL))
#define bFM3_MFS0_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427000A4UL))
#define bFM_MFS0_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427000A8UL))
#define bFM3_MFS0_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427000A8UL))
#define bFM_MFS0_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427000ACUL))
#define bFM3_MFS0_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427000ACUL))
#define bFM_MFS0_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427000B0UL))
#define bFM3_MFS0_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427000B0UL))
#define bFM_MFS0_UART_SSR_PE                      *((volatile  uint8_t *)(0x427000B4UL))
#define bFM3_MFS0_UART_SSR_PE                     *((volatile  uint8_t *)(0x427000B4UL))
#define bFM_MFS0_UART_SSR_REC                     *((volatile  uint8_t *)(0x427000BCUL))
#define bFM3_MFS0_UART_SSR_REC                    *((volatile  uint8_t *)(0x427000BCUL))


/******************************************************************************
 ** MFS Registers MFS1
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS1_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270209CUL))
#define bFM3_MFS1_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM3_MFS1_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM3_MFS1_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM3_MFS1_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM3_MFS1_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM3_MFS1_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42702034UL))
#define bFM3_MFS1_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42702038UL))
#define bFM3_MFS1_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))
#define bFM3_MFS1_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM3_MFS1_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42702004UL))
#define bFM3_MFS1_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42702004UL))
#define bFM_MFS1_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM3_MFS1_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270200CUL))
#define bFM3_MFS1_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM3_MFS1_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM3_MFS1_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM3_MFS1_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM3_MFS1_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))
#define bFM3_MFS1_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427023A0UL))
#define bFM3_MFS1_I2C_EIBCR_BEC                   *((volatile  uint8_t *)(0x427023A0UL))
#define bFM_MFS1_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427023A4UL))
#define bFM3_MFS1_I2C_EIBCR_SOCE                  *((volatile  uint8_t *)(0x427023A4UL))
#define bFM_MFS1_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427023A8UL))
#define bFM3_MFS1_I2C_EIBCR_SCLC                  *((volatile  uint8_t *)(0x427023A8UL))
#define bFM_MFS1_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427023ACUL))
#define bFM3_MFS1_I2C_EIBCR_SDAC                  *((volatile  uint8_t *)(0x427023ACUL))
#define bFM_MFS1_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427023B0UL))
#define bFM3_MFS1_I2C_EIBCR_SCLS                  *((volatile  uint8_t *)(0x427023B0UL))
#define bFM_MFS1_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427023B4UL))
#define bFM3_MFS1_I2C_EIBCR_SDAS                  *((volatile  uint8_t *)(0x427023B4UL))

#define bFM_MFS1_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM3_MFS1_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM3_MFS1_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM3_MFS1_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM3_MFS1_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM3_MFS1_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42702034UL))
#define bFM3_MFS1_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42702034UL))
#define bFM_MFS1_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42702038UL))
#define bFM3_MFS1_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42702038UL))
#define bFM_MFS1_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270203CUL))
#define bFM3_MFS1_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42702080UL))
#define bFM3_MFS1_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42702080UL))
#define bFM_MFS1_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42702084UL))
#define bFM3_MFS1_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42702084UL))
#define bFM_MFS1_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42702088UL))
#define bFM3_MFS1_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42702088UL))
#define bFM_MFS1_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270208CUL))
#define bFM3_MFS1_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270208CUL))
#define bFM_MFS1_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42702090UL))
#define bFM3_MFS1_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42702094UL))
#define bFM3_MFS1_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42702098UL))
#define bFM3_MFS1_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270209CUL))
#define bFM3_MFS1_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270221CUL))
#define bFM3_MFS1_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270221CUL))

#define bFM_MFS1_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270223CUL))
#define bFM3_MFS1_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270223CUL))

#define bFM_MFS1_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42702008UL))
#define bFM3_MFS1_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270200CUL))
#define bFM3_MFS1_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427020A0UL))
#define bFM3_MFS1_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427020A4UL))
#define bFM3_MFS1_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427020A8UL))
#define bFM3_MFS1_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427020ACUL))
#define bFM3_MFS1_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM3_MFS1_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM3_MFS1_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427020B8UL))
#define bFM3_MFS1_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427020B8UL))
#define bFM_MFS1_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427020BCUL))
#define bFM3_MFS1_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))

#define bFM_MFS1_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427021BCUL))
#define bFM3_MFS1_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427021BCUL))

#define bFM_MFS1_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270208CUL))
#define bFM3_MFS1_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270208CUL))
#define bFM_MFS1_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42702090UL))
#define bFM3_MFS1_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42702090UL))
#define bFM_MFS1_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42702094UL))
#define bFM3_MFS1_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42702094UL))
#define bFM_MFS1_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42702098UL))
#define bFM3_MFS1_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42702098UL))
#define bFM_MFS1_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270209CUL))
#define bFM3_MFS1_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270209CUL))

#define bFM_MFS1_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42702020UL))
#define bFM3_MFS1_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42702020UL))
#define bFM_MFS1_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42702024UL))
#define bFM3_MFS1_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42702024UL))
#define bFM_MFS1_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42702028UL))
#define bFM3_MFS1_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42702028UL))
#define bFM_MFS1_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270202CUL))
#define bFM3_MFS1_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270202CUL))
#define bFM_MFS1_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42702030UL))
#define bFM3_MFS1_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42702030UL))
#define bFM_MFS1_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270203CUL))
#define bFM3_MFS1_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270203CUL))

#define bFM_MFS1_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42702000UL))
#define bFM3_MFS1_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42702000UL))
#define bFM_MFS1_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42702008UL))
#define bFM3_MFS1_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42702008UL))
#define bFM_MFS1_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270200CUL))
#define bFM3_MFS1_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270200CUL))

#define bFM_MFS1_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427020A0UL))
#define bFM3_MFS1_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427020A0UL))
#define bFM_MFS1_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427020A4UL))
#define bFM3_MFS1_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427020A4UL))
#define bFM_MFS1_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427020A8UL))
#define bFM3_MFS1_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427020A8UL))
#define bFM_MFS1_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427020ACUL))
#define bFM3_MFS1_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427020ACUL))
#define bFM_MFS1_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427020B0UL))
#define bFM3_MFS1_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427020B0UL))
#define bFM_MFS1_UART_SSR_PE                      *((volatile  uint8_t *)(0x427020B4UL))
#define bFM3_MFS1_UART_SSR_PE                     *((volatile  uint8_t *)(0x427020B4UL))
#define bFM_MFS1_UART_SSR_REC                     *((volatile  uint8_t *)(0x427020BCUL))
#define bFM3_MFS1_UART_SSR_REC                    *((volatile  uint8_t *)(0x427020BCUL))


/******************************************************************************
 ** MFS Registers MFS2
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS2_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270409CUL))
#define bFM3_MFS2_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270409CUL))

#define bFM_MFS2_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42704020UL))
#define bFM3_MFS2_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42704020UL))
#define bFM_MFS2_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42704024UL))
#define bFM3_MFS2_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42704024UL))
#define bFM_MFS2_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42704028UL))
#define bFM3_MFS2_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42704028UL))
#define bFM_MFS2_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270402CUL))
#define bFM3_MFS2_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270402CUL))
#define bFM_MFS2_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42704030UL))
#define bFM3_MFS2_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42704030UL))
#define bFM_MFS2_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42704034UL))
#define bFM3_MFS2_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42704034UL))
#define bFM_MFS2_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42704038UL))
#define bFM3_MFS2_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42704038UL))
#define bFM_MFS2_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270403CUL))
#define bFM3_MFS2_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270403CUL))

#define bFM_MFS2_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42704000UL))
#define bFM3_MFS2_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42704000UL))
#define bFM_MFS2_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42704004UL))
#define bFM3_MFS2_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42704004UL))
#define bFM_MFS2_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42704008UL))
#define bFM3_MFS2_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42704008UL))
#define bFM_MFS2_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270400CUL))
#define bFM3_MFS2_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270400CUL))

#define bFM_MFS2_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427040A0UL))
#define bFM3_MFS2_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427040A0UL))
#define bFM_MFS2_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427040A4UL))
#define bFM3_MFS2_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427040A4UL))
#define bFM_MFS2_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427040A8UL))
#define bFM3_MFS2_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427040A8UL))
#define bFM_MFS2_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427040ACUL))
#define bFM3_MFS2_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427040ACUL))
#define bFM_MFS2_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427040BCUL))
#define bFM3_MFS2_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427040BCUL))

#define bFM_MFS2_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427043A0UL))
#define bFM3_MFS2_I2C_EIBCR_BEC                   *((volatile  uint8_t *)(0x427043A0UL))
#define bFM_MFS2_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427043A4UL))
#define bFM3_MFS2_I2C_EIBCR_SOCE                  *((volatile  uint8_t *)(0x427043A4UL))
#define bFM_MFS2_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427043A8UL))
#define bFM3_MFS2_I2C_EIBCR_SCLC                  *((volatile  uint8_t *)(0x427043A8UL))
#define bFM_MFS2_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427043ACUL))
#define bFM3_MFS2_I2C_EIBCR_SDAC                  *((volatile  uint8_t *)(0x427043ACUL))
#define bFM_MFS2_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427043B0UL))
#define bFM3_MFS2_I2C_EIBCR_SCLS                  *((volatile  uint8_t *)(0x427043B0UL))
#define bFM_MFS2_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427043B4UL))
#define bFM3_MFS2_I2C_EIBCR_SDAS                  *((volatile  uint8_t *)(0x427043B4UL))

#define bFM_MFS2_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42704020UL))
#define bFM3_MFS2_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42704020UL))
#define bFM_MFS2_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42704024UL))
#define bFM3_MFS2_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42704024UL))
#define bFM_MFS2_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42704028UL))
#define bFM3_MFS2_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42704028UL))
#define bFM_MFS2_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270402CUL))
#define bFM3_MFS2_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270402CUL))
#define bFM_MFS2_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42704030UL))
#define bFM3_MFS2_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42704030UL))
#define bFM_MFS2_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42704034UL))
#define bFM3_MFS2_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42704034UL))
#define bFM_MFS2_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42704038UL))
#define bFM3_MFS2_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42704038UL))
#define bFM_MFS2_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270403CUL))
#define bFM3_MFS2_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270403CUL))

#define bFM_MFS2_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42704080UL))
#define bFM3_MFS2_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42704080UL))
#define bFM_MFS2_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42704084UL))
#define bFM3_MFS2_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42704084UL))
#define bFM_MFS2_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42704088UL))
#define bFM3_MFS2_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42704088UL))
#define bFM_MFS2_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270408CUL))
#define bFM3_MFS2_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270408CUL))
#define bFM_MFS2_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42704090UL))
#define bFM3_MFS2_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42704090UL))
#define bFM_MFS2_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42704094UL))
#define bFM3_MFS2_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42704094UL))
#define bFM_MFS2_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42704098UL))
#define bFM3_MFS2_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42704098UL))
#define bFM_MFS2_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270409CUL))
#define bFM3_MFS2_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270409CUL))

#define bFM_MFS2_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270421CUL))
#define bFM3_MFS2_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270421CUL))

#define bFM_MFS2_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270423CUL))
#define bFM3_MFS2_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270423CUL))

#define bFM_MFS2_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42704008UL))
#define bFM3_MFS2_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42704008UL))
#define bFM_MFS2_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270400CUL))
#define bFM3_MFS2_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270400CUL))

#define bFM_MFS2_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427040A0UL))
#define bFM3_MFS2_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427040A0UL))
#define bFM_MFS2_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427040A4UL))
#define bFM3_MFS2_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427040A4UL))
#define bFM_MFS2_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427040A8UL))
#define bFM3_MFS2_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427040A8UL))
#define bFM_MFS2_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427040ACUL))
#define bFM3_MFS2_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427040ACUL))
#define bFM_MFS2_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427040B0UL))
#define bFM3_MFS2_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427040B0UL))
#define bFM_MFS2_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427040B4UL))
#define bFM3_MFS2_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427040B4UL))
#define bFM_MFS2_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427040B8UL))
#define bFM3_MFS2_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427040B8UL))
#define bFM_MFS2_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427040BCUL))
#define bFM3_MFS2_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427040BCUL))

#define bFM_MFS2_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427041BCUL))
#define bFM3_MFS2_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427041BCUL))

#define bFM_MFS2_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270408CUL))
#define bFM3_MFS2_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270408CUL))
#define bFM_MFS2_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42704090UL))
#define bFM3_MFS2_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42704090UL))
#define bFM_MFS2_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42704094UL))
#define bFM3_MFS2_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42704094UL))
#define bFM_MFS2_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42704098UL))
#define bFM3_MFS2_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42704098UL))
#define bFM_MFS2_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270409CUL))
#define bFM3_MFS2_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270409CUL))

#define bFM_MFS2_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42704020UL))
#define bFM3_MFS2_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42704020UL))
#define bFM_MFS2_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42704024UL))
#define bFM3_MFS2_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42704024UL))
#define bFM_MFS2_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42704028UL))
#define bFM3_MFS2_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42704028UL))
#define bFM_MFS2_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270402CUL))
#define bFM3_MFS2_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270402CUL))
#define bFM_MFS2_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42704030UL))
#define bFM3_MFS2_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42704030UL))
#define bFM_MFS2_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270403CUL))
#define bFM3_MFS2_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270403CUL))

#define bFM_MFS2_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42704000UL))
#define bFM3_MFS2_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42704000UL))
#define bFM_MFS2_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42704008UL))
#define bFM3_MFS2_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42704008UL))
#define bFM_MFS2_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270400CUL))
#define bFM3_MFS2_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270400CUL))

#define bFM_MFS2_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427040A0UL))
#define bFM3_MFS2_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427040A0UL))
#define bFM_MFS2_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427040A4UL))
#define bFM3_MFS2_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427040A4UL))
#define bFM_MFS2_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427040A8UL))
#define bFM3_MFS2_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427040A8UL))
#define bFM_MFS2_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427040ACUL))
#define bFM3_MFS2_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427040ACUL))
#define bFM_MFS2_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427040B0UL))
#define bFM3_MFS2_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427040B0UL))
#define bFM_MFS2_UART_SSR_PE                      *((volatile  uint8_t *)(0x427040B4UL))
#define bFM3_MFS2_UART_SSR_PE                     *((volatile  uint8_t *)(0x427040B4UL))
#define bFM_MFS2_UART_SSR_REC                     *((volatile  uint8_t *)(0x427040BCUL))
#define bFM3_MFS2_UART_SSR_REC                    *((volatile  uint8_t *)(0x427040BCUL))


/******************************************************************************
 ** MFS Registers MFS3
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS3_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270609CUL))
#define bFM3_MFS3_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM3_MFS3_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM3_MFS3_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM3_MFS3_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM3_MFS3_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM3_MFS3_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42706034UL))
#define bFM3_MFS3_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42706038UL))
#define bFM3_MFS3_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))
#define bFM3_MFS3_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM3_MFS3_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42706004UL))
#define bFM3_MFS3_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42706004UL))
#define bFM_MFS3_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM3_MFS3_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270600CUL))
#define bFM3_MFS3_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM3_MFS3_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM3_MFS3_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM3_MFS3_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM3_MFS3_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))
#define bFM3_MFS3_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427063A0UL))
#define bFM3_MFS3_I2C_EIBCR_BEC                   *((volatile  uint8_t *)(0x427063A0UL))
#define bFM_MFS3_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427063A4UL))
#define bFM3_MFS3_I2C_EIBCR_SOCE                  *((volatile  uint8_t *)(0x427063A4UL))
#define bFM_MFS3_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427063A8UL))
#define bFM3_MFS3_I2C_EIBCR_SCLC                  *((volatile  uint8_t *)(0x427063A8UL))
#define bFM_MFS3_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427063ACUL))
#define bFM3_MFS3_I2C_EIBCR_SDAC                  *((volatile  uint8_t *)(0x427063ACUL))
#define bFM_MFS3_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427063B0UL))
#define bFM3_MFS3_I2C_EIBCR_SCLS                  *((volatile  uint8_t *)(0x427063B0UL))
#define bFM_MFS3_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427063B4UL))
#define bFM3_MFS3_I2C_EIBCR_SDAS                  *((volatile  uint8_t *)(0x427063B4UL))

#define bFM_MFS3_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM3_MFS3_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM3_MFS3_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM3_MFS3_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM3_MFS3_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM3_MFS3_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42706034UL))
#define bFM3_MFS3_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42706034UL))
#define bFM_MFS3_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42706038UL))
#define bFM3_MFS3_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42706038UL))
#define bFM_MFS3_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270603CUL))
#define bFM3_MFS3_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42706080UL))
#define bFM3_MFS3_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42706080UL))
#define bFM_MFS3_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42706084UL))
#define bFM3_MFS3_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42706084UL))
#define bFM_MFS3_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42706088UL))
#define bFM3_MFS3_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42706088UL))
#define bFM_MFS3_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270608CUL))
#define bFM3_MFS3_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270608CUL))
#define bFM_MFS3_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42706090UL))
#define bFM3_MFS3_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42706094UL))
#define bFM3_MFS3_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42706098UL))
#define bFM3_MFS3_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270609CUL))
#define bFM3_MFS3_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270621CUL))
#define bFM3_MFS3_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270621CUL))

#define bFM_MFS3_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270623CUL))
#define bFM3_MFS3_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270623CUL))

#define bFM_MFS3_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42706008UL))
#define bFM3_MFS3_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270600CUL))
#define bFM3_MFS3_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427060A0UL))
#define bFM3_MFS3_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427060A4UL))
#define bFM3_MFS3_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427060A8UL))
#define bFM3_MFS3_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427060ACUL))
#define bFM3_MFS3_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM3_MFS3_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM3_MFS3_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427060B8UL))
#define bFM3_MFS3_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427060B8UL))
#define bFM_MFS3_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427060BCUL))
#define bFM3_MFS3_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))

#define bFM_MFS3_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427061BCUL))
#define bFM3_MFS3_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427061BCUL))

#define bFM_MFS3_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270608CUL))
#define bFM3_MFS3_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270608CUL))
#define bFM_MFS3_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42706090UL))
#define bFM3_MFS3_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42706090UL))
#define bFM_MFS3_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42706094UL))
#define bFM3_MFS3_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42706094UL))
#define bFM_MFS3_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42706098UL))
#define bFM3_MFS3_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42706098UL))
#define bFM_MFS3_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270609CUL))
#define bFM3_MFS3_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270609CUL))

#define bFM_MFS3_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42706020UL))
#define bFM3_MFS3_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42706020UL))
#define bFM_MFS3_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42706024UL))
#define bFM3_MFS3_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42706024UL))
#define bFM_MFS3_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42706028UL))
#define bFM3_MFS3_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42706028UL))
#define bFM_MFS3_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270602CUL))
#define bFM3_MFS3_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270602CUL))
#define bFM_MFS3_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42706030UL))
#define bFM3_MFS3_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42706030UL))
#define bFM_MFS3_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270603CUL))
#define bFM3_MFS3_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270603CUL))

#define bFM_MFS3_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42706000UL))
#define bFM3_MFS3_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42706000UL))
#define bFM_MFS3_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42706008UL))
#define bFM3_MFS3_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42706008UL))
#define bFM_MFS3_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270600CUL))
#define bFM3_MFS3_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270600CUL))

#define bFM_MFS3_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427060A0UL))
#define bFM3_MFS3_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427060A0UL))
#define bFM_MFS3_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427060A4UL))
#define bFM3_MFS3_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427060A4UL))
#define bFM_MFS3_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427060A8UL))
#define bFM3_MFS3_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427060A8UL))
#define bFM_MFS3_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427060ACUL))
#define bFM3_MFS3_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427060ACUL))
#define bFM_MFS3_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427060B0UL))
#define bFM3_MFS3_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427060B0UL))
#define bFM_MFS3_UART_SSR_PE                      *((volatile  uint8_t *)(0x427060B4UL))
#define bFM3_MFS3_UART_SSR_PE                     *((volatile  uint8_t *)(0x427060B4UL))
#define bFM_MFS3_UART_SSR_REC                     *((volatile  uint8_t *)(0x427060BCUL))
#define bFM3_MFS3_UART_SSR_REC                    *((volatile  uint8_t *)(0x427060BCUL))


/******************************************************************************
 ** MFS Registers MFS4
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS4_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270809CUL))
#define bFM3_MFS4_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM3_MFS4_CSIO_FCR_FE1                    *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM3_MFS4_CSIO_FCR_FE2                    *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM3_MFS4_CSIO_FCR_FCL1                   *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM3_MFS4_CSIO_FCR_FCL2                   *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM3_MFS4_CSIO_FCR_FSET                   *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM3_MFS4_CSIO_FCR_FLD                    *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM3_MFS4_CSIO_FCR_FLST                   *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM3_MFS4_CSIO_FCR_FSEL                   *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM3_MFS4_CSIO_FCR_FTIE                   *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM3_MFS4_CSIO_FCR_FDRQ                   *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM3_MFS4_CSIO_FCR_FRIIE                  *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))
#define bFM3_MFS4_CSIO_FCR_FLSTE                  *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM3_MFS4_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM3_MFS4_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM3_MFS4_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270802CUL))
#define bFM3_MFS4_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x42708030UL))
#define bFM3_MFS4_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x42708034UL))
#define bFM3_MFS4_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x42708034UL))
#define bFM_MFS4_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x42708038UL))
#define bFM3_MFS4_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270803CUL))
#define bFM3_MFS4_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x42708000UL))
#define bFM3_MFS4_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x42708004UL))
#define bFM3_MFS4_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x42708004UL))
#define bFM_MFS4_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x42708008UL))
#define bFM3_MFS4_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270800CUL))
#define bFM3_MFS4_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM3_MFS4_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM3_MFS4_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM3_MFS4_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM3_MFS4_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))
#define bFM3_MFS4_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x427083A0UL))
#define bFM3_MFS4_I2C_EIBCR_BEC                   *((volatile  uint8_t *)(0x427083A0UL))
#define bFM_MFS4_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x427083A4UL))
#define bFM3_MFS4_I2C_EIBCR_SOCE                  *((volatile  uint8_t *)(0x427083A4UL))
#define bFM_MFS4_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x427083A8UL))
#define bFM3_MFS4_I2C_EIBCR_SCLC                  *((volatile  uint8_t *)(0x427083A8UL))
#define bFM_MFS4_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x427083ACUL))
#define bFM3_MFS4_I2C_EIBCR_SDAC                  *((volatile  uint8_t *)(0x427083ACUL))
#define bFM_MFS4_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x427083B0UL))
#define bFM3_MFS4_I2C_EIBCR_SCLS                  *((volatile  uint8_t *)(0x427083B0UL))
#define bFM_MFS4_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x427083B4UL))
#define bFM3_MFS4_I2C_EIBCR_SDAS                  *((volatile  uint8_t *)(0x427083B4UL))

#define bFM_MFS4_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x42708280UL))
#define bFM3_MFS4_I2C_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x42708284UL))
#define bFM3_MFS4_I2C_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x42708288UL))
#define bFM3_MFS4_I2C_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270828CUL))
#define bFM3_MFS4_I2C_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x42708290UL))
#define bFM3_MFS4_I2C_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x42708294UL))
#define bFM3_MFS4_I2C_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x42708298UL))
#define bFM3_MFS4_I2C_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x427082A0UL))
#define bFM3_MFS4_I2C_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x427082A4UL))
#define bFM3_MFS4_I2C_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x427082A8UL))
#define bFM3_MFS4_I2C_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x427082ACUL))
#define bFM3_MFS4_I2C_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x427082B0UL))
#define bFM3_MFS4_I2C_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM3_MFS4_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM3_MFS4_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM3_MFS4_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270802CUL))
#define bFM3_MFS4_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM3_MFS4_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x42708034UL))
#define bFM3_MFS4_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x42708034UL))
#define bFM_MFS4_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x42708038UL))
#define bFM3_MFS4_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x42708038UL))
#define bFM_MFS4_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270803CUL))
#define bFM3_MFS4_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x42708080UL))
#define bFM3_MFS4_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x42708080UL))
#define bFM_MFS4_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x42708084UL))
#define bFM3_MFS4_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x42708084UL))
#define bFM_MFS4_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x42708088UL))
#define bFM3_MFS4_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x42708088UL))
#define bFM_MFS4_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270808CUL))
#define bFM3_MFS4_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270808CUL))
#define bFM_MFS4_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x42708090UL))
#define bFM3_MFS4_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x42708090UL))
#define bFM_MFS4_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x42708094UL))
#define bFM3_MFS4_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x42708094UL))
#define bFM_MFS4_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x42708098UL))
#define bFM3_MFS4_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x42708098UL))
#define bFM_MFS4_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270809CUL))
#define bFM3_MFS4_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270821CUL))
#define bFM3_MFS4_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270821CUL))

#define bFM_MFS4_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270823CUL))
#define bFM3_MFS4_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270823CUL))

#define bFM_MFS4_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x42708008UL))
#define bFM3_MFS4_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270800CUL))
#define bFM3_MFS4_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x427080A0UL))
#define bFM3_MFS4_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x427080A4UL))
#define bFM3_MFS4_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x427080A8UL))
#define bFM3_MFS4_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x427080ACUL))
#define bFM3_MFS4_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x427080B0UL))
#define bFM3_MFS4_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x427080B4UL))
#define bFM3_MFS4_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x427080B4UL))
#define bFM_MFS4_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x427080B8UL))
#define bFM3_MFS4_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x427080B8UL))
#define bFM_MFS4_I2C_SSR_REC                      *((volatile  uint8_t *)(0x427080BCUL))
#define bFM3_MFS4_I2C_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))

#define bFM_MFS4_UART_BGR_EXT                     *((volatile  uint8_t *)(0x427081BCUL))
#define bFM3_MFS4_UART_BGR_EXT                    *((volatile  uint8_t *)(0x427081BCUL))

#define bFM_MFS4_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270808CUL))
#define bFM3_MFS4_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270808CUL))
#define bFM_MFS4_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x42708090UL))
#define bFM3_MFS4_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x42708090UL))
#define bFM_MFS4_UART_ESCR_INV                    *((volatile  uint8_t *)(0x42708094UL))
#define bFM3_MFS4_UART_ESCR_INV                   *((volatile  uint8_t *)(0x42708094UL))
#define bFM_MFS4_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x42708098UL))
#define bFM3_MFS4_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x42708098UL))
#define bFM_MFS4_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270809CUL))
#define bFM3_MFS4_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270809CUL))

#define bFM_MFS4_UART_FCR_FE1                     *((volatile  uint8_t *)(0x42708280UL))
#define bFM3_MFS4_UART_FCR_FE1                    *((volatile  uint8_t *)(0x42708280UL))
#define bFM_MFS4_UART_FCR_FE2                     *((volatile  uint8_t *)(0x42708284UL))
#define bFM3_MFS4_UART_FCR_FE2                    *((volatile  uint8_t *)(0x42708284UL))
#define bFM_MFS4_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x42708288UL))
#define bFM3_MFS4_UART_FCR_FCL1                   *((volatile  uint8_t *)(0x42708288UL))
#define bFM_MFS4_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270828CUL))
#define bFM3_MFS4_UART_FCR_FCL2                   *((volatile  uint8_t *)(0x4270828CUL))
#define bFM_MFS4_UART_FCR_FSET                    *((volatile  uint8_t *)(0x42708290UL))
#define bFM3_MFS4_UART_FCR_FSET                   *((volatile  uint8_t *)(0x42708290UL))
#define bFM_MFS4_UART_FCR_FLD                     *((volatile  uint8_t *)(0x42708294UL))
#define bFM3_MFS4_UART_FCR_FLD                    *((volatile  uint8_t *)(0x42708294UL))
#define bFM_MFS4_UART_FCR_FLST                    *((volatile  uint8_t *)(0x42708298UL))
#define bFM3_MFS4_UART_FCR_FLST                   *((volatile  uint8_t *)(0x42708298UL))
#define bFM_MFS4_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x427082A0UL))
#define bFM3_MFS4_UART_FCR_FSEL                   *((volatile  uint8_t *)(0x427082A0UL))
#define bFM_MFS4_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x427082A4UL))
#define bFM3_MFS4_UART_FCR_FTIE                   *((volatile  uint8_t *)(0x427082A4UL))
#define bFM_MFS4_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x427082A8UL))
#define bFM3_MFS4_UART_FCR_FDRQ                   *((volatile  uint8_t *)(0x427082A8UL))
#define bFM_MFS4_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x427082ACUL))
#define bFM3_MFS4_UART_FCR_FRIIE                  *((volatile  uint8_t *)(0x427082ACUL))
#define bFM_MFS4_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x427082B0UL))
#define bFM3_MFS4_UART_FCR_FLSTE                  *((volatile  uint8_t *)(0x427082B0UL))

#define bFM_MFS4_UART_SCR_TXE                     *((volatile  uint8_t *)(0x42708020UL))
#define bFM3_MFS4_UART_SCR_TXE                    *((volatile  uint8_t *)(0x42708020UL))
#define bFM_MFS4_UART_SCR_RXE                     *((volatile  uint8_t *)(0x42708024UL))
#define bFM3_MFS4_UART_SCR_RXE                    *((volatile  uint8_t *)(0x42708024UL))
#define bFM_MFS4_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x42708028UL))
#define bFM3_MFS4_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x42708028UL))
#define bFM_MFS4_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270802CUL))
#define bFM3_MFS4_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270802CUL))
#define bFM_MFS4_UART_SCR_RIE                     *((volatile  uint8_t *)(0x42708030UL))
#define bFM3_MFS4_UART_SCR_RIE                    *((volatile  uint8_t *)(0x42708030UL))
#define bFM_MFS4_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270803CUL))
#define bFM3_MFS4_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270803CUL))

#define bFM_MFS4_UART_SMR_SOE                     *((volatile  uint8_t *)(0x42708000UL))
#define bFM3_MFS4_UART_SMR_SOE                    *((volatile  uint8_t *)(0x42708000UL))
#define bFM_MFS4_UART_SMR_BDS                     *((volatile  uint8_t *)(0x42708008UL))
#define bFM3_MFS4_UART_SMR_BDS                    *((volatile  uint8_t *)(0x42708008UL))
#define bFM_MFS4_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270800CUL))
#define bFM3_MFS4_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270800CUL))

#define bFM_MFS4_UART_SSR_TBI                     *((volatile  uint8_t *)(0x427080A0UL))
#define bFM3_MFS4_UART_SSR_TBI                    *((volatile  uint8_t *)(0x427080A0UL))
#define bFM_MFS4_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x427080A4UL))
#define bFM3_MFS4_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x427080A4UL))
#define bFM_MFS4_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x427080A8UL))
#define bFM3_MFS4_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x427080A8UL))
#define bFM_MFS4_UART_SSR_ORE                     *((volatile  uint8_t *)(0x427080ACUL))
#define bFM3_MFS4_UART_SSR_ORE                    *((volatile  uint8_t *)(0x427080ACUL))
#define bFM_MFS4_UART_SSR_FRE                     *((volatile  uint8_t *)(0x427080B0UL))
#define bFM3_MFS4_UART_SSR_FRE                    *((volatile  uint8_t *)(0x427080B0UL))
#define bFM_MFS4_UART_SSR_PE                      *((volatile  uint8_t *)(0x427080B4UL))
#define bFM3_MFS4_UART_SSR_PE                     *((volatile  uint8_t *)(0x427080B4UL))
#define bFM_MFS4_UART_SSR_REC                     *((volatile  uint8_t *)(0x427080BCUL))
#define bFM3_MFS4_UART_SSR_REC                    *((volatile  uint8_t *)(0x427080BCUL))


/******************************************************************************
 ** MFS Registers MFS5
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS5_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270A09CUL))
#define bFM3_MFS5_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270A09CUL))

#define bFM_MFS5_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x4270A280UL))
#define bFM3_MFS5_CSIO_FCR_FE1                    *((volatile  uint8_t *)(0x4270A280UL))
#define bFM_MFS5_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x4270A284UL))
#define bFM3_MFS5_CSIO_FCR_FE2                    *((volatile  uint8_t *)(0x4270A284UL))
#define bFM_MFS5_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x4270A288UL))
#define bFM3_MFS5_CSIO_FCR_FCL1                   *((volatile  uint8_t *)(0x4270A288UL))
#define bFM_MFS5_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM3_MFS5_CSIO_FCR_FCL2                   *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM_MFS5_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x4270A290UL))
#define bFM3_MFS5_CSIO_FCR_FSET                   *((volatile  uint8_t *)(0x4270A290UL))
#define bFM_MFS5_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x4270A294UL))
#define bFM3_MFS5_CSIO_FCR_FLD                    *((volatile  uint8_t *)(0x4270A294UL))
#define bFM_MFS5_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x4270A298UL))
#define bFM3_MFS5_CSIO_FCR_FLST                   *((volatile  uint8_t *)(0x4270A298UL))
#define bFM_MFS5_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM3_MFS5_CSIO_FCR_FSEL                   *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM_MFS5_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM3_MFS5_CSIO_FCR_FTIE                   *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM_MFS5_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM3_MFS5_CSIO_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM_MFS5_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM3_MFS5_CSIO_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM_MFS5_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270A2B0UL))
#define bFM3_MFS5_CSIO_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270A2B0UL))

#define bFM_MFS5_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x4270A020UL))
#define bFM3_MFS5_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x4270A020UL))
#define bFM_MFS5_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x4270A024UL))
#define bFM3_MFS5_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x4270A024UL))
#define bFM_MFS5_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x4270A028UL))
#define bFM3_MFS5_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x4270A028UL))
#define bFM_MFS5_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM3_MFS5_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM_MFS5_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x4270A030UL))
#define bFM3_MFS5_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x4270A030UL))
#define bFM_MFS5_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x4270A034UL))
#define bFM3_MFS5_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x4270A034UL))
#define bFM_MFS5_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x4270A038UL))
#define bFM3_MFS5_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x4270A038UL))
#define bFM_MFS5_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270A03CUL))
#define bFM3_MFS5_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270A03CUL))

#define bFM_MFS5_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x4270A000UL))
#define bFM3_MFS5_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x4270A000UL))
#define bFM_MFS5_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x4270A004UL))
#define bFM3_MFS5_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x4270A004UL))
#define bFM_MFS5_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x4270A008UL))
#define bFM3_MFS5_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x4270A008UL))
#define bFM_MFS5_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270A00CUL))
#define bFM3_MFS5_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270A00CUL))

#define bFM_MFS5_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM3_MFS5_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM_MFS5_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM3_MFS5_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM_MFS5_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM3_MFS5_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM_MFS5_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM3_MFS5_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM_MFS5_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x4270A0BCUL))
#define bFM3_MFS5_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x4270A0BCUL))

#define bFM_MFS5_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x4270A3A0UL))
#define bFM3_MFS5_I2C_EIBCR_BEC                   *((volatile  uint8_t *)(0x4270A3A0UL))
#define bFM_MFS5_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x4270A3A4UL))
#define bFM3_MFS5_I2C_EIBCR_SOCE                  *((volatile  uint8_t *)(0x4270A3A4UL))
#define bFM_MFS5_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x4270A3A8UL))
#define bFM3_MFS5_I2C_EIBCR_SCLC                  *((volatile  uint8_t *)(0x4270A3A8UL))
#define bFM_MFS5_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x4270A3ACUL))
#define bFM3_MFS5_I2C_EIBCR_SDAC                  *((volatile  uint8_t *)(0x4270A3ACUL))
#define bFM_MFS5_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x4270A3B0UL))
#define bFM3_MFS5_I2C_EIBCR_SCLS                  *((volatile  uint8_t *)(0x4270A3B0UL))
#define bFM_MFS5_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x4270A3B4UL))
#define bFM3_MFS5_I2C_EIBCR_SDAS                  *((volatile  uint8_t *)(0x4270A3B4UL))

#define bFM_MFS5_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x4270A280UL))
#define bFM3_MFS5_I2C_FCR_FE1                     *((volatile  uint8_t *)(0x4270A280UL))
#define bFM_MFS5_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x4270A284UL))
#define bFM3_MFS5_I2C_FCR_FE2                     *((volatile  uint8_t *)(0x4270A284UL))
#define bFM_MFS5_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x4270A288UL))
#define bFM3_MFS5_I2C_FCR_FCL1                    *((volatile  uint8_t *)(0x4270A288UL))
#define bFM_MFS5_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM3_MFS5_I2C_FCR_FCL2                    *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM_MFS5_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x4270A290UL))
#define bFM3_MFS5_I2C_FCR_FSET                    *((volatile  uint8_t *)(0x4270A290UL))
#define bFM_MFS5_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x4270A294UL))
#define bFM3_MFS5_I2C_FCR_FLD                     *((volatile  uint8_t *)(0x4270A294UL))
#define bFM_MFS5_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x4270A298UL))
#define bFM3_MFS5_I2C_FCR_FLST                    *((volatile  uint8_t *)(0x4270A298UL))
#define bFM_MFS5_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM3_MFS5_I2C_FCR_FSEL                    *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM_MFS5_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM3_MFS5_I2C_FCR_FTIE                    *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM_MFS5_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM3_MFS5_I2C_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM_MFS5_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM3_MFS5_I2C_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM_MFS5_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270A2B0UL))
#define bFM3_MFS5_I2C_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270A2B0UL))

#define bFM_MFS5_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x4270A020UL))
#define bFM3_MFS5_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x4270A020UL))
#define bFM_MFS5_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x4270A024UL))
#define bFM3_MFS5_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x4270A024UL))
#define bFM_MFS5_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x4270A028UL))
#define bFM3_MFS5_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x4270A028UL))
#define bFM_MFS5_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM3_MFS5_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM_MFS5_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x4270A030UL))
#define bFM3_MFS5_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x4270A030UL))
#define bFM_MFS5_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x4270A034UL))
#define bFM3_MFS5_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x4270A034UL))
#define bFM_MFS5_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x4270A038UL))
#define bFM3_MFS5_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x4270A038UL))
#define bFM_MFS5_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270A03CUL))
#define bFM3_MFS5_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270A03CUL))

#define bFM_MFS5_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x4270A080UL))
#define bFM3_MFS5_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x4270A080UL))
#define bFM_MFS5_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x4270A084UL))
#define bFM3_MFS5_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x4270A084UL))
#define bFM_MFS5_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x4270A088UL))
#define bFM3_MFS5_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x4270A088UL))
#define bFM_MFS5_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270A08CUL))
#define bFM3_MFS5_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270A08CUL))
#define bFM_MFS5_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x4270A090UL))
#define bFM3_MFS5_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x4270A090UL))
#define bFM_MFS5_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x4270A094UL))
#define bFM3_MFS5_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x4270A094UL))
#define bFM_MFS5_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x4270A098UL))
#define bFM3_MFS5_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x4270A098UL))
#define bFM_MFS5_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270A09CUL))
#define bFM3_MFS5_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270A09CUL))

#define bFM_MFS5_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270A21CUL))
#define bFM3_MFS5_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270A21CUL))

#define bFM_MFS5_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270A23CUL))
#define bFM3_MFS5_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270A23CUL))

#define bFM_MFS5_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x4270A008UL))
#define bFM3_MFS5_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x4270A008UL))
#define bFM_MFS5_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270A00CUL))
#define bFM3_MFS5_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270A00CUL))

#define bFM_MFS5_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM3_MFS5_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM_MFS5_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM3_MFS5_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM_MFS5_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM3_MFS5_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM_MFS5_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM3_MFS5_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM_MFS5_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM3_MFS5_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM_MFS5_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM3_MFS5_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM_MFS5_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x4270A0B8UL))
#define bFM3_MFS5_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x4270A0B8UL))
#define bFM_MFS5_I2C_SSR_REC                      *((volatile  uint8_t *)(0x4270A0BCUL))
#define bFM3_MFS5_I2C_SSR_REC                     *((volatile  uint8_t *)(0x4270A0BCUL))

#define bFM_MFS5_UART_BGR_EXT                     *((volatile  uint8_t *)(0x4270A1BCUL))
#define bFM3_MFS5_UART_BGR_EXT                    *((volatile  uint8_t *)(0x4270A1BCUL))

#define bFM_MFS5_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270A08CUL))
#define bFM3_MFS5_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270A08CUL))
#define bFM_MFS5_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x4270A090UL))
#define bFM3_MFS5_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x4270A090UL))
#define bFM_MFS5_UART_ESCR_INV                    *((volatile  uint8_t *)(0x4270A094UL))
#define bFM3_MFS5_UART_ESCR_INV                   *((volatile  uint8_t *)(0x4270A094UL))
#define bFM_MFS5_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270A098UL))
#define bFM3_MFS5_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x4270A098UL))
#define bFM_MFS5_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270A09CUL))
#define bFM3_MFS5_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270A09CUL))

#define bFM_MFS5_UART_FCR_FE1                     *((volatile  uint8_t *)(0x4270A280UL))
#define bFM3_MFS5_UART_FCR_FE1                    *((volatile  uint8_t *)(0x4270A280UL))
#define bFM_MFS5_UART_FCR_FE2                     *((volatile  uint8_t *)(0x4270A284UL))
#define bFM3_MFS5_UART_FCR_FE2                    *((volatile  uint8_t *)(0x4270A284UL))
#define bFM_MFS5_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x4270A288UL))
#define bFM3_MFS5_UART_FCR_FCL1                   *((volatile  uint8_t *)(0x4270A288UL))
#define bFM_MFS5_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM3_MFS5_UART_FCR_FCL2                   *((volatile  uint8_t *)(0x4270A28CUL))
#define bFM_MFS5_UART_FCR_FSET                    *((volatile  uint8_t *)(0x4270A290UL))
#define bFM3_MFS5_UART_FCR_FSET                   *((volatile  uint8_t *)(0x4270A290UL))
#define bFM_MFS5_UART_FCR_FLD                     *((volatile  uint8_t *)(0x4270A294UL))
#define bFM3_MFS5_UART_FCR_FLD                    *((volatile  uint8_t *)(0x4270A294UL))
#define bFM_MFS5_UART_FCR_FLST                    *((volatile  uint8_t *)(0x4270A298UL))
#define bFM3_MFS5_UART_FCR_FLST                   *((volatile  uint8_t *)(0x4270A298UL))
#define bFM_MFS5_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM3_MFS5_UART_FCR_FSEL                   *((volatile  uint8_t *)(0x4270A2A0UL))
#define bFM_MFS5_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM3_MFS5_UART_FCR_FTIE                   *((volatile  uint8_t *)(0x4270A2A4UL))
#define bFM_MFS5_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM3_MFS5_UART_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270A2A8UL))
#define bFM_MFS5_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM3_MFS5_UART_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270A2ACUL))
#define bFM_MFS5_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270A2B0UL))
#define bFM3_MFS5_UART_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270A2B0UL))

#define bFM_MFS5_UART_SCR_TXE                     *((volatile  uint8_t *)(0x4270A020UL))
#define bFM3_MFS5_UART_SCR_TXE                    *((volatile  uint8_t *)(0x4270A020UL))
#define bFM_MFS5_UART_SCR_RXE                     *((volatile  uint8_t *)(0x4270A024UL))
#define bFM3_MFS5_UART_SCR_RXE                    *((volatile  uint8_t *)(0x4270A024UL))
#define bFM_MFS5_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x4270A028UL))
#define bFM3_MFS5_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x4270A028UL))
#define bFM_MFS5_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM3_MFS5_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270A02CUL))
#define bFM_MFS5_UART_SCR_RIE                     *((volatile  uint8_t *)(0x4270A030UL))
#define bFM3_MFS5_UART_SCR_RIE                    *((volatile  uint8_t *)(0x4270A030UL))
#define bFM_MFS5_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270A03CUL))
#define bFM3_MFS5_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270A03CUL))

#define bFM_MFS5_UART_SMR_SOE                     *((volatile  uint8_t *)(0x4270A000UL))
#define bFM3_MFS5_UART_SMR_SOE                    *((volatile  uint8_t *)(0x4270A000UL))
#define bFM_MFS5_UART_SMR_BDS                     *((volatile  uint8_t *)(0x4270A008UL))
#define bFM3_MFS5_UART_SMR_BDS                    *((volatile  uint8_t *)(0x4270A008UL))
#define bFM_MFS5_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270A00CUL))
#define bFM3_MFS5_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270A00CUL))

#define bFM_MFS5_UART_SSR_TBI                     *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM3_MFS5_UART_SSR_TBI                    *((volatile  uint8_t *)(0x4270A0A0UL))
#define bFM_MFS5_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM3_MFS5_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x4270A0A4UL))
#define bFM_MFS5_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM3_MFS5_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x4270A0A8UL))
#define bFM_MFS5_UART_SSR_ORE                     *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM3_MFS5_UART_SSR_ORE                    *((volatile  uint8_t *)(0x4270A0ACUL))
#define bFM_MFS5_UART_SSR_FRE                     *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM3_MFS5_UART_SSR_FRE                    *((volatile  uint8_t *)(0x4270A0B0UL))
#define bFM_MFS5_UART_SSR_PE                      *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM3_MFS5_UART_SSR_PE                     *((volatile  uint8_t *)(0x4270A0B4UL))
#define bFM_MFS5_UART_SSR_REC                     *((volatile  uint8_t *)(0x4270A0BCUL))
#define bFM3_MFS5_UART_SSR_REC                    *((volatile  uint8_t *)(0x4270A0BCUL))


/******************************************************************************
 ** MFS Registers MFS6
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS6_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM3_MFS6_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM3_MFS6_CSIO_FCR_FE1                    *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM3_MFS6_CSIO_FCR_FE2                    *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM3_MFS6_CSIO_FCR_FCL1                   *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM3_MFS6_CSIO_FCR_FCL2                   *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM3_MFS6_CSIO_FCR_FSET                   *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM3_MFS6_CSIO_FCR_FLD                    *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM3_MFS6_CSIO_FCR_FLST                   *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM3_MFS6_CSIO_FCR_FSEL                   *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM3_MFS6_CSIO_FCR_FTIE                   *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM3_MFS6_CSIO_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM3_MFS6_CSIO_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM3_MFS6_CSIO_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM3_MFS6_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM3_MFS6_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM3_MFS6_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM3_MFS6_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x4270C030UL))
#define bFM3_MFS6_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x4270C034UL))
#define bFM3_MFS6_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x4270C034UL))
#define bFM_MFS6_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x4270C038UL))
#define bFM3_MFS6_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM3_MFS6_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x4270C000UL))
#define bFM3_MFS6_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x4270C004UL))
#define bFM3_MFS6_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x4270C004UL))
#define bFM_MFS6_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x4270C008UL))
#define bFM3_MFS6_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM3_MFS6_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM3_MFS6_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM3_MFS6_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM3_MFS6_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM3_MFS6_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM3_MFS6_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x4270C3A0UL))
#define bFM3_MFS6_I2C_EIBCR_BEC                   *((volatile  uint8_t *)(0x4270C3A0UL))
#define bFM_MFS6_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x4270C3A4UL))
#define bFM3_MFS6_I2C_EIBCR_SOCE                  *((volatile  uint8_t *)(0x4270C3A4UL))
#define bFM_MFS6_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x4270C3A8UL))
#define bFM3_MFS6_I2C_EIBCR_SCLC                  *((volatile  uint8_t *)(0x4270C3A8UL))
#define bFM_MFS6_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x4270C3ACUL))
#define bFM3_MFS6_I2C_EIBCR_SDAC                  *((volatile  uint8_t *)(0x4270C3ACUL))
#define bFM_MFS6_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x4270C3B0UL))
#define bFM3_MFS6_I2C_EIBCR_SCLS                  *((volatile  uint8_t *)(0x4270C3B0UL))
#define bFM_MFS6_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x4270C3B4UL))
#define bFM3_MFS6_I2C_EIBCR_SDAS                  *((volatile  uint8_t *)(0x4270C3B4UL))

#define bFM_MFS6_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x4270C280UL))
#define bFM3_MFS6_I2C_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x4270C284UL))
#define bFM3_MFS6_I2C_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x4270C288UL))
#define bFM3_MFS6_I2C_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM3_MFS6_I2C_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x4270C290UL))
#define bFM3_MFS6_I2C_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x4270C294UL))
#define bFM3_MFS6_I2C_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x4270C298UL))
#define bFM3_MFS6_I2C_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM3_MFS6_I2C_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM3_MFS6_I2C_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM3_MFS6_I2C_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM3_MFS6_I2C_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM3_MFS6_I2C_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM3_MFS6_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM3_MFS6_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM3_MFS6_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM3_MFS6_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM3_MFS6_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x4270C034UL))
#define bFM3_MFS6_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x4270C034UL))
#define bFM_MFS6_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x4270C038UL))
#define bFM3_MFS6_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x4270C038UL))
#define bFM_MFS6_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM3_MFS6_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x4270C080UL))
#define bFM3_MFS6_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x4270C080UL))
#define bFM_MFS6_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x4270C084UL))
#define bFM3_MFS6_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x4270C084UL))
#define bFM_MFS6_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x4270C088UL))
#define bFM3_MFS6_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x4270C088UL))
#define bFM_MFS6_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM3_MFS6_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM_MFS6_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x4270C090UL))
#define bFM3_MFS6_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x4270C090UL))
#define bFM_MFS6_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x4270C094UL))
#define bFM3_MFS6_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x4270C094UL))
#define bFM_MFS6_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x4270C098UL))
#define bFM3_MFS6_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x4270C098UL))
#define bFM_MFS6_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM3_MFS6_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270C21CUL))
#define bFM3_MFS6_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270C21CUL))

#define bFM_MFS6_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270C23CUL))
#define bFM3_MFS6_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270C23CUL))

#define bFM_MFS6_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x4270C008UL))
#define bFM3_MFS6_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM3_MFS6_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM3_MFS6_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM3_MFS6_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM3_MFS6_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM3_MFS6_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM3_MFS6_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM3_MFS6_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM_MFS6_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x4270C0B8UL))
#define bFM3_MFS6_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x4270C0B8UL))
#define bFM_MFS6_I2C_SSR_REC                      *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM3_MFS6_I2C_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))

#define bFM_MFS6_UART_BGR_EXT                     *((volatile  uint8_t *)(0x4270C1BCUL))
#define bFM3_MFS6_UART_BGR_EXT                    *((volatile  uint8_t *)(0x4270C1BCUL))

#define bFM_MFS6_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM3_MFS6_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270C08CUL))
#define bFM_MFS6_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x4270C090UL))
#define bFM3_MFS6_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x4270C090UL))
#define bFM_MFS6_UART_ESCR_INV                    *((volatile  uint8_t *)(0x4270C094UL))
#define bFM3_MFS6_UART_ESCR_INV                   *((volatile  uint8_t *)(0x4270C094UL))
#define bFM_MFS6_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270C098UL))
#define bFM3_MFS6_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x4270C098UL))
#define bFM_MFS6_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270C09CUL))
#define bFM3_MFS6_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270C09CUL))

#define bFM_MFS6_UART_FCR_FE1                     *((volatile  uint8_t *)(0x4270C280UL))
#define bFM3_MFS6_UART_FCR_FE1                    *((volatile  uint8_t *)(0x4270C280UL))
#define bFM_MFS6_UART_FCR_FE2                     *((volatile  uint8_t *)(0x4270C284UL))
#define bFM3_MFS6_UART_FCR_FE2                    *((volatile  uint8_t *)(0x4270C284UL))
#define bFM_MFS6_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x4270C288UL))
#define bFM3_MFS6_UART_FCR_FCL1                   *((volatile  uint8_t *)(0x4270C288UL))
#define bFM_MFS6_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM3_MFS6_UART_FCR_FCL2                   *((volatile  uint8_t *)(0x4270C28CUL))
#define bFM_MFS6_UART_FCR_FSET                    *((volatile  uint8_t *)(0x4270C290UL))
#define bFM3_MFS6_UART_FCR_FSET                   *((volatile  uint8_t *)(0x4270C290UL))
#define bFM_MFS6_UART_FCR_FLD                     *((volatile  uint8_t *)(0x4270C294UL))
#define bFM3_MFS6_UART_FCR_FLD                    *((volatile  uint8_t *)(0x4270C294UL))
#define bFM_MFS6_UART_FCR_FLST                    *((volatile  uint8_t *)(0x4270C298UL))
#define bFM3_MFS6_UART_FCR_FLST                   *((volatile  uint8_t *)(0x4270C298UL))
#define bFM_MFS6_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM3_MFS6_UART_FCR_FSEL                   *((volatile  uint8_t *)(0x4270C2A0UL))
#define bFM_MFS6_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM3_MFS6_UART_FCR_FTIE                   *((volatile  uint8_t *)(0x4270C2A4UL))
#define bFM_MFS6_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM3_MFS6_UART_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270C2A8UL))
#define bFM_MFS6_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM3_MFS6_UART_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270C2ACUL))
#define bFM_MFS6_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270C2B0UL))
#define bFM3_MFS6_UART_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270C2B0UL))

#define bFM_MFS6_UART_SCR_TXE                     *((volatile  uint8_t *)(0x4270C020UL))
#define bFM3_MFS6_UART_SCR_TXE                    *((volatile  uint8_t *)(0x4270C020UL))
#define bFM_MFS6_UART_SCR_RXE                     *((volatile  uint8_t *)(0x4270C024UL))
#define bFM3_MFS6_UART_SCR_RXE                    *((volatile  uint8_t *)(0x4270C024UL))
#define bFM_MFS6_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x4270C028UL))
#define bFM3_MFS6_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x4270C028UL))
#define bFM_MFS6_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM3_MFS6_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270C02CUL))
#define bFM_MFS6_UART_SCR_RIE                     *((volatile  uint8_t *)(0x4270C030UL))
#define bFM3_MFS6_UART_SCR_RIE                    *((volatile  uint8_t *)(0x4270C030UL))
#define bFM_MFS6_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270C03CUL))
#define bFM3_MFS6_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270C03CUL))

#define bFM_MFS6_UART_SMR_SOE                     *((volatile  uint8_t *)(0x4270C000UL))
#define bFM3_MFS6_UART_SMR_SOE                    *((volatile  uint8_t *)(0x4270C000UL))
#define bFM_MFS6_UART_SMR_BDS                     *((volatile  uint8_t *)(0x4270C008UL))
#define bFM3_MFS6_UART_SMR_BDS                    *((volatile  uint8_t *)(0x4270C008UL))
#define bFM_MFS6_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270C00CUL))
#define bFM3_MFS6_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270C00CUL))

#define bFM_MFS6_UART_SSR_TBI                     *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM3_MFS6_UART_SSR_TBI                    *((volatile  uint8_t *)(0x4270C0A0UL))
#define bFM_MFS6_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM3_MFS6_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x4270C0A4UL))
#define bFM_MFS6_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM3_MFS6_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x4270C0A8UL))
#define bFM_MFS6_UART_SSR_ORE                     *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM3_MFS6_UART_SSR_ORE                    *((volatile  uint8_t *)(0x4270C0ACUL))
#define bFM_MFS6_UART_SSR_FRE                     *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM3_MFS6_UART_SSR_FRE                    *((volatile  uint8_t *)(0x4270C0B0UL))
#define bFM_MFS6_UART_SSR_PE                      *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM3_MFS6_UART_SSR_PE                     *((volatile  uint8_t *)(0x4270C0B4UL))
#define bFM_MFS6_UART_SSR_REC                     *((volatile  uint8_t *)(0x4270C0BCUL))
#define bFM3_MFS6_UART_SSR_REC                    *((volatile  uint8_t *)(0x4270C0BCUL))


/******************************************************************************
 ** MFS Registers MFS7
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_MFS7_CSIO_ESCR_SOP                    *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM3_MFS7_CSIO_ESCR_SOP                   *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_CSIO_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM3_MFS7_CSIO_FCR_FE1                    *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_CSIO_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM3_MFS7_CSIO_FCR_FE2                    *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_CSIO_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM3_MFS7_CSIO_FCR_FCL1                   *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_CSIO_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM3_MFS7_CSIO_FCR_FCL2                   *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_CSIO_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM3_MFS7_CSIO_FCR_FSET                   *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_CSIO_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM3_MFS7_CSIO_FCR_FLD                    *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_CSIO_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM3_MFS7_CSIO_FCR_FLST                   *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_CSIO_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM3_MFS7_CSIO_FCR_FSEL                   *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_CSIO_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM3_MFS7_CSIO_FCR_FTIE                   *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_CSIO_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM3_MFS7_CSIO_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_CSIO_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM3_MFS7_CSIO_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_CSIO_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM3_MFS7_CSIO_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_CSIO_SCR_TXE                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM3_MFS7_CSIO_SCR_TXE                    *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_CSIO_SCR_RXE                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM3_MFS7_CSIO_SCR_RXE                    *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_CSIO_SCR_TBIE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM3_MFS7_CSIO_SCR_TBIE                   *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_CSIO_SCR_TIE                     *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM3_MFS7_CSIO_SCR_TIE                    *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_CSIO_SCR_RIE                     *((volatile  uint8_t *)(0x4270E030UL))
#define bFM3_MFS7_CSIO_SCR_RIE                    *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_CSIO_SCR_SPI                     *((volatile  uint8_t *)(0x4270E034UL))
#define bFM3_MFS7_CSIO_SCR_SPI                    *((volatile  uint8_t *)(0x4270E034UL))
#define bFM_MFS7_CSIO_SCR_MS                      *((volatile  uint8_t *)(0x4270E038UL))
#define bFM3_MFS7_CSIO_SCR_MS                     *((volatile  uint8_t *)(0x4270E038UL))
#define bFM_MFS7_CSIO_SCR_UPCL                    *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM3_MFS7_CSIO_SCR_UPCL                   *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_CSIO_SMR_SOE                     *((volatile  uint8_t *)(0x4270E000UL))
#define bFM3_MFS7_CSIO_SMR_SOE                    *((volatile  uint8_t *)(0x4270E000UL))
#define bFM_MFS7_CSIO_SMR_SCKE                    *((volatile  uint8_t *)(0x4270E004UL))
#define bFM3_MFS7_CSIO_SMR_SCKE                   *((volatile  uint8_t *)(0x4270E004UL))
#define bFM_MFS7_CSIO_SMR_BDS                     *((volatile  uint8_t *)(0x4270E008UL))
#define bFM3_MFS7_CSIO_SMR_BDS                    *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_CSIO_SMR_SCINV                   *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM3_MFS7_CSIO_SMR_SCINV                  *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_CSIO_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM3_MFS7_CSIO_SSR_TBI                    *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_CSIO_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM3_MFS7_CSIO_SSR_TDRE                   *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_CSIO_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM3_MFS7_CSIO_SSR_RDRF                   *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_CSIO_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM3_MFS7_CSIO_SSR_ORE                    *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_CSIO_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM3_MFS7_CSIO_SSR_REC                    *((volatile  uint8_t *)(0x4270E0BCUL))

#define bFM_MFS7_I2C_EIBCR_BEC                    *((volatile  uint8_t *)(0x4270E3A0UL))
#define bFM3_MFS7_I2C_EIBCR_BEC                   *((volatile  uint8_t *)(0x4270E3A0UL))
#define bFM_MFS7_I2C_EIBCR_SOCE                   *((volatile  uint8_t *)(0x4270E3A4UL))
#define bFM3_MFS7_I2C_EIBCR_SOCE                  *((volatile  uint8_t *)(0x4270E3A4UL))
#define bFM_MFS7_I2C_EIBCR_SCLC                   *((volatile  uint8_t *)(0x4270E3A8UL))
#define bFM3_MFS7_I2C_EIBCR_SCLC                  *((volatile  uint8_t *)(0x4270E3A8UL))
#define bFM_MFS7_I2C_EIBCR_SDAC                   *((volatile  uint8_t *)(0x4270E3ACUL))
#define bFM3_MFS7_I2C_EIBCR_SDAC                  *((volatile  uint8_t *)(0x4270E3ACUL))
#define bFM_MFS7_I2C_EIBCR_SCLS                   *((volatile  uint8_t *)(0x4270E3B0UL))
#define bFM3_MFS7_I2C_EIBCR_SCLS                  *((volatile  uint8_t *)(0x4270E3B0UL))
#define bFM_MFS7_I2C_EIBCR_SDAS                   *((volatile  uint8_t *)(0x4270E3B4UL))
#define bFM3_MFS7_I2C_EIBCR_SDAS                  *((volatile  uint8_t *)(0x4270E3B4UL))

#define bFM_MFS7_I2C_FCR_FE1                      *((volatile  uint8_t *)(0x4270E280UL))
#define bFM3_MFS7_I2C_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_I2C_FCR_FE2                      *((volatile  uint8_t *)(0x4270E284UL))
#define bFM3_MFS7_I2C_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_I2C_FCR_FCL1                     *((volatile  uint8_t *)(0x4270E288UL))
#define bFM3_MFS7_I2C_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_I2C_FCR_FCL2                     *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM3_MFS7_I2C_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_I2C_FCR_FSET                     *((volatile  uint8_t *)(0x4270E290UL))
#define bFM3_MFS7_I2C_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_I2C_FCR_FLD                      *((volatile  uint8_t *)(0x4270E294UL))
#define bFM3_MFS7_I2C_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_I2C_FCR_FLST                     *((volatile  uint8_t *)(0x4270E298UL))
#define bFM3_MFS7_I2C_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_I2C_FCR_FSEL                     *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM3_MFS7_I2C_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_I2C_FCR_FTIE                     *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM3_MFS7_I2C_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_I2C_FCR_FDRQ                     *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM3_MFS7_I2C_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_I2C_FCR_FRIIE                    *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM3_MFS7_I2C_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_I2C_FCR_FLSTE                    *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM3_MFS7_I2C_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_I2C_IBCR_INT                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM3_MFS7_I2C_IBCR_INT                    *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_I2C_IBCR_BER                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM3_MFS7_I2C_IBCR_BER                    *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_I2C_IBCR_INTE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM3_MFS7_I2C_IBCR_INTE                   *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_I2C_IBCR_CNDE                    *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM3_MFS7_I2C_IBCR_CNDE                   *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_I2C_IBCR_WSEL                    *((volatile  uint8_t *)(0x4270E030UL))
#define bFM3_MFS7_I2C_IBCR_WSEL                   *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_I2C_IBCR_ACKE                    *((volatile  uint8_t *)(0x4270E034UL))
#define bFM3_MFS7_I2C_IBCR_ACKE                   *((volatile  uint8_t *)(0x4270E034UL))
#define bFM_MFS7_I2C_IBCR_ACT_SCC                 *((volatile  uint8_t *)(0x4270E038UL))
#define bFM3_MFS7_I2C_IBCR_ACT_SCC                *((volatile  uint8_t *)(0x4270E038UL))
#define bFM_MFS7_I2C_IBCR_MSS                     *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM3_MFS7_I2C_IBCR_MSS                    *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_I2C_IBSR_BB                      *((volatile  uint8_t *)(0x4270E080UL))
#define bFM3_MFS7_I2C_IBSR_BB                     *((volatile  uint8_t *)(0x4270E080UL))
#define bFM_MFS7_I2C_IBSR_SPC                     *((volatile  uint8_t *)(0x4270E084UL))
#define bFM3_MFS7_I2C_IBSR_SPC                    *((volatile  uint8_t *)(0x4270E084UL))
#define bFM_MFS7_I2C_IBSR_RSC                     *((volatile  uint8_t *)(0x4270E088UL))
#define bFM3_MFS7_I2C_IBSR_RSC                    *((volatile  uint8_t *)(0x4270E088UL))
#define bFM_MFS7_I2C_IBSR_AL                      *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM3_MFS7_I2C_IBSR_AL                     *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM_MFS7_I2C_IBSR_TRX                     *((volatile  uint8_t *)(0x4270E090UL))
#define bFM3_MFS7_I2C_IBSR_TRX                    *((volatile  uint8_t *)(0x4270E090UL))
#define bFM_MFS7_I2C_IBSR_RSA                     *((volatile  uint8_t *)(0x4270E094UL))
#define bFM3_MFS7_I2C_IBSR_RSA                    *((volatile  uint8_t *)(0x4270E094UL))
#define bFM_MFS7_I2C_IBSR_RACK                    *((volatile  uint8_t *)(0x4270E098UL))
#define bFM3_MFS7_I2C_IBSR_RACK                   *((volatile  uint8_t *)(0x4270E098UL))
#define bFM_MFS7_I2C_IBSR_FBT                     *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM3_MFS7_I2C_IBSR_FBT                    *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_I2C_ISBA_SAEN                    *((volatile  uint8_t *)(0x4270E21CUL))
#define bFM3_MFS7_I2C_ISBA_SAEN                   *((volatile  uint8_t *)(0x4270E21CUL))

#define bFM_MFS7_I2C_ISMK_EN                      *((volatile  uint8_t *)(0x4270E23CUL))
#define bFM3_MFS7_I2C_ISMK_EN                     *((volatile  uint8_t *)(0x4270E23CUL))

#define bFM_MFS7_I2C_SMR_TIE                      *((volatile  uint8_t *)(0x4270E008UL))
#define bFM3_MFS7_I2C_SMR_TIE                     *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_I2C_SMR_RIE                      *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM3_MFS7_I2C_SMR_RIE                     *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_I2C_SSR_TBI                      *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM3_MFS7_I2C_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_I2C_SSR_TDRE                     *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM3_MFS7_I2C_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_I2C_SSR_RDRF                     *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM3_MFS7_I2C_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_I2C_SSR_ORE                      *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM3_MFS7_I2C_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_I2C_SSR_TBIE                     *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM3_MFS7_I2C_SSR_TBIE                    *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM_MFS7_I2C_SSR_DMA                      *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM3_MFS7_I2C_SSR_DMA                     *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM_MFS7_I2C_SSR_TSET                     *((volatile  uint8_t *)(0x4270E0B8UL))
#define bFM3_MFS7_I2C_SSR_TSET                    *((volatile  uint8_t *)(0x4270E0B8UL))
#define bFM_MFS7_I2C_SSR_REC                      *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM3_MFS7_I2C_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))

#define bFM_MFS7_UART_BGR_EXT                     *((volatile  uint8_t *)(0x4270E1BCUL))
#define bFM3_MFS7_UART_BGR_EXT                    *((volatile  uint8_t *)(0x4270E1BCUL))

#define bFM_MFS7_UART_ESCR_P                      *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM3_MFS7_UART_ESCR_P                     *((volatile  uint8_t *)(0x4270E08CUL))
#define bFM_MFS7_UART_ESCR_PEN                    *((volatile  uint8_t *)(0x4270E090UL))
#define bFM3_MFS7_UART_ESCR_PEN                   *((volatile  uint8_t *)(0x4270E090UL))
#define bFM_MFS7_UART_ESCR_INV                    *((volatile  uint8_t *)(0x4270E094UL))
#define bFM3_MFS7_UART_ESCR_INV                   *((volatile  uint8_t *)(0x4270E094UL))
#define bFM_MFS7_UART_ESCR_ESBL                   *((volatile  uint8_t *)(0x4270E098UL))
#define bFM3_MFS7_UART_ESCR_ESBL                  *((volatile  uint8_t *)(0x4270E098UL))
#define bFM_MFS7_UART_ESCR_FLWEN                  *((volatile  uint8_t *)(0x4270E09CUL))
#define bFM3_MFS7_UART_ESCR_FLWEN                 *((volatile  uint8_t *)(0x4270E09CUL))

#define bFM_MFS7_UART_FCR_FE1                     *((volatile  uint8_t *)(0x4270E280UL))
#define bFM3_MFS7_UART_FCR_FE1                    *((volatile  uint8_t *)(0x4270E280UL))
#define bFM_MFS7_UART_FCR_FE2                     *((volatile  uint8_t *)(0x4270E284UL))
#define bFM3_MFS7_UART_FCR_FE2                    *((volatile  uint8_t *)(0x4270E284UL))
#define bFM_MFS7_UART_FCR_FCL1                    *((volatile  uint8_t *)(0x4270E288UL))
#define bFM3_MFS7_UART_FCR_FCL1                   *((volatile  uint8_t *)(0x4270E288UL))
#define bFM_MFS7_UART_FCR_FCL2                    *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM3_MFS7_UART_FCR_FCL2                   *((volatile  uint8_t *)(0x4270E28CUL))
#define bFM_MFS7_UART_FCR_FSET                    *((volatile  uint8_t *)(0x4270E290UL))
#define bFM3_MFS7_UART_FCR_FSET                   *((volatile  uint8_t *)(0x4270E290UL))
#define bFM_MFS7_UART_FCR_FLD                     *((volatile  uint8_t *)(0x4270E294UL))
#define bFM3_MFS7_UART_FCR_FLD                    *((volatile  uint8_t *)(0x4270E294UL))
#define bFM_MFS7_UART_FCR_FLST                    *((volatile  uint8_t *)(0x4270E298UL))
#define bFM3_MFS7_UART_FCR_FLST                   *((volatile  uint8_t *)(0x4270E298UL))
#define bFM_MFS7_UART_FCR_FSEL                    *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM3_MFS7_UART_FCR_FSEL                   *((volatile  uint8_t *)(0x4270E2A0UL))
#define bFM_MFS7_UART_FCR_FTIE                    *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM3_MFS7_UART_FCR_FTIE                   *((volatile  uint8_t *)(0x4270E2A4UL))
#define bFM_MFS7_UART_FCR_FDRQ                    *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM3_MFS7_UART_FCR_FDRQ                   *((volatile  uint8_t *)(0x4270E2A8UL))
#define bFM_MFS7_UART_FCR_FRIIE                   *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM3_MFS7_UART_FCR_FRIIE                  *((volatile  uint8_t *)(0x4270E2ACUL))
#define bFM_MFS7_UART_FCR_FLSTE                   *((volatile  uint8_t *)(0x4270E2B0UL))
#define bFM3_MFS7_UART_FCR_FLSTE                  *((volatile  uint8_t *)(0x4270E2B0UL))

#define bFM_MFS7_UART_SCR_TXE                     *((volatile  uint8_t *)(0x4270E020UL))
#define bFM3_MFS7_UART_SCR_TXE                    *((volatile  uint8_t *)(0x4270E020UL))
#define bFM_MFS7_UART_SCR_RXE                     *((volatile  uint8_t *)(0x4270E024UL))
#define bFM3_MFS7_UART_SCR_RXE                    *((volatile  uint8_t *)(0x4270E024UL))
#define bFM_MFS7_UART_SCR_TBIE                    *((volatile  uint8_t *)(0x4270E028UL))
#define bFM3_MFS7_UART_SCR_TBIE                   *((volatile  uint8_t *)(0x4270E028UL))
#define bFM_MFS7_UART_SCR_TIE                     *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM3_MFS7_UART_SCR_TIE                    *((volatile  uint8_t *)(0x4270E02CUL))
#define bFM_MFS7_UART_SCR_RIE                     *((volatile  uint8_t *)(0x4270E030UL))
#define bFM3_MFS7_UART_SCR_RIE                    *((volatile  uint8_t *)(0x4270E030UL))
#define bFM_MFS7_UART_SCR_UPCL                    *((volatile  uint8_t *)(0x4270E03CUL))
#define bFM3_MFS7_UART_SCR_UPCL                   *((volatile  uint8_t *)(0x4270E03CUL))

#define bFM_MFS7_UART_SMR_SOE                     *((volatile  uint8_t *)(0x4270E000UL))
#define bFM3_MFS7_UART_SMR_SOE                    *((volatile  uint8_t *)(0x4270E000UL))
#define bFM_MFS7_UART_SMR_BDS                     *((volatile  uint8_t *)(0x4270E008UL))
#define bFM3_MFS7_UART_SMR_BDS                    *((volatile  uint8_t *)(0x4270E008UL))
#define bFM_MFS7_UART_SMR_SBL                     *((volatile  uint8_t *)(0x4270E00CUL))
#define bFM3_MFS7_UART_SMR_SBL                    *((volatile  uint8_t *)(0x4270E00CUL))

#define bFM_MFS7_UART_SSR_TBI                     *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM3_MFS7_UART_SSR_TBI                    *((volatile  uint8_t *)(0x4270E0A0UL))
#define bFM_MFS7_UART_SSR_TDRE                    *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM3_MFS7_UART_SSR_TDRE                   *((volatile  uint8_t *)(0x4270E0A4UL))
#define bFM_MFS7_UART_SSR_RDRF                    *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM3_MFS7_UART_SSR_RDRF                   *((volatile  uint8_t *)(0x4270E0A8UL))
#define bFM_MFS7_UART_SSR_ORE                     *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM3_MFS7_UART_SSR_ORE                    *((volatile  uint8_t *)(0x4270E0ACUL))
#define bFM_MFS7_UART_SSR_FRE                     *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM3_MFS7_UART_SSR_FRE                    *((volatile  uint8_t *)(0x4270E0B0UL))
#define bFM_MFS7_UART_SSR_PE                      *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM3_MFS7_UART_SSR_PE                     *((volatile  uint8_t *)(0x4270E0B4UL))
#define bFM_MFS7_UART_SSR_REC                     *((volatile  uint8_t *)(0x4270E0BCUL))
#define bFM3_MFS7_UART_SSR_REC                    *((volatile  uint8_t *)(0x4270E0BCUL))


/******************************************************************************
 ** RTC Registers RTC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_RTC_ALMOR_TAMO0                       *((volatile  uint8_t *)(0x42760330UL))
#define bFM3_RTC_ALMOR_TAMO0                      *((volatile  uint8_t *)(0x42760330UL))

#define bFM_RTC_WTBR_BR0                          *((volatile  uint8_t *)(0x42760100UL))
#define bFM3_RTC_WTBR_BR0                         *((volatile  uint8_t *)(0x42760100UL))
#define bFM_RTC_WTBR_BR1                          *((volatile  uint8_t *)(0x42760104UL))
#define bFM3_RTC_WTBR_BR1                         *((volatile  uint8_t *)(0x42760104UL))
#define bFM_RTC_WTBR_BR2                          *((volatile  uint8_t *)(0x42760108UL))
#define bFM3_RTC_WTBR_BR2                         *((volatile  uint8_t *)(0x42760108UL))
#define bFM_RTC_WTBR_BR3                          *((volatile  uint8_t *)(0x4276010CUL))
#define bFM3_RTC_WTBR_BR3                         *((volatile  uint8_t *)(0x4276010CUL))
#define bFM_RTC_WTBR_BR4                          *((volatile  uint8_t *)(0x42760110UL))
#define bFM3_RTC_WTBR_BR4                         *((volatile  uint8_t *)(0x42760110UL))
#define bFM_RTC_WTBR_BR5                          *((volatile  uint8_t *)(0x42760114UL))
#define bFM3_RTC_WTBR_BR5                         *((volatile  uint8_t *)(0x42760114UL))
#define bFM_RTC_WTBR_BR6                          *((volatile  uint8_t *)(0x42760118UL))
#define bFM3_RTC_WTBR_BR6                         *((volatile  uint8_t *)(0x42760118UL))
#define bFM_RTC_WTBR_BR7                          *((volatile  uint8_t *)(0x4276011CUL))
#define bFM3_RTC_WTBR_BR7                         *((volatile  uint8_t *)(0x4276011CUL))
#define bFM_RTC_WTBR_BR8                          *((volatile  uint8_t *)(0x42760120UL))
#define bFM3_RTC_WTBR_BR8                         *((volatile  uint8_t *)(0x42760120UL))
#define bFM_RTC_WTBR_BR9                          *((volatile  uint8_t *)(0x42760124UL))
#define bFM3_RTC_WTBR_BR9                         *((volatile  uint8_t *)(0x42760124UL))
#define bFM_RTC_WTBR_BR10                         *((volatile  uint8_t *)(0x42760128UL))
#define bFM3_RTC_WTBR_BR10                        *((volatile  uint8_t *)(0x42760128UL))
#define bFM_RTC_WTBR_BR11                         *((volatile  uint8_t *)(0x4276012CUL))
#define bFM3_RTC_WTBR_BR11                        *((volatile  uint8_t *)(0x4276012CUL))
#define bFM_RTC_WTBR_BR12                         *((volatile  uint8_t *)(0x42760130UL))
#define bFM3_RTC_WTBR_BR12                        *((volatile  uint8_t *)(0x42760130UL))
#define bFM_RTC_WTBR_BR13                         *((volatile  uint8_t *)(0x42760134UL))
#define bFM3_RTC_WTBR_BR13                        *((volatile  uint8_t *)(0x42760134UL))
#define bFM_RTC_WTBR_BR14                         *((volatile  uint8_t *)(0x42760138UL))
#define bFM3_RTC_WTBR_BR14                        *((volatile  uint8_t *)(0x42760138UL))
#define bFM_RTC_WTBR_BR15                         *((volatile  uint8_t *)(0x4276013CUL))
#define bFM3_RTC_WTBR_BR15                        *((volatile  uint8_t *)(0x4276013CUL))
#define bFM_RTC_WTBR_BR16                         *((volatile  uint8_t *)(0x42760140UL))
#define bFM3_RTC_WTBR_BR16                        *((volatile  uint8_t *)(0x42760140UL))
#define bFM_RTC_WTBR_BR17                         *((volatile  uint8_t *)(0x42760144UL))
#define bFM3_RTC_WTBR_BR17                        *((volatile  uint8_t *)(0x42760144UL))
#define bFM_RTC_WTBR_BR18                         *((volatile  uint8_t *)(0x42760148UL))
#define bFM3_RTC_WTBR_BR18                        *((volatile  uint8_t *)(0x42760148UL))
#define bFM_RTC_WTBR_BR19                         *((volatile  uint8_t *)(0x4276014CUL))
#define bFM3_RTC_WTBR_BR19                        *((volatile  uint8_t *)(0x4276014CUL))
#define bFM_RTC_WTBR_BR20                         *((volatile  uint8_t *)(0x42760150UL))
#define bFM3_RTC_WTBR_BR20                        *((volatile  uint8_t *)(0x42760150UL))
#define bFM_RTC_WTBR_BR21                         *((volatile  uint8_t *)(0x42760154UL))
#define bFM3_RTC_WTBR_BR21                        *((volatile  uint8_t *)(0x42760154UL))
#define bFM_RTC_WTBR_BR22                         *((volatile  uint8_t *)(0x42760158UL))
#define bFM3_RTC_WTBR_BR22                        *((volatile  uint8_t *)(0x42760158UL))
#define bFM_RTC_WTBR_BR23                         *((volatile  uint8_t *)(0x4276015CUL))
#define bFM3_RTC_WTBR_BR23                        *((volatile  uint8_t *)(0x4276015CUL))

#define bFM_RTC_WTCALEN_WTCALEN                   *((volatile  uint8_t *)(0x427604C0UL))
#define bFM3_RTC_WTCALEN_WTCALEN                  *((volatile  uint8_t *)(0x427604C0UL))

#define bFM_RTC_WTCLKS_WTCLKS                     *((volatile  uint8_t *)(0x42760400UL))
#define bFM3_RTC_WTCLKS_WTCLKS                    *((volatile  uint8_t *)(0x42760400UL))

#define bFM_RTC_WTCOSEL_WTCOSEL                   *((volatile  uint8_t *)(0x42760600UL))
#define bFM3_RTC_WTCOSEL_WTCOSEL                  *((volatile  uint8_t *)(0x42760600UL))

#define bFM_RTC_WTCR1_ST                          *((volatile  uint8_t *)(0x42760000UL))
#define bFM3_RTC_WTCR1_ST                         *((volatile  uint8_t *)(0x42760000UL))
#define bFM_RTC_WTCR1_RUN                         *((volatile  uint8_t *)(0x42760008UL))
#define bFM3_RTC_WTCR1_RUN                        *((volatile  uint8_t *)(0x42760008UL))
#define bFM_RTC_WTCR1_SRST                        *((volatile  uint8_t *)(0x4276000CUL))
#define bFM3_RTC_WTCR1_SRST                       *((volatile  uint8_t *)(0x4276000CUL))
#define bFM_RTC_WTCR1_SCST                        *((volatile  uint8_t *)(0x42760010UL))
#define bFM3_RTC_WTCR1_SCST                       *((volatile  uint8_t *)(0x42760010UL))
#define bFM_RTC_WTCR1_SCRST                       *((volatile  uint8_t *)(0x42760014UL))
#define bFM3_RTC_WTCR1_SCRST                      *((volatile  uint8_t *)(0x42760014UL))
#define bFM_RTC_WTCR1_BUSY                        *((volatile  uint8_t *)(0x42760018UL))
#define bFM3_RTC_WTCR1_BUSY                       *((volatile  uint8_t *)(0x42760018UL))
#define bFM_RTC_WTCR1_MIEN                        *((volatile  uint8_t *)(0x42760020UL))
#define bFM3_RTC_WTCR1_MIEN                       *((volatile  uint8_t *)(0x42760020UL))
#define bFM_RTC_WTCR1_HEN                         *((volatile  uint8_t *)(0x42760024UL))
#define bFM3_RTC_WTCR1_HEN                        *((volatile  uint8_t *)(0x42760024UL))
#define bFM_RTC_WTCR1_DEN                         *((volatile  uint8_t *)(0x42760028UL))
#define bFM3_RTC_WTCR1_DEN                        *((volatile  uint8_t *)(0x42760028UL))
#define bFM_RTC_WTCR1_MOEN                        *((volatile  uint8_t *)(0x4276002CUL))
#define bFM3_RTC_WTCR1_MOEN                       *((volatile  uint8_t *)(0x4276002CUL))
#define bFM_RTC_WTCR1_YEN                         *((volatile  uint8_t *)(0x42760030UL))
#define bFM3_RTC_WTCR1_YEN                        *((volatile  uint8_t *)(0x42760030UL))
#define bFM_RTC_WTCR1_INTSSI                      *((volatile  uint8_t *)(0x42760040UL))
#define bFM3_RTC_WTCR1_INTSSI                     *((volatile  uint8_t *)(0x42760040UL))
#define bFM_RTC_WTCR1_INTSI                       *((volatile  uint8_t *)(0x42760044UL))
#define bFM3_RTC_WTCR1_INTSI                      *((volatile  uint8_t *)(0x42760044UL))
#define bFM_RTC_WTCR1_INTMI                       *((volatile  uint8_t *)(0x42760048UL))
#define bFM3_RTC_WTCR1_INTMI                      *((volatile  uint8_t *)(0x42760048UL))
#define bFM_RTC_WTCR1_INTHI                       *((volatile  uint8_t *)(0x4276004CUL))
#define bFM3_RTC_WTCR1_INTHI                      *((volatile  uint8_t *)(0x4276004CUL))
#define bFM_RTC_WTCR1_INTTMI                      *((volatile  uint8_t *)(0x42760050UL))
#define bFM3_RTC_WTCR1_INTTMI                     *((volatile  uint8_t *)(0x42760050UL))
#define bFM_RTC_WTCR1_INTALI                      *((volatile  uint8_t *)(0x42760054UL))
#define bFM3_RTC_WTCR1_INTALI                     *((volatile  uint8_t *)(0x42760054UL))
#define bFM_RTC_WTCR1_INTERI                      *((volatile  uint8_t *)(0x42760058UL))
#define bFM3_RTC_WTCR1_INTERI                     *((volatile  uint8_t *)(0x42760058UL))
#define bFM_RTC_WTCR1_INTCRI                      *((volatile  uint8_t *)(0x4276005CUL))
#define bFM3_RTC_WTCR1_INTCRI                     *((volatile  uint8_t *)(0x4276005CUL))
#define bFM_RTC_WTCR1_INTSSIE                     *((volatile  uint8_t *)(0x42760060UL))
#define bFM3_RTC_WTCR1_INTSSIE                    *((volatile  uint8_t *)(0x42760060UL))
#define bFM_RTC_WTCR1_INTSIE                      *((volatile  uint8_t *)(0x42760064UL))
#define bFM3_RTC_WTCR1_INTSIE                     *((volatile  uint8_t *)(0x42760064UL))
#define bFM_RTC_WTCR1_INTMIE                      *((volatile  uint8_t *)(0x42760068UL))
#define bFM3_RTC_WTCR1_INTMIE                     *((volatile  uint8_t *)(0x42760068UL))
#define bFM_RTC_WTCR1_INTHIE                      *((volatile  uint8_t *)(0x4276006CUL))
#define bFM3_RTC_WTCR1_INTHIE                     *((volatile  uint8_t *)(0x4276006CUL))
#define bFM_RTC_WTCR1_INTTMIE                     *((volatile  uint8_t *)(0x42760070UL))
#define bFM3_RTC_WTCR1_INTTMIE                    *((volatile  uint8_t *)(0x42760070UL))
#define bFM_RTC_WTCR1_INTALIE                     *((volatile  uint8_t *)(0x42760074UL))
#define bFM3_RTC_WTCR1_INTALIE                    *((volatile  uint8_t *)(0x42760074UL))
#define bFM_RTC_WTCR1_INTERIE                     *((volatile  uint8_t *)(0x42760078UL))
#define bFM3_RTC_WTCR1_INTERIE                    *((volatile  uint8_t *)(0x42760078UL))
#define bFM_RTC_WTCR1_INTCRIE                     *((volatile  uint8_t *)(0x4276007CUL))
#define bFM3_RTC_WTCR1_INTCRIE                    *((volatile  uint8_t *)(0x4276007CUL))

#define bFM_RTC_WTCR2_CREAD                       *((volatile  uint8_t *)(0x42760080UL))
#define bFM3_RTC_WTCR2_CREAD                      *((volatile  uint8_t *)(0x42760080UL))
#define bFM_RTC_WTCR2_TMST                        *((volatile  uint8_t *)(0x427600A0UL))
#define bFM3_RTC_WTCR2_TMST                       *((volatile  uint8_t *)(0x427600A0UL))
#define bFM_RTC_WTCR2_TMEN                        *((volatile  uint8_t *)(0x427600A4UL))
#define bFM3_RTC_WTCR2_TMEN                       *((volatile  uint8_t *)(0x427600A4UL))
#define bFM_RTC_WTCR2_TMRUN                       *((volatile  uint8_t *)(0x427600A8UL))
#define bFM3_RTC_WTCR2_TMRUN                      *((volatile  uint8_t *)(0x427600A8UL))

#define bFM_RTC_WTDIVEN_WTDIVEN                   *((volatile  uint8_t *)(0x42760520UL))
#define bFM3_RTC_WTDIVEN_WTDIVEN                  *((volatile  uint8_t *)(0x42760520UL))
#define bFM_RTC_WTDIVEN_WTDIVRDY                  *((volatile  uint8_t *)(0x42760524UL))
#define bFM3_RTC_WTDIVEN_WTDIVRDY                 *((volatile  uint8_t *)(0x42760524UL))

#define bFM_RTC_WTMOR_TMO0                        *((volatile  uint8_t *)(0x42760230UL))
#define bFM3_RTC_WTMOR_TMO0                       *((volatile  uint8_t *)(0x42760230UL))


/******************************************************************************
 ** SBSSR Registers SBSSR
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SBSSR_BTSSSR_SSSR0                    *((volatile  uint8_t *)(0x424BFF80UL))
#define bFM3_SBSSR_BTSSSR_SSSR0                   *((volatile  uint8_t *)(0x424BFF80UL))
#define bFM_SBSSR_BTSSSR_SSSR1                    *((volatile  uint8_t *)(0x424BFF84UL))
#define bFM3_SBSSR_BTSSSR_SSSR1                   *((volatile  uint8_t *)(0x424BFF84UL))
#define bFM_SBSSR_BTSSSR_SSSR2                    *((volatile  uint8_t *)(0x424BFF88UL))
#define bFM3_SBSSR_BTSSSR_SSSR2                   *((volatile  uint8_t *)(0x424BFF88UL))
#define bFM_SBSSR_BTSSSR_SSSR3                    *((volatile  uint8_t *)(0x424BFF8CUL))
#define bFM3_SBSSR_BTSSSR_SSSR3                   *((volatile  uint8_t *)(0x424BFF8CUL))
#define bFM_SBSSR_BTSSSR_SSSR4                    *((volatile  uint8_t *)(0x424BFF90UL))
#define bFM3_SBSSR_BTSSSR_SSSR4                   *((volatile  uint8_t *)(0x424BFF90UL))
#define bFM_SBSSR_BTSSSR_SSSR5                    *((volatile  uint8_t *)(0x424BFF94UL))
#define bFM3_SBSSR_BTSSSR_SSSR5                   *((volatile  uint8_t *)(0x424BFF94UL))
#define bFM_SBSSR_BTSSSR_SSSR6                    *((volatile  uint8_t *)(0x424BFF98UL))
#define bFM3_SBSSR_BTSSSR_SSSR6                   *((volatile  uint8_t *)(0x424BFF98UL))
#define bFM_SBSSR_BTSSSR_SSSR7                    *((volatile  uint8_t *)(0x424BFF9CUL))
#define bFM3_SBSSR_BTSSSR_SSSR7                   *((volatile  uint8_t *)(0x424BFF9CUL))
#define bFM_SBSSR_BTSSSR_SSSR8                    *((volatile  uint8_t *)(0x424BFFA0UL))
#define bFM3_SBSSR_BTSSSR_SSSR8                   *((volatile  uint8_t *)(0x424BFFA0UL))
#define bFM_SBSSR_BTSSSR_SSSR9                    *((volatile  uint8_t *)(0x424BFFA4UL))
#define bFM3_SBSSR_BTSSSR_SSSR9                   *((volatile  uint8_t *)(0x424BFFA4UL))
#define bFM_SBSSR_BTSSSR_SSSR10                   *((volatile  uint8_t *)(0x424BFFA8UL))
#define bFM3_SBSSR_BTSSSR_SSSR10                  *((volatile  uint8_t *)(0x424BFFA8UL))
#define bFM_SBSSR_BTSSSR_SSSR11                   *((volatile  uint8_t *)(0x424BFFACUL))
#define bFM3_SBSSR_BTSSSR_SSSR11                  *((volatile  uint8_t *)(0x424BFFACUL))
#define bFM_SBSSR_BTSSSR_SSSR12                   *((volatile  uint8_t *)(0x424BFFB0UL))
#define bFM3_SBSSR_BTSSSR_SSSR12                  *((volatile  uint8_t *)(0x424BFFB0UL))
#define bFM_SBSSR_BTSSSR_SSSR13                   *((volatile  uint8_t *)(0x424BFFB4UL))
#define bFM3_SBSSR_BTSSSR_SSSR13                  *((volatile  uint8_t *)(0x424BFFB4UL))
#define bFM_SBSSR_BTSSSR_SSSR14                   *((volatile  uint8_t *)(0x424BFFB8UL))
#define bFM3_SBSSR_BTSSSR_SSSR14                  *((volatile  uint8_t *)(0x424BFFB8UL))
#define bFM_SBSSR_BTSSSR_SSSR15                   *((volatile  uint8_t *)(0x424BFFBCUL))
#define bFM3_SBSSR_BTSSSR_SSSR15                  *((volatile  uint8_t *)(0x424BFFBCUL))


/******************************************************************************
 ** SWWDT Registers SWWDT
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_SWWDT_WDOGCONTROL_INTEN               *((volatile  uint32_t*)(0x42240100UL))
#define bFM3_SWWDT_WDOGCONTROL_INTEN              *((volatile  uint32_t*)(0x42240100UL))
#define bFM_SWWDT_WDOGCONTROL_RESEN               *((volatile  uint32_t*)(0x42240104UL))
#define bFM3_SWWDT_WDOGCONTROL_RESEN              *((volatile  uint32_t*)(0x42240104UL))

#define bFM_SWWDT_WDOGRIS_RIS                     *((volatile  uint32_t*)(0x42240200UL))
#define bFM3_SWWDT_WDOGRIS_RIS                    *((volatile  uint32_t*)(0x42240200UL))


/******************************************************************************
 ** UNIQUE_ID Registers UNIQUE_ID
 ** 
 **   Bitband Section
 ******************************************************************************/

/******************************************************************************
 ** USB Registers USB0
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_USB0_EP0C_STAL                        *((volatile  uint16_t*)(0x428424A4UL))
#define bFM3_USB0_EP0C_STAL                       *((volatile  uint16_t*)(0x428424A4UL))

#define bFM_USB0_EP0IS_DRQI                       *((volatile  uint16_t*)(0x428428A8UL))
#define bFM3_USB0_EP0IS_DRQI                      *((volatile  uint16_t*)(0x428428A8UL))
#define bFM_USB0_EP0IS_DRQIIE                     *((volatile  uint16_t*)(0x428428B8UL))
#define bFM3_USB0_EP0IS_DRQIIE                    *((volatile  uint16_t*)(0x428428B8UL))
#define bFM_USB0_EP0IS_BFINI                      *((volatile  uint16_t*)(0x428428BCUL))
#define bFM3_USB0_EP0IS_BFINI                     *((volatile  uint16_t*)(0x428428BCUL))

#define bFM_USB0_EP0OS_SPK                        *((volatile  uint16_t*)(0x42842924UL))
#define bFM3_USB0_EP0OS_SPK                       *((volatile  uint16_t*)(0x42842924UL))
#define bFM_USB0_EP0OS_DRQO                       *((volatile  uint16_t*)(0x42842928UL))
#define bFM3_USB0_EP0OS_DRQO                      *((volatile  uint16_t*)(0x42842928UL))
#define bFM_USB0_EP0OS_SPKIE                      *((volatile  uint16_t*)(0x42842934UL))
#define bFM3_USB0_EP0OS_SPKIE                     *((volatile  uint16_t*)(0x42842934UL))
#define bFM_USB0_EP0OS_DRQOIE                     *((volatile  uint16_t*)(0x42842938UL))
#define bFM3_USB0_EP0OS_DRQOIE                    *((volatile  uint16_t*)(0x42842938UL))
#define bFM_USB0_EP0OS_BFINI                      *((volatile  uint16_t*)(0x4284293CUL))
#define bFM3_USB0_EP0OS_BFINI                     *((volatile  uint16_t*)(0x4284293CUL))

#define bFM_USB0_EP1C_STAL                        *((volatile  uint16_t*)(0x42842524UL))
#define bFM3_USB0_EP1C_STAL                       *((volatile  uint16_t*)(0x42842524UL))
#define bFM_USB0_EP1C_NULE                        *((volatile  uint16_t*)(0x42842528UL))
#define bFM3_USB0_EP1C_NULE                       *((volatile  uint16_t*)(0x42842528UL))
#define bFM_USB0_EP1C_DMAE                        *((volatile  uint16_t*)(0x4284252CUL))
#define bFM3_USB0_EP1C_DMAE                       *((volatile  uint16_t*)(0x4284252CUL))
#define bFM_USB0_EP1C_DIR                         *((volatile  uint16_t*)(0x42842530UL))
#define bFM3_USB0_EP1C_DIR                        *((volatile  uint16_t*)(0x42842530UL))
#define bFM_USB0_EP1C_EPEN                        *((volatile  uint16_t*)(0x4284253CUL))
#define bFM3_USB0_EP1C_EPEN                       *((volatile  uint16_t*)(0x4284253CUL))

#define bFM_USB0_EP1S_SPK                         *((volatile  uint16_t*)(0x428429A4UL))
#define bFM3_USB0_EP1S_SPK                        *((volatile  uint16_t*)(0x428429A4UL))
#define bFM_USB0_EP1S_DRQ                         *((volatile  uint16_t*)(0x428429A8UL))
#define bFM3_USB0_EP1S_DRQ                        *((volatile  uint16_t*)(0x428429A8UL))
#define bFM_USB0_EP1S_BUSY                        *((volatile  uint16_t*)(0x428429ACUL))
#define bFM3_USB0_EP1S_BUSY                       *((volatile  uint16_t*)(0x428429ACUL))
#define bFM_USB0_EP1S_SPKIE                       *((volatile  uint16_t*)(0x428429B4UL))
#define bFM3_USB0_EP1S_SPKIE                      *((volatile  uint16_t*)(0x428429B4UL))
#define bFM_USB0_EP1S_DRQIE                       *((volatile  uint16_t*)(0x428429B8UL))
#define bFM3_USB0_EP1S_DRQIE                      *((volatile  uint16_t*)(0x428429B8UL))
#define bFM_USB0_EP1S_BFINI                       *((volatile  uint16_t*)(0x428429BCUL))
#define bFM3_USB0_EP1S_BFINI                      *((volatile  uint16_t*)(0x428429BCUL))

#define bFM_USB0_EP2C_STAL                        *((volatile  uint16_t*)(0x428425A4UL))
#define bFM3_USB0_EP2C_STAL                       *((volatile  uint16_t*)(0x428425A4UL))
#define bFM_USB0_EP2C_NULE                        *((volatile  uint16_t*)(0x428425A8UL))
#define bFM3_USB0_EP2C_NULE                       *((volatile  uint16_t*)(0x428425A8UL))
#define bFM_USB0_EP2C_DMAE                        *((volatile  uint16_t*)(0x428425ACUL))
#define bFM3_USB0_EP2C_DMAE                       *((volatile  uint16_t*)(0x428425ACUL))
#define bFM_USB0_EP2C_DIR                         *((volatile  uint16_t*)(0x428425B0UL))
#define bFM3_USB0_EP2C_DIR                        *((volatile  uint16_t*)(0x428425B0UL))
#define bFM_USB0_EP2C_EPEN                        *((volatile  uint16_t*)(0x428425BCUL))
#define bFM3_USB0_EP2C_EPEN                       *((volatile  uint16_t*)(0x428425BCUL))

#define bFM_USB0_EP2S_SPK                         *((volatile  uint16_t*)(0x42842A24UL))
#define bFM3_USB0_EP2S_SPK                        *((volatile  uint16_t*)(0x42842A24UL))
#define bFM_USB0_EP2S_DRQ                         *((volatile  uint16_t*)(0x42842A28UL))
#define bFM3_USB0_EP2S_DRQ                        *((volatile  uint16_t*)(0x42842A28UL))
#define bFM_USB0_EP2S_BUSY                        *((volatile  uint16_t*)(0x42842A2CUL))
#define bFM3_USB0_EP2S_BUSY                       *((volatile  uint16_t*)(0x42842A2CUL))
#define bFM_USB0_EP2S_SPKIE                       *((volatile  uint16_t*)(0x42842A34UL))
#define bFM3_USB0_EP2S_SPKIE                      *((volatile  uint16_t*)(0x42842A34UL))
#define bFM_USB0_EP2S_DRQIE                       *((volatile  uint16_t*)(0x42842A38UL))
#define bFM3_USB0_EP2S_DRQIE                      *((volatile  uint16_t*)(0x42842A38UL))
#define bFM_USB0_EP2S_BFINI                       *((volatile  uint16_t*)(0x42842A3CUL))
#define bFM3_USB0_EP2S_BFINI                      *((volatile  uint16_t*)(0x42842A3CUL))

#define bFM_USB0_EP3C_STAL                        *((volatile  uint16_t*)(0x42842624UL))
#define bFM3_USB0_EP3C_STAL                       *((volatile  uint16_t*)(0x42842624UL))
#define bFM_USB0_EP3C_NULE                        *((volatile  uint16_t*)(0x42842628UL))
#define bFM3_USB0_EP3C_NULE                       *((volatile  uint16_t*)(0x42842628UL))
#define bFM_USB0_EP3C_DMAE                        *((volatile  uint16_t*)(0x4284262CUL))
#define bFM3_USB0_EP3C_DMAE                       *((volatile  uint16_t*)(0x4284262CUL))
#define bFM_USB0_EP3C_DIR                         *((volatile  uint16_t*)(0x42842630UL))
#define bFM3_USB0_EP3C_DIR                        *((volatile  uint16_t*)(0x42842630UL))
#define bFM_USB0_EP3C_EPEN                        *((volatile  uint16_t*)(0x4284263CUL))
#define bFM3_USB0_EP3C_EPEN                       *((volatile  uint16_t*)(0x4284263CUL))

#define bFM_USB0_EP3S_SPK                         *((volatile  uint16_t*)(0x42842AA4UL))
#define bFM3_USB0_EP3S_SPK                        *((volatile  uint16_t*)(0x42842AA4UL))
#define bFM_USB0_EP3S_DRQ                         *((volatile  uint16_t*)(0x42842AA8UL))
#define bFM3_USB0_EP3S_DRQ                        *((volatile  uint16_t*)(0x42842AA8UL))
#define bFM_USB0_EP3S_BUSY                        *((volatile  uint16_t*)(0x42842AACUL))
#define bFM3_USB0_EP3S_BUSY                       *((volatile  uint16_t*)(0x42842AACUL))
#define bFM_USB0_EP3S_SPKIE                       *((volatile  uint16_t*)(0x42842AB4UL))
#define bFM3_USB0_EP3S_SPKIE                      *((volatile  uint16_t*)(0x42842AB4UL))
#define bFM_USB0_EP3S_DRQIE                       *((volatile  uint16_t*)(0x42842AB8UL))
#define bFM3_USB0_EP3S_DRQIE                      *((volatile  uint16_t*)(0x42842AB8UL))
#define bFM_USB0_EP3S_BFINI                       *((volatile  uint16_t*)(0x42842ABCUL))
#define bFM3_USB0_EP3S_BFINI                      *((volatile  uint16_t*)(0x42842ABCUL))

#define bFM_USB0_EP4C_STAL                        *((volatile  uint16_t*)(0x428426A4UL))
#define bFM3_USB0_EP4C_STAL                       *((volatile  uint16_t*)(0x428426A4UL))
#define bFM_USB0_EP4C_NULE                        *((volatile  uint16_t*)(0x428426A8UL))
#define bFM3_USB0_EP4C_NULE                       *((volatile  uint16_t*)(0x428426A8UL))
#define bFM_USB0_EP4C_DMAE                        *((volatile  uint16_t*)(0x428426ACUL))
#define bFM3_USB0_EP4C_DMAE                       *((volatile  uint16_t*)(0x428426ACUL))
#define bFM_USB0_EP4C_DIR                         *((volatile  uint16_t*)(0x428426B0UL))
#define bFM3_USB0_EP4C_DIR                        *((volatile  uint16_t*)(0x428426B0UL))
#define bFM_USB0_EP4C_EPEN                        *((volatile  uint16_t*)(0x428426BCUL))
#define bFM3_USB0_EP4C_EPEN                       *((volatile  uint16_t*)(0x428426BCUL))

#define bFM_USB0_EP4S_SPK                         *((volatile  uint16_t*)(0x42842B24UL))
#define bFM3_USB0_EP4S_SPK                        *((volatile  uint16_t*)(0x42842B24UL))
#define bFM_USB0_EP4S_DRQ                         *((volatile  uint16_t*)(0x42842B28UL))
#define bFM3_USB0_EP4S_DRQ                        *((volatile  uint16_t*)(0x42842B28UL))
#define bFM_USB0_EP4S_BUSY                        *((volatile  uint16_t*)(0x42842B2CUL))
#define bFM3_USB0_EP4S_BUSY                       *((volatile  uint16_t*)(0x42842B2CUL))
#define bFM_USB0_EP4S_SPKIE                       *((volatile  uint16_t*)(0x42842B34UL))
#define bFM3_USB0_EP4S_SPKIE                      *((volatile  uint16_t*)(0x42842B34UL))
#define bFM_USB0_EP4S_DRQIE                       *((volatile  uint16_t*)(0x42842B38UL))
#define bFM3_USB0_EP4S_DRQIE                      *((volatile  uint16_t*)(0x42842B38UL))
#define bFM_USB0_EP4S_BFINI                       *((volatile  uint16_t*)(0x42842B3CUL))
#define bFM3_USB0_EP4S_BFINI                      *((volatile  uint16_t*)(0x42842B3CUL))

#define bFM_USB0_EP5C_STAL                        *((volatile  uint16_t*)(0x42842724UL))
#define bFM3_USB0_EP5C_STAL                       *((volatile  uint16_t*)(0x42842724UL))
#define bFM_USB0_EP5C_NULE                        *((volatile  uint16_t*)(0x42842728UL))
#define bFM3_USB0_EP5C_NULE                       *((volatile  uint16_t*)(0x42842728UL))
#define bFM_USB0_EP5C_DMAE                        *((volatile  uint16_t*)(0x4284272CUL))
#define bFM3_USB0_EP5C_DMAE                       *((volatile  uint16_t*)(0x4284272CUL))
#define bFM_USB0_EP5C_DIR                         *((volatile  uint16_t*)(0x42842730UL))
#define bFM3_USB0_EP5C_DIR                        *((volatile  uint16_t*)(0x42842730UL))
#define bFM_USB0_EP5C_EPEN                        *((volatile  uint16_t*)(0x4284273CUL))
#define bFM3_USB0_EP5C_EPEN                       *((volatile  uint16_t*)(0x4284273CUL))

#define bFM_USB0_EP5S_SPK                         *((volatile  uint16_t*)(0x42842BA4UL))
#define bFM3_USB0_EP5S_SPK                        *((volatile  uint16_t*)(0x42842BA4UL))
#define bFM_USB0_EP5S_DRQ                         *((volatile  uint16_t*)(0x42842BA8UL))
#define bFM3_USB0_EP5S_DRQ                        *((volatile  uint16_t*)(0x42842BA8UL))
#define bFM_USB0_EP5S_BUSY                        *((volatile  uint16_t*)(0x42842BACUL))
#define bFM3_USB0_EP5S_BUSY                       *((volatile  uint16_t*)(0x42842BACUL))
#define bFM_USB0_EP5S_SPKIE                       *((volatile  uint16_t*)(0x42842BB4UL))
#define bFM3_USB0_EP5S_SPKIE                      *((volatile  uint16_t*)(0x42842BB4UL))
#define bFM_USB0_EP5S_DRQIE                       *((volatile  uint16_t*)(0x42842BB8UL))
#define bFM3_USB0_EP5S_DRQIE                      *((volatile  uint16_t*)(0x42842BB8UL))
#define bFM_USB0_EP5S_BFINI                       *((volatile  uint16_t*)(0x42842BBCUL))
#define bFM3_USB0_EP5S_BFINI                      *((volatile  uint16_t*)(0x42842BBCUL))

#define bFM_USB0_HCNT_HOST                        *((volatile  uint8_t *)(0x42842000UL))
#define bFM3_USB0_HCNT_HOST                       *((volatile  uint8_t *)(0x42842000UL))
#define bFM_USB0_HCNT_URST                        *((volatile  uint8_t *)(0x42842004UL))
#define bFM3_USB0_HCNT_URST                       *((volatile  uint8_t *)(0x42842004UL))
#define bFM_USB0_HCNT_SOFIRE                      *((volatile  uint8_t *)(0x42842008UL))
#define bFM3_USB0_HCNT_SOFIRE                     *((volatile  uint8_t *)(0x42842008UL))
#define bFM_USB0_HCNT_DIRE                        *((volatile  uint8_t *)(0x4284200CUL))
#define bFM3_USB0_HCNT_DIRE                       *((volatile  uint8_t *)(0x4284200CUL))
#define bFM_USB0_HCNT_CNNIRE                      *((volatile  uint8_t *)(0x42842010UL))
#define bFM3_USB0_HCNT_CNNIRE                     *((volatile  uint8_t *)(0x42842010UL))
#define bFM_USB0_HCNT_CMPIRE                      *((volatile  uint8_t *)(0x42842014UL))
#define bFM3_USB0_HCNT_CMPIRE                     *((volatile  uint8_t *)(0x42842014UL))
#define bFM_USB0_HCNT_URIRE                       *((volatile  uint8_t *)(0x42842018UL))
#define bFM3_USB0_HCNT_URIRE                      *((volatile  uint8_t *)(0x42842018UL))
#define bFM_USB0_HCNT_RWKIRE                      *((volatile  uint8_t *)(0x4284201CUL))
#define bFM3_USB0_HCNT_RWKIRE                     *((volatile  uint8_t *)(0x4284201CUL))
#define bFM_USB0_HCNT_RETRY                       *((volatile  uint8_t *)(0x42842020UL))
#define bFM3_USB0_HCNT_RETRY                      *((volatile  uint8_t *)(0x42842020UL))
#define bFM_USB0_HCNT_CANCEL                      *((volatile  uint8_t *)(0x42842024UL))
#define bFM3_USB0_HCNT_CANCEL                     *((volatile  uint8_t *)(0x42842024UL))
#define bFM_USB0_HCNT_SOFSTEP                     *((volatile  uint8_t *)(0x42842028UL))
#define bFM3_USB0_HCNT_SOFSTEP                    *((volatile  uint8_t *)(0x42842028UL))

#define bFM_USB0_HERR_STUFF                       *((volatile  uint8_t *)(0x428420A8UL))
#define bFM3_USB0_HERR_STUFF                      *((volatile  uint8_t *)(0x428420A8UL))
#define bFM_USB0_HERR_TGERR                       *((volatile  uint8_t *)(0x428420ACUL))
#define bFM3_USB0_HERR_TGERR                      *((volatile  uint8_t *)(0x428420ACUL))
#define bFM_USB0_HERR_CRC                         *((volatile  uint8_t *)(0x428420B0UL))
#define bFM3_USB0_HERR_CRC                        *((volatile  uint8_t *)(0x428420B0UL))
#define bFM_USB0_HERR_TOUT                        *((volatile  uint8_t *)(0x428420B4UL))
#define bFM3_USB0_HERR_TOUT                       *((volatile  uint8_t *)(0x428420B4UL))
#define bFM_USB0_HERR_RERR                        *((volatile  uint8_t *)(0x428420B8UL))
#define bFM3_USB0_HERR_RERR                       *((volatile  uint8_t *)(0x428420B8UL))
#define bFM_USB0_HERR_LSTSOF                      *((volatile  uint8_t *)(0x428420BCUL))
#define bFM3_USB0_HERR_LSTSOF                     *((volatile  uint8_t *)(0x428420BCUL))

#define bFM_USB0_HIRQ_SOFIRQ                      *((volatile  uint8_t *)(0x42842080UL))
#define bFM3_USB0_HIRQ_SOFIRQ                     *((volatile  uint8_t *)(0x42842080UL))
#define bFM_USB0_HIRQ_DIRQ                        *((volatile  uint8_t *)(0x42842084UL))
#define bFM3_USB0_HIRQ_DIRQ                       *((volatile  uint8_t *)(0x42842084UL))
#define bFM_USB0_HIRQ_CNNIRQ                      *((volatile  uint8_t *)(0x42842088UL))
#define bFM3_USB0_HIRQ_CNNIRQ                     *((volatile  uint8_t *)(0x42842088UL))
#define bFM_USB0_HIRQ_CMPIRQ                      *((volatile  uint8_t *)(0x4284208CUL))
#define bFM3_USB0_HIRQ_CMPIRQ                     *((volatile  uint8_t *)(0x4284208CUL))
#define bFM_USB0_HIRQ_URIRQ                       *((volatile  uint8_t *)(0x42842090UL))
#define bFM3_USB0_HIRQ_URIRQ                      *((volatile  uint8_t *)(0x42842090UL))
#define bFM_USB0_HIRQ_RWKIRQ                      *((volatile  uint8_t *)(0x42842094UL))
#define bFM3_USB0_HIRQ_RWKIRQ                     *((volatile  uint8_t *)(0x42842094UL))
#define bFM_USB0_HIRQ_TCAN                        *((volatile  uint8_t *)(0x4284209CUL))
#define bFM3_USB0_HIRQ_TCAN                       *((volatile  uint8_t *)(0x4284209CUL))

#define bFM_USB0_HSTATE_CSTAT                     *((volatile  uint8_t *)(0x42842100UL))
#define bFM3_USB0_HSTATE_CSTAT                    *((volatile  uint8_t *)(0x42842100UL))
#define bFM_USB0_HSTATE_TMODE                     *((volatile  uint8_t *)(0x42842104UL))
#define bFM3_USB0_HSTATE_TMODE                    *((volatile  uint8_t *)(0x42842104UL))
#define bFM_USB0_HSTATE_SUSP                      *((volatile  uint8_t *)(0x42842108UL))
#define bFM3_USB0_HSTATE_SUSP                     *((volatile  uint8_t *)(0x42842108UL))
#define bFM_USB0_HSTATE_SOFBUSY                   *((volatile  uint8_t *)(0x4284210CUL))
#define bFM3_USB0_HSTATE_SOFBUSY                  *((volatile  uint8_t *)(0x4284210CUL))
#define bFM_USB0_HSTATE_CLKSEL                    *((volatile  uint8_t *)(0x42842110UL))
#define bFM3_USB0_HSTATE_CLKSEL                   *((volatile  uint8_t *)(0x42842110UL))
#define bFM_USB0_HSTATE_ALIVE                     *((volatile  uint8_t *)(0x42842114UL))
#define bFM3_USB0_HSTATE_ALIVE                    *((volatile  uint8_t *)(0x42842114UL))

#define bFM_USB0_HTOKEN_TGGL                      *((volatile  uint8_t *)(0x4284239CUL))
#define bFM3_USB0_HTOKEN_TGGL                     *((volatile  uint8_t *)(0x4284239CUL))

#define bFM_USB0_UDCC_PWC                         *((volatile  uint8_t *)(0x42842400UL))
#define bFM3_USB0_UDCC_PWC                        *((volatile  uint8_t *)(0x42842400UL))
#define bFM_USB0_UDCC_RFBK                        *((volatile  uint8_t *)(0x42842404UL))
#define bFM3_USB0_UDCC_RFBK                       *((volatile  uint8_t *)(0x42842404UL))
#define bFM_USB0_UDCC_STALCLREN                   *((volatile  uint8_t *)(0x4284240CUL))
#define bFM3_USB0_UDCC_STALCLREN                  *((volatile  uint8_t *)(0x4284240CUL))
#define bFM_USB0_UDCC_USTP                        *((volatile  uint8_t *)(0x42842410UL))
#define bFM3_USB0_UDCC_USTP                       *((volatile  uint8_t *)(0x42842410UL))
#define bFM_USB0_UDCC_HCONX                       *((volatile  uint8_t *)(0x42842414UL))
#define bFM3_USB0_UDCC_HCONX                      *((volatile  uint8_t *)(0x42842414UL))
#define bFM_USB0_UDCC_RESUM                       *((volatile  uint8_t *)(0x42842418UL))
#define bFM3_USB0_UDCC_RESUM                      *((volatile  uint8_t *)(0x42842418UL))
#define bFM_USB0_UDCC_RST                         *((volatile  uint8_t *)(0x4284241CUL))
#define bFM3_USB0_UDCC_RST                        *((volatile  uint8_t *)(0x4284241CUL))

#define bFM_USB0_UDCIE_CONFIE                     *((volatile  uint8_t *)(0x42842820UL))
#define bFM3_USB0_UDCIE_CONFIE                    *((volatile  uint8_t *)(0x42842820UL))
#define bFM_USB0_UDCIE_CONFN                      *((volatile  uint8_t *)(0x42842824UL))
#define bFM3_USB0_UDCIE_CONFN                     *((volatile  uint8_t *)(0x42842824UL))
#define bFM_USB0_UDCIE_WKUPIE                     *((volatile  uint8_t *)(0x42842828UL))
#define bFM3_USB0_UDCIE_WKUPIE                    *((volatile  uint8_t *)(0x42842828UL))
#define bFM_USB0_UDCIE_BRSTIE                     *((volatile  uint8_t *)(0x4284282CUL))
#define bFM3_USB0_UDCIE_BRSTIE                    *((volatile  uint8_t *)(0x4284282CUL))
#define bFM_USB0_UDCIE_SOFIE                      *((volatile  uint8_t *)(0x42842830UL))
#define bFM3_USB0_UDCIE_SOFIE                     *((volatile  uint8_t *)(0x42842830UL))
#define bFM_USB0_UDCIE_SUSPIE                     *((volatile  uint8_t *)(0x42842834UL))
#define bFM3_USB0_UDCIE_SUSPIE                    *((volatile  uint8_t *)(0x42842834UL))

#define bFM_USB0_UDCS_CONF                        *((volatile  uint8_t *)(0x42842800UL))
#define bFM3_USB0_UDCS_CONF                       *((volatile  uint8_t *)(0x42842800UL))
#define bFM_USB0_UDCS_SETP                        *((volatile  uint8_t *)(0x42842804UL))
#define bFM3_USB0_UDCS_SETP                       *((volatile  uint8_t *)(0x42842804UL))
#define bFM_USB0_UDCS_WKUP                        *((volatile  uint8_t *)(0x42842808UL))
#define bFM3_USB0_UDCS_WKUP                       *((volatile  uint8_t *)(0x42842808UL))
#define bFM_USB0_UDCS_BRST                        *((volatile  uint8_t *)(0x4284280CUL))
#define bFM3_USB0_UDCS_BRST                       *((volatile  uint8_t *)(0x4284280CUL))
#define bFM_USB0_UDCS_SOF                         *((volatile  uint8_t *)(0x42842810UL))
#define bFM3_USB0_UDCS_SOF                        *((volatile  uint8_t *)(0x42842810UL))
#define bFM_USB0_UDCS_SUSP                        *((volatile  uint8_t *)(0x42842814UL))
#define bFM3_USB0_UDCS_SUSP                       *((volatile  uint8_t *)(0x42842814UL))


/******************************************************************************
 ** USBCLK Registers USBCLK
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_USBCLK_UCCR_UCEN                      *((volatile  uint8_t *)(0x426C0000UL))
#define bFM3_USBCLK_UCCR_UCEN                     *((volatile  uint8_t *)(0x426C0000UL))
#define bFM_USBCLK_UCCR_UCSEL                     *((volatile  uint8_t *)(0x426C0004UL))
#define bFM3_USBCLK_UCCR_UCSEL                    *((volatile  uint8_t *)(0x426C0004UL))

#define bFM_USBCLK_UP_STR_UPRDY                   *((volatile  uint8_t *)(0x426C0280UL))
#define bFM3_USBCLK_UP_STR_UPRDY                  *((volatile  uint8_t *)(0x426C0280UL))

#define bFM_USBCLK_UPCR1_UPLLEN                   *((volatile  uint8_t *)(0x426C0080UL))
#define bFM3_USBCLK_UPCR1_UPLLEN                  *((volatile  uint8_t *)(0x426C0080UL))
#define bFM_USBCLK_UPCR1_UPINC                    *((volatile  uint8_t *)(0x426C0084UL))
#define bFM3_USBCLK_UPCR1_UPINC                   *((volatile  uint8_t *)(0x426C0084UL))

#define bFM_USBCLK_UPINT_CLR_UPCSC                *((volatile  uint8_t *)(0x426C0380UL))
#define bFM3_USBCLK_UPINT_CLR_UPCSC               *((volatile  uint8_t *)(0x426C0380UL))

#define bFM_USBCLK_UPINT_ENR_UPCSE                *((volatile  uint8_t *)(0x426C0300UL))
#define bFM3_USBCLK_UPINT_ENR_UPCSE               *((volatile  uint8_t *)(0x426C0300UL))

#define bFM_USBCLK_UPINT_STR_UPCSI                *((volatile  uint8_t *)(0x426C0400UL))
#define bFM3_USBCLK_UPINT_STR_UPCSI               *((volatile  uint8_t *)(0x426C0400UL))

#define bFM_USBCLK_USBEN0_USBEN0                  *((volatile  uint8_t *)(0x426C0600UL))
#define bFM3_USBCLK_USBEN0_USBEN0                 *((volatile  uint8_t *)(0x426C0600UL))


/******************************************************************************
 ** WC Registers WC
 ** 
 **   Bitband Section
 ******************************************************************************/
#define bFM_WC_CLK_EN_CLK_EN                      *((volatile  uint8_t *)(0x42740280UL))
#define bFM3_WC_CLK_EN_CLK_EN                     *((volatile  uint8_t *)(0x42740280UL))
#define bFM_WC_CLK_EN_CLK_EN_R                    *((volatile  uint8_t *)(0x42740284UL))
#define bFM3_WC_CLK_EN_CLK_EN_R                   *((volatile  uint8_t *)(0x42740284UL))

#define bFM_WC_CLK_SEL_SEL_IN                     *((volatile  uint8_t *)(0x42740200UL))
#define bFM3_WC_CLK_SEL_SEL_IN                    *((volatile  uint8_t *)(0x42740200UL))
#define bFM_WC_CLK_SEL_SEL_OUT                    *((volatile  uint8_t *)(0x42740220UL))
#define bFM3_WC_CLK_SEL_SEL_OUT                   *((volatile  uint8_t *)(0x42740220UL))

#define bFM_WC_WCCR_WCIF                          *((volatile  uint8_t *)(0x42740040UL))
#define bFM3_WC_WCCR_WCIF                         *((volatile  uint8_t *)(0x42740040UL))
#define bFM_WC_WCCR_WCIE                          *((volatile  uint8_t *)(0x42740044UL))
#define bFM3_WC_WCCR_WCIE                         *((volatile  uint8_t *)(0x42740044UL))
#define bFM_WC_WCCR_WCOP                          *((volatile  uint8_t *)(0x42740058UL))
#define bFM3_WC_WCCR_WCOP                         *((volatile  uint8_t *)(0x42740058UL))
#define bFM_WC_WCCR_WCEN                          *((volatile  uint8_t *)(0x4274005CUL))
#define bFM3_WC_WCCR_WCEN                         *((volatile  uint8_t *)(0x4274005CUL))


#if defined __cplusplus
}
#endif

#endif /* _MB9AFB4XM_H_ */
